(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     42239,        855]
NotebookOptionsPosition[     41061,        810]
NotebookOutlinePosition[     41670,        834]
CellTagsIndexPosition[     41627,        831]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Cities of Countries", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"EdgeForm", "[", "Black", "]"}], ",", "LightBrown", ",", 
       RowBox[{"CountryData", "[", 
        RowBox[{"country", ",", "\"\<FullPolygon\>\""}], "]"}], ",", "Red", 
       ",", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"FreeQ", "[", 
          RowBox[{
           RowBox[{"CityData", "[", 
            RowBox[{
             RowBox[{"CountryData", "[", 
              RowBox[{"country", ",", "\"\<CapitalCity\>\""}], "]"}], ",", 
             "\"\<Coordinates\>\""}], "]"}], ",", "_Missing"}], "]"}], ",", 
         RowBox[{"Inset", "[", 
          RowBox[{
           GraphicsBox[
            {RGBColor[1, 0, 0], 
             PolygonBox[
              NCache[{{
                Rational[-11, 30] Sin[GoldenRatio^(-1)], Rational[11, 30] 
                 Cos[GoldenRatio^(-1)]}, {0, 
                1}, {(Rational[
                    11, 30] (Rational[5, 8] + 
                    Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2]) 
                  Cos[GoldenRatio^(-1)] + (
                   Rational[-11, 120] (-1 + 5^Rational[1, 2])) 
                  Sin[GoldenRatio^(-1)], (
                   Rational[11, 120] (-1 + 5^Rational[1, 2])) 
                  Cos[GoldenRatio^(-1)] + (
                   Rational[
                    11, 30] (Rational[5, 8] + 
                    Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2]) 
                  Sin[GoldenRatio^(-1)]}, {(Rational[5, 8] + 
                  Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2], 
                 Rational[1, 4] (-1 + 
                  5^Rational[1, 2])}, {(
                   Rational[
                    11, 30] (Rational[5, 8] + 
                    Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2]) 
                  Cos[GoldenRatio^(-1)] + (
                   Rational[-11, 120] (-1 - 5^Rational[1, 2])) 
                  Sin[GoldenRatio^(-1)], (
                   Rational[11, 120] (-1 - 5^Rational[1, 2])) 
                  Cos[GoldenRatio^(-1)] + (
                   Rational[
                    11, 30] (Rational[5, 8] + 
                    Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2]) 
                  Sin[GoldenRatio^(-1)]}, {(Rational[5, 8] + 
                  Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2], 
                 Rational[1, 4] (-1 - 5^
                  Rational[1, 2])}, {(
                   Rational[-11, 30] (Rational[5, 8] + 
                    Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2]) 
                  Cos[GoldenRatio^(-1)] + (
                   Rational[-11, 120] (-1 - 5^Rational[1, 2])) 
                  Sin[GoldenRatio^(-1)], (
                   Rational[11, 120] (-1 - 5^Rational[1, 2])) 
                  Cos[GoldenRatio^(-1)] + (
                   Rational[-11, 30] (Rational[5, 8] + 
                    Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2]) 
                  Sin[GoldenRatio^(-1)]}, {-(Rational[5, 8] + 
                   Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2], 
                 Rational[1, 4] (-1 - 5^
                  Rational[1, 2])}, {(
                   Rational[-11, 30] (Rational[5, 8] + 
                    Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2]) 
                  Cos[GoldenRatio^(-1)] + (
                   Rational[-11, 120] (-1 + 5^Rational[1, 2])) 
                  Sin[GoldenRatio^(-1)], (
                   Rational[11, 120] (-1 + 5^Rational[1, 2])) 
                  Cos[GoldenRatio^(-1)] + (
                   Rational[-11, 30] (Rational[5, 8] + 
                    Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2]) 
                  Sin[GoldenRatio^(-1)]}, {-(Rational[5, 8] + 
                   Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2], 
                 Rational[1, 4] (-1 + 
                  5^Rational[1, 2])}}, {{-0.21245911296786396`, 
                0.2988403750522223}, {0, 1}, {0.21856060950860684`, 
                0.2944073783308949}, {0.9510565162951535, 
                0.30901699437494745`}, {
                0.3475369982460764, -0.11688660870497992`}, {
                0.5877852522924731, -0.8090169943749475}, \
{-0.0037709322444190174`, -0.36664727534028185`}, {-0.5877852522924731, \
-0.8090169943749475}, {-0.3498675625424003, -0.10971386933785542`}, \
{-0.9510565162951535, 0.30901699437494745`}}]]},
            ImageSize->{11., Automatic}], ",", 
           RowBox[{"Reverse", "[", 
            RowBox[{"CityData", "[", 
             RowBox[{
              RowBox[{"CountryData", "[", 
               RowBox[{"country", ",", "\"\<CapitalCity\>\""}], "]"}], ",", 
              "\"\<Coordinates\>\""}], "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}], ",", 
       RowBox[{"Select", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Tooltip", "[", 
            RowBox[{
             RowBox[{"Point", "[", 
              RowBox[{"Reverse", "[", 
               RowBox[{"CityData", "[", 
                RowBox[{"#", ",", "\"\<Coordinates\>\""}], "]"}], "]"}], 
              "]"}], ",", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"CityData", "[", 
                 RowBox[{"#", ",", "\"\<Name\>\""}], "]"}], ",", 
                "\"\< \[LongDash] \>\"", ",", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{
                  RowBox[{"CityData", "[", 
                   RowBox[{"#", ",", "\"\<Population\>\""}], "]"}], ",", 
                  RowBox[{"DigitBlock", "->", "3"}]}], "]"}]}], "}"}], 
              "]"}]}], "]"}], "&"}], "/@", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Length", "[", 
              RowBox[{"CityData", "[", 
               RowBox[{"{", 
                RowBox[{"All", ",", "country"}], "}"}], "]"}], "]"}], ">", 
             "3000"}], ",", 
            RowBox[{"Take", "[", 
             RowBox[{
              RowBox[{"Reverse", "[", 
               RowBox[{"SortBy", "[", 
                RowBox[{
                 RowBox[{"CityData", "[", 
                  RowBox[{"{", 
                   RowBox[{"All", ",", "country"}], "}"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"CityData", "[", 
                   RowBox[{"#", ",", "\"\<Population\>\""}], "]"}], "&"}]}], 
                "]"}], "]"}], ",", "3000"}], "]"}], ",", 
            RowBox[{"CityData", "[", 
             RowBox[{"{", 
              RowBox[{"All", ",", "country"}], "}"}], "]"}]}], "]"}]}], ",", 
         RowBox[{
          RowBox[{"FreeQ", "[", 
           RowBox[{"#", ",", "_Missing"}], "]"}], "&"}]}], "]"}]}], "}"}], 
     ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "500"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"MemberQ", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
           "\"\<Australia\>\"", ",", "\"\<France\>\"", ",", "\"\<Russia\>\"", 
            ",", "\"\<UnitedKingdom\>\"", ",", "\"\<UnitedStates\>\""}], 
           "}"}], ",", "country"}], "]"}], ",", 
        RowBox[{"Evaluate", "@", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"With", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"r", "=", 
                RowBox[{
                 RowBox[{"Flatten", "[", 
                  RowBox[{"Differences", "/@", "#"}], "]"}], "/", "3"}]}], 
               "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"#", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "-", 
                   RowBox[{
                    RowBox[{
                    "r", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "/", "3"}]}], ",", 
                  RowBox[{
                   RowBox[{"#", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{
                    RowBox[{
                    "r", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "/", "3"}]}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"#", "\[LeftDoubleBracket]", 
                    RowBox[{"2", ",", "1"}], "\[RightDoubleBracket]"}], "-", 
                   RowBox[{
                   "r", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], ",", 
                  RowBox[{
                   RowBox[{"#", "\[LeftDoubleBracket]", 
                    RowBox[{"2", ",", "2"}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{
                    RowBox[{
                    "r", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "/", "2"}]}]}], "}"}]}], 
               "}"}]}], "]"}], "&"}], "[", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Max", "[", "#", "]"}], ",", 
                RowBox[{"Min", "[", "#", "]"}]}], "}"}], "&"}], ",", 
             RowBox[{"Transpose", "[", 
              RowBox[{"Flatten", "[", 
               RowBox[{
                RowBox[{"List", "@@", 
                 RowBox[{"CountryData", "[", 
                  RowBox[{"country", ",", "\"\<SchematicPolygon\>\""}], 
                  "]"}]}], ",", "2"}], "]"}], "]"}]}], "]"}], "]"}], ")"}]}], 
        ",", "All"}], "]"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"country", ",", "\"\<Australia\>\"", ",", "\"\<country\>\""}], 
      "}"}], ",", 
     RowBox[{"Thread", "[", 
      RowBox[{
       RowBox[{"CountryData", "[", "]"}], "\[Rule]", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"CountryData", "[", 
           RowBox[{"#", ",", "\"\<Name\>\""}], "]"}], "&"}], ",", 
         RowBox[{"CountryData", "[", "]"}]}], "]"}]}], "]"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.386455207312687*^9, 3.386455247149032*^9}, {
   3.386455284244789*^9, 3.3864552881028852`*^9}, {3.3864553734036293`*^9, 
   3.386455402043668*^9}, {3.386455443364603*^9, 3.3864554740533867`*^9}, {
   3.386455624118894*^9, 3.386455660980071*^9}, {3.3864558104687557`*^9, 
   3.38645583074265*^9}, {3.386455876335466*^9, 3.386455934628769*^9}, {
   3.386456864388754*^9, 3.3864568749151697`*^9}, {3.386457156483583*^9, 
   3.386457170894804*^9}, {3.386458004118744*^9, 3.38645816323377*^9}, {
   3.3864582127952337`*^9, 3.386458246990048*^9}, {3.3864584883024282`*^9, 
   3.386458496159959*^9}, {3.386458978238762*^9, 3.3864589855929413`*^9}, {
   3.3864603395128107`*^9, 3.3864604131865253`*^9}, {3.386460456942258*^9, 
   3.3864604631551647`*^9}, {3.386460533424014*^9, 3.386460559374247*^9}, {
   3.386460748833345*^9, 3.3864607504352083`*^9}, {3.386460809786872*^9, 
   3.3864608581423283`*^9}, {3.388436061671372*^9, 3.3884360627335033`*^9}, 
   3.38843644879272*^9, {3.388511962227311*^9, 3.3885120253485928`*^9}, {
   3.388513963633463*^9, 3.3885139640781*^9}, {3.388707834513093*^9, 
   3.3887078354279823`*^9}, {3.38870806565525*^9, 3.388708067122921*^9}, {
   3.388708601246681*^9, 3.3887086887201347`*^9}, {3.388708750510585*^9, 
   3.388708753434341*^9}, {3.388708915077702*^9, 3.38870895005692*^9}, {
   3.3887090563368883`*^9, 3.388709087877841*^9}, {3.3887091191510878`*^9, 
   3.3887091386405563`*^9}, 3.388709256672201*^9, {3.3887094453698063`*^9, 
   3.388709472644706*^9}, {3.388709535561171*^9, 3.388709558996965*^9}, {
   3.38870959775137*^9, 3.388709603496196*^9}, {3.388710203520056*^9, 
   3.388710225248684*^9}, 3.38871030270807*^9, {3.3887105354196*^9, 
   3.388710540422845*^9}, {3.3887105786280193`*^9, 3.388710579960381*^9}, {
   3.3887106199893923`*^9, 3.3887106298649607`*^9}, {3.3887109628631983`*^9, 
   3.388711008694275*^9}, 3.388711110765901*^9, 3.388711186470476*^9, {
   3.388711739278844*^9, 3.388711739718053*^9}, {3.3887759261002274`*^9, 
   3.388775947594445*^9}, {3.3887760724666643`*^9, 3.3887761016192513`*^9}, 
   3.3887761591573553`*^9, 3.388776395027125*^9, {3.388776466453026*^9, 
   3.388776466994679*^9}, {3.3887765059489403`*^9, 3.38877651080759*^9}, {
   3.388776548422228*^9, 3.388776553749404*^9}, {3.388776598780878*^9, 
   3.388776603642727*^9}, {3.38877667937726*^9, 3.388776681226161*^9}, {
   3.388776711950439*^9, 3.388776712426518*^9}, {3.3887767477099953`*^9, 
   3.38877675082052*^9}, {3.3887767854314327`*^9, 3.3887768062910223`*^9}, {
   3.388776844679882*^9, 3.388776879151869*^9}, {3.388777025470731*^9, 
   3.3887770447378798`*^9}, {3.388777097892025*^9, 3.3887771519530478`*^9}, {
   3.3887771929241953`*^9, 3.388777224198691*^9}, {3.388778481584856*^9, 
   3.388778544650837*^9}, {3.38877857504727*^9, 3.388778585328274*^9}, {
   3.3887786433413877`*^9, 3.388778647155582*^9}, {3.388778683861401*^9, 
   3.388778732572803*^9}, {3.38877876982197*^9, 3.3887788447347193`*^9}, {
   3.388779005714182*^9, 3.3887790091542253`*^9}, {3.388779593289526*^9, 
   3.388779702752994*^9}, {3.3887797863800507`*^9, 3.3887798248413563`*^9}, {
   3.388779859448804*^9, 3.38877992672258*^9}, 3.388780003416217*^9, {
   3.388780033785471*^9, 3.3887800540477324`*^9}, {3.38878008666846*^9, 
   3.38878012204196*^9}, {3.388780260786775*^9, 3.388780277443511*^9}, {
   3.388780411047182*^9, 3.3887804406920557`*^9}, {3.388780637588931*^9, 
   3.388780642022232*^9}, {3.388781269510976*^9, 3.388781274650435*^9}, 
   3.388781308015155*^9, {3.3887816430540943`*^9, 3.38878164769092*^9}},
 CellID->1809929625]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`country$$ = "Australia", Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`country$$], "Australia", "country"}, {
      "Afghanistan" -> "Afghanistan", "Albania" -> "Albania", "Algeria" -> 
       "Algeria", "AmericanSamoa" -> "American Samoa", "Andorra" -> "Andorra",
        "Angola" -> "Angola", "Anguilla" -> "Anguilla", "AntiguaBarbuda" -> 
       "Antigua and Barbuda", "Argentina" -> "Argentina", "Armenia" -> 
       "Armenia", "Aruba" -> "Aruba", "Australia" -> "Australia", "Austria" -> 
       "Austria", "Azerbaijan" -> "Azerbaijan", "Bahamas" -> "the Bahamas", 
       "Bahrain" -> "Bahrain", "Bangladesh" -> "Bangladesh", "Barbados" -> 
       "Barbados", "Belarus" -> "Belarus", "Belgium" -> "Belgium", "Belize" -> 
       "Belize", "Benin" -> "Benin", "Bermuda" -> "Bermuda", "Bhutan" -> 
       "Bhutan", "Bolivia" -> "Bolivia", "BosniaHerzegovina" -> 
       "Bosnia and Herzegovina", "Botswana" -> "Botswana", "Brazil" -> 
       "Brazil", "BritishVirginIslands" -> "British Virgin Islands", "Brunei" -> 
       "Brunei", "Bulgaria" -> "Bulgaria", "BurkinaFaso" -> "Burkina Faso", 
       "Burundi" -> "Burundi", "Cambodia" -> "Cambodia", "Cameroon" -> 
       "Cameroon", "Canada" -> "Canada", "CapeVerde" -> "Cape Verde", 
       "CaymanIslands" -> "Cayman Islands", "CentralAfricanRepublic" -> 
       "Central African Republic", "Chad" -> "Chad", "Chile" -> "Chile", 
       "China" -> "China", "ChristmasIsland" -> "Christmas Island", 
       "CocosKeelingIslands" -> "Cocos (Keeling) Islands", "Colombia" -> 
       "Colombia", "Comoros" -> "Comoros", "CookIslands" -> "Cook Islands", 
       "CostaRica" -> "Costa Rica", "Croatia" -> "Croatia", "Cuba" -> "Cuba", 
       "Cyprus" -> "Cyprus", "CzechRepublic" -> "Czech Republic", 
       "DemocraticRepublicCongo" -> "Democratic Republic of the Congo", 
       "Denmark" -> "Denmark", "Djibouti" -> "Djibouti", "Dominica" -> 
       "Dominica", "DominicanRepublic" -> "Dominican Republic", "EastTimor" -> 
       "East Timor", "Ecuador" -> "Ecuador", "Egypt" -> "Egypt", "ElSalvador" -> 
       "El Salvador", "EquatorialGuinea" -> "Equatorial Guinea", "Eritrea" -> 
       "Eritrea", "Estonia" -> "Estonia", "Ethiopia" -> "Ethiopia", 
       "FalklandIslands" -> "Falkland Islands", "FaroeIslands" -> 
       "Faroe Islands", "Fiji" -> "Fiji", "Finland" -> "Finland", "France" -> 
       "France", "FrenchGuiana" -> "French Guiana", "FrenchPolynesia" -> 
       "French Polynesia", "Gabon" -> "Gabon", "Gambia" -> "The Gambia", 
       "GazaStrip" -> "Gaza Strip", "Georgia" -> "Georgia", "Germany" -> 
       "Germany", "Ghana" -> "Ghana", "Gibraltar" -> "Gibraltar", "Greece" -> 
       "Greece", "Greenland" -> "Greenland", "Grenada" -> "Grenada", 
       "Guadeloupe" -> "Guadeloupe", "Guam" -> "Guam", "Guatemala" -> 
       "Guatemala", "Guernsey" -> "Guernsey", "Guinea" -> "Guinea", 
       "GuineaBissau" -> "Guinea-Bissau", "Guyana" -> "Guyana", "Haiti" -> 
       "Haiti", "Honduras" -> "Honduras", "HongKong" -> "Hong Kong", 
       "Hungary" -> "Hungary", "Iceland" -> "Iceland", "India" -> "India", 
       "Indonesia" -> "Indonesia", "Iran" -> "Iran", "Iraq" -> "Iraq", 
       "Ireland" -> "Ireland", "IsleOfMan" -> "Isle of Man", "Israel" -> 
       "Israel", "Italy" -> "Italy", "IvoryCoast" -> "Ivory Coast", "Jamaica" -> 
       "Jamaica", "Japan" -> "Japan", "Jersey" -> "Jersey", "Jordan" -> 
       "Jordan", "Kazakhstan" -> "Kazakhstan", "Kenya" -> "Kenya", "Kiribati" -> 
       "Kiribati", "Kuwait" -> "Kuwait", "Kyrgyzstan" -> "Kyrgyzstan", "Laos" -> 
       "Laos", "Latvia" -> "Latvia", "Lebanon" -> "Lebanon", "Lesotho" -> 
       "Lesotho", "Liberia" -> "Liberia", "Libya" -> "Libya", "Liechtenstein" -> 
       "Liechtenstein", "Lithuania" -> "Lithuania", "Luxembourg" -> 
       "Luxembourg", "Macau" -> "Macau", "Macedonia" -> "Macedonia", 
       "Madagascar" -> "Madagascar", "Malawi" -> "Malawi", "Malaysia" -> 
       "Malaysia", "Maldives" -> "Maldives", "Mali" -> "Mali", "Malta" -> 
       "Malta", "MarshallIslands" -> "Marshall Islands", "Martinique" -> 
       "Martinique", "Mauritania" -> "Mauritania", "Mauritius" -> "Mauritius",
        "Mayotte" -> "Mayotte", "Mexico" -> "Mexico", "Micronesia" -> 
       "Micronesia", "Moldova" -> "Moldova", "Monaco" -> "Monaco", "Mongolia" -> 
       "Mongolia", "Montenegro" -> "Montenegro", "Montserrat" -> "Montserrat",
        "Morocco" -> "Morocco", "Mozambique" -> "Mozambique", "Myanmar" -> 
       "Myanmar", "Namibia" -> "Namibia", "Nauru" -> "Nauru", "Nepal" -> 
       "Nepal", "Netherlands" -> "the Netherlands", "NetherlandsAntilles" -> 
       "Netherlands Antilles", "NewCaledonia" -> "New Caledonia", 
       "NewZealand" -> "New Zealand", "Nicaragua" -> "Nicaragua", "Niger" -> 
       "Niger", "Nigeria" -> "Nigeria", "Niue" -> "Niue", "NorfolkIsland" -> 
       "Norfolk Island", "NorthernMarianaIslands" -> 
       "The Northern Mariana Islands", "NorthKorea" -> "North Korea", 
       "Norway" -> "Norway", "Oman" -> "Oman", "Pakistan" -> "Pakistan", 
       "Palau" -> "Palau", "Panama" -> "Panama", "PapuaNewGuinea" -> 
       "Papua New Guinea", "Paraguay" -> "Paraguay", "Peru" -> "Peru", 
       "Philippines" -> "the Philippines", "PitcairnIslands" -> 
       "Pitcairn Islands", "Poland" -> "Poland", "Portugal" -> 
       "Portuguese Republic", "PuertoRico" -> "Puerto Rico", "Qatar" -> 
       "Qatar", "RepublicCongo" -> "The Congo", "Reunion" -> 
       "R\[EAcute]union", "Romania" -> "Romania", "Russia" -> "Russia", 
       "Rwanda" -> "Rwanda", "SaintHelena" -> "Saint Helena", 
       "SaintKittsNevis" -> "Saint Kitts and Nevis", "SaintLucia" -> 
       "Saint Lucia", "SaintPierreMiquelon" -> "Saint-Pierre and Miquelon", 
       "SaintVincentGrenadines" -> "Saint Vincent and the Grenadines", 
       "Samoa" -> "Samoa", "SanMarino" -> "San Marino", "SaoTomePrincipe" -> 
       "S\[ATilde]o Tom\[EAcute] and Pr\[IAcute]ncipe", "SaudiArabia" -> 
       "Saudi Arabia", "Senegal" -> "Senegal", "Serbia" -> "Serbia", 
       "Seychelles" -> "Seychelles", "SierraLeone" -> "Sierra Leone", 
       "Singapore" -> "Singapore", "Slovakia" -> "Slovak Republic", 
       "Slovenia" -> "Slovenia", "SolomonIslands" -> "Solomon Islands", 
       "Somalia" -> "Somalia", "SouthAfrica" -> "South Africa", "SouthKorea" -> 
       "South Korea", "Spain" -> "Spain", "SriLanka" -> "Sri Lanka", "Sudan" -> 
       "The Sudan", "Suriname" -> "Suriname", "Svalbard" -> "Svalbard", 
       "Swaziland" -> "Swaziland", "Sweden" -> "Sweden", "Switzerland" -> 
       "Switzerland", "Syria" -> "Syria", "Taiwan" -> "Taiwan", "Tajikistan" -> 
       "Tajikistan", "Tanzania" -> "Tanzania", "Thailand" -> "Thailand", 
       "Togo" -> "Togo", "Tokelau" -> "Tokelau", "Tonga" -> "Tonga", 
       "TrinidadTobago" -> "Trinidad and Tobago", "Tunisia" -> "Tunisia", 
       "Turkey" -> "Turkey", "Turkmenistan" -> "Turkmenistan", 
       "TurksCaicosIslands" -> "Turks and Caicos Islands", "Tuvalu" -> 
       "Tuvalu", "Uganda" -> "Uganda", "Ukraine" -> "Ukraine", 
       "UnitedArabEmirates" -> "United Arab Emirates", "UnitedKingdom" -> 
       "United Kingdom", "UnitedStates" -> "United States", 
       "UnitedStatesVirginIslands" -> "United States Virgin Islands", 
       "Uruguay" -> "Uruguay", "Uzbekistan" -> "Uzbekistan", "Vanuatu" -> 
       "Vanuatu", "VaticanCity" -> "Vatican City", "Venezuela" -> "Venezuela",
        "Vietnam" -> "Vietnam", "WallisFutuna" -> "Wallis and Futuna Islands",
        "WestBank" -> "West Bank", "WesternSahara" -> "Western Sahara", 
       "Yemen" -> "Yemen", "Zambia" -> "Zambia", "Zimbabwe" -> "Zimbabwe"}}}, 
    Typeset`size$$ = {500., {248., 252.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`country$5386866$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`country$$ = "Australia"}, 
      "ControllerVariables" :> {
        Hold[$CellContext`country$$, $CellContext`country$5386866$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{
         EdgeForm[Black], LightBrown, 
         CountryData[$CellContext`country$$, "FullPolygon"], Red, 
         If[
          FreeQ[
           CityData[
            CountryData[$CellContext`country$$, "CapitalCity"], 
            "Coordinates"], 
           Blank[Missing]], 
          Inset[
           Graphics[{
             RGBColor[1, 0, 0], 
             
             Polygon[{{
               Rational[-11, 30] Sin[GoldenRatio^(-1)], Rational[11, 30] 
                Cos[GoldenRatio^(-1)]}, {0, 
               1}, {(Rational[
                   11, 30] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
                   Rational[1, 2]) 
                 Cos[GoldenRatio^(-1)] + (
                  Rational[-11, 120] (-1 + 5^Rational[1, 2])) 
                 Sin[GoldenRatio^(-1)], (
                  Rational[11, 120] (-1 + 5^Rational[1, 2])) 
                 Cos[GoldenRatio^(-1)] + (
                  Rational[
                   11, 30] (Rational[5, 8] + Rational[1, 8] 5^Rational[1, 2])^
                   Rational[1, 2]) Sin[GoldenRatio^(-1)]}, {(Rational[5, 8] + 
                 Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2], 
                Rational[1, 4] (-1 + 
                 5^Rational[1, 2])}, {(
                  Rational[
                   11, 30] (Rational[5, 8] + 
                    Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2]) 
                 Cos[GoldenRatio^(-1)] + (
                  Rational[-11, 120] (-1 - 5^Rational[1, 2])) 
                 Sin[GoldenRatio^(-1)], (
                  Rational[11, 120] (-1 - 5^Rational[1, 2])) 
                 Cos[GoldenRatio^(-1)] + (
                  Rational[
                   11, 30] (Rational[5, 8] + 
                    Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2]) 
                 Sin[GoldenRatio^(-1)]}, {(Rational[5, 8] + 
                 Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2], 
                Rational[1, 4] (-1 - 5^
                 Rational[1, 2])}, {(
                  Rational[-11, 30] (Rational[5, 8] + 
                    Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2]) 
                 Cos[GoldenRatio^(-1)] + (
                  Rational[-11, 120] (-1 - 5^Rational[1, 2])) 
                 Sin[GoldenRatio^(-1)], (
                  Rational[11, 120] (-1 - 5^Rational[1, 2])) 
                 Cos[GoldenRatio^(-1)] + (
                  Rational[-11, 30] (Rational[5, 8] + 
                    Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2]) 
                 Sin[GoldenRatio^(-1)]}, {-(Rational[5, 8] + 
                  Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2], 
                Rational[1, 4] (-1 - 5^
                 Rational[1, 2])}, {(
                  Rational[-11, 30] (Rational[5, 8] + 
                    Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2]) 
                 Cos[GoldenRatio^(-1)] + (
                  Rational[-11, 120] (-1 + 5^Rational[1, 2])) 
                 Sin[GoldenRatio^(-1)], (
                  Rational[11, 120] (-1 + 5^Rational[1, 2])) 
                 Cos[GoldenRatio^(-1)] + (
                  Rational[-11, 30] (Rational[5, 8] + 
                    Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2]) 
                 Sin[GoldenRatio^(-1)]}, {-(Rational[5, 8] + 
                  Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2], 
                Rational[1, 4] (-1 + 5^Rational[1, 2])}}]}, 
            ImageSize -> {11., Automatic}], 
           Reverse[
            CityData[
             CountryData[$CellContext`country$$, "CapitalCity"], 
             "Coordinates"]]], {}], 
         Select[
          Map[Tooltip[
            Point[
             Reverse[
              CityData[#, "Coordinates"]]], 
            Row[{
              CityData[#, "Name"], " \[LongDash] ", 
              NumberForm[
               CityData[#, "Population"], DigitBlock -> 3]}]]& , 
           If[Length[
              CityData[{All, $CellContext`country$$}]] > 3000, 
            Take[
             Reverse[
              SortBy[
               CityData[{All, $CellContext`country$$}], 
               CityData[#, "Population"]& ]], 3000], 
            CityData[{All, $CellContext`country$$}]]], FreeQ[#, 
           Blank[Missing]]& ]}, ImageSize -> {500, 500}, PlotRange -> If[
          
          MemberQ[{
           "Australia", "France", "Russia", "UnitedKingdom", 
            "UnitedStates"}, $CellContext`country$$], 
          Evaluate[
           (With[{$CellContext`r = Flatten[
                Map[Differences, #]]/3}, {{
             Part[#, 1, 1] - Part[$CellContext`r, 1]/3, Part[#, 1, 2] + 
              Part[$CellContext`r, 1]/3}, {
             Part[#, 2, 1] - Part[$CellContext`r, 2], Part[#, 2, 2] + 
              Part[$CellContext`r, 2]/2}}]& )[
            Map[{
              Max[#], 
              Min[#]}& , 
             Transpose[
              Flatten[
               Apply[List, 
                CountryData[$CellContext`country$$, "SchematicPolygon"]], 
               2]]]]], All]], 
      "Specifications" :> {{{$CellContext`country$$, "Australia", 
          "country"}, {
         "Afghanistan" -> "Afghanistan", "Albania" -> "Albania", "Algeria" -> 
          "Algeria", "AmericanSamoa" -> "American Samoa", "Andorra" -> 
          "Andorra", "Angola" -> "Angola", "Anguilla" -> "Anguilla", 
          "AntiguaBarbuda" -> "Antigua and Barbuda", "Argentina" -> 
          "Argentina", "Armenia" -> "Armenia", "Aruba" -> "Aruba", 
          "Australia" -> "Australia", "Austria" -> "Austria", "Azerbaijan" -> 
          "Azerbaijan", "Bahamas" -> "the Bahamas", "Bahrain" -> "Bahrain", 
          "Bangladesh" -> "Bangladesh", "Barbados" -> "Barbados", "Belarus" -> 
          "Belarus", "Belgium" -> "Belgium", "Belize" -> "Belize", "Benin" -> 
          "Benin", "Bermuda" -> "Bermuda", "Bhutan" -> "Bhutan", "Bolivia" -> 
          "Bolivia", "BosniaHerzegovina" -> "Bosnia and Herzegovina", 
          "Botswana" -> "Botswana", "Brazil" -> "Brazil", 
          "BritishVirginIslands" -> "British Virgin Islands", "Brunei" -> 
          "Brunei", "Bulgaria" -> "Bulgaria", "BurkinaFaso" -> "Burkina Faso",
           "Burundi" -> "Burundi", "Cambodia" -> "Cambodia", "Cameroon" -> 
          "Cameroon", "Canada" -> "Canada", "CapeVerde" -> "Cape Verde", 
          "CaymanIslands" -> "Cayman Islands", "CentralAfricanRepublic" -> 
          "Central African Republic", "Chad" -> "Chad", "Chile" -> "Chile", 
          "China" -> "China", "ChristmasIsland" -> "Christmas Island", 
          "CocosKeelingIslands" -> "Cocos (Keeling) Islands", "Colombia" -> 
          "Colombia", "Comoros" -> "Comoros", "CookIslands" -> "Cook Islands",
           "CostaRica" -> "Costa Rica", "Croatia" -> "Croatia", "Cuba" -> 
          "Cuba", "Cyprus" -> "Cyprus", "CzechRepublic" -> "Czech Republic", 
          "DemocraticRepublicCongo" -> "Democratic Republic of the Congo", 
          "Denmark" -> "Denmark", "Djibouti" -> "Djibouti", "Dominica" -> 
          "Dominica", "DominicanRepublic" -> "Dominican Republic", 
          "EastTimor" -> "East Timor", "Ecuador" -> "Ecuador", "Egypt" -> 
          "Egypt", "ElSalvador" -> "El Salvador", "EquatorialGuinea" -> 
          "Equatorial Guinea", "Eritrea" -> "Eritrea", "Estonia" -> "Estonia",
           "Ethiopia" -> "Ethiopia", "FalklandIslands" -> "Falkland Islands", 
          "FaroeIslands" -> "Faroe Islands", "Fiji" -> "Fiji", "Finland" -> 
          "Finland", "France" -> "France", "FrenchGuiana" -> "French Guiana", 
          "FrenchPolynesia" -> "French Polynesia", "Gabon" -> "Gabon", 
          "Gambia" -> "The Gambia", "GazaStrip" -> "Gaza Strip", "Georgia" -> 
          "Georgia", "Germany" -> "Germany", "Ghana" -> "Ghana", "Gibraltar" -> 
          "Gibraltar", "Greece" -> "Greece", "Greenland" -> "Greenland", 
          "Grenada" -> "Grenada", "Guadeloupe" -> "Guadeloupe", "Guam" -> 
          "Guam", "Guatemala" -> "Guatemala", "Guernsey" -> "Guernsey", 
          "Guinea" -> "Guinea", "GuineaBissau" -> "Guinea-Bissau", "Guyana" -> 
          "Guyana", "Haiti" -> "Haiti", "Honduras" -> "Honduras", "HongKong" -> 
          "Hong Kong", "Hungary" -> "Hungary", "Iceland" -> "Iceland", 
          "India" -> "India", "Indonesia" -> "Indonesia", "Iran" -> "Iran", 
          "Iraq" -> "Iraq", "Ireland" -> "Ireland", "IsleOfMan" -> 
          "Isle of Man", "Israel" -> "Israel", "Italy" -> "Italy", 
          "IvoryCoast" -> "Ivory Coast", "Jamaica" -> "Jamaica", "Japan" -> 
          "Japan", "Jersey" -> "Jersey", "Jordan" -> "Jordan", "Kazakhstan" -> 
          "Kazakhstan", "Kenya" -> "Kenya", "Kiribati" -> "Kiribati", 
          "Kuwait" -> "Kuwait", "Kyrgyzstan" -> "Kyrgyzstan", "Laos" -> 
          "Laos", "Latvia" -> "Latvia", "Lebanon" -> "Lebanon", "Lesotho" -> 
          "Lesotho", "Liberia" -> "Liberia", "Libya" -> "Libya", 
          "Liechtenstein" -> "Liechtenstein", "Lithuania" -> "Lithuania", 
          "Luxembourg" -> "Luxembourg", "Macau" -> "Macau", "Macedonia" -> 
          "Macedonia", "Madagascar" -> "Madagascar", "Malawi" -> "Malawi", 
          "Malaysia" -> "Malaysia", "Maldives" -> "Maldives", "Mali" -> 
          "Mali", "Malta" -> "Malta", "MarshallIslands" -> "Marshall Islands",
           "Martinique" -> "Martinique", "Mauritania" -> "Mauritania", 
          "Mauritius" -> "Mauritius", "Mayotte" -> "Mayotte", "Mexico" -> 
          "Mexico", "Micronesia" -> "Micronesia", "Moldova" -> "Moldova", 
          "Monaco" -> "Monaco", "Mongolia" -> "Mongolia", "Montenegro" -> 
          "Montenegro", "Montserrat" -> "Montserrat", "Morocco" -> "Morocco", 
          "Mozambique" -> "Mozambique", "Myanmar" -> "Myanmar", "Namibia" -> 
          "Namibia", "Nauru" -> "Nauru", "Nepal" -> "Nepal", "Netherlands" -> 
          "the Netherlands", "NetherlandsAntilles" -> "Netherlands Antilles", 
          "NewCaledonia" -> "New Caledonia", "NewZealand" -> "New Zealand", 
          "Nicaragua" -> "Nicaragua", "Niger" -> "Niger", "Nigeria" -> 
          "Nigeria", "Niue" -> "Niue", "NorfolkIsland" -> "Norfolk Island", 
          "NorthernMarianaIslands" -> "The Northern Mariana Islands", 
          "NorthKorea" -> "North Korea", "Norway" -> "Norway", "Oman" -> 
          "Oman", "Pakistan" -> "Pakistan", "Palau" -> "Palau", "Panama" -> 
          "Panama", "PapuaNewGuinea" -> "Papua New Guinea", "Paraguay" -> 
          "Paraguay", "Peru" -> "Peru", "Philippines" -> "the Philippines", 
          "PitcairnIslands" -> "Pitcairn Islands", "Poland" -> "Poland", 
          "Portugal" -> "Portuguese Republic", "PuertoRico" -> "Puerto Rico", 
          "Qatar" -> "Qatar", "RepublicCongo" -> "The Congo", "Reunion" -> 
          "R\[EAcute]union", "Romania" -> "Romania", "Russia" -> "Russia", 
          "Rwanda" -> "Rwanda", "SaintHelena" -> "Saint Helena", 
          "SaintKittsNevis" -> "Saint Kitts and Nevis", "SaintLucia" -> 
          "Saint Lucia", "SaintPierreMiquelon" -> "Saint-Pierre and Miquelon",
           "SaintVincentGrenadines" -> "Saint Vincent and the Grenadines", 
          "Samoa" -> "Samoa", "SanMarino" -> "San Marino", "SaoTomePrincipe" -> 
          "S\[ATilde]o Tom\[EAcute] and Pr\[IAcute]ncipe", "SaudiArabia" -> 
          "Saudi Arabia", "Senegal" -> "Senegal", "Serbia" -> "Serbia", 
          "Seychelles" -> "Seychelles", "SierraLeone" -> "Sierra Leone", 
          "Singapore" -> "Singapore", "Slovakia" -> "Slovak Republic", 
          "Slovenia" -> "Slovenia", "SolomonIslands" -> "Solomon Islands", 
          "Somalia" -> "Somalia", "SouthAfrica" -> "South Africa", 
          "SouthKorea" -> "South Korea", "Spain" -> "Spain", "SriLanka" -> 
          "Sri Lanka", "Sudan" -> "The Sudan", "Suriname" -> "Suriname", 
          "Svalbard" -> "Svalbard", "Swaziland" -> "Swaziland", "Sweden" -> 
          "Sweden", "Switzerland" -> "Switzerland", "Syria" -> "Syria", 
          "Taiwan" -> "Taiwan", "Tajikistan" -> "Tajikistan", "Tanzania" -> 
          "Tanzania", "Thailand" -> "Thailand", "Togo" -> "Togo", "Tokelau" -> 
          "Tokelau", "Tonga" -> "Tonga", "TrinidadTobago" -> 
          "Trinidad and Tobago", "Tunisia" -> "Tunisia", "Turkey" -> "Turkey",
           "Turkmenistan" -> "Turkmenistan", "TurksCaicosIslands" -> 
          "Turks and Caicos Islands", "Tuvalu" -> "Tuvalu", "Uganda" -> 
          "Uganda", "Ukraine" -> "Ukraine", "UnitedArabEmirates" -> 
          "United Arab Emirates", "UnitedKingdom" -> "United Kingdom", 
          "UnitedStates" -> "United States", "UnitedStatesVirginIslands" -> 
          "United States Virgin Islands", "Uruguay" -> "Uruguay", 
          "Uzbekistan" -> "Uzbekistan", "Vanuatu" -> "Vanuatu", "VaticanCity" -> 
          "Vatican City", "Venezuela" -> "Venezuela", "Vietnam" -> "Vietnam", 
          "WallisFutuna" -> "Wallis and Futuna Islands", "WestBank" -> 
          "West Bank", "WesternSahara" -> "Western Sahara", "Yemen" -> 
          "Yemen", "Zambia" -> "Zambia", "Zimbabwe" -> "Zimbabwe"}}}, 
      "Options" :> {}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {290., 295.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->1879017754],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Cities of Countries",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CitiesOfCountries/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/CitiesOfCountries/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/CitiesOfCountries/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CitiesOfCountries/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/CitiesOfCountries/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Jesse Nochella", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->777100583],

Cell["Based on work by: Jason Cawley and others", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->1585456686]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
CitiesOfCountries"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Cities of Countries - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 211, 4, 70, "Section"],
Cell[804, 29, 13950, 288, 70, "Input",
 CellID->1809929625]
}, Open  ]],
Cell[14769, 320, 21992, 351, 70, "Output",
 CellID->1879017754],
Cell[CellGroupData[{
Cell[36786, 675, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[37162, 686, 881, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[38068, 714, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[38408, 725, 205, 6, 70, "Text",
 CellID->777100583],
Cell[38616, 733, 217, 6, 70, "Text",
 CellID->1585456686]
}, Open  ]],
Cell[CellGroupData[{
Cell[38870, 744, 967, 27, 70, "Text"],
Cell[39840, 773, 1193, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature vTzrD6SFVHzF6BTlpnv6QBg5 *)
