(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     51793,       1111]
NotebookOptionsPosition[     50403,       1061]
NotebookOutlinePosition[     51038,       1085]
CellTagsIndexPosition[     50995,       1082]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Graphical Linear Programming for Two Variables", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"feasibleregion", " ", "=", " ", 
   RowBox[{"RegionPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"x", "+", 
        RowBox[{"2", "y"}]}], "\[LessEqual]", "6"}], " ", "&&", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"2", "x"}], " ", "+", " ", "y"}], " ", "\[LessEqual]", "8"}], 
      "&&", " ", 
      RowBox[{
       RowBox[{"y", " ", "-", " ", "x"}], "\[LessEqual]", "1"}], "&&", 
      RowBox[{"y", "\[LessEqual]", "2"}]}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "0", ",", "8.5"}], "}"}], ",", " ", 
     RowBox[{"Frame", "\[Rule]", "False"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.414232806252698*^9, 3.4142328505495725`*^9}, {
   3.4142329224870725`*^9, 3.4142329516120725`*^9}, {3.4142331650183225`*^9, 
   3.414233166752698*^9}, {3.4142336476120725`*^9, 3.414233650471448*^9}, 
   3.414234609065198*^9, {3.4142347222995725`*^9, 3.414234726002698*^9}, {
   3.4215924024056253`*^9, 3.4215924024993753`*^9}},
 CellID->203556936],

Cell[BoxData[
 RowBox[{
  RowBox[{"region", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"3", " ", "-", " ", 
        RowBox[{"x", "/", "2"}]}], ",", 
       RowBox[{"8", " ", "-", " ", 
        RowBox[{"2", "x"}]}], ",", 
       RowBox[{"1", " ", "+", " ", "x"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", " ", "0", ",", " ", "8"}], "}"}], ",", " ", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", " ", "8.5"}], "}"}]}], ",", " ", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RGBColor", "[", 
         RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", " ", 
        RowBox[{"RGBColor", "[", 
         RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], " ", ",", 
        RowBox[{"RGBColor", "[", 
         RowBox[{".25", ",", ".43", ",", ".82"}], "]"}], ",", " ", 
        RowBox[{"RGBColor", "[", 
         RowBox[{".48", ",", ".11", ",", ".56"}], "]"}]}], "}"}]}]}], "]"}]}],
   ";"}]], "Input",
 CellChangeTimes->{{3.414233098377698*^9, 3.414233098846448*^9}, {
   3.4142331796120725`*^9, 3.4142332361120725`*^9}, {3.414233272440198*^9, 
   3.414233288002698*^9}, {3.414233654283948*^9, 3.4142336555808225`*^9}, 
   3.414234612096448*^9, {3.4142355776745725`*^9, 3.4142355804245725`*^9}, {
   3.4214254395842714`*^9, 3.4214254892112336`*^9}, {3.4215924071400003`*^9, 
   3.4215924072493753`*^9}, {3.4216841766875*^9, 3.4216841803125*^9}, {
   3.421684248734375*^9, 3.4216842508125*^9}},
 CellID->78603287],

Cell[BoxData[
 RowBox[{
  RowBox[{"labeledregion", " ", "=", " ", 
   RowBox[{"Show", "[", 
    RowBox[{"feasibleregion", ",", "region", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<A\>\"", ",", 
        RowBox[{"{", 
         RowBox[{".2", ",", ".2"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<B\>\"", ",", " ", 
        RowBox[{"{", 
         RowBox[{".2", ",", "1"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", " ", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<C\>\"", ",", " ", 
        RowBox[{"{", 
         RowBox[{"1", ",", "2.2"}], "}"}]}], "]"}], "]"}], ",", " ", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<D\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", " ", "2.2"}], "}"}]}], "]"}], "]"}], ",", " ", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<E\>\"", ",", " ", 
        RowBox[{"{", 
         RowBox[{"3.5", ",", "1.4"}], "}"}]}], "]"}], "]"}], ",", " ", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<F\>\"", ",", " ", 
        RowBox[{"{", 
         RowBox[{"4.2", ",", " ", ".1"}], "}"}]}], "]"}], "]"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.42170273775*^9, 3.42170290953125*^9}, {
   3.42170295153125*^9, 3.421703060046875*^9}, {3.421703103390625*^9, 
   3.421703235828125*^9}, 3.42170333890625*^9, {3.421882624328125*^9, 
   3.421882701515625*^9}, 3.421882795015625*^9, {3.424798074874221*^9, 
   3.4247980832790613`*^9}},
 CellID->323469038],

Cell[BoxData[
 RowBox[{
  RowBox[{"objfun", "  ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"y", "[", "t_", "]"}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "/", "8"}], ")"}], "*", "t"}], " ", "+", " ", 
       RowBox[{"2", "x"}]}]}], ",", 
     RowBox[{
      RowBox[{"y", "[", "t_", "]"}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "/", "6"}], ")"}], "*", "t"}], " ", "+", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "/", "2"}], ")"}], "*", "x"}]}]}], ",", 
     RowBox[{
      RowBox[{"y", "[", "t_", "]"}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "/", "4"}], ")"}], "*", "t"}], " ", "-", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "/", "4"}], ")"}], "*", "x"}]}]}], ",", 
     RowBox[{
      RowBox[{"y", "[", "t_", "]"}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "/", "2"}], ")"}], "*", "t"}], " ", "-", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"3", "/", "2"}], ")"}], "*", "x"}]}]}], ",", 
     RowBox[{
      RowBox[{"y", "[", "t_", "]"}], "=", 
      RowBox[{"t", " ", "-", " ", 
       RowBox[{"3", "*", "x"}]}]}], ",", 
     RowBox[{
      RowBox[{"y", "[", "t_", "]"}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", "0.1", ")"}], "*", "t"}], " ", "+", " ", "x"}]}], ",", 
     " ", 
     RowBox[{
      RowBox[{"y", "[", "t_", "]"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "/", "5"}], ")"}], "*", "t"}]}], ",", 
     RowBox[{
      RowBox[{"y", "[", "t_", "]"}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "/", "4"}], ")"}], "*", "t"}], " ", "-", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "/", "2"}], ")"}], "*", "x"}]}]}], ",", "  ", 
     RowBox[{
      RowBox[{"y", "[", "t_", "]"}], " ", "=", " ", 
      RowBox[{"t", " ", "-", " ", 
       RowBox[{"2", "*", "x"}]}]}], ",", " ", 
     RowBox[{
      RowBox[{"y", "[", "t_", "]"}], " ", "=", " ", 
      RowBox[{"7", "-", 
       RowBox[{"t", "/", "2"}]}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4142338876433225`*^9, 3.4142339090183225`*^9}, 
   3.414234623408948*^9, 3.421682614953125*^9, {3.42168269278125*^9, 
   3.421682701953125*^9}, {3.42168277584375*^9, 3.421682784453125*^9}, {
   3.421682838015625*^9, 3.42168284359375*^9}, {3.42168303246875*^9, 
   3.4216830541875*^9}, {3.421683108125*^9, 3.4216831214375*^9}, {
   3.421683173203125*^9, 3.421683185109375*^9}, {3.4216837005625*^9, 
   3.421683700875*^9}, {3.421683744171875*^9, 3.4216838020625*^9}, {
   3.421703455875*^9, 3.42170354203125*^9}, {3.421703583890625*^9, 
   3.4217035961875*^9}, {3.42170370078125*^9, 3.421703718125*^9}, {
   3.421703779265625*^9, 3.4217037893125*^9}, {3.42170382646875*^9, 
   3.421703864390625*^9}, {3.421703897890625*^9, 3.421703918640625*^9}, {
   3.421704741921875*^9, 3.42170474421875*^9}, {3.42179280225*^9, 
   3.421792802640625*^9}, {3.42179286196875*^9, 3.42179287090625*^9}, 
   3.421792909421875*^9, {3.421792990390625*^9, 3.421792992984375*^9}, {
   3.421793059453125*^9, 3.42179306215625*^9}, {3.4217931335625*^9, 
   3.42179315025*^9}, {3.42179336084375*^9, 3.421793369484375*^9}, 
   3.421793475171875*^9, {3.421793536640625*^9, 3.421793549171875*^9}, {
   3.42188124528125*^9, 3.421881248203125*^9}, {3.42188143875*^9, 
   3.4218814683125*^9}, 3.421881544046875*^9, {3.421881730078125*^9, 
   3.42188174021875*^9}, {3.421881888296875*^9, 3.421881889515625*^9}, 
   3.42188195759375*^9, 3.421882063796875*^9, 3.421882336125*^9, {
   3.421882427109375*^9, 3.42188242721875*^9}, 3.421882468515625*^9, 
   3.421882714078125*^9},
 CellID->361211433],

Cell[BoxData[
 RowBox[{
  RowBox[{"standardobjfun", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "16"}], "x"}], " ", "+", " ", 
      RowBox[{"8", "y"}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "3"}], "x"}], " ", "+", " ", 
      RowBox[{"6", "y"}]}], ",", " ", 
     RowBox[{"x", " ", "+", " ", 
      RowBox[{"4", "y"}]}], ",", " ", 
     RowBox[{
      RowBox[{"3", "x"}], " ", "+", " ", 
      RowBox[{"2", "y"}]}], ",", " ", 
     RowBox[{
      RowBox[{"3", "x"}], " ", "+", " ", "y"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "10"}], "x"}], " ", "+", " ", "10"}], ",", " ", 
     RowBox[{"5", "y"}], ",", " ", 
     RowBox[{
      RowBox[{"2", "x"}], " ", "+", " ", 
      RowBox[{"4", "y"}]}], ",", " ", 
     RowBox[{
      RowBox[{"2", "x"}], " ", "+", " ", "y"}], ",", " ", 
     RowBox[{"14", " ", "-", " ", 
      RowBox[{"2", "y"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.421684499171875*^9, 3.42168450840625*^9}, {
   3.42168454265625*^9, 3.4216847654375*^9}, {3.42170392721875*^9, 
   3.4217040303125*^9}, {3.421704196453125*^9, 3.421704199953125*^9}, {
   3.4217933730625*^9, 3.421793376640625*^9}, 3.42179355490625*^9, {
   3.42188119446875*^9, 3.421881200203125*^9}, {3.42188155415625*^9, 
   3.4218815581875*^9}, {3.421881757734375*^9, 3.421881771953125*^9}, {
   3.4218818965*^9, 3.42188190015625*^9}, 3.4218819644375*^9, {
   3.421882073109375*^9, 3.4218820764375*^9}, {3.421882341046875*^9, 
   3.421882349109375*^9}, {3.421882433109375*^9, 3.4218824365*^9}, 
   3.421882472859375*^9, 3.42188271796875*^9, {3.424635120153305*^9, 
   3.424635159138179*^9}},
 CellID->244561072],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{"labeledregion", ",", " ", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"objfun", "[", 
         RowBox[{"[", "corner", "]"}], "]"}], "/.", 
        RowBox[{"t", "\[Rule]", "objfunvalue"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "2"}], ",", "8"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "8.5"}], "}"}]}], ",", " ", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Directive", "[", 
         RowBox[{"Black", ",", " ", "Thick"}], "]"}]}]}], "]"}], " ", ",", 
     " ", 
     RowBox[{"If", "[", 
      RowBox[{"equations", ",", 
       RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
        RowBox[{"Inset", "[", 
         RowBox[{
          RowBox[{"Grid", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Panel", "[", 
               RowBox[{
                RowBox[{"Grid", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", " ", "+", " ", 
                    RowBox[{"2", "y"}]}], " ", "<=", " ", "6"}], ",", 
                    "\"\<, \>\"", ",", "12", ",", " ", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{".49", ",", "0", ",", "0"}], "]"}]}], "]"}], ",", 
                    
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"2", "x"}], " ", "+", " ", "y"}], " ", "<=", " ", 
                    "8"}], ",", "12", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{".6", ",", ".73", ",", ".36"}], "]"}]}], "]"}]}], 
                    "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "x"}], " ", "+", " ", "y"}], " ", "<=", " ", 
                    "1"}], ",", "\"\<, \>\"", ",", "12", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{".25", ",", ".43", ",", ".82"}], "]"}]}], "]"}], 
                    ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"y", " ", "<=", " ", "2"}], ",", " ", "12", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{".48", ",", ".11", ",", ".56"}], "]"}]}], "]"}]}],
                     "}"}]}], "}"}], "]"}], ",", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<Constraints\>\"", ",", "12", ",", "Bold", ",", 
                  RowBox[{"Background", "\[Rule]", "White"}]}], "]"}]}], " ", 
               "]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Panel", "[", 
               RowBox[{
                RowBox[{"Grid", "[", 
                 RowBox[{"{", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"standardobjfun", "[", 
                    RowBox[{"[", "corner", "]"}], "]"}], " ", ",", " ", 
                    "12"}], "]"}], ",", " ", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\< = \>\"", ",", " ", "12"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"SetPrecision", "[", 
                    RowBox[{"objfunvalue", ",", "4"}], "]"}], ",", " ", 
                    "12"}], "]"}]}], "}"}], "}"}], "]"}], ",", 
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<Objective Function Value\>\"", ",", "12", ",", "Bold", 
                  ",", 
                  RowBox[{"Background", "\[Rule]", "White"}]}], "]"}]}], 
               "]"}], "}"}]}], "}"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"3", ",", "7"}], "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"{", "}"}]}], "]"}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}]}]}], "]"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"corner", ",", "5", ",", "\"\<solution at corner\>\""}], "}"}], 
     ",", 
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\<B\>\""}], ",", 
       RowBox[{"2", "\[Rule]", " ", "\"\<C\>\""}], ",", " ", 
       RowBox[{"3", "\[Rule]", "\"\<D\>\""}], ",", 
       RowBox[{"4", "\[Rule]", "\"\<E\>\""}], ",", 
       RowBox[{"5", "\[Rule]", "\"\<F\>\""}], ",", 
       RowBox[{"6", "\[Rule]", "\"\<B & C\>\""}], ",", " ", 
       RowBox[{"7", "\[Rule]", "\"\<C & D\>\""}], ",", " ", 
       RowBox[{"8", "\[Rule]", "\"\<D & E\>\""}], ",", " ", 
       RowBox[{"9", "\[Rule]", "\"\<E & F\>\""}], ",", " ", 
       RowBox[{"10", "\[Rule]", "\"\<F & A\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "objfunvalue", ",", "2", ",", "\"\<objective  function value\>\""}], 
      "}"}], ",", "1", ",", "14", ",", "0.25", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"equations", ",", "False", ",", "\"\<equations\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", " ", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4142337624870725`*^9, 3.414233797252698*^9}, {
   3.4142338725495725`*^9, 3.4142338737370725`*^9}, {3.4142339228308225`*^9, 
   3.4142340861745725`*^9}, {3.414234160971448*^9, 3.414234274721448*^9}, {
   3.4142343285808225`*^9, 3.414234345127698*^9}, {3.4142343827370725`*^9, 
   3.4142344100183225`*^9}, {3.4142344449245725`*^9, 
   3.4142344892058225`*^9}, {3.4142345508933225`*^9, 
   3.4142345811745725`*^9}, {3.414234746690198*^9, 3.4142347746433225`*^9}, 
   3.4142348088308225`*^9, {3.4142350770808225`*^9, 3.414235112377698*^9}, {
   3.4142353632995725`*^9, 3.414235369971448*^9}, {3.4142374725808225`*^9, 
   3.414237662033948*^9}, {3.4142376990183225`*^9, 3.414237708190198*^9}, {
   3.4142377410808225`*^9, 3.4142377692995725`*^9}, {3.4142378975808225`*^9, 
   3.414237933377698*^9}, {3.4142379791120725`*^9, 3.414237979315198*^9}, {
   3.4142380561745725`*^9, 3.4142382834245725`*^9}, {3.4142383248308225`*^9, 
   3.4142384005808225`*^9}, 3.421425497469059*^9, {3.4215883334212503`*^9, 
   3.4215883543275003`*^9}, {3.4215883984993753`*^9, 
   3.4215884658587503`*^9}, {3.4215886050775003`*^9, 3.4215886154212503`*^9}, 
   3.4215886537025003`*^9, 3.4215886995150003`*^9, {3.4215887370150003`*^9, 
   3.4215887717493753`*^9}, 3.4215888474368753`*^9, {3.4215892907025003`*^9, 
   3.4215894163275003`*^9}, {3.4215896981243753`*^9, 
   3.4215897959056253`*^9}, {3.4215898460462503`*^9, 3.4215899157493753`*^9}, 
   3.4215900290931253`*^9, {3.4215903549368753`*^9, 3.4215904669525003`*^9}, {
   3.4215905989212503`*^9, 3.4215908099056253`*^9}, {3.4215908407650003`*^9, 
   3.4215910044837503`*^9}, {3.4215910694368753`*^9, 
   3.4215910743431253`*^9}, {3.4215911127025003`*^9, 
   3.4215911580618753`*^9}, {3.4215912637025003`*^9, 
   3.4215912640775003`*^9}, {3.4215912945150003`*^9, 
   3.4215914661712503`*^9}, {3.4215915012181253`*^9, 
   3.4215915827181253`*^9}, {3.4215916563431253`*^9, 
   3.4215917146556253`*^9}, {3.4215917503900003`*^9, 
   3.4215917737806253`*^9}, {3.4215918101400003`*^9, 
   3.4215918474525003`*^9}, {3.4215919714525003`*^9, 
   3.4215921794368753`*^9}, {3.4215922136556253`*^9, 
   3.4215922417493753`*^9}, {3.4215922769056253`*^9, 
   3.4215923042025003`*^9}, {3.4215923364212503`*^9, 
   3.4215923518900003`*^9}, {3.4215923872493753`*^9, 3.4215924132650003`*^9}, 
   3.4215924524525003`*^9, {3.4215927663900003`*^9, 3.4215928426712503`*^9}, {
   3.421683210984375*^9, 3.421683246578125*^9}, {3.421683403703125*^9, 
   3.4216835634375*^9}, {3.421683637140625*^9, 3.42168364678125*^9}, 
   3.421683677640625*^9, {3.4216839701875*^9, 3.421684003578125*^9}, {
   3.421684082125*^9, 3.421684112*^9}, {3.421684148578125*^9, 
   3.42168415290625*^9}, {3.421684216265625*^9, 3.421684238484375*^9}, {
   3.42168435965625*^9, 3.421684374984375*^9}, {3.42168443909375*^9, 
   3.4216844755625*^9}, {3.42168477634375*^9, 3.42168480590625*^9}, {
   3.42168517421875*^9, 3.421685205046875*^9}, {3.421685268*^9, 
   3.421685283359375*^9}, {3.42168534521875*^9, 3.421685348578125*^9}, {
   3.421685414265625*^9, 3.42168541434375*^9}, {3.42168554971875*^9, 
   3.421685589359375*^9}, 3.421685805671875*^9, {3.4217030693125*^9, 
   3.421703071671875*^9}, {3.421703374765625*^9, 3.421703443140625*^9}, {
   3.42170373184375*^9, 3.4217037486875*^9}, {3.42179321134375*^9, 
   3.42179323640625*^9}, {3.421881168875*^9, 3.421881175390625*^9}, {
   3.42188274065625*^9, 3.421882768125*^9}, {3.421882933796875*^9, 
   3.42188294234375*^9}, {3.421883233640625*^9, 3.42188325503125*^9}, 
   3.421883635515625*^9, {3.421883916796875*^9, 3.421883922875*^9}, {
   3.4246016808279924`*^9, 3.424601688572767*^9}, {3.4246345778338633`*^9, 
   3.424634661725562*^9}, {3.4246347057261252`*^9, 3.424634805071147*^9}, {
   3.4246349200257435`*^9, 3.4246349458073235`*^9}, 3.42463516977894*^9, {
   3.42463525027997*^9, 3.424635251483111*^9}, {3.42464602609375*^9, 
   3.42464602978125*^9}, {3.424688875791311*^9, 3.42468887598333*^9}},
 CellID->549551221]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`corner$$ = 5, $CellContext`equations$$ = 
    False, $CellContext`objfunvalue$$ = 2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`corner$$], 5, "solution at corner"}, {
      1 -> "B", 2 -> "C", 3 -> "D", 4 -> "E", 5 -> "F", 6 -> "B & C", 7 -> 
       "C & D", 8 -> "D & E", 9 -> "E & F", 10 -> "F & A"}}, {{
       Hold[$CellContext`objfunvalue$$], 2, "objective  function value"}, 1, 
      14, 0.25}, {{
       Hold[$CellContext`equations$$], False, "equations"}, {True, False}}}, 
    Typeset`size$$ = {360., {184., 188.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`corner$160778$$ = 
    False, $CellContext`objfunvalue$160779$$ = 
    0, $CellContext`equations$160780$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`corner$$ = 5, $CellContext`equations$$ = 
        False, $CellContext`objfunvalue$$ = 2}, "ControllerVariables" :> {
        Hold[$CellContext`corner$$, $CellContext`corner$160778$$, False], 
        Hold[$CellContext`objfunvalue$$, $CellContext`objfunvalue$160779$$, 
         0], 
        Hold[$CellContext`equations$$, $CellContext`equations$160780$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[$CellContext`labeledregion, 
        Plot[
         ReplaceAll[
          
          Part[$CellContext`objfun, $CellContext`corner$$], $CellContext`t -> \
$CellContext`objfunvalue$$], {$CellContext`x, -2, 8}, PlotRange -> {-2, 8.5}, 
         PlotStyle -> Directive[Black, Thick]], 
        If[$CellContext`equations$$, 
         Graphics[
          Inset[
           Grid[{{
              Panel[
               Grid[{{
                  Style[$CellContext`x + 2 $CellContext`y <= 6, ", ", 12, 
                   RGBColor[0.49, 0, 0]], 
                  Style[2 $CellContext`x + $CellContext`y <= 8, 12, 
                   RGBColor[0.6, 0.73, 0.36]]}, {
                  Style[-$CellContext`x + $CellContext`y <= 1, ", ", 12, 
                   RGBColor[0.25, 0.43, 0.82]], 
                  Style[$CellContext`y <= 2, 12, 
                   RGBColor[0.48, 0.11, 0.56]]}}], 
               Style["Constraints", 12, Bold, Background -> White]]}, {
              Panel[
               Grid[{{
                  Style[
                   Part[$CellContext`standardobjfun, $CellContext`corner$$], 
                   12], 
                  Style[" = ", 12], 
                  Style[
                   SetPrecision[$CellContext`objfunvalue$$, 4], 12]}}], 
               Style[
               "Objective Function Value", 12, Bold, Background -> 
                White]]}}], {3, 7}]], {}], Axes -> True, 
        AxesLabel -> {$CellContext`x, $CellContext`y}], 
      "Specifications" :> {{{$CellContext`corner$$, 5, 
          "solution at corner"}, {
         1 -> "B", 2 -> "C", 3 -> "D", 4 -> "E", 5 -> "F", 6 -> "B & C", 7 -> 
          "C & D", 8 -> "D & E", 9 -> "E & F", 10 -> "F & A"}, ControlType -> 
         SetterBar}, {{$CellContext`objfunvalue$$, 2, 
          "objective  function value"}, 1, 14, 0.25, Appearance -> 
         "Labeled"}, {{$CellContext`equations$$, False, "equations"}, {
         True, False}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{404., {249., 254.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`labeledregion = Graphics[{
           GraphicsComplex[CompressedData["
1:eJxdlWlQk1cUhgPKThLBChq0imMp06JSMAiVcm4bbQEBwzJoLQYHq1VBadGh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            "], {{{
               EdgeForm[], 
               RGBColor[
               0.798413061722744, 0.824719615472648, 0.968322270542458], 
               GraphicsGroup[{
                 
                 Polygon[{{12, 1, 2}, {14, 3, 4}, {15, 4, 5}, {92, 13, 22}, {
                  13, 2, 3}, {16, 5, 6}, {17, 6, 7}, {48, 40, 10}, {85, 12, 
                  21}, {18, 7, 8}, {44, 43, 28}, {19, 8, 9}, {23, 13, 14}, {
                  32, 23, 24}, {27, 17, 18}, {89, 88, 19}, {24, 14, 15}, {26, 
                  16, 17}, {91, 76, 42}, {75, 22, 30}, {33, 24, 25}, {34, 25, 
                  26}, {31, 22, 23}, {25, 15, 16}, {23, 32, 31}, {82, 27, 
                  35}, {22, 31, 30}, {70, 33, 39}, {51, 46, 34}, {7, 18, 
                  17}, {66, 32, 38}, {1, 12, 11}, {2, 13, 12}, {5, 16, 15}, {
                  6, 17, 16}, {3, 14, 13}, {62, 31, 37}, {80, 45, 30}, {8, 19,
                   18}, {88, 27, 18}, {13, 23, 22}, {14, 24, 23}, {40, 19, 
                  9}, {92, 21, 12}, {15, 25, 24}, {16, 26, 25}, {90, 89, 
                  41}, {76, 75, 29}, {17, 27, 26}, {85, 20, 11}, {4, 15, 
                  14}, {24, 33, 32}, {65, 63, 37}, {43, 35, 27}, {80, 62, 
                  36}, {49, 41, 19}, {82, 34, 26}, {66, 37, 31}, {70, 38, 
                  32}, {10, 40, 9}, {53, 49, 40}, {46, 39, 33}, {87, 86, 
                  42}, {61, 51, 47}, {28, 43, 27}, {43, 50, 35}, {57, 44, 
                  28}, {79, 78, 45}, {34, 46, 33}, {55, 52, 46}, {56, 48, 
                  10}, {115, 169, 44}, {74, 55, 51}, {47, 51, 34}, {40, 49, 
                  19}, {54, 50, 43}, {25, 34, 33}, {46, 52, 39}, {44, 54, 
                  43}, {50, 58, 35}, {49, 60, 41}, {67, 66, 38}, {59, 56, 
                  10}, {31, 62, 30}, {63, 62, 37}, {63, 64, 36}, {32, 66, 
                  31}, {62, 63, 36}, {51, 55, 46}, {48, 53, 40}, {66, 67, 
                  37}, {94, 93, 75}, {71, 70, 39}, {70, 71, 38}, {69, 67, 
                  38}, {33, 70, 32}, {73, 71, 39}, {71, 72, 38}, {78, 75, 
                  30}, {77, 76, 29}, {61, 74, 51}, {67, 68, 37}, {94, 76, 
                  21}, {76, 77, 42}, {75, 78, 29}, {82, 83, 34}, {84, 83, 
                  35}, {83, 47, 34}, {45, 78, 30}, {85, 86, 20}, {93, 92, 
                  22}, {27, 88, 28}, {155, 122, 69}, {75, 93, 22}, {169, 114, 
                  44}, {149, 144, 47}, {148, 147, 61}, {142, 143, 41}, {123, 
                  157, 72}, {152, 120, 65}, {126, 159, 48}, {19, 88, 18}, {88,
                   89, 28}, {62, 80, 30}, {81, 80, 36}, {78, 79, 29}, {80, 81,
                   45}, {27, 82, 26}, {12, 85, 11}, {86, 87, 20}, {92, 93, 
                  21}, {91, 86, 21}, {41, 89, 19}, {89, 90, 28}, {13, 92, 
                  12}, {86, 91, 42}, {76, 91, 21}, {86, 85, 21}, {83, 82, 
                  35}, {100, 166, 52}, {98, 136, 29}, {132, 117, 45}, {145, 
                  146, 60}, {76, 94, 75}, {116, 137, 58}, {129, 111, 42}, {
                  163, 130, 50}, {117, 131, 45}, {138, 99, 36}, {111, 113, 
                  42}, {135, 110, 57}, {134, 109, 56}, {136, 96, 29}, {133, 
                  140, 52}, {166, 133, 52}, {93, 94, 21}, {83, 84, 47}, {102, 
                  138, 36}, {97, 163, 50}, {121, 154, 68}, {118, 149, 47}, {
                  119, 151, 64}, {158, 124, 73}, {109, 160, 56}, {139, 105, 
                  39}, {159, 125, 48}, {143, 128, 41}}], 
                 
                 Polygon[{{113, 168, 87, 42}, {141, 134, 56, 59}, {120, 150, 
                  63, 65}, {110, 115, 44, 57}, {144, 148, 61, 47}, {122, 153, 
                  67, 69}, {128, 170, 90, 41}, {124, 156, 71, 73}, {101, 167, 
                  84, 35}, {160, 126, 48, 56}, {131, 164, 79, 45}, {105, 158, 
                  73, 39}, {153, 121, 68, 67}, {127, 135, 57, 28}, {99, 165, 
                  81, 36}, {108, 100, 52, 55}, {96, 162, 77, 29}, {107, 97, 
                  50, 54}, {104, 155, 69, 38}, {125, 106, 53, 48}, {114, 107, 
                  54, 44}, {103, 152, 65, 37}, {130, 116, 58, 50}, {161, 108, 
                  55, 74}, {137, 101, 35, 58}, {106, 95, 49, 53}, {140, 139, 
                  39, 52}, {147, 161, 74, 61}, {150, 119, 64, 63}, {151, 102, 
                  36, 64}, {154, 103, 37, 68}, {95, 145, 60, 49}, {156, 123, 
                  72, 71}, {146, 142, 41, 60}, {157, 104, 38, 72}, {164, 98, 
                  29, 79}, {162, 129, 42, 77}, {165, 132, 45, 81}, {167, 118, 
                  47, 84}, {168, 112, 20, 87}, {170, 127, 28, 
                  90}}]}]}, {}, {}, {}}, {{
               Directive[{
                 Opacity[0.4], 
                 GrayLevel[0]}], 
               
               Line[{2, 1, 11, 20, 112, 168, 113, 111, 129, 162, 96, 136, 98, 
                164, 131, 117, 132, 165, 99, 138, 102, 151, 119, 150, 120, 
                152, 103, 154, 121, 153, 122, 155, 104, 157, 123, 156, 124, 
                158, 105, 139, 140, 133, 166, 100, 108, 161, 147, 148, 144, 
                149, 118, 167, 101, 137, 116, 130, 163, 97, 107, 114, 169, 
                115, 110, 135, 127, 170, 128, 143, 142, 146, 145, 95, 106, 
                125, 159, 126, 160, 109, 134, 141, 59, 10, 9, 8, 7, 6, 5, 4, 
                3, 2}]}}}], {{{}, {}, {
              Hue[0.67, 0.6, 0.6], 
              RGBColor[0.49, 0, 0], 
              
              Line[{{1.6326530612244896`*^-7, 2.999999918367347}, {
               0.002453743364477014, 2.9987731283177617`}, {
               0.0049073234636479056`, 2.997546338268176}, {
               0.00981448366198969, 2.995092758169005}, {
               0.019628804058673257`, 2.9901855979706635`}, {
               0.03925744485204039, 2.9803712775739797`}, {
               0.07851472643877466, 2.960742636780613}, {0.1570292896122432, 
               2.9214853551938784`}, {0.32726685668366917`, 
               2.836366571658165}, {0.4862230685612167, 
               2.7568884657193915`}, {0.6420611905510084, 
               2.6789694047244956`}, {0.8111077532652889, 
               2.5944461233673555`}, {0.9688729607856911, 
               2.5155635196071544`}, {1.1398466090305823`, 
               2.4300766954847086`}, {1.3077021673877174`, 
               2.3461489163061415`}, {1.464276370550974, 2.267861814724513}, {
               1.6340590144387197`, 2.1829704927806404`}, {1.792560303132587, 
               2.1037198484337063`}, {1.9479435019386981`, 
               2.026028249030651}, {2.1165351414692988`, 
               1.9417324292653506`}, {2.273845425806021, 
               1.8630772870969896`}, {2.444364150867232, 1.777817924566384}, {
               2.6117647860406867`, 1.6941176069796566`}, {
               2.7678840660202635`, 1.6160579669898683`}, {2.937211786724329, 
               1.5313941066378356`}, {3.095258152234516, 1.452370923882742}, {
               3.266512958469192, 1.366743520765404}, {3.434649674816112, 
               1.282675162591944}, {3.591505035969154, 1.204247482015423}, {
               3.7615688378466845`, 1.1192155810766578`}, {
               3.9203512845303368`, 1.0398243577348316`}, {4.076015641326233, 
               0.9619921793368835}, {4.244888438846618, 0.8775557805766909}, {
               4.402479881173125, 0.7987600594134374}, {4.573279764224121, 
               0.7133601178879396}, {4.740961557387361, 0.6295192213063197}, {
               4.8973619953567225`, 0.5513190023216388}, {5.066970874050573, 
               0.4665145629747136}, {5.225298397550545, 
               0.38735080122472754`}, {5.3805078311627605`, 
               0.3097460844186197}, {5.548925705499466, 0.2255371472502672}, {
               5.706062224642292, 0.1469688876788542}, {5.876407184509607, 
               0.06179640774519646}, {6., 0.}}]}, {
              Hue[0.9060679774997897, 0.6, 0.6], 
              RGBColor[0.6, 0.73, 0.36], 
              
              Line[{{1.6326530612244896`*^-7, 7.999999673469388}, {
               0.002453743364477014, 7.995092513271046}, {
               0.0049073234636479056`, 7.990185353072704}, {
               0.00981448366198969, 7.980371032676021}, {
               0.019628804058673257`, 7.960742391882653}, {
               0.03925744485204039, 7.92148511029592}, {0.07851472643877466, 
               7.842970547122451}, {0.1570292896122432, 7.685941420775514}, {
               0.32726685668366917`, 7.345466286632662}, {0.4862230685612167, 
               7.027553862877567}, {0.6420611905510084, 6.715877618897983}, {
               0.8111077532652889, 6.377784493469422}, {0.9688729607856911, 
               6.062254078428618}, {1.1398466090305823`, 5.720306781938835}, {
               1.3077021673877174`, 5.384595665224565}, {1.464276370550974, 
               5.071447258898052}, {1.6340590144387197`, 4.731881971122561}, {
               1.792560303132587, 4.414879393734826}, {1.9479435019386981`, 
               4.104112996122604}, {2.1165351414692988`, 
               3.7669297170614024`}, {2.273845425806021, 
               3.4523091483879584`}, {2.444364150867232, 
               3.1112716982655364`}, {2.6117647860406867`, 
               2.7764704279186265`}, {2.7678840660202635`, 
               2.464231867959473}, {2.937211786724329, 2.1255764265513424`}, {
               3.095258152234516, 1.809483695530968}, {3.266512958469192, 
               1.4669740830616158`}, {3.434649674816112, 
               1.1307006503677757`}, {3.591505035969154, 
               0.8169899280616919}, {3.7615688378466845`, 
               0.476862324306631}, {3.9203512845303368`, 
               0.15929743093932647`}, {4., 0.}}]}, {
              Hue[0.1421359549995791, 0.6, 0.6], 
              RGBColor[0.25, 0.43, 0.82], 
              
              Line[{{1.6326530612244896`*^-7, 1.0000001632653062`}, {
               0.002453743364477014, 1.0024537433644771`}, {
               0.0049073234636479056`, 1.0049073234636479`}, {
               0.00981448366198969, 1.0098144836619898`}, {
               0.019628804058673257`, 1.0196288040586732`}, {
               0.03925744485204039, 1.0392574448520404`}, {
               0.07851472643877466, 1.0785147264387747`}, {0.1570292896122432,
                1.1570292896122432`}, {0.32726685668366917`, 
               1.3272668566836692`}, {0.4862230685612167, 
               1.4862230685612168`}, {0.6420611905510084, 
               1.6420611905510083`}, {0.8111077532652889, 
               1.811107753265289}, {0.9688729607856911, 
               1.9688729607856912`}, {1.1398466090305823`, 
               2.1398466090305823`}, {1.3077021673877174`, 
               2.3077021673877174`}, {1.464276370550974, 2.464276370550974}, {
               1.6340590144387197`, 2.6340590144387197`}, {1.792560303132587, 
               2.792560303132587}, {1.9479435019386981`, 2.947943501938698}, {
               2.1165351414692988`, 3.1165351414692988`}, {2.273845425806021, 
               3.273845425806021}, {2.444364150867232, 3.444364150867232}, {
               2.6117647860406867`, 3.6117647860406867`}, {
               2.7678840660202635`, 3.7678840660202635`}, {2.937211786724329, 
               3.937211786724329}, {3.095258152234516, 4.095258152234516}, {
               3.266512958469192, 4.2665129584691925`}, {3.434649674816112, 
               4.434649674816113}, {3.591505035969154, 4.5915050359691545`}, {
               3.7615688378466845`, 4.761568837846685}, {3.9203512845303368`, 
               4.920351284530337}, {4.076015641326233, 5.076015641326233}, {
               4.244888438846618, 5.244888438846618}, {4.402479881173125, 
               5.402479881173125}, {4.573279764224121, 5.573279764224121}, {
               4.740961557387361, 5.740961557387361}, {4.8973619953567225`, 
               5.8973619953567225`}, {5.066970874050573, 6.066970874050573}, {
               5.225298397550545, 6.225298397550545}, {5.3805078311627605`, 
               6.3805078311627605`}, {5.548925705499466, 6.548925705499466}, {
               5.706062224642292, 6.706062224642292}, {5.876407184509607, 
               6.876407184509607}, {6.035470789183044, 7.035470789183044}, {
               6.191416303968725, 7.191416303968725}, {6.360570259478895, 
               7.360570259478895}, {6.5184428597951865`, 
               7.5184428597951865`}, {6.689523900835967, 7.689523900835967}, {
               6.857486851988992, 7.857486851988992}, {7.014168447948138, 
               8.014168447948137}, {7.184058484631773, 8.184058484631773}, {
               7.3426671661215295`, 8.34266716612153}, {7.49815775772353, 
               8.49815775772353}, {7.500000000000001, 8.5}}]}, {
              Hue[0.37820393249936934`, 0.6, 0.6], 
              RGBColor[0.48, 0.11, 0.56], 
              
              Line[{{1.6326530612244896`*^-7, 2.}, {0.07851472643877466, 
               2.}, {0.1570292896122432, 2.}, {0.32726685668366917`, 2.}, {
               0.4862230685612167, 2.}, {0.6420611905510084, 2.}, {
               0.8111077532652889, 2.}, {0.9688729607856911, 2.}, {
               1.1398466090305823`, 2.}, {1.3077021673877174`, 2.}, {
               1.464276370550974, 2.}, {1.6340590144387197`, 2.}, {
               1.792560303132587, 2.}, {1.9479435019386981`, 2.}, {
               2.1165351414692988`, 2.}, {2.273845425806021, 2.}, {
               2.444364150867232, 2.}, {2.6117647860406867`, 2.}, {
               2.7678840660202635`, 2.}, {2.937211786724329, 2.}, {
               3.095258152234516, 2.}, {3.266512958469192, 2.}, {
               3.434649674816112, 2.}, {3.591505035969154, 2.}, {
               3.7615688378466845`, 2.}, {3.9203512845303368`, 2.}, {
               4.076015641326233, 2.}, {4.244888438846618, 2.}, {
               4.402479881173125, 2.}, {4.573279764224121, 2.}, {
               4.740961557387361, 2.}, {4.8973619953567225`, 2.}, {
               5.066970874050573, 2.}, {5.225298397550545, 2.}, {
               5.3805078311627605`, 2.}, {5.548925705499466, 2.}, {
               5.706062224642292, 2.}, {5.876407184509607, 2.}, {
               6.035470789183044, 2.}, {6.191416303968725, 2.}, {
               6.360570259478895, 2.}, {6.5184428597951865`, 2.}, {
               6.689523900835967, 2.}, {6.857486851988992, 2.}, {
               7.014168447948138, 2.}, {7.184058484631773, 2.}, {
               7.3426671661215295`, 2.}, {7.49815775772353, 2.}, {
               7.666856790050019, 2.}, {7.82427446718263, 2.}, {
               7.994900585039731, 2.}, {7.997450210887212, 2.}, {
               7.999999836734694, 2.}}]}}}, 
           Text["A", {0.2, 0.2}], 
           Text["B", {0.2, 1}], 
           Text["C", {1, 2.2}], 
           Text["D", {2, 2.2}], 
           Text["E", {3.5, 1.4}], 
           Text["F", {4.2, 0.1}]}, {
          AspectRatio -> 1, 
           Method -> {
            "TransparentPolygonMesh" -> True, "AxesInFront" -> True}, 
           PlotRange -> {{0, 8}, {0, 8.5}}, PlotRangeClipping -> True, 
           PlotRangePadding -> {
             Scaled[0.02], 
             Scaled[0.02]}}], 
        Attributes[PlotRange] = {
         ReadProtected}, $CellContext`objfun = {$CellContext`t/8 + 
          2 $CellContext`x, $CellContext`t/6 + $CellContext`x/
           2, $CellContext`t/4 - $CellContext`x/
          4, $CellContext`t/2 - (3 $CellContext`x)/2, $CellContext`t - 
          3 $CellContext`x, 
          0.1 $CellContext`t + $CellContext`x, $CellContext`t/
          5, $CellContext`t/4 - $CellContext`x/2, $CellContext`t - 
          2 $CellContext`x, 7 - $CellContext`t/2}, $CellContext`y[
          Pattern[$CellContext`t, 
           Blank[]]] = 
        7 - $CellContext`t/
         2, $CellContext`standardobjfun = {(-16) $CellContext`x + 
          8 $CellContext`y, (-3) $CellContext`x + 
          6 $CellContext`y, $CellContext`x + 4 $CellContext`y, 
          3 $CellContext`x + 2 $CellContext`y, 
          3 $CellContext`x + $CellContext`y, 10 - 10 $CellContext`x, 
          5 $CellContext`y, 2 $CellContext`x + 4 $CellContext`y, 
          2 $CellContext`x + $CellContext`y, 14 - 2 $CellContext`y}}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`feasibleregion = RegionPlot[
            
            And[$CellContext`x + 2 $CellContext`y <= 6, 
             2 $CellContext`x + $CellContext`y <= 
             8, $CellContext`y - $CellContext`x <= 1, $CellContext`y <= 
             2], {$CellContext`x, 0, 8}, {$CellContext`y, 0, 8.5}, Frame -> 
            False]; Null, $CellContext`region = 
          Plot[{3 - $CellContext`x/2, 8 - 2 $CellContext`x, 
             1 + $CellContext`x, 2}, {$CellContext`x, 0, 8}, 
            PlotRange -> {0, 8.5}, PlotStyle -> {
              RGBColor[0.49, 0, 0], 
              RGBColor[0.6, 0.73, 0.36], 
              RGBColor[0.25, 0.43, 0.82], 
              RGBColor[0.48, 0.11, 0.56]}]; 
         Null, $CellContext`labeledregion = 
          Show[$CellContext`feasibleregion, $CellContext`region, 
            Graphics[
             Text["A", {0.2, 0.2}]], 
            Graphics[
             Text["B", {0.2, 1}]], 
            Graphics[
             Text["C", {1, 2.2}]], 
            Graphics[
             Text["D", {2, 2.2}]], 
            Graphics[
             Text["E", {3.5, 1.4}]], 
            Graphics[
             Text["F", {4.2, 0.1}]]]; 
         Null, $CellContext`objfun = {$CellContext`y[
              Pattern[$CellContext`t, 
               Blank[]]] = (1/8) $CellContext`t + 
             2 $CellContext`x, $CellContext`y[
              Pattern[$CellContext`t, 
               Blank[]]] = (1/6) $CellContext`t + (1/
               2) $CellContext`x, $CellContext`y[
              Pattern[$CellContext`t, 
               Blank[]]] = (1/4) $CellContext`t - (1/
              4) $CellContext`x, $CellContext`y[
              Pattern[$CellContext`t, 
               Blank[]]] = (1/2) $CellContext`t - (3/
              2) $CellContext`x, $CellContext`y[
              Pattern[$CellContext`t, 
               Blank[]]] = $CellContext`t - 3 $CellContext`x, $CellContext`y[
              Pattern[$CellContext`t, 
               Blank[]]] = 
            0.1 $CellContext`t + $CellContext`x, $CellContext`y[
              Pattern[$CellContext`t, 
               Blank[]]] = (1/5) $CellContext`t, $CellContext`y[
              Pattern[$CellContext`t, 
               Blank[]]] = (1/4) $CellContext`t - (1/
              2) $CellContext`x, $CellContext`y[
              Pattern[$CellContext`t, 
               Blank[]]] = $CellContext`t - 2 $CellContext`x, $CellContext`y[
              Pattern[$CellContext`t, 
               Blank[]]] = 7 - $CellContext`t/2}; 
         Null, $CellContext`standardobjfun = {(-16) $CellContext`x + 
            8 $CellContext`y, (-3) $CellContext`x + 
            6 $CellContext`y, $CellContext`x + 4 $CellContext`y, 
            3 $CellContext`x + 2 $CellContext`y, 
            3 $CellContext`x + $CellContext`y, (-10) $CellContext`x + 10, 
            5 $CellContext`y, 2 $CellContext`x + 4 $CellContext`y, 
            2 $CellContext`x + $CellContext`y, 14 - 2 $CellContext`y}; 
         Null}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->122063440],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Graphical Linear Programming for Two Variables",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
GraphicalLinearProgrammingForTwoVariables/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
GraphicalLinearProgrammingForTwoVariables/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
GraphicalLinearProgrammingForTwoVariables/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
GraphicalLinearProgrammingForTwoVariables/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
GraphicalLinearProgrammingForTwoVariables/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Olivia M. Carducci",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Olivia+M.+\
Carducci"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Olivia+M.+Carducci"],\

 " (East Stroudsburg University)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
GraphicalLinearProgrammingForTwoVariables"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Graphical Linear Programming for Two Variables - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 238, 4, 70, "Section"],
Cell[831, 29, 1101, 26, 70, "Input",
 CellID->203556936],
Cell[1935, 57, 1571, 36, 70, "Input",
 CellID->78603287],
Cell[3509, 95, 1648, 42, 70, "Input",
 CellID->323469038],
Cell[5160, 139, 3801, 94, 70, "Input",
 CellID->361211433],
Cell[8964, 235, 1728, 43, 70, "Input",
 CellID->244561072],
Cell[10695, 280, 9879, 200, 70, "Input",
 CellID->549551221]
}, Open  ]],
Cell[20589, 483, 25437, 436, 70, "Output",
 CellID->122063440],
Cell[CellGroupData[{
Cell[46051, 923, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[46427, 934, 1046, 31, 70, "Text"],
Cell[47476, 967, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[47816, 978, 485, 16, 70, "Text"],
Cell[CellGroupData[{
Cell[48326, 998, 829, 24, 70, "Text"],
Cell[49158, 1024, 1217, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature zTj#a4ogwKSI5CDGAkwOIqsN *)
