(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     31551,        806]
NotebookOptionsPosition[     30045,        750]
NotebookOutlinePosition[     30659,        774]
CellTagsIndexPosition[     30616,        771]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["The Perfect Venn Diagram", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"area", "[", 
   RowBox[{"R_", ",", "r_", ",", "d_"}], "]"}], ":=", 
  RowBox[{"0", "/;", 
   RowBox[{
    RowBox[{"d", ">=", 
     RowBox[{"R", "+", "r"}]}], " ", "&&", " ", 
    RowBox[{"r", "\[LessEqual]", "R"}]}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.420190092737301*^9, 3.420190119686922*^9}, {
   3.4201901530520287`*^9, 3.420190155915655*^9}, {3.4201917724764423`*^9, 
   3.4201917779965467`*^9}, 3.420193919696248*^9},
 CellID->311099184],

Cell[BoxData[
 RowBox[{
  RowBox[{"area", "[", 
   RowBox[{"R_", ",", "r_", ",", "d_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"r", "^", "2"}], " ", 
     RowBox[{"ArcCos", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"d", "^", "2"}], "+", 
         RowBox[{"r", "^", "2"}], "-", 
         RowBox[{"R", "^", "2"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"2", "d", " ", "r"}], ")"}]}], "]"}]}], "+", 
    RowBox[{
     RowBox[{"R", "^", "2"}], " ", 
     RowBox[{"ArcCos", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"d", "^", "2"}], "+", 
         RowBox[{"R", "^", "2"}], "-", 
         RowBox[{"r", "^", "2"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"2", "d", " ", "R"}], ")"}]}], "]"}]}], "-", 
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "d"}], "+", "r", "+", "R"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"d", "+", "r", "-", "R"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"d", "-", "r", "+", "R"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"d", "+", "r", "+", "R"}], ")"}]}], "]"}], "/", "2"}]}], "/;",
    
   RowBox[{
    RowBox[{
     RowBox[{"R", "-", "r"}], "<", "d", "<", 
     RowBox[{"R", "+", "r"}]}], " ", "&&", " ", 
    RowBox[{"r", "\[LessEqual]", "R"}]}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.420190141904594*^9, 3.420190142119504*^9}, {
   3.420190173569973*^9, 3.4201901840768023`*^9}, {3.420190777125963*^9, 
   3.420190779233741*^9}, {3.420191782525176*^9, 3.4201917860295467`*^9}, 
   3.420193920657305*^9},
 CellID->2078890159],

Cell[BoxData[
 RowBox[{
  RowBox[{"area", "[", 
   RowBox[{"R_", ",", "r_", ",", "d_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"\[Pi]", " ", 
    SuperscriptBox["r", "2"]}], "/;", 
   RowBox[{
    RowBox[{"d", "\[LessEqual]", 
     RowBox[{"R", "-", "r"}]}], " ", "&&", " ", 
    RowBox[{"r", "\[LessEqual]", "R"}], " ", "&&", " ", 
    RowBox[{"r", "\[LessEqual]", "R"}]}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.420190008885716*^9, 3.420190069914941*^9}, {
   3.420190135348782*^9, 3.4201901373873568`*^9}, {3.420191524747328*^9, 
   3.420191538444859*^9}, {3.420191788306801*^9, 3.420191790754126*^9}, 
   3.420193921260551*^9},
 CellID->754625538],

Cell[BoxData[
 RowBox[{
  RowBox[{"area", "[", 
   RowBox[{"R_", ",", "r_", ",", "d_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"area", "[", 
    RowBox[{"r", ",", "R", ",", "d"}], "]"}], "/;", 
   RowBox[{"r", ">", "R"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.420191801655919*^9, 3.4201918115735483`*^9}, {
   3.420193921852088*^9, 3.420193922723629*^9}},
 CellID->256263453],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Pane", "[", 
    RowBox[{
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"r", ",", "nmin", ",", "overlap", ",", "x"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"r", "=", 
         SqrtBox["bs"]}], ";", "\[IndentingNewLine]", 
        RowBox[{"overlap", "=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"relativeTo", "===", "\"\<A\>\""}], ",", 
           RowBox[{"overlapA", " ", "\[Pi]"}], " ", ",", 
           RowBox[{"overlapB", " ", "\[Pi]", " ", 
            SuperscriptBox["r", "2"]}]}], "]"}]}], ";", "\[IndentingNewLine]",
         
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"overlap", "<=", 
           RowBox[{"Min", "[", 
            RowBox[{"\[Pi]", " ", ",", 
             RowBox[{"\[Pi]", " ", 
              SuperscriptBox[
               RowBox[{"(", " ", "r", ")"}], "2"]}]}], "]"}]}], ",", 
          RowBox[{"(", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"nmin", "=", 
             RowBox[{"Check", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"qqq", ",", 
                 RowBox[{"FindRoot", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"area", "[", 
                    RowBox[{"1", ",", "r", ",", "d"}], "]"}], "-", 
                    "overlap"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"d", ",", 
                    RowBox[{"-", "0.1"}], ",", 
                    RowBox[{"1", "+", "r"}]}], "}"}]}], "]"}]}], "}"}], ",", 
               RowBox[{"Quiet", "@", 
                RowBox[{"NMinimize", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"area", "[", 
                    RowBox[{"1", ",", "r", ",", "d"}], "]"}], "-", 
                    "overlap"}], ")"}], "2"], ",", 
                    RowBox[{"d", "\[GreaterEqual]", "0"}]}], "}"}], ",", 
                  "d"}], "]"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"x", "=", 
             RowBox[{"Max", "[", 
              RowBox[{"0", ",", 
               RowBox[{"d", "/.", 
                RowBox[{"Last", "@", "nmin"}]}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Graphics", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Opacity", "[", "0.5", "]"}], ",", "Yellow", ",", 
                RowBox[{"Disk", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}], ",", 
                "Blue", ",", 
                RowBox[{"Disk", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"x", ",", "0"}], "}"}], ",", "r"}], "]"}], ",", 
                "Black", ",", 
                RowBox[{"Text", "[", 
                 RowBox[{"A", ",", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "1"}], ",", 
                    RowBox[{"-", "1"}]}], "}"}]}], "]"}], ",", 
                RowBox[{"Text", "[", 
                 RowBox[{"B", ",", 
                  RowBox[{"{", 
                   RowBox[{"x", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"1", ",", "1"}], "}"}]}], "]"}]}], "}"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"480", ",", "350"}], "}"}]}], ",", 
              RowBox[{"PlotRange", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "1.2"}], ",", "4.6"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "1.9"}], ",", "1.9"}], "}"}]}], "}"}]}], ",", 
              
              RowBox[{"PlotLabel", "\[Rule]", 
               RowBox[{"Labeled", "[", 
                RowBox[{
                 RowBox[{"Grid", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<relative to A\>\"", ",", "\"\<relative to B\>\"", 
                    ",", "\"\<relative to A \[Union] B\>\""}], "}"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"5", ",", "3"}], "}"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"area", "[", 
                    RowBox[{"1", ",", "r", ",", "x"}], "]"}], 
                    RowBox[{"\[Pi]", " "}]], ",", 
                    FractionBox[
                    RowBox[{"area", "[", 
                    RowBox[{"1", ",", "r", ",", "x"}], "]"}], 
                    RowBox[{"\[Pi]", " ", 
                    SuperscriptBox["r", "2"]}]], ",", 
                    FractionBox[
                    RowBox[{"area", "[", 
                    RowBox[{"1", ",", "r", ",", "x"}], "]"}], 
                    RowBox[{"\[Pi]", " ", "+", " ", 
                    RowBox[{"\[Pi]", " ", 
                    SuperscriptBox["r", "2"]}], "-", 
                    RowBox[{"area", "[", 
                    RowBox[{"1", ",", "r", ",", "x"}], "]"}]}]]}], "}"}]}]}], 
                    "}"}], ",", 
                   RowBox[{"Dividers", "\[Rule]", "All"}], ",", 
                   RowBox[{"Background", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"None", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"ColorData", "[", "8", "]"}], "[", "1", "]"}], 
                    ",", 
                    RowBox[{
                    RowBox[{"ColorData", "[", "8", "]"}], "[", "2", "]"}]}], 
                    "}"}]}], "}"}]}]}], "]"}], ",", 
                 "\"\<overlap area computations\>\"", ",", "Top"}], "]"}]}]}],
              "]"}]}], ")"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<It is impossible to have an overlap of \>\"", "<>", 
            RowBox[{"ToString", "[", "overlap", "]"}], "<>", 
            "\"\< when the area of the smaller circle is \>\"", "<>", 
            RowBox[{"ToString", "[", 
             RowBox[{"\[Pi]", " ", 
              RowBox[{
               RowBox[{"Min", "[", 
                RowBox[{"r", ",", "1"}], "]"}], "^", "2"}]}], "]"}]}], 
           "]"}]}], "]"}]}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"500", ",", "360"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]",
    
   RowBox[{"(*", " ", 
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", "  ", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"controls", " ", "--"}], "--"}], "--"}], "--"}], "--"}],
           "--"}]}]}]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"bs", ",", "1", ",", "\"\<relative size of set B\>\""}], "}"}], 
     ",", "0.01", ",", "3", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "relativeTo", ",", "\"\<A\>\"", ",", 
       "\"\<compute overlap size relative to this set\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<A\>\"", ",", "\"\<B\>\""}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "overlapA", ",", "0.5", ",", "\"\<overlap relative to set A\>\""}], 
      "}"}], ",", "0", ",", "1", ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{"relativeTo", "===", "\"\<A\>\""}], ")"}]}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "overlapB", ",", "0.5", ",", "\"\<overlap relative to set B\>\""}], 
      "}"}], ",", "0", ",", "1", ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{"relativeTo", "===", "\"\<B\>\""}], ")"}]}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.420149859775565*^9, 3.4201498972760057`*^9}, {
   3.420152356556513*^9, 3.420152606288911*^9}, {3.420152652630248*^9, 
   3.420152698003714*^9}, {3.420152737040002*^9, 3.420152754261157*^9}, {
   3.420152815873846*^9, 3.420152859431905*^9}, {3.42015289493192*^9, 
   3.4201529390820417`*^9}, {3.420154389787435*^9, 3.420154410000868*^9}, {
   3.420154457028398*^9, 3.4201545208213673`*^9}, {3.420154565736112*^9, 
   3.420154574617058*^9}, {3.4201546701947412`*^9, 3.4201546987530107`*^9}, {
   3.420154768067945*^9, 3.420154776962462*^9}, {3.420156117695404*^9, 
   3.4201561960689297`*^9}, {3.420156227274267*^9, 3.420156243382666*^9}, {
   3.4201562748685703`*^9, 3.420156308554987*^9}, {3.420156395646761*^9, 
   3.420156533705711*^9}, {3.4201566383100023`*^9, 3.4201567765119762`*^9}, 
   3.4201568291981173`*^9, {3.4201568672166348`*^9, 3.42015691379714*^9}, {
   3.4201579644439898`*^9, 3.4201580021620083`*^9}, {3.420158094134427*^9, 
   3.420158186938854*^9}, {3.420158995857346*^9, 3.4201590110224123`*^9}, {
   3.420159085607356*^9, 3.4201590983447723`*^9}, 3.420160628444121*^9, {
   3.420160680860928*^9, 3.420160693886985*^9}, {3.420190261129154*^9, 
   3.4201903207736607`*^9}, {3.420190381118903*^9, 3.420190438374222*^9}, {
   3.420190492448217*^9, 3.4201905345814962`*^9}, {3.420190590689275*^9, 
   3.420190745573745*^9}, {3.4201908074225197`*^9, 3.4201908293885193`*^9}, {
   3.420190904721085*^9, 3.420190911717236*^9}, {3.420191015262973*^9, 
   3.420191017979066*^9}, {3.420191052036134*^9, 3.420191091849519*^9}, {
   3.42019123487805*^9, 3.4201912350874*^9}, {3.4201912703843327`*^9, 
   3.420191290285623*^9}, {3.42019138397055*^9, 3.420191412258956*^9}, {
   3.42019184537051*^9, 3.4201918803288193`*^9}, {3.420191935821425*^9, 
   3.420191937683622*^9}, {3.420191990133003*^9, 3.4201919902129908`*^9}, {
   3.4201922934665613`*^9, 3.420192316855668*^9}, {3.4201925444080553`*^9, 
   3.420192577186286*^9}, {3.4201926740298643`*^9, 3.420192674448327*^9}, {
   3.420192708158643*^9, 3.420192713056653*^9}, {3.420192820947619*^9, 
   3.420192821464841*^9}, {3.420192890889234*^9, 3.420192896555932*^9}, {
   3.42019292864669*^9, 3.420192966815877*^9}, {3.420193006121681*^9, 
   3.420193120901271*^9}, {3.420193441159446*^9, 3.420193460079535*^9}, {
   3.420193923834989*^9, 3.420193926918024*^9}, {3.42021478745858*^9, 
   3.4202147876215963`*^9}, {3.420218655058554*^9, 3.4202186868806157`*^9}, {
   3.420218753776125*^9, 3.420218841697352*^9}, {3.421759221350728*^9, 
   3.421759240341817*^9}, 3.421759500539137*^9, {3.421759659059804*^9, 
   3.421759808050351*^9}, {3.421759899498974*^9, 3.421759945485217*^9}, {
   3.421760425646799*^9, 3.4217604398414917`*^9}, {3.4217608127921314`*^9, 
   3.4217608247103233`*^9}, {3.422366335715616*^9, 3.422366350615106*^9}},
 CellID->639223449]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`bs$$ = 1, $CellContext`overlapA$$ = 
    0.5, $CellContext`overlapB$$ = 0.5, $CellContext`relativeTo$$ = "A", 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`bs$$], 1, "relative size of set B"}, 0.01, 3}, {{
       Hold[$CellContext`relativeTo$$], "A", 
       "compute overlap size relative to this set"}, {"A", "B"}}, {{
       Hold[$CellContext`overlapA$$], 0.5, "overlap relative to set A"}, 0, 
      1}, {{
       Hold[$CellContext`overlapB$$], 0.5, "overlap relative to set B"}, 0, 
      1}}, Typeset`size$$ = {500., {177.5, 182.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`bs$49640$$ = 0, $CellContext`relativeTo$49641$$ = 
    False, $CellContext`overlapA$49642$$ = 0, $CellContext`overlapB$49643$$ = 
    0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`bs$$ = 1, $CellContext`overlapA$$ = 
        0.5, $CellContext`overlapB$$ = 0.5, $CellContext`relativeTo$$ = "A"}, 
      "ControllerVariables" :> {
        Hold[$CellContext`bs$$, $CellContext`bs$49640$$, 0], 
        Hold[$CellContext`relativeTo$$, $CellContext`relativeTo$49641$$, 
         False], 
        Hold[$CellContext`overlapA$$, $CellContext`overlapA$49642$$, 0], 
        Hold[$CellContext`overlapB$$, $CellContext`overlapB$49643$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        Module[{$CellContext`r$, $CellContext`nmin$, $CellContext`overlap$, \
$CellContext`x$}, $CellContext`r$ = $CellContext`bs$$^
           Rational[1, 2]; $CellContext`overlap$ = 
          If[$CellContext`relativeTo$$ === "A", $CellContext`overlapA$$ 
            Pi, $CellContext`overlapB$$ Pi $CellContext`r$^2]; 
         If[$CellContext`overlap$ <= 
           Min[Pi, Pi $CellContext`r$^2], $CellContext`nmin$ = 
            Check[{$CellContext`qqq, 
               
               FindRoot[$CellContext`area[
                 1, $CellContext`r$, $CellContext`d] - $CellContext`overlap$, \
{$CellContext`d, -0.1, 1 + $CellContext`r$}]}, 
              Quiet[
               
               NMinimize[{($CellContext`area[
                   1, $CellContext`r$, $CellContext`d] - \
$CellContext`overlap$)^2, $CellContext`d >= 
                 0}, $CellContext`d]]]; $CellContext`x$ = Max[0, 
              ReplaceAll[$CellContext`d, 
               Last[$CellContext`nmin$]]]; Graphics[{
              Opacity[0.5], Yellow, 
              Disk[{0, 0}, 1], Blue, 
              Disk[{$CellContext`x$, 0}, $CellContext`r$], Black, 
              Text[$CellContext`A, {0, 0}, {-1, -1}], 
              Text[$CellContext`B, {$CellContext`x$, 0}, {1, 1}]}, 
             ImageSize -> {480, 350}, PlotRange -> {{-1.2, 4.6}, {-1.9, 1.9}},
              PlotLabel -> Labeled[
               
               Grid[{{"relative to A", "relative to B", 
                  "relative to A \[Union] B"}, 
                 Map[
                 NumberForm[#, {5, 
                   3}]& , {$CellContext`area[
                    1, $CellContext`r$, $CellContext`x$]/
                   Pi, $CellContext`area[
                    1, $CellContext`r$, $CellContext`x$]/(
                   Pi $CellContext`r$^2), $CellContext`area[
                    1, $CellContext`r$, $CellContext`x$]/(Pi + 
                   Pi $CellContext`r$^2 - $CellContext`area[
                   1, $CellContext`r$, $CellContext`x$])}]}, Dividers -> All, 
                Background -> {None, {
                   ColorData[8][1], 
                   ColorData[8][2]}}], "overlap area computations", Top]], 
           Text[
            StringJoin["It is impossible to have an overlap of ", 
             ToString[$CellContext`overlap$], 
             " when the area of the smaller circle is ", 
             ToString[Pi Min[$CellContext`r$, 1]^2]]]]], {500, 360}], 
      "Specifications" :> {{{$CellContext`bs$$, 1, "relative size of set B"}, 
         0.01, 3, Appearance -> 
         "Labeled"}, {{$CellContext`relativeTo$$, "A", 
          "compute overlap size relative to this set"}, {
         "A", "B"}}, {{$CellContext`overlapA$$, 0.5, 
          "overlap relative to set A"}, 0, 1, Enabled -> 
         Dynamic[$CellContext`relativeTo$$ === "A"], Appearance -> 
         "Labeled"}, {{$CellContext`overlapB$$, 0.5, 
          "overlap relative to set B"}, 0, 1, Enabled -> 
         Dynamic[$CellContext`relativeTo$$ === "B"], Appearance -> 
         "Labeled"}}, "Options" :> {AutorunSequencing -> {1, 2, 3}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {261., 266.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`area[
          Pattern[$CellContext`R, 
           Blank[]], 
          Pattern[$CellContext`r, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]] := Condition[0, 
          
          And[$CellContext`d >= $CellContext`R + $CellContext`r, \
$CellContext`r <= $CellContext`R]], $CellContext`area[
          Pattern[$CellContext`R, 
           Blank[]], 
          Pattern[$CellContext`r, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]] := 
        Condition[$CellContext`r^2 
           ArcCos[($CellContext`d^2 + $CellContext`r^2 - $CellContext`R^2)/(
             2 $CellContext`d $CellContext`r)] + $CellContext`R^2 
           ArcCos[($CellContext`d^2 + $CellContext`R^2 - $CellContext`r^2)/(
             2 $CellContext`d $CellContext`R)] - 
          Sqrt[(-$CellContext`d + $CellContext`r + $CellContext`R) \
($CellContext`d + $CellContext`r - $CellContext`R) ($CellContext`d - \
$CellContext`r + $CellContext`R) ($CellContext`d + $CellContext`r + \
$CellContext`R)]/2, 
          
          And[$CellContext`R - $CellContext`r < $CellContext`d < \
$CellContext`R + $CellContext`r, $CellContext`r <= $CellContext`R]], \
$CellContext`area[
          Pattern[$CellContext`R, 
           Blank[]], 
          Pattern[$CellContext`r, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]] := Condition[Pi $CellContext`r^2, 
          
          And[$CellContext`d <= $CellContext`R - $CellContext`r, \
$CellContext`r <= $CellContext`R, $CellContext`r <= $CellContext`R]], \
$CellContext`area[
          Pattern[$CellContext`R, 
           Blank[]], 
          Pattern[$CellContext`r, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]] := Condition[
          $CellContext`area[$CellContext`r, $CellContext`R, $CellContext`d], \
$CellContext`r > $CellContext`R], Attributes[PlotRange] = {ReadProtected}}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`area[
           Pattern[$CellContext`R, 
            Blank[]], 
           Pattern[$CellContext`r, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]]] := Condition[0, 
           
           And[$CellContext`d >= $CellContext`R + $CellContext`r, \
$CellContext`r <= $CellContext`R]], $CellContext`area[
           Pattern[$CellContext`R, 
            Blank[]], 
           Pattern[$CellContext`r, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]]] := 
         Condition[$CellContext`r^2 
            ArcCos[($CellContext`d^2 + $CellContext`r^2 - $CellContext`R^2)/(
              2 $CellContext`d $CellContext`r)] + $CellContext`R^2 
            ArcCos[($CellContext`d^2 + $CellContext`R^2 - $CellContext`r^2)/(
              2 $CellContext`d $CellContext`R)] - 
           Sqrt[(-$CellContext`d + $CellContext`r + $CellContext`R) \
($CellContext`d + $CellContext`r - $CellContext`R) ($CellContext`d - \
$CellContext`r + $CellContext`R) ($CellContext`d + $CellContext`r + \
$CellContext`R)]/2, 
           
           And[$CellContext`R - $CellContext`r < $CellContext`d < \
$CellContext`R + $CellContext`r, $CellContext`r <= $CellContext`R]], \
$CellContext`area[
           Pattern[$CellContext`R, 
            Blank[]], 
           Pattern[$CellContext`r, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]]] := Condition[Pi $CellContext`r^2, 
           
           And[$CellContext`d <= $CellContext`R - $CellContext`r, \
$CellContext`r <= $CellContext`R, $CellContext`r <= $CellContext`R]], \
$CellContext`area[
           Pattern[$CellContext`R, 
            Blank[]], 
           Pattern[$CellContext`r, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]]] := Condition[
           $CellContext`area[$CellContext`r, $CellContext`R, $CellContext`d], \
$CellContext`r > $CellContext`R]}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->541681169],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["The Perfect Venn Diagram",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ThePerfectVennDiagram/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ThePerfectVennDiagram/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ThePerfectVennDiagram/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ThePerfectVennDiagram/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ThePerfectVennDiagram/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Seth J. Chandler",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Seth+J.+\
Chandler"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Seth+J.+Chandler"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "Additional contributions by: ",
 ButtonBox["Eric W. Weisstein",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Eric+W.+\
Weisstein"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Eric+W.+Weisstein"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->1486141370]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ThePerfectVennDiagram"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"The Perfect Venn Diagram - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 216, 4, 70, "Section"],
Cell[809, 29, 530, 14, 70, "Input",
 InitializationCell->True,
 CellID->311099184],
Cell[1342, 45, 1702, 52, 70, "Input",
 InitializationCell->True,
 CellID->2078890159],
Cell[3047, 99, 697, 18, 70, "Input",
 InitializationCell->True,
 CellID->754625538],
Cell[3747, 119, 422, 12, 70, "Input",
 InitializationCell->True,
 CellID->256263453],
Cell[4172, 133, 11787, 262, 70, "Input",
 CellID->639223449]
}, Open  ]],
Cell[15974, 398, 9381, 199, 70, "Output",
 CellID->541681169],
Cell[CellGroupData[{
Cell[25380, 601, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[25756, 612, 906, 24, 70, "Text"],
Cell[26665, 638, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[27027, 651, 442, 14, 70, "Text"],
Cell[27472, 667, 479, 15, 70, "Text",
 CellID->1486141370]
}, Open  ]],
Cell[CellGroupData[{
Cell[27988, 687, 829, 24, 70, "Text"],
Cell[28820, 713, 1197, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature vRzlWFi#q9KmeA0QViqEzMeF *)
