(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    239060,       4255]
NotebookOptionsPosition[    237520,       4198]
NotebookOutlinePosition[    238123,       4222]
CellTagsIndexPosition[    238080,       4219]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Venn Diagrams", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", " ", "b", ",", " ", "c"}], "}"}], " ", "=", " ", 
   RowBox[{".7", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"Sqrt", "[", "3", "]"}]}], "/", "2"}], ",", " ", 
        RowBox[{
         RowBox[{"-", "1"}], "/", "2"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"Sqrt", "[", "3", "]"}], "/", "2"}], ",", " ", 
        RowBox[{
         RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], "}"}]}]}], ";"}]], "Input",\

 CellID->360403954],

Cell[BoxData[
 RowBox[{
  RowBox[{"circles", "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{"Circle", "/@", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], "}"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{3.35680341097556*^9},
 CellID->488591285],

Cell[BoxData[
 RowBox[{
  RowBox[{"ABCText", "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{"\"\<A\>\"", ",", 
          RowBox[{"2.8", "a"}]}], "]"}], ",", "14", ",", "Italic"}], "]"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{"\"\<B\>\"", ",", 
          RowBox[{"2.8", "b"}]}], "]"}], ",", "14", ",", "Italic"}], "]"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{"\"\<C\>\"", ",", 
          RowBox[{"2.8", "c"}]}], "]"}], ",", "14", ",", "Italic"}], "]"}]}], 
     "\[IndentingNewLine]", "}"}], "]"}]}], ";"}]], "Input",
 CellID->185746464],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"subregionaux", "[", 
    RowBox[{"{", 
     RowBox[{"d_", ",", "e_", ",", "f_"}], "}"}], "]"}], " ", ":=", " ", "\n",
    
   RowBox[{"RegionPlot", "[", "\n", "\t", 
    RowBox[{
     RowBox[{"And", "[", "\n", "\t\t", 
      RowBox[{
       RowBox[{"If", "[", " ", 
        RowBox[{
         RowBox[{"d", " ", "\[Equal]", " ", "0"}], ",", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}], "-", "a"}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}], "-", "a"}], ")"}]}], " ", ">", 
          " ", "1"}], ",", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}], "-", "a"}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}], "-", "a"}], ")"}]}], " ", "<", 
          " ", "1"}]}], " ", "]"}], ",", "\n", "\t\t", 
       RowBox[{"If", "[", " ", 
        RowBox[{
         RowBox[{"e", " ", "\[Equal]", " ", "0"}], ",", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}], "-", "b"}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}], "-", "b"}], ")"}]}], " ", ">", 
          " ", "1"}], ",", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}], "-", "b"}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}], "-", "b"}], ")"}]}], " ", "<", 
          " ", "1"}]}], " ", "]"}], ",", "\n", "\t\t", 
       RowBox[{"If", "[", " ", 
        RowBox[{
         RowBox[{"f", " ", "\[Equal]", " ", "0"}], ",", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}], "-", "c"}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}], "-", "c"}], ")"}]}], " ", ">", 
          " ", "1"}], ",", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}], "-", "c"}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}], "-", "c"}], ")"}]}], " ", "<", 
          " ", "1"}]}], " ", "]"}]}], "\n", "\t", "]"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{"x", ",", " ", 
       RowBox[{"-", "2"}], ",", " ", "2"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"y", ",", " ", 
       RowBox[{"-", "2"}], ",", " ", "2"}], "}"}], ",", "\n", "\n", "\t", 
     RowBox[{"PlotPoints", " ", "\[Rule]", " ", "50"}], ",", "\n", "\t", 
     RowBox[{"PlotStyle", " ", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"Lighter", "[", 
        RowBox[{
         RowBox[{"RGBColor", "[", 
          RowBox[{
           RowBox[{"1", " ", "-", " ", "d"}], ",", " ", 
           RowBox[{"1", " ", "-", " ", "e"}], ",", " ", 
           RowBox[{"1", " ", "-", " ", "f"}]}], "]"}], ",", ".5"}], "]"}], 
       "}"}]}], ",", "\n", "\t", 
     RowBox[{"Frame", " ", "\[Rule]", " ", "False"}]}], "\n", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.35672393081903*^9, 3.35672425364096*^9}, {
   3.35678432133521*^9, 3.35678437546683*^9}, {3.35678469316404*^9, 
   3.35678470055419*^9}, {3.35678601387688*^9, 3.35678605598572*^9}, {
   3.35678932479334*^9, 3.35678939638185*^9}, {3.35678946218343*^9, 
   3.35678955862891*^9}, {3.35678960668765*^9, 3.35678967839664*^9}, {
   3.35680244425682*^9, 3.35680258115957*^9}, 3.35680264429857*^9, {
   3.35680301090283*^9, 3.35680302290375*^9}, 3.36076363101563*^9, {
   3.360763681*^9, 3.3607636858125*^9}, {3.36076374082813*^9, 
   3.36076374103125*^9}, {3.375368496171875*^9, 3.37536849915625*^9}, {
   3.37536858065625*^9, 3.375368614328125*^9}, {3.3791640931674204`*^9, 
   3.379164105408318*^9}},
 CellID->167292515],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
     "This", " ", "allows", " ", "not", " ", "having", " ", "to", " ", 
      "recalculate", " ", "the", " ", 
      RowBox[{"RegionPlot", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"subregion", "@", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], ",", "\[IndentingNewLine]",
      
     RowBox[{"subregion", "@", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], ",", "\[IndentingNewLine]",
      
     RowBox[{"subregion", "@", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], ",", "\[IndentingNewLine]",
      
     RowBox[{"subregion", "@", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], ",", "\[IndentingNewLine]",
      
     RowBox[{"subregion", "@", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], ",", "\[IndentingNewLine]",
      
     RowBox[{"subregion", "@", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], ",", "\[IndentingNewLine]",
      
     RowBox[{"subregion", "@", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], ",", "\[IndentingNewLine]",
      
     RowBox[{"subregion", "@", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1"}], "}"}]}]}], "\[IndentingNewLine]", 
    "}"}], "=", 
   RowBox[{"subregionaux", "/@", 
    RowBox[{"Tuples", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}], ",", "3"}], "]"}]}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.3567857546308*^9, 3.35678580272363*^9}, 
   3.35678930176268*^9, {3.3568025903937*^9, 3.35680263801749*^9}, {
   3.35680343663296*^9, 3.35680347304084*^9}},
 CellID->233130631],

Cell[BoxData[
 RowBox[{
  RowBox[{"triples", "=", "\[IndentingNewLine]", 
   RowBox[{"Complement", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Subsets", "[", "\[IndentingNewLine]", 
      RowBox[{"Complement", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Tuples", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}], ",", "3"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], "}"}]}], 
       "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"{", "}"}], "}"}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.35678644527649*^9, 3.35678646615095*^9}, {
  3.35678733446758*^9, 3.35678734193633*^9}, {3.35678804757407*^9, 
  3.35678805713651*^9}, {3.35678828976002*^9, 3.35678829224438*^9}, {
  3.3567884037862*^9, 3.35678840445803*^9}, {3.35678852030925*^9, 
  3.35678854651053*^9}, {3.35678988263337*^9, 3.35678991181227*^9}, {
  3.35680349965141*^9, 3.35680353210599*^9}},
 CellID->677532198],

Cell[BoxData[
 RowBox[{
  RowBox[{"VennText", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"(*", "   ", "1", " ", "*)"}], " ", 
    RowBox[{
    "\"\<C  \[Intersection]  A'  \[Intersection]  B'\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "   ", "2", " ", "*)"}], " ", 
     "\"\<B  \[Intersection]  A'  \[Intersection]  C'\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "   ", "3", " ", "*)"}], " ", 
     "\"\<B  \[Intersection]  C  \[Intersection]  A'\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "   ", "4", " ", "*)"}], " ", 
     "\"\<A  \[Intersection]  B'  \[Intersection]  C'\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "   ", "5", " ", "*)"}], " ", 
     "\"\<A  \[Intersection]  C  \[Intersection]  B'\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "   ", "6", " ", "*)"}], " ", 
     "\"\<A  \[Intersection]  B  \[Intersection]  C'\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "   ", "7", " ", "*)"}], " ", 
     "\"\<A  \[Intersection]  B  \[Intersection]  C\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "   ", "8", " ", "*)"}], " ", 
     "\"\<(B \[Union] C)  \[Intersection]  A'  \[Intersection]  (B \
\[Intersection] C)'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "   ", "9", " ", "*)"}], " ", 
     "\"\<C  \[Intersection]  A'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "10", " ", "*)"}], " ", 
     "\"\<(A \[Union] C)  \[Intersection]  B'  \[Intersection]  (A \
\[Intersection] C)'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "11", " ", "*)"}], " ", 
     "\"\<C  \[Intersection]  B'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "12", " ", "*)"}], " ", 
     "\"\<( C \[Intersection] A' \[Intersection] B' )  \[Union]  ( A \
\[Intersection] B \[Intersection] C' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "13", " ", "*)"}], " ", 
     "\"\<( C \[Intersection] A' \[Intersection] B' )  \[Union]  ( A \
\[Intersection] B \[Intersection] C )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "14", " ", "*)"}], " ", 
     "\"\<B  \[Intersection]  A'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "15", " ", "*)"}], " ", 
     "\"\<(A \[Union] B)  \[Intersection]  C'  \[Intersection]  (A \
\[Intersection] B)'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "16", " ", "*)"}], " ", 
     "\"\<( B \[Intersection] A' \[Intersection] C' )  \[Union]  ( A \
\[Intersection] C \[Intersection] B' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "17", " ", "*)"}], " ", 
     "\"\<B  \[Intersection]  C'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "18", " ", "*)"}], " ", 
     "\"\<( B \[Intersection] A' \[Intersection] C' )  \[Union]  ( A \
\[Intersection] B \[Intersection] C )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "19", " ", "*)"}], " ", 
     "\"\<( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( B \
\[Intersection] C \[Intersection] A' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "20", " ", "*)"}], " ", 
     "\"\<( A \[Intersection] C \[Intersection] B' )  \[Union]  ( B \
\[Intersection] C \[Intersection] A' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "21", " ", "*)"}], " ", 
     "\"\<( A \[Intersection] B \[Intersection] C' )  \[Union]  ( B \
\[Intersection] C \[Intersection] A' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "22", " ", "*)"}], " ", 
     "\"\<B  \[Intersection]  C\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "23", " ", "*)"}], " ", 
     "\"\<A  \[Intersection]  B'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "24", " ", "*)"}], " ", 
     "\"\<A  \[Intersection]  C'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "25", " ", "*)"}], " ", 
     "\"\<( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( A \
\[Intersection] B \[Intersection] C )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "26", " ", "*)"}], " ", 
     "\"\<( A \[Intersection] B \[Intersection] C' )  \[Union]  ( A \
\[Intersection] C \[Intersection] B' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "27", " ", "*)"}], " ", 
     "\"\<A  \[Intersection]  C\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "28", " ", "*)"}], " ", 
     "\"\<A  \[Intersection]  B\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "29", " ", "*)"}], " ", 
     "\"\<(B \[Union] C)  \[Intersection]  A'\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "30", " ", "*)"}], " ", 
     "\"\<(A \[Union] B \[Union] C)  \[Intersection]  (A \[Intersection] B)'  \
\[Intersection]  (B \[Intersection] C)'  \[Intersection]  (A \[Intersection] \
C)'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "31", " ", "*)"}], " ", 
     "\"\<( B \[Intersection] A' \[Intersection] C' )  \[Union]  ( C \
\[Intersection] B' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "32", " ", "*)"}], " ", 
     "\"\<( B \[Intersection] C' )  \[Union]  ( C \[Intersection] A' \
\[Intersection] B' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "33", " ", "*)"}], " ", 
     "\"\<(B \[Union] C)  \[Intersection]  A'  \[Intersection]  (B \
\[Intersection] C)'  \[Union]  ( A \[Intersection] B \[Intersection] C )\>\"",
      ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "34", " ", "*)"}], " ", 
     "\"\<( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( C \
\[Intersection] A' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "35", " ", "*)"}], " ", 
     "\"\<C  \[Intersection]  (A \[Intersection] B)'\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "36", " ", "*)"}], " ", 
     "\"\<( C \[Intersection] A' )  \[Union]  ( A \[Intersection] B \
\[Intersection] C' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "37", " ", "*)"}], " ", 
     "\"\<(C \[Intersection] A')  \[Union]  (B \[Intersection] C)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "38", " ", "*)"}], " ", 
     "\"\<(A \[Union] C)  \[Intersection]  B'\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "39", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] C')  \[Union]  ( C \[Intersection] A' \
\[Intersection] B' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "40", " ", "*)"}], " ", 
     "\"\<( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( A \
\[Intersection] B \[Intersection] C )  \[Union]  ( C \[Intersection] A' \
\[Intersection] B' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "41", " ", "*)"}], " ", 
     "\"\<(C \[Intersection] B')  \[Union]  ( A \[Intersection] B \
\[Intersection] C' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "42", " ", "*)"}], " ", 
     "\"\<(C \[Intersection] B')  \[Union]  ( A \[Intersection] B \
\[Intersection] C )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "43", " ", "*)"}], " ", 
     "\"\<( C \[Intersection] A' \[Intersection] B' )  \[Union]  (A \
\[Intersection] B)\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "44", " ", "*)"}], " ", 
     "\"\<( A \[Intersection] B' \[Intersection] C' )  \[Union]  (B \
\[Intersection] A')\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "45", " ", "*)"}], " ", 
     "\"\<(B \[Intersection] A')  \[Union]  ( A \[Intersection] C \
\[Intersection] B' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "46", " ", "*)"}], " ", 
     "\"\<B  \[Intersection]  (A \[Intersection] C)'\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "47", " ", "*)"}], " ", 
     "\"\<(B \[Intersection] A')  \[Union]  ( A \[Intersection] B \
\[Intersection] C )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "48", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] B')  \[Union]  ( B \[Intersection] A' \
\[Intersection] C' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "49", " ", "*)"}], " ", 
     "\"\<(A \[Union] B)  \[Intersection]  C'\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "50", " ", "*)"}], " ", 
     "\"\<( (A \[Union] B)  \[Intersection]  C'  \[Intersection]  (A \
\[Intersection] B)' )  \[Union]  ( A \[Intersection] B \[Intersection] C \
)\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "51", " ", "*)"}], " ", 
     "\"\<(B \[Intersection] C')  \[Union]  ( A \[Intersection] C \
\[Intersection] B' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "52", " ", "*)"}], " ", 
     "\"\<( B \[Intersection] A' \[Intersection] C' )  \[Union]  (A \
\[Intersection] C)\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "53", " ", "*)"}], " ", 
     "\"\<(B \[Intersection] C')  \[Union]  (A \[Intersection] B)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "54", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] B')  \[Union]  ( B \[Intersection] C \
\[Intersection] A' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "55", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] C')  \[Union]  ( B \[Intersection] C \
\[Intersection] A' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "56", " ", "*)"}], " ", 
     "\"\<( A \[Intersection] B' \[Intersection] C' )  \[Union]  (B \
\[Intersection] C)\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "57", " ", "*)"}], " ", 
     "\"\< (A \[Intersection] B  \[Union]  B \[Intersection] C  \[Union]  A \
\[Intersection] C )  \[Intersection]  ( A \[Intersection] B \[Intersection] C \
)'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "58", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] C)  \[Union]  (B \[Intersection] C)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "59", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] B)  \[Union]  (B \[Intersection] C)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "60", " ", "*)"}], " ", 
     "\"\<A  \[Intersection]  (B \[Intersection] C)'\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "61", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] B')  \[Union]  (A \[Intersection] C)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "62", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] C')  \[Union]  (A \[Intersection] B)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "63", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] B)  \[Union]  (A \[Intersection] C)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "64", " ", "*)"}], " ", 
     "\"\<( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( (B \
\[Union] C) \[Intersection] A' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "65", " ", "*)"}], " ", 
     "\"\<(B \[Union] C)  \[Intersection]  (A \[Intersection] B)'\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "66", " ", "*)"}], " ", 
     "\"\<(B \[Union] C)  \[Intersection]  (A \[Intersection] C)'\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "67", " ", "*)"}], " ", 
     "\"\<( (B \[Union] C) \[Intersection] A' )  \[Union]  (B \[Intersection] \
C)\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "68", " ", "*)"}], " ", 
     "\"\<( (A \[Union] C) \[Intersection] B' )  \[Union]  ( B \
\[Intersection] A' \[Intersection] C' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "69", " ", "*)"}], " ", 
     "\"\<( (A \[Union] B) \[Intersection] C' )  \[Union]  ( C \
\[Intersection] A' \[Intersection] B' )\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "70", " ", "*)"}], " ", 
     "\"\<( (A \[Union] B \[Union] C)  \[Intersection]  (A \[Intersection] \
B)'  \[Intersection]  (B \[Intersection] C)'  \[Intersection]  (A \
\[Intersection] C)' ) \\n \[Union]  ( A \[Intersection] B \[Intersection] C )\
\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "71", " ", "*)"}], " ", 
     "\"\<(B \[Intersection] C')  \[Union]  (C \[Intersection] B')\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "72", " ", "*)"}], " ", 
     "\"\<( B \[Intersection] A' \[Intersection] C' )  \[Union]  (C \
\[Intersection] B')  \[Union]  (A \[Intersection] C)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "73", " ", "*)"}], " ", 
     "\"\<(B \[Intersection] C')  \[Union]  ( C \[Intersection] A' \
\[Intersection] B' )  \[Union]  (A \[Intersection] B)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "74", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] B')  \[Union]  (C \[Intersection] A')\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "75", " ", "*)"}], " ", 
     "\"\<A \[Intersection] C'  \[Union]  C \[Intersection] A'\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "76", " ", "*)"}], " ", 
     "\"\<( A \[Intersection] B' \[Intersection] C' )  \[Union]  (C \
\[Intersection] A')  \[Union]  (B \[Intersection] C)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "77", " ", "*)"}], " ", 
     "\"\<( C \[Union] (A \[Intersection] B) )  \[Intersection]  ( A \
\[Intersection] B \[Intersection] C )'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "78", " ", "*)"}], " ", "\"\<C\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "79", " ", "*)"}], " ", 
     "\"\<(C \[Intersection] A')  \[Union]  (A \[Intersection] B)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "80", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] C')  \[Union]  (C \[Intersection] B')\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "81", " ", "*)"}], " ", 
     "\"\<( (A \[Union] C) \[Intersection] B' )  \[Union]  (A \[Intersection] \
C)\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "82", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] C')  \[Union]  ( C \[Intersection] A' \
\[Intersection] B' )  \[Union]  (A \[Intersection] B)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "83", " ", "*)"}], " ", 
     "\"\<(C \[Intersection] B')  \[Union]  (A \[Intersection] B)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "84", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] B')  \[Union]  (B \[Intersection] A')\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "85", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] C')  \[Union]  (B \[Intersection] A')\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "86", " ", "*)"}], " ", 
     "\"\<( A \[Intersection] B' \[Intersection] C' )  \[Union]  (B \
\[Intersection] A')  \[Union]  (B \[Intersection] C)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "87", " ", "*)"}], " ", 
     "\"\<( B \[Union] A \[Intersection] C )  \[Intersection]  ( A \
\[Intersection] B \[Intersection] C )'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "88", " ", "*)"}], " ", 
     "\"\<(B \[Intersection] A')  \[Union]  (A \[Intersection] C)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "89", " ", "*)"}], " ", "\"\<B\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "90", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] B')  \[Union]  (B \[Intersection] C')\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "91", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] B')  \[Union]  ( B \[Intersection] A' \
\[Intersection] C' )  \[Union]  (A \[Intersection] C)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "92", " ", "*)"}], " ", 
     "\"\<( (A \[Union] B) \[Intersection] C' )  \[Union]  (A \[Intersection] \
B)\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "93", " ", "*)"}], " ", 
     "\"\<(B \[Intersection] C')  \[Union]  (A \[Intersection] C)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "94", " ", "*)"}], " ", 
     "\"\<(A \[Union] B \[Intersection] C)  \[Intersection]  ( A \
\[Intersection] B \[Intersection] C )'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "95", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] B')  \[Union]  (B \[Intersection] C)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "96", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] C')  \[Union]  (B \[Intersection] C)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "97", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] B)  \[Union]  (B \[Intersection] C)  \[Union]  \
(A \[Intersection] C)\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "98", " ", "*)"}], " ", "\"\<A\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", "99", " ", "*)"}], " ", 
     "\"\<( A \[Union] B \[Union] C )  \[Intersection]  (A \[Intersection] \
B)'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "100", " ", "*)"}], " ", 
     "\"\<( A \[Union] B \[Union] C )  \[Intersection]  (A \[Intersection] \
C)'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "101", " ", "*)"}], " ", 
     "\"\<( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( (B \
\[Union] C) \[Intersection] A' )  \[Union]  (B \[Intersection] C)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "102", " ", "*)"}], " ", 
     "\"\<(B \[Union] C)  \[Intersection]  ( A \[Intersection] B \
\[Intersection] C )'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "103", " ", "*)"}], " ", 
     "\"\<C  \[Union]  (B \[Intersection] A')\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "104", " ", "*)"}], " ", 
     "\"\<B  \[Union]  (C \[Intersection] A')\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "105", " ", "*)"}], " ", 
     "\"\<( A \[Union] B \[Union] C )  \[Intersection]  (B \[Intersection] \
C)'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "106", " ", "*)"}], " ", 
     "\"\<( B \[Intersection] A' \[Intersection] C' )  \[Union]  ( (A \
\[Union] C) \[Intersection] B' )  \[Union]  (A \[Intersection] C)\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "107", " ", "*)"}], 
     "\"\<( (A \[Union] B) \[Intersection] C' )  \[Union]  ( C \
\[Intersection] A' \[Intersection] B' )  \[Union]  (A \[Intersection] B)\>\"",
      ",", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "108", " ", "*)"}], " ", 
     "\"\<(B \[Intersection] C')  \[Union]  ( A \[Intersection] B \
\[Intersection] C )  \[Union]  (C \[Intersection] B')\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "109", " ", "*)"}], " ", 
     "\"\<(A \[Union] C)  \[Intersection]  ( A \[Intersection] B \
\[Intersection] C )'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "110", " ", "*)"}], " ", 
     "\"\<C  \[Union]  (A \[Intersection] B')\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "111", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] C')  \[Union]  ( A \[Intersection] B \
\[Intersection] C )  \[Union]  (C \[Intersection] A')\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "112", " ", "*)"}], " ", 
     "\"\<C  \[Union]  (A \[Intersection] B)\>\"", ",", "\[IndentingNewLine]",
      
     RowBox[{"(*", " ", "113", " ", "*)"}], " ", 
     "\"\<A  \[Union]  (C \[Intersection] B')\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "114", " ", "*)"}], " ", 
     "\"\<(A \[Union] B)  \[Intersection]  (A \[Intersection] B \
\[Intersection] C)'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "115", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] B')  \[Union]  ( A \[Intersection] B \
\[Intersection] C )  \[Union]  (B \[Intersection] A')\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "116", " ", "*)"}], " ", 
     "\"\<B  \[Union]  (A \[Intersection] C')\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "117", " ", "*)"}], " ", 
     "\"\<B  \[Union]  (A \[Intersection] C)\>\"", ",", "\[IndentingNewLine]",
      
     RowBox[{"(*", " ", "118", " ", "*)"}], " ", 
     "\"\<A  \[Union]  (B \[Intersection] C')\>\"", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "119", " ", "*)"}], " ", 
     "\"\<A  \[Union]  (B \[Intersection] C)\>\"", ",", "\[IndentingNewLine]",
      
     RowBox[{"(*", " ", "120", " ", "*)"}], " ", 
     "\"\<( A \[Union] B \[Union] C )  \[Intersection]  ( A \[Intersection] B \
\[Intersection] C )'\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "121", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] B')  \[Union]  (B \[Intersection] A')  \[Union]  \
C\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "122", " ", "*)"}], " ", 
     "\"\<(A \[Intersection] C')  \[Union]  (C \[Intersection] A')  \[Union]  \
B\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "123", " ", "*)"}], " ", "\"\<B  \[Union]  C\>\"", 
     ",", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "124", " ", "*)"}], " ", 
     "\"\<( A  \[Union]  B \[Intersection] C' )  \[Union]  (C \[Intersection] \
B')\>\"", ",", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "125", " ", "*)"}], " ", "\"\<A  \[Union]  C\>\"", 
     ",", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "126", " ", "*)"}], " ", "\"\<A  \[Union]  B\>\"", 
     ",", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "127", " ", "*)"}], " ", 
     "\"\<A  \[Union]  B  \[Union]  C\>\""}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.3713229577395782`*^9, 3.3713230627708282`*^9}, {
   3.3713231011770782`*^9, 3.3713231808921633`*^9}, {3.371323267918133*^9, 
   3.3713232860680175`*^9}, {3.3713233826752567`*^9, 
   3.3713238095999055`*^9}, {3.37132395722292*^9, 3.3713243619967117`*^9}, {
   3.3713244527216535`*^9, 3.371324462883595*^9}, {3.3713245128362164`*^9, 
   3.3713246358713107`*^9}, {3.371324791044531*^9, 3.371324794442258*^9}, {
   3.3713248525776644`*^9, 3.3713248753019066`*^9}, {3.3713249158408327`*^9, 
   3.371324922153122*^9}, {3.3713249986019616`*^9, 3.3713250010801196`*^9}, {
   3.371325036428941*^9, 3.3713251854307528`*^9}, {3.3713252309418726`*^9, 
   3.3713252435821185`*^9}, {3.371325327201009*^9, 3.3713253389216805`*^9}, {
   3.3713254774500484`*^9, 3.3713254969637203`*^9}, {3.3713255362871985`*^9, 
   3.3713255380484166`*^9}, {3.371325637611785*^9, 3.371325639528863*^9}, 
   3.3713257658533926`*^9, {3.371325812938699*^9, 3.371325815728593*^9}, {
   3.3713260060024805`*^9, 3.3713261382964487`*^9}, {3.3713261794123163`*^9, 
   3.3713261925201426`*^9}, {3.3713262457886515`*^9, 
   3.3713262845446525`*^9}, {3.371326316870428*^9, 3.3713263351132154`*^9}, {
   3.371326398526353*^9, 3.3713264484439554`*^9}, {3.3713264983456807`*^9, 
   3.371326543579539*^9}, {3.3713265828354225`*^9, 3.3713266612702255`*^9}, {
   3.3713266928044105`*^9, 3.371326725171336*^9}, 3.3713267672954764`*^9, {
   3.371326900662079*^9, 3.3713269248141947`*^9}, {3.3713269580761824`*^9, 
   3.371327041896391*^9}, {3.3713270745635757`*^9, 3.371327108764725*^9}, {
   3.3713272145015516`*^9, 3.371327322846608*^9}, 3.3713279629015713`*^9, {
   3.3713951096751986`*^9, 3.3713954073726077`*^9}, {3.3713954886366725`*^9, 
   3.37139550594884*^9}, {3.37139582141406*^9, 3.3713959085541277`*^9}, {
   3.371395976146777*^9, 3.371396020849044*^9}, {3.371396146612254*^9, 
   3.3713961736429853`*^9}, {3.371404754584228*^9, 3.37140480094479*^9}, {
   3.3714048866657343`*^9, 3.3714049323856544`*^9}, {3.3714049828244457`*^9, 
   3.371404985090129*^9}, {3.371405048623005*^9, 3.3714051022806287`*^9}, {
   3.371405254409523*^9, 3.3714052555970535`*^9}, {3.3714052892072887`*^9, 
   3.3714053044108033`*^9}, {3.371405344771211*^9, 3.3714053453649764`*^9}, {
   3.3714054664774523`*^9, 3.371405475743314*^9}, {3.371405548557678*^9, 
   3.3714055493389482`*^9}, {3.3714056310597897`*^9, 3.37140563224732*^9}, {
   3.371405724702812*^9, 3.3714057612818737`*^9}, {3.371405869190886*^9, 
   3.371405996631648*^9}, {3.3714069543905416`*^9, 3.371406958390644*^9}, 
   3.3714070318143983`*^9, {3.371407130582552*^9, 3.3714071496767907`*^9}, {
   3.3714071870839987`*^9, 3.371407253398196*^9}, {3.3714073053682766`*^9, 
   3.37140736626046*^9}, {3.3714074612941427`*^9, 3.371407498107585*^9}, {
   3.371407586812981*^9, 3.3714076107354684`*^9}, {3.3714076530021753`*^9, 
   3.3714076795653553`*^9}, {3.3714085734007373`*^9, 3.3714086031827497`*^9}, 
   3.3714086881693*^9, {3.371408754327244*^9, 3.3714087932969913`*^9}, {
   3.37140885515795*^9, 3.3714088577205153`*^9}, 3.371408900705991*^9, {
   3.3714089861300526`*^9, 3.371409009036889*^9}, {3.371409246027331*^9, 
   3.371409275356207*^9}, {3.371409322404286*^9, 3.3714093304669924`*^9}, {
   3.3714093699055023`*^9, 3.3714093807807803`*^9}, {3.371409421656827*^9, 
   3.3714094614078445`*^9}, {3.371409499783827*^9, 3.3714095030807867`*^9}, {
   3.371409536316012*^9, 3.3714095426599245`*^9}, {3.371409733336681*^9, 
   3.3714097572435427`*^9}, {3.3714098561523247`*^9, 
   3.3714098746996746`*^9}, {3.37140995518611*^9, 3.3714099590924597`*^9}, {
   3.371409991155781*^9, 3.3714100220784473`*^9}, 3.3714101237685504`*^9, {
   3.371410179926238*^9, 3.3714102068331766`*^9}, {3.3714102966011*^9, 
   3.3714103468367605`*^9}, {3.371470975627529*^9, 3.3714710035582914`*^9}, {
   3.3714710726279917`*^9, 3.3714710822140665`*^9}, {3.3714711264130545`*^9, 
   3.3714711354839168`*^9}, {3.3714711675832167`*^9, 3.371471219401104*^9}, {
   3.371471269798254*^9, 3.3714713033182917`*^9}, {3.3714713785705414`*^9, 
   3.371471403503704*^9}, {3.371471476695104*^9, 3.3714715029084916`*^9}, {
   3.3714715344925795`*^9, 3.371471559894117*^9}, {3.371471604186779*^9, 
   3.3714717537233043`*^9}, {3.371471809943917*^9, 3.371471853112479*^9}, {
   3.371472106113042*^9, 3.371472140226354*^9}, {3.371472183816454*^9, 
   3.3714722945246916`*^9}, {3.3714724315712166`*^9, 
   3.3714724916325045`*^9}, {3.371472572458417*^9, 3.3714726148931913`*^9}, {
   3.371472710988129*^9, 3.3714727582159414`*^9}, {3.3714727920326166`*^9, 
   3.371472821946167*^9}, {3.3714728823821545`*^9, 3.371472913076329*^9}, {
   3.3714729976804667`*^9, 3.3714730018333917`*^9}, {3.371473042457117*^9, 
   3.3714730475311794`*^9}, {3.3714730776476917`*^9, 3.371473111464367*^9}, {
   3.371473142080479*^9, 3.371473178988429*^9}, {3.371473252179829*^9, 
   3.3714732599704666`*^9}, {3.3714733426230416`*^9, 3.371473352209117*^9}, {
   3.371473451442167*^9, 3.3714734841035166`*^9}, {3.3714735360931416`*^9, 
   3.3714735541099668`*^9}, {3.371473781287454*^9, 3.371473788344304*^9}, {
   3.371473830841529*^9, 3.3714738655637293`*^9}, {3.3714738995677543`*^9, 
   3.371473911011717*^9}, {3.3714739710105543`*^9, 3.371474002625867*^9}, {
   3.371474094318079*^9, 3.3714741128501167`*^9}, {3.3714741996868415`*^9, 
   3.371474207134004*^9}, {3.371474273174879*^9, 3.3714743135488043`*^9}, {
   3.3714743931257167`*^9, 3.371474416903554*^9}, {3.371474447941204*^9, 
   3.371474459791092*^9}, {3.3714750727378416`*^9, 3.371475182915254*^9}, {
   3.3714752141246414`*^9, 3.3714752397915916`*^9}, 3.371475285052229*^9, {
   3.371475344660754*^9, 3.3714753655190544`*^9}, {3.3714756933971667`*^9, 
   3.371475695598529*^9}, {3.371475745855167*^9, 3.371475810895296*^9}, {
   3.3714758549807367`*^9, 3.3714759362587276`*^9}, {3.371475966848955*^9, 
   3.371476013501069*^9}, {3.3714760448984256`*^9, 3.371476049757348*^9}, {
   3.3714760924222403`*^9, 3.3714760976685853`*^9}, {3.3714761385982447`*^9, 
   3.3714761424121428`*^9}, {3.3714818228151536`*^9, 
   3.3714818338930883`*^9}, {3.3714819472228603`*^9, 
   3.3714819672664113`*^9}, {3.371482173256533*^9, 3.3714822017650027`*^9}, {
   3.371482265901236*^9, 3.3714822706422167`*^9}, {3.3714823174730887`*^9, 
   3.371482329912295*^9}, {3.3714823795439444`*^9, 3.3714824633169117`*^9}, {
   3.371482524323785*^9, 3.3714825270776215`*^9}, 3.3714826047639837`*^9, {
   3.371482642613593*^9, 3.37148264424086*^9}, {3.371482690132924*^9, 
   3.3714827213169966`*^9}, {3.3714827621394978`*^9, 3.371482839340809*^9}, {
   3.3791642848680105`*^9, 3.379164338751543*^9}, {3.3791644187037296`*^9, 
   3.3791644705395594`*^9}, {3.379169534817862*^9, 3.3791698694897747`*^9}, {
   3.3791699601535826`*^9, 3.379169992234787*^9}, {3.3791701085115733`*^9, 
   3.3791702238701534`*^9}, {3.379170262408062*^9, 3.379170520600194*^9}, {
   3.379170563312142*^9, 3.3791708999476833`*^9}, {3.3791709402419796`*^9, 
   3.3791713152707343`*^9}, {3.3791715271507635`*^9, 3.3791715588835135`*^9}},
 
 CellID->43708561],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"subregion", " ", "/@", " ", 
      RowBox[{"triples", "[", 
       RowBox[{"[", "subset", "]"}], "]"}]}], ",", " ", "circles", ",", " ", 
     "ABCText", ",", "\[IndentingNewLine]", " ", 
     RowBox[{"If", "[", 
      RowBox[{"setnotation", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"VennText", "[", 
             RowBox[{"[", "subset", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"-", "2.5"}], "a"}]}], "]"}], ",", "14", ",", " ", 
          "Italic"}], "]"}], "]"}], ",", 
       RowBox[{"{", "}"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "420"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"subset", ",", " ", "1", ",", " ", "127", ",", " ", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"setnotation", ",", "False", ",", " ", "\"\<set notation\>\""}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", " ", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"SynchronousInitialization", "\[Rule]", "False"}]}], "\n", 
  "]"}]], "Input",
 CellChangeTimes->{{3.371316199334284*^9, 3.371316262051428*^9}, {
  3.371316403875922*^9, 3.371316465702464*^9}, {3.3791644996577563`*^9, 
  3.3791645406695213`*^9}, {3.381850229608868*^9, 3.381850241265118*^9}, {
  3.3852283897346597`*^9, 3.3852283984221597`*^9}},
 CellID->239371445]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`setnotation$$ = 
    False, $CellContext`subset$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`subset$$], 1, 127, 1}, {{
       Hold[$CellContext`setnotation$$], False, "set notation"}, {
      True, False}}}, Typeset`size$$ = {500., {208., 212.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`subset$666332$$ = 
    0, $CellContext`setnotation$666333$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`setnotation$$ = 
        False, $CellContext`subset$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`subset$$, $CellContext`subset$666332$$, 0], 
        Hold[$CellContext`setnotation$$, $CellContext`setnotation$666333$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Map[$CellContext`subregion, 
         Part[$CellContext`triples, $CellContext`subset$$]], \
$CellContext`circles, $CellContext`ABCText, 
        If[$CellContext`setnotation$$, 
         Graphics[
          Style[
           Text[
            
            Part[$CellContext`VennText, $CellContext`subset$$], (-2.5) \
$CellContext`a], 14, Italic]], {}], ImageSize -> {500, 420}], 
      "Specifications" :> {{$CellContext`subset$$, 1, 127, 1, Appearance -> 
         "Labeled"}, {{$CellContext`setnotation$$, False, "set notation"}, {
         True, False}}}, "Options" :> {SynchronousInitialization -> False}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {260., 265.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`subregion[{0, 0, 0}] = Graphics[
          GraphicsComplex[CompressedData["
1:eJx1nXlcldX2/82pIlMrrimaaJllN6lrZGrKdp5FE65xHVMbqNTMzKjUDE2c
MCUTNSo1c8oSzcgpt1NkjmiEA6aIoAjIPGv6O/fs573P767z+vrPeb3dz3nO
fvZanz2svfZD8zFvDX6lerVq1Y74VKv2388A1SD79u3bms97e81JW7XlluXc
4KqUbmP/tnxkyLhjmb43LW8ceeFAVGKV5bmvDtrZKqLScviE/fFHWlVY7jUl
cN341DLLLaev/bJedKnlWrMbLtkSVGI5I3revJCCIssHPr85o3RVoeXVX054
LzakwHL1fvtSJ/nkWd479NtDCeNzLE9/Y+5PVUlZljt+MH51UOAVy1VzX/g0
Mvay5e3Ln52aWJVmOWfwM6d8d5+3/OqkG9/FRZ62fGnxgU9a9Dnl+f6YB3WY
/2HLw7sNzEwK05YXRV5clpa5xvKyj92s4LSu7ustf2DuZ3m/+T3LvUx9LB81
9bW83jyP5WzzvJafNO1heYJpL8vxpj0tF/V1t7flFcYelncZe1k+b+xp+e9P
3Pa23NT4g2Vl/MXyS8afLH9s/M3yauOPlg8Yf7WcYfzZci3j75adT8lWF/IT
fcDoA0YfMPqA0QeMPmD0AaMPGH3A6ANGHzD6gNEHjD5g9AGjDxh9wOgDRh8w
+rDfd/QBow8YfcDoA0YfMPqA0YdtX0cfMPqA0QeMPmD0AaMPGH3A6ANGHzD6
gNEHjD5g9AGjDxh9wOjD+oOjD+svjj6sPzn6sP7m6EOMC5K9dADLT/QBow8Y
fcDoA0YfMPqA0QeMPmD0AaMPGH3A6ANGHzD6gNEHjD5g9AGjDxh92O87+oDR
B4w+YPQBow8YfcDow7avow8YfcDoA0YfMPqA0QeMPmD0AaMPGH3A6ANGHzD6
gNEHjD5g9GH9wdGH9RdHH9afHH1Yf3P0IeZJkr3GBakDWH6iDxh9wOgDRh8w
+oDRB4w+YPQBow8YfcDoA0YfMPqA0QeMPmD0AaMPGH3Y7zv6gNEHjD5g9AGj
Dxh9wOjDtq+jDxh9wOgDRh8w+oDRB4w+YPQBow8YfcDoA0YfMPqA0QeMPmD0
Yf3B0Yf1F0cf1p8cfVh/c/Qh1g2SveZJclyQOoDlJ/qA0QeMPmD0AaMPGH3A
6ANGHzD6gNEHjD5g9AGjDxh9wOgDRh8w+rDfd/QBow8YfcDoA0YfMPqA0Ydt
X0cfMPqA0QeMPmD0AaMPGH3A6ANGHzD6gNEHjD5g9AGjDxh9wOjD+oOjD+sv
jj6sPzn6sP7m6EOsoyV7rRvkPEmOC1IHsPxEHzD6gNEHjD5g9AGjDxh9wOgD
Rh8w+oDRB4w+YPQBow8YfcDow37f0QeMPmD0AaMPGH3A6ANGH7Z9HX3A6ANG
HzD6gNEHjD5g9AGjDxh9wOgDRh8w+oDRB4w+YPQBow/rD44+rL84+rD+5OjD
+pujDxFXkuy1jpbrBjlPkuOC1AEsP9EHjD5g9AGjDxh9wOgDRh8w+oDRB4w+
YPQBow8YfcDoA0Yf9vuOPmD0AaMPGH3A6ANGHzD6sO3r6ANGHzD6gNEHjD5g
9AGjDxh9wOgDRh8w+oDRB4w+YPQBow8YfVh/cPRh/cXRh/UnRx/W3xx9iDir
ZK+4klxHy3WDnCfJcUHqAJaf6ANGHzD6gNEHjD5g9AGjDxh9wOgDRh8w+oDR
B4w+YPRhv+/oA0YfMPqA0QeMPmD0AaMP266OPmD0AaMPGH3A6ANGHzD6gNEH
jD5g9AGjDxh9wOgDRh8w+oDRh/UHRx/WXxx9WH9y9GH9zdGH2HeQ7BVnlXEl
uY6W6wY5T5LjgtQBLD/RB4w+YPQBow8YfcDoA0YfMPqA8X8Y/4fxfxj/h/F/
GP+H8X8Y/4fxfxj/t+3n+D+M/8P4N4x/w/g3jH/D+DeMf8P4N4x/w/g3jH/D
+DeMf1t7Ov5t7e34t/UHx7+tvzj+LfbRJHvtG8g4qYwLyXWwnPfLeY7s16Uf
w/IT/4bxbxj/hvEvGP+C8S8Y/4KxL4x9YewLY18Y+8LYF8a+MPa1z+PY1z6v
Y1/bHo59bTs59hX7opK99oFk3FvG+WRcQ67j5LxVjtOyX5J2hOUn9oKxF0z7
w7Q/TPvDtD9M+8O0P0z7w7S/rafT/vZ5nPYX+9CSvfbd5D6DjKvKOJJcN8t1
gpwXyXEApn1g2gemfWDaB6Z9YNoHpn2sTp32Efvykr32IeW+i4wzy7iajCPI
dZOcJ8I8P8zzwzw/zPPDPD/M89t+yXl+kYcg2WvfVe4zybi6jCPKuIlcJ8p5
Mczzwzw/zPPDPD/M88M8P8zzi7wLyV77zHJfTe4jyLipjBPJdTHM88E8H8zz
wTwfzPPBPJ/II5HstW8u9wnlvoiMA8u4F0z9YeoPU3+Y+sPUX+S9SPba55f7
mnIfR8atZZwOpv4w9YepP0z9Yeov8nQke+UlyH1Yue8k4+wyrghTf5j6w9Qf
pv4w9Rd5RZK98ijkvrHcJ5P7AjIOClN/mPrD1B+m/jD1F3lQkr3yPuQ+t9zX
k/sYMPWDqR9M/WDqJ/KyJHvloch9d7nPKPdVYOoHUz+Y+sHUT+SJSfbKi5F5
AHLfU+7zwNQPpn4w9YOpn8hbk+yVpyPzEuQ+rNx3gq3/OWz9z2Hrfw5b//vf
PDrJXnlDMk9C7gvLfTAZ94fRD0z9YeoPU3+7TnHqL/L+JHvlOcm8DrmPLfft
5D4FTP1h6g9Tfzsvd+pv11VO/UWeomSvvCyZhyL33eU+o9xXgak/TP1h6m/X
EU797TrQqb/Iq5TslUcm82ZknoDcF5X7QDLuDTM/gXk+mOeDeT6Y57PrWuf5
RJ6oZK+8OJkHJPMe5D6v3NeScXyY54N5Ppjng3k+mOeDeT6R9yrZK89P5jXJ
PA65by336eS+hIzDwsyvYZ4f5vlhnh/m+WGeH+b5RZ6vZK+8RpnHJfNW5D69
3JeU+zAy7izjcLCN7zps47sO2/iuwza+67CN7zps47sO2/iuwza++795z5K9
8jxlXpvM45F5C3KfVu5LyTi8jEvCxEdg4hsw7QfTfjDtB9N+MO0H034w7Wfr
47SfyBOX7JUXK/MAZd6TzPOQ+9pyH0/uW8C0H0z7wcRhYOIOMPE9mPgSTPvD
tD9M+8O0P0z7w7S/rY/T/ra+Tvvb53HaX+TlS/bKQ5Z5lzLPTObVyDwCuW8q
94lg2h+m/WHaH6b9YeIgMPFXGPvA2AfGPjD2gbEPjH1g7GPr49jH1texj30e
xz72eR37iHMSkr3ywmUerMz7k3lOMq9D7mPLfTu5zwFjHxj7wNgHxj4w9oGx
D4x9YOwDYx8Y+8DYB8Y+tj6OfWx9HfvY53HsY5/XsY84tyLZK09f5iXLPEyZ
dybzbGRegdxHlftOMPaBsQ+MfWDsA2MfGPvA2AfGPjD2gbEPjH1g7GPr49jH
1texj30exz72eR37iHNEkr3OTcg8cZkXK/MAZd6TzPOQ+9pyHxDGPjD2gbEP
jH1g7ANjHxj7wNgHxj4w9oGxD4x9bH0c+9j6Ovaxz+PYxz6vYx9xrkuy1zkW
mbcv85RlXqbMQ5N5NzLPQO7LwtgHxj4w9oGxD4x9YOwDYx8Y+8DYB8Y+MPaB
sY+tj2MfW1/HPvZ5HPvY53XsI87ZSfY6VyTPUci8cZknK/MCZR6UzPuQ++Ry
XxXGPjD2gbEPLD+xD4x9YOwDYx8Y+8DYB8Y+tj6OfWx9HfvY53HsY5/XsY84
9yjZ65yXPNci8/hl3rLM05R5aTIPR+YtyH1uGPvA2AfGPjD7OlI30k6w/MR+
MPaDsR+M/WDsB2M/W1/HfvZ5HPvZ53XsZ9vDsZ84pyrZ61yePIckz13IPHOZ
VyvzCGXelMwzkXkJcp8cxn4w9oOxn+znpK6knWD5if1g7AdjPxj7wdjP1tex
n30ex372eR372fZw7CfOFUv2Okcpz43JczLyXIDMg5Z5nzLPTeYFyTwSmdcA
Yz8Y+8HYD2YfUs4j5Lgl+0mpO2lHWH5iXxj7wtgXxr72eRz72ud17Gvbw7Gv
bS/HvuKcuGSvc7HyHKA89yTPeci8dpnHK/MWZZ6XzAuSeSoyLwPGvjD2hbEv
zL6tnMfLeaOcp8hxUfazUrfSzrD8xP4w9oexv31ex/62PRz72/Zy7G/b07G/
eC+AZK9z0PLcpzznJs/1yHMMMm9b5qnKvD6ZBybzkmQejsxLkXkaMPaHsT/M
PrhcZ8t1nVxHyHmrnCfJcVf241L30g9g+Yl/wPiHbQ/HP2x7Of5h29PxD9ve
jn+I90RI9joXL88By3OP8pyXPNci8/hl3rLM85R5gTJPTeZlyTwlmbcj81xg
/APGP2DyDmScTMZlZBxArjvlOkfOq+U8TY77cpyQ/Yb0E1h+4j+2vRz/se3p
+I9tb8d/rD0c/xHvFZHs9R4FeW5cnpOV5wLlOSh57kPmucu8YJlHKvMaZR6f
zGuTeV4yL0rmGcm8HZkHI/NKZBxcxl1lnE/GlWQcQ66b5TpNzvvlPFLOO+Q4
JPsd6Uew/MS/bHs7/mXt4fiXtZfjX+I9NZK93ssh30Mgz13Lc6byXJ08RyTP
Tcg8c5mXLPNkZV6ozJOUeYMyz07mrck8MJlXJfOUZF6QzMOReS9yn1XuK8p9
MrlvI/cJZFxaxkFl3E3GeWRcQa5T5bpHzpPlvEmOk7Lfk35q7SU+bX4r9ia/
FX8gv9Vhm9/6v+z1Hhn53gz5ngB5LlqeA5Xn3uQ5H3kuQubRy7xumccs83pl
nqvMC5V5ljJvUeYByrw6mccm88ZknpbMi5J5RjJvR+bByLwRmWch8w7kPrvc
N5b7mHLfTO7TyH0BGYeWcU8ZZ5NxGxkHkOtGuY6Q80Y5D5D9ttSB9RfxafPf
8Tfy3x22+e//y17vVZLvkZHvzZDvCZDnouU5UHnuTZ4TkudK5DkHmdcv89xl
3rfMk5Z5xzKPV+bFyjxTmdcp8yhl3qLME5R5dzKPTeaFyTwqmXck83Bk3onM
o5D7+nIfWe5byn0yuS8j9wFk3FnGMWVcTMZR5LparqPkvFjOY+S4IHVg/Ul8
2vMzDtvzM//LXu8Zk+9Vku+Rke/NkO8JkOei5TlQeW5OnrOS537kORd57kOe
g5DnBmQevsxrl3niMu9a5jnLvGKZxyvzZmUeqszrlHmSMq9Q5uHJvDSZhyXz
imSei8yrkPv4ct9Y7lPKfTG5DyPj+jJOLOOKMs4k4wpynSjn9XKeJMcFqQPr
b+LTnu/7X/6/3rvn9d4x+Z4l+V4Z+R4N+d4AeU5aniuV5xDluTh5Dkyei5Ln
hOS5GnlORZ77kOco5LkEeQ5A5t3LPHeZVy7ztGXes8wjlnm3Mk9V5m3KPEWZ
dyfzwGTekcxzkXkVch9f7hvLfUq57yX3UWTcXcZhZdxNxlHkuleuI+S8SY4T
Uhfys7HbPhm6rbtdyvRZd3unWw5w2/Oi5bqGFfy7ud7yPeZ+lh9xX5+vG7j/
v0R3cvMJy8+4Pw9aLnX7x0EF33b7xwnLD5j7WU52/36RLnHbuVgPdv//Nssp
7vttU/BRc73l/+s+cK5hBdc111vmObe6/c7zHgFYtkOAYUU5THmY27/L9SW3
X+fqQYYVHOH21wr9tVsn2fb8Hkz5CPf3ruqJhhXlMOUr3P9fZe0Mr3d/ntMx
hhXlMOVc38LdLsm2HKYcu1MOU44fUA7j/zDPV83978RungemHLtTDtO++Bl6
o5z2ppzr8UPKYexb0zyv1TPl2Jdy/G2eaT/bH1COf1GOP6I7+hPK8U/K8St0
udGwgumfuJ7+jHL8EJ3JT8q5L/8P46fozOYxOeUnTbminOt5Dsph/JZ2sXlt
Tvmnpty2G35Nuw8wbO1Af4cd6a9g+j/8hnaBvXTgjDeU065SJ9Lvt7qf44b1
Exi7cj3jm9QF19PfwegAxq9h/BpmvIWZH+DXzA/keCDzyuX4IPOeKWf+gg6Y
T8DMJ+T4wLyJ+srxgnLmC5TjfzDzK3TF+A1zH/p3+T30J8cDynlOuS8t+3vK
6V+Yx+GHMP2Z3JeS/TnlXM+8j3KY/pZ5Hn4FU868j3KYcuxGOUw5dqRcvidQ
9ufMC6mvfA+a7L/xA9pLvvdJ9s92Hum0v3wvjuyfmWdiX7suc/xD9s/2PIzT
L9m4hjO/RxfYXfa3+Cn9KUw5/TTlsH3Pgeh/6efpT2H73gCnnuhb9m+Mu9Qb
ln4j/YT+jXkqdpD7B9Iv6H9YP8CsH2D8Amb9APu47ZOhA27e3WxdWqle5m4n
13rA4fvd8+E8Xbfm1AZ9Ykp0O3d9flMwn0cfeKlGdGmhvc/GxqcqA9YV6Im5
jz4zdlqFXuhuj2s6JuPHjvuOVOo6bjtc0G0rklqkRJWpVe52TVINqnVrHNG+
VLV0+12KKrnzp/v8corVd+76pqoW7nl4vjrntk+6or4RWbnPxbSoVOsN23pU
ufufDPs8U0z9bb0L3H61X980v6O3GlZwdfP89nmbmvrpnQ8uvzUiuFDXNv+v
eH7qT3lL87uK9nipYGRAYEq5jnfbN1uHGVZwuGkvRXvNM+2laC/aj+egHKa9
V7vtvFlxP3hQSWyrWk+V691uvzyqehtWcJCxh8YetNtlt///oXgemPbAXrRT
uFsfZxTtA9Ou2DP3nrw6Od2K9XW3fi+oDMMKpt22u8eLS2q1YQUHGn/Q+AP+
ynXYD05yr/9yNb+z17D9XfwHf6LdaWfqBVeZdtMbz3fp6e93w7YjjG6ZR9Ev
wPwOOuR65lVcD2P/KNOelqvPc9vDMvXifsx7uB/M769w9yOb7ThOfwszb2Ee
Sjlsz985/SrzRPpdGP02cY8jmfZ65p1cD3P9SPe4lmWvZx7L9TDXrzR68ppH
cz3M9enuOMB16z/8P+sy+kuY/plxkHLY7ucav7T9EX4LM/4w7sL2HIKpl+13
8F+YeQ3fh+05E6df4Xrm+1wP2/mpM/+mHKYcv+N+tAfXw1zfw/QL9nr8FEYv
9Bu0n1wncr//q9+BmWfwfdi+H9Hph7geP+N6mOvxK8phyvEz7odfcT1s34/o
9Ddcj9/BzHuZV8HMoxhX6Efxb66HuX6rud72u3wyXrH+YV4GMw+rM/O/912i
z9d77K7dcUW6iXs+sUTBst74Nf0y4wXM+DTB6NmOdzDzYfpH5r/wDNNf6SdN
/2GZ/pP+jHLuR//J/WR/etiMR7aflyz7W/yacsmyP95rxlNbLpn+mvrSP1Nf
mOelv8YOzIMOGrvaeVGyKbeMneiPmV/D2Il5E0x/Tb9IOfdDN9wP5vsd3euM
K5bpz7kf5dwPnXE/mO9PN/Mjy+iQ+1HO/dAh94P5PrqE0SX3o5z5BP8v/QQ/
WJH2QZeCSVV2ngQz75HzNuYLzEdh5qMw82/Y7k84umPdSv+DDihHR/AhMx55
xif2Nxy2+wMOM8+C7X6Bw7Qv/RHtSf/O+gzG72HWNzDrVJj1DP0V81rmkax7
Yfv+A6e/Yz0B2/chOMz6lX7W5u0781Dm9zZ+7fRvMm+W+Tv9G/EG9Ivd8APW
iTDrRJh4AWzfk+7cn3ZhPk+78Vzon7gL8zeek3kJzyXn19gZZl8IZl8IJu6I
Xph3oSPW18ynbb6o02+iF8Z3mN/Fv+mX8D9+B/9Dp/gP/SjlMH5y2t1uO+04
yXoaf6Pflf7G/WDuN8zcz46/xBG4H+1g91Gc/pr78//y075v1bmOcYD72zwb
Z11DOfEfdEj8HWY9zjyY+JHcbyGOwnqSeSr3pxx/pNzGu5x+hvGRdZeNczjl
+LssZ56C39j9DNZtzryFOI3cv7D7Fc76m36W+Cb6YP6EHognyXg9zLjBOMw4
I+PxMOMW62TGOeJudr/VYcZN+h3GWdodfcDoAzswztMu6Bqmf6dfof/g+amf
PR/kjLP0i9THnhdxxnX8it+35wOceQR2wG+tPvBrx8+JV+KPxCvwV/wLf2D+
BNP/4h/EU/EH4qfWX5x4Df7B72Jv/Nz6g+Pn2J/1HPYmnmj9wVmfYX/Wb9gb
luexrH8482b8gfUc9ofl+R3rL878AP9gfoA/wPI8h/UfZ32Lv2BnOU+jfvgD
v4f9+T76luMjv0M5cU/K6bdZ/9g8aifuw+9QbvOqnXLqRbnNs3bKeQ7Kbd61
U864xjhNPIDxjPka8wL0AtM+/U09bD8M016sc9ALLNuPccvGD0V/aN8X53wP
/6Z/s+evnfFb9mf2PKjz3Pgvv4/fwfgd9cHvGK/kfquNPznjIf0P63nal/g4
zHzBzp+d+Qz+wHyHfg6W8SzGc9juczn1keM518M279UZf7ke3VEvmPkjdkY/
3M/meTr3k+1hz1848Q2en3krz8vvwm2/mnux22XPe69KBnYLnZaV6YlXOP1V
3rEeo1IbeP6eQ4d/hO0PG+VZb2y/Vb+v/zzP33PweX1xWcBrnr/nsCZm5flu
j7ju32fmvX73HLbtg/0oZx+I76NT7o8u+X10SP1+CGwWl/aoJ/5hz4vc+/Wx
hFae9/mff2bChvFfFOsOfqfnRsZ+Z+dT6IJye37C+X7fPbGftJjrOQd/64GH
i24rz34n//9D9bXHEzZ43j+/fcmcr+sd87x/Hsbfub7lQ7lPBcZ41lHbp2yO
TVvlOafJ+PfAv0fNDAm/rpetKhkQPM2zH0o/T3n/i5crRwR49kN7dWoyIHiH
Z79zavOsu3Ie8ZyzarN5Sd7ttzznrOz7UzJmnPONS9PN1uY+Vutrz989s+em
nPLHh93qUrDV83fQhtz5671+33n+DtqmjZ3nR0Z5/x2072f1ax/T4jd7P3jN
pbyHU3p53oeasrPbxUnZFbZ/G3Tp6WfGjvf+O1B/x4Y3X5f2o+fcn8ML/mx2
JOFYue3/jp+8nJRZs9zr7+DkXPH/a5LPUTX22+iTmXW8379IuX3f3os/9fVf
kayGz5rb1/9cidf7CSm3fyeiY5dk391n1dJHX3ywz+Bir/fzUY4/3RX6+urx
qX+plIYTXpzW2/v9cpTjN66V6YmE65fsugt+eM9bA6al5dvx8ZV7/900xbU+
su8HO/nOd0eu5dvxL3J+21Xjv8i3493BC6HjYx/w7L+Gdfp1S9WgPC33VxNH
7T8cleB57w0cfunFZfUGXLfjS9BnV9bHVffsv+LHSZM7Zq16u9j+LnwltPHn
aa9k23bKnT6zJOA1z3n0lKjXjyZcz7R2urK1x705B9KtH+DX+x989Fy3A67x
csfpGwtKPX5Mu1KOnw8pnqXDPvKsy4v+k52V5FulloUEd9jX75iW+7WUY1e+
j983/OyTf439yzOP6d9ledsYX8/+bYu+GbNCnvbs38L4Ldfjt9zv5QfunBcS
f1mf73pH44jlpXpTXre7d99M0yvXt37ZZ2Gp3tb9sfykijQFz2of+4rP9Mtq
6NqZW4+4rl9yuVafYNc8euCpnX39Xevlvi2/vLzqX4d1RNCG7VWdS/TGuhfm
RT54WM2I/3roJle/V33AQwfCXJ97h98RH7e6UEcOW3wsoVOJCto7s1eBi+8f
vWdOyKJSvXDG7DGpQwp06AvnvqjXukIPeXrH/MjTWXr3L3dVjphQqbrmHLw1
ou4lnZL4tg77olI3Sd5+Jan3X3rr65P6B2+p1DU/+q+dz+gzKVeHbPq+Uj8Y
0rwiwP8P3Wzsyc1H5rr6m17+b4ZvOqzzRm1+aN2gStUxZfOL07L26uMtasfV
u16u9IZ5y+tF71IV6Usa9oksVC0DX/1u/K40VbfH8+viJuXpJSu3LI70L1B1
e9/cFzX7uurt61dye1ShCu/cfMimE9nqTETK0E35xeruU4/sDYvNUrlbilcH
TSxV1T5+8+eq+lfU+vd/3HLk9zLl03NP27GdXOupoxE1d98sV51XDMqYNO+k
2r/y42GpS6vUA50+2R+1J1cHvHfXfX5XS/TNS/fNjfw5V8/pMPGXVlklum3h
85+ExGfrl34vvDEioFSH7dl/LenMGf3Ed4ELI58r1TdDpg4M7vKnXpAwu/bu
myU67NIbPQq2Juu+G3d/H1dUon0GrqmbcyBJ7x6SVnj7a5d9Tn5bPbrWAe23
t2H16D+K9cEkNyu4nfm+4vvnzf0V929nfl/x+y1N/RT1yzX1V9S/hnk+xfNt
/P7dw1EtC3Xul4v/6nagWDfLOnkic8l2HTs2/fmY4cU6aXDp3qja2hPPM9cr
rm865d6u+24Uqp4Tvujn37dYP9Ug+Jug3BJ9pPWa2S3uKNSHFg1cEzTZk3/q
O6jINa+epSdOufFu7NtFOrC/mxU8P/6hYZuiitU72z99Ibh9kX7M3E9xP/t3
ocZ+NcB/aIF+4+SjlyY9UaaWFeox7Xvk6ytvpAcENvDkm85496GgfbvKdV74
sMurFmfrCwUN/dd1Llc3B07Y3qpdro4w5Ypyxqf6AfXOdbucpbuPnvFe4rly
u283Lrzj1NLFFSp0wuj2MTWv6gtmvNNZD4fmJjXM1IMS8j8svaNSh2ffXydn
ZoYdDyn33X6x4775lTbv7P6WHceF16nUPx76sXWtp7bogi71H6/1pic/dM49
wz5u4ZoPBJX8dz3xnp5hWME/TK79p2+ca31w4b/xt3lq9fcrAwKnlOu+w+/+
IS7yoIr/eP3StOaefNAVplxRPscnslWtgeWu/mDjprjIRNXxvSfmhISX6WWf
f3H37qlJqpdfn+jITz35n6+uajMqtU2p7nn7n1uPNEpRs3o/cdp3qiffc0p+
s5dSU4p1TEVo9d1NUtXhHa8sT2vuye9s8FX0hW4hRdpv8nu9gz++qFxSTc5s
4lqXF//wZ2bNNBXfo1qvgjGefM4pkQvPTTqcr5ucrP5h4s50teLuFY/Uys/X
S3YtGbppYIZK1DOW1vs7X//gnn9mqhY7LlYu+DPfrk/mmesV17eLuG9XmGve
3q5T+xTf81fUB132fhFUkq/XTBw3xqdplnrclCvKB12t0c0/JV+P2TNmtM/q
ayqxLCBg7C/5uk2D8jtzZmarzqZcUX7zro92hY3K1xULatxc8FOuumvbxICx
I/J1woHQxuv25qpcU64or7vkwO1d5/P0rc/cn0p+3hXtvk6n/fDdirQeRapp
uyFXks5ct+tc7kP5kMxFn6V9m6vmHfL9Nii0SOUe7ttm7C/XdNu275/K3Fai
dn/0Ur/gLp580/OmXFG+M2r8kYQRV/Vfs1puPdLcE9+Ka3j6aMIA13q4b6db
C969ZuNjG831iuvDFgzfXhWfoSeW79jVKtwT76rb/bmcpO1lquyj8j99O3ry
V3ub6xXXD746v0b0T5f0k5+PLwmI8sS/Oq/4sLf/uXKV2DL66qq3PfmtXc31
iutrT/y1aUSjNL3+hWXzI++sVNv2FNwacdyTz/rM8eyDUUFn9eROC2a0uFqp
Iot6Ft7+6E+9Mehfn6f1qFJDPvn7n7U2/6H2XBq4ot5413hgrldc/2lotdaB
KTv0wgFjP93S9Iaac6D7mNSEeJ34w/PvJj5xQ325t+dvCeOjdeCxBsNS29xQ
v+x2s4LrmOsV1z9g7qe4H/GcvFHXngpc6tKZWf/Zfo9+Y+rLnT7bMr3U5uHB
xO/4PvO9UHc7l+gWo/5+IjAx18bXiZedcrerJ381e85f38ftL9E9M7/pvO+e
ZHt9m77u9aGNx9NPJS251qBPUbGNy8HMy7nf4+Z+Xvms1M/X1M/rfAT1Yx03
r1rcki3Ti3Vi732jU6d48l8Hm/WfXecx7rRqfOOj0kbFun+IezzzOl8R8Gfc
9aR2nv0CmHkwv7fH/J7X+QvuT73DRy6qDLizUO8145/N0ykz61G7z7PXrB+t
nWxecrhPePiTnvMVMPH9lo+2qr57eI6+YMY7G8dcZNabSubfcn1HM54peb4i
7L31c0LiM7Uy608l820pn2XWo3Z/rI4Zz2yeZYUZv6xfMD4yb+b3mm4e6r8u
bam9P7zdjFfWDkvMetCu+3n+MSvu/yMz+YDtB+CBZrzyypcdNL3T4ylRJ9Uw
s15UMn+W8gVmPPPKnx3z4TeTYkNOq1CzflQyn5byU2a888qnPfThY4OmZaWq
hWY9qWR+LeXbzfhndX3BrCftPi/xob03Pum6r98lOw7AgWb8s/GyNmY9aeNr
oWufrZnz/+0P7jTrSRu3iTHrSRu3oX9o9831Gwv+zFXbzPpSyfxeygPM+GTj
vBFmPWl1ZOPtwya96hPkyeeFj5rxycbVysx60u4D47eHTX9g9ztg4iiMV1+Z
8crG82+a9aiN1xMHvf+VsBsj6nrOV8DogPGr9gz3+GV1ecWsZ21ch/578vXl
vn0Ge/ZzYHTDeJZixjOr0zKzHrbxfPJghu/6+0RmqOf8BnzQjG9e+c7jOt04
GNXSk+8M51bkLIh80Du/OTLk2oGohCo11KyXlcx3pvyo+b6NI8/oP/ZUZnKG
LlqWUS36c9d4VDe6Xp+teXrRysrppYtLdEuzPtCsD0a+sPm5sX8V6qHHvzrj
61pfrLnqXm8o1htXzPxcMz9vu+K7BZHvluvq9/S4MycqR8+eOHG0z8JKHdT4
RO/gOy7ql4YN29kqvFK1bfXc8rRXDuqd0aHvJfpVqNYLfnkqMOUnFWjms4r5
7Egzf1XMXyeY+apivvqqmW8q5puPF507nJmcr1LO/bphfOPLqigo9MaCn1zz
L/9x49o/WqjWD7lnyKb8bFUw/6tDUa77lL3lnn8o5h8RzzfdElc9SbXY3nlb
VXyVeunDrq51mScee9Cs9+36P+nfFTm31V8u+z172neci916u6jrZq5T+z4s
1fGmXFEeb8oV5aEmvqCIL0w09lHYZ5D5fRuvnfPcP6oCehToXH/doM/TJTrL
xA808YPssz0brdur9fAai4tuf1msJxhW8CwTj1DEI27d67a/wv4zzP0V9z//
+YiKgN+K7Gfo4CULImPX6Vev5n6QeK5ID3/BzQoeYvxF4S/J5nuK71f1d8c3
FPENHxPPUMQz6p7q3Md/Z5leUv2cf8pv13VtwwoOMP6l8K/+Jv6hiH+06fRV
/+C3K7VPr5Mr611P008YVvBxEw9RxEOmG/9U+GfbHds+T/ukUgcfK7m8asvv
OsCwgstMPEQTDwk3/qzx595P+jeK+E+Fju/03prxqRtVZ8MKTjHxE038ZL/x
f43/d/2xMiCwpEwH9+3y94LMw6qDYQXP2PBt94JTpfpJtbf5upf+UBGGFdz1
Wqcfj8wt0YG3Fz1ea/MZ1cGwgpn3pEWVrosb85dqbljB1S674zmaeM4PoccO
R611jV93Fj+8buUl1fCL1wb4byzQ55eePOsbd0mtNeWK8vqmXFHezuhRo8fe
DX4pHRGUpzvNHFczenyBamdYwU1NvEgTL6qu3PrV6DcyZeTyesdy9O5+V4tu
+xerSYYVHGHiS5r40najd43eG5l4kybeVN/EmzTxJj8Tb9LEmyY8lj46tecl
/fkjP3Yt2FihRhpW8JQ1+0M3nTivMzqUrKg3rVINMazgkSZepYlXLTP9i6Z/
afnzm8NSEw7rp6+FPxhxtkplJbhZwYwn4fMmlgXEltp5Asx4cMF3xanMWZ7z
yjDzmQ9yq44ntPbks8AtQ165sqq5Z/9/konPaOIzJyOD8m+/5znPO9nEUzTx
lLAm73fa912FntpgYcyW6Vd0y0m3N8YVefa5e5v4iiK+kj1iTMaq+ypV3sQa
15MaZugZaY0OJwzw5OMPCgy5teDfleqD1r/fm1MjXS8ae+/KoE2VNm866eXC
bVU/VOqY1z9L9u1+1u6PkCcdttZnZVB8pc6OLLsjulayfnre2TfD4yptOw0p
D56SuKxSp+8eWisn5Lhe+fAvo32aevL3fUx8RxHfqdukya9RZRWqV8Kz8yNj
N+iO0Stmh8R7zv8mmHiOJp7TVM2r6ze/Qk9+suTt2JBl6nizca1qveU577vI
xG808ZvVGcGJUW3L9fGSrYu37PnNrjsmN+p8e1fcRbt/CofmnP+pVUW+nack
mHiKIp7ybmGXMe1dfOTIB4+mfJqpAh+pETDWxcyT3jDxE0X8JMYv5cXUonxV
EFO9W0HbLDWhZNbUFr/n23lagomfKBs/2R+1N2ptvpqVOu76bf8c9WyfbYvT
RuTbeWHFj+74iSJ+kr5in2/Ejjy7Lkx5ffmWqkV5Omv0Y7vCLuarFk3St1bF
e87rvmriIZp4SNvsLm/FdsvVUWfvO+u7rcieFxh6eFGXgsGe8wLwEhN/18Tf
p575cEbpiHQdsap64wiXXuJM/N7G64M6B9aIfjZdZbfMG5m61HN+wOf09UdT
rpbogvvPTk7cmaMDRlZOCK/jOR8wI/nKjRFBrvF+U97z+3Kydd2zHUaltizV
yekHPiztck1XdZnbISa0VBfvWvFcTNw1nfRE1n829fOcF2j5/PxHU94r1SOX
dh0Q/HGWbuA78/X2r5TqDuXDuxVsvaq37yo9mTm5VPt2/jIiscMV3eGLhVuP
zC3VnUdcqbl7+FW9rLhxX/8PPOcLDqbFh07rXao7ZpU8G1PzvP7w8tKygFGu
+cOlzzfEVU/VUy/U/ibIVZ+UC63uzjlwRrd56J9PB7b1nDeI/3nYqNSyEl2z
25iYLXtS7P60X783H/B786R+eWKfmyN+KNF1zP6FYv9iTtgvtXIOHFOhB3wG
Bb/tOW/A/TK6uu9n95NZZ1HfBFMfRX2amvor6v+0qb+i/vY8gdN+NU37KNrn
adM+ivYJNu2raN8nTPsq2hc/x54Hjf0U9rts7Kew315jb4W98Xv8Jc34i8Jf
WP+NOdWun/+5Yr3z/TkD/D9wzd823PqlVcMS3Xten8WRPxfoFVOe3DD+huf8
AddvNdcrru9srldcP8/sD2n2h7pvWPPvaRnF2vengb0K8gr1ZyY+r4nP028R
1y0Pf+gffWKW6h4N277qs7RI3/mamxVcdWv8/jBVqmf7/b2y3vcFdl+E5+K8
wsuNHu9dsLVA1+5Yo/bu3aV6/8X76uU8UqCPf1a78PZfpXryhHoLtlTl66Zm
vLHr1FvPu69XXJ9orldcH1gcsiCytFwHjuswJTHhmj3v18bth9l658j3BwT/
q0Kfmdt4aum+LB3U7J12MS9V6LtThu9qVXBV/27GL7tu3GquV1zf1lyvuH6Q
Gc8U41mAGc9snneRGb8049ccM37Z8w/Dcte1GftspV75ebUZpfdd1imhOx9a
19k1X/wpf0+r7en6oNmf0+zPhZnxTjPehZjvK75/3Hxf8f3fPj58r983lbos
s++skPrn9ZitCTNabKjUdWLiz3S7fE7PMeOlPfevzfWK64ea6xXXbzT7gYr9
wENmfFWMry0ervF27I+Vutqsp09mLknR2+vWPZHpGm9TH07JSUr6Uzcz46/t
l5uY6xXXx5vrFdcnmf1GxX7jIDNeK8brN1p8/3DKukrNvOn0Kz+/MG1lpT71
VbekhAFJ+nEzntt18BhzvZ1nnTDXK65vaPYzFfuZwWb8V4z/6834b+OKK67P
7+XfzmWPbXfuaBW2Sw8dMGZl0NMu+/1j33MxL+/QDcx8QDMfiDHXK64fbK5X
XB9o5gs2n7aBmR8o5geJZn5g82dXmPmAYj4w/fiKs765hcrngYxH1nVOU3WN
bhX7MS+b+YCNI2+8Pvu18Nx8PTFw7n1+/8xQn5j5gGY+sMKUK8q7m/mB7VfZ
b+m8+amIxHNX1GozP9DMD9hvoXy6mS/YfjRy4he/JvyVr4/G/vl52r+vqUFm
vqCZL0wy5YryHmb+YPvR4+l5F1ctztdDq7ofiFqbo/YYVvDgy+uTfG/m6f0b
XysIeC1PnTLzCxvX6mrKFeW3urv3oxX70Ylm/qGYf/ia+YedZ7U08w3FfAMd
TVqY5FpX/Pd9ystq58w8rzc1ea514OxKVf+F9OX17k21fn8wpfSRlN9O6w9+
bzjap26VanOrMH3SvD/UD3+PGbLprSq7r8b91prrFdc3NfdX3L9gkPv+ivsT
px2e/kb13Ter1P0Zy5J9O/6upwQEdClIr1IRd7yfkxSWqOct/NfxzJIqtW39
a1Ni/9inI0cNWTP+nhuq3aZeFQFX9+vR/yksH1Hb8/6Ol8/FLkl79Iaa/vuu
rKSwndr3kfOHEh66oS4U/v1OYtUm3e61o8vrtfa836N+65tvxT5zQ61tWv+T
kIIVuuHXRff1aXNDJTRxs4KJC3P/KwXu+ynuV938nuL30AHPN8XUX1H/qu/c
9VfUP/my+/kVz9/BPL/i+YnfMR+8Vb7o2bGlGbpB+9s5SUtc84dB7vw8u19D
HmXdxw/8XLXINX8w80PN/JB8l6Z14m+McM0fM6LTBm/69KKO+GfX/WEfec73
UD7OzD8V80/iutRnwrzRvYNX5etNG1b1KBhTohNMvp3dr7Hnsdz7oSU60cy3
NPMt8l/Im5tq1hW6Y9Ov7/O7p0Rf3ba0R8Gkg/b8BfktXJ8d7M5vUOQ33Ozr
nu8p5nsnxvRIzvTdqpKfSm479qFi3bWRO7/P815p57zQhIuNXONXsZ6Yurpa
dOlPXueFdj9S+2K3bwp1RzM/UcxPiBNTnj35y1GpS0vUV3N29ioY7Dk/xP7M
8cw968d/4TlPVGTmJ4r5CXFi8g2S/l72evsenvNGXc38xcblyRtm/rLw9fOr
g2I854+eNPMPZecfTpyXfIPAd/f+GlXbcz6JPGLmJ91NvqDXeaWm81tmrVp8
WXcw+YHWrxqafECbJ8X4Sp5UsMn/s3nRa0z+n82D2mTy+2xeZm+Tz+d5n4mT
n9zsQseEI61WqkSTr2fznsiXjbr17t4w/0Pqa7Pfr9nvn23GI814xL7YjPp/
VQbEpqkx8zbetfu853xU/YjKGtH/KNSvDvllfsjTl2yeGtcPNdfb85S9Tf6b
5z13Jp/N8/4QJz+6a1jdg2EXi1T1qv77omZfUB2TB74d261STTL5Z/b8E+eh
QscHn8gMrVTx2fsGTAu/aN9vMdnsH2v2jweZ/lrTX9POvsEPzWgxt0p1P/b7
R6WjPeep2JeivIUpt+erQh96v2pB6XGVu3xmT/+dVfZ9BrNP3K7jd6RKvWz2
sxX72QdNf6LoT/JMf6Xor2zeh6Pvkab/UPQfjUpe941or3XWhVFNIpYX635j
3frV6PfLYne5orxN+rTNcWOKVN8L3bcdubtYFxn9afT3sN+zlyc9Xqzvbzrh
QrePi7SfYQXHX+z4Tuw7Zap2g5emtZibp8vu2VY14laZ7ji9zfuld1zX4z69
vDfso3KdteTdooDXcnSeKVeUv3Ry3oubdIWu03vilVX3XdFr2/W9ljSnUse5
97Uu6q8MK7jvZx+3GTu+Uj/ZZMhp346/6q6GFTw1bOnKoIwK9cC+Ls+NnbZa
r/9y1+BpLSp0yruTtlct2qZWGlZw/5FTR6RuLVdD79h8a0TAPhU8piRs02ZX
/b8Jdo1Tx9T2P07EbGlapg+X9+9VUHRS9TTlivK8ge8sS5tZqpv/fv+sFvuS
VYeZ2wpvXyzRyVMG1vN787S6YsoV5Z8fKm8c8a8SfWjckguTss+qtZ9+0M//
g2K96PXT+6N6nlfRplxRvv2F8Y+l/FykXxp8Lix1ygV1l9GTQk/xplxRnpZd
u17OMwW655MlLnumqzOGFTz5jW2N1jXL190ntazf59R1lX4zfmz7zOt6xaTW
e1tlFahThhU8ufYDjdc1u64WvDXu26DkQlVwYFCTdYNy9Mygx3ZUzSlWaYYV
/Gd+1Laq3tlq5dGkhZEhJSr3qRtf1Pv7qro+fO0/+hwuVf+J/rG+39hMdeXD
pmN9/MrV0jbtzvpOTVeJe6ae69atQjV9ecdPR66l6TUD+w2edsjVTxl9a/Rd
15Qryn1Vq9i0V07rPX+m72jVsErFGL1p9FYS5C5XlAcdfupwQutrqmxLm2+C
fEtVteU9IhJ3XlHL5v4nOvK9MhXXvGmTiMrL6vE9oyfF/liuOhh9aPSx3fi7
xt9fNv6t8O8w488Kf55l/FHjj6HG3zT+Fm/8S+FfbYz/KPznK+MfCv942dhP
Yb9Zxj4a+2Sa9te0/03T/pr2f920v6b915r217T/8Hv+WBO07ZTe/k3j+/yO
lOjjnT5aPX6X63c+DLo5Yk+JHrr7UH//mEJFXCHYtKemPeub9tS05ybTnpr2
/H+0yxXX
           "], {{{
              EdgeForm[], 
              RGBColor[1., 1., 1.], 
              GraphicsGroup[{
                Polygon[CompressedData["
1:eJxNnQnYVdMXxu+5957hfghlSvojDebSoDkUjWhSSTKkDFHSoFAKpWgSkoik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                 "]], 
                Polygon[CompressedData["
1:eJwtmXnYVlMXxp+3t2efvY8UIUmjMqUoKpSSRCkVhSJfEsqQIkNyGT5jZoqQ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                 
                 "]]}]}, {}, {}, {}}, {{
              Directive[{
                Opacity[0.4], 
                GrayLevel[0]}], 
              
              Line[{2, 1, 51, 101, 151, 201, 251, 301, 351, 401, 447, 477, 
               501, 519, 535, 551, 565, 577, 589, 601, 613, 623, 633, 643, 
               653, 665, 677, 689, 703, 717, 733, 751, 771, 795, 821, 847, 
               873, 899, 925, 951, 979, 1007, 1037, 1069, 1103, 1139, 1177, 
               1221, 1271, 1321, 1371, 1372, 1373, 1374, 1375, 1376, 1377, 
               1378, 1379, 1380, 1381, 1382, 1383, 1384, 1385, 1386, 1387, 
               1388, 1389, 1390, 1391, 1392, 1393, 1394, 1395, 1396, 1397, 
               1398, 1399, 1400, 1401, 1402, 1403, 1404, 1405, 1406, 1407, 
               1408, 1409, 1410, 1411, 1412, 1413, 1414, 1415, 1416, 1417, 
               1418, 1419, 1420, 1370, 1320, 1270, 1220, 1176, 1138, 1102, 
               1068, 1036, 1006, 978, 950, 924, 898, 872, 846, 820, 794, 770, 
               750, 732, 716, 702, 688, 676, 664, 652, 642, 632, 622, 612, 
               600, 588, 576, 564, 550, 534, 518, 500, 476, 446, 400, 350, 
               300, 250, 200, 150, 100, 50, 49, 48, 47, 46, 45, 44, 43, 42, 
               41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26,
                25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 
               10, 9, 8, 7, 6, 5, 4, 3, 2}], 
              Line[CompressedData["
1:eJwl13f8j+Uex/EvymqJhkglUupUiqiUFaFCkuQ0aSPaooGIpFL2roxOIuNQ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               "]]}}}], {
          AspectRatio -> 1, 
           Method -> {
            "TransparentPolygonMesh" -> True, "AxesInFront" -> True}, 
           PlotRange -> {{-2, 2}, {-2, 2}}, PlotRangeClipping -> True, 
           PlotRangePadding -> {
             Scaled[0.02], 
             Scaled[0.02]}}], $CellContext`subregion[{0, 0, 1}] = Graphics[
          GraphicsComplex[CompressedData["
1:eJxlm3tczNn/x3PJJZd205JqyyWXLLHkuvRuReTSl9q1LbmsXEJZQpuItAjr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           "], {{{
              EdgeForm[], 
              RGBColor[1., 1., 0.5], 
              GraphicsGroup[{
                Polygon[CompressedData["
1:eJxNm3nc18MWx38z3+raIqSNtJe0KPsSQkl2IUuisiVl6yJSlL0sSVRSUipb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                 "]], 
                Polygon[CompressedData["
1:eJwtlnfwz3Ucx7/v91t1ZZakQUYJoYwysokfkZk9s8mOcKnMjMuWo6zsrTKy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                 
                 "]]}]}, {}, {}, {}}, {{
              Directive[{
                Opacity[0.4], 
                GrayLevel[0]}], 
              Line[CompressedData["
1:eJwl1Xe4z2UYwOEfB4mQkZaKsgtZ2SRbFCcZ2QdZcZQKERnZLURGZGZkZu9R
JHtHQ2lHGU1SuZ+rP26f93kd5/zO+32/l3wpqck90yQSiQX+uCcpkcjBANqk
TSRe1C/1K6ayxFxKz/AAxczFuY/7KUE5+6W0NCXpbi6j5ePf6FNaVnvoOxyz
nqHf8C0zWWavgn5HJSqbq1CJVPNcjlvP0e/pxTxW2KusP1CV980L9BlyWQ+m
nfUQ/VEXMtT6ZYbR2zxKRzOckYzgrP0xWo0Hqcpz9payMvb0Z2qwxrxC+3Ah
PgMH7K3Uvoy3XqOv6zje4JJ5gtakFjXob6+2rtODuj6eB7da38bt1DbX1Xrk
4Q46xB5/UI/19jbpX/zJJPNjNCGZpjzOW7SkFU/E86c1k+nEk3SkC52ZwhXf
rwEb4wz1JB1pSPd41tzJXeSlkf0tuktH0CPOWHvqNKaSiM9j7wMdq6foRFM+
tLdXXyHV+tV49nEPmE0Sze3tinPVT+PsOGw+oBm0hX6k4/UzjgTzYc0Yv7vu
1on6edwzjpqP6fVxPronzkVf0Hxxdtb99D0WxVmZW/Kx9QnNojeQjaxkYpL9
zJqdG1kYd5U34+7ohLgvelSfj7uivePe8SzzuY55vMtcDvma9JqOZtY7dX/c
NZ62fi3eBZ3FTNIyPd4/3mZfvJM6RtPEHdEdukdHx+/D9rg/+h/JbDPvjvcm
zpWt5sb6L4+y2bxTh8fzY5P5Eb3KP/GcOWRvh/4d349PzNt1GF2th2o3fVgv
U58N5q3aQduTQluG2GunW7SFDtZm+pI2183aWAfF59OB2kg36kRtGJ+P+jSI
nxnPhN/8/e/xc1lnrqO/UosUbrF3MwOs62hNXatr455Q3bqfPhTPIe4uF+Mu
6yodq6v1PL/E17Ha3vJ4/ixjlbm6nqMa7clt76a4E9ZL2G+9WH9iESfiXsbz
Zz774r5oRS1HeaqYK8S90L3xLsUziPeS5eaK+jWdmcZSe6W1LQOt81OAnHGu
cdZxn/zddLpQ0NxVC2kZLaLdtLDeS1HKmr/gNFNYbK+ktqa/9d1J////dA19
dd0h
               "]]}}}], {
          AspectRatio -> 1, 
           Method -> {
            "TransparentPolygonMesh" -> True, "AxesInFront" -> True}, 
           PlotRange -> {{-2, 2}, {-2, 2}}, PlotRangeClipping -> True, 
           PlotRangePadding -> {
             Scaled[0.02], 
             Scaled[0.02]}}], $CellContext`subregion[{0, 1, 0}] = Graphics[
          GraphicsComplex[CompressedData["
1:eJx1m3lczdn/x7NEkjJpSDWyZMmQLevQx4jI0hjNmIYQWbJkaEgoS5aLEdkq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           "], {{{
              EdgeForm[], 
              RGBColor[1., 0.5, 1.], 
              GraphicsGroup[{
                Polygon[CompressedData["
1:eJxNmgn4lkMXxp+Zp6z1JbImWlQqS5ZEqcjyIaLFlr1s2SKRLSn7lq0FRSVr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                 "]], 
                Polygon[CompressedData["
1:eJwtlwf0l1Mcxn/3XnSUKBVHHIVSEUpHoXSKdtHQ0N6D9qAkmioNJdpT47RL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                 
                 "]]}]}, {}, {}, {}}, {{
              Directive[{
                Opacity[0.4], 
                GrayLevel[0]}], 
              Line[CompressedData["
1:eJwl1Xecz3UcwPEfl5GQUipJoSGSpraUXYfQnZHE2RGlZFUysvc41dl7npFR
qFPG4ZSRPSKrpa09n++HP16e78/n93C/x30/ny+l0ro06JwrkUjM9MeMpETi
g9yJxG/qpunWKUpVOc3Wy/bn8AJlmedyPfMyj2qaW7G10jTcug1rsR1HsC1H
cpNOmzeyPUexPBeqh3kR82uzeTGzmcnRvJCPMYvbOVYfa7314+zEujzFW1VB
vazraYN5ByfoTR2wnshXVF8brXfyrXgO5u7xe2upCupJ+9mcxH+0V4et97AQ
C2ta/DxO5WtK1avW03kX79YB8xHuZ1/O4uvsr35arovV2P7WeP78V33UREPs
DVUl3aO+9ppphHku7+cDelDNrUdzHh9mFT2iFtbjOJ/VWF1vmGvwMFfwEFfy
0jjXeC5cFM8uzoqf6aj5KAfG+Wu79TEW4+VqE+fDTCZ4ksd4glewHT/hEubi
aR7nKV7FDtzJZczNr3mCX7FEPCtmcAXf5jscpI6aZL2SdeJO6DvzSX7La3md
3jNP5rscrOc1Jc5P9fSE6utF+9O4lg3jLuj9eG+0Tr/avzH2eBPL6mZdrxv0
i/21PMcy8b1aE9+r1WoQP8dnP2u/+SWWZlfu409cox/j3lm/wFLswj38gav1
vT617sySfI67eZar9I12WXfiNXyWyfHuxHsVd936S31u/oLFebXOmHewPa9k
W9ZmLdXU4vg7cSfMxzmRCzie6ZqgVSqqy3TEZzlM4yVsyQGqan5UYzVGz9jr
r8rmhzRKI/W0vX66z3yvhmuYnop3Sf9pjrbZa8oicTc0SIM1QAPjzsfd0sF4
vzgz3lvOiOeuLeZGvJN36Hb1Vi+lxLsd90c9rKewJzPiDLTZ3JB/66+4n9oU
Z82LuIuHuJu3sWKce9y1uHf2eis97mTcgzhzjYv3RR+ak+P7tCTOOc5ct8Sd
0Hj7H7EOC3AbDzKHf+jP+N3i3xeNUQefdYz7oNrW+Tg/zlDztMHe7+oe3x0/
W0PUyGdD2ZjV2DTOgU3YLM5D1a2bx1nGucVZq4Vq2E+KZ65ZSef/H/ofW9Tk
oA==
               "]]}}}], {
          AspectRatio -> 1, 
           Method -> {
            "TransparentPolygonMesh" -> True, "AxesInFront" -> True}, 
           PlotRange -> {{-2, 2}, {-2, 2}}, PlotRangeClipping -> True, 
           PlotRangePadding -> {
             Scaled[0.02], 
             Scaled[0.02]}}], $CellContext`subregion[{0, 1, 1}] = Graphics[
          GraphicsComplex[CompressedData["
1:eJx1mX1Y1FUWx0nRjDVsjQqRUpNssQSE0dCUm2AJafi6NCUQCetOGlpqLrpi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           "], {{{
              EdgeForm[], 
              RGBColor[1., 0.5, 0.5], 
              GraphicsGroup[{
                Polygon[CompressedData["
1:eJxNl3mQ18URxWdkwYUFNSiHyLEroMIKyA2iCysCaxaIgKjAcgZUFEGOEPEA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                 "]], 
                Polygon[CompressedData["
1:eJwtlWmwj2UYh+9b6EtmksIg2aqxllCSMoWsJRxLIruEEFHHGrJnT/Zj5zj2
rSwtNGPGNNPU9KGvfZbSaMoy0wzXb37vh8tzvf+/83/u516et+GoKf0mV4qI
GVAZdmfEAKiNn4KNeBMoxw9CXXwJbMa3QDv8W/gNrwpj8LGwAB8M7+PjYTG+
BPbge2FdeI8NeCPYh++FifjjsA1fBlPx9bAHHw734DqMhrnwJd/dZe0ejnEU
z4/Canw+NMcvwM84S8zhn1IYpL1hJv43a/Xw3+zjeXb6uzNQC58F74X/5mO8
pmLC18Iu/KV0rk5CX/wFGFPk9Fn8G/gVV55L8I5wWr8Fi/H/WNvoLPAWz3+x
joWPoA/PO+E4Pj2c6+ehbzjnjdM5VO72w2PpGBWbcjw6nRPl4lN4BJ8Bnxdn
roH3S8e6KlzberA1XOOe+MNQgn8IbfHL8LtigweUG1hUnEFnU06UC51xBD4y
XSvFvBy/xfpyuMYP8XweftJvwcB0DZT7T2AF/oRygO+AZ/CL8Av+BgzBb7N2
g1nwnPaGq8qlekS9nO7F8bAIPwBnFatyjE9L/98V4V6tk66FerYrPkw9obPA
K+mcKpfqiafxHXAEPwYL8IWwUbHAk/gWqMAPQ0v8BFzB31SP4vOgaTiHqvX0
dCyquWqlGqk2qlnT9J7aayQcxavCd/j3qnn6M7lm5jj+IFzCL4dz1yrdi8qh
ZqNFOpeaEdWiWjo21aQS3gveCcf4T1Ej1UafHUvPqGZTe1wveli9qxk9iFdW
jvGv4c+ip9XL6qkb0D89C+NgaDpmxaqcH8GnwLvhMx7Gq2imNAvhXF4Lz7Zy
qtr/UfSSeqA3z13UM+EYDuks0ENn1wzgHdJ7z4RyvHP6u/OwJr2n9tqtGuCv
ww/hnqzAJ6tHwjHpbuiU7jXdEavSOdDZd8Gk9B2nu205vJiOQXtr5tunZ06z
pjtEZ1+b3ls50F6r07+lPXU2xaxYdcZtml39RrjndLf2UI3Cd6x69Sn1SLhn
y/D/WXuFP6ufnjnNWln4rMNhTvjMDfFm6d7TZ93xBunZ0x6661qn7wbdeefS
M6TZ+RE24ZvT7xLV4LP0TGoWNTOD8H9ZJ0Kp6srzTdYJ4XeK7p426XeN7iDd
JRPS7xbdKa/iS9PvJs34Mvw1+Cp8p72tuyA9m9pDZ9+enk3lQO+SL9J3qd4p
d4ozKHblVHfNB+na6c65WcRcWsSovVamc6c97wP1Y+RK
                 
                 "]]}]}, {}, {}, {}}, {{
              Directive[{
                Opacity[0.4], 
                GrayLevel[0]}], 
              
              Line[{446, 312, 330, 272, 434, 236, 335, 415, 371, 372, 370, 
               270, 306, 433, 234, 254, 268, 441, 269, 266, 301, 432, 233, 
               253, 299, 442, 300, 264, 369, 265, 303, 443, 302, 333, 304, 
               444, 305, 267, 308, 449, 307, 334, 309, 445, 310, 271, 352, 
               353, 255, 235, 336, 237, 435, 313, 273, 314, 436, 238, 339, 
               340, 316, 416, 315, 417, 341, 418, 419, 376, 277, 375, 278, 
               319, 437, 240, 381, 280, 356, 357, 257, 241, 343, 244, 439, 
               320, 345, 344, 421, 385, 386, 384, 388, 387, 422, 321, 391, 
               283, 390, 284, 392, 322, 395, 286, 394, 287, 396, 326, 351, 
               289, 298, 296, 448, 297, 295, 413, 294, 414, 252, 412, 293, 
               409, 411, 410, 251, 350, 248, 440, 325, 349, 348, 431, 263, 
               430, 368, 402, 401, 429, 262, 428, 367, 400, 399, 427, 261, 
               426, 366, 398, 397, 423, 260, 332, 324, 424, 323, 425, 347, 
               250, 407, 408, 405, 292, 406, 249, 404, 291, 403, 290, 329, 
               327, 450, 328, 288, 346, 247, 365, 364, 363, 285, 393, 246, 
               362, 361, 360, 282, 389, 245, 259, 359, 358, 383, 382, 243, 
               258, 331, 281, 438, 242, 342, 420, 379, 380, 377, 279, 378, 
               317, 447, 318, 355, 354, 276, 374, 239, 256, 274, 373, 275, 
               338, 337, 311, 446}]}}}], {
          AspectRatio -> 1, 
           Method -> {
            "TransparentPolygonMesh" -> True, "AxesInFront" -> True}, 
           PlotRange -> {{-2, 2}, {-2, 2}}, PlotRangeClipping -> True, 
           PlotRangePadding -> {
             Scaled[0.02], 
             Scaled[0.02]}}], $CellContext`subregion[{1, 0, 0}] = Graphics[
          GraphicsComplex[CompressedData["
1:eJxlmnlc1sX2x1FxubhQSmZmYoWm5iVLXCOOiVmmoomZeyZmXBMlbplZeg13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           "], {{{
              EdgeForm[], 
              RGBColor[0.5, 1., 1.], 
              GraphicsGroup[{
                Polygon[CompressedData["
1:eJxNmnf819MXxz/3vpHxy8hM/BQNMqIyQzREpZCMSlRCKUn2alMkm8qoKKOE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                 "]], 
                Polygon[CompressedData["
1:eJwtlnnQ11MYxX/33vZFDUr7oj3RptK+axP1tu/7vrwtSnuSdtGqREkpqSRJ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                 "]]}]}, {}, {}, {}}, {{
              Directive[{
                Opacity[0.4], 
                GrayLevel[0]}], 
              Line[CompressedData["
1:eJwl1WWYlVUYhtFvZmiVbgXEQEEUC1sRFAEDYUgViUFFURkUURClQzokRUQU
u7u7u7u7uxPXc/njZn3v5pzDsPc+0LqisnxUSVEU6/3yd2lR/KNCG1SmyWVF
MYv76xMNNXfkMD7Ic1TheTaHszMfUjVNMy/kQfpMx5tP0IkaqcetPaFFmm6u
zidVV63Mm6ul+ppbsx63ZD9uwf7civXZhgO4NQdyGzZgWx7BbXkk27Eh2/Mo
bsdB3J6N2IE7agftrJ3U2PrTOtnzYp7EJbxbu+tDfaSn1E3naobX1GBVdufn
+kJfqol2sX40v9LX+kZN83nWh/Jbfafv1Ux7WR/OH/SjVuk8ayu5L4/lPuyk
/TRKz1prkTPyPIL3aE+11Gxra3ImOducCztztCr1YvZcc3NevDc/Q/Zd86yt
yz6oUsvz53HvnI/mmy/laI3RCvOp+flyXlpgvoqn6QytNJ+ev0fOTwvN13Oc
3sjZaYm1M3lf3uf5Jp7CMflsvZUzVA/PB6ubJpq7sz2X8XaezT9i7mU+U+Oz
Z+b7dZsmmG/lWXwvZ6VBOa/cpdyb3KXcD+sDOZ39OY0DcmfYj1PZh1PYN/eK
5ZzMXpzE3uzAnjxch+gwHZo7aP3d3FEtNd/Cd/R29s08Lvumsfo9P69uzv0z
t2NXTmAXHqgD1Nb8Zr4fWmy+keN1gxaZ2/B1jdV1WmvtWr6mq3WR+Zrsva7U
BeYr+Kou0zrz5fmu6BKtMa/nK3mvLjRfzJF51vnmtXxJL+fzNCfffb6gVvpN
v+oXHZf3aLXXrOZzej7fBc2ythmf0abaQz/rJx2T++n3m3MmV7Air/E8LN8L
LuduHMJdOZgduYw1cq9YjT1YnUtZmn1lwS4s4Ryu4lzeoTv1gd7Xw3pE8zTF
a6rwUdVULfNGqqlNtLFqWa+Te8HauResm9exfu4K67EnG+Q9bJS7xIbsxcb5
PDZlbzZhOZuxdvaKfdicLbKHqmN+TCM8z8++cwHvyh5lP/Nvjspyt8yfqorn
rpzKqnxAnTRDE62VZF812POf/Esfa4h5JiexlP+W/v9/0X+uJbpT
               "]]}}}], {
          AspectRatio -> 1, 
           Method -> {
            "TransparentPolygonMesh" -> True, "AxesInFront" -> True}, 
           PlotRange -> {{-2, 2}, {-2, 2}}, PlotRangeClipping -> True, 
           PlotRangePadding -> {
             Scaled[0.02], 
             Scaled[0.02]}}], $CellContext`subregion[{1, 0, 1}] = Graphics[
          GraphicsComplex[CompressedData["
1:eJx1WXtczOkaT8RuDu0hsnS2tLlk29zaVjY91liEOrYcZhG7p6xQ1s66jFRo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           "], {{{
              EdgeForm[], 
              RGBColor[0.5, 1., 0.5], 
              GraphicsGroup[{
                Polygon[CompressedData["
1:eJxNmHm410UVxufEjuIKyKIsKiKLyuIFBS6goNyLgoqiCCmbmilLkiQiLom4
hUIQ4AIqKAquqOACElomIFmakmaWYWT7/lRP/VPv2/n8nt/9433emfnNd86Z
M+85M/d2nTZ73KwvlFJej1Iaib8hTBXOFsYKGi6NhZZCE6Gp8FNhr/C+sJDf
mwtfFaYL5wg9hE5CZ2GucIVwnvAZcw8SDqbdQjgEtp1D4QOEecKVwvnC7UIr
oTVzG+NTG8a9ZtsGax8Be+3xwuHCkUJ7bBwmHMV4a3xtwxqdGHO/C2Ne71fC
L4VxQlfG2gnHs1Yn+odg4xNhubBM2Cm8JVwkfA9fjhO60/b3R/O9feyJT7bf
C7bN3rDnngAfI7wt7BYuFnYJ3YS+Qj/attW/gc2TYfu+h3lDhFranjsQP2z/
FNj2T4Vt/2fCKmGlMEOYKPQRJmF/sFCDHevC+hpTUltDsWNf1tI/UxjONwOE
02D7cjpsX0bA9mWNsFoYJMwWLmEv55bUsbU9DDte9zH6o4QN2KsTnsZevbAJ
e6OFN4TN2JwiTBZGCj8QLiVmA9if4+XcaMweV+KjY3VbyZxpVlL71udBzG3B
mPPE+neuNaHdosF59y7VnPH3zg1rzflyR8k8saadE9Zv61LNjTalmhttWaMd
fev6M77zeu357QLazpcLS+ZSR9ayPiu5Yj6KdbvwWzv8ruRKV35bxnj7Us15
++L8cG50K1Wt92I/XruSJ9ZSd2z2oN+Z2Pco1ZzpyTeea91PIIbOF+eK86QP
9qz5vqWaJ/1KNU/6Y6OGfg/OuwYbA+lX8qTSt5aGl6p23V9QMk+cH867waWa
p9bREOwNpW97w+jXsN6wUs1D27uspG6almpu2N53SmrXer2pZG5Yr9at8+2M
krlwJus7F0axvnOhDnvOhXr8d+13jbc2V2PLftwt3FXy7pgGW/8fCx+UzPk5
/Oac/Aiu1PFz8N95Nhr/Py2piY7wTtr7hXtL1uEvlcwB6//nJfXpMz+Ucev2
FeHlklr+MuzxFcLVJfXwlZL67sjYBMa3CVvp31KyvlozX6c/kfObxPhM2j7X
+cJV+DRL+GLJuvGO8P2SdaqWMxnC71OY84hwDX3HcirxHEsM3X5JWEzf8ZtO
DN8rec9Y19eW1EdT/LA/h2NjMudn7VxBDK8jpgcQvyuJ1fXEzm3fg5eXrGM7
hG+XqqZnEIcbiYXj8DD7H8leZ7PfKezRfrhWz2F/0/G7Kb7PxceJxLwP7DM4
CX/nNfD3+lKtV/PZt8/0Bs7Rfi3A3/tZy+ssFb5WUlfW1xLatnMrc94tWWcP
FD4vWc9dtxeVrO+OyU9oNyJOixh/l3UrNdrcGjtLseVvP2Jdn9WdzHVu+X1W
ya/FtG3nHmwtYf0DWdvtVqxxB+u0JJaV++KbzN9SMvfOKlmbXaOtf+e277BB
jC1n3LyC9rfodyhZI1w7hvPdKr59gFifRLzdvhh+kLbnrcbmCNoj4TW0t7Ku
6/hDjPu77fQHMfYw813n1pWsdevou949St/t9SXrYKX2uT0UXs8c7+M+1n+C
cc/fKDxJeyjr17L/Day3kXYdvJH5T9GuY73HsfUMMayHn2HOc7Tr4WcZd63c
ROyfpz0afp75L9IeDb/A+ARi6njuK/mec99a2MJ856VrjXXn2ula6rv7FyXf
uO6/WrLOXsC42x04x8346NxyPljnr5WsrbbvO8p3lbV3A79NIN7bibnriuuM
a4BzdwdjvtdeL1lTNrPWWfi0DD/3YetE4U1sTYa/y/xr+M3jvnd8l1TeIma/
C1xT32JsMra8P9dO103n1Icl62/lbWH2/fDjknen/956UMX7v8T2AbVXR8Z6
L/Ncy+/XWK/Ic7tMfHlkDZop7hp5VxwvXhGpg2PFSyI11FN8X+QZPyseHlnz
thGLrZzzPmLyCWfm8/I70PXd9eoUfbcrsg55fD9nt5++a8uvaTej7ZpYeUea
/fZ8VGsMitTIWvH4SFuPiNdFauUp8fTIWvuEeEKkb/eIj4nM16XibpH5t1F8
E3Nai7dH1vsZ4jeJj98dHxPzgRp7LfIOWy7uHpl/vxei8vev+D8la0Vvtc+O
/HaluEdk/vniXROpmePEyyLz/y7xnZH39tHiEZH3++PiDZGxv1u8OLLu/Eu4
PfJefIX4W7M1GtsaeadVzmklGrQm/bbxun4/DGGP/pvcf3PsYdx3ruvpbjT4
w5JvPu/LNd/3kO+HH6HVY/nd83w/38sc3wtr+a0Wbe9mfj/sWdu+q3xnNYZ9
hzmet9FeyHdv821j/G2CfftxEXt5P0P8/33sYY+7mNeN8XfYo+8ca7cDsXPb
OT+GtYLYfIAG2mvglsi6cpW4U2Q9sc29+OO9W9/Wr2uVc2EcsXddqLxFP+VM
3iMu3tfVkWfv83HenEruzBLPjrzDK29fx2cV52sNO4ecP86Zz2k3a9BvTgw/
JB4LGfecnVq7f6S/4/HVfg7R2I7It89fhW2R76O9xMUxcS4+Rj62EQ+OPAvP
HcB858GJ5MJY8ZjI//e0E9dGau1vwvnkV0fxwsh7/TzxuZG1v7n4hMjz+Yvt
R2psmniKcLPaN4tvjIzNEZE+2Z8/Ca9G1toF4sMi3x3O10sjtT1K3CLyLdlS
PC/ybXSweH7kW2eSuHPk+7SZ/cIf+9IKf5x/fy6Zg/Vq10X+fXCr4xT5ljlD
vCXy/mgqHh15h7gO/b1kLXoosr67truebaReNRK3jdTM5Eihup78Vrgu8q1v
bT6JPr2nl9hXX9fLyHfxteK5kW/BReIjI99Ac+xL5N9kXSJrouvh6eI3qDnr
I+PoGDYRPx15v/aL1JO1ZM3+pqRuHafmxMr1dSZr/pP9eC8X+qwi73Dr7h8l
tedzO5mz8z5+V3IvL6j9YuT97fOfigZ8nv8ueaaX2E7kPe99/7Hk3r0P11Dv
5Q/Cy5F/N5wWeefNZKwP46791qj16fN/Dg1sisxb5+z/AP+hInk=
                 "]], 
                Polygon[CompressedData["
1:eJwtlfuTj2UYh59baCZLxDibySByPlcOSbFYZMm0g5VlHRZj0RGFiLRZUbtb
zuccNmdpMo6zUsOMaaYf+sFfoHTQdBimUtdnPu8P17zX+93vvs/7vZ/7cz9t
ZyycUForpfQG1IZukdI1uImP1ef4g2GfDnPw2bAGXwuP4G9CBV4JDfDx8Dq+
CUbiTeBFfBHMxUtgHf4eDMB3w5f4WaiPL4WNeA50xD+Ew/hnMBC/CN/gBfAH
jAo/uxW8gv+Qvet6mMj9kzAPXwbr8DKtiRdBPt4bZiW/8xB8LezEL0BLfBVs
wbdCd/xr+B5X3cbiP3Et1trQWrWBHcnPeA6vgRv4VBiH/8J1NrwGw7ifCivw
l2AC/hvXElgCg7m/DNfxSdADfz681jh4AW8EE1VbeBo/AOfw83AcHwoL8OXQ
Dn8f9uL7oAv+CZzET0NT/Cp8h7fXnuEv63/wMfAu/igU4qXwOF4JR7UWdMA/
gE/xg3ASPxH+7QuhT7iH1DuqeQ7eT59lPfgvVIT3eiT8B1vC75YH/6ivws8e
oZ7FV4f3pgfch4/D7zJKNcNnwMrs74GPgHz8AXgGnwxvJdfoHlzh/luuw9Wj
eF1YnNwzP2d7qL2bCf3xhurZbM/+hg3h2uYm782+cG9rj37PelK9qEz8CKNV
4+R3+lOfK1Nc50NPvB68mvWYsqGMKVvKiLL4EGxIzuT0cE30W/WbZ4VroPvV
cCvLiLJRph4M77H2thyeCmdU2VRmFuOl4e+qB4rxmeFnrVKP4rezWuodduld
w8/6Alao9uoxZSc5+w8r08kzYBl+Jznr+kzZaQO7kjOk2dIYqpJnjLLYCrYl
Z3I53gI2J6/xDt48nBV959csU8qSeqxvuOfUa8rg6XCPqjcvwyH1VvhdlaH9
6uXwbGsJe/E9YdfMUnY6w6nkDCkLneBYcibKVetwLylzVeEeV2/rO23DM6ko
OVPqBdVQtVNPbA73tHpZa6g2z4azpxqpNoPCvaIa7cB3whk9K7k3nwjPBvXo
XZgSngUDYbtqGc6W/icX/xxq8K+Ss9xeMyU50x+FM6jsVSfP5sfCrhldreyG
e2MyvB2eqZql2qOjeB24iF+CvPCaWksZ09rD4UryOxSqtuG90Yw8g08L/zZ9
5wg+L7yWnqksaw09W5lWljVjNVuV6Y3hjCqb+k0F4ZmpWanM6WzRmaKzRGeM
Zu9fybNQM1iz/G5WO810ZbNXeBYoo5qdzcJnk2aozgrNbM1qnRk6W7uGzw6d
sf8DuW/l2Q==
                 "]]}]}, {}, {}, {}}, {{
              Directive[{
                Opacity[0.4], 
                GrayLevel[0]}], 
              
              Line[{366, 367, 232, 371, 233, 375, 263, 374, 264, 301, 457, 
               300, 332, 302, 454, 303, 334, 333, 236, 439, 304, 267, 305, 
               440, 237, 335, 238, 441, 308, 268, 309, 442, 239, 338, 241, 
               443, 310, 272, 311, 444, 242, 339, 273, 419, 314, 416, 418, 
               417, 341, 420, 421, 380, 274, 379, 275, 316, 447, 245, 342, 
               343, 318, 422, 424, 423, 344, 425, 382, 383, 381, 281, 384, 
               319, 389, 284, 388, 285, 322, 449, 247, 390, 288, 364, 452, 
               365, 289, 391, 393, 392, 262, 330, 326, 436, 325, 437, 351, 
               256, 413, 414, 410, 412, 411, 255, 409, 299, 407, 298, 408, 
               254, 406, 297, 404, 296, 405, 253, 403, 295, 401, 294, 402, 
               252, 400, 293, 398, 292, 399, 251, 397, 291, 394, 396, 395, 
               250, 350, 249, 451, 324, 349, 348, 434, 435, 433, 432, 363, 
               290, 323, 450, 248, 347, 287, 431, 321, 430, 320, 346, 429, 
               261, 428, 362, 286, 426, 427, 355, 356, 357, 345, 354, 352, 
               353, 260, 386, 282, 385, 283, 387, 280, 317, 448, 246, 259, 
               278, 453, 279, 277, 315, 446, 244, 329, 328, 276, 445, 243, 
               340, 312, 456, 313, 361, 360, 271, 378, 240, 258, 269, 377, 
               270, 337, 336, 306, 455, 307, 359, 358, 266, 376, 235, 257, 
               327, 265, 438, 234, 331, 415, 372, 373, 368, 370, 369, 
               366}]}}}], {
          AspectRatio -> 1, 
           Method -> {
            "TransparentPolygonMesh" -> True, "AxesInFront" -> True}, 
           PlotRange -> {{-2, 2}, {-2, 2}}, PlotRangeClipping -> True, 
           PlotRangePadding -> {
             Scaled[0.02], 
             Scaled[0.02]}}], $CellContext`subregion[{1, 1, 0}] = Graphics[
          GraphicsComplex[CompressedData["
1:eJxlmXtczNn/xxOxsrRfG1r1lcvYlW0j2lY2HSuLXPpa+dIuYTeXpOzurMtI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           "], {{{
              EdgeForm[], 
              RGBColor[0.5, 0.5, 1.], 
              GraphicsGroup[{
                Polygon[CompressedData["
1:eJxNmHv8z/UVx89JiBgVuVcuv4gfP5Tcb7n80JaUSU2ZS2kmP5ZcWlsp6UJF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                 "]], 
                Polygon[CompressedData["
1:eJwtlfmTyGUcx5+PSVNTVCuaqCmsI0qDxpUOybWutWwJOZaldW25StFBWK0Y
Z+6brPsulOwyJsdMM37wW/9BroQppnq9vb8/vPb7ena/+3yf5/kcT/2i0oKJ
1VJKn8AD8GSkNAtW4bUgB/8SluMrYCI+Aebgc6EX/hgU4B9BW3w7/Igfgxr4
57AYXwJ18SHwGb4eeuOPQyE+CV7A18N+/CCMw8fDbLwPDMLv8BwLn8IUxgtg
I/4+FOKtoDjb02C8PZQkf/MenGZ8gefb0B0fqTXiQ2E/vg8Ga69Qgn8AX+Gz
oDl+Bn7DeaTq/LjGsyh5jQWMW2hO/GPoh9/gOQqmwQDG/eHB7HeT8UlQji+A
PPwIVGqd8BL+A5zVWUETfA3sxvdCT/xRyMc/hEb4StiB74Q38IvwO/4etMS/
CMfiqP4HL4UyfD48rdjCOjwXGir2sBXfDp3xXXAc/wlGhM9UZzlTOcO4nc4M
/w4ewv/hOUF7hb+VJ+FvvQzVFLtwrPPgLlQx/pVnF52x1hLea4/kQ18d3lt3
WIgfhl/wUs0ZPhOdhWJwLYvBtCxGOvtt4b0rBvnhM9bZToXW4ZxWLiuHrkPf
8N90xn9mMVZslfNP4ANhDP4O/Kd9h8+qG/yV5aRyUTl+U+8xns5zNLQJ14By
X3PMDs+puVbDq/hTMCPL+Xr4nvDZD1LO4x2hYfI7w/DRijHeAYbjY8O5q3El
fipcK8rpMeF39Df9Tzf8uXAsFbOrqhvGCxVr+EPfYbyI57fJtV0TlibX+CPa
a/jdXtA1nOPK7XEwD58bzi3lXIdwT1EvKcm+NT08t755O7nmVevKKfUi5Zhy
Sz1pZrhHqDdoTXvDOadc+xkO4Q/DlOQcUW+rHT5b9bgN4RxTbh2AFfi/Wjds
g02Mm6km8cOwFF8Gm7N3VLvPwIbkGlbtqMept6mGysI5r1zXO5vDOa9c15xb
VFvhuXvCDvx7yEnuoTrbV8K5ojN+Ez8Pl/EWsDZcE6qFPcm9oXHY1SNWhXNS
uVgBzzL+JhwL9Tj12qbhvavnqnfkht9VD1HtNwifhXrAEnxxuDZ1Bs+Ha1C1
NxwOhnuoeufJ5N51xUu838P6hHuceptichQvDu+9Krn39Qh7ZXKveQtOJPcc
3T11YE3yHVSktYe/pR6uWjgHl5JrYne4JpTfmuPd8B2lu0k1+DV+K/mu05wV
jHeG7zrFQL1Id4TuBvUk3R31w3vVHaJYdArXomJSHs5B5d7G5LvixXAt6M7Q
2l4L92KtUb359XAs1aP/BwMV5SI=
                 "]]}]}, {}, {}, {}}, {{
              Directive[{
                Opacity[0.4], 
                GrayLevel[0]}], 
              
              Line[{377, 378, 236, 380, 381, 363, 364, 261, 239, 337, 241, 
               441, 304, 340, 339, 421, 305, 383, 269, 382, 270, 308, 443, 
               243, 342, 343, 311, 422, 424, 423, 345, 425, 426, 385, 274, 
               384, 275, 312, 445, 246, 346, 247, 446, 315, 279, 349, 316, 
               457, 317, 280, 319, 460, 318, 350, 320, 458, 321, 283, 429, 
               323, 427, 322, 428, 351, 358, 324, 359, 352, 362, 361, 360, 
               449, 448, 397, 372, 396, 395, 430, 264, 250, 447, 327, 287, 
               353, 252, 451, 289, 399, 374, 288, 398, 436, 435, 265, 334, 
               330, 437, 329, 438, 357, 259, 419, 420, 417, 298, 418, 258, 
               416, 297, 414, 296, 415, 257, 413, 295, 411, 294, 412, 256, 
               410, 293, 408, 292, 409, 255, 407, 291, 405, 290, 406, 254, 
               403, 404, 400, 402, 401, 253, 356, 251, 450, 328, 355, 354, 
               433, 434, 432, 431, 373, 286, 393, 285, 394, 325, 459, 326, 
               371, 370, 284, 392, 249, 369, 368, 367, 391, 390, 248, 263, 
               281, 389, 282, 348, 347, 313, 456, 314, 366, 365, 278, 388, 
               245, 262, 276, 386, 277, 387, 273, 344, 309, 455, 310, 333, 
               272, 444, 244, 341, 306, 454, 307, 332, 271, 442, 242, 338, 
               302, 453, 303, 331, 268, 440, 240, 335, 336, 301, 439, 237, 
               260, 299, 452, 300, 266, 375, 267, 376, 238, 379, 377}]}}}], {
          AspectRatio -> 1, 
           Method -> {
            "TransparentPolygonMesh" -> True, "AxesInFront" -> True}, 
           PlotRange -> {{-2, 2}, {-2, 2}}, PlotRangeClipping -> True, 
           PlotRangePadding -> {
             Scaled[0.02], 
             Scaled[0.02]}}], $CellContext`subregion[{1, 1, 1}] = Graphics[
          GraphicsComplex[CompressedData["
1:eJx1WHtQ1NcVprQa64N1LLHJGoNpVh0qRqM4SKocA9LGkTEpUiQPjIqS1Uil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           "], {{{
              EdgeForm[], 
              RGBColor[0.5, 0.5, 0.5], 
              GraphicsGroup[{
                Polygon[CompressedData["
1:eJxNl3mU12UVxu8LiDKIDALJDMIMDAgDwyI4sgybIMgiwxIQi2xuJabikkIB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                 "]], 
                Polygon[CompressedData["
1:eJwtlOmLz1EUh+9hLEXkjT2MdZIlkqWMdRj7zG8sY18Gg5lhkhCSJSkl5YXm
f1CUXWPJliUh2deyZ8m+78+nc148nc/53nu/996z3OySyqIlNVJKBZAFt+Bu
+GXwBootpW3Y0XAbPsEsqIC9MIHxzdimUAudBdnoKXAKDsA0mAu9GMvARvRU
2A8T8bckX1Mf/R47E8qhP/5DbBHMh4MwiW9bsd3hMEzG365/wzc4AhZrOiMu
YAdrHbTFP4cdoHPDX9itM0Ap3IMHkIHF0I75u7ADYQVcgu9QAnnwBMYzZxN2
CJyEfTpTzHkEQxlfq9hAH/QX7BxYDa9hBt+qsKPgDpyGeZGD3/BHe0R+dsaZ
S+NbTfMzaO8Fyc/6K2KlM/+An9oDxsDnuKPuNhu+Rk4r4kwfIwflkeN3URNl
8Y+rkVPlciR8gBuwKHKWy9qjWNVUJXTC7wCD0CuhGbo5LI05Z6GVeS5yoQW6
JSzT3aANurV57JYrj+jjEQvNOQGNzMcaqibQ3cxrcVXktqP53srxecgxrwWd
qQu6q/ncBooZ+ljsrTPWxq9jftccKETXhYXJa/gi9MAvVp7hSvIaV23nwzB0
nvndVAP90I2hEL0mcl0duVDO78OZGMtEbN/C9IhxNmvbm9eiaviFxvB3aC+o
h76evFe1Rnv1Na817dkTfTnmqkaH4z/Grod1yXvpZtSKekq9fyh5r+kNeKox
81rTnQvQY817fUPy2Iwz14qRemNP5EY9ko//L2KtPUcotuZ7q0f1lqjH1Ft6
U9TrLyOW6vne+NeS94reFL0dzyL2ekPUS6+SvwVVEZvnkTvFqIlqw7w29Ub8
B/i3jG8=
                 "]]}]}, {}, {}, {}}, {{
              Directive[{
                Opacity[0.4], 
                GrayLevel[0]}], 
              
              Line[{315, 223, 247, 187, 314, 279, 280, 269, 317, 188, 318, 
               281, 282, 270, 319, 189, 320, 283, 284, 271, 321, 190, 322, 
               252, 253, 224, 338, 170, 254, 174, 294, 295, 293, 200, 296, 
               175, 298, 201, 297, 202, 328, 329, 326, 226, 327, 255, 330, 
               300, 301, 299, 303, 302, 331, 257, 178, 340, 205, 248, 193, 
               179, 306, 206, 274, 275, 231, 348, 230, 262, 263, 210, 309, 
               209, 194, 181, 310, 211, 276, 277, 235, 349, 234, 266, 184, 
               344, 214, 249, 250, 185, 345, 239, 215, 218, 347, 217, 195, 
               186, 346, 244, 219, 221, 220, 196, 313, 278, 312, 311, 245, 
               353, 246, 216, 243, 351, 242, 268, 240, 352, 241, 213, 238, 
               350, 237, 267, 212, 236, 343, 183, 265, 182, 342, 233, 208, 
               307, 207, 308, 337, 336, 264, 334, 335, 333, 232, 261, 260, 
               180, 341, 229, 204, 304, 203, 305, 228, 332, 258, 259, 227, 
               339, 177, 256, 176, 192, 273, 272, 288, 287, 171, 191, 225, 
               323, 325, 324, 197, 285, 198, 286, 172, 290, 199, 289, 292, 
               291, 173, 251, 316, 222, 315}]}}}], {
          AspectRatio -> 1, 
           Method -> {
            "TransparentPolygonMesh" -> True, "AxesInFront" -> True}, 
           PlotRange -> {{-2, 2}, {-2, 2}}, PlotRangeClipping -> True, 
           PlotRangePadding -> {
             Scaled[0.02], 
             Scaled[0.02]}}], 
        Attributes[PlotRange] = {
         ReadProtected}, $CellContext`triples = {{{0, 0, 1}}, {{0, 1, 0}}, {{
          0, 1, 1}}, {{1, 0, 0}}, {{1, 0, 1}}, {{1, 1, 0}}, {{1, 1, 1}}, {{0, 
          0, 1}, {0, 1, 0}}, {{0, 0, 1}, {0, 1, 1}}, {{0, 0, 1}, {1, 0, 
          0}}, {{0, 0, 1}, {1, 0, 1}}, {{0, 0, 1}, {1, 1, 0}}, {{0, 0, 1}, {1,
           1, 1}}, {{0, 1, 0}, {0, 1, 1}}, {{0, 1, 0}, {1, 0, 0}}, {{0, 1, 
          0}, {1, 0, 1}}, {{0, 1, 0}, {1, 1, 0}}, {{0, 1, 0}, {1, 1, 1}}, {{0,
           1, 1}, {1, 0, 0}}, {{0, 1, 1}, {1, 0, 1}}, {{0, 1, 1}, {1, 1, 
          0}}, {{0, 1, 1}, {1, 1, 1}}, {{1, 0, 0}, {1, 0, 1}}, {{1, 0, 0}, {1,
           1, 0}}, {{1, 0, 0}, {1, 1, 1}}, {{1, 0, 1}, {1, 1, 0}}, {{1, 0, 
          1}, {1, 1, 1}}, {{1, 1, 0}, {1, 1, 1}}, {{0, 0, 1}, {0, 1, 0}, {0, 
          1, 1}}, {{0, 0, 1}, {0, 1, 0}, {1, 0, 0}}, {{0, 0, 1}, {0, 1, 0}, {
          1, 0, 1}}, {{0, 0, 1}, {0, 1, 0}, {1, 1, 0}}, {{0, 0, 1}, {0, 1, 
          0}, {1, 1, 1}}, {{0, 0, 1}, {0, 1, 1}, {1, 0, 0}}, {{0, 0, 1}, {0, 
          1, 1}, {1, 0, 1}}, {{0, 0, 1}, {0, 1, 1}, {1, 1, 0}}, {{0, 0, 1}, {
          0, 1, 1}, {1, 1, 1}}, {{0, 0, 1}, {1, 0, 0}, {1, 0, 1}}, {{0, 0, 
          1}, {1, 0, 0}, {1, 1, 0}}, {{0, 0, 1}, {1, 0, 0}, {1, 1, 1}}, {{0, 
          0, 1}, {1, 0, 1}, {1, 1, 0}}, {{0, 0, 1}, {1, 0, 1}, {1, 1, 1}}, {{
          0, 0, 1}, {1, 1, 0}, {1, 1, 1}}, {{0, 1, 0}, {0, 1, 1}, {1, 0, 
          0}}, {{0, 1, 0}, {0, 1, 1}, {1, 0, 1}}, {{0, 1, 0}, {0, 1, 1}, {1, 
          1, 0}}, {{0, 1, 0}, {0, 1, 1}, {1, 1, 1}}, {{0, 1, 0}, {1, 0, 0}, {
          1, 0, 1}}, {{0, 1, 0}, {1, 0, 0}, {1, 1, 0}}, {{0, 1, 0}, {1, 0, 
          0}, {1, 1, 1}}, {{0, 1, 0}, {1, 0, 1}, {1, 1, 0}}, {{0, 1, 0}, {1, 
          0, 1}, {1, 1, 1}}, {{0, 1, 0}, {1, 1, 0}, {1, 1, 1}}, {{0, 1, 1}, {
          1, 0, 0}, {1, 0, 1}}, {{0, 1, 1}, {1, 0, 0}, {1, 1, 0}}, {{0, 1, 
          1}, {1, 0, 0}, {1, 1, 1}}, {{0, 1, 1}, {1, 0, 1}, {1, 1, 0}}, {{0, 
          1, 1}, {1, 0, 1}, {1, 1, 1}}, {{0, 1, 1}, {1, 1, 0}, {1, 1, 1}}, {{
          1, 0, 0}, {1, 0, 1}, {1, 1, 0}}, {{1, 0, 0}, {1, 0, 1}, {1, 1, 
          1}}, {{1, 0, 0}, {1, 1, 0}, {1, 1, 1}}, {{1, 0, 1}, {1, 1, 0}, {1, 
          1, 1}}, {{0, 0, 1}, {0, 1, 0}, {0, 1, 1}, {1, 0, 0}}, {{0, 0, 1}, {
          0, 1, 0}, {0, 1, 1}, {1, 0, 1}}, {{0, 0, 1}, {0, 1, 0}, {0, 1, 1}, {
          1, 1, 0}}, {{0, 0, 1}, {0, 1, 0}, {0, 1, 1}, {1, 1, 1}}, {{0, 0, 
          1}, {0, 1, 0}, {1, 0, 0}, {1, 0, 1}}, {{0, 0, 1}, {0, 1, 0}, {1, 0, 
          0}, {1, 1, 0}}, {{0, 0, 1}, {0, 1, 0}, {1, 0, 0}, {1, 1, 1}}, {{0, 
          0, 1}, {0, 1, 0}, {1, 0, 1}, {1, 1, 0}}, {{0, 0, 1}, {0, 1, 0}, {1, 
          0, 1}, {1, 1, 1}}, {{0, 0, 1}, {0, 1, 0}, {1, 1, 0}, {1, 1, 1}}, {{
          0, 0, 1}, {0, 1, 1}, {1, 0, 0}, {1, 0, 1}}, {{0, 0, 1}, {0, 1, 1}, {
          1, 0, 0}, {1, 1, 0}}, {{0, 0, 1}, {0, 1, 1}, {1, 0, 0}, {1, 1, 
          1}}, {{0, 0, 1}, {0, 1, 1}, {1, 0, 1}, {1, 1, 0}}, {{0, 0, 1}, {0, 
          1, 1}, {1, 0, 1}, {1, 1, 1}}, {{0, 0, 1}, {0, 1, 1}, {1, 1, 0}, {1, 
          1, 1}}, {{0, 0, 1}, {1, 0, 0}, {1, 0, 1}, {1, 1, 0}}, {{0, 0, 1}, {
          1, 0, 0}, {1, 0, 1}, {1, 1, 1}}, {{0, 0, 1}, {1, 0, 0}, {1, 1, 0}, {
          1, 1, 1}}, {{0, 0, 1}, {1, 0, 1}, {1, 1, 0}, {1, 1, 1}}, {{0, 1, 
          0}, {0, 1, 1}, {1, 0, 0}, {1, 0, 1}}, {{0, 1, 0}, {0, 1, 1}, {1, 0, 
          0}, {1, 1, 0}}, {{0, 1, 0}, {0, 1, 1}, {1, 0, 0}, {1, 1, 1}}, {{0, 
          1, 0}, {0, 1, 1}, {1, 0, 1}, {1, 1, 0}}, {{0, 1, 0}, {0, 1, 1}, {1, 
          0, 1}, {1, 1, 1}}, {{0, 1, 0}, {0, 1, 1}, {1, 1, 0}, {1, 1, 1}}, {{
          0, 1, 0}, {1, 0, 0}, {1, 0, 1}, {1, 1, 0}}, {{0, 1, 0}, {1, 0, 0}, {
          1, 0, 1}, {1, 1, 1}}, {{0, 1, 0}, {1, 0, 0}, {1, 1, 0}, {1, 1, 
          1}}, {{0, 1, 0}, {1, 0, 1}, {1, 1, 0}, {1, 1, 1}}, {{0, 1, 1}, {1, 
          0, 0}, {1, 0, 1}, {1, 1, 0}}, {{0, 1, 1}, {1, 0, 0}, {1, 0, 1}, {1, 
          1, 1}}, {{0, 1, 1}, {1, 0, 0}, {1, 1, 0}, {1, 1, 1}}, {{0, 1, 1}, {
          1, 0, 1}, {1, 1, 0}, {1, 1, 1}}, {{1, 0, 0}, {1, 0, 1}, {1, 1, 0}, {
          1, 1, 1}}, {{0, 0, 1}, {0, 1, 0}, {0, 1, 1}, {1, 0, 0}, {1, 0, 
          1}}, {{0, 0, 1}, {0, 1, 0}, {0, 1, 1}, {1, 0, 0}, {1, 1, 0}}, {{0, 
          0, 1}, {0, 1, 0}, {0, 1, 1}, {1, 0, 0}, {1, 1, 1}}, {{0, 0, 1}, {0, 
          1, 0}, {0, 1, 1}, {1, 0, 1}, {1, 1, 0}}, {{0, 0, 1}, {0, 1, 0}, {0, 
          1, 1}, {1, 0, 1}, {1, 1, 1}}, {{0, 0, 1}, {0, 1, 0}, {0, 1, 1}, {1, 
          1, 0}, {1, 1, 1}}, {{0, 0, 1}, {0, 1, 0}, {1, 0, 0}, {1, 0, 1}, {1, 
          1, 0}}, {{0, 0, 1}, {0, 1, 0}, {1, 0, 0}, {1, 0, 1}, {1, 1, 1}}, {{
          0, 0, 1}, {0, 1, 0}, {1, 0, 0}, {1, 1, 0}, {1, 1, 1}}, {{0, 0, 1}, {
          0, 1, 0}, {1, 0, 1}, {1, 1, 0}, {1, 1, 1}}, {{0, 0, 1}, {0, 1, 1}, {
          1, 0, 0}, {1, 0, 1}, {1, 1, 0}}, {{0, 0, 1}, {0, 1, 1}, {1, 0, 0}, {
          1, 0, 1}, {1, 1, 1}}, {{0, 0, 1}, {0, 1, 1}, {1, 0, 0}, {1, 1, 0}, {
          1, 1, 1}}, {{0, 0, 1}, {0, 1, 1}, {1, 0, 1}, {1, 1, 0}, {1, 1, 
          1}}, {{0, 0, 1}, {1, 0, 0}, {1, 0, 1}, {1, 1, 0}, {1, 1, 1}}, {{0, 
          1, 0}, {0, 1, 1}, {1, 0, 0}, {1, 0, 1}, {1, 1, 0}}, {{0, 1, 0}, {0, 
          1, 1}, {1, 0, 0}, {1, 0, 1}, {1, 1, 1}}, {{0, 1, 0}, {0, 1, 1}, {1, 
          0, 0}, {1, 1, 0}, {1, 1, 1}}, {{0, 1, 0}, {0, 1, 1}, {1, 0, 1}, {1, 
          1, 0}, {1, 1, 1}}, {{0, 1, 0}, {1, 0, 0}, {1, 0, 1}, {1, 1, 0}, {1, 
          1, 1}}, {{0, 1, 1}, {1, 0, 0}, {1, 0, 1}, {1, 1, 0}, {1, 1, 1}}, {{
          0, 0, 1}, {0, 1, 0}, {0, 1, 1}, {1, 0, 0}, {1, 0, 1}, {1, 1, 0}}, {{
          0, 0, 1}, {0, 1, 0}, {0, 1, 1}, {1, 0, 0}, {1, 0, 1}, {1, 1, 1}}, {{
          0, 0, 1}, {0, 1, 0}, {0, 1, 1}, {1, 0, 0}, {1, 1, 0}, {1, 1, 1}}, {{
          0, 0, 1}, {0, 1, 0}, {0, 1, 1}, {1, 0, 1}, {1, 1, 0}, {1, 1, 1}}, {{
          0, 0, 1}, {0, 1, 0}, {1, 0, 0}, {1, 0, 1}, {1, 1, 0}, {1, 1, 1}}, {{
          0, 0, 1}, {0, 1, 1}, {1, 0, 0}, {1, 0, 1}, {1, 1, 0}, {1, 1, 1}}, {{
          0, 1, 0}, {0, 1, 1}, {1, 0, 0}, {1, 0, 1}, {1, 1, 0}, {1, 1, 1}}, {{
          0, 0, 1}, {0, 1, 0}, {0, 1, 1}, {1, 0, 0}, {1, 0, 1}, {1, 1, 0}, {1,
           1, 1}}}, $CellContext`circles = Graphics[{{
            Circle[{0, 0.7}], 
            Circle[{-0.606217782649107, -0.35}], 
            Circle[{0.606217782649107, -0.35}]}}], $CellContext`ABCText = 
        Graphics[{
           Style[
            Text["A", {0, 1.9599999999999997`}], 14, Italic], 
           Style[
            Text["B", {-1.6974097914174995`, -0.9799999999999999}], 14, 
            Italic], 
           Style[
            Text["C", {1.6974097914174995`, -0.9799999999999999}], 14, 
            Italic]}], $CellContext`VennText = {
         "C  \[Intersection]  A'  \[Intersection]  B'", 
          "B  \[Intersection]  A'  \[Intersection]  C'", 
          "B  \[Intersection]  C  \[Intersection]  A'", 
          "A  \[Intersection]  B'  \[Intersection]  C'", 
          "A  \[Intersection]  C  \[Intersection]  B'", 
          "A  \[Intersection]  B  \[Intersection]  C'", 
          "A  \[Intersection]  B  \[Intersection]  C", 
          "(B \[Union] C)  \[Intersection]  A'  \[Intersection]  (B \
\[Intersection] C)'", "C  \[Intersection]  A'", 
          "(A \[Union] C)  \[Intersection]  B'  \[Intersection]  (A \
\[Intersection] C)'", "C  \[Intersection]  B'", 
          "( C \[Intersection] A' \[Intersection] B' )  \[Union]  ( A \
\[Intersection] B \[Intersection] C' )", 
          "( C \[Intersection] A' \[Intersection] B' )  \[Union]  ( A \
\[Intersection] B \[Intersection] C )", "B  \[Intersection]  A'", 
          "(A \[Union] B)  \[Intersection]  C'  \[Intersection]  (A \
\[Intersection] B)'", 
          "( B \[Intersection] A' \[Intersection] C' )  \[Union]  ( A \
\[Intersection] C \[Intersection] B' )", "B  \[Intersection]  C'", 
          "( B \[Intersection] A' \[Intersection] C' )  \[Union]  ( A \
\[Intersection] B \[Intersection] C )", 
          "( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( B \
\[Intersection] C \[Intersection] A' )", 
          "( A \[Intersection] C \[Intersection] B' )  \[Union]  ( B \
\[Intersection] C \[Intersection] A' )", 
          "( A \[Intersection] B \[Intersection] C' )  \[Union]  ( B \
\[Intersection] C \[Intersection] A' )", "B  \[Intersection]  C", 
          "A  \[Intersection]  B'", "A  \[Intersection]  C'", 
          "( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( A \
\[Intersection] B \[Intersection] C )", 
          
          "( A \[Intersection] B \[Intersection] C' )  \[Union]  ( A \
\[Intersection] C \[Intersection] B' )", "A  \[Intersection]  C", 
          "A  \[Intersection]  B", "(B \[Union] C)  \[Intersection]  A'", 
          "(A \[Union] B \[Union] C)  \[Intersection]  (A \[Intersection] B)' \
 \[Intersection]  (B \[Intersection] C)'  \[Intersection]  (A \[Intersection] \
C)'", "( B \[Intersection] A' \[Intersection] C' )  \[Union]  ( C \
\[Intersection] B' )", 
          "( B \[Intersection] C' )  \[Union]  ( C \[Intersection] A' \
\[Intersection] B' )", 
          "(B \[Union] C)  \[Intersection]  A'  \[Intersection]  (B \
\[Intersection] C)'  \[Union]  ( A \[Intersection] B \[Intersection] C )", 
          "( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( C \
\[Intersection] A' )", "C  \[Intersection]  (A \[Intersection] B)'", 
          "( C \[Intersection] A' )  \[Union]  ( A \[Intersection] B \
\[Intersection] C' )", 
          "(C \[Intersection] A')  \[Union]  (B \[Intersection] C)", 
          "(A \[Union] C)  \[Intersection]  B'", 
          "(A \[Intersection] C')  \[Union]  ( C \[Intersection] A' \
\[Intersection] B' )", 
          "( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( A \
\[Intersection] B \[Intersection] C )  \[Union]  ( C \[Intersection] A' \
\[Intersection] B' )", 
          "(C \[Intersection] B')  \[Union]  ( A \[Intersection] B \
\[Intersection] C' )", 
          "(C \[Intersection] B')  \[Union]  ( A \[Intersection] B \
\[Intersection] C )", 
          "( C \[Intersection] A' \[Intersection] B' )  \[Union]  (A \
\[Intersection] B)", 
          "( A \[Intersection] B' \[Intersection] C' )  \[Union]  (B \
\[Intersection] A')", 
          "(B \[Intersection] A')  \[Union]  ( A \[Intersection] C \
\[Intersection] B' )", "B  \[Intersection]  (A \[Intersection] C)'", 
          "(B \[Intersection] A')  \[Union]  ( A \[Intersection] B \
\[Intersection] C )", 
          "(A \[Intersection] B')  \[Union]  ( B \[Intersection] A' \
\[Intersection] C' )", "(A \[Union] B)  \[Intersection]  C'", 
          "( (A \[Union] B)  \[Intersection]  C'  \[Intersection]  (A \
\[Intersection] B)' )  \[Union]  ( A \[Intersection] B \[Intersection] C )", 
          "(B \[Intersection] C')  \[Union]  ( A \[Intersection] C \
\[Intersection] B' )", 
          "( B \[Intersection] A' \[Intersection] C' )  \[Union]  (A \
\[Intersection] C)", 
          "(B \[Intersection] C')  \[Union]  (A \[Intersection] B)", 
          "(A \[Intersection] B')  \[Union]  ( B \[Intersection] C \
\[Intersection] A' )", 
          "(A \[Intersection] C')  \[Union]  ( B \[Intersection] C \
\[Intersection] A' )", 
          "( A \[Intersection] B' \[Intersection] C' )  \[Union]  (B \
\[Intersection] C)", 
          " (A \[Intersection] B  \[Union]  B \[Intersection] C  \[Union]  A \
\[Intersection] C )  \[Intersection]  ( A \[Intersection] B \[Intersection] C \
)'", "(A \[Intersection] C)  \[Union]  (B \[Intersection] C)", 
          "(A \[Intersection] B)  \[Union]  (B \[Intersection] C)", 
          "A  \[Intersection]  (B \[Intersection] C)'", 
          "(A \[Intersection] B')  \[Union]  (A \[Intersection] C)", 
          "(A \[Intersection] C')  \[Union]  (A \[Intersection] B)", 
          "(A \[Intersection] B)  \[Union]  (A \[Intersection] C)", 
          "( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( (B \
\[Union] C) \[Intersection] A' )", 
          "(B \[Union] C)  \[Intersection]  (A \[Intersection] B)'", 
          "(B \[Union] C)  \[Intersection]  (A \[Intersection] C)'", 
          "( (B \[Union] C) \[Intersection] A' )  \[Union]  (B \
\[Intersection] C)", 
          "( (A \[Union] C) \[Intersection] B' )  \[Union]  ( B \
\[Intersection] A' \[Intersection] C' )", 
          "( (A \[Union] B) \[Intersection] C' )  \[Union]  ( C \
\[Intersection] A' \[Intersection] B' )", 
          "( (A \[Union] B \[Union] C)  \[Intersection]  (A \[Intersection] \
B)'  \[Intersection]  (B \[Intersection] C)'  \[Intersection]  (A \
\[Intersection] C)' ) \n \[Union]  ( A \[Intersection] B \[Intersection] C )",
           "(B \[Intersection] C')  \[Union]  (C \[Intersection] B')", 
          "( B \[Intersection] A' \[Intersection] C' )  \[Union]  (C \
\[Intersection] B')  \[Union]  (A \[Intersection] C)", 
          
          "(B \[Intersection] C')  \[Union]  ( C \[Intersection] A' \
\[Intersection] B' )  \[Union]  (A \[Intersection] B)", 
          "(A \[Intersection] B')  \[Union]  (C \[Intersection] A')", 
          "A \[Intersection] C'  \[Union]  C \[Intersection] A'", 
          "( A \[Intersection] B' \[Intersection] C' )  \[Union]  (C \
\[Intersection] A')  \[Union]  (B \[Intersection] C)", 
          "( C \[Union] (A \[Intersection] B) )  \[Intersection]  ( A \
\[Intersection] B \[Intersection] C )'", "C", 
          "(C \[Intersection] A')  \[Union]  (A \[Intersection] B)", 
          "(A \[Intersection] C')  \[Union]  (C \[Intersection] B')", 
          "( (A \[Union] C) \[Intersection] B' )  \[Union]  (A \
\[Intersection] C)", 
          "(A \[Intersection] C')  \[Union]  ( C \[Intersection] A' \
\[Intersection] B' )  \[Union]  (A \[Intersection] B)", 
          "(C \[Intersection] B')  \[Union]  (A \[Intersection] B)", 
          "(A \[Intersection] B')  \[Union]  (B \[Intersection] A')", 
          "(A \[Intersection] C')  \[Union]  (B \[Intersection] A')", 
          "( A \[Intersection] B' \[Intersection] C' )  \[Union]  (B \
\[Intersection] A')  \[Union]  (B \[Intersection] C)", 
          "( B \[Union] A \[Intersection] C )  \[Intersection]  ( A \
\[Intersection] B \[Intersection] C )'", 
          "(B \[Intersection] A')  \[Union]  (A \[Intersection] C)", "B", 
          "(A \[Intersection] B')  \[Union]  (B \[Intersection] C')", 
          "(A \[Intersection] B')  \[Union]  ( B \[Intersection] A' \
\[Intersection] C' )  \[Union]  (A \[Intersection] C)", 
          "( (A \[Union] B) \[Intersection] C' )  \[Union]  (A \
\[Intersection] B)", 
          "(B \[Intersection] C')  \[Union]  (A \[Intersection] C)", 
          "(A \[Union] B \[Intersection] C)  \[Intersection]  ( A \
\[Intersection] B \[Intersection] C )'", 
          "(A \[Intersection] B')  \[Union]  (B \[Intersection] C)", 
          "(A \[Intersection] C')  \[Union]  (B \[Intersection] C)", 
          "(A \[Intersection] B)  \[Union]  (B \[Intersection] C)  \[Union]  \
(A \[Intersection] C)", "A", 
          "( A \[Union] B \[Union] C )  \[Intersection]  (A \[Intersection] \
B)'", "( A \[Union] B \[Union] C )  \[Intersection]  (A \[Intersection] C)'", 
          "( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( (B \
\[Union] C) \[Intersection] A' )  \[Union]  (B \[Intersection] C)", 
          "(B \[Union] C)  \[Intersection]  ( A \[Intersection] B \
\[Intersection] C )'", "C  \[Union]  (B \[Intersection] A')", 
          "B  \[Union]  (C \[Intersection] A')", 
          "( A \[Union] B \[Union] C )  \[Intersection]  (B \[Intersection] \
C)'", "( B \[Intersection] A' \[Intersection] C' )  \[Union]  ( (A \[Union] \
C) \[Intersection] B' )  \[Union]  (A \[Intersection] C)", 
          "( (A \[Union] B) \[Intersection] C' )  \[Union]  ( C \
\[Intersection] A' \[Intersection] B' )  \[Union]  (A \[Intersection] B)", 
          "(B \[Intersection] C')  \[Union]  ( A \[Intersection] B \
\[Intersection] C )  \[Union]  (C \[Intersection] B')", 
          "(A \[Union] C)  \[Intersection]  ( A \[Intersection] B \
\[Intersection] C )'", "C  \[Union]  (A \[Intersection] B')", 
          "(A \[Intersection] C')  \[Union]  ( A \[Intersection] B \
\[Intersection] C )  \[Union]  (C \[Intersection] A')", 
          "C  \[Union]  (A \[Intersection] B)", 
          "A  \[Union]  (C \[Intersection] B')", 
          "(A \[Union] B)  \[Intersection]  (A \[Intersection] B \
\[Intersection] C)'", 
          "(A \[Intersection] B')  \[Union]  ( A \[Intersection] B \
\[Intersection] C )  \[Union]  (B \[Intersection] A')", 
          "B  \[Union]  (A \[Intersection] C')", 
          "B  \[Union]  (A \[Intersection] C)", 
          "A  \[Union]  (B \[Intersection] C')", 
          "A  \[Union]  (B \[Intersection] C)", 
          "( A \[Union] B \[Union] C )  \[Intersection]  ( A \[Intersection] \
B \[Intersection] C )'", 
          "(A \[Intersection] B')  \[Union]  (B \[Intersection] A')  \[Union] \
 C", "(A \[Intersection] C')  \[Union]  (C \[Intersection] A')  \[Union]  B", 
          "B  \[Union]  C", 
          "( A  \[Union]  B \[Intersection] C' )  \[Union]  (C \
\[Intersection] B')", "A  \[Union]  C", "A  \[Union]  B", 
          "A  \[Union]  B  \[Union]  C"}, $CellContext`a = {0, 0.7}}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{{$CellContext`a, $CellContext`b, $CellContext`c} = 
          0.7 {{0, 1}, {(-Sqrt[3])/2, (-1)/2}, {Sqrt[3]/2, (-1)/2}}; 
         Null, $CellContext`circles = Graphics[{
             Map[Circle, {$CellContext`a, $CellContext`b, $CellContext`c}]}]; 
         Null, $CellContext`ABCText = Graphics[{
             Style[
              Text["A", 2.8 $CellContext`a], 14, Italic], 
             Style[
              Text["B", 2.8 $CellContext`b], 14, Italic], 
             Style[
              Text["C", 2.8 $CellContext`c], 14, Italic]}]; 
         Null, $CellContext`subregionaux[{
             Pattern[$CellContext`d, 
              Blank[]], 
             Pattern[$CellContext`e, 
              Blank[]], 
             Pattern[$CellContext`f, 
              Blank[]]}] := RegionPlot[
            And[
             
             If[$CellContext`d == 0, 
              Dot[{$CellContext`x, $CellContext`y} - $CellContext`a, \
{$CellContext`x, $CellContext`y} - $CellContext`a] > 1, 
              Dot[{$CellContext`x, $CellContext`y} - $CellContext`a, \
{$CellContext`x, $CellContext`y} - $CellContext`a] < 1], 
             
             If[$CellContext`e == 0, 
              Dot[{$CellContext`x, $CellContext`y} - $CellContext`b, \
{$CellContext`x, $CellContext`y} - $CellContext`b] > 1, 
              Dot[{$CellContext`x, $CellContext`y} - $CellContext`b, \
{$CellContext`x, $CellContext`y} - $CellContext`b] < 1], 
             
             If[$CellContext`f == 0, 
              Dot[{$CellContext`x, $CellContext`y} - $CellContext`c, \
{$CellContext`x, $CellContext`y} - $CellContext`c] > 1, 
              Dot[{$CellContext`x, $CellContext`y} - $CellContext`c, \
{$CellContext`x, $CellContext`y} - $CellContext`c] < 1]], {$CellContext`x, -2,
              2}, {$CellContext`y, -2, 2}, PlotPoints -> 50, PlotStyle -> {
              Lighter[
               RGBColor[
               1 - $CellContext`d, 1 - $CellContext`e, 1 - $CellContext`f], 
               0.5]}, Frame -> False]; Null, {
            $CellContext`subregion[{0, 0, 0}], 
            $CellContext`subregion[{0, 0, 1}], 
            $CellContext`subregion[{0, 1, 0}], 
            $CellContext`subregion[{0, 1, 1}], 
            $CellContext`subregion[{1, 0, 0}], 
            $CellContext`subregion[{1, 0, 1}], 
            $CellContext`subregion[{1, 1, 0}], 
            $CellContext`subregion[{1, 1, 1}]} = 
          Map[$CellContext`subregionaux, 
            Tuples[{0, 1}, 3]]; Null, $CellContext`triples = Complement[
            Subsets[
             Complement[
              Tuples[{0, 1}, 3], {{0, 0, 0}}]], {{}}]; 
         Null, $CellContext`VennText = {
           "C  \[Intersection]  A'  \[Intersection]  B'", 
            "B  \[Intersection]  A'  \[Intersection]  C'", 
            "B  \[Intersection]  C  \[Intersection]  A'", 
            "A  \[Intersection]  B'  \[Intersection]  C'", 
            "A  \[Intersection]  C  \[Intersection]  B'", 
            "A  \[Intersection]  B  \[Intersection]  C'", 
            "A  \[Intersection]  B  \[Intersection]  C", 
            "(B \[Union] C)  \[Intersection]  A'  \[Intersection]  (B \
\[Intersection] C)'", "C  \[Intersection]  A'", 
            "(A \[Union] C)  \[Intersection]  B'  \[Intersection]  (A \
\[Intersection] C)'", "C  \[Intersection]  B'", 
            "( C \[Intersection] A' \[Intersection] B' )  \[Union]  ( A \
\[Intersection] B \[Intersection] C' )", 
            "( C \[Intersection] A' \[Intersection] B' )  \[Union]  ( A \
\[Intersection] B \[Intersection] C )", "B  \[Intersection]  A'", 
            "(A \[Union] B)  \[Intersection]  C'  \[Intersection]  (A \
\[Intersection] B)'", 
            "( B \[Intersection] A' \[Intersection] C' )  \[Union]  ( A \
\[Intersection] C \[Intersection] B' )", "B  \[Intersection]  C'", 
            "( B \[Intersection] A' \[Intersection] C' )  \[Union]  ( A \
\[Intersection] B \[Intersection] C )", 
            "( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( B \
\[Intersection] C \[Intersection] A' )", 
            "( A \[Intersection] C \[Intersection] B' )  \[Union]  ( B \
\[Intersection] C \[Intersection] A' )", 
            "( A \[Intersection] B \[Intersection] C' )  \[Union]  ( B \
\[Intersection] C \[Intersection] A' )", "B  \[Intersection]  C", 
            "A  \[Intersection]  B'", "A  \[Intersection]  C'", 
            "( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( A \
\[Intersection] B \[Intersection] C )", 
            "( A \[Intersection] B \[Intersection] C' )  \[Union]  ( A \
\[Intersection] C \[Intersection] B' )", "A  \[Intersection]  C", 
            "A  \[Intersection]  B", "(B \[Union] C)  \[Intersection]  A'", 
            "(A \[Union] B \[Union] C)  \[Intersection]  (A \[Intersection] \
B)'  \[Intersection]  (B \[Intersection] C)'  \[Intersection]  (A \
\[Intersection] C)'", 
            "( B \[Intersection] A' \[Intersection] C' )  \[Union]  ( C \
\[Intersection] B' )", 
            "( B \[Intersection] C' )  \[Union]  ( C \[Intersection] A' \
\[Intersection] B' )", 
            "(B \[Union] C)  \[Intersection]  A'  \[Intersection]  (B \
\[Intersection] C)'  \[Union]  ( A \[Intersection] B \[Intersection] C )", 
            "( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( C \
\[Intersection] A' )", "C  \[Intersection]  (A \[Intersection] B)'", 
            "( C \[Intersection] A' )  \[Union]  ( A \[Intersection] B \
\[Intersection] C' )", 
            "(C \[Intersection] A')  \[Union]  (B \[Intersection] C)", 
            "(A \[Union] C)  \[Intersection]  B'", 
            "(A \[Intersection] C')  \[Union]  ( C \[Intersection] A' \
\[Intersection] B' )", 
            "( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( A \
\[Intersection] B \[Intersection] C )  \[Union]  ( C \[Intersection] A' \
\[Intersection] B' )", 
            "(C \[Intersection] B')  \[Union]  ( A \[Intersection] B \
\[Intersection] C' )", 
            "(C \[Intersection] B')  \[Union]  ( A \[Intersection] B \
\[Intersection] C )", 
            "( C \[Intersection] A' \[Intersection] B' )  \[Union]  (A \
\[Intersection] B)", 
            "( A \[Intersection] B' \[Intersection] C' )  \[Union]  (B \
\[Intersection] A')", 
            "(B \[Intersection] A')  \[Union]  ( A \[Intersection] C \
\[Intersection] B' )", "B  \[Intersection]  (A \[Intersection] C)'", 
            "(B \[Intersection] A')  \[Union]  ( A \[Intersection] B \
\[Intersection] C )", 
            "(A \[Intersection] B')  \[Union]  ( B \[Intersection] A' \
\[Intersection] C' )", "(A \[Union] B)  \[Intersection]  C'", 
            "( (A \[Union] B)  \[Intersection]  C'  \[Intersection]  (A \
\[Intersection] B)' )  \[Union]  ( A \[Intersection] B \[Intersection] C )", 
            "(B \[Intersection] C')  \[Union]  ( A \[Intersection] C \
\[Intersection] B' )", 
            "( B \[Intersection] A' \[Intersection] C' )  \[Union]  (A \
\[Intersection] C)", 
            "(B \[Intersection] C')  \[Union]  (A \[Intersection] B)", 
            "(A \[Intersection] B')  \[Union]  ( B \[Intersection] C \
\[Intersection] A' )", 
            "(A \[Intersection] C')  \[Union]  ( B \[Intersection] C \
\[Intersection] A' )", 
            "( A \[Intersection] B' \[Intersection] C' )  \[Union]  (B \
\[Intersection] C)", 
            " (A \[Intersection] B  \[Union]  B \[Intersection] C  \[Union]  \
A \[Intersection] C )  \[Intersection]  ( A \[Intersection] B \[Intersection] \
C )'", "(A \[Intersection] C)  \[Union]  (B \[Intersection] C)", 
            "(A \[Intersection] B)  \[Union]  (B \[Intersection] C)", 
            "A  \[Intersection]  (B \[Intersection] C)'", 
            "(A \[Intersection] B')  \[Union]  (A \[Intersection] C)", 
            "(A \[Intersection] C')  \[Union]  (A \[Intersection] B)", 
            "(A \[Intersection] B)  \[Union]  (A \[Intersection] C)", 
            "( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( (B \
\[Union] C) \[Intersection] A' )", 
            "(B \[Union] C)  \[Intersection]  (A \[Intersection] B)'", 
            "(B \[Union] C)  \[Intersection]  (A \[Intersection] C)'", 
            "( (B \[Union] C) \[Intersection] A' )  \[Union]  (B \
\[Intersection] C)", 
            "( (A \[Union] C) \[Intersection] B' )  \[Union]  ( B \
\[Intersection] A' \[Intersection] C' )", 
            "( (A \[Union] B) \[Intersection] C' )  \[Union]  ( C \
\[Intersection] A' \[Intersection] B' )", 
            "( (A \[Union] B \[Union] C)  \[Intersection]  (A \[Intersection] \
B)'  \[Intersection]  (B \[Intersection] C)'  \[Intersection]  (A \
\[Intersection] C)' ) \n \[Union]  ( A \[Intersection] B \[Intersection] C )",
             "(B \[Intersection] C')  \[Union]  (C \[Intersection] B')", 
            "( B \[Intersection] A' \[Intersection] C' )  \[Union]  (C \
\[Intersection] B')  \[Union]  (A \[Intersection] C)", 
            "(B \[Intersection] C')  \[Union]  ( C \[Intersection] A' \
\[Intersection] B' )  \[Union]  (A \[Intersection] B)", 
            "(A \[Intersection] B')  \[Union]  (C \[Intersection] A')", 
            "A \[Intersection] C'  \[Union]  C \[Intersection] A'", 
            "( A \[Intersection] B' \[Intersection] C' )  \[Union]  (C \
\[Intersection] A')  \[Union]  (B \[Intersection] C)", 
            "( C \[Union] (A \[Intersection] B) )  \[Intersection]  ( A \
\[Intersection] B \[Intersection] C )'", "C", 
            "(C \[Intersection] A')  \[Union]  (A \[Intersection] B)", 
            "(A \[Intersection] C')  \[Union]  (C \[Intersection] B')", 
            "( (A \[Union] C) \[Intersection] B' )  \[Union]  (A \
\[Intersection] C)", 
            "(A \[Intersection] C')  \[Union]  ( C \[Intersection] A' \
\[Intersection] B' )  \[Union]  (A \[Intersection] B)", 
            "(C \[Intersection] B')  \[Union]  (A \[Intersection] B)", 
            "(A \[Intersection] B')  \[Union]  (B \[Intersection] A')", 
            "(A \[Intersection] C')  \[Union]  (B \[Intersection] A')", 
            "( A \[Intersection] B' \[Intersection] C' )  \[Union]  (B \
\[Intersection] A')  \[Union]  (B \[Intersection] C)", 
            "( B \[Union] A \[Intersection] C )  \[Intersection]  ( A \
\[Intersection] B \[Intersection] C )'", 
            "(B \[Intersection] A')  \[Union]  (A \[Intersection] C)", "B", 
            "(A \[Intersection] B')  \[Union]  (B \[Intersection] C')", 
            "(A \[Intersection] B')  \[Union]  ( B \[Intersection] A' \
\[Intersection] C' )  \[Union]  (A \[Intersection] C)", 
            "( (A \[Union] B) \[Intersection] C' )  \[Union]  (A \
\[Intersection] B)", 
            "(B \[Intersection] C')  \[Union]  (A \[Intersection] C)", 
            "(A \[Union] B \[Intersection] C)  \[Intersection]  ( A \
\[Intersection] B \[Intersection] C )'", 
            "(A \[Intersection] B')  \[Union]  (B \[Intersection] C)", 
            "(A \[Intersection] C')  \[Union]  (B \[Intersection] C)", 
            "(A \[Intersection] B)  \[Union]  (B \[Intersection] C)  \[Union] \
 (A \[Intersection] C)", "A", 
            "( A \[Union] B \[Union] C )  \[Intersection]  (A \[Intersection] \
B)'", "( A \[Union] B \[Union] C )  \[Intersection]  (A \[Intersection] C)'", 
            "( A \[Intersection] B' \[Intersection] C' )  \[Union]  ( (B \
\[Union] C) \[Intersection] A' )  \[Union]  (B \[Intersection] C)", 
            "(B \[Union] C)  \[Intersection]  ( A \[Intersection] B \
\[Intersection] C )'", "C  \[Union]  (B \[Intersection] A')", 
            "B  \[Union]  (C \[Intersection] A')", 
            "( A \[Union] B \[Union] C )  \[Intersection]  (B \[Intersection] \
C)'", "( B \[Intersection] A' \[Intersection] C' )  \[Union]  ( (A \[Union] \
C) \[Intersection] B' )  \[Union]  (A \[Intersection] C)", 
            "( (A \[Union] B) \[Intersection] C' )  \[Union]  ( C \
\[Intersection] A' \[Intersection] B' )  \[Union]  (A \[Intersection] B)", 
            "(B \[Intersection] C')  \[Union]  ( A \[Intersection] B \
\[Intersection] C )  \[Union]  (C \[Intersection] B')", 
            "(A \[Union] C)  \[Intersection]  ( A \[Intersection] B \
\[Intersection] C )'", "C  \[Union]  (A \[Intersection] B')", 
            "(A \[Intersection] C')  \[Union]  ( A \[Intersection] B \
\[Intersection] C )  \[Union]  (C \[Intersection] A')", 
            "C  \[Union]  (A \[Intersection] B)", 
            "A  \[Union]  (C \[Intersection] B')", 
            "(A \[Union] B)  \[Intersection]  (A \[Intersection] B \
\[Intersection] C)'", 
            "(A \[Intersection] B')  \[Union]  ( A \[Intersection] B \
\[Intersection] C )  \[Union]  (B \[Intersection] A')", 
            "B  \[Union]  (A \[Intersection] C')", 
            "B  \[Union]  (A \[Intersection] C)", 
            "A  \[Union]  (B \[Intersection] C')", 
            "A  \[Union]  (B \[Intersection] C)", 
            "( A \[Union] B \[Union] C )  \[Intersection]  ( A \
\[Intersection] B \[Intersection] C )'", 
            "(A \[Intersection] B')  \[Union]  (B \[Intersection] A')  \
\[Union]  C", 
            "(A \[Intersection] C')  \[Union]  (C \[Intersection] A')  \
\[Union]  B", "B  \[Union]  C", 
            "( A  \[Union]  B \[Intersection] C' )  \[Union]  (C \
\[Intersection] B')", "A  \[Union]  C", "A  \[Union]  B", 
            "A  \[Union]  B  \[Union]  C"}; Null}]]),
    SynchronousInitialization->False,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->522527006],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Venn Diagrams",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/VennDiagrams/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/VennDiagrams/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/VennDiagrams/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/VennDiagrams/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/VennDiagrams/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: George Beck and Liz Kent", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->81036747]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
VennDiagrams"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Venn Diagrams - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 18, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 205, 4, 70, "Section"],
Cell[798, 29, 707, 24, 70, "Input",
 CellID->360403954],
Cell[1508, 55, 295, 10, 70, "Input",
 CellID->488591285],
Cell[1806, 67, 851, 24, 70, "Input",
 CellID->185746464],
Cell[2660, 93, 4424, 116, 70, "Input",
 CellID->167292515],
Cell[7087, 211, 1826, 52, 70, "Input",
 CellID->233130631],
Cell[8916, 265, 1161, 27, 70, "Input",
 CellID->677532198],
Cell[10080, 294, 28410, 485, 70, "Input",
 CellID->43708561],
Cell[38493, 781, 1813, 45, 70, "Input",
 CellID->239371445]
}, Open  ]],
Cell[40321, 829, 193146, 3238, 70, "Output",
 CellID->522527006],
Cell[CellGroupData[{
Cell[233492, 4071, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[233868, 4082, 850, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[234743, 4110, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[235083, 4121, 214, 6, 70, "Text",
 CellID->81036747]
}, Open  ]],
Cell[CellGroupData[{
Cell[235334, 4132, 967, 27, 70, "Text"],
Cell[236304, 4161, 1188, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature xS4a5GnGJhxBCDTux9iXGwbx *)
