(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     23189,        623]
NotebookOptionsPosition[     22119,        584]
NotebookOutlinePosition[     22754,        608]
CellTagsIndexPosition[     22711,        605]
WindowTitle->A Dissection Proof of Pythagoras's Theorem - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["A Dissection Proof of Pythagoras's Theorem", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Lighter", "[", "Blue", "]"}], ",", 
       RowBox[{"EdgeForm", "[", "Black", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Switch", "[", 
        RowBox[{"pp", ",", "\[IndentingNewLine]", "1", ",", " ", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Lighter", "[", "Red", "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0.62", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "0.38"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.62", ",", "0.38"}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", "Black", ",", "\[IndentingNewLine]", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<a\>\"", ",", "Italic", ",", "Bold", ",", 
               RowBox[{"FontSize", "\[Rule]", "20"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"0.5", ",", 
               RowBox[{"-", "0.05"}]}], "}"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<b\>\"", ",", "Italic", ",", "Bold", ",", 
               RowBox[{"FontSize", "\[Rule]", "20"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"1.05", ",", "0.18"}], "}"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<c\>\"", ",", "Italic", ",", "Bold", ",", 
               RowBox[{"FontSize", "\[Rule]", "20"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"0.56", ",", "0.27"}], "}"}]}], "]"}]}], 
          "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", "2", ",", 
         
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0.62", ",", "0.38"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "0.38"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.62", ",", "0.245"}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"1", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "0.38"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1.135", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"1", ",", 
                RowBox[{"-", "0.62"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1.38", ",", 
                RowBox[{"-", "0.62"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", 
                RowBox[{"-", "0.755"}]}], "}"}]}], "}"}], "]"}]}], 
          "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", "3", ",", 
         
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0.62", ",", "0.38"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.62", ",", "0.245"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0.38"}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"1", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1.135", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1.38", ",", 
                RowBox[{"-", "0.62"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", 
                RowBox[{"-", "0.62"}]}], "}"}]}], "}"}], "]"}]}], 
          "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", "4", ",", 
         
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0.245", ",", "0.38"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "0.38"}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", 
                RowBox[{"-", "0.62"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.245", ",", 
                RowBox[{"-", "0.62"}]}], "}"}]}], "}"}], "]"}]}], 
          "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", "5", ",", 
         
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0.245", ",", "0.38"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0.38"}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0.62", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "0.38"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.62", ",", "0.245"}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0.245", ",", 
                RowBox[{"-", "0.62"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.38", ",", 
                RowBox[{"-", "0.62"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.38", ",", 
                RowBox[{"-", "1"}]}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0.38", ",", 
                RowBox[{"-", "0.62"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.38", ",", 
                RowBox[{"-", "1"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", 
                RowBox[{"-", "0.755"}]}], " ", "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", 
                RowBox[{"-", "0.62"}]}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Lighter", "[", "Green", "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "0.38"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0.38"}], "}"}]}], "}"}], "]"}]}], 
          "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"AbsoluteThickness", "[", "2", "]"}], ",", "Black", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0.38"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0.38"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.38", ",", 
            RowBox[{"-", "0.62"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0.38", ",", 
            RowBox[{"-", "1"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0.38"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0.62", ",", "0.38"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0.62", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.135", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", 
            RowBox[{"-", "0.62"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.38", ",", 
            RowBox[{"-", "0.62"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", 
            RowBox[{"-", "0.62"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", 
            RowBox[{"-", "0.755"}]}], "}"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", 
            RowBox[{"-", "0.62"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0.38", ",", 
            RowBox[{"-", "0.62"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0.38", ",", 
            RowBox[{"-", "1"}]}], "}"}]}], "}"}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.2"}], ",", "1.8"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}]}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pp", ",", "1", ",", "\"\<stage\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButton"}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4569063788918*^9, 3.4569159467281084`*^9, 
   3.457508236227623*^9, {3.4575538673809857`*^9, 3.4575538784590397`*^9}, {
   3.4575540681297007`*^9, 3.4575540694578176`*^9}, {3.457555248450272*^9, 
   3.4575554058711395`*^9}, {3.457555459214548*^9, 3.45755546588638*^9}, {
   3.457555505636126*^9, 3.4575555755575533`*^9}, {3.457555614557304*^9, 
   3.457555617526035*^9}, {3.457555649041458*^9, 3.457555680353758*^9}, 
   3.457555740290874*^9, {3.4575557818374834`*^9, 3.457555803931092*^9}, {
   3.4575563386151695`*^9, 3.457556359115039*^9}, {3.457556396567924*^9, 
   3.4575564993328915`*^9}, {3.457556631238297*^9, 3.457556631394546*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`pp$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`pp$$], 1, "stage"}, {1, 2, 3, 4, 5}}}, 
    Typeset`size$$ = {360., {196., 200.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`pp$1646$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`pp$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`pp$$, $CellContext`pp$1646$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{
         Lighter[Blue], 
         EdgeForm[Black], 
         Switch[$CellContext`pp$$, 1, {
           Polygon[{{0, 0}, {1, 0}, {1, 1}, {0, 1}}], 
           Lighter[Red], 
           Polygon[{{0.62, 0}, {1, 0}, {1, 0.38}, {0.62, 0.38}}], Black, 
           Text[
            Style["a", Italic, Bold, FontSize -> 20], {0.5, -0.05}], 
           Text[
            Style["b", Italic, Bold, FontSize -> 20], {1.05, 0.18}], 
           Text[
            Style["c", Italic, Bold, FontSize -> 20], {0.56, 0.27}]}, 2, {
           Polygon[{{0.62, 0.38}, {1, 0.38}, {0.62, 0.245}}], 
           Polygon[{{1, 0}, {1, 0.38}, {1.135, 0}}], 
           Polygon[{{1, -0.62}, {1.38, -0.62}, {1, -0.755}}]}, 3, {
           Polygon[{{0.62, 0.38}, {0.62, 0.245}, {0, 0}, {0, 0.38}}], 
           Polygon[{{1, 0}, {1.135, 0}, {1.38, -0.62}, {1, -0.62}}]}, 4, {
           Polygon[{{0.245, 0.38}, {0, 1}, {1, 1}, {1, 0.38}}], 
           Polygon[{{0, 0}, {1, 0}, {1, -0.62}, {0.245, -0.62}}]}, 5, {
           Polygon[{{0.245, 0.38}, {0, 1}, {0, 0.38}}], 
           Polygon[{{0.62, 0}, {1, 0}, {1, 0.38}, {0.62, 0.245}}], 
           Polygon[{{0.245, -0.62}, {0.38, -0.62}, {0.38, -1}}], 
           Polygon[{{0.38, -0.62}, {0.38, -1}, {1, -0.755}, {1, -0.62}}], 
           Lighter[Green], 
           Polygon[{{0, 0}, {1, 0.38}, {0, 0.38}}]}], 
         AbsoluteThickness[2], Black, 
         Line[{{0, 0}, {1, 0}, {1, 0.38}, {0, 0}}], 
         Line[{{0, 0}, {1, 0.38}, {1.38, -0.62}, {0.38, -1}, {0, 0}}], 
         Line[{{0, 0}, {1, 0}, {1, 1}, {0, 1}, {0, 0}}], 
         Line[{{1, 0}, {1, 0.38}, {0.62, 0.38}, {0.62, 0}, {1, 0}}], 
         Line[{{1, 0}, {1.135, 0}}], 
         Line[{{1, 0}, {1, -0.62}, {1.38, -0.62}, {1, -0.62}, {1, -0.755}}], 
         Line[{{1, -0.62}, {0.38, -0.62}, {0.38, -1}}]}, 
        PlotRange -> {{-0.2, 1.8}, {-1.1, 1.1}}], 
      "Specifications" :> {{{$CellContext`pp$$, 1, "stage"}, {1, 2, 3, 4, 5}, 
         ControlType -> RadioButton}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{405., {236., 241.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->940085250],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["A Dissection Proof of Pythagoras's Theorem",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ADissectionProofOfPythagorassTheorem/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ADissectionProofOfPythagorassTheorem/"],\

 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
ADissectionProofOfPythagorassTheorem/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ADissectionProofOfPythagorassTheorem/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ADissectionProofOfPythagorassTheorem/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Jon Perry",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jon+Perry"], 
    None},
  ButtonNote->"http://demonstrations.wolfram.com/author.html?author=Jon+Perry"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ADissectionProofOfPythagorassTheorem"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"A Dissection Proof of Pythagoras's Theorem - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[632, 23, 234, 4, 70, "Section"],
Cell[869, 29, 13525, 347, 70, "Input"]
}, Open  ]],
Cell[14409, 379, 3416, 67, 70, "Output",
 CellID->940085250],
Cell[CellGroupData[{
Cell[17850, 450, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[18226, 461, 1015, 30, 70, "Text"],
Cell[19244, 493, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[19584, 504, 420, 13, 70, "Text"],
Cell[CellGroupData[{
Cell[20029, 521, 847, 24, 70, "Text"],
Cell[20879, 547, 1212, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature aQjqhkc6slNrOA09QJVzdFrN *)
