(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20865,        571]
NotebookOptionsPosition[     19819,        532]
NotebookOutlinePosition[     20433,        556]
CellTagsIndexPosition[     20390,        553]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Approximation by Rationals", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{".6", ",", " ", ".73", ",", " ", "0.36"}], "]"}], ",", 
       RowBox[{"PointSize", "[", "0.03", "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0"}], "}"}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<x\>\"", ",", "14", ",", "Italic"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0.05"}], "}"}]}], "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{".49", ",", " ", "0", ",", " ", "0"}], "]"}], ",", 
       RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x", "-", 
           RowBox[{"1", "/", 
            RowBox[{"(", 
             RowBox[{"2", "q"}], ")"}]}]}], ",", "0"}], "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x", "+", 
           RowBox[{"1", "/", 
            RowBox[{"(", 
             RowBox[{"2", "q"}], ")"}]}]}], ",", "0"}], "}"}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
              "\"\<+1/\>\"", ",", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<2q\>\"", ",", "Italic"}], "]"}]}], "}"}], "]"}], 
           ",", "14"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"x", "+", 
            RowBox[{"1", "/", 
             RowBox[{"(", 
              RowBox[{"2", "q"}], ")"}]}]}], ",", ".15"}], "}"}]}], "]"}], 
       ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
              "\"\<-1/\>\"", ",", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<2q\>\"", ",", "Italic"}], "]"}]}], "}"}], "]"}], 
           ",", "14"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"x", "-", 
            RowBox[{"1", "/", 
             RowBox[{"(", 
              RowBox[{"2", "q"}], ")"}]}]}], ",", ".1"}], "}"}]}], "]"}], ",",
        
       RowBox[{"PointSize", "[", "0.013", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{".25", ",", ".43", ",", ".82"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "/", "q"}], ",", "0"}], "}"}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<1/\>\"", ",", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<q\>\"", ",", "Italic"}], "]"}]}], "}"}], "]"}], 
           ",", "14"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1.", "/", "q"}], ",", ".1"}], "}"}]}], "]"}], ",", 
       RowBox[{"If", "[", 
        RowBox[{"auto", ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"q", " ", "x"}], "-", 
             RowBox[{"Floor", "[", 
              RowBox[{"q", " ", "x"}], "]"}]}], "<", ".5"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Floor", "[", 
                    RowBox[{"q", " ", "x"}], "]"}], ",", "\"\</\>\"", ",", 
                    "q"}], "}"}], "]"}], ",", "14"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Floor", "[", 
                   RowBox[{"q", " ", "x"}], "]"}], "/", "q"}], ",", 
                 RowBox[{"-", "0.1"}]}], "}"}]}], "]"}], ",", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"Floor", "[", 
                  RowBox[{"q", " ", "x"}], "]"}], "/", "q"}], ",", "0"}], 
               "}"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Ceiling", "[", 
                    RowBox[{"q", " ", "x"}], "]"}], ",", "\"\</\>\"", ",", 
                    "q"}], "}"}], "]"}], ",", "14"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Ceiling", "[", 
                   RowBox[{"q", " ", "x"}], "]"}], "/", "q"}], ",", 
                 RowBox[{"-", "0.1"}]}], "}"}]}], "]"}], ",", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"Ceiling", "[", 
                  RowBox[{"q", " ", "x"}], "]"}], "/", "q"}], ",", "0"}], 
               "}"}], "]"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"p", "/", "q"}], ",", "0"}], "}"}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<p\>\"", ",", "Italic"}], "]"}], ",", 
                  "\"\</\>\"", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<q\>\"", ",", "Italic"}], "]"}]}], "}"}], 
                "]"}], ",", "14"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"p", "/", "q"}], ",", 
               RowBox[{"-", ".1"}]}], "}"}]}], "]"}]}], "}"}]}], "]"}]}], 
      "}"}], ",", 
     RowBox[{"Axes", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"True", ",", "False"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.01"}], ",", 
          RowBox[{"x", "+", "0.4"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".2"}], ",", ".2"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "150"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"Sqrt", "[", "2.", "]"}], ",", "\"\<choose x\>\""}], "}"}], 
     ",", "1", ",", "2", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"q", ",", "3", ",", "\"\<choose q\>\""}], "}"}], ",", "1", ",", 
     "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"auto", ",", "True", ",", "\"\<calculate p automatically\>\""}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "p", ",", "1", ",", 
       "\"\<find p such that p/q \[Element] (x-1/2q, x+1/2q)\>\""}], "}"}], 
     ",", "1", ",", "40", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"!", "auto"}]}]}], "}"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.432310623671875*^9, 3.43231062846875*^9}, {
   3.432311109296875*^9, 3.432311128875*^9}, {3.432311269546875*^9, 
   3.43231128125*^9}, {3.4323113665*^9, 3.432311413640625*^9}, {
   3.432311454671875*^9, 3.43231146825*^9}, {3.43231155684375*^9, 
   3.432311586515625*^9}, {3.43231162140625*^9, 3.43231166290625*^9}, {
   3.432311716515625*^9, 3.43231181790625*^9}, 3.43231186825*^9, {
   3.4323119451875*^9, 3.432311954625*^9}, {3.432312021453125*^9, 
   3.432312047953125*^9}, {3.43231212528125*^9, 3.43231213759375*^9}, {
   3.4323244857810116`*^9, 3.432324648714303*^9}, {3.432326418113889*^9, 
   3.432326422610634*^9}, {3.43254614340625*^9, 3.432546210328125*^9}, 
   3.4325463368125*^9, {3.43254637971875*^9, 3.4325463805*^9}, {
   3.432546433953125*^9, 3.432546434203125*^9}, {3.43254655765625*^9, 
   3.432546560171875*^9}, {3.43254660040625*^9, 3.432546718359375*^9}, {
   3.432546777234375*^9, 3.4325467966875*^9}, {3.432546994015625*^9, 
   3.432547004328125*^9}, {3.432548431015625*^9, 3.4325484948125*^9}, {
   3.432548537359375*^9, 3.432548544359375*^9}, 3.4325485900625*^9, {
   3.43254867415625*^9, 3.432548740796875*^9}, {3.432548803140625*^9, 
   3.432548914625*^9}, {3.43254898953125*^9, 3.43254905234375*^9}, {
   3.4325493811875*^9, 3.43254941459375*^9}, {3.4325495478125*^9, 
   3.432549695921875*^9}, {3.432549825390625*^9, 3.432549910640625*^9}, 
   3.43255009090625*^9, {3.4330799596971283`*^9, 3.4330799771038685`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`auto$$ = True, $CellContext`p$$ = 
    1, $CellContext`q$$ = 3, $CellContext`x$$ = 1.4142135623730951`, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x$$], 1.4142135623730951`, "choose x"}, 1, 2}, {{
       Hold[$CellContext`q$$], 3, "choose q"}, 1, 20, 1}, {{
       Hold[$CellContext`auto$$], True, "calculate p automatically"}, {
      False, True}}, {{
       Hold[$CellContext`p$$], 1, 
       "find p such that p/q \[Element] (x-1/2q, x+1/2q)"}, 1, 40, 1}}, 
    Typeset`size$$ = {500., {73., 77.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`x$643881$$ = 0, $CellContext`q$643882$$ = 
    0, $CellContext`auto$643883$$ = False, $CellContext`p$643884$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`auto$$ = True, $CellContext`p$$ = 
        1, $CellContext`q$$ = 3, $CellContext`x$$ = 1.4142135623730951`}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$643881$$, 0], 
        Hold[$CellContext`q$$, $CellContext`q$643882$$, 0], 
        Hold[$CellContext`auto$$, $CellContext`auto$643883$$, False], 
        Hold[$CellContext`p$$, $CellContext`p$643884$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{
         RGBColor[0.6, 0.73, 0.36], 
         PointSize[0.03], 
         Point[{$CellContext`x$$, 0}], 
         Text[
          Style["x", 14, Italic], {$CellContext`x$$, 0.05}], 
         RGBColor[0.49, 0, 0], 
         PointSize[0.02], 
         Point[{$CellContext`x$$ - 1/(2 $CellContext`q$$), 0}], 
         Point[{$CellContext`x$$ + 1/(2 $CellContext`q$$), 0}], 
         Text[
          Style[
           Row[{
             Style["x", Italic], "+1/", 
             Style["2q", Italic]}], 14], {$CellContext`x$$ + 
           1/(2 $CellContext`q$$), 0.15}], 
         Text[
          Style[
           Row[{
             Style["x", Italic], "-1/", 
             Style["2q", Italic]}], 14], {$CellContext`x$$ - 1/(
           2 $CellContext`q$$), 0.1}], 
         PointSize[0.013], 
         RGBColor[0.25, 0.43, 0.82], 
         Point[{1/$CellContext`q$$, 0}], 
         Text[
          Style[
           Row[{"1/", 
             Style["q", Italic]}], 14], {1./$CellContext`q$$, 0.1}], 
         If[$CellContext`auto$$, 
          
          If[$CellContext`q$$ $CellContext`x$$ - 
            Floor[$CellContext`q$$ $CellContext`x$$] < 0.5, {
            Text[
             Style[
              Row[{
                Floor[$CellContext`q$$ $CellContext`x$$], 
                "/", $CellContext`q$$}], 14], {
             Floor[$CellContext`q$$ $CellContext`x$$]/$CellContext`q$$, \
-0.1}], 
            
            Point[{Floor[$CellContext`q$$ $CellContext`x$$]/$CellContext`q$$, 
              0}]}, {
            Text[
             Style[
              Row[{
                Ceiling[$CellContext`q$$ $CellContext`x$$], 
                "/", $CellContext`q$$}], 14], {
             Ceiling[$CellContext`q$$ $CellContext`x$$]/$CellContext`q$$, \
-0.1}], 
            
            Point[{Ceiling[$CellContext`q$$ \
$CellContext`x$$]/$CellContext`q$$, 0}]}], {
           Point[{$CellContext`p$$/$CellContext`q$$, 0}], 
           Text[
            Style[
             Row[{
               Style["p", Italic], "/", 
               Style["q", Italic]}], 
             14], {$CellContext`p$$/$CellContext`q$$, -0.1}]}]}, 
        Axes -> {True, False}, 
        PlotRange -> {{-0.01, $CellContext`x$$ + 0.4}, {-0.2, 0.2}}, 
        ImageSize -> {500, 150}], 
      "Specifications" :> {{{$CellContext`x$$, 1.4142135623730951`, 
          "choose x"}, 1, 2, Appearance -> 
         "Labeled"}, {{$CellContext`q$$, 3, "choose q"}, 1, 20, 1, Appearance -> 
         "Labeled"}, {{$CellContext`auto$$, True, 
          "calculate p automatically"}, {
         False, True}}, {{$CellContext`p$$, 1, 
          "find p such that p/q \[Element] (x-1/2q, x+1/2q)"}, 1, 40, 1, 
         Appearance -> "Labeled", Enabled -> Dynamic[
           Not[$CellContext`auto$$]]}}, 
      "Options" :> {AutorunSequencing -> {1, 2, 3}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {152., 157.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->3314958],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Approximation by Rationals",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ApproximationByRationals/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/ApproximationByRationals/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ApproximationByRationals/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ApproximationByRationals/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/ApproximationByRationals/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ApproximationByRationals"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Approximation by Rationals - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 218, 4, 70, "Section"],
Cell[811, 29, 9779, 250, 70, "Input"]
}, Open  ]],
Cell[10605, 282, 5020, 115, 70, "Output",
 CellID->3314958],
Cell[CellGroupData[{
Cell[15650, 401, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16026, 412, 929, 26, 70, "Text"],
Cell[16958, 440, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[17298, 451, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[17759, 469, 829, 24, 70, "Text"],
Cell[18591, 495, 1200, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature ERzj#fDsvsk5HADQgCtNkYx4 *)
