(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     13415,        375]
NotebookOptionsPosition[     12375,        336]
NotebookOutlinePosition[     12988,        360]
CellTagsIndexPosition[     12945,        357]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Decimals as Fractions", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{"n2", "=", 
       RowBox[{"Round", "[", 
        RowBox[{
         RowBox[{"ToExpression", "[", 
          RowBox[{"ToString", "[", 
           RowBox[{"NumberForm", "[", 
            RowBox[{
             RowBox[{"N", "@", "n"}], ",", 
             RowBox[{"{", 
              RowBox[{"dp", ",", "dp"}], "}"}]}], "]"}], "]"}], "]"}], " ", 
         RowBox[{"10", "^", "dp"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"Text", "@", 
      RowBox[{"Grid", "[", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Grid", "[", 
             RowBox[{
              RowBox[{"Transpose", "@", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                  "\"\<decimal\>\"", ",", "\"\<fraction\>\"", ",", 
                   "\"\<simplification\>\"", ",", 
                   "\"\<simplified fraction\>\""}], "}"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"NumberForm", "[", 
                    RowBox[{"n", ",", 
                    RowBox[{"{", 
                    RowBox[{"dp", ",", "dp"}], "}"}]}], "]"}], ",", 
                   RowBox[{"DisplayForm", "@", 
                    RowBox[{"FractionBox", "[", 
                    RowBox[{"n2", ",", 
                    RowBox[{"10", "^", "dp"}]}], "]"}]}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"#", "===", "1"}], ",", "\"\<none needed\>\"", 
                    ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<divide numerator and denominator by \>\"", ",", 
                    "#"}], "}"}], "]"}]}], "]"}], "&"}], "[", 
                    RowBox[{"GCD", "[", 
                    RowBox[{"n2", ",", 
                    RowBox[{"10", "^", "dp"}]}], "]"}], "]"}], ",", 
                   RowBox[{"n2", "/", 
                    RowBox[{"10", "^", "dp"}]}]}], "}"}]}], "}"}]}], ",", 
              RowBox[{"Frame", "\[Rule]", "All"}], ",", 
              RowBox[{"ItemSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"10", ",", "3"}], "}"}]}], ",", 
              RowBox[{"Alignment", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Center", ",", "Center"}], "}"}]}]}], "]"}], ",", 
            "18"}], "]"}], ",", 
          RowBox[{"PieCharts`PieChart", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"n2", ",", 
              RowBox[{
               RowBox[{"10", "^", "dp"}], "-", "n2"}]}], "}"}], ",", 
            RowBox[{"PieLabels", "\[Rule]", "None"}]}], "]"}]}], "}"}], "}"}],
        "]"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", ".5", ",", "\"\<value\>\""}], "}"}], ",", "0", ",", 
     "1", ",", 
     RowBox[{"1", "/", 
      RowBox[{"10", "^", "dp"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dp", ",", "1", ",", "\"\<decimal places\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"Get", "[", "\"\<PieCharts`\>\"", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.393075791765625*^9, {3.393076353604448*^9, 
   3.393076451006957*^9}, {3.393076539347315*^9, 3.393076594204583*^9}, {
   3.3931557751623893`*^9, 3.393155775224889*^9}, {3.3931558703024054`*^9, 
   3.3931558732555113`*^9}, {3.3931560018328133`*^9, 
   3.3931560024421844`*^9}, {3.3931692697128744`*^9, 3.393169340384297*^9}, 
   3.393169454602316*^9, {3.393169725381833*^9, 3.393169726788074*^9}, {
   3.3931803373920403`*^9, 3.3931803545638056`*^9}, {3.3932459273472624`*^9, 
   3.3932459579408164`*^9}, {3.393246009690485*^9, 3.393246045143383*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`dp$$ = 1, $CellContext`n$$ = 0.5, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 0.5, "value"}, 0, 1, 
      Dynamic[1/10^$CellContext`dp$$]}, {{
       Hold[$CellContext`dp$$], 1, "decimal places"}, {1, 2, 3}}}, 
    Typeset`size$$ = {535., {118., 123.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`n$70354$$ = 0, $CellContext`dp$70355$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`dp$$ = 1, $CellContext`n$$ = 0.5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$70354$$, 0], 
        Hold[$CellContext`dp$$, $CellContext`dp$70355$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Block[{$CellContext`n2 = Round[ToExpression[
             ToString[
              NumberForm[
               N[$CellContext`n$$], {$CellContext`dp$$, $CellContext`dp$$}]]] 
           10^$CellContext`dp$$]}, 
        Text[
         Grid[{{
            Style[
             Grid[
              
              Transpose[{{
                "decimal", "fraction", "simplification", 
                 "simplified fraction"}, {
                 
                 NumberForm[$CellContext`n$$, {$CellContext`dp$$, \
$CellContext`dp$$}], 
                 DisplayForm[
                  FractionBox[$CellContext`n2, 10^$CellContext`dp$$]], 
                 (If[# === 1, "none needed", 
                  Row[{"divide numerator and denominator by ", #}]]& )[
                  
                  GCD[$CellContext`n2, 
                   10^$CellContext`dp$$]], $CellContext`n2/
                 10^$CellContext`dp$$}}], Frame -> All, ItemSize -> {10, 3}, 
              Alignment -> {Center, Center}], 18], 
            
            PieCharts`PieChart[{$CellContext`n2, 
              10^$CellContext`dp$$ - $CellContext`n2}, PieCharts`PieLabels -> 
             None]}}]]], 
      "Specifications" :> {{{$CellContext`n$$, 0.5, "value"}, 0, 1, 
         Dynamic[
         1/10^$CellContext`dp$$]}, {{$CellContext`dp$$, 1, 
          "decimal places"}, {1, 2, 3}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{579., {174., 179.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(Get["PieCharts`"]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->14914820],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Decimals as Fractions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DecimalsAsFractions/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/DecimalsAsFractions/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/DecimalsAsFractions/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DecimalsAsFractions/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/DecimalsAsFractions/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Jon McLoone",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jon+McLoone"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jon+McLoone"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
DecimalsAsFractions"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{760, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Decimals as Fractions - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 213, 4, 70, "Section"],
Cell[806, 29, 4293, 102, 70, "Input"]
}, Open  ]],
Cell[5114, 134, 3114, 69, 70, "Output",
 CellID->14914820],
Cell[CellGroupData[{
Cell[8253, 207, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[8629, 218, 893, 24, 70, "Text"],
Cell[9525, 244, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9865, 255, 430, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[10320, 273, 829, 24, 70, "Text"],
Cell[11152, 299, 1195, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature XSjuFKih3ZQt7BpdGp2l2kGH *)
