(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20511,        506]
NotebookOptionsPosition[     19418,        465]
NotebookOutlinePosition[     20038,        489]
CellTagsIndexPosition[     19995,        486]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Fundamental Law of Fractions", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"a", ">", "b"}], ",", 
      RowBox[{"a", "=", "b"}]}], "]"}], ";", 
    RowBox[{"Pane", "[", 
     RowBox[{
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"a", "=", "a"}], ",", 
          RowBox[{"b", "=", "b"}], ",", 
          RowBox[{"c", "=", "c"}]}], "}"}], ",", 
        RowBox[{"DisplayForm", "@", 
         RowBox[{"Text", "[", 
          RowBox[{"Style", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Grid", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"HoldForm", "[", 
                   RowBox[{"Rational", "[", 
                    RowBox[{"a", ",", "b"}], "]"}], "]"}], ",", " ", 
                  "\"\<\[Times]\>\"", ",", 
                  RowBox[{"HoldForm", "[", " ", 
                   RowBox[{"Rational", "[", 
                    RowBox[{"c", ",", "c"}], "]"}], "]"}], ",", 
                  "\[IndentingNewLine]", "\"\<=\>\"", ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"FractionBox", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"ToString", "[", "a", "]"}], " ", "<>", 
                    "\"\<\[Times]\>\"", "<>", 
                    RowBox[{"ToString", "[", "c", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"ToString", "[", "b", "]"}], " ", "<>", 
                    "\"\<\[Times]\>\"", "<>", 
                    RowBox[{"ToString", "[", "c", "]"}]}]}], "]"}], ",", 
                  "\[IndentingNewLine]", "\"\<=\>\"", ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"FractionBox", "[", 
                   RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{"a", " ", "c"}], "]"}], ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"b", " ", "c"}], "]"}]}], "]"}]}], 
                 "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Graphics", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Orange", ",", 
                    RowBox[{"EdgeForm", "[", "]"}], ",", 
                    RowBox[{"Disk", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", "1", ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"2", " ", "a", " ", 
                    RowBox[{"Pi", "/", "b"}]}]}], "}"}]}], "]"}], ",", 
                    RowBox[{"FaceForm", "[", "]"}], ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", "Black", "]"}], ",", 
                    RowBox[{"Disk", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", "1", ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "i"}], "}"}]}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "0", ",", 
                    RowBox[{"2", " ", "Pi"}], ",", 
                    RowBox[{"2", 
                    RowBox[{"Pi", "/", "b"}]}]}], "}"}]}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"ImageSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"200", ",", "200"}], "}"}]}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", "1"}], ",", 
                    RowBox[{"PlotRangePadding", "\[Rule]", ".05"}]}], "]"}], 
                  ",", "SpanFromLeft", ",", "SpanFromLeft", ",", 
                  "SpanFromLeft", ",", 
                  RowBox[{"Graphics", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Orange", ",", 
                    RowBox[{"EdgeForm", "[", "]"}], ",", 
                    RowBox[{"Disk", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", "1", ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"2", " ", "a", " ", 
                    RowBox[{"Pi", "/", "b"}]}]}], "}"}]}], "]"}], ",", 
                    RowBox[{"FaceForm", "[", "]"}], ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"EdgeForm", "[", "Black", "]"}], ",", 
                    RowBox[{"Disk", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", "1", ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "i"}], "}"}]}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "0", ",", 
                    RowBox[{"2", " ", "Pi"}], ",", 
                    RowBox[{"2", 
                    RowBox[{"Pi", "/", 
                    RowBox[{"(", 
                    RowBox[{"b", " ", "c"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
                    "}"}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"200", ",", "200"}], "}"}]}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", "1"}], ",", 
                    RowBox[{"PlotRangePadding", "\[Rule]", ".05"}]}], "]"}], 
                  ",", "SpanFromLeft", ",", "SpanFromLeft"}], 
                 "\[IndentingNewLine]", "}"}]}], "}"}], ",", 
              RowBox[{"Frame", "\[Rule]", "None"}], ",", 
              RowBox[{"ItemSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                  "1.2", ",", ".5", ",", "1.2", ",", ".5", ",", "2.75", ",", 
                   ".5", ",", "1.75"}], "}"}], ",", "Automatic"}], "}"}]}]}], 
             "]"}], ",", "40"}], "]"}], "]"}]}]}], "]"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"500", ",", "300"}], "}"}]}], ",", 
      RowBox[{"ImageMargins", "\[Rule]", "20"}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "1", ",", "\"\<numerator\>\""}], "}"}], ",", "1", ",",
      "b", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "10", ",", "\"\<denominator\>\""}], "}"}], ",", "1", 
     ",", "10", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "2", ",", "\"\<multiplier\>\""}], "}"}], ",", "1", 
     ",", "10", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, {3.36724830070965*^9, 3.36724834558436*^9}, {
   3.36724837872477*^9, 3.36724854880181*^9}, {3.3672485939734*^9, 
   3.36724863800436*^9}, {3.36724871036328*^9, 3.36724884483116*^9}, {
   3.36724887489446*^9, 3.36724892616239*^9}, {3.3672489727426*^9, 
   3.36724900735352*^9}, {3.36724905841831*^9, 3.36724909626376*^9}, {
   3.36724913984383*^9, 3.36724924278371*^9}, {3.36724932625406*^9, 
   3.36724933491048*^9}, {3.36724939781794*^9, 3.36724939839607*^9}, {
   3.367249446397*^9, 3.36724946444422*^9}, {3.3672495010543*^9, 
   3.36724979876286*^9}, {3.36724987531071*^9, 3.36724989909227*^9}, {
   3.36724992978016*^9, 3.36725005867244*^9}, {3.36725010301675*^9, 
   3.36725021776822*^9}, {3.36725025753436*^9, 3.36725042613026*^9}, {
   3.36725125367082*^9, 3.36725132412079*^9}, {3.36725152247192*^9, 
   3.36725162075066*^9}, {3.36725176371575*^9, 3.36725176801251*^9}, {
   3.36725182024555*^9, 3.36725191210257*^9}, {3.3672520593488*^9, 
   3.36725210897266*^9}, {3.36725214309701*^9, 3.36725215936232*^9}, {
   3.36725220825201*^9, 3.36725221618935*^9}, {3.36725225075119*^9, 
   3.36725248360609*^9}, {3.36725251368364*^9, 3.36725251715233*^9}, {
   3.36725265893085*^9, 3.3672526670557*^9}, {3.36725269894571*^9, 
   3.36725269914883*^9}, {3.36725280567804*^9, 3.36725283008382*^9}, {
   3.36725290384803*^9, 3.36725290391052*^9}, {3.36725293992546*^9, 
   3.3672529830206*^9}, {3.36725319090624*^9, 3.36725321784512*^9}, {
   3.36725328005052*^9, 3.36725340503729*^9}, {3.36725343513162*^9, 
   3.36725343717853*^9}, {3.36725347250734*^9, 3.3672535679776*^9}, {
   3.36725361005573*^9, 3.36725365439948*^9}, 3.36725370825885*^9, {
   3.3672538869151*^9, 3.36725398088385*^9}, {3.36725401983698*^9, 
   3.36725403671198*^9}, {3.36725408030573*^9, 3.36725409482135*^9}, {
   3.3672542184303*^9, 3.3672542662425*^9}, {3.36725430888285*^9, 
   3.3672543091641*^9}, {3.36725440992908*^9, 3.36725443025707*^9}, {
   3.3672544840536*^9, 3.36725451080343*^9}, {3.36725454627195*^9, 
   3.36725454936568*^9}, {3.3675272408125*^9, 3.36752724092188*^9}, 
   3.369853868515625*^9, {3.372778356935274*^9, 3.3727783952809873`*^9}, {
   3.375719299208475*^9, 3.3757193140991*^9}, {3.3792584420663824`*^9, 
   3.379258476597411*^9}, {3.3792585234721117`*^9, 3.379258524706478*^9}, 
   3.379258645549455*^9, {3.379258688736679*^9, 3.379258774892377*^9}, {
   3.379258816157738*^9, 3.3792588212983303`*^9}, {3.379258862704315*^9, 
   3.3792589184383335`*^9}, {3.379258969500507*^9, 3.37925898701602*^9}, {
   3.38626360490625*^9, 3.386263606640625*^9}, {3.38626364321875*^9, 
   3.386264207625*^9}, {3.38626423896875*^9, 3.386264274890625*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`b$$ = 
    10, $CellContext`c$$ = 2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 1, "numerator"}, 1, 
      Dynamic[$CellContext`b$$], 1}, {{
       Hold[$CellContext`b$$], 10, "denominator"}, 1, 10, 1}, {{
       Hold[$CellContext`c$$], 2, "multiplier"}, 1, 10, 1}}, 
    Typeset`size$$ = {500., {147.5, 152.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True, $CellContext`a$5568$$ =
     0, $CellContext`b$5569$$ = 0, $CellContext`c$5570$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 1, $CellContext`b$$ = 
        10, $CellContext`c$$ = 2}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$5568$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$5569$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$5570$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`a$$ > $CellContext`b$$, $CellContext`a$$ = \
$CellContext`b$$]; Pane[
         With[{$CellContext`a = $CellContext`a$$, $CellContext`b = \
$CellContext`b$$, $CellContext`c = $CellContext`c$$}, 
          DisplayForm[
           Text[
            Style[
             Grid[{{
                HoldForm[
                 Rational[$CellContext`a, $CellContext`b]], "\[Times]", 
                HoldForm[
                 Rational[$CellContext`c, $CellContext`c]], "=", 
                FractionBox[
                 StringJoin[
                  ToString[$CellContext`a], "\[Times]", 
                  ToString[$CellContext`c]], 
                 StringJoin[
                  ToString[$CellContext`b], "\[Times]", 
                  ToString[$CellContext`c]]], "=", 
                FractionBox[
                 ToString[$CellContext`a $CellContext`c], 
                 ToString[$CellContext`b $CellContext`c]]}, {
                Graphics[{Orange, 
                  EdgeForm[], 
                  Disk[{0, 0}, 1, {0, 2 $CellContext`a (Pi/$CellContext`b)}], 
                  
                  FaceForm[], 
                  Table[{
                    EdgeForm[Black], 
                    Disk[{0, 0}, 1, {0, $CellContext`i}]}, {$CellContext`i, 0,
                     2 Pi, 2 (Pi/$CellContext`b)}]}, ImageSize -> {200, 200}, 
                 PlotRange -> 1, PlotRangePadding -> 0.05], SpanFromLeft, 
                SpanFromLeft, SpanFromLeft, 
                Graphics[{Orange, 
                  EdgeForm[], 
                  Disk[{0, 0}, 1, {0, 2 $CellContext`a (Pi/$CellContext`b)}], 
                  
                  FaceForm[], 
                  Table[{
                    EdgeForm[Black], 
                    Disk[{0, 0}, 1, {0, $CellContext`i}]}, {$CellContext`i, 0,
                     2 Pi, 2 (Pi/($CellContext`b $CellContext`c))}]}, 
                 ImageSize -> {200, 200}, PlotRange -> 1, PlotRangePadding -> 
                 0.05], SpanFromLeft, SpanFromLeft}}, Frame -> None, 
              ItemSize -> {{1.2, 0.5, 1.2, 0.5, 2.75, 0.5, 1.75}, Automatic}],
              40]]]], ImageSize -> {500, 300}, ImageMargins -> 20]), 
      "Specifications" :> {{{$CellContext`a$$, 1, "numerator"}, 1, 
         Dynamic[$CellContext`b$$], 1, Appearance -> 
         "Labeled"}, {{$CellContext`b$$, 10, "denominator"}, 1, 10, 1, 
         Appearance -> "Labeled"}, {{$CellContext`c$$, 2, "multiplier"}, 1, 
         10, 1, Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {218., 223.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->275179416],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Fundamental Law of Fractions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FundamentalLawOfFractions/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/FundamentalLawOfFractions/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/FundamentalLawOfFractions/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FundamentalLawOfFractions/"], 
    None},
  ButtonNote->"http://demonstrations.wolfram.com/FundamentalLawOfFractions/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Jeff Bryant",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jeff+Bryant"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jeff+Bryant"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->97166076],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
FundamentalLawOfFractions"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Fundamental Law of Fractions - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 220, 4, 70, "Section"],
Cell[813, 29, 9996, 206, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[10824, 238, 4371, 90, 70, "Output",
 CellID->275179416],
Cell[CellGroupData[{
Cell[15220, 332, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15596, 343, 944, 27, 70, "Text"],
Cell[16543, 372, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16883, 383, 449, 15, 70, "Text",
 CellID->97166076],
Cell[CellGroupData[{
Cell[17357, 402, 829, 24, 70, "Text"],
Cell[18189, 428, 1201, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature YSjh3#@iDOfpqDTRDrGvX41y *)
