(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     27038,        682]
NotebookOptionsPosition[     25883,        638]
NotebookOutlinePosition[     26494,        662]
CellTagsIndexPosition[     26451,        659]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Graph of Inequalities", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["ineq", "1"], " ", "=", " ", "False"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["ineq", "2"], " ", "=", " ", "False"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["ineq", "3"], " ", "=", " ", "False"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.379438867487753*^9, 3.3794388832795715`*^9}},
 CellID->304729819],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"RegionPlot", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         SubscriptBox["ineq", "1"], ",", 
         RowBox[{"y", ">", 
          RowBox[{
           RowBox[{
            SubscriptBox["m", "1"], " ", "x"}], " ", "+", " ", 
           SubscriptBox["b", "1"]}]}], ",", 
         RowBox[{"y", "<", 
          RowBox[{
           RowBox[{
            SubscriptBox["m", "1"], " ", "x"}], " ", "+", " ", 
           SubscriptBox["b", "1"]}]}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         SubscriptBox["ineq", "2"], ",", 
         RowBox[{"y", ">", 
          RowBox[{
           RowBox[{
            SubscriptBox["m", "2"], " ", "x"}], " ", "+", " ", 
           SubscriptBox["b", "2"]}]}], ",", 
         RowBox[{"y", "<", 
          RowBox[{
           RowBox[{
            SubscriptBox["m", "2"], " ", "x"}], " ", "+", " ", 
           SubscriptBox["b", "2"]}]}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         SubscriptBox["ineq", "3"], ",", 
         RowBox[{"y", ">", 
          RowBox[{
           RowBox[{
            SubscriptBox["m", "3"], " ", "x"}], " ", "+", " ", 
           SubscriptBox["b", "3"]}]}], ",", 
         RowBox[{"y", "<", 
          RowBox[{
           RowBox[{
            SubscriptBox["m", "3"], " ", "x"}], " ", "+", " ", 
           SubscriptBox["b", "3"]}]}]}], "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
     RowBox[{"PerformanceGoal", "\[Rule]", "\"\<Quality\>\""}], ",", 
     RowBox[{"Axes", "\[Rule]", " ", "True"}], ",", " ", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotLabel", "\[Rule]", " ", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"Column", "[", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<\!\(\*SubscriptBox[\(y\), \(1\)]\) \>\"", ",", 
              RowBox[{"If", "[", 
               RowBox[{
                SubscriptBox["ineq", "1"], ",", "\"\<> \>\"", ",", 
                "\"\<< \>\""}], "]"}], ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 SubscriptBox["m", "1"], "<", "0"}], ",", "\"\<\>\"", ",", 
                "\"\<  \>\""}], "]"}], ",", 
              RowBox[{"ToString", "[", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 SubscriptBox["m", "1"], ",", 
                 RowBox[{"{", 
                  RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], " ", ",", 
              "\"\< \!\(\*SubscriptBox[\(x\), \(1\)]\)\>\"", ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 SubscriptBox["b", "1"], "<", "0"}], ",", "\"\< - \>\"", ",", 
                "\"\< + \>\""}], "]"}], ",", " ", 
              RowBox[{"ToString", "[", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"Abs", "[", 
                  SubscriptBox["b", "1"], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}]}], "}"}], 
            "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<\!\(\*SubscriptBox[\(y\), \(2\)]\) \>\"", ",", 
              RowBox[{"If", "[", 
               RowBox[{
                SubscriptBox["ineq", "2"], ",", "\"\<> \>\"", ",", 
                "\"\<< \>\""}], "]"}], ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 SubscriptBox["m", "2"], "<", "0"}], ",", "\"\<\>\"", ",", 
                "\"\<  \>\""}], "]"}], ",", 
              RowBox[{"ToString", "[", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 SubscriptBox["m", "2"], ",", 
                 RowBox[{"{", 
                  RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], " ", ",", 
              "\"\< \!\(\*SubscriptBox[\(x\), \(2\)]\)\>\"", ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 SubscriptBox["b", "2"], "<", "0"}], ",", "\"\< - \>\"", ",", 
                "\"\< + \>\""}], "]"}], ",", " ", 
              RowBox[{"ToString", "[", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"Abs", "[", 
                  SubscriptBox["b", "2"], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}]}], "}"}], 
            "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<\!\(\*SubscriptBox[\(y\), \(3\)]\) \>\"", ",", 
              RowBox[{"If", "[", 
               RowBox[{
                SubscriptBox["ineq", "3"], ",", "\"\<> \>\"", ",", 
                "\"\<< \>\""}], "]"}], ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 SubscriptBox["m", "3"], "<", "0"}], ",", "\"\<\>\"", ",", 
                "\"\<  \>\""}], "]"}], ",", 
              RowBox[{"ToString", "[", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 SubscriptBox["m", "3"], ",", 
                 RowBox[{"{", 
                  RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], " ", ",", 
              "\"\< \!\(\*SubscriptBox[\(x\), \(3\)]\)\>\"", ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 SubscriptBox["b", "3"], "<", "0"}], ",", "\"\< - \>\"", ",", 
                "\"\< + \>\""}], "]"}], ",", " ", 
              RowBox[{"ToString", "[", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"Abs", "[", 
                  SubscriptBox["b", "3"], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}]}], "}"}], 
            "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
        "\"\<Label\>\"", ",", "12"}], "]"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["m", "1"], ",", "1.5", ",", 
       "\"\<\!\(\*SubscriptBox[\(m\), \(1\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "3."}], ",", "3.", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", " ", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["b", "1"], ",", "0.4", ",", 
       "\"\<\!\(\*SubscriptBox[\(b\), \(1\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "3."}], ",", "3.", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", " ", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<reverse inequality \!\(\*SubscriptBox[\(y\), \(1\)]\)  \>\"", ",", 
      RowBox[{"Checkbox", "[", 
       RowBox[{
        RowBox[{"Dynamic", "[", 
         RowBox[{
          SubscriptBox["ineq", "1"], ",", 
          RowBox[{"Initialization", "\[Rule]", " ", "False"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"False", ",", "True"}], "}"}]}], "]"}]}], "}"}], "]"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["m", "2"], ",", "0.3", ",", 
       "\"\<\!\(\*SubscriptBox[\(m\), \(2\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "3."}], ",", "3.", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", " ", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["b", "2"], ",", "2.1", ",", 
       "\"\<\!\(\*SubscriptBox[\(b\), \(2\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "3."}], ",", "3.", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", " ", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<reverse inequality \!\(\*SubscriptBox[\(y\), \(2\)]\)  \>\"", ",", 
      RowBox[{"Checkbox", "[", 
       RowBox[{
        RowBox[{"Dynamic", "[", 
         RowBox[{
          SubscriptBox["ineq", "2"], ",", 
          RowBox[{"Initialization", "\[Rule]", " ", "False"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"False", ",", "True"}], "}"}]}], "]"}]}], "}"}], "]"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["m", "3"], ",", 
       RowBox[{"-", ".8"}], ",", 
       "\"\<\!\(\*SubscriptBox[\(m\), \(3\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "3."}], ",", "3.", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", " ", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["b", "3"], ",", "1.3", ",", 
       "\"\<\!\(\*SubscriptBox[\(b\), \(3\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "3."}], ",", "3.", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", " ", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<reverse inequality \!\(\*SubscriptBox[\(y\), \(3\)]\)  \>\"", ",", 
      RowBox[{"Checkbox", "[", 
       RowBox[{
        RowBox[{"Dynamic", "[", 
         RowBox[{
          SubscriptBox["ineq", "3"], ",", 
          RowBox[{"Initialization", "\[Rule]", " ", "False"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"False", ",", "True"}], "}"}]}], "]"}]}], "}"}], "]"}], ",", 
   
   RowBox[{"AutorunSequencing", " ", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "5", ",", "6"}], "}"}]}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.379428324364602*^9, {3.379428393149822*^9, 
   3.3794284005597754`*^9}, {3.3794288849076195`*^9, 
   3.3794289657512894`*^9}, {3.3794290000410194`*^9, 3.379429093919792*^9}, {
   3.379429157813961*^9, 3.3794291790788116`*^9}, {3.3794295676302557`*^9, 
   3.37942979556134*^9}, 3.3794298369185896`*^9, {3.3794303693045306`*^9, 
   3.3794303744824924`*^9}, {3.37943101222591*^9, 3.379431066619548*^9}, 
   3.37943114329745*^9, {3.379431213255019*^9, 3.3794312140362206`*^9}, {
   3.379431399281059*^9, 3.379431400352707*^9}, {3.3794315510519404`*^9, 
   3.3794316001080103`*^9}, {3.379431652056796*^9, 3.379431768005686*^9}, {
   3.379434251662729*^9, 3.379434264027055*^9}, {3.379434324547177*^9, 
   3.379434409595719*^9}, {3.379434474200574*^9, 3.3794345064879837`*^9}, {
   3.379434550695203*^9, 3.3794345652192726`*^9}, {3.3794352828744287`*^9, 
   3.3794353375249987`*^9}, 3.379435369317687*^9, {3.3794357236448956`*^9, 
   3.379436053113018*^9}, {3.3794361587433777`*^9, 3.3794362243556786`*^9}, {
   3.379436622551775*^9, 3.3794367058677225`*^9}, {3.379436750905267*^9, 
   3.379436759790429*^9}, {3.3794370708566885`*^9, 3.379437200511035*^9}, {
   3.379437250518031*^9, 3.379437371479144*^9}, {3.379437503103881*^9, 
   3.3794375054846907`*^9}, {3.379437560470087*^9, 3.3794376177535906`*^9}, {
   3.3794377508271103`*^9, 3.379437761582257*^9}, {3.3794377929001956`*^9, 
   3.3794378017804995`*^9}, {3.3794388948950415`*^9, 3.379438901691648*^9}, {
   3.3807396429375*^9, 3.3807396434375*^9}, {3.380739698875*^9, 
   3.380739698953125*^9}, {3.3842847139004803`*^9, 3.384284743608167*^9}, {
   3.3863535278647594`*^9, 3.3863535398960094`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`$13$$ = 1.5, $CellContext`$14$$ = 
    0.4, $CellContext`$15$$ = 0.3, $CellContext`$16$$ = 
    2.1, $CellContext`$17$$ = -0.8, $CellContext`$18$$ = 1.3, Typeset`show$$ =
     True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`$13$$], 1.5, 
       "\!\(\*SubscriptBox[\(m\), \(1\)]\)"}, -3., 3., 0.01}, {{
       Hold[$CellContext`$14$$], 0.4, 
       "\!\(\*SubscriptBox[\(b\), \(1\)]\)"}, -3., 3., 0.01}, {
      Hold[
       Row[{"reverse inequality \!\(\*SubscriptBox[\(y\), \(1\)]\)  ", 
         Checkbox[
          Dynamic[
           Subscript[$CellContext`ineq, 1], Initialization -> False], {
          False, True}]}]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`$15$$], 0.3, 
       "\!\(\*SubscriptBox[\(m\), \(2\)]\)"}, -3., 3., 0.01}, {{
       Hold[$CellContext`$16$$], 2.1, 
       "\!\(\*SubscriptBox[\(b\), \(2\)]\)"}, -3., 3., 0.01}, {
      Hold[
       Row[{"reverse inequality \!\(\*SubscriptBox[\(y\), \(2\)]\)  ", 
         Checkbox[
          Dynamic[
           Subscript[$CellContext`ineq, 2], Initialization -> False], {
          False, True}]}]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`$17$$], -0.8, 
       "\!\(\*SubscriptBox[\(m\), \(3\)]\)"}, -3., 3., 0.01}, {{
       Hold[$CellContext`$18$$], 1.3, 
       "\!\(\*SubscriptBox[\(b\), \(3\)]\)"}, -3., 3., 0.01}, {
      Hold[
       Row[{"reverse inequality \!\(\*SubscriptBox[\(y\), \(3\)]\)  ", 
         Checkbox[
          Dynamic[
           Subscript[$CellContext`ineq, 3], Initialization -> False], {
          False, True}]}]], Manipulate`Dump`ThisIsNotAControl}}, 
    Typeset`size$$ = {400., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`$13$3388$$ = 0, $CellContext`$14$3389$$ = 
    0, $CellContext`$15$3390$$ = 0, $CellContext`$16$3391$$ = 
    0, $CellContext`$17$3392$$ = 0, $CellContext`$18$3393$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`$13$$ = 1.5, $CellContext`$14$$ = 
        0.4, $CellContext`$15$$ = 0.3, $CellContext`$16$$ = 
        2.1, $CellContext`$17$$ = -0.8, $CellContext`$18$$ = 1.3}, 
      "ControllerVariables" :> {
        Hold[$CellContext`$13$$, $CellContext`$13$3388$$, 0], 
        Hold[$CellContext`$14$$, $CellContext`$14$3389$$, 0], 
        Hold[$CellContext`$15$$, $CellContext`$15$3390$$, 0], 
        Hold[$CellContext`$16$$, $CellContext`$16$3391$$, 0], 
        Hold[$CellContext`$17$$, $CellContext`$17$3392$$, 0], 
        Hold[$CellContext`$18$$, $CellContext`$18$3393$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> RegionPlot[{
         If[
          
          Subscript[$CellContext`ineq, 
           1], $CellContext`y > $CellContext`$13$$ $CellContext`x + \
$CellContext`$14$$, $CellContext`y < $CellContext`$13$$ $CellContext`x + \
$CellContext`$14$$], 
         If[
          
          Subscript[$CellContext`ineq, 
           2], $CellContext`y > $CellContext`$15$$ $CellContext`x + \
$CellContext`$16$$, $CellContext`y < $CellContext`$15$$ $CellContext`x + \
$CellContext`$16$$], 
         If[
          
          Subscript[$CellContext`ineq, 
           3], $CellContext`y > $CellContext`$17$$ $CellContext`x + \
$CellContext`$18$$, $CellContext`y < $CellContext`$17$$ $CellContext`x + \
$CellContext`$18$$]}, {$CellContext`x, -10, 10}, {$CellContext`y, -10, 10}, 
        PerformanceGoal -> "Quality", Axes -> True, PlotLabel -> Style[
          Column[{
            Row[{"\!\(\*SubscriptBox[\(y\), \(1\)]\) ", 
              If[
               Subscript[$CellContext`ineq, 1], "> ", "< "], 
              If[$CellContext`$13$$ < 0, "", "  "], 
              ToString[
               NumberForm[$CellContext`$13$$, {3, 2}]], 
              " \!\(\*SubscriptBox[\(x\), \(1\)]\)", 
              If[$CellContext`$14$$ < 0, " - ", " + "], 
              ToString[
               NumberForm[
                Abs[$CellContext`$14$$], {3, 2}]]}], 
            Row[{"\!\(\*SubscriptBox[\(y\), \(2\)]\) ", 
              If[
               Subscript[$CellContext`ineq, 2], "> ", "< "], 
              If[$CellContext`$15$$ < 0, "", "  "], 
              ToString[
               NumberForm[$CellContext`$15$$, {3, 2}]], 
              " \!\(\*SubscriptBox[\(x\), \(2\)]\)", 
              If[$CellContext`$16$$ < 0, " - ", " + "], 
              ToString[
               NumberForm[
                Abs[$CellContext`$16$$], {3, 2}]]}], 
            Row[{"\!\(\*SubscriptBox[\(y\), \(3\)]\) ", 
              If[
               Subscript[$CellContext`ineq, 3], "> ", "< "], 
              If[$CellContext`$17$$ < 0, "", "  "], 
              ToString[
               NumberForm[$CellContext`$17$$, {3, 2}]], 
              " \!\(\*SubscriptBox[\(x\), \(3\)]\)", 
              If[$CellContext`$18$$ < 0, " - ", " + "], 
              ToString[
               NumberForm[
                Abs[$CellContext`$18$$], {3, 2}]]}]}], "Label", 12], 
        ImageSize -> {400, 400}], 
      "Specifications" :> {{{$CellContext`$13$$, 1.5, 
          "\!\(\*SubscriptBox[\(m\), \(1\)]\)"}, -3., 3., 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$14$$, 0.4, 
          "\!\(\*SubscriptBox[\(b\), \(1\)]\)"}, -3., 3., 0.01, Appearance -> 
         "Labeled", ImageSize -> Tiny}, 
        Row[{"reverse inequality \!\(\*SubscriptBox[\(y\), \(1\)]\)  ", 
          Checkbox[
           Dynamic[
            Subscript[$CellContext`ineq, 1], Initialization -> False], {
           False, True}]}], 
        Delimiter, {{$CellContext`$15$$, 0.3, 
          "\!\(\*SubscriptBox[\(m\), \(2\)]\)"}, -3., 3., 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$16$$, 2.1, 
          "\!\(\*SubscriptBox[\(b\), \(2\)]\)"}, -3., 3., 0.01, Appearance -> 
         "Labeled", ImageSize -> Tiny}, 
        Row[{"reverse inequality \!\(\*SubscriptBox[\(y\), \(2\)]\)  ", 
          Checkbox[
           Dynamic[
            Subscript[$CellContext`ineq, 2], Initialization -> False], {
           False, True}]}], 
        Delimiter, {{$CellContext`$17$$, -0.8, 
          "\!\(\*SubscriptBox[\(m\), \(3\)]\)"}, -3., 3., 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$18$$, 1.3, 
          "\!\(\*SubscriptBox[\(b\), \(3\)]\)"}, -3., 3., 0.01, Appearance -> 
         "Labeled", ImageSize -> Tiny}, 
        Row[{"reverse inequality \!\(\*SubscriptBox[\(y\), \(3\)]\)  ", 
          Checkbox[
           Dynamic[
            Subscript[$CellContext`ineq, 3], Initialization -> False], {
           False, True}]}]}, "Options" :> {AutorunSequencing -> {1, 2, 5, 6}},
       "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{585., {225., 230.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({
       Attributes[Subscript] = {NHoldRest}, Subscript[$CellContext`ineq, 1] = 
        False, Subscript[$CellContext`ineq, 2] = False, 
        Subscript[$CellContext`ineq, 3] = False}; Typeset`initDone$$ = True); 
     ReleaseHold[{{
         HoldComplete[Subscript[$CellContext`ineq, 1] = False; Null], 
         HoldComplete[Null], 
         HoldComplete[Subscript[$CellContext`ineq, 2] = False; Null], 
         HoldComplete[Null], 
         HoldComplete[Subscript[$CellContext`ineq, 3] = False; Null]}}]),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->230221240]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Graph of Inequalities",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/GraphOfInequalities/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/GraphOfInequalities/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/GraphOfInequalities/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/GraphOfInequalities/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/GraphOfInequalities/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Ed Pegg Jr", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->2888291],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
GraphOfInequalities"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{765, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Graph of Inequalities - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 213, 4, 71, "Section"],
Cell[806, 29, 443, 14, 72, "Input",
 CellID->304729819],
Cell[CellGroupData[{
Cell[1274, 47, 12414, 290, 612, "Input"],
Cell[13691, 339, 8114, 169, 70, "Output",
 CellID->230221240]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[21854, 514, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[22230, 525, 893, 24, 70, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23160, 554, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[23500, 565, 199, 6, 70, "Text",
 CellID->2888291],
Cell[23702, 573, 967, 27, 70, "Text"],
Cell[24672, 602, 1195, 33, 70, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature xS4t7#@r5cc#8DDe@Ln#T3a1 *)
