(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     43864,       1009]
NotebookOptionsPosition[     42819,        970]
NotebookOutlinePosition[     43428,        994]
CellTagsIndexPosition[     43385,        991]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Interval Notation", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"r", "=", ".08"}], ";", "\[IndentingNewLine]", 
    RowBox[{"fontsize", "=", "17"}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"aa", "\[Equal]", "bb"}], ",", " ", 
      RowBox[{"bb", "=", 
       RowBox[{"aa", "+", ".01"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"A", ",", "B"}], "}"}], "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Min", "[", 
        RowBox[{"aa", ",", "bb"}], "]"}], ",", 
       RowBox[{"Max", "[", 
        RowBox[{"aa", ",", "bb"}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"flip", "=", 
     RowBox[{"Or", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Not", "[", 
         RowBox[{"A", "===", "aa"}], "]"}], "&&", "afinite"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Not", "[", 
         RowBox[{"B", "===", "bb"}], "]"}], "&&", "bfinite"}]}], 
      "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Pane", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Column", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{"graphical", " ", "representation"}], " ", "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{"LightBlue", ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "10"}], ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"10", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Thickness", "[", 
               RowBox[{"r", "/", "8"}], "]"}], ",", "Black", ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{"afinite", ",", 
                RowBox[{"Text", "[", 
                 RowBox[{"a", ",", 
                  RowBox[{"{", 
                   RowBox[{"aa", ",", 
                    RowBox[{"-", "1"}]}], "}"}]}], "]"}], ",", 
                RowBox[{"{", "}"}]}], "]"}], ",", 
              RowBox[{"If", "[", 
               RowBox[{"bfinite", ",", 
                RowBox[{"Text", "[", 
                 RowBox[{"b", ",", 
                  RowBox[{"{", 
                   RowBox[{"bb", ",", 
                    RowBox[{"-", "1"}]}], "}"}]}], "]"}], ",", 
                RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
              "Blue", ",", "\[IndentingNewLine]", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"If", "[", 
                    RowBox[{"afinite", ",", "aa", ",", 
                    RowBox[{"-", "9"}]}], "]"}], ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"If", "[", 
                    RowBox[{"bfinite", ",", "bb", ",", "9"}], "]"}], ",", 
                   "0"}], "}"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"If", "[", "\[IndentingNewLine]", 
               RowBox[{"afinite", ",", "\[IndentingNewLine]", 
                RowBox[{"Disk", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"aa", ",", "0"}], "}"}], ",", 
                  RowBox[{"4", "r"}]}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Arrow", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"bb", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", "0"}], "}"}]}], "}"}], "]"}]}], 
               "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"If", "[", "\[IndentingNewLine]", 
               RowBox[{"bfinite", ",", "\[IndentingNewLine]", 
                RowBox[{"Disk", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"bb", ",", "0"}], "}"}], ",", 
                  RowBox[{"4", "r"}]}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Arrow", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"aa", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"10", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
               "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"If", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"afinite", "&&", 
                 RowBox[{"Not", "@", "includea"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"White", ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"aa", ",", "0"}], "}"}], ",", 
                    RowBox[{"2", "r"}]}], "]"}]}], "}"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", "}"}]}], "\[IndentingNewLine]", "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"bfinite", "&&", 
                 RowBox[{"Not", "@", "includeb"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"White", ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"bb", ",", "0"}], "}"}], ",", 
                    RowBox[{"2", "r"}]}], "]"}]}], "}"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", "}"}]}], "\[IndentingNewLine]", "]"}]}], 
             "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"PlotRange", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"1.1", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "10"}], ",", "10"}], "}"}]}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "1.2"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"250", ",", "100"}], "}"}]}]}], "\[IndentingNewLine]", 
           "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{"textual", " ", "description"}], " ", "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"TraditionalForm", "@", 
             RowBox[{"Text", "@", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"\"\<The interval \>\"", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<I\>\"", ",", "Italic"}], "]"}]}], ",", 
                 "\"\< is\>\""}], "}"}], "]"}]}]}], ",", "fontsize"}], "]"}], 
          ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"TraditionalForm", "@", 
             RowBox[{"Text", "@", 
              RowBox[{"Row", "[", 
               RowBox[{"{", " ", "\[IndentingNewLine]", 
                RowBox[{"Which", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"And", "[", 
                   RowBox[{
                    RowBox[{"Not", "@", "afinite"}], ",", 
                    RowBox[{"Not", "@", "bfinite"}]}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  "\"\<unbounded in both directions.\>\"", ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"And", "[", 
                   RowBox[{
                    RowBox[{"Not", "@", "afinite"}], ",", "bfinite"}], "]"}], 
                  ",", "\[IndentingNewLine]", 
                  RowBox[{"StringJoin", "[", "\[IndentingNewLine]", 
                   RowBox[{
                   "\"\<unbounded in one direction and \>\"", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    "includeb", ",", "\[IndentingNewLine]", "\"\<closed.\>\"",
                     ",", "\[IndentingNewLine]", "\"\<open.\>\""}], 
                    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
                   "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"And", "[", 
                   RowBox[{"afinite", ",", 
                    RowBox[{"Not", "@", "bfinite"}]}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"StringJoin", "[", "\[IndentingNewLine]", 
                   RowBox[{
                   "\"\<unbounded in one direction and \>\"", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    "includea", ",", "\[IndentingNewLine]", "\"\<closed.\>\"",
                     ",", "\[IndentingNewLine]", "\"\<open.\>\""}], 
                    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
                   "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"And", "[", 
                   RowBox[{"afinite", ",", "bfinite"}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"StringJoin", "[", "\[IndentingNewLine]", 
                   RowBox[{
                   "\"\<bounded and \>\"", ",", "\[IndentingNewLine]", 
                    RowBox[{"Which", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Xor", "[", 
                    RowBox[{"includea", ",", "includeb"}], "]"}], ",", 
                    "\[IndentingNewLine]", "\"\<half\[Hyphen]open.\>\"", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"And", "[", 
                    RowBox[{"includea", ",", "includeb"}], "]"}], ",", 
                    "\[IndentingNewLine]", "\"\<closed.\>\"", ",", 
                    "\[IndentingNewLine]", "True", ",", 
                    "\[IndentingNewLine]", "\"\<open.\>\""}], 
                    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
                   "]"}]}], "\[IndentingNewLine]", "]"}], 
                "\[IndentingNewLine]", "}"}], "]"}]}]}], ",", "fontsize"}], 
           "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{"set", " ", "notation"}], " ", "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"TraditionalForm", "@", 
             RowBox[{"Text", "@", 
              RowBox[{"Row", "[", 
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{"\"\<\\nIn set notation, \>\"", ",", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<I\>\"", ",", "Italic"}], "]"}], ",", 
                 "\"\< = \>\""}], "}"}], "]"}]}]}], ",", "fontsize"}], "]"}], 
          ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"TraditionalForm", "@", 
             RowBox[{"Text", "@", "\[IndentingNewLine]", 
              RowBox[{"Which", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"Not", "@", "afinite"}], "&&", 
                 RowBox[{"Not", "@", "bfinite"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                  "\"\<{\>\"", ",", "x", ",", "\"\< | \>\"", ",", "x", " ", 
                   ",", "\"\< is a real number}\>\""}], "}"}], "]"}], ",", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"afinite", "&&", "bfinite"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                  "\"\<{\>\"", ",", "x", ",", "\"\< | \>\"", ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"A", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"flip", ",", "includeb", ",", "includea"}], "]"}],
                     ",", "\"\< \[LessEqual] \>\"", ",", "\"\< < \>\""}], 
                    "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", "x", 
                   ",", "\[IndentingNewLine]", 
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"flip", ",", "includea", ",", "includeb"}], "]"}],
                     ",", "\"\< \[LessEqual] \>\"", ",", "\"\< < \>\""}], 
                    "]"}], ",", "B"}], "}"}], "]"}], ",", 
                   "\[IndentingNewLine]", "\"\<}.\>\""}], 
                  "\[IndentingNewLine]", "}"}], "]"}], ",", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Not", "@", "afinite"}], "&&", "bfinite"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                  "\"\<{\>\"", ",", "x", ",", "\"\< | \>\"", ",", 
                   "\[IndentingNewLine]", "x", ",", "\[IndentingNewLine]", 
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    "includeb", ",", "\"\< \[LessEqual] \>\"", ",", 
                    "\"\< < \>\""}], "]"}], ",", "bb"}], "}"}], "]"}], ",", 
                   "\[IndentingNewLine]", "\"\<}.\>\""}], 
                  "\[IndentingNewLine]", "}"}], "]"}], ",", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"afinite", "&&", 
                 RowBox[{"Not", "@", "bfinite"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                  "\"\<{\>\"", ",", "x", ",", "\"\< | \>\"", ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"aa", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    "includea", ",", "\"\< \[LessEqual] \>\"", ",", 
                    "\"\< < \>\""}], "]"}]}], "}"}], "]"}], ",", 
                   "\[IndentingNewLine]", "x", ",", "\[IndentingNewLine]", 
                   "\"\<}.\>\""}], "\[IndentingNewLine]", "}"}], "]"}]}], 
               "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}]}], ",", 
            "fontsize"}], "]"}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]",
           
          RowBox[{"(*", " ", 
           RowBox[{"interval", " ", "notation"}], " ", "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"TraditionalForm", "@", 
             RowBox[{"Text", "@", 
              RowBox[{"Row", "[", 
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{"\"\<\\nIn interval notation, \>\"", ",", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<I\>\"", ",", "Italic"}], "]"}], ",", 
                 "\"\< = \>\""}], "}"}], "]"}]}]}], ",", "fontsize"}], "]"}], 
          ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Which", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"Not", "@", "afinite"}], "&&", 
             RowBox[{"Not", "@", "bfinite"}]}], ",", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"TraditionalForm", "@", 
               RowBox[{"Text", "@", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"If", "[", 
                    RowBox[{"locale", ",", "\"\<(\>\"", ",", "\"\<]\>\""}], 
                    "]"}], ",", 
                   RowBox[{"-", "\[Infinity]"}], ",", "\"\<, \>\"", ",", 
                   "\[Infinity]", ",", 
                   RowBox[{"If", "[", 
                    RowBox[{"locale", ",", "\"\<)\>\"", ",", "\"\<[\>\""}], 
                    "]"}], ",", "\"\<.\\n\>\""}], "\[IndentingNewLine]", 
                  "}"}], "]"}]}]}], ",", "fontsize"}], "]"}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"afinite", "&&", "bfinite"}], ",", "\[IndentingNewLine]", 
            
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"TraditionalForm", "@", 
               RowBox[{"Text", "@", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{"flip", ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Not", "@", "includeb"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{"locale", ",", "\"\<(\>\"", ",", "\"\<]\>\""}], 
                    "]"}], ",", "\[IndentingNewLine]", "\"\<[\>\""}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                    
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Not", "@", "includea"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{"locale", ",", "\"\<(\>\"", ",", "\"\<]\>\""}], 
                    "]"}], ",", "\[IndentingNewLine]", "\"\<[\>\""}], 
                    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
                    "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                   "A", ",", "\"\<, \>\"", ",", "B", ",", 
                   "\[IndentingNewLine]", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{"flip", ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Not", "@", "includea"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{"locale", ",", "\"\<)\>\"", ",", "\"\<[\>\""}], 
                    "]"}], ",", "\[IndentingNewLine]", "\"\<].\\n\>\""}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                    
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Not", "@", "includeb"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{"locale", ",", "\"\<)\>\"", ",", "\"\<[\>\""}], 
                    "]"}], ",", "\[IndentingNewLine]", "\"\<].\\n\>\""}], 
                    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
                    "]"}]}], "\[IndentingNewLine]", "}"}], "]"}]}]}], ",", 
              "fontsize"}], "]"}], ",", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Not", "@", "afinite"}], "&&", "bfinite"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"TraditionalForm", "@", 
               RowBox[{"Text", "@", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"If", "[", 
                    RowBox[{"locale", ",", "\"\<(\>\"", ",", "\"\<]\>\""}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"-", "\[Infinity]"}], ",", "\"\<, \>\"", ",", "bb",
                    ",", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Not", "@", "includeb"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{"locale", ",", "\"\<)\>\"", ",", "\"\<[\>\""}], 
                    "]"}], ",", "\[IndentingNewLine]", "\"\<].\\n\>\""}], 
                    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
                  "}"}], "]"}]}]}], ",", "fontsize"}], "]"}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"afinite", "&&", 
             RowBox[{"Not", "@", "bfinite"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"TraditionalForm", "@", 
               RowBox[{"Text", "@", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Not", "@", "includea"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{"locale", ",", "\"\<(\>\"", ",", "\"\<]\>\""}], 
                    "]"}], ",", "\[IndentingNewLine]", "\"\<[\>\""}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                   "aa", ",", "\"\<, \>\"", ",", "\[Infinity]", ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"If", "[", 
                    RowBox[{"locale", ",", "\"\<)\>\"", ",", "\"\<[\>\""}], 
                    "]"}]}], "\[IndentingNewLine]", "}"}], "]"}]}]}], ",", 
              "fontsize"}], "]"}]}], "\[IndentingNewLine]", "]"}]}], 
         "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], ",", "Center"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"300", ",", "350"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"afinite", ",", "True", ",", "\"\<a is finite?\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"includea", ",", "False", ",", "\"\<include a?\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"Enabled", "\[Rule]", "afinite"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"aa", ",", 
       RowBox[{"-", "1"}], ",", "\"\<a\>\""}], "}"}], ",", 
     RowBox[{"-", "9"}], ",", "9", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"Enabled", "\[Rule]", "afinite"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"bfinite", ",", "True", ",", "\"\<b is finite?\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"includeb", ",", "True", ",", "\"\<include b?\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"Enabled", "\[Rule]", "bfinite"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"bb", ",", "1", ",", "\"\<b\>\""}], "}"}], ",", 
     RowBox[{"-", "9"}], ",", "9", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"Enabled", "\[Rule]", "bfinite"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"locale", ",", "True"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"True", "\[Rule]", "\"\<American\>\""}], ",", 
       RowBox[{"False", "\[Rule]", "\"\<European\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4007046076133204`*^9, 3.4007046453945704`*^9}, {
   3.4007048782851954`*^9, 3.4007048822226954`*^9}, 3.4010308271612487`*^9, {
   3.4010389741308155`*^9, 3.4010390567825985`*^9}, {3.4010391053930273`*^9, 
   3.4010392793474693`*^9}, {3.4010393348442454`*^9, 3.401039372492734*^9}, {
   3.401039409001305*^9, 3.4010394137483563`*^9}, {3.401803334489379*^9, 
   3.4018033385831814`*^9}, {3.401803628352515*^9, 3.4018036646342297`*^9}, {
   3.4018037423070993`*^9, 3.4018037709637156`*^9}, {3.4018038106204734`*^9, 
   3.4018039750913286`*^9}, {3.4018040115605454`*^9, 3.401804030873293*^9}, {
   3.4018041047648635`*^9, 3.4018041232807255`*^9}, {3.401804160578078*^9, 
   3.401804292876646*^9}, {3.401804802212494*^9, 3.4018048201659636`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`aa$$ = -1, $CellContext`afinite$$ = 
    True, $CellContext`bb$$ = 1, $CellContext`bfinite$$ = 
    True, $CellContext`includea$$ = False, $CellContext`includeb$$ = 
    True, $CellContext`locale$$ = True, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`afinite$$], True, "a is finite?"}, {True, False}}, {{
      
       Hold[$CellContext`includea$$], False, "include a?"}, {True, False}}, {{
      
       Hold[$CellContext`aa$$], -1, "a"}, -9, 9, 0.01}, {{
       Hold[$CellContext`bfinite$$], True, "b is finite?"}, {True, False}}, {{
      
       Hold[$CellContext`includeb$$], True, "include b?"}, {True, False}}, {{
       Hold[$CellContext`bb$$], 1, "b"}, -9, 9, 0.01}, {{
       Hold[$CellContext`locale$$], True}, {
      True -> "American", False -> "European"}}}, Typeset`size$$ = {
    300., {172.5, 177.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`afinite$9999$$ = 
    False, $CellContext`includea$10000$$ = False, $CellContext`aa$10001$$ = 
    0, $CellContext`bfinite$10002$$ = False, $CellContext`includeb$10003$$ = 
    False, $CellContext`bb$10004$$ = 0, $CellContext`locale$10005$$ = False}, 
    
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`aa$$ = -1, $CellContext`afinite$$ = 
        True, $CellContext`bb$$ = 1, $CellContext`bfinite$$ = 
        True, $CellContext`includea$$ = False, $CellContext`includeb$$ = 
        True, $CellContext`locale$$ = True}, "ControllerVariables" :> {
        Hold[$CellContext`afinite$$, $CellContext`afinite$9999$$, False], 
        Hold[$CellContext`includea$$, $CellContext`includea$10000$$, False], 
        Hold[$CellContext`aa$$, $CellContext`aa$10001$$, 0], 
        Hold[$CellContext`bfinite$$, $CellContext`bfinite$10002$$, False], 
        Hold[$CellContext`includeb$$, $CellContext`includeb$10003$$, False], 
        Hold[$CellContext`bb$$, $CellContext`bb$10004$$, 0], 
        Hold[$CellContext`locale$$, $CellContext`locale$10005$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`r = 0.08; $CellContext`fontsize = 17; 
       If[$CellContext`aa$$ == $CellContext`bb$$, $CellContext`bb$$ = \
$CellContext`aa$$ + 0.01]; {$CellContext`A, $CellContext`B} = {
          Min[$CellContext`aa$$, $CellContext`bb$$], 
          Max[$CellContext`aa$$, $CellContext`bb$$]}; $CellContext`flip = Or[
          And[
           Not[$CellContext`A === $CellContext`aa$$], $CellContext`afinite$$],
           
          And[
           
           Not[$CellContext`B === $CellContext`bb$$], \
$CellContext`bfinite$$]]; Pane[
         Column[{
           Graphics[{LightBlue, 
             Line[{{-10, 0}, {10, 0}}], 
             Thickness[$CellContext`r/8], Black, 
             If[$CellContext`afinite$$, 
              Text[$CellContext`a, {$CellContext`aa$$, -1}], {}], 
             If[$CellContext`bfinite$$, 
              Text[$CellContext`b, {$CellContext`bb$$, -1}], {}], Blue, 
             Line[{{
                If[$CellContext`afinite$$, $CellContext`aa$$, -9], 0}, {
                If[$CellContext`bfinite$$, $CellContext`bb$$, 9], 0}}], 
             If[$CellContext`afinite$$, 
              Disk[{$CellContext`aa$$, 0}, 4 $CellContext`r], 
              Arrow[{{$CellContext`bb$$, 0}, {-10, 0}}]], 
             If[$CellContext`bfinite$$, 
              Disk[{$CellContext`bb$$, 0}, 4 $CellContext`r], 
              Arrow[{{$CellContext`aa$$, 0}, {10, 0}}]], 
             If[
              And[$CellContext`afinite$$, 
               Not[$CellContext`includea$$]], {White, 
               Disk[{$CellContext`aa$$, 0}, 2 $CellContext`r]}, {}], 
             If[
              And[$CellContext`bfinite$$, 
               Not[$CellContext`includeb$$]], {White, 
               Disk[{$CellContext`bb$$, 0}, 2 $CellContext`r]}, {}]}, 
            PlotRange -> {1.1 {-10, 10}, {-1.2, 1}}, ImageSize -> {250, 100}],
            
           Style[
            TraditionalForm[
             Text[
              
              Row[{"The interval " Style["I", Italic], 
                " is"}]]], $CellContext`fontsize], 
           Style[
            TraditionalForm[
             Text[
              Row[{
                Which[
                 And[
                  Not[$CellContext`afinite$$], 
                  Not[$CellContext`bfinite$$]], 
                 "unbounded in both directions.", 
                 And[
                  Not[$CellContext`afinite$$], $CellContext`bfinite$$], 
                 StringJoin["unbounded in one direction and ", 
                  If[$CellContext`includeb$$, "closed.", "open."]], 
                 And[$CellContext`afinite$$, 
                  Not[$CellContext`bfinite$$]], 
                 StringJoin["unbounded in one direction and ", 
                  If[$CellContext`includea$$, "closed.", "open."]], 
                 And[$CellContext`afinite$$, $CellContext`bfinite$$], 
                 StringJoin["bounded and ", 
                  Which[
                   Xor[$CellContext`includea$$, $CellContext`includeb$$], 
                   "half\[Hyphen]open.", 
                   And[$CellContext`includea$$, $CellContext`includeb$$], 
                   "closed.", True, "open."]]]}]]], $CellContext`fontsize], 
           Style[
            TraditionalForm[
             Text[
              Row[{"\nIn set notation, ", 
                Style["I", Italic], " = "}]]], $CellContext`fontsize], 
           Style[
            TraditionalForm[
             Text[
              Which[
               And[
                Not[$CellContext`afinite$$], 
                Not[$CellContext`bfinite$$]], 
               
               Row[{"{", $CellContext`x, " | ", $CellContext`x, 
                 " is a real number}"}], 
               And[$CellContext`afinite$$, $CellContext`bfinite$$], 
               Row[{"{", $CellContext`x, " | ", 
                 Row[{$CellContext`A, 
                   If[
                    
                    If[$CellContext`flip, $CellContext`includeb$$, \
$CellContext`includea$$], " \[LessEqual] ", " < "]}], $CellContext`x, 
                 Row[{
                   If[
                    
                    If[$CellContext`flip, $CellContext`includea$$, \
$CellContext`includeb$$], " \[LessEqual] ", " < "], $CellContext`B}], "}."}], 
               
               And[
                Not[$CellContext`afinite$$], $CellContext`bfinite$$], 
               Row[{"{", $CellContext`x, " | ", $CellContext`x, 
                 Row[{
                   
                   If[$CellContext`includeb$$, " \[LessEqual] ", 
                    " < "], $CellContext`bb$$}], "}."}], 
               And[$CellContext`afinite$$, 
                Not[$CellContext`bfinite$$]], 
               Row[{"{", $CellContext`x, " | ", 
                 Row[{$CellContext`aa$$, 
                   
                   If[$CellContext`includea$$, " \[LessEqual] ", 
                    " < "]}], $CellContext`x, 
                 "}."}]]]], $CellContext`fontsize], 
           Style[
            TraditionalForm[
             Text[
              Row[{"\nIn interval notation, ", 
                Style["I", Italic], " = "}]]], $CellContext`fontsize], 
           Which[
            And[
             Not[$CellContext`afinite$$], 
             Not[$CellContext`bfinite$$]], 
            Style[
             TraditionalForm[
              Text[
               Row[{
                 If[$CellContext`locale$$, "(", "]"], -Infinity, ", ", 
                 Infinity, 
                 If[$CellContext`locale$$, ")", "["], 
                 ".\n"}]]], $CellContext`fontsize], 
            And[$CellContext`afinite$$, $CellContext`bfinite$$], 
            Style[
             TraditionalForm[
              Text[
               Row[{
                 If[$CellContext`flip, 
                  If[
                   Not[$CellContext`includeb$$], 
                   If[$CellContext`locale$$, "(", "]"], "["], 
                  If[
                   Not[$CellContext`includea$$], 
                   If[$CellContext`locale$$, "(", "]"], "["]], $CellContext`A,
                  ", ", $CellContext`B, 
                 If[$CellContext`flip, 
                  If[
                   Not[$CellContext`includea$$], 
                   If[$CellContext`locale$$, ")", "["], "].\n"], 
                  If[
                   Not[$CellContext`includeb$$], 
                   If[$CellContext`locale$$, ")", "["], 
                   "].\n"]]}]]], $CellContext`fontsize], 
            And[
             Not[$CellContext`afinite$$], $CellContext`bfinite$$], 
            Style[
             TraditionalForm[
              Text[
               Row[{
                 If[$CellContext`locale$$, "(", "]"], -Infinity, 
                 ", ", $CellContext`bb$$, 
                 If[
                  Not[$CellContext`includeb$$], 
                  If[$CellContext`locale$$, ")", "["], 
                  "].\n"]}]]], $CellContext`fontsize], 
            And[$CellContext`afinite$$, 
             Not[$CellContext`bfinite$$]], 
            Style[
             TraditionalForm[
              Text[
               Row[{
                 If[
                  Not[$CellContext`includea$$], 
                  If[$CellContext`locale$$, "(", "]"], 
                  "["], $CellContext`aa$$, ", ", Infinity, 
                 
                 If[$CellContext`locale$$, ")", 
                  "["]}]]], $CellContext`fontsize]]}, Center], 
         ImageSize -> {300, 350}]), 
      "Specifications" :> {{{$CellContext`afinite$$, True, "a is finite?"}, {
         True, False}}, {{$CellContext`includea$$, False, "include a?"}, {
         True, False}, Enabled -> Dynamic[$CellContext`afinite$$], ImageSize -> 
         Tiny}, {{$CellContext`aa$$, -1, "a"}, -9, 9, 0.01, Appearance -> 
         "Labeled", Enabled -> Dynamic[$CellContext`afinite$$], ImageSize -> 
         Tiny}, Delimiter, {{$CellContext`bfinite$$, True, "b is finite?"}, {
         True, False}}, {{$CellContext`includeb$$, True, "include b?"}, {
         True, False}, Enabled -> Dynamic[$CellContext`bfinite$$], ImageSize -> 
         Tiny}, {{$CellContext`bb$$, 1, "b"}, -9, 9, 0.01, Appearance -> 
         "Labeled", Enabled -> Dynamic[$CellContext`bfinite$$], ImageSize -> 
         Tiny}, Delimiter, {{$CellContext`locale$$, True}, {
         True -> "American", False -> "European"}, ControlType -> SetterBar, 
         ImageSize -> Tiny}}, "Options" :> {ControlPlacement -> Left}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{517., {200., 205.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->584966888],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Interval Notation",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/IntervalNotation/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/IntervalNotation/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/IntervalNotation/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/IntervalNotation/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/IntervalNotation/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["George Beck",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=George+Beck"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
IntervalNotation"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Interval Notation - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 209, 4, 70, "Section"],
Cell[802, 29, 26531, 562, 70, "Input"]
}, Open  ]],
Cell[27348, 594, 11432, 245, 70, "Output",
 CellID->584966888],
Cell[CellGroupData[{
Cell[38805, 843, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[39181, 854, 874, 24, 70, "Text"],
Cell[40058, 880, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[40398, 891, 344, 12, 70, "Text"],
Cell[CellGroupData[{
Cell[40767, 907, 829, 24, 70, "Text"],
Cell[41599, 933, 1192, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature KS4IFQfVOR1I3C0Kfwh4wS12 *)
