(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     18568,        496]
NotebookOptionsPosition[     17371,        451]
NotebookOutlinePosition[     17993,        475]
CellTagsIndexPosition[     17950,        472]
WindowTitle->Locate Important Real Numbers - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Locate Important Real Numbers", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"p", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"p", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "0"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"h", "=", "0.001"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Pane", "[", 
     RowBox[{
      RowBox[{"Column", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{
           RowBox[{"{", "}"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"e", "+", "1"}], ")"}]}]}], "+", "x"}], ",", 
                RowBox[{
                 RowBox[{"10", "^", 
                  RowBox[{"(", 
                   RowBox[{"e", "+", "1"}], ")"}]}], "+", "x"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"10", "^", "e"}]}], ",", 
                RowBox[{"10", "^", "e"}]}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Axes", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"True", ",", "False"}], "}"}]}], ",", " ", 
           RowBox[{"ImageSize", "\[Rule]", "400"}]}], "]"}], ",", 
         "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
         RowBox[{"Text", "@", 
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "\"\< = \>\"",
              ",", 
             RowBox[{"NumberForm", "[", 
              RowBox[{
               RowBox[{"p", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"12", ",", "10"}], "}"}]}], "]"}]}], "}"}], "]"}]}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{"show", ",", "\[IndentingNewLine]", 
           RowBox[{"Text", "@", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"\"\<|\>\"", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
               "\"\< - \>\"", ",", 
               RowBox[{"x", "/.", 
                RowBox[{"GoldenRatio", "\[Rule]", "\"\<\[Phi]\>\""}]}], ",", 
               "\"\<| < \>\"", ",", 
               RowBox[{"10.", "^", "e"}], ",", "\"\< is \>\"", ",", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Abs", "[", 
                   RowBox[{"x", "-", 
                    RowBox[{"p", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "<", 
                  RowBox[{"10", "^", "e"}]}], ",", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<true\>\"", ",", "Green", ",", "Bold"}], "]"}], 
                 ",", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<false\>\"", ",", "Red"}], "]"}]}], "]"}], ",", 
               "\"\<.\>\""}], "}"}], "]"}]}], ",", "\"\< \>\""}], "]"}]}], 
        "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"400", ",", "100"}], "}"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", "Pi", ",", " ", "\"\<special number\>\""}], "}"}], 
     ",", " ", 
     RowBox[{"{", 
      RowBox[{"Pi", ",", "E", ",", 
       RowBox[{"Sqrt", "[", "2", "]"}], ",", 
       RowBox[{"Sqrt", "[", "3", "]"}], ",", 
       RowBox[{"GoldenRatio", "\[Rule]", "\"\<\[Phi]\>\""}]}], "}"}]}], "}"}],
    ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"e", ",", 
       RowBox[{"-", "4"}], ",", 
       "\"\<tolerance \!\(\*SuperscriptBox[\(10\), \(n\)]\), where n =\>\""}],
       "}"}], ",", 
     RowBox[{"Range", "[", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "6"}], ",", 
       RowBox[{"-", "1"}]}], "]"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"show", ",", "False", ",", "\"\<show result\>\""}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "+", 
          RowBox[{
           RowBox[{"RandomReal", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}], "]"}], "*", 
           RowBox[{"(", 
            RowBox[{"10.", "^", "e"}], ")"}]}]}], ",", "0"}], "}"}]}], "}"}], 
     ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<\[CircleDot]\>\"", ",", "Red"}], "]"}]}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Top"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.46329812015625*^9, 3.46329812290625*^9}, {
   3.463811436421875*^9, 3.463811437484375*^9}, {3.463811769359375*^9, 
   3.463811786484375*^9}, {3.46381186246875*^9, 3.463811869671875*^9}, {
   3.463929245011213*^9, 3.4639292613547535`*^9}, {3.4639294153684072`*^9, 
   3.463929415696528*^9}, {3.4639294591803465`*^9, 3.4639294640709085`*^9}, {
   3.4639295106484375`*^9, 3.463929512976533*^9}, 3.4639295720226517`*^9, {
   3.4639296922867374`*^9, 3.463929697786667*^9}, {3.463929734692445*^9, 
   3.4639297517703514`*^9}, {3.463929782707455*^9, 3.463930050313405*^9}, {
   3.4639301576245313`*^9, 3.463930161171361*^9}, 3.4639301940775857`*^9, {
   3.463930266699972*^9, 3.4639302746545224`*^9}, {3.463930363545449*^9, 
   3.4639304732526045`*^9}, {3.463930528398693*^9, 3.46393052955501*^9}, {
   3.4639305901522503`*^9, 3.463930594668135*^9}, {3.4639306611875916`*^9, 
   3.463930939056387*^9}, {3.4639309854163556`*^9, 3.4639310120260715`*^9}, {
   3.4639310667455215`*^9, 3.463931385917721*^9}, {3.4639314361827817`*^9, 
   3.463931448885744*^9}, 3.4639317779909067`*^9, {3.463931818256016*^9, 
   3.463931818709135*^9}, 3.46393223512568*^9, {3.4639322821719527`*^9, 
   3.4639322843438*^9}, {3.4639361331355705`*^9, 3.4639361366199007`*^9}, {
   3.464008889020602*^9, 3.4640089144851484`*^9}, 3.464017268420676*^9, {
   3.464017319197597*^9, 3.4640173279147177`*^9}, {3.464017362997839*^9, 
   3.4640173842222652`*^9}, {3.4640174425500727`*^9, 
   3.4640174512678432`*^9}, {3.464017577694612*^9, 3.464017624612302*^9}, {
   3.464017655072304*^9, 3.4640176674936*^9}, {3.4640177250175247`*^9, 
   3.46401776230828*^9}, {3.4640178376806383`*^9, 3.4640178388256083`*^9}, {
   3.4640180357024813`*^9, 3.464018078997705*^9}, {3.4640181100243473`*^9, 
   3.464018165366981*^9}, {3.464018232118877*^9, 3.464018283558875*^9}, {
   3.464018321298093*^9, 3.464018340571965*^9}, {3.4640183850487022`*^9, 
   3.464018480518455*^9}, {3.464018515904696*^9, 3.464018526437042*^9}, {
   3.464095417198589*^9, 3.464095429750844*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`e$$ = -4, $CellContext`p$$ = {
    0.6006053551337329 10.^$CellContext`e$$ + $CellContext`x$$, 
     0}, $CellContext`show$$ = False, $CellContext`x$$ = Pi, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x$$], Pi, "special number"}, {
      Pi, E, 2^Rational[1, 2], 3^Rational[1, 2], GoldenRatio -> "\[Phi]"}}, {{
      
       Hold[$CellContext`e$$], -4, 
       "tolerance \!\(\*SuperscriptBox[\(10\), \(n\)]\), where n ="}, {-1, \
-2, -3, -4, -5, -6}}, {{
       Hold[$CellContext`show$$], False, "show result"}, {False, True}}, {{
       Hold[$CellContext`p$$], {
       0.6006053551337329 10.^$CellContext`e$$ + $CellContext`x$$, 0}}, 
      Automatic}}, Typeset`size$$ = {400., {47.5, 52.5}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`x$1198853$$ = False, $CellContext`e$1198854$$ = 
    0, $CellContext`show$1198855$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`e$$ = -4, $CellContext`p$$ = {
         0.6006053551337329 10.^$CellContext`e$$ + $CellContext`x$$, 
          0}, $CellContext`show$$ = False, $CellContext`x$$ = Pi}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$1198853$$, False], 
        Hold[$CellContext`e$$, $CellContext`e$1198854$$, 0], 
        Hold[$CellContext`show$$, $CellContext`show$1198855$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`p$$ = {
          Part[$CellContext`p$$, 1], 0}; $CellContext`h = 0.001; Pane[
         Column[{
           
           Graphics[{}, 
            PlotRange -> {{-10^($CellContext`e$$ + 1) + $CellContext`x$$, 
               10^($CellContext`e$$ + 
                 1) + $CellContext`x$$}, {-10^$CellContext`e$$, 
               10^$CellContext`e$$}}, Axes -> {True, False}, ImageSize -> 
            400], "", 
           Text[
            Row[{
              Style["x", Italic], " = ", 
              NumberForm[
               Part[$CellContext`p$$, 1], {12, 10}]}]], 
           If[$CellContext`show$$, 
            Text[
             Row[{"|", 
               Style["x", Italic], " - ", 
               ReplaceAll[$CellContext`x$$, GoldenRatio -> "\[Phi]"], "| < ", 
               10.^$CellContext`e$$, " is ", 
               If[
               Abs[$CellContext`x$$ - Part[$CellContext`p$$, 1]] < 
                10^$CellContext`e$$, 
                Style["true", Green, Bold], 
                Style["false", Red]], "."}]], " "]}], 
         ImageSize -> {400, 100}]), 
      "Specifications" :> {{{$CellContext`x$$, Pi, "special number"}, {
         Pi, E, 2^Rational[1, 2], 3^Rational[1, 2], GoldenRatio -> 
          "\[Phi]"}}, {{$CellContext`e$$, -4, 
          "tolerance \!\(\*SuperscriptBox[\(10\), \(n\)]\), where n ="}, {-1, \
-2, -3, -4, -5, -6}, ControlType -> 
         SetterBar}, {{$CellContext`show$$, False, "show result"}, {
         False, True}}, {{$CellContext`p$$, {
          0.6006053551337329 10.^$CellContext`e$$ + $CellContext`x$$, 0}}, 
         Automatic, ControlType -> Locator, Appearance -> 
         Style["\[CircleDot]", 
           RGBColor[1, 0, 0]]}}, 
      "Options" :> {
       ControlPlacement -> Top, TrackedSymbols -> True, 
        AutorunSequencing -> {2, 3}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{451., {116., 121.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->15765479],

Cell[CellGroupData[{

Cell["Caption", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[TextData[{
 "Click the ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 " axis to select an ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 " value. Check the box to see if the selected value is within the specified \
tolerance of the selected special number."
}], "Text"]
}, Close]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Locate Important Real Numbers",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LocateImportantRealNumbers/"], 
    None},
  ButtonNote->"http://demonstrations.wolfram.com/LocateImportantRealNumbers/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/LocateImportantRealNumbers/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LocateImportantRealNumbers/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/LocateImportantRealNumbers/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
LocateImportantRealNumbers"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Locate Important Real Numbers - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[619, 23, 221, 4, 70, "Section"],
Cell[843, 29, 7499, 173, 70, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8379, 207, 4191, 87, 70, "Output",
 CellID->15765479],
Cell[CellGroupData[{
Cell[12595, 298, 199, 4, 70, "Section"],
Cell[12797, 304, 316, 9, 70, "Text"]
}, Close]]
}, Open  ]],
Cell[CellGroupData[{
Cell[13161, 319, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13537, 330, 950, 27, 70, "Text"],
Cell[14490, 359, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[14830, 370, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[15291, 388, 847, 24, 70, "Text"],
Cell[16141, 414, 1202, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature wQ4eNOgKBhh3EC0WLVOPH6rO *)
