(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     34298,        807]
NotebookOptionsPosition[     33184,        766]
NotebookOutlinePosition[     33841,        791]
CellTagsIndexPosition[     33798,        788]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Number Line Solutions to Absolute Value Equations and Inequalities\
\>", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{"reset", ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "center", ",", "show", ",", "reset"}], "}"}], "=", 
       RowBox[{"{", 
        RowBox[{"2", ",", "0", ",", "False", ",", "False"}], "}"}]}]}], "]"}],
     ";", "\[IndentingNewLine]", 
    RowBox[{"radius", "=", "0.2"}], ";", "\[IndentingNewLine]", 
    RowBox[{"DynamicModule", "[", 
     RowBox[{
      RowBox[{"{", "color", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"color", "=", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"ineq", "\[Equal]", "1"}], ",", "Black", ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"ineq", "\[Equal]", "2"}], "||", 
             RowBox[{"ineq", "\[Equal]", "3"}]}], ",", "Red", ",", "Blue"}], 
           "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"center", "\[GreaterEqual]", "0"}], ",", 
         RowBox[{"center", "=", 
          RowBox[{"Min", "[", 
           RowBox[{"center", ",", 
            RowBox[{"10", "-", 
             RowBox[{"Abs", "[", "a", "]"}]}]}], "]"}]}], ",", 
         RowBox[{"center", "=", 
          RowBox[{"Max", "[", 
           RowBox[{"center", ",", 
            RowBox[{
             RowBox[{"-", "10"}], "+", 
             RowBox[{"Abs", "[", "a", "]"}]}]}], "]"}]}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Plot", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", 
               RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
             RowBox[{"Axes", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"True", ",", "False"}], "}"}]}], ",", 
             RowBox[{"Ticks", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Range", "[", 
                 RowBox[{
                  RowBox[{"-", "10"}], ",", "10", ",", "1"}], "]"}], ",", 
                "None"}], "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"show", "\[Equal]", "True"}], ",", 
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"AbsoluteThickness", "[", "2", "]"}], ",", "Gray", 
                ",", "\[IndentingNewLine]", 
                RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Arrow", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"center", ",", 
                    RowBox[{"-", "1.5"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"center", ",", 
                    RowBox[{"-", ".7"}]}], "}"}]}], "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"And", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"ineq", "\[Equal]", "2"}], "||", 
                    RowBox[{"ineq", "\[Equal]", "4"}]}], ",", 
                    RowBox[{"a", "\[GreaterEqual]", "0"}]}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"color", ",", 
                    RowBox[{"Circle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"a", "+", "center"}], ",", "0"}], "}"}], ",", 
                    "radius"}], "]"}], ",", 
                    RowBox[{"Circle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "a"}], "+", "center"}], ",", "0"}], "}"}], 
                    ",", "radius"}], "]"}]}], "}"}], ",", "color"}], "]"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"And", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"ineq", "\[Equal]", "1"}], "||", 
                    RowBox[{"ineq", "\[Equal]", "3"}], "||", 
                    RowBox[{"ineq", "\[Equal]", "5"}]}], ",", 
                    RowBox[{"a", "\[GreaterEqual]", "0"}]}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"color", ",", 
                    RowBox[{"Disk", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"a", "+", "center"}], ",", "0"}], "}"}], ",", 
                    "radius"}], "]"}], ",", 
                    RowBox[{"Disk", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "a"}], "+", "center"}], ",", "0"}], "}"}], 
                    ",", "radius"}], "]"}]}], "}"}], ",", "color"}], "]"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"AbsoluteThickness", "[", "4", "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"And", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"ineq", "\[Equal]", "2"}], "||", 
                    RowBox[{"ineq", "==", "3"}]}], ",", 
                    RowBox[{"a", ">", "0"}]}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"Red", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Abs", "[", "a", "]"}], "+", "center", "-", 
                    "radius"}], ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Abs", "[", "a", "]"}]}], "+", "center", "+", 
                    "radius"}], ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                  ",", "\[IndentingNewLine]", "Black"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"And", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"ineq", "\[Equal]", "4"}], "||", 
                    RowBox[{"ineq", "\[Equal]", "5"}]}], ",", 
                    RowBox[{"a", ">=", "0"}]}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"Blue", ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Abs", "[", "a", "]"}], "+", "center", "+", 
                    "radius"}], ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"10.9", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Abs", "[", "a", "]"}]}], "+", "center", "-", 
                    "radius"}], ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10.9"}], ",", "0"}], "}"}]}], "}"}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", "Black"}], 
                 "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"And", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"ineq", "\[Equal]", "4"}], "||", 
                    RowBox[{"ineq", "\[Equal]", "5"}]}], ",", 
                    RowBox[{"a", "<", "0"}]}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"Blue", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"center", "-", "radius"}], ",", "0"}], "}"}], ",",
                     
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"center", "+", "radius"}], ",", "0"}], "}"}]}], 
                    "}"}], "]"}], ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"center", "+", "radius"}], ",", "0"}], "}"}], ",",
                     
                    RowBox[{"{", 
                    RowBox[{"10.9", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"center", "-", "radius"}], ",", "0"}], "}"}], ",",
                     
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10.9"}], ",", "0"}], "}"}]}], "}"}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", "Black"}], 
                 "]"}]}], "\[IndentingNewLine]", "}"}], ",", "Black"}], "]"}],
             "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"If", "[", 
           RowBox[{"large", ",", "16", ",", "12"}], "]"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"If", "[", 
           RowBox[{"large", ",", "550", ",", "352"}], "]"}]}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "10.9"}], ",", "10.9"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.5"}], ",", "1.2"}], "}"}]}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<|\>\"", ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
             RowBox[{"Which", "[", 
              RowBox[{
               RowBox[{"center", "<", "0"}], ",", "\"\< + \>\"", ",", 
               RowBox[{"center", "\[Equal]", "0"}], ",", "\"\<\>\"", ",", 
               RowBox[{"center", ">", "0"}], ",", "\"\< - \>\""}], "]"}], ",",
              "\[IndentingNewLine]", 
             RowBox[{"Which", "[", 
              RowBox[{
               RowBox[{"center", "<", "0"}], ",", 
               RowBox[{"Abs", "[", "center", "]"}], ",", 
               RowBox[{"center", "\[Equal]", "0"}], ",", "\"\<\>\"", ",", 
               RowBox[{"center", ">", "0"}], ",", "center"}], "]"}], ",", 
             "\"\<|\>\"", ",", "\[IndentingNewLine]", 
             RowBox[{"Which", "[", 
              RowBox[{
               RowBox[{"ineq", "\[Equal]", "1"}], ",", "\"\< = \>\"", ",", 
               RowBox[{"ineq", "\[Equal]", "2"}], ",", "\"\< < \>\"", ",", 
               RowBox[{"ineq", "\[Equal]", "3"}], ",", 
               "\"\< \[LessEqual] \>\"", ",", 
               RowBox[{"ineq", "\[Equal]", "4"}], ",", "\"\< > \>\"", ",", 
               RowBox[{"ineq", "\[Equal]", "5"}], ",", 
               "\"\< \[GreaterEqual] \>\""}], "]"}], ",", "a"}], "}"}], 
           "]"}]}]}], "]"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "2", ",", "\"\<right hand side\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{"large", ",", "500", ",", "325"}], "]"}]}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Bottom"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"center", ",", "0", ",", "\"\<middle value\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{"large", ",", "500", ",", "325"}], "]"}]}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Bottom"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ineq", ",", "1", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<=\>\"", ",", "Black", ",", "14"}], "]"}]}], ",", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<<\>\"", ",", "Red", ",", "14"}], "]"}]}], ",", 
       RowBox[{"3", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<\[LessEqual]\>\"", ",", "Red", ",", "14"}], "]"}]}], 
       ",", 
       RowBox[{"4", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<>\>\"", ",", "Blue", ",", "14"}], "]"}]}], ",", 
       RowBox[{"5", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<\[GreaterEqual]\>\"", ",", "Blue", ",", "14"}], 
         "]"}]}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButton"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Vertical\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"show", ",", "False"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Bottom"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"large", ",", "True"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Bottom"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"reset", ",", "False"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Bottom"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "3"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", "Manipulate"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.399298382442142*^9, 3.399298676681953*^9}, {
   3.3992987176151953`*^9, 3.399298767488879*^9}, {3.3992988068670273`*^9, 
   3.399298877425596*^9}, {3.3992989159553347`*^9, 3.399299230306847*^9}, {
   3.399299266928362*^9, 3.3992992981113863`*^9}, {3.399299465208548*^9, 
   3.399299571708778*^9}, {3.3992999947946167`*^9, 3.3993000382234793`*^9}, {
   3.399300075674024*^9, 3.39930014096556*^9}, {3.399300729343156*^9, 
   3.399300730137093*^9}, {3.399306266843855*^9, 3.399306396719324*^9}, {
   3.399306475536519*^9, 3.399306480632794*^9}, {3.399306563747088*^9, 
   3.399306881751048*^9}, {3.399306935769491*^9, 3.3993070081453943`*^9}, {
   3.3993070522028847`*^9, 3.399307107279961*^9}, {3.3993071459730167`*^9, 
   3.3993071773200417`*^9}, {3.399307215063827*^9, 3.39930736199858*^9}, {
   3.399307447007469*^9, 3.399307447465219*^9}, {3.3993074917327147`*^9, 
   3.3993075272031603`*^9}, {3.399307564332551*^9, 3.3993075682936983`*^9}, {
   3.3993076504447737`*^9, 3.399307690004272*^9}, 3.399307768781282*^9, {
   3.399307835879733*^9, 3.399307841343099*^9}, {3.39930804541033*^9, 
   3.399308174189271*^9}, 3.399308205131213*^9, {3.399308290434886*^9, 
   3.399308310641457*^9}, {3.3993084423355923`*^9, 3.3993084760007477`*^9}, {
   3.399308517461132*^9, 3.39930854167715*^9}, {3.399308899257367*^9, 
   3.399308949529715*^9}, {3.399309000124453*^9, 3.399309310289456*^9}, {
   3.399309351687595*^9, 3.399309389816966*^9}, {3.399309426132159*^9, 
   3.399309481253483*^9}, {3.3993095480359*^9, 3.399309561789425*^9}, {
   3.399309713611868*^9, 3.399309718367141*^9}, {3.399313276725087*^9, 
   3.3993134835842037`*^9}, {3.3993135266406612`*^9, 3.399313539760446*^9}, {
   3.399313608496814*^9, 3.399313618055213*^9}, {3.399313648815543*^9, 
   3.3993138332300367`*^9}, {3.399313879618607*^9, 3.399313880185947*^9}, 
   3.3993144083695383`*^9, {3.3993145289543447`*^9, 3.399314581124877*^9}, {
   3.39937082010878*^9, 3.39937082151825*^9}, {3.3993708663347816`*^9, 
   3.399370903375915*^9}, {3.399370954747863*^9, 3.3993711406773653`*^9}, {
   3.39937118018169*^9, 3.399371212748293*^9}, {3.399371247875348*^9, 
   3.399371248284018*^9}, {3.3993712981558943`*^9, 3.399371343287074*^9}, {
   3.399371389798574*^9, 3.399371413670635*^9}, {3.399371448056756*^9, 
   3.399371458102776*^9}, {3.3993714931807327`*^9, 3.399371504886092*^9}, {
   3.399371563109708*^9, 3.399371700390894*^9}, {3.399371737969235*^9, 
   3.399371887254669*^9}, {3.399371944808823*^9, 3.39937199444201*^9}, {
   3.399381511238824*^9, 3.399381629595717*^9}, {3.3993864043312063`*^9, 
   3.3993864052691193`*^9}, 3.3993864483593187`*^9, {3.3993872156023197`*^9, 
   3.399387216430519*^9}, {3.399387521473447*^9, 3.399387610769965*^9}, {
   3.399387642965438*^9, 3.3993876678618183`*^9}, {3.3993877291114063`*^9, 
   3.399387871288274*^9}, {3.399387906256406*^9, 3.399387982809284*^9}, {
   3.3993881176550913`*^9, 3.399388143580583*^9}, {3.399388202368648*^9, 
   3.399388214840652*^9}, {3.3993882596230173`*^9, 3.3993882802225313`*^9}, {
   3.3993884453826237`*^9, 3.399388489666772*^9}, {3.399575455591671*^9, 
   3.399575513156722*^9}, 3.4009261637743473`*^9, {3.400926252324501*^9, 
   3.400926283774026*^9}, {3.4009263427646513`*^9, 3.400926348618823*^9}, {
   3.400926385567788*^9, 3.4009263927680473`*^9}, {3.400926458124424*^9, 
   3.400926468223727*^9}, {3.400927073712866*^9, 3.400927100273672*^9}, {
   3.4009312894398007`*^9, 3.4009312962210073`*^9}, 3.401459135012433*^9, {
   3.401550493844967*^9, 3.401550516001217*^9}, {3.401556325485592*^9, 
   3.401556408938717*^9}, {3.401556457094967*^9, 3.401556471032467*^9}},
 CellID->1500461800]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 2, $CellContext`center$$ = 
    0, $CellContext`ineq$$ = 1, $CellContext`large$$ = 
    True, $CellContext`reset$$ = False, $CellContext`show$$ = False, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 2, "right hand side"}, -10, 10, 1}, {{
       Hold[$CellContext`center$$], 0, "middle value"}, -10, 10, 1}, {{
       Hold[$CellContext`ineq$$], 1, ""}, {1 -> Style["=", 
         GrayLevel[0], 14], 2 -> Style["<", 
         RGBColor[1, 0, 0], 14], 3 -> Style["\[LessEqual]", 
         RGBColor[1, 0, 0], 14], 4 -> Style[">", 
         RGBColor[0, 0, 1], 14], 5 -> Style["\[GreaterEqual]", 
         RGBColor[0, 0, 1], 14]}}, {{
       Hold[$CellContext`show$$], False}, {False, True}}, {{
       Hold[$CellContext`large$$], True}, {False, True}}, {{
       Hold[$CellContext`reset$$], False}, {False, True}}}, Typeset`size$$ = {
    550., {43., 51.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$212133$$ = 
    0, $CellContext`center$212134$$ = 0, $CellContext`ineq$212135$$ = 
    False, $CellContext`show$212136$$ = False, $CellContext`large$212137$$ = 
    False, $CellContext`reset$212138$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 2, $CellContext`center$$ = 
        0, $CellContext`ineq$$ = 1, $CellContext`large$$ = 
        True, $CellContext`reset$$ = False, $CellContext`show$$ = False}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$212133$$, 0], 
        Hold[$CellContext`center$$, $CellContext`center$212134$$, 0], 
        Hold[$CellContext`ineq$$, $CellContext`ineq$212135$$, False], 
        Hold[$CellContext`show$$, $CellContext`show$212136$$, False], 
        Hold[$CellContext`large$$, $CellContext`large$212137$$, False], 
        Hold[$CellContext`reset$$, $CellContext`reset$212138$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`reset$$, {$CellContext`a$$, $CellContext`center$$, \
$CellContext`show$$, $CellContext`reset$$} = {
          2, 0, False, False}]; $CellContext`radius = 0.2; 
       DynamicModule[{$CellContext`color}, $CellContext`color = 
          If[$CellContext`ineq$$ == 1, Black, 
            If[
             Or[$CellContext`ineq$$ == 2, $CellContext`ineq$$ == 3], Red, 
             Blue]]; If[$CellContext`center$$ >= 0, $CellContext`center$$ = 
           Min[$CellContext`center$$, 10 - 
             Abs[$CellContext`a$$]], $CellContext`center$$ = 
           Max[$CellContext`center$$, -10 + Abs[$CellContext`a$$]]]; Show[{
            Plot[
            0, {$CellContext`x, -10, 10}, Axes -> {True, False}, Ticks -> {
               Range[-10, 10, 1], None}], 
            Graphics[
             If[$CellContext`show$$ == True, {
               AbsoluteThickness[2], Gray, 
               Arrowheads[0.03], 
               
               Arrow[{{$CellContext`center$$, -1.5}, {$CellContext`center$$, \
-0.7}}], 
               If[
                And[
                 
                 Or[$CellContext`ineq$$ == 2, $CellContext`ineq$$ == 
                  4], $CellContext`a$$ >= 0], {$CellContext`color, 
                 
                 Circle[{$CellContext`a$$ + $CellContext`center$$, 
                   0}, $CellContext`radius], 
                 
                 Circle[{-$CellContext`a$$ + $CellContext`center$$, 
                   0}, $CellContext`radius]}, $CellContext`color], 
               If[
                And[
                 
                 Or[$CellContext`ineq$$ == 1, $CellContext`ineq$$ == 
                  3, $CellContext`ineq$$ == 5], $CellContext`a$$ >= 
                 0], {$CellContext`color, 
                 Disk[{$CellContext`a$$ + $CellContext`center$$, 
                   0}, $CellContext`radius], 
                 
                 Disk[{-$CellContext`a$$ + $CellContext`center$$, 
                   0}, $CellContext`radius]}, $CellContext`color], 
               AbsoluteThickness[4], 
               If[
                And[
                 
                 Or[$CellContext`ineq$$ == 2, $CellContext`ineq$$ == 
                  3], $CellContext`a$$ > 0], {Red, 
                 
                 Line[{{Abs[$CellContext`a$$] + $CellContext`center$$ - \
$CellContext`radius, 
                    0}, {-Abs[$CellContext`a$$] + $CellContext`center$$ + \
$CellContext`radius, 0}}]}, Black], 
               If[
                And[
                 
                 Or[$CellContext`ineq$$ == 4, $CellContext`ineq$$ == 
                  5], $CellContext`a$$ >= 0], {Blue, 
                 
                 Arrow[{{
                   Abs[$CellContext`a$$] + $CellContext`center$$ + \
$CellContext`radius, 0}, {10.9, 0}}], 
                 
                 Arrow[{{-
                    Abs[$CellContext`a$$] + $CellContext`center$$ - \
$CellContext`radius, 0}, {-10.9, 0}}]}, Black], 
               If[
                And[
                 
                 Or[$CellContext`ineq$$ == 4, $CellContext`ineq$$ == 
                  5], $CellContext`a$$ < 0], {Blue, 
                 
                 Line[{{$CellContext`center$$ - $CellContext`radius, 
                    0}, {$CellContext`center$$ + $CellContext`radius, 0}}], 
                 
                 Arrow[{{$CellContext`center$$ + $CellContext`radius, 0}, {
                   10.9, 0}}], 
                 
                 Arrow[{{$CellContext`center$$ - $CellContext`radius, 
                    0}, {-10.9, 0}}]}, Black]}, Black]]}, BaseStyle -> 
           If[$CellContext`large$$, 16, 12], ImageSize -> 
           If[$CellContext`large$$, 550, 352], AspectRatio -> Automatic, 
           PlotRange -> {{-10.9, 10.9}, {-1.5, 1.2}}, PlotLabel -> Row[{"|", 
              Style["x", Italic], 
              
              Which[$CellContext`center$$ < 0, " + ", $CellContext`center$$ == 
               0, "", $CellContext`center$$ > 0, " - "], 
              Which[$CellContext`center$$ < 0, 
               Abs[$CellContext`center$$], $CellContext`center$$ == 0, 
               "", $CellContext`center$$ > 0, $CellContext`center$$], "|", 
              
              Which[$CellContext`ineq$$ == 1, " = ", $CellContext`ineq$$ == 2,
                " < ", $CellContext`ineq$$ == 3, 
               " \[LessEqual] ", $CellContext`ineq$$ == 4, 
               " > ", $CellContext`ineq$$ == 5, 
               " \[GreaterEqual] "], $CellContext`a$$}]]]), 
      "Specifications" :> {{{$CellContext`a$$, 2, "right hand side"}, -10, 10,
          1, Appearance -> "Labeled", ImageSize -> Dynamic[
           If[$CellContext`large$$, 500, 325]], ControlPlacement -> 
         Bottom}, {{$CellContext`center$$, 0, "middle value"}, -10, 10, 1, 
         Appearance -> "Labeled", ImageSize -> Dynamic[
           If[$CellContext`large$$, 500, 325]], ControlPlacement -> 
         Bottom}, {{$CellContext`ineq$$, 1, ""}, {1 -> Style["=", 
            GrayLevel[0], 14], 2 -> Style["<", 
            RGBColor[1, 0, 0], 14], 3 -> Style["\[LessEqual]", 
            RGBColor[1, 0, 0], 14], 4 -> Style[">", 
            RGBColor[0, 0, 1], 14], 5 -> Style["\[GreaterEqual]", 
            RGBColor[0, 0, 1], 14]}, ControlType -> RadioButton, 
         ControlPlacement -> Left, Appearance -> 
         "Vertical"}, {{$CellContext`show$$, False}, {False, True}, 
         ControlPlacement -> Bottom}, {{$CellContext`large$$, True}, {
         False, True}, ControlPlacement -> 
         Bottom}, {{$CellContext`reset$$, False}, {False, True}, 
         ControlPlacement -> Bottom}}, 
      "Options" :> {
       AutorunSequencing -> {1, {2, 3}, {3, 3}}, TrackedSymbols :> 
        Manipulate}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{640., {136., 141.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->499504833],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Number Line Solutions to Absolute Value Equations and \
Inequalities",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
NumberLineSolutionsToAbsoluteValueEquationsAndInequalities/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
NumberLineSolutionsToAbsoluteValueEquationsAndInequalities/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
NumberLineSolutionsToAbsoluteValueEquationsAndInequalities/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
NumberLineSolutionsToAbsoluteValueEquationsAndInequalities/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
NumberLineSolutionsToAbsoluteValueEquationsAndInequalities/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Eric Schulz",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Eric+Schulz"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Eric+Schulz"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
NumberLineSolutionsToAbsoluteValueEquationsAndInequalities"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Number Line Solutions to Absolute Value Equations and \
Inequalities - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 266, 6, 70, "Section"],
Cell[859, 31, 19131, 417, 70, "Input",
 CellID->1500461800]
}, Open  ]],
Cell[20005, 451, 8595, 171, 70, "Output",
 CellID->499504833],
Cell[CellGroupData[{
Cell[28625, 626, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[29001, 637, 1153, 32, 70, "Text"],
Cell[30157, 671, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[30497, 682, 430, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[30952, 700, 967, 27, 70, "Text"],
Cell[31922, 729, 1234, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature eTjBtCBQyAxo5DDdahubtH1t *)
