(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     17528,        475]
NotebookOptionsPosition[     16452,        434]
NotebookOutlinePosition[     17056,        458]
CellTagsIndexPosition[     17013,        455]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Number Lines", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Switch", "[", 
     RowBox[{
     "type", ",", "\[IndentingNewLine]", "\"\<natural numbers\>\"", ",", 
      RowBox[{"pos", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Max", "[", 
          RowBox[{"1", ",", 
           RowBox[{"Round", "[", 
            RowBox[{"pos", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], ",", "0"}], 
        "}"}]}], ",", "\[IndentingNewLine]", "\"\<integers\>\"", ",", 
      RowBox[{"pos", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Round", "[", 
          RowBox[{"pos", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", "0"}], "}"}]}], ",", 
      "\[IndentingNewLine]", "\"\<reals\>\"", ",", 
      RowBox[{"pos", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"pos", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "0"}], "}"}]}], ",", 
      "\[IndentingNewLine]", "\"\<rationals\>\"", ",", 
      RowBox[{"pos", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Rationalize", "[", 
          RowBox[{
           RowBox[{"pos", "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "0"}], "]"}], ",", "0"}], 
        "}"}]}], ",", "\[IndentingNewLine]", "\"\<complex\>\"", ",", "Null"}],
      "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Graphics", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Red", ",", 
        RowBox[{"PointSize", "[", "0.025", "]"}], ",", 
        RowBox[{"Point", "[", "pos", "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Axes", "\[Rule]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"type", "===", "\"\<complex\>\""}], ",", "True", ",", 
         RowBox[{"{", 
          RowBox[{"True", ",", "False"}], "}"}]}], "]"}]}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"type", "===", "\"\<natural numbers\>\""}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", "scale"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "scale"}], "/", "2"}], ",", 
             RowBox[{"scale", "/", "2"}]}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "scale"}], ",", "scale"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "scale"}], ",", "scale"}], "}"}]}], "}"}]}], 
        "]"}]}], ",", 
      RowBox[{"Ticks", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Range", "[", 
          RowBox[{
           RowBox[{"-", "scale"}], ",", "scale", ",", 
           RowBox[{"scale", "/", "10"}]}], "]"}], ",", 
         RowBox[{"Range", "[", 
          RowBox[{
           RowBox[{"-", "scale"}], ",", "scale", ",", 
           RowBox[{"scale", "/", "10"}]}], "]"}]}], "}"}]}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Switch", "[", 
          RowBox[{"type", ",", "\"\<natural numbers\>\"", ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<\[DoubleStruckCapitalN]\>\"", ",", "20"}], "]"}], 
           ",", "\"\<integers\>\"", ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<\[DoubleStruckCapitalZ]\>\"", ",", "20"}], "]"}], 
           ",", "\"\<reals\>\"", ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<\[DoubleStruckCapitalR]\>\"", ",", "20"}], "]"}], 
           ",", "\"\<complex\>\"", ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<\[DoubleStruckCapitalR]\>\"", ",", "20"}], "]"}], 
           ",", "\"\<rationals\>\"", ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<\[DoubleStruckCapitalQ]\>\"", ",", "20"}], "]"}]}], 
          "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<\[DoubleStruckCapitalI]\>\"", ",", "20"}], "]"}]}], 
        "}"}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"Pane", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"type", "===", "\"\<complex\>\""}], ",", 
             RowBox[{"ToString", "[", 
              RowBox[{
               RowBox[{"Apply", "[", 
                RowBox[{"Complex", ",", "pos"}], "]"}], ",", 
               "TraditionalForm"}], "]"}], ",", 
             RowBox[{"ToString", "[", 
              RowBox[{
               RowBox[{"pos", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "TraditionalForm"}], 
              "]"}]}], "]"}], ",", "24"}], "]"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"350", ",", "60"}], "}"}]}], ",", 
         RowBox[{"Alignment", "\[Rule]", "Center"}], ",", 
         RowBox[{"ImageSizeAction", "\[Rule]", "\"\<ShrinkToFit\>\""}]}], 
        "]"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"type", ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<natural numbers\>\"", ",", "\"\<integers\>\"", ",", 
       "\"\<rationals\>\"", ",", "\"\<reals\>\"", ",", "\"\<complex\>\""}], 
      "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"scale", ",", "10", ",", "\"\<maximum\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "100"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pos", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Locator"}], ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Graphics", "[", "]"}]}]}], "}"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.379412218527152*^9, 3.379459053065625*^9, {
   3.37945911055*^9, 3.37945912508125*^9}, {3.3812595740784063`*^9, 
   3.3812595744534063`*^9}, {3.3833233624358664`*^9, 
   3.3833233687484875`*^9}, {3.3833234167806597`*^9, 3.383323425952711*^9}, {
   3.3852269623596597`*^9, 3.3852270052659097`*^9}, {3.3852270373596597`*^9, 
   3.385227037656534*^9}, {3.385227068156534*^9, 3.385227116062784*^9}, {
   3.396160287984375*^9, 3.396160298875*^9}, {3.3963628763109007`*^9, 
   3.3963628807171507`*^9}, {3.3963632954515257`*^9, 
   3.3963632957015257`*^9}, {3.3963743106077757`*^9, 
   3.3963743143265257`*^9}, {3.3963745111077757`*^9, 
   3.3963745665609007`*^9}, {3.3963748398265257`*^9, 
   3.3963748468109007`*^9}, {3.3963749055452757`*^9, 
   3.3963749356234007`*^9}, {3.3963750252484007`*^9, 
   3.3963750335452757`*^9}, {3.3963751113265257`*^9, 3.3963751445609007`*^9}},
 
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`pos$$ = {1, 0}, $CellContext`scale$$ = 
    10, $CellContext`type$$ = "natural numbers", Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`type$$], {
      "natural numbers", "integers", "rationals", "reals", "complex"}}, {{
       Hold[$CellContext`scale$$], 10, "maximum"}, {10, 100}}, {{
       Hold[$CellContext`pos$$], {1, 0}}}}, Typeset`size$$ = {
    400., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`type$184899$$ = 
    0, $CellContext`scale$184900$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`pos$$ = {1, 0}, $CellContext`scale$$ = 
        10, $CellContext`type$$ = "natural numbers"}, 
      "ControllerVariables" :> {
        Hold[$CellContext`type$$, $CellContext`type$184899$$, 0], 
        Hold[$CellContext`scale$$, $CellContext`scale$184900$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       Switch[$CellContext`type$$, "natural numbers", $CellContext`pos$$ = {
           Max[1, 
            Round[
             Part[$CellContext`pos$$, 1]]], 0}, 
         "integers", $CellContext`pos$$ = {
           Round[
            Part[$CellContext`pos$$, 1]], 0}, "reals", $CellContext`pos$$ = {
           Part[$CellContext`pos$$, 1], 0}, 
         "rationals", $CellContext`pos$$ = {
           Rationalize[
            Part[$CellContext`pos$$, 1], 0], 0}, "complex", Null]; 
       Graphics[{Red, 
          PointSize[0.025], 
          Point[$CellContext`pos$$]}, Axes -> 
         If[$CellContext`type$$ === "complex", True, {True, False}], 
         PlotRange -> 
         If[$CellContext`type$$ === 
           "natural numbers", {{
            1, $CellContext`scale$$}, {(-$CellContext`scale$$)/
             2, $CellContext`scale$$/
             2}}, {{-$CellContext`scale$$, $CellContext`scale$$}, \
{-$CellContext`scale$$, $CellContext`scale$$}}], Ticks -> {
           
           Range[-$CellContext`scale$$, $CellContext`scale$$, \
$CellContext`scale$$/10], 
           
           Range[-$CellContext`scale$$, $CellContext`scale$$, \
$CellContext`scale$$/10]}, AxesLabel -> {
           Switch[$CellContext`type$$, "natural numbers", 
            Style["\[DoubleStruckCapitalN]", 20], "integers", 
            Style["\[DoubleStruckCapitalZ]", 20], "reals", 
            Style["\[DoubleStruckCapitalR]", 20], "complex", 
            Style["\[DoubleStruckCapitalR]", 20], "rationals", 
            Style["\[DoubleStruckCapitalQ]", 20]], 
           Style["\[DoubleStruckCapitalI]", 20]}, PlotLabel -> Pane[
           Style[
            If[$CellContext`type$$ === "complex", 
             ToString[
              Apply[Complex, $CellContext`pos$$], TraditionalForm], 
             ToString[
              Part[$CellContext`pos$$, 1], TraditionalForm]], 24], 
           ImageSize -> {350, 60}, Alignment -> Center, ImageSizeAction -> 
           "ShrinkToFit"], ImageSize -> {400, 400}]), 
      "Specifications" :> {{$CellContext`type$$, {
         "natural numbers", "integers", "rationals", "reals", 
          "complex"}}, {{$CellContext`scale$$, 10, "maximum"}, {10, 
         100}}, {{$CellContext`pos$$, {1, 0}}, ControlType -> Locator, 
         Appearance -> Graphics[{}]}}, 
      "Options" :> {AutorunSequencing -> {1, 2}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {253., 258.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->247721403],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Number Lines",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/NumberLines/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/NumberLines/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/NumberLines/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/NumberLines/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/NumberLines/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Jon McLoone",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jon+McLoone"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jon+McLoone"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->27930363],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
NumberLines"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Number Lines - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 204, 4, 70, "Section"],
Cell[797, 29, 7299, 180, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[8111, 212, 4232, 88, 70, "Output",
 CellID->247721403],
Cell[CellGroupData[{
Cell[12368, 304, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[12744, 315, 844, 24, 70, "Text"],
Cell[13591, 341, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13931, 352, 449, 15, 70, "Text",
 CellID->27930363],
Cell[CellGroupData[{
Cell[14405, 371, 829, 24, 70, "Text"],
Cell[15237, 397, 1187, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature kTNkUcvUvN9VLC0f3xLV#cH1 *)
