(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     13107,        372]
NotebookOptionsPosition[     12016,        330]
NotebookOutlinePosition[     12627,        354]
CellTagsIndexPosition[     12584,        351]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Overlapping Intervals", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
       RowBox[{"Rectangle", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"r1", ",", 
           RowBox[{
            RowBox[{"-", "0.02"}], " ", "4"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"r2", ",", 
           RowBox[{"0.08", " ", "4"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{".45", ",", ".7", ",", ".55"}], "]"}], ",", 
       RowBox[{"Rectangle", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"g1", ",", 
           RowBox[{"0.02", " ", "4"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"g2", ",", 
           RowBox[{
            RowBox[{"-", "0.08"}], " ", "4"}]}], "}"}]}], "]"}]}], "}"}], ",",
      
     RowBox[{"PlotRange", " ", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "4"}], ",", "15"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", " ", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"interval", " ", "=", 
          RowBox[{"IntervalIntersection", "[", 
           RowBox[{
            RowBox[{"Interval", "[", 
             RowBox[{"Sort", "[", 
              RowBox[{"Chop", "/@", 
               RowBox[{"{", 
                RowBox[{"r1", ",", "r2"}], "}"}]}], "]"}], "]"}], ",", 
            RowBox[{"Interval", "[", 
             RowBox[{"Sort", "[", 
              RowBox[{"Chop", "/@", 
               RowBox[{"{", 
                RowBox[{"g1", ",", "g2"}], "}"}]}], "]"}], "]"}]}], "]"}]}], 
         "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"interval", "=!=", 
             RowBox[{"Interval", "[", "]"}]}], ",", " ", 
            RowBox[{"\"\<overlap is \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"First", "[", "interval", "]"}], "]"}]}], ",", " ", 
            "\"\<no overlap\>\""}], "]"}], ",", "\"\<Label\>\""}], "]"}]}], 
       "\[IndentingNewLine]", "]"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r1", ",", "1", ",", "\"\<orange endpoint 1\>\""}], "}"}], ",", 
     "0", ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r2", ",", "3", ",", "\"\<orange endpoint 2\>\""}], "}"}], ",", 
     "0", ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"g1", ",", "2", ",", "\"\<green endpoint 1\>\""}], "}"}], ",", 
     "0", ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"g2", ",", "4", ",", "\"\<green endpoint 2\>\""}], "}"}], ",", 
     "0", ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.383312058431137*^9, 3.3833203124103003`*^9, {
   3.3841035447350616`*^9, 3.3841035669536695`*^9}, {3.384103600687828*^9, 
   3.3841036147502384`*^9}, 3.384103714640224*^9, {3.384105261239701*^9, 
   3.384105265395924*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`g1$$ = 2, $CellContext`g2$$ = 
    4, $CellContext`r1$$ = 1, $CellContext`r2$$ = 3, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`r1$$], 1, "orange endpoint 1"}, 0, 10, 0.01}, {{
       Hold[$CellContext`r2$$], 3, "orange endpoint 2"}, 0, 10, 0.01}, {{
       Hold[$CellContext`g1$$], 2, "green endpoint 1"}, 0, 10, 0.01}, {{
       Hold[$CellContext`g2$$], 4, "green endpoint 2"}, 0, 10, 0.01}}, 
    Typeset`size$$ = {360., {25., 30.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`r1$19247$$ = 0, $CellContext`r2$19248$$ = 
    0, $CellContext`g1$19249$$ = 0, $CellContext`g2$19250$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`g1$$ = 2, $CellContext`g2$$ = 
        4, $CellContext`r1$$ = 1, $CellContext`r2$$ = 3}, 
      "ControllerVariables" :> {
        Hold[$CellContext`r1$$, $CellContext`r1$19247$$, 0], 
        Hold[$CellContext`r2$$, $CellContext`r2$19248$$, 0], 
        Hold[$CellContext`g1$$, $CellContext`g1$19249$$, 0], 
        Hold[$CellContext`g2$$, $CellContext`g2$19250$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{
         RGBColor[1, 0.47, 0], 
         Rectangle[{$CellContext`r1$$, (-0.02) 4}, {$CellContext`r2$$, 0.08 
           4}], 
         RGBColor[0.45, 0.7, 0.55], 
         Rectangle[{$CellContext`g1$$, 0.02 4}, {$CellContext`g2$$, (-0.08) 
           4}]}, PlotRange -> {{-4, 15}, {-1, 1}}, PlotLabel -> 
        With[{$CellContext`interval = IntervalIntersection[
             Interval[
              Sort[
               Map[Chop, {$CellContext`r1$$, $CellContext`r2$$}]]], 
             Interval[
              Sort[
               Map[Chop, {$CellContext`g1$$, $CellContext`g2$$}]]]]}, 
          Style[
           If[$CellContext`interval =!= Interval[], 
            StringJoin["overlap is ", 
             ToString[
              First[$CellContext`interval]]], "no overlap"], "Label"]]], 
      "Specifications" :> {{{$CellContext`r1$$, 1, "orange endpoint 1"}, 0, 
         10, 0.01, Appearance -> 
         "Labeled"}, {{$CellContext`r2$$, 3, "orange endpoint 2"}, 0, 10, 
         0.01, Appearance -> 
         "Labeled"}, {{$CellContext`g1$$, 2, "green endpoint 1"}, 0, 10, 0.01,
          Appearance -> 
         "Labeled"}, {{$CellContext`g2$$, 4, "green endpoint 2"}, 0, 10, 0.01,
          Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{406., {118., 123.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->53553579]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Overlapping Intervals",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/OverlappingIntervals/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/OverlappingIntervals/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/OverlappingIntervals/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/OverlappingIntervals/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/OverlappingIntervals/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Ed Pegg Jr", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->950055207],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
OverlappingIntervals"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 541},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Overlapping Intervals - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 213, 4, 71, "Section"],
Cell[CellGroupData[{
Cell[828, 31, 3751, 100, 312, "Input"],
Cell[4582, 133, 3348, 67, 258, "Output",
 CellID->53553579]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7979, 206, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[8355, 217, 898, 24, 70, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9290, 246, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9630, 257, 201, 6, 70, "Text",
 CellID->950055207],
Cell[9834, 265, 967, 27, 70, "Text"],
Cell[10804, 294, 1196, 33, 70, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 9RzAoj5BV6hW8ApkN0uzxmvG *)
