(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     26218,        674]
NotebookOptionsPosition[     25135,        633]
NotebookOutlinePosition[     25743,        657]
CellTagsIndexPosition[     25700,        654]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Pythagorean Theorem", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Labeled", "[", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", ".95", ",", ".75"}], "]"}], ",", 
         RowBox[{"Polygon", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"a", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"a", ",", "b"}], "}"}]}], "}"}], "]"}], ",", 
         RowBox[{"Thickness", "[", ".01", "]"}], ",", 
         RowBox[{"PointSize", "[", ".02", "]"}], ",", 
         RowBox[{"RGBColor", "[", 
          RowBox[{".67", ",", ".75", ",", ".15"}], "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"a", ",", "b"}], "}"}]}], "}"}], "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"k", "/", 
              RowBox[{"Sqrt", "[", 
               RowBox[{
                RowBox[{"a", "^", "2"}], "+", 
                RowBox[{"b", "^", "2"}]}], "]"}]}], 
             RowBox[{"{", 
              RowBox[{"a", ",", "b"}], "}"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"k", ",", "0", ",", 
              RowBox[{"Floor", "[", 
               RowBox[{"Sqrt", "[", 
                RowBox[{
                 RowBox[{"a", "^", "2"}], "+", 
                 RowBox[{"b", "^", "2"}]}], "]"}], "]"}]}], "}"}]}], "]"}], 
          "]"}], ",", 
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", ".26", ",", "0"}], "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"a", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"i", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "0", ",", "a"}], "}"}]}], "]"}], "]"}], ",", 
         RowBox[{"RGBColor", "[", 
          RowBox[{".12", ",", ".61", ",", ".78"}], "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"a", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"a", ",", "b"}], "}"}]}], "}"}], "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"a", ",", "j"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "0", ",", "b"}], "}"}]}], "]"}], "]"}], ",", 
         "Black", ",", 
         RowBox[{"Thickness", "[", ".005", "]"}], ",", 
         RowBox[{"Inset", "[", 
          RowBox[{
           RowBox[{"Graphics", "@", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", ".8"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{".8", ",", ".8"}], "}"}]}], "}"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"a", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{".8", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{".5", ",", ".5"}], "}"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"\"\<a = \>\"", "<>", 
              RowBox[{"ToString", "[", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"N", "[", "a", "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"4", ",", "2"}], "}"}], ",", 
                 RowBox[{"NumberPadding", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"\"\<\>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}], 
               "]"}]}], ",", "12"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "/", "2"}], ",", 
             RowBox[{"-", ".75"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"\"\<b = \>\"", "<>", 
              RowBox[{"ToString", "[", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"N", "[", "b", "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"4", ",", "2"}], "}"}], ",", 
                 RowBox[{"NumberPadding", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"\"\<\>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}], 
               "]"}]}], ",", "12"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "+", ".5"}], ",", 
             RowBox[{"b", "/", "2"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"\"\<c = \>\"", "<>", 
              RowBox[{"ToString", "[", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"N", "[", 
                  RowBox[{"Sqrt", "[", 
                   RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"5", ",", "2"}], "}"}], ",", 
                 RowBox[{"NumberPadding", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"\"\<\>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}], 
               "]"}]}], ",", "12"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"a", "/", "2"}], "-", ".5"}], ",", 
             RowBox[{
              RowBox[{"b", "/", "2"}], "+", ".5"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "0"}], "}"}]}], "]"}]}], "}"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"478", ",", "335"}], "}"}]}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "5"}], ",", "15"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2"}], ",", "10.5"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}], ",", 
     RowBox[{"TraditionalForm", "@", 
      RowBox[{"Text", "@", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Grid", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
              "\"\<\!\(\*SuperscriptBox[\(a\), \(2\)]\)\>\"", ",", 
               "\"\<+\>\"", ",", 
               "\"\<\!\(\*SuperscriptBox[\(b\), \(2\)]\)\>\"", ",", 
               "\"\<=\>\"", ",", 
               "\"\<\!\(\*SuperscriptBox[\(c\), \(2\)]\)\>\""}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Superscript", "[", 
                RowBox[{
                 RowBox[{"NumberForm", "[", 
                  RowBox[{"a", ",", 
                   RowBox[{"{", 
                    RowBox[{"4", ",", "2"}], "}"}], ",", 
                   RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}],
                  ",", "2"}], "]"}], ",", "\"\<+\>\"", ",", 
               RowBox[{"Superscript", "[", 
                RowBox[{
                 RowBox[{"NumberForm", "[", 
                  RowBox[{"b", ",", 
                   RowBox[{"{", 
                    RowBox[{"4", ",", "2"}], "}"}], ",", 
                   RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}],
                  ",", "2"}], "]"}], ",", "\"\<=\>\"", ",", 
               RowBox[{"Superscript", "[", 
                RowBox[{
                 RowBox[{"NumberForm", "[", 
                  RowBox[{
                   RowBox[{"N", "[", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"5", ",", "2"}], "}"}], ",", 
                   RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}],
                  ",", "2"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"a", "^", "2"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"4", ",", "2"}], "}"}], ",", 
                 RowBox[{"NumberPadding", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}], 
               ",", "\"\<+\>\"", ",", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"b", "^", "2"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"4", ",", "2"}], "}"}], ",", 
                 RowBox[{"NumberPadding", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}], 
               ",", "\"\<=\>\"", ",", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"N", "[", 
                  RowBox[{
                   RowBox[{"a", "^", "2"}], "+", 
                   RowBox[{"b", "^", "2"}]}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"5", ",", "2"}], "}"}], ",", 
                 RowBox[{"NumberPadding", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"\"\<  \>\"", ",", "\"\<0\>\""}], "}"}]}]}], 
                "]"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"Alignment", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"Right", ",", "Baseline"}], "}"}]}], ",", 
           RowBox[{"ItemSize", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"5", ",", "2.2", ",", "4.5", ",", "2.2", ",", "6"}], 
               "}"}], ",", "1.5"}], "}"}]}]}], "]"}], ",", "12"}], "]"}]}]}], 
     ",", "Top"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "8", ",", "\"\<a\>\""}], "}"}], ",", ".01", ",", 
     "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "8", ",", "\"\<b\>\""}], "}"}], ",", ".01", ",", 
     "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.352590254*^9, {3.35272307824715*^9, 3.35272308685647*^9}, {
   3.35384108806898*^9, 3.35384117448946*^9}, {3.35384124302877*^9, 
   3.35384125037505*^9}, {3.35384129195192*^9, 3.35384134976866*^9}, {
   3.35384143332611*^9, 3.35384143431079*^9}, 3.35696831514617*^9, {
   3.35696891291562*^9, 3.3569689920255*^9}, {3.35696903757267*^9, 
   3.35696924044896*^9}, {3.3569693080744*^9, 3.35696930912128*^9}, {
   3.35696936641852*^9, 3.35696936710602*^9}, {3.35696940279375*^9, 
   3.3569695742011*^9}, {3.35696961959202*^9, 3.35696967638925*^9}, {
   3.35697032765905*^9, 3.35697045990989*^9}, {3.35697081295903*^9, 
   3.35697084919364*^9}, {3.35697097319443*^9, 3.35697101058529*^9}, {
   3.35697107514821*^9, 3.35697107713259*^9}, 3.35697111822661*^9, {
   3.35697133661863*^9, 3.35697134850933*^9}, {3.35697139713464*^9, 
   3.35697146229131*^9}, {3.3569715152604*^9, 3.35697153632303*^9}, {
   3.3569716052766*^9, 3.35697167493329*^9}, {3.35697170901164*^9, 
   3.35697170908976*^9}, {3.35697177365268*^9, 3.3569717772777*^9}, {
   3.35697184391875*^9, 3.35697187413769*^9}, {3.35697190507539*^9, 
   3.3569719056379*^9}, {3.35697194756004*^9, 3.35697201229483*^9}, {
   3.35697211827988*^9, 3.35697213131122*^9}, {3.35697224398381*^9, 
   3.35697228607783*^9}, {3.35697279637797*^9, 3.35697286795656*^9}, {
   3.356972898988*^9, 3.35697291089433*^9}, {3.3569729807229*^9, 
   3.35697298217604*^9}, {3.35697312316131*^9, 3.35697315114587*^9}, {
   3.35697321506815*^9, 3.35697321570878*^9}, {3.35732194098535*^9, 
   3.35732195296835*^9}, {3.3575059176875*^9, 3.357505926125*^9}, {
   3.35750652892188*^9, 3.35750659034375*^9}, 3.35750662110938*^9, {
   3.35750665251563*^9, 3.35750665320313*^9}, {3.35750688396875*^9, 
   3.35750700039063*^9}, {3.35750712240625*^9, 3.35750712821875*^9}, {
   3.35750716171875*^9, 3.35750729139063*^9}, {3.3575073546875*^9, 
   3.35750743048438*^9}, {3.35750785226563*^9, 3.35750798554688*^9}, {
   3.3575080520625*^9, 3.35750808907813*^9}, {3.35750818559375*^9, 
   3.35750820496875*^9}, {3.35819930898438*^9, 3.35819932454688*^9}, {
   3.35819938365625*^9, 3.35819942404688*^9}, {3.36043741146875*^9, 
   3.36043742504688*^9}, {3.36063245345313*^9, 3.36063249546875*^9}, {
   3.36277371360938*^9, 3.36277381404688*^9}, {3.36277390060938*^9, 
   3.36277391478125*^9}, {3.36277395398438*^9, 3.362773954875*^9}, {
   3.36408222017188*^9, 3.36408225415625*^9}, {3.36408253053125*^9, 
   3.36408253845313*^9}, {3.36709568410937*^9, 3.36709575792188*^9}, {
   3.3670958585*^9, 3.36709591275*^9}, {3.36709595179688*^9, 
   3.367095982875*^9}, {3.36709603367188*^9, 3.3670961466875*^9}, {
   3.3670961931875*^9, 3.36709628251563*^9}, {3.36709634764062*^9, 
   3.3670963574375*^9}, {3.367096397375*^9, 3.36709642639063*^9}, {
   3.36709649601563*^9, 3.36709659446875*^9}, {3.36709663875*^9, 
   3.36709666560937*^9}, {3.367099226625*^9, 3.36709924440625*^9}, {
   3.36709948342188*^9, 3.36709953239063*^9}, {3.371405176991643*^9, 
   3.371405222819768*^9}, {3.371406387476018*^9, 3.371406388429143*^9}, {
   3.3736750673125*^9, 3.373675070140625*^9}, {3.3736759318125*^9, 
   3.37367593428125*^9}, {3.3812516917971563`*^9, 3.3812517309846563`*^9}, {
   3.3812517871565313`*^9, 3.3812518065627813`*^9}, {3.3812518391877813`*^9, 
   3.3812518645002813`*^9}, {3.3812547746409063`*^9, 
   3.3812547765002813`*^9}, {3.3812552154690313`*^9, 
   3.3812552621721563`*^9}, {3.382272476493408*^9, 3.382272507774658*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 8, $CellContext`b$$ = 8, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 8, "a"}, 0.01, 10}, {{
       Hold[$CellContext`b$$], 8, "b"}, 0.01, 10}}, Typeset`size$$ = {
    478., {165., 240.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$28903$$ = 
    0, $CellContext`b$28904$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 8, $CellContext`b$$ = 8}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$28903$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$28904$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Labeled[
        Graphics[{
          RGBColor[1, 0.95, 0.75], 
          
          Polygon[{{0, 
            0}, {$CellContext`a$$, 0}, {$CellContext`a$$, $CellContext`b$$}}],
           
          Thickness[0.01], 
          PointSize[0.02], 
          RGBColor[0.67, 0.75, 0.15], 
          Line[{{0, 0}, {$CellContext`a$$, $CellContext`b$$}}], 
          Point[
           
           Table[($CellContext`k/
             Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2]) \
{$CellContext`a$$, $CellContext`b$$}, {$CellContext`k, 0, 
             Floor[
              Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2]]}]], 
          RGBColor[1, 0.26, 0], 
          Line[{{0, 0}, {$CellContext`a$$, 0}}], 
          Point[
           Table[{$CellContext`i, 0}, {$CellContext`i, 0, $CellContext`a$$}]],
           
          RGBColor[0.12, 0.61, 0.78], 
          Line[{{$CellContext`a$$, 0}, {$CellContext`a$$, $CellContext`b$$}}],
           
          Point[
           
           Table[{$CellContext`a$$, $CellContext`j}, {$CellContext`j, 
             0, $CellContext`b$$}]], Black, 
          Thickness[0.005], 
          Inset[
           Graphics[
            Line[{{0, 0}, {0, 0.8}, {0.8, 0.8}}]], {$CellContext`a$$, 0}, {
           0.8, 0}, {0.5, 0.5}], 
          Text[
           Style[
            StringJoin["a = ", 
             ToString[
              NumberForm[
               N[$CellContext`a$$], {4, 2}, NumberPadding -> {"", "0"}]]], 
            12], {$CellContext`a$$/2, -0.75}], 
          Text[
           Style[
            StringJoin["b = ", 
             ToString[
              NumberForm[
               N[$CellContext`b$$], {4, 2}, NumberPadding -> {"", "0"}]]], 
            12], {$CellContext`a$$ + 0.5, $CellContext`b$$/2}, {-1, 0}], 
          Text[
           Style[
            StringJoin["c = ", 
             ToString[
              NumberForm[
               N[
                Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2]], {5, 2}, 
               NumberPadding -> {"", "0"}]]], 12], {$CellContext`a$$/2 - 
            0.5, $CellContext`b$$/2 + 0.5}, {1, 0}]}, ImageSize -> {478, 335},
          Axes -> False, PlotRange -> {{-5, 15}, {-2, 10.5}}, AspectRatio -> 
         Automatic], 
        TraditionalForm[
         Text[
          Style[
           
           Grid[{{"\!\(\*SuperscriptBox[\(a\), \(2\)]\)", "+", 
              "\!\(\*SuperscriptBox[\(b\), \(2\)]\)", "=", 
              "\!\(\*SuperscriptBox[\(c\), \(2\)]\)"}, {
              Superscript[
               
               NumberForm[$CellContext`a$$, {4, 2}, 
                NumberPadding -> {" ", "0"}], 2], "+", 
              Superscript[
               
               NumberForm[$CellContext`b$$, {4, 2}, 
                NumberPadding -> {" ", "0"}], 2], "=", 
              Superscript[
               NumberForm[
                N[
                 Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2]], {5, 2}, 
                NumberPadding -> {" ", "0"}], 2]}, {
              NumberForm[$CellContext`a$$^2, {4, 2}, 
               NumberPadding -> {" ", "0"}], "+", 
              
              NumberForm[$CellContext`b$$^2, {4, 2}, 
               NumberPadding -> {" ", "0"}], "=", 
              NumberForm[
               N[$CellContext`a$$^2 + $CellContext`b$$^2], {5, 2}, 
               NumberPadding -> {"  ", "0"}]}}, 
            Alignment -> {Right, Baseline}, 
            ItemSize -> {{5, 2.2, 4.5, 2.2, 6}, 1.5}], 12]]], Top], 
      "Specifications" :> {{{$CellContext`a$$, 8, "a"}, 0.01, 
         10}, {{$CellContext`b$$, 8, "b"}, 0.01, 10}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{522., {257., 262.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->62429514],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Pythagorean Theorem",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PythagoreanTheorem/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PythagoreanTheorem/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/PythagoreanTheorem/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PythagoreanTheorem/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PythagoreanTheorem/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Jeff Bryant",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jeff+Bryant"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jeff+Bryant"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->880831236],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PythagoreanTheorem"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Pythagorean Theorem - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 211, 4, 70, "Section"],
Cell[804, 29, 14822, 339, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[15641, 371, 5197, 125, 70, "Output",
 CellID->62429514],
Cell[CellGroupData[{
Cell[20863, 500, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[21239, 511, 886, 24, 70, "Text"],
Cell[22128, 537, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[22468, 548, 450, 15, 70, "Text",
 CellID->880831236],
Cell[CellGroupData[{
Cell[22943, 567, 967, 27, 70, "Text"],
Cell[23913, 596, 1194, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature LS4aavwKtoHO0BD#t68iawcb *)
