(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     32682,        791]
NotebookOptionsPosition[     31239,        738]
NotebookOutlinePosition[     31855,        762]
CellTagsIndexPosition[     31812,        759]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Rational Number Explorer", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GetRationals", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_"}], "}"}], ",", "n_", ",", "random"}], "]"}], ":=",
    "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "rats", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"rats", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Rationalize", "[", 
          RowBox[{"#", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"b", "-", "a"}], ")"}], "/", "100"}]}], "]"}], "&"}], 
        " ", "/@", " ", 
        RowBox[{"RandomReal", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"a", ",", "b"}], "}"}], ",", 
          RowBox[{"4", "n"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"RandomSample", "[", 
       RowBox[{
        RowBox[{"Union", "[", "rats", "]"}], ",", "n"}], "]"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.36975087957009*^9, 3.3697510621062*^9}, {
   3.36975122183809*^9, 3.36975122689752*^9}, {3.36975125764749*^9, 
   3.36975127368318*^9}, 3.3697513066884947`*^9, {3.36975139785554*^9, 
   3.36975147177644*^9}, {3.36975151014962*^9, 3.36975155638195*^9}, {
   3.36975172262984*^9, 3.36975176392673*^9}, {3.36975180903857*^9, 
   3.3697518595241957`*^9}, 3.3698663556189203`*^9, {3.36992278522287*^9, 
   3.36992279517151*^9}, {3.3699229153474*^9, 3.3699229174306*^9}, {
   3.3699242416629543`*^9, 3.3699242421060743`*^9}, {3.36992427873189*^9, 
   3.36992434973191*^9}, {3.36992439031292*^9, 3.36992439742999*^9}, {
   3.36992449218802*^9, 3.3699244934327507`*^9}},
 CellID->1991716005],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GetRationals", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_"}], "}"}], ",", "n_", ",", "simple"}], "]"}], ":=",
    "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"rats", "=", 
        RowBox[{"{", "}"}]}], ",", 
       RowBox[{"d", "=", "1"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Length", "[", "rats", "]"}], "<", "n"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"d", "++"}], ";", "\[IndentingNewLine]", 
         RowBox[{"rats", " ", "=", " ", 
          RowBox[{"Complement", "[", 
           RowBox[{
            RowBox[{"Union", "[", 
             RowBox[{"rats", ",", 
              RowBox[{
               RowBox[{"Range", "[", 
                RowBox[{
                 RowBox[{"Ceiling", "[", 
                  RowBox[{"a", "*", "d"}], "]"}], ",", 
                 RowBox[{"Floor", "[", 
                  RowBox[{"b", "*", "d"}], "]"}]}], "]"}], "/", "d"}]}], 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}]}]}], 
       "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", "rats"}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.36975087957009*^9, 3.3697510621062*^9}, {
   3.36975122183809*^9, 3.36975122689752*^9}, {3.36975125764749*^9, 
   3.36975127368318*^9}, 3.3697513066884947`*^9, {3.36975139785554*^9, 
   3.36975147177644*^9}, {3.36975151014962*^9, 3.36975155638195*^9}, {
   3.36975172262984*^9, 3.36975176392673*^9}, {3.36975180903857*^9, 
   3.3697518595241957`*^9}, {3.36986514918585*^9, 3.3698651635243063`*^9}, {
   3.36986605127401*^9, 3.36986611017351*^9}, {3.3698661978963737`*^9, 
   3.3698662611055*^9}, 3.3698663598210993`*^9, {3.36992192922207*^9, 
   3.3699219410461273`*^9}, {3.3699223968931303`*^9, 3.36992239836624*^9}, 
   3.3699224614393587`*^9, {3.36992262241751*^9, 3.3699226334538813`*^9}, {
   3.3699229201982183`*^9, 3.36992292413449*^9}, 3.383346507611*^9},
 CellID->1943290246],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GetRationals", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_"}], "}"}], ",", "n_", ",", "spaced"}], "]"}], ":=",
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Rationalize", "[", 
      RowBox[{"#", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"4", "n"}], ")"}]}]}], "]"}], "&"}], " ", "/@", 
    RowBox[{"Range", "[", 
     RowBox[{
      RowBox[{"a", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "n"}], ")"}]}]}], ",", 
      RowBox[{"b", "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "n"}], ")"}]}]}], ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}], "/", "n"}]}], "]"}]}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.36975087957009*^9, 3.3697510621062*^9}, {
   3.36975122183809*^9, 3.36975122689752*^9}, {3.36975125764749*^9, 
   3.36975127368318*^9}, 3.3697513066884947`*^9, {3.36975139785554*^9, 
   3.36975147177644*^9}, {3.36975151014962*^9, 3.36975155638195*^9}, {
   3.36975172262984*^9, 3.36975176392673*^9}, {3.36975180903857*^9, 
   3.3697518595241957`*^9}, {3.36986514918585*^9, 3.3698651635243063`*^9}, {
   3.36986605127401*^9, 3.36986611017351*^9}, {3.3698661978963737`*^9, 
   3.3698662611055*^9}, 3.3698663598210993`*^9, {3.36992192922207*^9, 
   3.3699219410461273`*^9}, {3.3699223968931303`*^9, 3.36992239836624*^9}, 
   3.3699224614393587`*^9, {3.36992262241751*^9, 3.36992277421764*^9}, {
   3.3699229269173307`*^9, 3.36992293358848*^9}, {3.3699236287489023`*^9, 
   3.36992363062962*^9}, {3.36992848475642*^9, 3.3699284879052963`*^9}, 
   3.36992857755116*^9, {3.36992868203418*^9, 3.36992868507988*^9}, {
   3.36994542500278*^9, 3.3699454516089497`*^9}, {3.3699454917731657`*^9, 
   3.36994549709054*^9}, {3.36994571077183*^9, 3.3699457137369003`*^9}, 
   3.3699458350793447`*^9, 3.3699460407263403`*^9, {3.3699470120860023`*^9, 
   3.3699470557924547`*^9}, {3.36994711958432*^9, 3.36994715704179*^9}, {
   3.36994719246703*^9, 3.3699471961623297`*^9}, {3.36994729061425*^9, 
   3.36994729761374*^9}, 3.36994736236245*^9, {3.37028829060033*^9, 
   3.3702882921420097`*^9}},
 CellID->1947860946],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ShowRationals", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_"}], "}"}], ",", "n_", ",", "mode_"}], "]"}], ":=",
    "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pts", ",", "m"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Which", "[", 
      RowBox[{
       RowBox[{"a", "<", "b"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"pts", "=", 
         RowBox[{"GetRationals", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"a", ",", "b"}], "}"}], ",", "n", ",", "mode"}], "]"}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"PointSize", "[", "Medium", "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"a", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"b", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{"a", ",", 
              RowBox[{"{", 
               RowBox[{"a", ",", 
                RowBox[{"0.05", 
                 RowBox[{"(", 
                  RowBox[{"b", "-", "a"}], ")"}]}]}], "}"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{"b", ",", 
              RowBox[{"{", 
               RowBox[{"b", ",", 
                RowBox[{"0.05", 
                 RowBox[{"(", 
                  RowBox[{"b", "-", "a"}], ")"}]}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "0"}], "}"}]}], "]"}]}], "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"a", ",", "b"}], "}"}], ",", 
             RowBox[{"0.1", 
              RowBox[{"(", 
               RowBox[{"b", "-", "a"}], ")"}], 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "1"}], ",", "1"}], "}"}]}]}], "}"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"PlotRangePadding", "\[Rule]", 
           RowBox[{"0.1", 
            RowBox[{"(", 
             RowBox[{"b", "-", "a"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"Axes", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"True", ",", "False"}], "}"}]}], ",", 
          RowBox[{"Ticks", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{"#", ",", "#"}], "}"}], "&"}], " ", "/@", " ", 
              "pts"}], ",", "None"}], "}"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"a", "\[Equal]", "b"}], ",", "\[IndentingNewLine]", 
       "\"\<Endpoints Are Equal!\>\"", ",", "\[IndentingNewLine]", 
       RowBox[{"a", ">", "b"}], ",", "\[IndentingNewLine]", 
       "\"\<Endpoints Are Reversed!\>\""}], "\[IndentingNewLine]", "]"}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.36974711420394*^9, 3.3697471173620768`*^9}, {
   3.36974715062175*^9, 3.36974725863126*^9}, {3.36974765037226*^9, 
   3.3697476913477697`*^9}, {3.36975188853383*^9, 3.3697518980346413`*^9}, {
   3.3697519325176897`*^9, 3.36975201545031*^9}, {3.36975208888806*^9, 
   3.3697521423355627`*^9}, {3.36975218179318*^9, 3.36975219416997*^9}, {
   3.36975222624417*^9, 3.3697522277933598`*^9}, {3.36975237068818*^9, 
   3.36975239085081*^9}, {3.36975243169272*^9, 3.36975248489355*^9}, {
   3.36975254396011*^9, 3.3697525484824743`*^9}, {3.36986643671871*^9, 
   3.36986644536549*^9}, {3.3698666795811987`*^9, 3.36986668135993*^9}, {
   3.36992190222204*^9, 3.3699219140625*^9}, {3.36992230910106*^9, 
   3.3699223162331448`*^9}, {3.36992238418369*^9, 3.3699224328648243`*^9}, {
   3.3699226086314373`*^9, 3.36992261476562*^9}, {3.3699235073645153`*^9, 
   3.3699235542373962`*^9}, {3.36992378797518*^9, 3.36992379644498*^9}, 
   3.36992454519561*^9, 3.36992675983909*^9, {3.36992686466827*^9, 
   3.36992694278076*^9}, 3.36992712978129*^9, {3.36994349719694*^9, 
   3.36994353666375*^9}, {3.36994360621697*^9, 3.36994361593328*^9}, {
   3.3699436664703217`*^9, 3.36994366744445*^9}, {3.36994370054237*^9, 
   3.36994372505086*^9}, {3.36994380273965*^9, 3.36994382114832*^9}, {
   3.36994391268587*^9, 3.36994397909144*^9}, {3.36994402688306*^9, 
   3.36994405555327*^9}, {3.36994415410195*^9, 3.3699441679436*^9}, {
   3.36994427676713*^9, 3.3699442806737556`*^9}, {3.36994440402345*^9, 
   3.3699445027859592`*^9}, {3.36994459696591*^9, 3.36994464590452*^9}, {
   3.3699450292183313`*^9, 3.36994510885405*^9}, {3.36994586394812*^9, 
   3.36994587229876*^9}, 3.36994688578341*^9, {3.36995068667723*^9, 
   3.36995071492549*^9}, {3.3699507788400583`*^9, 3.36995083661724*^9}, {
   3.36995104043602*^9, 3.36995115046424*^9}, {3.3699511999996767`*^9, 
   3.3699512047157*^9}, {3.3699512495862827`*^9, 3.36995130281235*^9}, 
   3.36995159157094*^9, {3.37012487253609*^9, 3.37012489510141*^9}, {
   3.37012493503992*^9, 3.3701250085418253`*^9}, {3.37012534288488*^9, 
   3.37012534323953*^9}, {3.37012553805968*^9, 3.3701255488026*^9}, {
   3.3701255898280582`*^9, 3.37012559004922*^9}, 3.37028629178934*^9, {
   3.3702882959827347`*^9, 3.37028829892521*^9}, {3.37053093768339*^9, 
   3.37053094424612*^9}, 3.37053184445638*^9, {3.37053189842128*^9, 
   3.37053192542944*^9}, {3.37053198350672*^9, 3.37053200309033*^9}, {
   3.37053209304641*^9, 3.37053210312396*^9}, {3.37053214153641*^9, 
   3.37053216898654*^9}, {3.37053224488491*^9, 3.37053226857895*^9}, {
   3.370619865500311*^9, 3.370619868734665*^9}, 3.377194782515625*^9},
 CellID->1199929704],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ShowRationals", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox[
         RowBox[{"a", "+", "b"}], "2"], "-", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"2", "*", 
           SuperscriptBox["10", "zoom"]}]], 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], ",", 
       RowBox[{
        FractionBox[
         RowBox[{"a", "+", "b"}], "2"], "+", 
        FractionBox[
         RowBox[{"b", "-", "a"}], 
         RowBox[{"2", "*", 
          SuperscriptBox["10", "zoom"]}]]}]}], "}"}], " ", ",", "n", ",", 
     "mode"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"mode", ",", 
     RowBox[{"{", 
      RowBox[{"spaced", ",", "simple", ",", "random"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "0", ",", "\"\<left endpoint\>\""}], "}"}], ",", "0", 
     ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "1", ",", "\"\<right endpoint\>\""}], "}"}], ",", "0",
      ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"zoom", ",", "0", ",", "3", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "5", ",", "\"\<number of points\>\""}], "}"}], ",", 
     "1", ",", "10", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "5"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.36975303669719*^9, 3.36975310485485*^9}, {
   3.36975315682343*^9, 3.36975320475724*^9}, 3.36975365815996*^9, {
   3.36976363980517*^9, 3.3697636400405207`*^9}, 3.3697638635362883`*^9, 
   3.3697640654901*^9, {3.36976420465394*^9, 3.3697642051507*^9}, {
   3.3697643738432827`*^9, 3.36976438903197*^9}, {3.36976450224324*^9, 
   3.36976450266323*^9}, {3.3697648501948442`*^9, 3.36976485254075*^9}, {
   3.3698664666084*^9, 3.36986649604167*^9}, {3.36992204850637*^9, 
   3.36992207696116*^9}, {3.3699221950084*^9, 3.3699222375120373`*^9}, {
   3.36992227134602*^9, 3.3699222795841208`*^9}, {3.36992232028245*^9, 
   3.3699223666850653`*^9}, {3.3699224549343023`*^9, 3.3699224687581987`*^9}, 
   3.36992259394004*^9, {3.36992316948964*^9, 3.3699231738692217`*^9}, {
   3.3699232218893213`*^9, 3.36992322403163*^9}, {3.3699233558589487`*^9, 
   3.36992337648402*^9}, 3.36992348072291*^9, 3.3699268140856*^9, {
   3.36992726641748*^9, 3.36992726860252*^9}, {3.3699278249878798`*^9, 
   3.3699278833996468`*^9}, {3.36992799692575*^9, 3.3699280142842712`*^9}, {
   3.36992815860345*^9, 3.36992817352998*^9}, 3.36992832859534*^9, 
   3.36992836449764*^9, {3.36992842729349*^9, 3.36992843073966*^9}, 
   3.36992862659466*^9, {3.3699299758070307`*^9, 3.36993000999228*^9}, {
   3.369930043383*^9, 3.3699300598592167`*^9}, {3.36994494264161*^9, 
   3.3699449689017487`*^9}, {3.36994678425156*^9, 3.36994682543059*^9}, 
   3.3699469622739897`*^9, {3.36994768791615*^9, 3.36994769029881*^9}, {
   3.36994819287181*^9, 3.36994820297324*^9}, {3.36995193320123*^9, 
   3.3699519561949253`*^9}, {3.36995229054685*^9, 3.36995229778387*^9}, 
   3.3699523406061068`*^9, {3.36995242090544*^9, 3.3699524393953733`*^9}, {
   3.3699525480258293`*^9, 3.3699525623571873`*^9}, 3.36995262322488*^9, 
   3.3699531456491*^9, {3.37012555837539*^9, 3.370125561222*^9}, {
   3.3702887961496553`*^9, 3.37028880520096*^9}, {3.37719513515625*^9, 
   3.377195146359375*^9}, {3.3771953784375*^9, 3.377195429765625*^9}, {
   3.37719568203125*^9, 3.37719568603125*^9}, {3.3797933988989525`*^9, 
   3.3797934295059767`*^9}, {3.380728996765625*^9, 3.38072899725*^9}},
 CellID->705957841]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0, $CellContext`b$$ = 
    1, $CellContext`mode$$ = $CellContext`spaced, $CellContext`n$$ = 
    5, $CellContext`zoom$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`mode$$], {$CellContext`spaced, $CellContext`simple, \
$CellContext`random}}, {{
       Hold[$CellContext`a$$], 0, "left endpoint"}, 0, 1}, {{
       Hold[$CellContext`b$$], 1, "right endpoint"}, 0, 1}, {
      Hold[$CellContext`zoom$$], 0, 3}, {{
       Hold[$CellContext`n$$], 5, "number of points"}, 1, 10, 1}}, 
    Typeset`size$$ = {500., {81., 86.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`mode$198472$$ = 0, $CellContext`a$198473$$ = 
    0, $CellContext`b$198474$$ = 0, $CellContext`zoom$198475$$ = 
    0, $CellContext`n$198476$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 0, $CellContext`b$$ = 
        1, $CellContext`mode$$ = $CellContext`spaced, $CellContext`n$$ = 
        5, $CellContext`zoom$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`mode$$, $CellContext`mode$198472$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$198473$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$198474$$, 0], 
        Hold[$CellContext`zoom$$, $CellContext`zoom$198475$$, 0], 
        Hold[$CellContext`n$$, $CellContext`n$198476$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`ShowRationals[{($CellContext`a$$ + \
$CellContext`b$$)/2 - (1/(2 
          10^$CellContext`zoom$$)) ($CellContext`b$$ - $CellContext`a$$), \
($CellContext`a$$ + $CellContext`b$$)/
          2 + ($CellContext`b$$ - $CellContext`a$$)/(2 
          10^$CellContext`zoom$$)}, $CellContext`n$$, $CellContext`mode$$], 
      "Specifications" :> {{$CellContext`mode$$, {$CellContext`spaced, \
$CellContext`simple, $CellContext`random}}, {{$CellContext`a$$, 0, 
          "left endpoint"}, 0, 1, Appearance -> 
         "Labeled"}, {{$CellContext`b$$, 1, "right endpoint"}, 0, 1, 
         Appearance -> "Labeled"}, {$CellContext`zoom$$, 0, 3, Appearance -> 
         "Labeled"}, {{$CellContext`n$$, 5, "number of points"}, 1, 10, 1, 
         Appearance -> "Labeled"}}, 
      "Options" :> {AutorunSequencing -> {{1, 10}, {4, 5}, {5, 5}}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {177., 182.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`ShowRationals[{
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]}, 
          Pattern[$CellContext`n, 
           Blank[]], 
          Pattern[$CellContext`mode, 
           Blank[]]] := Module[{$CellContext`pts, $CellContext`m}, 
          
          Which[$CellContext`a < $CellContext`b, $CellContext`pts = \
$CellContext`GetRationals[{$CellContext`a, $CellContext`b}, $CellContext`n, \
$CellContext`mode]; Graphics[{
              PointSize[Medium], 
              Point[{{$CellContext`a, 0}, {$CellContext`b, 0}}], 
              
              Text[$CellContext`a, {$CellContext`a, 
                0.05 ($CellContext`b - $CellContext`a)}], 
              
              Text[$CellContext`b, {$CellContext`b, 
                0.05 ($CellContext`b - $CellContext`a)}, {1, 0}]}, 
             PlotRange -> {{$CellContext`a, $CellContext`b}, 
               0.1 ($CellContext`b - $CellContext`a) {-1, 1}}, 
             PlotRangePadding -> 0.1 ($CellContext`b - $CellContext`a), 
             Axes -> {True, False}, Ticks -> {
               Map[{#, #}& , $CellContext`pts], None}, ImageSize -> 
             500], $CellContext`a == $CellContext`b, 
           "Endpoints Are Equal!", $CellContext`a > $CellContext`b, 
           "Endpoints Are Reversed!"]], $CellContext`GetRationals[{
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]}, 
          Pattern[$CellContext`n, 
           Blank[]], $CellContext`random] := 
        Module[{$CellContext`rats}, $CellContext`rats = 
           Map[Rationalize[#, ($CellContext`b - $CellContext`a)/100]& , 
             RandomReal[{$CellContext`a, $CellContext`b}, 4 $CellContext`n]]; 
          RandomSample[
            
            Union[$CellContext`rats], $CellContext`n]], \
$CellContext`GetRationals[{
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]}, 
          Pattern[$CellContext`n, 
           Blank[]], $CellContext`simple] := 
        Module[{$CellContext`rats = {}, $CellContext`d = 1}, 
          While[Length[$CellContext`rats] < $CellContext`n, 
            Increment[$CellContext`d]; $CellContext`rats = Complement[
               Union[$CellContext`rats, Range[
                  Ceiling[$CellContext`a $CellContext`d], 
                  Floor[$CellContext`b $CellContext`d]]/$CellContext`d], {0, 
               1}]]; $CellContext`rats], $CellContext`GetRationals[{
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]}, 
          Pattern[$CellContext`n, 
           Blank[]], $CellContext`spaced] := 
        Map[Rationalize[#, ($CellContext`b - $CellContext`a)/(
           4 $CellContext`n)]& , 
          
          Range[$CellContext`a + ($CellContext`b - $CellContext`a)/(
            2 $CellContext`n), $CellContext`b - ($CellContext`b - \
$CellContext`a)/(
           2 $CellContext`n), ($CellContext`b - \
$CellContext`a)/$CellContext`n]]}; Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`GetRationals[{
             Pattern[$CellContext`a, 
              Blank[]], 
             Pattern[$CellContext`b, 
              Blank[]]}, 
            Pattern[$CellContext`n, 
             Blank[]], $CellContext`random] := 
          Module[{$CellContext`rats}, $CellContext`rats = 
             Map[Rationalize[#, ($CellContext`b - $CellContext`a)/100]& , 
               
               RandomReal[{$CellContext`a, $CellContext`b}, 
                4 $CellContext`n]]; RandomSample[
              Union[$CellContext`rats], $CellContext`n]]; 
         Null, $CellContext`GetRationals[{
             Pattern[$CellContext`a, 
              Blank[]], 
             Pattern[$CellContext`b, 
              Blank[]]}, 
            Pattern[$CellContext`n, 
             Blank[]], $CellContext`simple] := 
          Module[{$CellContext`rats = {}, $CellContext`d = 1}, 
            While[Length[$CellContext`rats] < $CellContext`n, 
              Increment[$CellContext`d]; $CellContext`rats = Complement[
                 Union[$CellContext`rats, Range[
                    Ceiling[$CellContext`a $CellContext`d], 
                    Floor[$CellContext`b $CellContext`d]]/$CellContext`d], {0,
                  1}]]; $CellContext`rats]; Null, $CellContext`GetRationals[{
             Pattern[$CellContext`a, 
              Blank[]], 
             Pattern[$CellContext`b, 
              Blank[]]}, 
            Pattern[$CellContext`n, 
             Blank[]], $CellContext`spaced] := 
          Map[Rationalize[#, ($CellContext`b - $CellContext`a)/(
             4 $CellContext`n)]& , 
            
            Range[$CellContext`a + ($CellContext`b - $CellContext`a)/(
              2 $CellContext`n), $CellContext`b - ($CellContext`b - \
$CellContext`a)/(
             2 $CellContext`n), ($CellContext`b - \
$CellContext`a)/$CellContext`n]]; Null, $CellContext`ShowRationals[{
             Pattern[$CellContext`a, 
              Blank[]], 
             Pattern[$CellContext`b, 
              Blank[]]}, 
            Pattern[$CellContext`n, 
             Blank[]], 
            Pattern[$CellContext`mode, 
             Blank[]]] := Module[{$CellContext`pts, $CellContext`m}, 
            
            Which[$CellContext`a < $CellContext`b, $CellContext`pts = \
$CellContext`GetRationals[{$CellContext`a, $CellContext`b}, $CellContext`n, \
$CellContext`mode]; Graphics[{
                PointSize[Medium], 
                Point[{{$CellContext`a, 0}, {$CellContext`b, 0}}], 
                
                Text[$CellContext`a, {$CellContext`a, 
                  0.05 ($CellContext`b - $CellContext`a)}], 
                
                Text[$CellContext`b, {$CellContext`b, 
                  0.05 ($CellContext`b - $CellContext`a)}, {1, 0}]}, 
               PlotRange -> {{$CellContext`a, $CellContext`b}, 
                 0.1 ($CellContext`b - $CellContext`a) {-1, 1}}, 
               PlotRangePadding -> 0.1 ($CellContext`b - $CellContext`a), 
               Axes -> {True, False}, Ticks -> {
                 Map[{#, #}& , $CellContext`pts], None}, ImageSize -> 
               500], $CellContext`a == $CellContext`b, 
             "Endpoints Are Equal!", $CellContext`a > $CellContext`b, 
             "Endpoints Are Reversed!"]]; Null}]]; Typeset`initDone$$ = True),
    
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->460252339],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Rational Number Explorer",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RationalNumberExplorer/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/RationalNumberExplorer/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/RationalNumberExplorer/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RationalNumberExplorer/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/RationalNumberExplorer/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Richard Mercer",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Richard+Mercer"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Richard+Mercer"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->1134999467],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
RationalNumberExplorer"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Rational Number Explorer - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 216, 4, 70, "Section"],
Cell[809, 29, 1705, 41, 70, "Input",
 InitializationCell->True,
 CellID->1991716005],
Cell[2517, 72, 2211, 52, 70, "Input",
 InitializationCell->True,
 CellID->1943290246],
Cell[4731, 126, 2432, 56, 70, "Input",
 InitializationCell->True,
 CellID->1947860946],
Cell[7166, 184, 5872, 122, 70, "Input",
 InitializationCell->True,
 CellID->1199929704],
Cell[13041, 308, 4323, 94, 70, "Input",
 CellID->705957841]
}, Open  ]],
Cell[17379, 405, 9665, 199, 70, "Output",
 CellID->460252339],
Cell[CellGroupData[{
Cell[27069, 608, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[27445, 619, 911, 24, 70, "Text"],
Cell[28359, 645, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[28699, 656, 457, 15, 70, "Text",
 CellID->1134999467],
Cell[CellGroupData[{
Cell[29181, 675, 829, 24, 70, "Text"],
Cell[30013, 701, 1198, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature #SNx740hpacd9A0e7k#sgH0R *)
