(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20019,        531]
NotebookOptionsPosition[     18971,        492]
NotebookOutlinePosition[     19586,        516]
CellTagsIndexPosition[     19543,        513]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["The Distributive Property", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Pane", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Grid", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{"x", ",", "20", ",", "Bold"}], "]"}]}], ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\< \[Times] (\>\"", ",", "20", ",", "Bold"}], 
                "]"}]}], ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{"y", ",", "20", ",", "Bold"}], "]"}]}], ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"z", "<", "0"}], ",", "\"\< - \>\"", ",", 
                   "\"\< + \>\""}], "]"}], ",", "20", ",", "Bold"}], "]"}]}], 
              ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Abs", "[", "z", "]"}], ",", "20", ",", "Bold"}], 
                "]"}]}], ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<)\>\"", ",", "20", ",", "Bold"}], "]"}]}]}], 
             "}"}], "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{"x", ",", "20", ",", "Bold"}], "]"}]}], ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\< \[Times] (\>\"", ",", "20", ",", "Bold"}], 
                "]"}]}], ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{"y", ",", "20", ",", "Bold"}], "]"}]}], ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<)\>\"", ",", "20", ",", "Bold"}], "]"}]}], ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<  +  \>\"", ",", "20", ",", "Bold"}], "]"}]}], 
              ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{"x", ",", "20", ",", "Bold"}], "]"}]}], ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\< \[Times] (\>\"", ",", "20", ",", "Bold"}], 
                "]"}]}], ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{"z", ",", "20", ",", "Bold"}], "]"}]}], ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<)\\n\>\"", ",", "20", ",", "Bold"}], "]"}]}]}], 
             "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Text", "@", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<=\\n\>\"", ",", "20", ",", "Bold"}], "]"}]}], ",", 
           RowBox[{"Text", "@", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<=\>\"", ",", "20", ",", "Bold"}], "]"}]}]}], "}"}], 
         ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{"x", ",", "20", ",", "Bold"}], "]"}]}], ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\< \[Times] (\>\"", ",", "20", ",", "Bold"}], 
                "]"}]}], ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"y", "+", "z"}], ",", "20", ",", "Bold"}], "]"}]}], 
              ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<)\>\"", ",", "20", ",", "Bold"}], "]"}]}], ",", 
              "\"\<\\n\>\""}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"x", "*", "y"}], ",", "20", ",", "Bold"}], "]"}]}], 
              ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "*", "z"}], "<", "0"}], ",", "\"\< - \>\"", 
                   ",", "\"\< + \>\""}], "]"}], ",", "20", ",", "Bold"}], 
                "]"}]}], ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Abs", "[", 
                  RowBox[{"x", "*", "z"}], "]"}], ",", "20", ",", "Bold"}], 
                "]"}]}]}], "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Text", "@", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<=\\n\>\"", ",", "20", ",", "Bold"}], "]"}]}], ",", 
           RowBox[{"Text", "@", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<=\>\"", ",", "20", ",", "Bold"}], "]"}]}]}], "}"}], 
         ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Text", "@", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"x", "*", 
               RowBox[{"(", 
                RowBox[{"y", "+", "z"}], ")"}]}], ",", "20", ",", "Bold"}], 
             "]"}]}], ",", 
           RowBox[{"Text", "@", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"x", "*", "y"}], "+", 
               RowBox[{"x", "*", "z"}]}], ",", "20", ",", "Bold"}], "]"}]}]}],
           "}"}]}], "\[IndentingNewLine]", "}"}], ",", 
       RowBox[{"Dividers", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"False", ",", "True", ",", "False"}], "}"}], ",", 
          "False"}], "}"}]}], ",", 
       RowBox[{"Spacings", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "4"}], "}"}], ",", "0"}], "}"}]}]}], "]"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"450", ",", "250"}], "}"}], ",", 
     RowBox[{"Alignment", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Center", ",", "Center"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", "\"\<x\>\""}], "}"}], ",", 
     RowBox[{"-", "20"}], ",", "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"y", ",", "4", ",", "\"\<y\>\""}], "}"}], ",", 
     RowBox[{"-", "20"}], ",", "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{"-", "2"}], ",", "\"\<z\>\""}], "}"}], ",", 
     RowBox[{"-", "20"}], ",", "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.423224411328043*^9, 3.423224412624935*^9}, {
   3.423224454500471*^9, 3.423224783114052*^9}, {3.423224838349134*^9, 
   3.4232249659757676`*^9}, {3.423225018288937*^9, 3.423225029382829*^9}, {
   3.423225073914649*^9, 3.423225099899357*^9}, {3.4232251322903967`*^9, 
   3.423225288808025*^9}, {3.4232253416212006`*^9, 3.423225471263485*^9}, {
   3.4232255248735466`*^9, 3.4232256717973022`*^9}, {3.4232257084852715`*^9, 
   3.423225745548246*^9}, {3.4232257930019784`*^9, 3.423225817236664*^9}, {
   3.4232258885344515`*^9, 3.423225897909571*^9}, {3.423225940566367*^9, 
   3.4232261145060935`*^9}, {3.423226209554185*^9, 3.4232262499922028`*^9}, {
   3.423226292117742*^9, 3.4232263098210936`*^9}, {3.4232264065254564`*^9, 
   3.423226412259905*^9}, {3.42322644274467*^9, 3.423226450697897*^9}, {
   3.4232264931984406`*^9, 3.423226559839919*^9}, {3.4232267710926228`*^9, 
   3.423226790077241*^9}, {3.423226822983912*^9, 3.423226839468498*^9}, {
   3.4232268725001707`*^9, 3.4232268742970686`*^9}, {3.4232269068131104`*^9, 
   3.4232269075474944`*^9}, {3.423242163742771*^9, 3.423242190680616*^9}, {
   3.4232423113852863`*^9, 3.4232423492920213`*^9}, {3.4232423950113564`*^9, 
   3.423242416542882*^9}, {3.4233306791405454`*^9, 3.423330687609458*^9}, {
   3.423330759642091*^9, 3.4233308414249115`*^9}, {3.4233308845194883`*^9, 
   3.423330918942024*^9}, {3.423409518960497*^9, 3.423409585615467*^9}, {
   3.423409643942472*^9, 3.4234096460518064`*^9}, {3.4234096782386885`*^9, 
   3.4234096850198083`*^9}, {3.4234862198705735`*^9, 3.423486219951582*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x$$ = 1, $CellContext`y$$ = 
    4, $CellContext`z$$ = -2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x$$], 1, "x"}, -20, 20, 1}, {{
       Hold[$CellContext`y$$], 4, "y"}, -20, 20, 1}, {{
       Hold[$CellContext`z$$], -2, "z"}, -20, 20, 1}}, Typeset`size$$ = {
    450., {122.5, 127.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`x$14182$$ = 
    0, $CellContext`y$14183$$ = 0, $CellContext`z$14184$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`x$$ = 1, $CellContext`y$$ = 
        4, $CellContext`z$$ = -2}, "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$14182$$, 0], 
        Hold[$CellContext`y$$, $CellContext`y$14183$$, 0], 
        Hold[$CellContext`z$$, $CellContext`z$14184$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        Grid[{{
           Row[{
             Text[
              Style[$CellContext`x$$, 20, Bold]], 
             Text[
              Style[" \[Times] (", 20, Bold]], 
             Text[
              Style[$CellContext`y$$, 20, Bold]], 
             Text[
              Style[
               If[$CellContext`z$$ < 0, " - ", " + "], 20, Bold]], 
             Text[
              Style[
               Abs[$CellContext`z$$], 20, Bold]], 
             Text[
              Style[")", 20, Bold]]}], 
           Row[{
             Text[
              Style[$CellContext`x$$, 20, Bold]], 
             Text[
              Style[" \[Times] (", 20, Bold]], 
             Text[
              Style[$CellContext`y$$, 20, Bold]], 
             Text[
              Style[")", 20, Bold]], 
             Text[
              Style["  +  ", 20, Bold]], 
             Text[
              Style[$CellContext`x$$, 20, Bold]], 
             Text[
              Style[" \[Times] (", 20, Bold]], 
             Text[
              Style[$CellContext`z$$, 20, Bold]], 
             Text[
              Style[")\n", 20, Bold]]}]}, {
           Text[
            Style["=\n", 20, Bold]], 
           Text[
            Style["=", 20, Bold]]}, {
           Row[{
             Text[
              Style[$CellContext`x$$, 20, Bold]], 
             Text[
              Style[" \[Times] (", 20, Bold]], 
             Text[
              Style[$CellContext`y$$ + $CellContext`z$$, 20, Bold]], 
             Text[
              Style[")", 20, Bold]], "\n"}], 
           Row[{
             Text[
              Style[$CellContext`x$$ $CellContext`y$$, 20, Bold]], 
             Text[
              Style[
               If[$CellContext`x$$ $CellContext`z$$ < 0, " - ", " + "], 20, 
               Bold]], 
             Text[
              Style[
               Abs[$CellContext`x$$ $CellContext`z$$], 20, Bold]]}]}, {
           Text[
            Style["=\n", 20, Bold]], 
           Text[
            Style["=", 20, Bold]]}, {
           Text[
            
            Style[$CellContext`x$$ ($CellContext`y$$ + $CellContext`z$$), 20, 
             Bold]], 
           Text[
            
            Style[$CellContext`x$$ $CellContext`y$$ + $CellContext`x$$ \
$CellContext`z$$, 20, Bold]]}}, Dividers -> {{False, True, False}, False}, 
         Spacings -> {{1, 4}, 0}], {450, 250}, Alignment -> {Center, Center}],
       "Specifications" :> {{{$CellContext`x$$, 1, "x"}, -20, 20, 1, 
         Appearance -> "Labeled"}, {{$CellContext`y$$, 4, "y"}, -20, 20, 1, 
         Appearance -> "Labeled"}, {{$CellContext`z$$, -2, "z"}, -20, 20, 1, 
         Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {193., 198.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->27889653],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["The Distributive Property",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheDistributiveProperty/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TheDistributiveProperty/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TheDistributiveProperty/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheDistributiveProperty/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TheDistributiveProperty/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Sarah Lichtblau",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Sarah+\
Lichtblau"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Sarah+Lichtblau"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TheDistributiveProperty"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"The Distributive Property - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 217, 4, 70, "Section"],
Cell[810, 29, 9490, 215, 70, "Input"]
}, Open  ]],
Cell[10315, 247, 4472, 112, 70, "Output",
 CellID->27889653],
Cell[CellGroupData[{
Cell[14812, 363, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15188, 374, 917, 24, 70, "Text"],
Cell[16108, 400, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16448, 411, 439, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[16912, 429, 829, 24, 70, "Text"],
Cell[17744, 455, 1199, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature YQ4XaTXmpb6#cBpau11vqsiZ *)
