(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20673,        519]
NotebookOptionsPosition[     19588,        478]
NotebookOutlinePosition[     20200,        502]
CellTagsIndexPosition[     20157,        499]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["The Triangle Inequality", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", " ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "disp", "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"disp", "[", "x_", "]"}], ":=", 
       RowBox[{"NumberForm", "[", 
        RowBox[{"x", ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "2"}], "}"}], ",", 
         RowBox[{"NumberPadding", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<\>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Grid", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Text", "@", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<|x| + |y| = \>\"", ",", 
                RowBox[{"disp", "@", 
                 RowBox[{"N", "@", 
                  RowBox[{"Norm", "[", "x", "]"}]}]}], ",", " ", 
                "\"\< + \>\"", ",", 
                RowBox[{"disp", "@", 
                 RowBox[{"N", "@", 
                  RowBox[{"Norm", "[", 
                   RowBox[{"y", "-", "x"}], "]"}]}]}], ",", "\"\< = \>\"", 
                ",", 
                RowBox[{"disp", "@", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"N", "@", 
                    RowBox[{"Norm", "[", "x", "]"}]}], "+", " ", 
                   RowBox[{"N", "@", 
                    RowBox[{"Norm", "[", 
                    RowBox[{"x", "-", "y"}], "]"}]}]}], ")"}]}]}], "}"}], 
              "]"}], ",", "\"\<Label\>\"", ",", "Medium"}], "]"}]}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"Text", "@", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<|x + y| = \>\"", ",", 
                RowBox[{"disp", "@", 
                 RowBox[{"N", "@", 
                  RowBox[{"Norm", "[", "y", "]"}]}]}]}], "}"}], "]"}], ",", 
             "\"\<Label\>\"", ",", "Medium"}], "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}], ",", "x"}], "}"}], "]"}], 
              ",", " ", "\[IndentingNewLine]", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{"x", ",", "y"}], "}"}], "]"}], ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}], ",", "y"}], "}"}], "]"}], 
              ",", " ", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}], ",", "y"}], "}"}], "]"}], 
              ",", " ", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<x\>\"", ",", " ", "\"\<Label\>\"", ",", "Medium"}], 
                 "]"}], ",", 
                RowBox[{
                 RowBox[{"x", "/", "2"}], "+", 
                 RowBox[{"{", 
                  RowBox[{".25", ",", 
                   RowBox[{"-", ".25"}]}], "}"}]}]}], "]"}], ",", " ", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<x + y\>\"", ",", " ", "\"\<Label\>\"", ",", "Medium"}], 
                 "]"}], ",", 
                RowBox[{
                 RowBox[{"y", "/", "2"}], "+", 
                 RowBox[{"{", 
                  RowBox[{".25", ",", 
                   RowBox[{"-", ".25"}]}], "}"}]}]}], "]"}], ",", " ", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<y\>\"", ",", " ", "\"\<Label\>\"", ",", "Medium"}], 
                 "]"}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"x", "+", "y"}], ")"}], "/", "2"}], "+", 
                 RowBox[{"{", 
                  RowBox[{".25", ",", 
                   RowBox[{"-", ".25"}]}], "}"}]}]}], "]"}]}], 
             "\[IndentingNewLine]", "}"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "500"}], ",", " ", 
            RowBox[{"Axes", "\[Rule]", "True"}], ",", 
            RowBox[{"PlotRange", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}]}], "]"}], 
          "}"}]}], "}"}], "]"}]}]}], "]"}], ",", " ", "\[IndentingNewLine]", 
   "  ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "2"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "5"}], ",", 
       RowBox[{"-", "5"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "5"}], "}"}], ",", "Locator"}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "4"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "5"}], ",", 
       RowBox[{"-", "5"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "5"}], "}"}], ",", " ", "Locator"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.37252104537814*^9, 3.37252107517431*^9}, {
   3.37252111871951*^9, 3.37252119199795*^9}, {3.37252123823055*^9, 
   3.37252125980784*^9}, {3.37252143026477*^9, 3.37252144126365*^9}, {
   3.37252325984975*^9, 3.37252328736784*^9}, {3.37252337110972*^9, 
   3.3725235499695*^9}, {3.37252362060082*^9, 3.3725236933886*^9}, {
   3.3725237283761*^9, 3.37252382019683*^9}, {3.37252446466082*^9, 
   3.37252459940015*^9}, {3.37252482394987*^9, 3.37252484335882*^9}, {
   3.37252525040457*^9, 3.37252526971663*^9}, {3.37252561878046*^9, 
   3.3725259721026*^9}, {3.37252601144782*^9, 3.37252602931074*^9}, {
   3.37252652989402*^9, 3.37252664276653*^9}, {3.37252675994489*^9, 
   3.37252685451754*^9}, {3.37252692415996*^9, 3.37252695167995*^9}, {
   3.37252698519068*^9, 3.37252707514547*^9}, {3.37252711954563*^9, 
   3.37252716531867*^9}, {3.37252731784867*^9, 3.37252735961228*^9}, {
   3.37252739544755*^9, 3.37252740641498*^9}, {3.37259710838473*^9, 
   3.3725971090409*^9}, {3.37259714736436*^9, 3.37259721426248*^9}, {
   3.37259724805524*^9, 3.37259731594911*^9}, {3.37259734862074*^9, 
   3.37259742613396*^9}, {3.37259745983536*^9, 3.37259746035024*^9}, {
   3.37259786234491*^9, 3.37259787147834*^9}, 3.37259791988662*^9, {
   3.3726112961712*^9, 3.37261133871371*^9}, {3.37261213755378*^9, 
   3.37261214542797*^9}, {3.37268906248438*^9, 3.37268920698079*^9}, {
   3.37268923743048*^9, 3.37268926268393*^9}, {3.37268931888616*^9, 
   3.37268934939683*^9}, {3.37268954835652*^9, 3.3726896189973*^9}, {
   3.37268965116502*^9, 3.37268966161635*^9}, {3.37269336527033*^9, 
   3.37269337350007*^9}, {3.37269346276227*^9, 3.37269361875249*^9}, {
   3.37269414185362*^9, 3.37269414758255*^9}, {3.37269423752354*^9, 
   3.37269429745811*^9}, {3.37269451370054*^9, 3.37269458500284*^9}, {
   3.37269570608229*^9, 3.37269571500616*^9}, {3.37269576484545*^9, 
   3.372695805386*^9}, {3.37269583667466*^9, 3.37269592063203*^9}, {
   3.37269619032284*^9, 3.37269625935614*^9}, {3.37269671714747*^9, 
   3.37269674985938*^9}, {3.37269750156139*^9, 3.37269753703967*^9}, {
   3.37269763853569*^9, 3.37269777819823*^9}, {3.37269809112607*^9, 
   3.37269815286141*^9}, {3.3726982205671*^9, 3.37269822075465*^9}, {
   3.37407247864063*^9, 3.37407256621875*^9}, {3.374072597875*^9, 
   3.3740727638125*^9}, {3.37407279557813*^9, 3.3740728105625*^9}, {
   3.37407295965625*^9, 3.3740730530625*^9}, {3.37407322901563*^9, 
   3.37407327873438*^9}, {3.37407331445313*^9, 3.37407337*^9}, {
   3.37407342928125*^9, 3.374073472*^9}, {3.37407355359375*^9, 
   3.37407362865625*^9}, {3.37407367926563*^9, 3.37407379401563*^9}, {
   3.37407385339063*^9, 3.37407393432813*^9}, {3.37407397903125*^9, 
   3.37407404403125*^9}, {3.3740740775*^9, 3.37407419735938*^9}, {
   3.37407423620313*^9, 3.37407429714063*^9}, {3.37407435129688*^9, 
   3.37407435567188*^9}, {3.37407444021875*^9, 3.3740744455*^9}, {
   3.3740744780625*^9, 3.37407461795313*^9}, 3.37407469879688*^9, {
   3.37407474107813*^9, 3.3740747450625*^9}, {3.37407506610938*^9, 
   3.37407509984375*^9}, {3.37407519796875*^9, 3.37407529351563*^9}, {
   3.37407537857813*^9, 3.37407559120313*^9}, {3.37407567153125*^9, 
   3.37407567271875*^9}, {3.37725385528125*^9, 3.3772539843125*^9}, {
   3.377255379484375*^9, 3.377255401984375*^9}, {3.377255498921875*^9, 
   3.3772555473125*^9}, {3.377255595171875*^9, 3.3772556434375*^9}, {
   3.377255753875*^9, 3.377255846875*^9}, {3.377255925546875*^9, 
   3.3772560199375*^9}, {3.377256082609375*^9, 3.37725608546875*^9}, {
   3.377256115734375*^9, 3.377256253671875*^9}, {3.377256324703125*^9, 
   3.377256451296875*^9}, {3.377256585359375*^9, 3.37725664409375*^9}, {
   3.3772566913125*^9, 3.377256693140625*^9}, {3.377256748359375*^9, 
   3.37725675809375*^9}, {3.377256819015625*^9, 3.377256840828125*^9}, {
   3.377256893*^9, 3.37725691071875*^9}, {3.37725695340625*^9, 
   3.377256980421875*^9}, {3.3772570316875*^9, 3.37725709546875*^9}, {
   3.377257127078125*^9, 3.377257266625*^9}, {3.37725730065625*^9, 
   3.377257386984375*^9}, {3.377257424921875*^9, 3.377257428078125*^9}, {
   3.377258053515625*^9, 3.37725816821875*^9}, {3.37725822940625*^9, 
   3.3772582814375*^9}, {3.377258357953125*^9, 3.377258456578125*^9}, {
   3.37725855028125*^9, 3.377258561171875*^9}, {3.3772586375*^9, 
   3.37725868496875*^9}, {3.377258735375*^9, 3.377258852390625*^9}, {
   3.37725888665625*^9, 3.377259008140625*^9}, {3.377259241390625*^9, 
   3.377259248125*^9}, {3.377259316078125*^9, 3.377259378765625*^9}, {
   3.377259425796875*^9, 3.377259456375*^9}, {3.37725974090625*^9, 
   3.37725976303125*^9}, {3.377259793984375*^9, 3.37725982790625*^9}, {
   3.3772598684375*^9, 3.37725987515625*^9}, {3.377259914046875*^9, 
   3.37725997546875*^9}, {3.377264912750081*^9, 3.377264918468831*^9}, {
   3.3788620444375*^9, 3.378862183234375*^9}, {3.378862291703125*^9, 
   3.37886234025*^9}, {3.37886252859375*^9, 3.3788625591875*^9}, {
   3.378862897*^9, 3.378862958671875*^9}, {3.379722348421875*^9, 
   3.379722382390625*^9}, {3.3812473213596563`*^9, 3.3812473801096563`*^9}},
 CellID->55552803]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x$$ = {3, 2}, $CellContext`y$$ = {4, 4}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x$$], {3, 2}}, {-5, -5}, {5, 5}}, {{
       Hold[$CellContext`y$$], {4, 4}}, {-5, -5}, {5, 5}}}, Typeset`size$$ = {
    500., {266.5, 271.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`x$29768$$ = {0, 
    0}, $CellContext`y$29769$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`x$$ = {3, 2}, $CellContext`y$$ = {4, 4}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$29768$$, {0, 0}], 
        Hold[$CellContext`y$$, $CellContext`y$29769$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`disp$}, $CellContext`disp$[
           Pattern[$CellContext`x, 
            Blank[]]] := 
         NumberForm[$CellContext`x, {4, 2}, NumberPadding -> {"", "0"}]; 
        Grid[{{
            Text[
             Style[
              Row[{"|x| + |y| = ", 
                $CellContext`disp$[
                 N[
                  Norm[$CellContext`x$$]]], " + ", 
                $CellContext`disp$[
                 N[
                  Norm[$CellContext`y$$ - $CellContext`x$$]]], " = ", 
                $CellContext`disp$[N[
                   Norm[$CellContext`x$$]] + N[
                   Norm[$CellContext`x$$ - $CellContext`y$$]]]}], "Label", 
              Medium]]}, {
            Text[
             Style[
              Row[{"|x + y| = ", 
                $CellContext`disp$[
                 N[
                  Norm[$CellContext`y$$]]]}], "Label", Medium]]}, {
            Graphics[{
              Arrow[{{0, 0}, $CellContext`x$$}], 
              Arrow[{$CellContext`x$$, $CellContext`y$$}], 
              Arrow[{{0, 0}, $CellContext`y$$}], 
              Arrow[{{0, 0}, $CellContext`y$$}], 
              Text[
               Style[
               "x", "Label", Medium], $CellContext`x$$/2 + {0.25, -0.25}], 
              Text[
               Style[
               "x + y", "Label", Medium], $CellContext`y$$/2 + {0.25, -0.25}],
               
              Text[
               Style[
               "y", "Label", Medium], ($CellContext`x$$ + $CellContext`y$$)/
                2 + {0.25, -0.25}]}, ImageSize -> 500, Axes -> True, 
             PlotRange -> {{-5, 5}, {-5, 5}}]}}]], 
      "Specifications" :> {{{$CellContext`x$$, {3, 2}}, {-5, -5}, {5, 5}, 
         ControlType -> Locator}, {{$CellContext`y$$, {4, 4}}, {-5, -5}, {5, 
         5}, ControlType -> Locator}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {294., 299.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->522948315],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["The Triangle Inequality",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheTriangleInequality/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TheTriangleInequality/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TheTriangleInequality/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheTriangleInequality/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TheTriangleInequality/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Chris Boucher",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->614353783],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TheTriangleInequality"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"The Triangle Inequality - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 215, 4, 70, "Section"],
Cell[808, 29, 10941, 231, 70, "Input",
 CellID->55552803]
}, Open  ]],
Cell[11764, 263, 3499, 78, 70, "Output",
 CellID->522948315],
Cell[CellGroupData[{
Cell[15288, 345, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15664, 356, 905, 24, 70, "Text"],
Cell[16572, 382, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16912, 393, 456, 15, 70, "Text",
 CellID->614353783],
Cell[CellGroupData[{
Cell[17393, 412, 967, 27, 70, "Text"],
Cell[18363, 441, 1197, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature ASNeQgHv1GRntApsiLsx5wvT *)
