(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     25266,        661]
NotebookOptionsPosition[     24107,        619]
NotebookOutlinePosition[     24747,        643]
CellTagsIndexPosition[     24704,        640]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["A Convergent Sequence Satisfies the Cauchy Criterion", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"a1_", ",", "n_"}], "]"}], ":=", 
   RowBox[{"a1", "+", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "^", "n"}], "  ", 
     RowBox[{"1", "/", "n"}]}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellID->304060359],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{".6", ",", " ", "0.73", ",", " ", ".36"}], "]"}], ",", 
       RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"a1", "-", 
           RowBox[{"\[Epsilon]", "/", "2"}]}], ",", "0"}], "}"}], "]"}], ",", 
       
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"a1", "+", 
           RowBox[{"\[Epsilon]", "/", "2"}]}], ",", "0"}], "}"}], "]"}], ",", 
       
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", 
            "\"\<+\[Epsilon]/2\>\""}], "}"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a1", "+", 
            RowBox[{"\[Epsilon]", "/", "2"}]}], ",", 
           RowBox[{"0.08", " ", "\[Delta]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", 
            "\"\<-\[Epsilon]/2\>\""}], "}"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a1", "-", 
            RowBox[{"\[Epsilon]", "/", "2"}]}], ",", 
           RowBox[{"0.08", " ", "\[Delta]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{".49", ",", " ", "0", ",", " ", "0"}], "]"}], ",", 
       RowBox[{"PointSize", "[", "0.01", "]"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"a1", "+", 
               RowBox[{"\[Epsilon]", "/", "2"}]}], ">", 
              RowBox[{"a", "[", 
               RowBox[{"a1", ",", "n"}], "]"}], ">", 
              RowBox[{"a1", "-", 
               RowBox[{"\[Epsilon]", "/", "2"}]}]}], ",", 
             RowBox[{"RGBColor", "[", 
              RowBox[{".48", ",", " ", ".11", ",", " ", ".56"}], "]"}], ",", 
             RowBox[{"RGBColor", "[", 
              RowBox[{".49", ",", " ", "0", ",", " ", "0"}], "]"}]}], "]"}], 
           ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"a", "[", 
               RowBox[{"a1", ",", "n"}], "]"}], ",", "0"}], "}"}], "]"}]}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "1", ",", "m"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RGBColor", "[", 
          RowBox[{".33", ",", " ", ".6", ",", " ", ".7"}], "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"a", "[", 
             RowBox[{"a1", ",", 
              RowBox[{"i", "+", "m"}]}], "]"}], ",", "0"}], "}"}], "]"}], ",",
          
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Subscript", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", 
               "\"\<M+i\>\""}], "]"}], ",", "Italic"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "[", 
              RowBox[{"a1", ",", 
               RowBox[{"m", "+", "i"}]}], "]"}], ",", 
             RowBox[{
              RowBox[{"-", "0.15"}], " ", "\[Delta]"}]}], "}"}]}], "]"}]}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RGBColor", "[", 
          RowBox[{".25", ",", " ", ".43", ",", " ", ".82"}], "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"a", "[", 
             RowBox[{"a1", ",", 
              RowBox[{"j", "+", "m"}]}], "]"}], ",", "0"}], "}"}], "]"}], ",",
          
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Subscript", "[", 
              RowBox[{"\"\<a\>\"", ",", "\"\<M+j\>\""}], "]"}], ",", 
             "Italic"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "[", 
              RowBox[{"a1", ",", 
               RowBox[{"m", "+", "j"}]}], "]"}], ",", 
             RowBox[{
              RowBox[{"-", "0.25"}], " ", "\[Delta]"}]}], "}"}]}], "]"}]}], 
        "}"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{".49", ",", " ", "0", ",", " ", "0"}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Subscript", "[", 
            RowBox[{"\"\<a\>\"", ",", "\"\<M\>\""}], "]"}], ",", "Italic"}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "[", 
            RowBox[{"a1", ",", "m"}], "]"}], ",", 
           RowBox[{
            RowBox[{"-", "0.15"}], " ", "\[Delta]"}]}], "}"}]}], "]"}]}], 
      "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"a1", "-", " ", 
           RowBox[{"2", "\[Delta]"}]}], ",", 
          RowBox[{"a1", "+", " ", 
           RowBox[{"2", "\[Delta]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", ".3"}], " ", "\[Delta]"}], " ", ",", 
          RowBox[{".4", "\[Delta]"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Axes", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"True", ",", "False"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "150"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a1", ",", "1.", ",", "\"\<choose limit a\>\""}], "}"}], ",", 
     "0.5", ",", "1.5", ",", "0.1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Epsilon]", ",", "0.5", ",", "\"\<choose \[Epsilon] > 0\>\""}], "}"}],
      ",", "0.01", ",", "0.7", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "1", ",", "\"\<find M\>\""}], "}"}], ",", "1", ",", 
     "40", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "\"\<i terms past M\>\""}], "}"}], ",", "1",
      ",", "100", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"j", ",", "2", ",", "\"\<j terms past M\>\""}], "}"}], ",", "1",
      ",", "100", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Delta]", ",", "1", ",", "\"\<zoom\>\""}], "}"}], ",", "0.01",
      ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.433947583296875*^9, 3.43394758696875*^9}, {
   3.434128547008403*^9, 3.4341287201497154`*^9}, {3.4342106535448837`*^9, 
   3.4342106892172155`*^9}, {3.4342321470783634`*^9, 
   3.4342321539043636`*^9}, {3.4342322074443636`*^9, 
   3.4342322158903637`*^9}, {3.4342326368003635`*^9, 3.4342326444323635`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a1$$ = 1., $CellContext`i$$ = 
    1, $CellContext`j$$ = 2, $CellContext`m$$ = 1, $CellContext`\[Delta]$$ = 
    1, $CellContext`\[Epsilon]$$ = 0.5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a1$$], 1., "choose limit a"}, 0.5, 1.5, 0.1}, {{
       Hold[$CellContext`\[Epsilon]$$], 0.5, "choose \[Epsilon] > 0"}, 0.01, 
      0.7}, {{
       Hold[$CellContext`m$$], 1, "find M"}, 1, 40, 1}, {{
       Hold[$CellContext`i$$], 1, "i terms past M"}, 1, 100, 1}, {{
       Hold[$CellContext`j$$], 2, "j terms past M"}, 1, 100, 1}, {{
       Hold[$CellContext`\[Delta]$$], 1, "zoom"}, 0.01, 1}}, 
    Typeset`size$$ = {500., {73., 77.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`a1$741$$ = 0, $CellContext`\[Epsilon]$742$$ = 
    0, $CellContext`m$743$$ = 0, $CellContext`i$744$$ = 
    0, $CellContext`j$745$$ = 0, $CellContext`\[Delta]$746$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a1$$ = 1., $CellContext`i$$ = 
        1, $CellContext`j$$ = 2, $CellContext`m$$ = 
        1, $CellContext`\[Delta]$$ = 1, $CellContext`\[Epsilon]$$ = 0.5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a1$$, $CellContext`a1$741$$, 0], 
        Hold[$CellContext`\[Epsilon]$$, $CellContext`\[Epsilon]$742$$, 0], 
        Hold[$CellContext`m$$, $CellContext`m$743$$, 0], 
        Hold[$CellContext`i$$, $CellContext`i$744$$, 0], 
        Hold[$CellContext`j$$, $CellContext`j$745$$, 0], 
        Hold[$CellContext`\[Delta]$$, $CellContext`\[Delta]$746$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{
         RGBColor[0.6, 0.73, 0.36], 
         PointSize[0.02], 
         Point[{$CellContext`a1$$ - $CellContext`\[Epsilon]$$/2, 0}], 
         Point[{$CellContext`a1$$ + $CellContext`\[Epsilon]$$/2, 0}], 
         Text[
          Row[{
            Style["a", Italic], 
            "+\[Epsilon]/2"}], {$CellContext`a1$$ + $CellContext`\[Epsilon]$$/
            2, 0.08 $CellContext`\[Delta]$$}], 
         Text[
          Row[{
            Style["a", Italic], 
            "-\[Epsilon]/2"}], {$CellContext`a1$$ - $CellContext`\[Epsilon]$$/
           2, 0.08 $CellContext`\[Delta]$$}], 
         RGBColor[0.49, 0, 0], 
         PointSize[0.01], 
         Table[{
           
           If[$CellContext`a1$$ + $CellContext`\[Epsilon]$$/
              2 > $CellContext`a[$CellContext`a1$$, $CellContext`n] > \
$CellContext`a1$$ - $CellContext`\[Epsilon]$$/2, 
            RGBColor[0.48, 0.11, 0.56], 
            RGBColor[0.49, 0, 0]], 
           Point[{
             $CellContext`a[$CellContext`a1$$, $CellContext`n], 
             0}]}, {$CellContext`n, 1, $CellContext`m$$}], {
          RGBColor[0.33, 0.6, 0.7], 
          Point[{
            $CellContext`a[$CellContext`a1$$, $CellContext`i$$ + \
$CellContext`m$$], 0}], 
          Text[
           Style[
            Subscript[
             Style["a", Italic], "M+i"], Italic], {
            $CellContext`a[$CellContext`a1$$, $CellContext`m$$ + \
$CellContext`i$$], (-0.15) $CellContext`\[Delta]$$}]}, {
          RGBColor[0.25, 0.43, 0.82], 
          Point[{
            $CellContext`a[$CellContext`a1$$, $CellContext`j$$ + \
$CellContext`m$$], 0}], 
          Text[
           Style[
            Subscript["a", "M+j"], Italic], {
            $CellContext`a[$CellContext`a1$$, $CellContext`m$$ + \
$CellContext`j$$], (-0.25) $CellContext`\[Delta]$$}]}, 
         RGBColor[0.49, 0, 0], 
         Text[
          Style[
           Subscript["a", "M"], Italic], {
           $CellContext`a[$CellContext`a1$$, $CellContext`m$$], (-0.15) \
$CellContext`\[Delta]$$}]}, 
        PlotRange -> {{$CellContext`a1$$ - 
           2 $CellContext`\[Delta]$$, $CellContext`a1$$ + 
           2 $CellContext`\[Delta]$$}, {(-0.3) $CellContext`\[Delta]$$, 
           0.4 $CellContext`\[Delta]$$}}, Axes -> {True, False}, 
        ImageSize -> {500, 150}], 
      "Specifications" :> {{{$CellContext`a1$$, 1., "choose limit a"}, 0.5, 
         1.5, 0.1, Appearance -> 
         "Labeled"}, {{$CellContext`\[Epsilon]$$, 0.5, 
          "choose \[Epsilon] > 0"}, 0.01, 0.7, Appearance -> 
         "Labeled"}, {{$CellContext`m$$, 1, "find M"}, 1, 40, 1, Appearance -> 
         "Labeled"}, {{$CellContext`i$$, 1, "i terms past M"}, 1, 100, 1, 
         Appearance -> "Labeled"}, {{$CellContext`j$$, 2, "j terms past M"}, 
         1, 100, 1, Appearance -> 
         "Labeled"}, {{$CellContext`\[Delta]$$, 1, "zoom"}, 0.01, 1, 
         Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {184., 189.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`a[
          Pattern[$CellContext`a1, 
           Blank[]], 
          Pattern[$CellContext`n, 
           Blank[]]] := $CellContext`a1 + (-1)^$CellContext`n (
           1/$CellContext`n), Attributes[Subscript] = {NHoldRest}, 
        Subscript[$CellContext`g, 1][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x, Subscript[$CellContext`g, 2][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/Log[$CellContext`x], 
        Subscript[$CellContext`g, 3][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]]), 
        Subscript[$CellContext`g, 4][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/((Log[$CellContext`x] 
          Log[$CellContext`x/Log[$CellContext`x]]) 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])]), 
        Subscript[$CellContext`g, 5][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(((Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]]) 
          Log[$CellContext`x/(Log[$CellContext`x] 
            Log[$CellContext`x/Log[$CellContext`x]])]) 
         Log[$CellContext`x/((Log[$CellContext`x] 
            Log[$CellContext`x/Log[$CellContext`x]]) 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])]), 
        Subscript[$CellContext`g, 6][
          Pattern[$CellContext`x, 
           
           Blank[]]] = $CellContext`x/((((Log[$CellContext`x] 
            Log[$CellContext`x/Log[$CellContext`x]]) 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])]) 
          Log[$CellContext`x/((Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]]) 
            Log[$CellContext`x/(Log[$CellContext`x] 
              Log[$CellContext`x/Log[$CellContext`x]])])]) 
         Log[$CellContext`x/(((Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]]) 
            Log[$CellContext`x/(Log[$CellContext`x] 
              Log[$CellContext`x/Log[$CellContext`x]])]) 
           Log[$CellContext`x/((Log[$CellContext`x] 
              Log[$CellContext`x/Log[$CellContext`x]]) 
             Log[$CellContext`x/(Log[$CellContext`x] 
               Log[$CellContext`x/Log[$CellContext`x]])])])]), 
        Subscript[$CellContext`g, 1][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x, Subscript[$CellContext`g, 2][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/Log[$CellContext`x], 
        Subscript[$CellContext`g, 3][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]]), 
        Subscript[$CellContext`g, 4][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/((Log[$CellContext`x] 
          Log[$CellContext`x/Log[$CellContext`x]]) 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])]), 
        Subscript[$CellContext`g, 5][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(((Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]]) 
          Log[$CellContext`x/(Log[$CellContext`x] 
            Log[$CellContext`x/Log[$CellContext`x]])]) 
         Log[$CellContext`x/((Log[$CellContext`x] 
            Log[$CellContext`x/Log[$CellContext`x]]) 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])]), 
        Subscript[$CellContext`g, 6][
          Pattern[$CellContext`x, 
           
           Blank[]]] = $CellContext`x/((((Log[$CellContext`x] 
            Log[$CellContext`x/Log[$CellContext`x]]) 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])]) 
          Log[$CellContext`x/((Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]]) 
            Log[$CellContext`x/(Log[$CellContext`x] 
              Log[$CellContext`x/Log[$CellContext`x]])])]) 
         Log[$CellContext`x/(((Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]]) 
            Log[$CellContext`x/(Log[$CellContext`x] 
              Log[$CellContext`x/Log[$CellContext`x]])]) 
           Log[$CellContext`x/((Log[$CellContext`x] 
              Log[$CellContext`x/Log[$CellContext`x]]) 
             Log[$CellContext`x/(Log[$CellContext`x] 
               Log[$CellContext`x/Log[$CellContext`x]])])])]), $CellContext`g[
         
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x/Log[$CellContext`x], $CellContext`g[
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x/Log[$CellContext`x], 
        Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`a[
            Pattern[$CellContext`a1, 
             Blank[]], 
            Pattern[$CellContext`n, 
             Blank[]]] := $CellContext`a1 + (-1)^$CellContext`n (
             1/$CellContext`n); Null}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->55725753],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["A Convergent Sequence Satisfies the Cauchy Criterion",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
AConvergentSequenceSatisfiesTheCauchyCriterion/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
AConvergentSequenceSatisfiesTheCauchyCriterion/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
AConvergentSequenceSatisfiesTheCauchyCriterion/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
AConvergentSequenceSatisfiesTheCauchyCriterion/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
AConvergentSequenceSatisfiesTheCauchyCriterion/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
AConvergentSequenceSatisfiesTheCauchyCriterion"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"A Convergent Sequence Satisfies the Cauchy Criterion - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 244, 4, 70, "Section"],
Cell[837, 29, 325, 12, 70, "Input",
 InitializationCell->True,
 CellID->304060359],
Cell[1165, 43, 7816, 211, 70, "Input"]
}, Open  ]],
Cell[8996, 257, 10747, 222, 70, "Output",
 CellID->55725753],
Cell[CellGroupData[{
Cell[19768, 483, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[20144, 494, 1077, 31, 70, "Text"],
Cell[21224, 527, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[21564, 538, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[22025, 556, 829, 24, 70, "Text"],
Cell[22857, 582, 1222, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 8Qzro4i1nvlWXCDV8rFt6nD4 *)
