(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     47642,       1108]
NotebookOptionsPosition[     46420,       1063]
NotebookOutlinePosition[     47044,       1087]
CellTagsIndexPosition[     47001,       1084]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "A Recursive Sequence Convergent to ",
 StyleBox["e",
  FontSlant->"Italic"]
}], "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", "x_", "]"}], ":=", 
  FractionBox["x", 
   RowBox[{"Log", "[", "x", "]"}]]}]], "Input",
 InitializationCell->True,
 CellID->145415784],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      SubscriptBox["g", "1"], "[", "x_", "]"}], ",", 
     RowBox[{
      SubscriptBox["g", "2"], "[", "x_", "]"}], ",", 
     RowBox[{
      SubscriptBox["g", "3"], "[", "x_", "]"}], ",", 
     RowBox[{
      SubscriptBox["g", "4"], "[", "x_", "]"}], ",", 
     RowBox[{
      SubscriptBox["g", "5"], "[", "x_", "]"}]}], "}"}], "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"g", ",", "x", ",", "4"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.43412257575539*^9, 3.4341226153330083`*^9}, 
   3.4341232900274973`*^9, {3.434124913382604*^9, 3.434124918273636*^9}},
 CellID->190360594],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"g", "[", "x", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "6"}], "}"}], ",", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "a0", ",", "E"}], "}"}], ",", 
        RowBox[{"{", "E", "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Darker", "[", "Green", "]"}], ",", 
          RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "6.1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "5"}], "}"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Epilog", "\[Rule]", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
               "\"\< = \>\"", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}]}], "}"}], "]"}], 
            ",", "Medium", ",", "Blue"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{".5", ",", "1.1"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
               "\"\< = \>\"", ",", 
               FractionBox[
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], 
                RowBox[{"ln", "[", " ", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "]"}]]}], 
              "}"}], "]"}], ",", "Medium", ",", 
            RowBox[{"Darker", "[", "Green", "]"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"5", ",", "2.5"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Dashed", ",", "Black", ",", 
          RowBox[{"Thickness", "[", ".001", "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"E", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"E", ",", "E"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Dashed", ",", "Black", ",", 
          RowBox[{"Thickness", "[", ".001", "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"a0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"a0", ",", 
               RowBox[{"g", "[", "a0", "]"}]}], "}"}]}], "}"}], "]"}]}], 
         "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Dashed", ",", "White", ",", 
          RowBox[{"Thickness", "[", ".01", "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"1", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "4"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Orange", ",", 
          RowBox[{"Thickness", "[", ".006", "]"}], ",", 
          RowBox[{"Opacity", "[", "1", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  SubscriptBox["g", "h"], "[", "a0", "]"}], ",", 
                 RowBox[{
                  SubscriptBox["g", 
                   RowBox[{"h", "+", "1"}]], "[", "a0", "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  SubscriptBox["g", 
                   RowBox[{"h", "+", "1"}]], "[", "a0", "]"}], ",", 
                 RowBox[{
                  SubscriptBox["g", 
                   RowBox[{"h", "+", "1"}]], "[", "a0", "]"}]}], "}"}]}], 
              "}"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"h", ",", "1", ",", "n"}], "}"}]}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Orange", ",", 
          RowBox[{"Thickness", "[", ".006", "]"}], ",", 
          RowBox[{"Opacity", "[", "1", "]"}], ",", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  SubscriptBox["g", 
                   RowBox[{"h", "+", "1"}]], "[", "a0", "]"}], ",", 
                 RowBox[{
                  SubscriptBox["g", 
                   RowBox[{"h", "+", "1"}]], "[", "a0", "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  SubscriptBox["g", 
                   RowBox[{"h", "+", "1"}]], "[", "a0", "]"}], ",", 
                 RowBox[{
                  SubscriptBox["g", 
                   RowBox[{"h", "+", "2"}]], "[", "a0", "]"}]}], "}"}]}], 
              "}"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"h", ",", "1", ",", "n"}], "}"}]}], "]"}]}], "}"}]}], 
       "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "350"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "a0", ",", "4", ",", "\"\<\!\(\*SubscriptBox[\(a\), \(0\)]\)\>\""}], 
      "}"}], ",", "1.3", ",", "6", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "\"\<n\>\""}], "}"}], ",", "0", ",", "3", 
     ",", "1", ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"n", ",", "a0"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4337317545452337`*^9, 3.4337317792908163`*^9}, {
   3.4337325811838818`*^9, 3.4337327678322687`*^9}, 3.433732845523984*^9, {
   3.433732982721264*^9, 3.433733058249869*^9}, {3.433733115542251*^9, 
   3.4337332296162815`*^9}, {3.433733264075832*^9, 3.4337333268761344`*^9}, {
   3.433733393441851*^9, 3.4337334115779295`*^9}, {3.4337335301384115`*^9, 
   3.433733530739275*^9}, 3.4337335820130033`*^9, 3.433733723206029*^9, {
   3.4337339076612625`*^9, 3.433734003368883*^9}, {3.433734080830267*^9, 
   3.433734093598627*^9}, {3.4337341701787443`*^9, 3.433734231767304*^9}, {
   3.4337344026930833`*^9, 3.433734526711413*^9}, {3.433734564856262*^9, 
   3.433734604853776*^9}, {3.433734695203693*^9, 3.4337347051880493`*^9}, {
   3.433734783480629*^9, 3.433734803839904*^9}, {3.433734888061008*^9, 
   3.4337348895531535`*^9}, {3.4337349462346573`*^9, 
   3.4337349950047855`*^9}, {3.4337726292078896`*^9, 
   3.4337726573683825`*^9}, {3.43377270497684*^9, 3.4337728074942527`*^9}, {
   3.4337728620827475`*^9, 3.433772894599504*^9}, {3.4337729520721455`*^9, 
   3.433772954034968*^9}, {3.433772992740624*^9, 3.4337730164847665`*^9}, 
   3.4337731255716257`*^9, {3.4337732959365983`*^9, 3.433773296387246*^9}, {
   3.433773329344637*^9, 3.433773331007027*^9}, {3.4337733691318483`*^9, 
   3.4337733906828365`*^9}, {3.433773632410424*^9, 3.43377363390257*^9}, {
   3.433773691545456*^9, 3.433773692727155*^9}, {3.433773935466197*^9, 
   3.433774024193781*^9}, {3.433774078782275*^9, 3.433774170053517*^9}, {
   3.433774223810816*^9, 3.4337742985582976`*^9}, {3.433774398191563*^9, 
   3.4337744074648976`*^9}, {3.4337744584281793`*^9, 
   3.4337744898233232`*^9}, {3.43383064950016*^9, 3.43383065106266*^9}, {
   3.433830740672035*^9, 3.43383075684391*^9}, 3.433838327109535*^9, {
   3.43383838940641*^9, 3.433838417515785*^9}, {3.43383845975016*^9, 
   3.43383846337516*^9}, 3.433838625047035*^9, {3.43383872581266*^9, 
   3.43383872675016*^9}, {3.434116102311165*^9, 3.434116201452078*^9}, {
   3.434122668660451*^9, 3.434122790612015*^9}, {3.434122962734812*^9, 
   3.4341229641566687`*^9}, {3.434123010593574*^9, 3.4341230280777254`*^9}, 
   3.434123061421048*^9, {3.434123297668024*^9, 3.434123299496126*^9}, {
   3.434124967433976*^9, 3.4341250500502243`*^9}, 3.4341250824904227`*^9, {
   3.434212150704672*^9, 3.434212160439172*^9}, {3.4342126352889996`*^9, 
   3.4342126354452515`*^9}, {3.4342129839340873`*^9, 3.4342130201689262`*^9}},
 
 CellID->98732554]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a0$$ = 4, $CellContext`n$$ = 1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a0$$], 4, "\!\(\*SubscriptBox[\(a\), \(0\)]\)"}, 1.3,
       6}, {{
       Hold[$CellContext`n$$], 1, "n"}, 0, 3, 1}}, Typeset`size$$ = {
    500., {173., 177.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`a0$112372$$ = 
    0, $CellContext`n$112373$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a0$$ = 4, $CellContext`n$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a0$$, $CellContext`a0$112372$$, 0], 
        Hold[$CellContext`n$$, $CellContext`n$112373$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[{$CellContext`x, 
         $CellContext`g[$CellContext`x]}, {$CellContext`x, 0, 6}, 
        Ticks -> {{1, $CellContext`a0$$, E}, {E}}, PlotStyle -> {{Blue, 
           Thickness[0.005]}, {
           Darker[Green], 
           Thickness[0.005]}}, PlotRange -> {{0, 6.1}, {0, 5}}, Epilog -> {
          Text[
           Style[
            Row[{
              Style["y", Italic], " = ", 
              Style["x", Italic]}], Medium, Blue], {0.5, 1.1}], 
          Text[
           Style[
            Row[{
              Style["y", Italic], " = ", Style["x", Italic]/$CellContext`ln[
               Style["x", Italic]]}], Medium, 
            Darker[Green]], {5, 2.5}], {Dashed, Black, 
           Thickness[0.001], 
           Line[{{E, 0}, {E, E}}]}, {Dashed, Black, 
           Thickness[0.001], 
           Line[{{$CellContext`a0$$, 0}, {$CellContext`a0$$, 
              $CellContext`g[$CellContext`a0$$]}}]}, {Dashed, White, 
           Thickness[0.01], 
           Line[{{1, 0}, {1, 4}}]}, {Orange, 
           Thickness[0.006], 
           Opacity[1], 
           Table[
            Line[{{
               Subscript[$CellContext`g, $CellContext`h][$CellContext`a0$$], 
               
               Subscript[$CellContext`g, $CellContext`h + 
                1][$CellContext`a0$$]}, {
               
               Subscript[$CellContext`g, $CellContext`h + 
                1][$CellContext`a0$$], 
               
               Subscript[$CellContext`g, $CellContext`h + 
                1][$CellContext`a0$$]}}], {$CellContext`h, 
             1, $CellContext`n$$}]}, {Orange, 
           Thickness[0.006], 
           Opacity[1], 
           Table[
            Line[{{
               
               Subscript[$CellContext`g, $CellContext`h + 
                1][$CellContext`a0$$], 
               
               Subscript[$CellContext`g, $CellContext`h + 
                1][$CellContext`a0$$]}, {
               
               Subscript[$CellContext`g, $CellContext`h + 
                1][$CellContext`a0$$], 
               
               Subscript[$CellContext`g, $CellContext`h + 
                2][$CellContext`a0$$]}}], {$CellContext`h, 
             1, $CellContext`n$$}]}}, ImageSize -> {500, 350}], 
      "Specifications" :> {{{$CellContext`a0$$, 4, 
          "\!\(\*SubscriptBox[\(a\), \(0\)]\)"}, 1.3, 6, Appearance -> 
         "Labeled"}, {{$CellContext`n$$, 1, "n"}, 0, 3, 1, ControlType -> 
         SetterBar}}, 
      "Options" :> {TrackedSymbols :> {$CellContext`n$$, $CellContext`a0$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {229., 234.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`g[Blank[] Removed["x"]] := 
        Removed["x"]/Log[
          Removed["x"]], $CellContext`g[
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x/Log[$CellContext`x], 
        Attributes[PlotRange] = {ReadProtected}, 
        Attributes[Subscript] = {NHoldRest}, Subscript[$CellContext`g, 1][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x, Subscript[$CellContext`g, 2][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/Log[$CellContext`x], 
        Subscript[$CellContext`g, 3][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]]), 
        Subscript[$CellContext`g, 4][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])]), 
        Subscript[$CellContext`g, 5][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])]), 
        Subscript[$CellContext`g, 6][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]] 
             Log[$CellContext`x/(Log[$CellContext`x] 
               Log[$CellContext`x/Log[$CellContext`x]])])])]), 
        Subscript[$CellContext`g, 1][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x, Subscript[$CellContext`g, 2][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/Log[$CellContext`x], 
        Subscript[$CellContext`g, 3][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]]), 
        Subscript[$CellContext`g, 4][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])]), 
        Subscript[$CellContext`g, 5][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])]), 
        Subscript[$CellContext`g, 6][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]] 
             Log[$CellContext`x/(Log[$CellContext`x] 
               Log[$CellContext`x/Log[$CellContext`x]])])])]), 
        Subscript[$CellContext`g, 1][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x, Subscript[$CellContext`g, 2][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/Log[$CellContext`x], 
        Subscript[$CellContext`g, 3][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]]), 
        Subscript[$CellContext`g, 4][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])]), 
        Subscript[$CellContext`g, 5][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])]), 
        Subscript[$CellContext`g, 6][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]] 
             Log[$CellContext`x/(Log[$CellContext`x] 
               Log[$CellContext`x/Log[$CellContext`x]])])])]), 
        Subscript[$CellContext`g, 1][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x, Subscript[$CellContext`g, 2][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/Log[$CellContext`x], 
        Subscript[$CellContext`g, 3][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]]), 
        Subscript[$CellContext`g, 4][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])]), 
        Subscript[$CellContext`g, 5][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])]), 
        Subscript[$CellContext`g, 6][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]] 
             Log[$CellContext`x/(Log[$CellContext`x] 
               Log[$CellContext`x/Log[$CellContext`x]])])])]), 
        Subscript[$CellContext`g, 1][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x, Subscript[$CellContext`g, 2][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/Log[$CellContext`x], 
        Subscript[$CellContext`g, 3][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]]), 
        Subscript[$CellContext`g, 4][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])]), 
        Subscript[$CellContext`g, 5][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])]), 
        Subscript[$CellContext`g, 6][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]] 
             Log[$CellContext`x/(Log[$CellContext`x] 
               Log[$CellContext`x/Log[$CellContext`x]])])])]), 
        Subscript[$CellContext`g, 1][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x, Subscript[$CellContext`g, 2][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/Log[$CellContext`x], 
        Subscript[$CellContext`g, 3][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]]), 
        Subscript[$CellContext`g, 4][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])]), 
        Subscript[$CellContext`g, 5][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])]), 
        Subscript[$CellContext`g, 6][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]] 
             Log[$CellContext`x/(Log[$CellContext`x] 
               Log[$CellContext`x/Log[$CellContext`x]])])])]), 
        Subscript[$CellContext`g, 1][
          Pattern[$CellContext`x, 
           Blank[]]] = 1.3184161096731024`, Subscript[$CellContext`g, 2][
          Pattern[$CellContext`x, 
           Blank[]]] = 4.769420349063461, Subscript[$CellContext`g, 3][
          Pattern[$CellContext`x, 
           Blank[]]] = 3.052966780484804, Subscript[$CellContext`g, 4][
          Pattern[$CellContext`x, 
           Blank[]]] = 2.735354307864553, Subscript[$CellContext`g, 5][
          Pattern[$CellContext`x, 
           Blank[]]] = 2.7183348856685505`, Subscript[$CellContext`g, 6][
          Pattern[$CellContext`x, 
           Blank[]]] = 2.7182818289768305`, Subscript[$CellContext`g, 1][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x, Subscript[$CellContext`g, 2][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/Log[$CellContext`x], 
        Subscript[$CellContext`g, 3][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]]), 
        Subscript[$CellContext`g, 4][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])]), 
        Subscript[$CellContext`g, 5][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])]), 
        Subscript[$CellContext`g, 6][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]] 
             Log[$CellContext`x/(Log[$CellContext`x] 
               Log[$CellContext`x/Log[$CellContext`x]])])])]), 
        Subscript[$CellContext`g, 1][Blank[] Removed["x"]] = Removed["x"], 
        Subscript[$CellContext`g, 1][Removed["x"] Blank[]] = Removed["x"], 
        Subscript[$CellContext`g, 2][Blank[] Removed["x"]] = 
        Removed["x"]/Log[
          Removed["x"]], Subscript[$CellContext`g, 2][Removed["x"] Blank[]] = 
        Removed["x"]/Log[
          Removed["x"]], Subscript[$CellContext`g, 3][Blank[] Removed["x"]] = 
        Removed["x"]/(Log[
           Removed["x"]] Log[Removed["x"]/Log[
            Removed["x"]]]), 
        Subscript[$CellContext`g, 3][Removed["x"] Blank[]] = 
        Removed["x"]/(Log[
           Removed["x"]] Log[Removed["x"]/Log[
            Removed["x"]]]), 
        Subscript[$CellContext`g, 4][Blank[] Removed["x"]] = 
        Removed["x"]/(Log[
           Removed["x"]] Log[Removed["x"]/Log[
            Removed["x"]]] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]])]), 
        Subscript[$CellContext`g, 4][Removed["x"] Blank[]] = 
        Removed["x"]/(Log[
           Removed["x"]] Log[Removed["x"]/Log[
            Removed["x"]]] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]])]), 
        Subscript[$CellContext`g, 5][Blank[] Removed["x"]] = 
        Removed["x"]/(Log[
           Removed["x"]] Log[Removed["x"]/Log[
            Removed["x"]]] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]])] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]] Log[Removed["x"]/(Log[
               Removed["x"]] Log[Removed["x"]/Log[
                Removed["x"]]])])]), 
        Subscript[$CellContext`g, 5][Removed["x"] Blank[]] = 
        Removed["x"]/(Log[
           Removed["x"]] Log[Removed["x"]/Log[
            Removed["x"]]] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]])] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]] Log[Removed["x"]/(Log[
               Removed["x"]] Log[Removed["x"]/Log[
                Removed["x"]]])])]), 
        Subscript[$CellContext`g, 6][Blank[] Removed["x"]] = 
        Removed["x"]/(Log[
           Removed["x"]] Log[Removed["x"]/Log[
            Removed["x"]]] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]])] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]] Log[Removed["x"]/(Log[
               Removed["x"]] Log[Removed["x"]/Log[
                Removed["x"]]])])] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]] Log[Removed["x"]/(Log[
               Removed["x"]] Log[Removed["x"]/Log[
                Removed["x"]]])] Log[Removed["x"]/(Log[
               Removed["x"]] Log[Removed["x"]/Log[
                Removed["x"]]] Log[Removed["x"]/(Log[
                 Removed["x"]] Log[Removed["x"]/Log[
                  Removed["x"]]])])])]), 
        Subscript[$CellContext`g, 6][Removed["x"] Blank[]] = 
        Removed["x"]/(Log[
           Removed["x"]] Log[Removed["x"]/Log[
            Removed["x"]]] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]])] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]] Log[Removed["x"]/(Log[
               Removed["x"]] Log[Removed["x"]/Log[
                Removed["x"]]])])] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]] Log[Removed["x"]/(Log[
               Removed["x"]] Log[Removed["x"]/Log[
                Removed["x"]]])] Log[Removed["x"]/(Log[
               Removed["x"]] Log[Removed["x"]/Log[
                Removed["x"]]] Log[Removed["x"]/(Log[
                 Removed["x"]] Log[Removed["x"]/Log[
                  Removed["x"]]])])])]), 
        Subscript[$CellContext`g, 1][Blank[] Removed["x"]] = Removed["x"], 
        Subscript[$CellContext`g, 1][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x, 
        Subscript[$CellContext`g, 2][Blank[] Removed["x"]] = 
        Removed["x"]/Log[
          Removed["x"]], Subscript[$CellContext`g, 2][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/Log[$CellContext`x], 
        Subscript[$CellContext`g, 3][Blank[] Removed["x"]] = 
        Removed["x"]/(Log[
           Removed["x"]] Log[Removed["x"]/Log[
            Removed["x"]]]), Subscript[$CellContext`g, 3][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]]), 
        Subscript[$CellContext`g, 4][Blank[] Removed["x"]] = 
        Removed["x"]/(Log[
           Removed["x"]] Log[Removed["x"]/Log[
            Removed["x"]]] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]])]), Subscript[$CellContext`g, 4][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])]), 
        Subscript[$CellContext`g, 5][Blank[] Removed["x"]] = 
        Removed["x"]/(Log[
           Removed["x"]] Log[Removed["x"]/Log[
            Removed["x"]]] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]])] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]] Log[Removed["x"]/(Log[
               Removed["x"]] Log[Removed["x"]/Log[
                Removed["x"]]])])]), Subscript[$CellContext`g, 5][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])]), 
        Subscript[$CellContext`g, 6][Blank[] Removed["x"]] = 
        Removed["x"]/(Log[
           Removed["x"]] Log[Removed["x"]/Log[
            Removed["x"]]] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]])] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]] Log[Removed["x"]/(Log[
               Removed["x"]] Log[Removed["x"]/Log[
                Removed["x"]]])])] Log[Removed["x"]/(Log[
             Removed["x"]] Log[Removed["x"]/Log[
              Removed["x"]]] Log[Removed["x"]/(Log[
               Removed["x"]] Log[Removed["x"]/Log[
                Removed["x"]]])] Log[Removed["x"]/(Log[
               Removed["x"]] Log[Removed["x"]/Log[
                Removed["x"]]] Log[Removed["x"]/(Log[
                 Removed["x"]] Log[Removed["x"]/Log[
                  Removed["x"]]])])])]), Subscript[$CellContext`g, 6][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x/(Log[$CellContext`x] 
         Log[$CellContext`x/Log[$CellContext`x]] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])])] 
         Log[$CellContext`x/(Log[$CellContext`x] 
           Log[$CellContext`x/Log[$CellContext`x]] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]])] 
           Log[$CellContext`x/(Log[$CellContext`x] 
             Log[$CellContext`x/Log[$CellContext`x]] 
             Log[$CellContext`x/(Log[$CellContext`x] 
               Log[$CellContext`x/Log[$CellContext`x]])])])]), $CellContext`g[
         
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x/Log[$CellContext`x], $CellContext`g[
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x/Log[$CellContext`x], $CellContext`g[
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x/Log[$CellContext`x], $CellContext`g[
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x/Log[$CellContext`x], $CellContext`g[
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x/Log[$CellContext`x], $CellContext`g[
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x/Log[$CellContext`x], $CellContext`g[
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x/Log[$CellContext`x], $CellContext`g[
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x/Log[$CellContext`x], $CellContext`g[
         Blank[] Removed["x"]] := Removed["x"]/Log[
          Removed["x"]], $CellContext`g[Removed["x"] Blank[]] := 
        Removed["x"]/Log[
          Removed["x"]]}; Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`g[
           Pattern[$CellContext`x, 
            Blank[]]] := $CellContext`x/Log[$CellContext`x], {
            Subscript[$CellContext`g, 1][
             Pattern[$CellContext`x, 
              Blank[]]], 
            Subscript[$CellContext`g, 2][
             Pattern[$CellContext`x, 
              Blank[]]], 
            Subscript[$CellContext`g, 3][
             Pattern[$CellContext`x, 
              Blank[]]], 
            Subscript[$CellContext`g, 4][
             Pattern[$CellContext`x, 
              Blank[]]], 
            Subscript[$CellContext`g, 5][
             Pattern[$CellContext`x, 
              Blank[]]]} = NestList[$CellContext`g, $CellContext`x, 4]; 
         Null}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->22376345],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["A Recursive Sequence Convergent to ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ARecursiveSequenceConvergentToE/"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ARecursiveSequenceConvergentToE/"],
 StyleBox[ButtonBox["e",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ARecursiveSequenceConvergentToE/"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ARecursiveSequenceConvergentToE/"],
  FontSlant->"Italic"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ARecursiveSequenceConvergentToE/\
",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ARecursiveSequenceConvergentToE/"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ARecursiveSequenceConvergentToE/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Soledad M\.aa S\[AAcute]ez Mart\[IAcute]nez",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%\
E1ez+Mart%EDnez"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%E1ez+\
Mart%EDnez"],
 " and ",
 ButtonBox["F\[EAcute]lix Mart\[IAcute]nez de la Rosa",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%\
EDnez+de+la+Rosa"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%EDnez+\
de+la+Rosa"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ARecursiveSequenceConvergentToE"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 645},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"A Recursive Sequence Convergent to e - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 281, 8, 70, "Section"],
Cell[874, 33, 178, 6, 70, "Input",
 InitializationCell->True,
 CellID->145415784],
Cell[1055, 41, 692, 20, 70, "Input",
 CellID->190360594],
Cell[1750, 63, 9579, 224, 70, "Input",
 CellID->98732554]
}, Open  ]],
Cell[11344, 290, 30164, 617, 70, "Output",
 CellID->22376345],
Cell[CellGroupData[{
Cell[41533, 911, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[41909, 922, 1258, 37, 70, "Text"],
Cell[43170, 961, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[43510, 972, 818, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[44353, 1000, 829, 24, 70, "Text"],
Cell[45185, 1026, 1207, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature BTzerQ3oucdehAD2PH6yxs1K *)
