(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     32889,        764]
NotebookOptionsPosition[     31766,        722]
NotebookOutlinePosition[     32372,        746]
CellTagsIndexPosition[     32329,        743]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Accumulation Point", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], "^", "n"}], "-", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "^", "n"}], "  ", 
     RowBox[{"1", "/", "n"}]}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.43179226784375*^9, 3.4317922936875*^9}, {
  3.43209783096875*^9, 3.43209787459375*^9}, {3.4320979114375*^9, 
  3.432097940609375*^9}, {3.432098303109375*^9, 3.432098309203125*^9}},
 CellID->93002362],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0", ",", " ", "0", ",", " ", "1"}], "]"}], ",", 
       RowBox[{"If", "[", 
        RowBox[{"showacc", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "0"}], "}"}], "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"1", ",", "0"}], "}"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", "}"}]}], "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0", ",", " ", "0.666667", ",", " ", "0"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "-", "\[Epsilon]"}], ",", "0"}], "}"}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\<1-\[Epsilon]\>\"", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1", "-", "\[Epsilon]"}], ",", 
           RowBox[{"0.08", " ", "\[Delta]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", " ", "0", ",", " ", "0"}], "]"}], ",", 
       RowBox[{"PointSize", "[", "0.01", "]"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"a", "[", "n", "]"}], ">", 
              RowBox[{"1", "-", "\[Epsilon]"}]}], ",", 
             RowBox[{"RGBColor", "[", 
              RowBox[{"1", ",", " ", "0", ",", " ", "1"}], "]"}], ",", 
             RowBox[{"RGBColor", "[", 
              RowBox[{"1", ",", " ", "0", ",", " ", "0"}], "]"}]}], "]"}], 
           ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"a", "[", "n", "]"}], ",", "0"}], "}"}], "]"}]}], "}"}],
          ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "1", ",", "m"}], "}"}]}], "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", " ", "0", ",", " ", "0"}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Subscript", "[", 
            RowBox[{"\"\<a\>\"", ",", "\"\<m\>\""}], "]"}], ",", "Italic"}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "[", "m", "]"}], ",", 
           RowBox[{
            RowBox[{"-", "0.2"}], " ", "\[Delta]"}]}], "}"}]}], "]"}]}], 
      "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", " ", "2"}], "\[Delta]"}], ",", 
          RowBox[{"1.", "+", " ", 
           RowBox[{"\[Delta]", "/", "5"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", ".6"}], " ", "\[Delta]"}], " ", ",", 
          RowBox[{".9", "\[Delta]"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Axes", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"True", ",", "False"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "150"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "showacc", ",", "True", ",", "\"\<show accumulation points\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Epsilon]", ",", "0.5", ",", "\"\<choose \[Epsilon] > 0\>\""}], "}"}],
      ",", "0", ",", "0.7", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "1", ",", "\"\<find m\>\""}], "}"}], ",", "1", ",", 
     "40", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Delta]", ",", "1", ",", "\"\<zoom\>\""}], "}"}], ",", "0.01",
      ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.432100258328125*^9, 3.4321002620625*^9}, 
   3.43210029490625*^9, {3.43210058478125*^9, 3.432100595625*^9}, {
   3.4323019343632784`*^9, 3.432302016459487*^9}, {3.4323323627238812`*^9, 
   3.432332364572233*^9}, {3.432551309953125*^9, 3.432551568265625*^9}, {
   3.4329329936400003`*^9, 3.432933014303*^9}, {3.4329834762204685`*^9, 
   3.4329835530441504`*^9}, {3.433092121545187*^9, 3.4330921217472067`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`m$$ = 1, $CellContext`showacc$$ = 
    True, $CellContext`\[Delta]$$ = 1, $CellContext`\[Epsilon]$$ = 0.5, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`showacc$$], True, "show accumulation points"}, {
      False, True}}, {{
       Hold[$CellContext`\[Epsilon]$$], 0.5, "choose \[Epsilon] > 0"}, 0, 
      0.7}, {{
       Hold[$CellContext`m$$], 1, "find m"}, 1, 40, 1}, {{
       Hold[$CellContext`\[Delta]$$], 1, "zoom"}, 0.01, 1}}, 
    Typeset`size$$ = {500., {73., 77.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`showacc$47554$$ = 
    False, $CellContext`\[Epsilon]$47555$$ = 0, $CellContext`m$47556$$ = 
    0, $CellContext`\[Delta]$47557$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`m$$ = 1, $CellContext`showacc$$ = 
        True, $CellContext`\[Delta]$$ = 1, $CellContext`\[Epsilon]$$ = 0.5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`showacc$$, $CellContext`showacc$47554$$, False], 
        Hold[$CellContext`\[Epsilon]$$, $CellContext`\[Epsilon]$47555$$, 0], 
        Hold[$CellContext`m$$, $CellContext`m$47556$$, 0], 
        Hold[$CellContext`\[Delta]$$, $CellContext`\[Delta]$47557$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{
         PointSize[0.02], 
         RGBColor[0, 0, 1], 
         If[$CellContext`showacc$$, {
           Point[{-1, 0}], 
           Point[{1, 0}]}, {}], 
         RGBColor[0, 0.666667, 0], 
         Point[{1 - $CellContext`\[Epsilon]$$, 0}], 
         Text[
         "1-\[Epsilon]", {
          1 - $CellContext`\[Epsilon]$$, 0.08 $CellContext`\[Delta]$$}], 
         RGBColor[1, 0, 0], 
         PointSize[0.01], 
         Table[{
           
           If[$CellContext`a[$CellContext`n] > 1 - $CellContext`\[Epsilon]$$, 
            
            RGBColor[1, 0, 1], 
            RGBColor[1, 0, 0]], 
           Point[{
             $CellContext`a[$CellContext`n], 0}]}, {$CellContext`n, 
           1, $CellContext`m$$}], 
         RGBColor[1, 0, 0], 
         Text[
          Style[
           Subscript["a", "m"], Italic], {
           $CellContext`a[$CellContext`m$$], (-0.2) \
$CellContext`\[Delta]$$}]}, 
        PlotRange -> {{(-2) $CellContext`\[Delta]$$, 
           1. + $CellContext`\[Delta]$$/5}, {(-0.6) $CellContext`\[Delta]$$, 
           0.9 $CellContext`\[Delta]$$}}, Axes -> {True, False}, 
        ImageSize -> {500, 150}], 
      "Specifications" :> {{{$CellContext`showacc$$, True, 
          "show accumulation points"}, {
         False, True}}, {{$CellContext`\[Epsilon]$$, 0.5, 
          "choose \[Epsilon] > 0"}, 0, 0.7, Appearance -> 
         "Labeled"}, {{$CellContext`m$$, 1, "find m"}, 1, 40, 1, Appearance -> 
         "Labeled"}, {{$CellContext`\[Delta]$$, 1, "zoom"}, 0.01, 1, 
         Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {152., 157.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`a[
          Pattern[$CellContext`n, 
           Blank[]]] := (-1)^$CellContext`n - (-1)^$CellContext`n (
          1/$CellContext`n), Attributes[Subscript] = {NHoldRest}, 
        Subscript[$CellContext`X, 
          Pattern[$CellContext`j, 
           Blank[]]][
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`t, 
           
           Blank[]]] := ($CellContext`x - $CellContext`\[Mu][$CellContext`p1, \
$CellContext`j, $CellContext`t])/Sqrt[
         2 $CellContext`\[Mu][2, $CellContext`j, $CellContext`t]], 
        Subscript[$CellContext`c, 
          Pattern[$CellContext`j, 
           Blank[]]][
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]]] := ((1/3) 
          Exp[-Subscript[$CellContext`X, $CellContext`j][$CellContext`x, \
$CellContext`t]^2]) ((1 + $CellContext`\[Mu][3, $CellContext`j, 
              Part[
               Delete[{1, 2, 3}, $CellContext`j], 1], 
              Part[
               Delete[{1, 2, 3}, $CellContext`j], 2], $CellContext`t] ((
              8 Subscript[$CellContext`X, $CellContext`j][$CellContext`x, \
$CellContext`t]^3 - 12 
              Subscript[$CellContext`X, $CellContext`j][$CellContext`x, \
$CellContext`t])/(
             6 (2 $CellContext`\[Mu][
                2, $CellContext`j, $CellContext`t])^1.5)))/
          Sqrt[(2 Pi) $CellContext`\[Mu][2, $CellContext`j, $CellContext`t]]),
         Subscript[$CellContext`g, 1][
          Pattern[$CellContext`x, 
           Blank[]]] = $CellContext`x, Subscript[$CellContext`g, 2][
          Pattern[$CellContext`x, 
           Blank[]]] = 2^($CellContext`x/2), Subscript[$CellContext`g, 3][
          Pattern[$CellContext`x, 
           Blank[]]] = 2^(2^(-1 + $CellContext`x/2)), 
        Subscript[$CellContext`g, 4][
          Pattern[$CellContext`x, 
           Blank[]]] = 2^(2^(-1 + 2^(-1 + $CellContext`x/2))), 
        Subscript[$CellContext`g, 5][
          Pattern[$CellContext`x, 
           Blank[]]] = 2^(2^(-1 + 2^(-1 + 2^(-1 + $CellContext`x/2)))), 
        Subscript[$CellContext`g, 6][
          Pattern[$CellContext`x, 
           Blank[]]] = 
        2^(2^(-1 + 2^(-1 + 2^(-1 + 2^(-1 + $CellContext`x/2))))), 
        Subscript[$CellContext`g, 7][
          Pattern[$CellContext`x, 
           Blank[]]] = 
        2^(2^(-1 + 2^(-1 + 2^(-1 + 2^(-1 + 2^(-1 + $CellContext`x/2)))))), 
        Subscript[$CellContext`g, 8][
          Pattern[$CellContext`x, 
           Blank[]]] = 
        2^(2^(-1 + 
           2^(-1 + 2^(-1 + 2^(-1 + 2^(-1 + 2^(-1 + $CellContext`x/2))))))), 
        Subscript[$CellContext`g, 9][
          Pattern[$CellContext`x, 
           Blank[]]] = 
        2^(2^(-1 + 
           2^(-1 + 2^(-1 + 
               2^(-1 + 2^(-1 + 2^(-1 + 2^(-1 + $CellContext`x/2)))))))), 
        Subscript[$CellContext`g, 10][
          Pattern[$CellContext`x, 
           Blank[]]] = 
        2^(2^(-1 + 
           2^(-1 + 2^(-1 + 
               2^(-1 + 2^(-1 + 
                   2^(-1 + 2^(-1 + 2^(-1 + $CellContext`x/2))))))))), 
        Subscript[$CellContext`g, 11][
          Pattern[$CellContext`x, 
           Blank[]]] := 1.9887117734139532`, Subscript[$CellContext`g, 12][
          Pattern[$CellContext`x, 
           Blank[]]] := 1.992190882947057, Subscript[$CellContext`g, 13][
          Pattern[$CellContext`x, 
           Blank[]]] := 1.994594450712101, Subscript[$CellContext`g, 14][
          Pattern[$CellContext`x, 
           Blank[]]] := 1.9962566662658583`, Subscript[$CellContext`g, 15][
          Pattern[$CellContext`x, 
           Blank[]]] := 
        Sqrt[2]^(
          Sqrt[2]^(
           Sqrt[2]^(
            Sqrt[2]^(
             Sqrt[2]^(
              2^(2^(-1 + 
                2^(-1 + 2^(-1 + 
                    2^(-1 + 2^(-1 + 
                    2^(-1 + 2^(-1 + 2^(-1 + $CellContext`x/2)))))))))))))), 
        Subscript[C, $CellContext`A0] = 1, Subscript[C, $CellContext`B0] = 4, 
        Subscript[D, $CellContext`AS] = 0.0010064496000000002`, 
        Subscript[D, $CellContext`BS] = 0.0005032248000000001, 
        Subscript[$CellContext`v, 1] = 1/50, 
        Subscript[$CellContext`v, 2] = (-3)/100, Subscript[$CellContext`v, 3] = 
        1/25, $CellContext`\[Mu][$CellContext`p1, 1, 
          Pattern[$CellContext`t, 
           Blank[]]] := (2 Subscript[$CellContext`v, 1] - 
           Subscript[$CellContext`v, 2] - 
           Subscript[$CellContext`v, 3]) ((1 - 
            Exp[((-3) $CellContext`ke) $CellContext`t])/(
           9 $CellContext`ke)) + (Subscript[$CellContext`v, 1] + 
           Subscript[$CellContext`v, 2] + 
           Subscript[$CellContext`v, 3]) ($CellContext`t/
           3), $CellContext`\[Mu][$CellContext`p1, 2, 
          Pattern[$CellContext`t, 
           Blank[]]] := (2 Subscript[$CellContext`v, 2] - 
           Subscript[$CellContext`v, 1] - 
           Subscript[$CellContext`v, 3]) ((1 - 
            Exp[((-3) $CellContext`ke) $CellContext`t])/(
           9 $CellContext`ke)) + (Subscript[$CellContext`v, 1] + 
           Subscript[$CellContext`v, 2] + 
           Subscript[$CellContext`v, 3]) ($CellContext`t/
           3), $CellContext`\[Mu][$CellContext`p1, 3, 
          Pattern[$CellContext`t, 
           Blank[]]] := (2 Subscript[$CellContext`v, 3] - 
           Subscript[$CellContext`v, 2] - 
           Subscript[$CellContext`v, 1]) ((1 - 
            Exp[((-3) $CellContext`ke) $CellContext`t])/(
           9 $CellContext`ke)) + (Subscript[$CellContext`v, 1] + 
           Subscript[$CellContext`v, 2] + 
           Subscript[$CellContext`v, 3]) ($CellContext`t/
           3), $CellContext`\[Mu][2, 1, 
          Pattern[$CellContext`t, 
           
           Blank[]]] := (-(2 Subscript[$CellContext`v, 1] - 
             Subscript[$CellContext`v, 2] - Subscript[$CellContext`v, 3])^2) (
           Exp[((-6.) $CellContext`ke) $CellContext`t]/(
           81 $CellContext`ke^2)) - ((
           2 (2 Subscript[$CellContext`v, 1]^2 - 
            Subscript[$CellContext`v, 2]^2 - Subscript[$CellContext`v, 3]^2 - 
            2 (Subscript[$CellContext`v, 1] Subscript[$CellContext`v, 2] + 
             Subscript[$CellContext`v, 1] Subscript[$CellContext`v, 3] - (2 
              Subscript[$CellContext`v, 2]) 
             Subscript[$CellContext`v, 3]))) $CellContext`t) (
          Exp[((-3) $CellContext`ke) $CellContext`t]/(
          27 $CellContext`ke)) + (
           8 (Subscript[$CellContext`v, 1]^2 + Subscript[$CellContext`v, 2]^2 + 
            Subscript[$CellContext`v, 3]^2 - (
            Subscript[$CellContext`v, 1] Subscript[$CellContext`v, 2] + 
            Subscript[$CellContext`v, 1] Subscript[$CellContext`v, 3] + 
            Subscript[$CellContext`v, 2] Subscript[$CellContext`v, 3]))) (
           Exp[((-3.) $CellContext`ke) $CellContext`t]/(
           81 $CellContext`ke^2)) + ((-4) Subscript[$CellContext`v, 1]^2 - 7 
           Subscript[$CellContext`v, 2]^2 - 7 
           Subscript[$CellContext`v, 3]^2 + (4 Subscript[$CellContext`v, 1]) 
            Subscript[$CellContext`v, 2] + (4 Subscript[$CellContext`v, 1]) 
            Subscript[$CellContext`v, 3] + (10 Subscript[$CellContext`v, 2]) 
            Subscript[$CellContext`v, 3])/(
          81. $CellContext`ke^2) + ((54 $CellContext`Diff) $CellContext`ke + 
           4 (Subscript[$CellContext`v, 1]^2 + Subscript[$CellContext`v, 2]^2 + 
             Subscript[$CellContext`v, 3]^2 - Subscript[$CellContext`v, 1] 
             Subscript[$CellContext`v, 2] - Subscript[$CellContext`v, 1] 
             Subscript[$CellContext`v, 3] - Subscript[$CellContext`v, 2] 
             Subscript[$CellContext`v, 3])) ($CellContext`t/(
           27. $CellContext`ke)), $CellContext`\[Mu][2, 2, 
          Pattern[$CellContext`t, 
           
           Blank[]]] := (-(2 Subscript[$CellContext`v, 2] - 
             Subscript[$CellContext`v, 1] - Subscript[$CellContext`v, 3])^2) (
           Exp[((-6.) $CellContext`ke) $CellContext`t]/(
           81 $CellContext`ke^2)) - ((
           2 (2 Subscript[$CellContext`v, 2]^2 - 
            Subscript[$CellContext`v, 1]^2 - Subscript[$CellContext`v, 3]^2 - 
            2 (Subscript[$CellContext`v, 1] Subscript[$CellContext`v, 2] + 
             Subscript[$CellContext`v, 2] Subscript[$CellContext`v, 3] - (2 
              Subscript[$CellContext`v, 1]) 
             Subscript[$CellContext`v, 3]))) $CellContext`t) (
          Exp[((-3) $CellContext`ke) $CellContext`t]/(
          27 $CellContext`ke)) + (
           8 (Subscript[$CellContext`v, 1]^2 + Subscript[$CellContext`v, 2]^2 + 
            Subscript[$CellContext`v, 3]^2 - (
            Subscript[$CellContext`v, 1] Subscript[$CellContext`v, 2] + 
            Subscript[$CellContext`v, 1] Subscript[$CellContext`v, 3] + 
            Subscript[$CellContext`v, 2] Subscript[$CellContext`v, 3]))) (
           Exp[((-3.) $CellContext`ke) $CellContext`t]/(
           81 $CellContext`ke^2)) + ((-4) Subscript[$CellContext`v, 2]^2 - 7 
           Subscript[$CellContext`v, 1]^2 - 7 
           Subscript[$CellContext`v, 3]^2 + (4 Subscript[$CellContext`v, 1]) 
            Subscript[$CellContext`v, 2] + (4 Subscript[$CellContext`v, 2]) 
            Subscript[$CellContext`v, 3] + (10 Subscript[$CellContext`v, 1]) 
            Subscript[$CellContext`v, 3])/(
          81. $CellContext`ke^2) + ((54 $CellContext`Diff) $CellContext`ke + 
           4 (Subscript[$CellContext`v, 1]^2 + Subscript[$CellContext`v, 2]^2 + 
             Subscript[$CellContext`v, 3]^2 - Subscript[$CellContext`v, 1] 
             Subscript[$CellContext`v, 2] - Subscript[$CellContext`v, 1] 
             Subscript[$CellContext`v, 3] - Subscript[$CellContext`v, 2] 
             Subscript[$CellContext`v, 3])) ($CellContext`t/(
           27. $CellContext`ke)), $CellContext`\[Mu][2, 3, 
          Pattern[$CellContext`t, 
           
           Blank[]]] := (-(2 Subscript[$CellContext`v, 3] - 
             Subscript[$CellContext`v, 2] - Subscript[$CellContext`v, 1])^2) (
           Exp[((-6.) $CellContext`ke) $CellContext`t]/(
           81 $CellContext`ke^2)) - ((
           2 (2 Subscript[$CellContext`v, 3]^2 - 
            Subscript[$CellContext`v, 2]^2 - Subscript[$CellContext`v, 1]^2 - 
            2 (Subscript[$CellContext`v, 3] Subscript[$CellContext`v, 2] + 
             Subscript[$CellContext`v, 1] Subscript[$CellContext`v, 3] - (2 
              Subscript[$CellContext`v, 2]) 
             Subscript[$CellContext`v, 1]))) $CellContext`t) (
          Exp[((-3) $CellContext`ke) $CellContext`t]/(
          27 $CellContext`ke)) + (
           8 (Subscript[$CellContext`v, 1]^2 + Subscript[$CellContext`v, 2]^2 + 
            Subscript[$CellContext`v, 3]^2 - (
            Subscript[$CellContext`v, 1] Subscript[$CellContext`v, 2] + 
            Subscript[$CellContext`v, 1] Subscript[$CellContext`v, 3] + 
            Subscript[$CellContext`v, 2] Subscript[$CellContext`v, 3]))) (
           Exp[((-3.) $CellContext`ke) $CellContext`t]/(
           81 $CellContext`ke^2)) + ((-4) Subscript[$CellContext`v, 3]^2 - 7 
           Subscript[$CellContext`v, 2]^2 - 7 
           Subscript[$CellContext`v, 1]^2 + (4 Subscript[$CellContext`v, 3]) 
            Subscript[$CellContext`v, 2] + (4 Subscript[$CellContext`v, 1]) 
            Subscript[$CellContext`v, 3] + (10 Subscript[$CellContext`v, 2]) 
            Subscript[$CellContext`v, 1])/(
          81. $CellContext`ke^2) + ((54 $CellContext`Diff) $CellContext`ke + 
           4 (Subscript[$CellContext`v, 1]^2 + Subscript[$CellContext`v, 2]^2 + 
             Subscript[$CellContext`v, 3]^2 - Subscript[$CellContext`v, 1] 
             Subscript[$CellContext`v, 2] - Subscript[$CellContext`v, 1] 
             Subscript[$CellContext`v, 3] - Subscript[$CellContext`v, 2] 
             Subscript[$CellContext`v, 3])) ($CellContext`t/(
           27. $CellContext`ke)), $CellContext`\[Mu][3, 
          Pattern[$CellContext`j, 
           Blank[]], 
          Pattern[$CellContext`l, 
           Blank[]], 
          Pattern[$CellContext`m, 
           Blank[]], 
          Pattern[$CellContext`t, 
           
           Blank[]]] := ((-2) (2 Subscript[$CellContext`v, $CellContext`j] - 
             Subscript[$CellContext`v, $CellContext`l] - 
             Subscript[$CellContext`v, $CellContext`m])^3) (
           Exp[((-9) $CellContext`ke) $CellContext`t]/(
           729 $CellContext`ke^3)) - ((
           2 (2 Subscript[$CellContext`v, $CellContext`j] - 
            Subscript[$CellContext`v, $CellContext`l] - 
            Subscript[$CellContext`v, $CellContext`m])) (((-4) 
             Subscript[$CellContext`v, $CellContext`j]^2 + (4 
              Subscript[$CellContext`v, $CellContext`j]) 
             Subscript[$CellContext`v, $CellContext`l] - 4 
            Subscript[$CellContext`v, $CellContext`l]^2 + (4 
              Subscript[$CellContext`v, $CellContext`j]) 
             Subscript[$CellContext`v, $CellContext`m] - 4 
            Subscript[$CellContext`v, $CellContext`m]^2 + (4 
              Subscript[$CellContext`v, $CellContext`m]) 
             Subscript[$CellContext`v, $CellContext`l]) + ((
              3 $CellContext`ke) $CellContext`t) (
             2 Subscript[$CellContext`v, $CellContext`j]^2 - (2 
              Subscript[$CellContext`v, $CellContext`j]) 
             Subscript[$CellContext`v, $CellContext`l] - 
             Subscript[$CellContext`v, $CellContext`l]^2 - (2 
              Subscript[$CellContext`v, $CellContext`j]) 
             Subscript[$CellContext`v, $CellContext`m] - 
             Subscript[$CellContext`v, $CellContext`m]^2 + (4 
               Subscript[$CellContext`v, $CellContext`m]) 
              Subscript[$CellContext`v, $CellContext`l]))) (
          Exp[((-6) $CellContext`ke) $CellContext`t]/(
          243 $CellContext`ke^3)) - ((
           2 Subscript[$CellContext`v, $CellContext`j] - 
           Subscript[$CellContext`v, $CellContext`l] - 
           Subscript[$CellContext`v, $CellContext`m]) (((-2) 
             Subscript[$CellContext`v, $CellContext`j]^2 + (2 
              Subscript[$CellContext`v, $CellContext`j]) 
             Subscript[$CellContext`v, $CellContext`l] + 
            16 Subscript[$CellContext`v, $CellContext`l]^2 + (2 
              Subscript[$CellContext`v, $CellContext`j]) 
             Subscript[$CellContext`v, $CellContext`m] + 
            16 Subscript[$CellContext`v, $CellContext`m]^2 - (34 
             Subscript[$CellContext`v, $CellContext`m]) 
            Subscript[$CellContext`v, $CellContext`l]) + ((
              36 $CellContext`ke) $CellContext`t) (-
              Subscript[$CellContext`v, $CellContext`j]^2 + 
             Subscript[$CellContext`v, $CellContext`j] 
              Subscript[$CellContext`v, $CellContext`l] - 
             Subscript[$CellContext`v, $CellContext`l] 
             Subscript[$CellContext`v, $CellContext`m] + 
             Subscript[$CellContext`v, $CellContext`j] 
              Subscript[$CellContext`v, $CellContext`m]) + ((
              9 $CellContext`ke^2) $CellContext`t^2) (
             Subscript[$CellContext`v, $CellContext`j]^2 - 
             Subscript[$CellContext`v, $CellContext`j] 
             Subscript[$CellContext`v, $CellContext`l] + 
             Subscript[$CellContext`v, $CellContext`l]^2 - 
             Subscript[$CellContext`v, $CellContext`j] 
             Subscript[$CellContext`v, $CellContext`m] + 
             Subscript[$CellContext`v, $CellContext`m]^2 - 
             Subscript[$CellContext`v, $CellContext`m] 
             Subscript[$CellContext`v, $CellContext`l]))) (
          Exp[((-3) $CellContext`ke) $CellContext`t]/(
          243 $CellContext`ke^3)) + (
           2 (2 Subscript[$CellContext`v, $CellContext`j] - 
            Subscript[$CellContext`v, $CellContext`l] - 
            Subscript[$CellContext`v, $CellContext`m])) ((((-11) 
              Subscript[$CellContext`v, $CellContext`j]^2 + (11 
               Subscript[$CellContext`v, $CellContext`j]) 
              Subscript[$CellContext`v, $CellContext`l] + 
             13 Subscript[$CellContext`v, $CellContext`l]^2 + (11 
               Subscript[$CellContext`v, $CellContext`j]) 
              Subscript[$CellContext`v, $CellContext`m] + 
             13 Subscript[$CellContext`v, $CellContext`m]^2 - (37 
              Subscript[$CellContext`v, $CellContext`m]) 
             Subscript[$CellContext`v, $CellContext`l]) + ((
               9 $CellContext`ke) $CellContext`t) (
              Subscript[$CellContext`v, $CellContext`j]^2 - 
              Subscript[$CellContext`v, $CellContext`j] 
              Subscript[$CellContext`v, $CellContext`l] - 2 
              Subscript[$CellContext`v, $CellContext`l]^2 - 
              Subscript[$CellContext`v, $CellContext`j] 
              Subscript[$CellContext`v, $CellContext`m] - 2 
              Subscript[$CellContext`v, $CellContext`m]^2 + (5 
                Subscript[$CellContext`v, $CellContext`m]) 
               Subscript[$CellContext`v, $CellContext`l]))/(
           729 $CellContext`ke^3)), $CellContext`ke = 
        1/100, $CellContext`Diff = 1/100000, $CellContext`g[
          Pattern[$CellContext`x, 
           Blank[]]] := Sqrt[2]^$CellContext`x, 
        Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`a[
            Pattern[$CellContext`n, 
             Blank[]]] := (-1)^$CellContext`n - (-1)^$CellContext`n (
            1/$CellContext`n); Null}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->78864387],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Accumulation Point",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AccumulationPoint/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/AccumulationPoint/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/AccumulationPoint/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AccumulationPoint/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/AccumulationPoint/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
AccumulationPoint"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Accumulation Point - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 210, 4, 70, "Section"],
Cell[803, 29, 572, 17, 70, "Input",
 InitializationCell->True,
 CellID->93002362],
Cell[1378, 48, 4901, 130, 70, "Input"]
}, Open  ]],
Cell[6294, 181, 21334, 408, 70, "Output",
 CellID->78864387],
Cell[CellGroupData[{
Cell[27653, 593, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[28029, 604, 880, 24, 70, "Text"],
Cell[28912, 630, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[29252, 641, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[29713, 659, 829, 24, 70, "Text"],
Cell[30545, 685, 1193, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature LSjhq1sLFvX4KDplYLyG3CI3 *)
