(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     32553,        768]
NotebookOptionsPosition[     31489,        728]
NotebookOutlinePosition[     32099,        752]
CellTagsIndexPosition[     32056,        749]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Arithmetic Sequences", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Pane", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Grid", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Row", "[", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Text", "@", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"StringJoin", "[", 
               RowBox[{
                RowBox[{"StringTake", "[", 
                 RowBox[{
                  RowBox[{"ToString", "[", 
                   RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", 
                    RowBox[{"n", "*", 
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "1", ",", "t", ",", "1"}], "}"}]}], 
                    "]"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"2", ",", 
                    RowBox[{"-", "2"}]}], "}"}]}], "]"}], ",", 
                "\"\<, \[Ellipsis] \\n\>\""}], "]"}], ",", "15", ",", 
              "Bold"}], "]"}]}], "}"}], "]"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Switch", "[", 
          RowBox[{"p", ",", "0", ",", "\[IndentingNewLine]", 
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<the common difference is: \>\"", ",", "15", ",", 
                 "Bold"}], "]"}]}], ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"answer", "\[Equal]", "0"}], ",", 
                   RowBox[{"PopupMenu", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", "pop", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\<?\>\"", ",", 
                    RowBox[{"-", "20"}], ",", 
                    RowBox[{"-", "19"}], ",", 
                    RowBox[{"-", "18"}], ",", 
                    RowBox[{"-", "17"}], ",", 
                    RowBox[{"-", "16"}], ",", 
                    RowBox[{"-", "15"}], ",", 
                    RowBox[{"-", "14"}], ",", 
                    RowBox[{"-", "13"}], ",", 
                    RowBox[{"-", "12"}], ",", 
                    RowBox[{"-", "11"}], ",", 
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{"-", "9"}], ",", 
                    RowBox[{"-", "8"}], ",", 
                    RowBox[{"-", "7"}], ",", 
                    RowBox[{"-", "6"}], ",", 
                    RowBox[{"-", "5"}], ",", 
                    RowBox[{"-", "4"}], ",", 
                    RowBox[{"-", "3"}], ",", 
                    RowBox[{"-", "2"}], ",", 
                    RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "2", ",", 
                    "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", "8", 
                    ",", "9", ",", "10", ",", "11", ",", "12", ",", "13", ",",
                     "14", ",", "15", ",", "16", ",", "17", ",", "18", ",", 
                    "19", ",", "20"}], "}"}]}], "]"}], ",", 
                   RowBox[{"sr", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", "15", ",", 
                 "Bold"}], "]"}]}]}], "}"}], "]"}], ",", "1", ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<the next term is: \>\"", ",", "15", ",", "Bold"}], 
                "]"}]}], ",", "\[IndentingNewLine]", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"answer", "\[Equal]", "0"}], ",", 
                   RowBox[{"PopupMenu", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", "ap", "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"\"\<?\>\"", ",", 
                    RowBox[{"Apply", "[", 
                    RowBox[{"Sequence", ",", 
                    RowBox[{"Union", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"t", "+", "1"}], ")"}], "*", 
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "+", 
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"t", "+", "1"}], ")"}], "*", 
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "+", 
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"t", "+", "1"}], ")"}], "*", 
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "+", 
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"t", "+", "1"}], ")"}], "*", 
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"t", "+", "1"}], ")"}], "*", 
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "+", 
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "6", "]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"t", "+", "1"}], ")"}], "*", 
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "+", 
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "7", "]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"t", "+", "1"}], ")"}], "*", 
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "+", 
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "8", "]"}], "]"}]}]}], "}"}], "]"}]}], 
                    "]"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", ",", 
                   RowBox[{
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"t", "+", "1"}], ")"}], "*", 
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]}]}], 
                  "\[IndentingNewLine]", "]"}], ",", "15", ",", "Bold"}], 
                "]"}]}]}], "}"}], "]"}]}], "   ", "\[IndentingNewLine]", " ", 
          "]"}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Switch", "[", 
          RowBox[{"p", ",", "0", ",", 
           RowBox[{"Text", "@", 
            RowBox[{"Style", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"answer", "\[Equal]", "1"}], ",", "\"\<\>\"", ",", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"pop", "===", 
                   RowBox[{"sr", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "\"\<correct!\>\"",
                   ",", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"pop", "===", "\"\<?\>\""}], ",", "\"\<\>\"", 
                    ",", "\"\<wrong: try again\>\""}], "]"}]}], "]"}]}], 
               "]"}], ",", "15", ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"pop", "===", 
                 RowBox[{"sr", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}], ",", 
                RowBox[{"Darker", "[", "Green", "]"}], ",", 
                RowBox[{"Darker", "[", "Red", "]"}]}], "]"}], ",", "Bold"}], 
             "]"}]}], ",", "1", ",", "\[IndentingNewLine]", 
           RowBox[{"Text", "@", 
            RowBox[{"Style", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"answer", "\[Equal]", "1"}], ",", "\"\<\>\"", ",", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"ap", "===", 
                   RowBox[{
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"t", "+", "1"}], ")"}], "*", 
                    RowBox[{"sr", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]}]}], ",", 
                  "\"\<correct!\>\"", ",", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"ap", "===", "\"\<?\>\""}], ",", "\"\<\>\"", ",", 
                    "\"\<wrong: try again\>\""}], "]"}]}], "]"}]}], "]"}], 
              ",", "15", ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"ap", "===", 
                 RowBox[{
                  RowBox[{"sr", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"t", "+", "1"}], ")"}], "*", 
                   RowBox[{"sr", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]}]}], ",", 
                RowBox[{"Darker", "[", "Green", "]"}], ",", 
                RowBox[{"Darker", "[", "Red", "]"}]}], "]"}], ",", "Bold"}], 
             "]"}]}]}], "]"}], "\[IndentingNewLine]", "}"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"300", ",", "250"}], "}"}], ",", 
     RowBox[{"Alignment", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Center", ",", "Center"}], "}"}]}]}], "]"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", "0", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"0", "->", "\"\<common difference\>\""}], ",", 
       RowBox[{"1", "\[Rule]", "\"\<next term\>\""}]}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "4", ",", "\"\<number of terms\>\""}], "}"}], ",", 
     "2", ",", "10", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sr", ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", 
         RowBox[{"-", "5"}], ",", 
         RowBox[{"-", "6"}], ",", "5", ",", "3", ",", 
         RowBox[{"-", "2"}], ",", "1", ",", 
         RowBox[{"-", "8"}]}], "}"}], ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Button", "[", 
       RowBox[{"\"\<new sequence\>\"", ",", 
        RowBox[{
         RowBox[{"sr", "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RandomInteger", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "100"}], ",", "100"}], "}"}], "]"}], ",", 
            RowBox[{"RandomInteger", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "20"}], ",", "20"}], "}"}], "]"}], ",", 
            RowBox[{"RandomInteger", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "10"}], ",", "10"}], "}"}], "]"}], ",", 
            RowBox[{"RandomInteger", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "10"}], ",", "10"}], "}"}], "]"}], ",", 
            RowBox[{"RandomInteger", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "5"}], ",", "5"}], "}"}], "]"}], ",", 
            RowBox[{"RandomInteger", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "5"}], ",", "5"}], "}"}], "]"}], ",", 
            RowBox[{"RandomInteger", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "5"}], ",", "5"}], "}"}], "]"}], ",", 
            RowBox[{"RandomInteger", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "10"}], ",", "10"}], "}"}], "]"}]}], "}"}]}], ";",
          
         RowBox[{"pop", "=", "\"\<?\>\""}], " ", ";", " ", 
         RowBox[{"ap", "=", "\"\<?\>\""}]}]}], " ", "]"}], "&"}]}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"answer", ",", "0", ",", "\"\<show answer\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", "Checkbox", ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Bottom"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pop", ",", "\"\<?\>\""}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ap", ",", "\"\<?\>\"", ",", "\"\<?\>\""}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.42323979330618*^9, 3.423239840588035*^9}, {
   3.4232399154639935`*^9, 3.4232404285799365`*^9}, {3.4232404684398212`*^9, 
   3.4232404699242153`*^9}, {3.423240500987113*^9, 3.4232405132685204`*^9}, {
   3.423240576503705*^9, 3.423240586410082*^9}, {3.4232407173492575`*^9, 
   3.4232407370057592`*^9}, {3.4232407990846786`*^9, 3.423240799475309*^9}, {
   3.4232443790992527`*^9, 3.4232444163966045`*^9}, {3.423244450959547*^9, 
   3.4232444514439287`*^9}, {3.4233084741849318`*^9, 3.423308543484024*^9}, {
   3.423308606657921*^9, 3.4233086210021296`*^9}, {3.4233086820509577`*^9, 
   3.4233088076956034`*^9}, {3.4233088515720077`*^9, 
   3.4233088676662726`*^9}, {3.4233089376060104`*^9, 3.42330908587638*^9}, {
   3.423309141346905*^9, 3.423309148565886*^9}, {3.4233092028019967`*^9, 
   3.4233093537443266`*^9}, {3.423309385917231*^9, 3.423309386636004*^9}, {
   3.4233095335313296`*^9, 3.423309607861833*^9}, {3.423309728521944*^9, 
   3.423309733772112*^9}, {3.4233097966022477`*^9, 3.4233097972897696`*^9}, {
   3.423309862401228*^9, 3.4233099379817715`*^9}, 3.423312250863403*^9, {
   3.423312311172433*^9, 3.4233123117154875`*^9}, {3.423312384333749*^9, 
   3.423312412532568*^9}, {3.4233124988552*^9, 3.423312543690683*^9}, {
   3.4233125763349466`*^9, 3.423312617921105*^9}, {3.42331319570306*^9, 
   3.423313214093567*^9}, {3.4233132457027397`*^9, 3.423313361421137*^9}, {
   3.423319068792631*^9, 3.4233190697770247`*^9}, {3.4233192009514184`*^9, 
   3.423319225936273*^9}, {3.4233192613275776`*^9, 3.423319262999485*^9}, {
   3.4233193558606424`*^9, 3.4233193737359858`*^9}, {3.423319556739499*^9, 
   3.423319557708268*^9}, {3.423319612646823*^9, 3.423319620818855*^9}, {
   3.423319654491376*^9, 3.4233197179457197`*^9}, {3.4233242077194214`*^9, 
   3.4233242157820764`*^9}, {3.423324252735911*^9, 3.423324483552842*^9}, {
   3.42332453419444*^9, 3.423324587820469*^9}, {3.4233248485129747`*^9, 
   3.423324961265139*^9}, {3.423325011312975*^9, 3.4233250119536123`*^9}, {
   3.4233251566438904`*^9, 3.423325168597245*^9}, {3.423325211769949*^9, 
   3.423325372523035*^9}, {3.423325715435869*^9, 3.4233257721088324`*^9}, {
   3.4233262329458055`*^9, 3.4233262701965203`*^9}, {3.4233264247932386`*^9, 
   3.4233264270120316`*^9}, 3.423326569061633*^9, {3.423326675454301*^9, 
   3.423326731033493*^9}, {3.423326765284151*^9, 3.4233267686435905`*^9}, {
   3.4233269052712135`*^9, 3.4233269330217466`*^9}, {3.423326968631805*^9, 
   3.4233272090114202`*^9}, {3.4233272719345036`*^9, 3.423327315294711*^9}, {
   3.4233274802197523`*^9, 3.423327525376869*^9}, {3.423327568955831*^9, 
   3.423327585737403*^9}, {3.4233276514261646`*^9, 3.423327722677532*^9}, 
   3.423327788366294*^9, {3.4233278990402937`*^9, 3.423328085075115*^9}, {
   3.4233281762331157`*^9, 3.423328202811751*^9}, {3.423328318892104*^9, 
   3.423328329517308*^9}, {3.4233283710962315`*^9, 3.423328416565855*^9}, {
   3.4233284608792057`*^9, 3.423328472488804*^9}, {3.423328547224613*^9, 
   3.4233285783345857`*^9}, {3.42332863636695*^9, 3.4233289532636595`*^9}, {
   3.4233290143429565`*^9, 3.423329026311937*^9}, {3.4233290591250668`*^9, 
   3.4233290625626326`*^9}, {3.4233291258138475`*^9, 3.4233291266888638`*^9}, 
   3.423329220862547*^9, {3.4233292698322372`*^9, 3.42332930459853*^9}, {
   3.4233293490993843`*^9, 3.4233293505681624`*^9}, {3.423395254519948*^9, 
   3.423395274332391*^9}, {3.423395310280341*^9, 3.423395316828118*^9}, {
   3.423395719740059*^9, 3.423395721110248*^9}, 3.42339575952024*^9, {
   3.423395799506035*^9, 3.423395816232661*^9}, {3.423395854973291*^9, 
   3.423395885024832*^9}, {3.423395917203944*^9, 3.423395949662532*^9}, {
   3.423395982869703*^9, 3.423395988360763*^9}, {3.423396082268621*^9, 
   3.423396084946729*^9}, {3.423396126089338*^9, 3.423396157469511*^9}, {
   3.4233991536715803`*^9, 3.423399406596692*^9}, {3.4234805599372215`*^9, 
   3.4234805604997215`*^9}, {3.4234810717184715`*^9, 
   3.4234811285309715`*^9}, {3.4234812775622215`*^9, 
   3.4234812780622215`*^9}, {3.423481320765346*^9, 3.423481402890346*^9}, {
   3.423481945046596*^9, 3.4234819534684715`*^9}, {3.423493326509*^9, 
   3.423493329921*^9}, {3.423493367983*^9, 3.423493394045*^9}},
 CellID->43200979]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`answer$$ = 0, $CellContext`ap$$ = 
    "?", $CellContext`p$$ = 0, $CellContext`pop$$ = "?", $CellContext`sr$$ = {
    3, -5, -6, 5, 3, -2, 1, -8}, $CellContext`t$$ = 4, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`p$$], 0, ""}, {
      0 -> "common difference", 1 -> "next term"}}, {{
       Hold[$CellContext`t$$], 4, "number of terms"}, 2, 10, 1}, {{
       Hold[$CellContext`sr$$], {3, -5, -6, 5, 3, -2, 1, -8}, ""}, 
      Dynamic[Button["new sequence", $CellContext`sr$$ = {
           RandomInteger[{-100, 100}], 
           RandomInteger[{-20, 20}], 
           RandomInteger[{-10, 10}], 
           RandomInteger[{-10, 10}], 
           RandomInteger[{-5, 5}], 
           RandomInteger[{-5, 5}], 
           RandomInteger[{-5, 5}], 
           RandomInteger[{-10, 10}]}; $CellContext`pop$$ = 
         "?"; $CellContext`ap$$ = "?"]& ]}, {{
       Hold[$CellContext`answer$$], 0, "show answer"}, {0, 1}}, {{
       Hold[$CellContext`pop$$], "?"}}, {{
       Hold[$CellContext`ap$$], "?", "?"}}}, Typeset`size$$ = {
    300., {122.5, 127.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`p$143416$$ = 
    False, $CellContext`t$143417$$ = 0, $CellContext`answer$143418$$ = False},
     
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`answer$$ = 0, $CellContext`ap$$ = 
        "?", $CellContext`p$$ = 0, $CellContext`pop$$ = 
        "?", $CellContext`sr$$ = {3, -5, -6, 5, 3, -2, 
         1, -8}, $CellContext`t$$ = 4}, "ControllerVariables" :> {
        Hold[$CellContext`p$$, $CellContext`p$143416$$, False], 
        Hold[$CellContext`t$$, $CellContext`t$143417$$, 0], 
        Hold[$CellContext`answer$$, $CellContext`answer$143418$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        Grid[{{
           Row[{
             Text[
              Style[
               StringJoin[
                StringTake[
                 ToString[
                  Table[
                  Part[$CellContext`sr$$, 1] + $CellContext`n 
                    Part[$CellContext`sr$$, 2], {$CellContext`n, 
                    1, $CellContext`t$$, 1}]], {2, -2}], ", \[Ellipsis] \n"], 
               15, Bold]]}]}, {
           Switch[$CellContext`p$$, 0, 
            Row[{
              Text[
               Style["the common difference is: ", 15, Bold]], 
              Text[
               Style[
                If[$CellContext`answer$$ == 0, 
                 PopupMenu[
                  Dynamic[$CellContext`pop$$], {
                  "?", -20, -19, -18, -17, -16, -15, -14, -13, -12, -11, -10, \
-9, -8, -7, -6, -5, -4, -3, -2, -1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 
                   13, 14, 15, 16, 17, 18, 19, 20}], 
                 Part[$CellContext`sr$$, 2]], 15, Bold]]}], 1, 
            Row[{
              Text[
               Style["the next term is: ", 15, Bold]], 
              Text[
               Style[
                If[$CellContext`answer$$ == 0, 
                 PopupMenu[
                  Dynamic[$CellContext`ap$$], {"?", 
                   Apply[Sequence, 
                    
                    Union[{Part[$CellContext`sr$$, 1] + ($CellContext`t$$ + 1)
                     Part[$CellContext`sr$$, 2] + Part[$CellContext`sr$$, 3], 
                    Part[$CellContext`sr$$, 1] + ($CellContext`t$$ + 1) 
                    Part[$CellContext`sr$$, 2] + Part[$CellContext`sr$$, 4], 
                    Part[$CellContext`sr$$, 1] + ($CellContext`t$$ + 1) 
                    Part[$CellContext`sr$$, 2] + Part[$CellContext`sr$$, 5], 
                    Part[$CellContext`sr$$, 1] + ($CellContext`t$$ + 1) 
                    Part[$CellContext`sr$$, 2], 
                    Part[$CellContext`sr$$, 1] + ($CellContext`t$$ + 1) 
                    Part[$CellContext`sr$$, 2] + Part[$CellContext`sr$$, 6], 
                    Part[$CellContext`sr$$, 1] + ($CellContext`t$$ + 1) 
                    Part[$CellContext`sr$$, 2] + Part[$CellContext`sr$$, 7], 
                    Part[$CellContext`sr$$, 1] + ($CellContext`t$$ + 1) 
                    Part[$CellContext`sr$$, 2] + 
                    Part[$CellContext`sr$$, 8]}]]}], 
                 Part[$CellContext`sr$$, 1] + ($CellContext`t$$ + 1) 
                  Part[$CellContext`sr$$, 2]], 15, Bold]]}]]}, {
           Switch[$CellContext`p$$, 0, 
            Text[
             Style[
              If[$CellContext`answer$$ == 1, "", 
               
               If[$CellContext`pop$$ === Part[$CellContext`sr$$, 2], 
                "correct!", 
                If[$CellContext`pop$$ === "?", "", "wrong: try again"]]], 15, 
              
              If[$CellContext`pop$$ === Part[$CellContext`sr$$, 2], 
               Darker[Green], 
               Darker[Red]], Bold]], 1, 
            Text[
             Style[
              If[$CellContext`answer$$ == 1, "", 
               
               If[$CellContext`ap$$ === 
                Part[$CellContext`sr$$, 1] + ($CellContext`t$$ + 1) 
                  Part[$CellContext`sr$$, 2], "correct!", 
                If[$CellContext`ap$$ === "?", "", "wrong: try again"]]], 15, 
              
              If[$CellContext`ap$$ === 
               Part[$CellContext`sr$$, 1] + ($CellContext`t$$ + 1) 
                 Part[$CellContext`sr$$, 2], 
               Darker[Green], 
               Darker[Red]], Bold]]]}}], {300, 250}, 
        Alignment -> {Center, Center}], 
      "Specifications" :> {{{$CellContext`p$$, 0, ""}, {
         0 -> "common difference", 1 -> "next term"}}, {{$CellContext`t$$, 4, 
          "number of terms"}, 2, 10, 1, Appearance -> 
         "Labeled"}, {{$CellContext`sr$$, {3, -5, -6, 5, 3, -2, 1, -8}, ""}, 
         Dynamic[Button["new sequence", $CellContext`sr$$ = {
              RandomInteger[{-100, 100}], 
              RandomInteger[{-20, 20}], 
              RandomInteger[{-10, 10}], 
              RandomInteger[{-10, 10}], 
              RandomInteger[{-5, 5}], 
              RandomInteger[{-5, 5}], 
              RandomInteger[{-5, 5}], 
              RandomInteger[{-10, 10}]}; $CellContext`pop$$ = 
            "?"; $CellContext`ap$$ = "?"]& ]}, {{$CellContext`answer$$, 0, 
          "show answer"}, {0, 1}, ControlType -> Checkbox, ControlPlacement -> 
         Bottom}, {{$CellContext`pop$$, "?"}, ControlType -> 
         None}, {{$CellContext`ap$$, "?", "?"}, ControlType -> None}}, 
      "Options" :> {}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{353., {202., 207.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->172103826],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Arithmetic Sequences",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ArithmeticSequences/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ArithmeticSequences/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ArithmeticSequences/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ArithmeticSequences/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ArithmeticSequences/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Sarah Lichtblau",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Sarah+\
Lichtblau"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Sarah+Lichtblau"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ArithmeticSequences"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Arithmetic Sequences - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 212, 4, 70, "Section"],
Cell[805, 29, 19148, 412, 70, "Input",
 CellID->43200979]
}, Open  ]],
Cell[19968, 444, 7366, 151, 70, "Output",
 CellID->172103826],
Cell[CellGroupData[{
Cell[27359, 599, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[27735, 610, 892, 24, 70, "Text"],
Cell[28630, 636, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[28970, 647, 439, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[29434, 665, 829, 24, 70, "Text"],
Cell[30266, 691, 1195, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature sSN4zGnitcqtxBDa2gW7uPiT *)
