(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     14552,        415]
NotebookOptionsPosition[     13495,        376]
NotebookOutlinePosition[     14122,        400]
CellTagsIndexPosition[     14079,        397]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Convergence of a Monotonic Sequence", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{"1", "-", 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox[
         RowBox[{"n", "-", "1"}], "n"], ")"}], 
       RowBox[{"m", "*", "x"}]]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Show", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ListPlot", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"1", "-", 
           SuperscriptBox[
            RowBox[{"(", 
             FractionBox[
              RowBox[{"n", "-", "1"}], "n"], ")"}], 
            RowBox[{"m", "*", "x"}]]}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", 
            RowBox[{"Max", "[", 
             RowBox[{
              RowBox[{"2", " ", 
               RowBox[{"p", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ",", "30"}], "]"}]}], 
           "}"}]}], "]"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1.1"}], "}"}]}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"Directive", "[", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
           RowBox[{"PointSize", "[", ".01", "]"}]}], "]"}]}]}], "]"}], ",", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"f", "[", 
         RowBox[{
          RowBox[{"p", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "-", "1"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", 
          RowBox[{"Max", "[", 
           RowBox[{
            RowBox[{"2", " ", 
             RowBox[{"p", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ",", "30"}], "]"}]}], "}"}], 
        ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1.1"}], "}"}]}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"Directive", "[", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", 
           RowBox[{"PointSize", "[", ".01", "]"}]}], "]"}]}]}], "]"}], ",", 
      RowBox[{"Plot", "[", 
       RowBox[{"1", ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", 
          RowBox[{"Max", "[", 
           RowBox[{
            RowBox[{"2", " ", 
             RowBox[{"p", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ",", "30"}], "]"}]}], "}"}], 
        ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1.1"}], "}"}]}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"ColorData", "[", 
          RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}]}]}], 
       "]"}], ",", 
      RowBox[{"ListLinePlot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "}"}]}], "}"}], ",", 
        
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"RGBColor", "[", 
          RowBox[{".6", ",", ".73", ",", ".36"}], "]"}]}]}], "]"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"500", ",", "375"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "2"}], "}"}], ",", "2", ",", "100", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "2"}], "}"}], ",", "1", ",", "50", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", ".6"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"40", ",", "1.1"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.40829762209375*^9, 3.40829763403125*^9}, {
   3.4082989050459766`*^9, 3.408298937764518*^9}, {3.408298977623637*^9, 
   3.408298989311063*^9}, {3.40829905062317*^9, 3.4082990815135975`*^9}, {
   3.4082991444663196`*^9, 3.4082991648255644`*^9}, {3.4082992064190483`*^9, 
   3.40829920849716*^9}, {3.4082992641061788`*^9, 3.408299349730631*^9}, {
   3.40829943729257*^9, 3.408299488542242*^9}, {3.4082995296826043`*^9, 
   3.4082995399169135`*^9}, {3.408306566712228*^9, 3.4083065824104586`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`m$$ = 2, $CellContext`n$$ = 
    2, $CellContext`p$$ = {2, 0.6}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 2}, 2, 100}, {{
       Hold[$CellContext`m$$], 2}, 1, 50}, {{
       Hold[$CellContext`p$$], {2, 0.6}}, {0, 0}, {40, 1.1}}}, 
    Typeset`size$$ = {500., {185., 190.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$4663516$$ = 0, $CellContext`m$4663517$$ = 
    0, $CellContext`p$4663518$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`m$$ = 2, $CellContext`n$$ = 
        2, $CellContext`p$$ = {2, 0.6}}, "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$4663516$$, 0], 
        Hold[$CellContext`m$$, $CellContext`m$4663517$$, 0], 
        Hold[$CellContext`p$$, $CellContext`p$4663518$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`f[
          Pattern[$CellContext`x$, 
           Blank[]]] := 
        1 - (($CellContext`n$$ - 
           1)/$CellContext`n$$)^($CellContext`m$$ $CellContext`x$); Show[
         ListPlot[
          Table[
          1 - (($CellContext`n$$ - 
             1)/$CellContext`n$$)^($CellContext`m$$ $CellContext`x), \
{$CellContext`x, 0, 
            Max[2 Part[$CellContext`p$$, 1], 30]}], PlotRange -> {0, 1.1}, 
          PlotStyle -> Directive[
            RGBColor[1, 0.47, 0], 
            PointSize[0.01]]], 
         Plot[
          $CellContext`f[Part[$CellContext`p$$, 1] - 1], {$CellContext`x, 0, 
           Max[2 Part[$CellContext`p$$, 1], 30]}, PlotRange -> {0, 1.1}, 
          PlotStyle -> Directive[
            RGBColor[0.6, 0.73, 0.36], 
            PointSize[0.01]]], 
         Plot[1, {$CellContext`x, 0, 
           Max[2 Part[$CellContext`p$$, 1], 30]}, PlotRange -> {0, 1.1}, 
          PlotStyle -> ColorData["HTML", "SlateBlue"]], 
         ListLinePlot[{{
            Part[$CellContext`p$$, 1], 0}, {
            Part[$CellContext`p$$, 1], 1}}, PlotStyle -> 
          RGBColor[0.6, 0.73, 0.36]], ImageSize -> {500, 375}]), 
      "Specifications" :> {{{$CellContext`n$$, 2}, 2, 100, Appearance -> 
         "Labeled"}, {{$CellContext`m$$, 2}, 1, 50, Appearance -> 
         "Labeled"}, {{$CellContext`p$$, {2, 0.6}}, {0, 0}, {40, 1.1}, 
         ControlType -> Locator, Appearance -> None}}, 
      "Options" :> {TrackedSymbols -> Manipulate}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {242., 247.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->454426377],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Convergence of a Monotonic Sequence",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConvergenceOfAMonotonicSequence/"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ConvergenceOfAMonotonicSequence/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ConvergenceOfAMonotonicSequence/\
",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConvergenceOfAMonotonicSequence/"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ConvergenceOfAMonotonicSequence/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Anik Debnath",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Anik+Debnath"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Anik+Debnath"],
 " and ",
 ButtonBox["Thomas Roxlo",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Thomas+Roxlo"], 
    None}],
 " (The Harker School)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ConvergenceOfAMonotonicSequence"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Convergence of a Monotonic Sequence - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 227, 4, 70, "Section"],
Cell[820, 29, 4895, 130, 70, "Input"]
}, Open  ]],
Cell[5730, 162, 3314, 69, 70, "Output",
 CellID->454426377],
Cell[CellGroupData[{
Cell[9069, 235, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9445, 246, 987, 29, 70, "Text"],
Cell[10435, 277, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10775, 288, 628, 21, 70, "Text"],
Cell[CellGroupData[{
Cell[11428, 313, 829, 24, 70, "Text"],
Cell[12260, 339, 1207, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature gSj2PBral8T#fDpjrclpZWil *)
