(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     31251,        710]
NotebookOptionsPosition[     30124,        668]
NotebookOutlinePosition[     30736,        692]
CellTagsIndexPosition[     30693,        689]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Infinite Series Explorer", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"0", ",", "n_"}], "]"}], ":=", "1"}], ";", 
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"1", ",", "n_"}], "]"}], ":=", 
   FractionBox["1", "n"]}], ";", 
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"2", ",", "n_"}], "]"}], ":=", 
   FractionBox["1", 
    RowBox[{"n", "!"}]]}], ";", 
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"3", ",", "n_"}], "]"}], ":=", 
   FractionBox["1", 
    RowBox[{"n", 
     RowBox[{"(", 
      RowBox[{"n", "+", "1"}], ")"}]}]]}], ";", 
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"4", ",", "n_"}], "]"}], ":=", 
   FractionBox["1", 
    SuperscriptBox[
     RowBox[{"n", "!"}], "2"]]}], ";", 
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"5", ",", "n_"}], "]"}], ":=", "n"}], ";"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.424348605879294*^9, 3.424348612697217*^9}, {
   3.42434864521633*^9, 3.424348678796611*^9}, {3.424348787317444*^9, 
   3.424348837031088*^9}, {3.424348885434882*^9, 3.424349102553576*^9}, {
   3.4243493735167093`*^9, 3.424349394577614*^9}, {3.424380435575013*^9, 
   3.4243804957171593`*^9}, {3.424380543583251*^9, 3.424380575645741*^9}, {
   3.424381106116186*^9, 3.424381133736792*^9}, {3.424381204249758*^9, 
   3.424381329650041*^9}, {3.424381872125031*^9, 3.424381881723325*^9}, {
   3.4243827100924273`*^9, 3.424382714768811*^9}, {3.426118472879815*^9, 
   3.426118488961796*^9}, {3.426118539032671*^9, 3.426118586981793*^9}, {
   3.426119205589198*^9, 3.4261192288439007`*^9}, {3.4266289622329493`*^9, 
   3.426629011849366*^9}, {3.4266290841112347`*^9, 3.426629142831971*^9}, {
   3.4266292354328938`*^9, 3.4266292504068947`*^9}, {3.426629752483789*^9, 
   3.426629764993615*^9}, {3.42663032853445*^9, 3.426630337691024*^9}, {
   3.426630444715109*^9, 3.4266304848607817`*^9}, {3.426630578766726*^9, 
   3.4266306185446463`*^9}, 3.42663074534484*^9, {3.426631083037759*^9, 
   3.4266311005248423`*^9}},
 CellID->1236996397],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Pane", "[", 
    RowBox[{
     RowBox[{"Text", "@", 
      RowBox[{"Column", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Subscript", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{
                  "\"\<\[CapitalSigma]\>\"", ",", "40", ",", "Plain"}], "]"}],
                  ",", "\[IndentingNewLine]", 
                 RowBox[{"Which", "[", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"ns", "==", "0"}], ",", 
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<n\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<=0, 1, 2, \[Ellipsis]\>\""}], "}"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"ns", "==", "1"}], ",", 
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<n\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<=1, 2, 3, \[Ellipsis]\>\""}], "}"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"ns", "==", "2"}], ",", 
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<n\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<=0, 2, 4, \[Ellipsis]\>\""}], "}"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"ns", "==", "3"}], ",", 
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<n\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<=1, 3, 5, \[Ellipsis]\>\""}], "}"}], "]"}]}], 
                  "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
                "]"}], ",", "\"\<  \>\"", ",", 
               RowBox[{"TraditionalForm", "[", 
                RowBox[{"t", "[", 
                 RowBox[{"nx", ",", "x", ",", "nc", ",", "n"}], "]"}], "]"}], 
               ",", "\"\< = \>\""}], " ", "}"}], "]"}], ",", "24"}], "]"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Normal", "[", 
                 RowBox[{"Series", "[", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"Which", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"ns", "\[Equal]", "0"}], ",", 
                    RowBox[{"1", "+", 
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"c", "[", 
                    RowBox[{"nc", ",", "n"}], "]"}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"xx", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"\[ImaginaryI]", "  ", "nx", " ", 
                    RowBox[{"\[Pi]", "/", "2"}]}]]}], ")"}], "n"]}], " ", ",",
                     
                    RowBox[{"{", 
                    RowBox[{"n", ",", "1", ",", "\[Infinity]", ",", "1"}], 
                    "}"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{"ns", "\[Equal]", "1"}], ",", 
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"c", "[", 
                    RowBox[{"nc", ",", "n"}], "]"}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"xx", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"\[ImaginaryI]", "  ", "nx", " ", 
                    RowBox[{"\[Pi]", "/", "2"}]}]]}], ")"}], "n"]}], " ", ",",
                     
                    RowBox[{"{", 
                    RowBox[{"n", ",", "1", ",", "\[Infinity]", ",", "1"}], 
                    "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"ns", "\[Equal]", "2"}], ",", 
                    RowBox[{"1", "+", 
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"c", "[", 
                    RowBox[{"nc", ",", "n"}], "]"}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"xx", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"\[ImaginaryI]", "  ", "nx", " ", 
                    RowBox[{"\[Pi]", "/", "2"}]}]]}], ")"}], "n"]}], " ", ",",
                     
                    RowBox[{"{", 
                    RowBox[{"n", ",", "2", ",", "\[Infinity]", ",", "2"}], 
                    "}"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{"ns", "\[Equal]", "3"}], ",", 
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"c", "[", 
                    RowBox[{"nc", ",", "n"}], "]"}], 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"xx", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"\[ImaginaryI]", "  ", "nx", " ", 
                    RowBox[{"\[Pi]", "/", "2"}]}]]}], ")"}], "n"]}], " ", ",",
                     
                    RowBox[{"{", 
                    RowBox[{"n", ",", "1", ",", "\[Infinity]", ",", "2"}], 
                    "}"}]}], "]"}]}], "\[IndentingNewLine]", "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"xx", ",", "0", ",", 
                    RowBox[{"4", "+", "ns"}]}], "}"}]}], "]"}], "]"}], "/.", 
                RowBox[{"xx", "\[Rule]", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}]}]}], ",", 
               "\"\< + \[CenterEllipsis] = \>\""}], "}"}], "]"}], ",", "24"}],
            "]"}], ",", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"TraditionalForm", "[", 
             RowBox[{"Simplify", "[", 
              RowBox[{"S", "[", 
               RowBox[{"ns", ",", "nx", ",", "x", ",", "nc"}], "]"}], "]"}], 
             "]"}], ",", "36"}], "]"}]}], "}"}], ",", 
        RowBox[{"Spacings", "\[Rule]", "5"}]}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"400", ",", "300"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]",
    "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ns", ",", "0", ",", "\"\<range of n\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"0", "\[Rule]", "\"\<0, 1, 2, \[Ellipsis]\>\""}], ",", 
       RowBox[{"1", "\[Rule]", "\"\<1, 2, 3, \[Ellipsis]\>\""}], ",", 
       RowBox[{"2", "\[Rule]", "\"\<0, 2, 4, \[Ellipsis]\>\""}], ",", 
       RowBox[{"3", "\[Rule]", "\"\<1, 3, 5, \[Ellipsis]\>\""}]}], "}"}], ",",
      
     RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"nx", ",", "0", ",", "\"\<variable\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"0", "\[Rule]", "\"\<x\>\""}], ",", 
       RowBox[{"1", "\[Rule]", "\"\<i x\>\""}], ",", 
       RowBox[{"2", "\[Rule]", "\"\<-x\>\""}], ",", 
       RowBox[{"3", "\[Rule]", "\"\<-i x\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"nc", ",", "2", ",", "\"\<coefficient\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"0", "\[Rule]", "\"\<1\>\""}], ",", 
       RowBox[{"1", "\[Rule]", "\"\<1/n\>\""}], ",", 
       RowBox[{"2", "\[Rule]", "\"\<1/n!\>\""}], ",", 
       RowBox[{"3", "\[Rule]", "\"\<1/n(n+1)\>\""}], ",", 
       RowBox[{
       "4", "\[Rule]", "\"\<1/(n!\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], 
       ",", 
       RowBox[{"5", "\[Rule]", "\"\<n\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"ns", ",", "nx", ",", "nc"}], "}"}]}], ",", " ", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.424294763917778*^9, 3.424294821821067*^9}, {
   3.424294899632533*^9, 3.42429515588748*^9}, {3.42429525733611*^9, 
   3.424295273001515*^9}, {3.42429531485106*^9, 3.424295387812701*^9}, {
   3.424295531307551*^9, 3.424295586214155*^9}, {3.424295625942154*^9, 
   3.424295919556435*^9}, {3.424296048411504*^9, 3.424296080586432*^9}, {
   3.424296143285101*^9, 3.424296150679893*^9}, {3.4242961879468193`*^9, 
   3.424296188979204*^9}, {3.424296245758209*^9, 3.424296278162177*^9}, {
   3.424296366342148*^9, 3.4242965164150333`*^9}, {3.424296637762702*^9, 
   3.424296713337975*^9}, 3.424296762963739*^9, {3.424296811858753*^9, 
   3.4242968401562843`*^9}, {3.4242969505204353`*^9, 3.42429704334412*^9}, {
   3.424297089905735*^9, 3.42429712728776*^9}, {3.424348113702812*^9, 
   3.424348116590185*^9}, {3.424348203898822*^9, 3.424348224617259*^9}, {
   3.424348254696032*^9, 3.424348273462762*^9}, {3.424348320754024*^9, 
   3.424348343171116*^9}, {3.4243495955957003`*^9, 3.4243496898473463`*^9}, {
   3.424349755323547*^9, 3.424349815042083*^9}, {3.4243498473672323`*^9, 
   3.4243498607644863`*^9}, {3.4243499008581*^9, 3.424349994270515*^9}, {
   3.424350066089273*^9, 3.424350067660825*^9}, {3.424350226751458*^9, 
   3.424350249061061*^9}, {3.42435028238663*^9, 3.424350382650607*^9}, {
   3.424350462300926*^9, 3.424350474776464*^9}, {3.424350654369452*^9, 
   3.424350748596087*^9}, 3.424351147264009*^9, {3.424351210961897*^9, 
   3.4243512874118977`*^9}, {3.424351398654768*^9, 3.4243514480883408`*^9}, {
   3.42435151416044*^9, 3.42435156311133*^9}, {3.424351623267391*^9, 
   3.424351628832246*^9}, {3.424351769184202*^9, 3.424351809747817*^9}, {
   3.424351866289415*^9, 3.424351877474094*^9}, {3.424351967068968*^9, 
   3.4243519956113253`*^9}, {3.424352115967404*^9, 3.4243521279928303`*^9}, {
   3.424360311426515*^9, 3.4243603214189577`*^9}, {3.424364583806958*^9, 
   3.4243646819078007`*^9}, {3.424365409989519*^9, 3.424365424622113*^9}, 
   3.424365504963352*^9, 3.424365683127756*^9, {3.424366014223874*^9, 
   3.4243660296161137`*^9}, {3.424366062689315*^9, 3.4243660849358463`*^9}, {
   3.4243673005527678`*^9, 3.4243673434691153`*^9}, {3.4243674007636003`*^9, 
   3.42436740167527*^9}, 3.424367782022347*^9, 3.424367880312212*^9, {
   3.4243683913362083`*^9, 3.424368391776162*^9}, {3.4243684384064903`*^9, 
   3.4243684387942944`*^9}, {3.424368783111047*^9, 3.424368831647337*^9}, {
   3.424368866128393*^9, 3.424368958825797*^9}, {3.424370320262636*^9, 
   3.424370443835803*^9}, {3.424370493463122*^9, 3.4243705255276318`*^9}, {
   3.424378353657572*^9, 3.424378804737185*^9}, {3.424378883753718*^9, 
   3.424378901128244*^9}, {3.424379714080923*^9, 3.4243797655001*^9}, {
   3.424381590034296*^9, 3.424381645832179*^9}, {3.424382573232234*^9, 
   3.4243826064153013`*^9}, {3.424382979441971*^9, 3.4243829927422647`*^9}, {
   3.424383097827066*^9, 3.424383106127932*^9}, 3.424383158186941*^9, {
   3.424383479804385*^9, 3.424383482327653*^9}, {3.424383540425777*^9, 
   3.4243835669129333`*^9}, {3.4243838648323307`*^9, 3.424383874575923*^9}, {
   3.424384004562644*^9, 3.424384020384616*^9}, {3.426116085734529*^9, 
   3.426116190079344*^9}, 3.426116589659953*^9, {3.426116737655937*^9, 
   3.426116751811095*^9}, {3.426118196556561*^9, 3.426118200782703*^9}, {
   3.426119007971201*^9, 3.4261190293866663`*^9}, {3.426119249471025*^9, 
   3.4261192825981283`*^9}, {3.426119400500362*^9, 3.426119400923292*^9}, {
   3.426629340252993*^9, 3.426629385271935*^9}, {3.426629701326064*^9, 
   3.426629727323991*^9}, {3.426630045101523*^9, 3.426630196639633*^9}, 
   3.4266302885220413`*^9, {3.426630780282296*^9, 3.42663081588974*^9}, {
   3.4266308802796717`*^9, 3.4266308871878653`*^9}, {3.4266310518697977`*^9, 
   3.426631069399905*^9}, {3.42669526968239*^9, 3.426695305339057*^9}, {
   3.426695358878839*^9, 3.426695382491857*^9}, {3.42669541712744*^9, 
   3.426695625485549*^9}, {3.4266956753184643`*^9, 3.426695684541157*^9}, {
   3.4266957629357777`*^9, 3.426695778052335*^9}, 3.42669581337274*^9, {
   3.4266958539769897`*^9, 3.4266958567248793`*^9}, {3.42669589539005*^9, 
   3.426695932678409*^9}, {3.426696973168832*^9, 3.426696977974228*^9}, {
   3.4266971198700123`*^9, 3.426697121012364*^9}, 3.426697187808416*^9, {
   3.426697262274499*^9, 3.4266972811282043`*^9}, {3.426697411439864*^9, 
   3.4266974126392*^9}, {3.4266976386935368`*^9, 3.4266976728308353`*^9}, {
   3.426697704410536*^9, 3.4266979761224937`*^9}, {3.426698008375083*^9, 
   3.4266980137884417`*^9}, {3.426698051530044*^9, 3.426698055330339*^9}, {
   3.426698090173024*^9, 3.426698133056437*^9}, 3.4266981912818747`*^9, {
   3.426698237136589*^9, 3.426698301149542*^9}, {3.426698347631338*^9, 
   3.426698357335795*^9}, {3.426698400315452*^9, 3.426698444522191*^9}, {
   3.426698474732293*^9, 3.426698508613261*^9}, {3.426698660170932*^9, 
   3.426698663438562*^9}, {3.426698787229939*^9, 3.426698806073962*^9}, {
   3.4266988410739*^9, 3.426698841712145*^9}, {3.426699099494766*^9, 
   3.426699146044868*^9}, {3.426699193575954*^9, 3.426699216950181*^9}, {
   3.426699255282329*^9, 3.4266992846057577`*^9}, {3.426699315053046*^9, 
   3.426699318997313*^9}, 3.426699412269088*^9, {3.426699557160507*^9, 
   3.426699583838286*^9}, {3.4266996202560463`*^9, 3.426699707628478*^9}, {
   3.426699760282157*^9, 3.42669980074864*^9}, {3.4266998411180477`*^9, 
   3.426699869866284*^9}, {3.4266999102063103`*^9, 3.426699912628338*^9}, {
   3.4266999557256927`*^9, 3.4267000170055933`*^9}, {3.4267001851724377`*^9, 
   3.4267002037624083`*^9}, {3.426701010800316*^9, 3.4267010114855967`*^9}, {
   3.4268681393187375`*^9, 3.426868156387444*^9}, {3.426881496862196*^9, 
   3.4268815570085945`*^9}, {3.4269492197331467`*^9, 3.426949224151207*^9}, {
   3.4270477187445655`*^9, 3.427047742721963*^9}, {3.4270478528259726`*^9, 
   3.427047894795169*^9}, 3.427104394573311*^9, 3.4271045319313374`*^9, {
   3.427120492251318*^9, 3.427120498154461*^9}, {3.427410452171875*^9, 
   3.42741047709375*^9}, {3.427410710296875*^9, 3.42741078175*^9}, {
   3.427410817375*^9, 3.427410819625*^9}, {3.4274198825548525`*^9, 
   3.427419919991394*^9}, {3.427419957818551*^9, 3.4274200063641825`*^9}, {
   3.42748398539589*^9, 3.42748405148964*^9}, {3.42748418711464*^9, 
   3.42748420436464*^9}, {3.427484289036515*^9, 3.427484370255265*^9}},
 CellID->232720123]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`nc$$ = 2, $CellContext`ns$$ = 
    0, $CellContext`nx$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`ns$$], 0, "range of n"}, {
      0 -> "0, 1, 2, \[Ellipsis]", 1 -> "1, 2, 3, \[Ellipsis]", 2 -> 
       "0, 2, 4, \[Ellipsis]", 3 -> "1, 3, 5, \[Ellipsis]"}}, {{
       Hold[$CellContext`nx$$], 0, "variable"}, {
      0 -> "x", 1 -> "i x", 2 -> "-x", 3 -> "-i x"}}, {{
       Hold[$CellContext`nc$$], 2, "coefficient"}, {
      0 -> "1", 1 -> "1/n", 2 -> "1/n!", 3 -> "1/n(n+1)", 4 -> 
       "1/(n!\!\(\*SuperscriptBox[\()\), \(2\)]\)", 5 -> "n"}}}, 
    Typeset`size$$ = {400., {147.5, 152.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`ns$12671$$ = False, $CellContext`nx$12672$$ = 
    False, $CellContext`nc$12673$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`nc$$ = 2, $CellContext`ns$$ = 
        0, $CellContext`nx$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`ns$$, $CellContext`ns$12671$$, False], 
        Hold[$CellContext`nx$$, $CellContext`nx$12672$$, False], 
        Hold[$CellContext`nc$$, $CellContext`nc$12673$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        Text[
         Column[{
           Style[
            Row[{
              Subscript[
               Style["\[CapitalSigma]", 40, Plain], 
               Which[$CellContext`ns$$ == 0, 
                Row[{
                  Style["n", Italic], 
                  "=0, 1, 2, \[Ellipsis]"}], $CellContext`ns$$ == 1, 
                Row[{
                  Style["n", Italic], 
                  "=1, 2, 3, \[Ellipsis]"}], $CellContext`ns$$ == 2, 
                Row[{
                  Style["n", Italic], 
                  "=0, 2, 4, \[Ellipsis]"}], $CellContext`ns$$ == 3, 
                Row[{
                  Style["n", Italic], "=1, 3, 5, \[Ellipsis]"}]]], "  ", 
              TraditionalForm[
               $CellContext`t[$CellContext`nx$$, $CellContext`x, \
$CellContext`nc$$, $CellContext`n]], " = "}], 24], 
           Style[
            Row[{
              ReplaceAll[
               Normal[
                Series[
                 
                 Which[$CellContext`ns$$ == 0, 1 + 
                  Sum[$CellContext`c[$CellContext`nc$$, $CellContext`n] \
($CellContext`xx E^(I $CellContext`nx$$ (Pi/
                    2)))^$CellContext`n, {$CellContext`n, 1, Infinity, 
                    1}], $CellContext`ns$$ == 1, 
                  
                  Sum[$CellContext`c[$CellContext`nc$$, $CellContext`n] \
($CellContext`xx E^(I $CellContext`nx$$ (Pi/
                    2)))^$CellContext`n, {$CellContext`n, 1, Infinity, 
                    1}], $CellContext`ns$$ == 2, 1 + 
                  Sum[$CellContext`c[$CellContext`nc$$, $CellContext`n] \
($CellContext`xx E^(I $CellContext`nx$$ (Pi/
                    2)))^$CellContext`n, {$CellContext`n, 2, Infinity, 
                    2}], $CellContext`ns$$ == 3, 
                  
                  Sum[$CellContext`c[$CellContext`nc$$, $CellContext`n] \
($CellContext`xx E^(I $CellContext`nx$$ (Pi/
                    2)))^$CellContext`n, {$CellContext`n, 1, Infinity, 
                    2}]], {$CellContext`xx, 0, 
                  4 + $CellContext`ns$$}]], $CellContext`xx -> 
               Style["x", Italic]], " + \[CenterEllipsis] = "}], 24], 
           Style[
            TraditionalForm[
             Simplify[
              $CellContext`S[$CellContext`ns$$, $CellContext`nx$$, \
$CellContext`x, $CellContext`nc$$]]], 36]}, Spacings -> 5]], {400, 300}], 
      "Specifications" :> {{{$CellContext`ns$$, 0, "range of n"}, {
         0 -> "0, 1, 2, \[Ellipsis]", 1 -> "1, 2, 3, \[Ellipsis]", 2 -> 
          "0, 2, 4, \[Ellipsis]", 3 -> "1, 3, 5, \[Ellipsis]"}, ControlType -> 
         Setter}, {{$CellContext`nx$$, 0, "variable"}, {
         0 -> "x", 1 -> "i x", 2 -> "-x", 3 -> "-i x"}, ControlType -> 
         Setter}, {{$CellContext`nc$$, 2, "coefficient"}, {
         0 -> "1", 1 -> "1/n", 2 -> "1/n!", 3 -> "1/n(n+1)", 4 -> 
          "1/(n!\!\(\*SuperscriptBox[\()\), \(2\)]\)", 5 -> "n"}, ControlType -> 
         Setter}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`ns$$, $CellContext`nx$$, \
$CellContext`nc$$}}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {215., 220.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({Attributes[Subscript] = {NHoldRest}, $CellContext`t[
          Pattern[$CellContext`nx, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`nc, 
           Blank[]], 
          Pattern[$CellContext`n, 
           
           Blank[]]] := $CellContext`c[$CellContext`nc, $CellContext`n] \
($CellContext`x E^(I $CellContext`nx (Pi/2)))^$CellContext`n, $CellContext`c[
         0, 
          Pattern[$CellContext`n, 
           Blank[]]] := 1, $CellContext`c[1, 
          Pattern[$CellContext`n, 
           Blank[]]] := 1/$CellContext`n, $CellContext`c[2, 
          Pattern[$CellContext`n, 
           Blank[]]] := 1/Factorial[$CellContext`n], $CellContext`c[3, 
          Pattern[$CellContext`n, 
           Blank[]]] := 
        1/($CellContext`n ($CellContext`n + 1)), $CellContext`c[4, 
          Pattern[$CellContext`n, 
           Blank[]]] := 1/Factorial[$CellContext`n]^2, $CellContext`c[5, 
          Pattern[$CellContext`n, 
           Blank[]]] := $CellContext`n, $CellContext`S[
          Pattern[$CellContext`ns, 
           Blank[]], 
          Pattern[$CellContext`nx, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`nc, 
           Blank[]]] := Which[$CellContext`ns == 0, 1 + Sum[
            $CellContext`t[$CellContext`nx, $CellContext`x, $CellContext`nc, \
$CellContext`n], {$CellContext`n, 1, Infinity, 1}], $CellContext`ns == 1, 
          Sum[
           $CellContext`t[$CellContext`nx, $CellContext`x, $CellContext`nc, \
$CellContext`n], {$CellContext`n, 1, Infinity, 1}], $CellContext`ns == 2, 1 + 
          Sum[
            $CellContext`t[$CellContext`nx, $CellContext`x, $CellContext`nc, \
$CellContext`n], {$CellContext`n, 2, Infinity, 2}], $CellContext`ns == 3, 
          Sum[
           $CellContext`t[$CellContext`nx, $CellContext`x, $CellContext`nc, \
$CellContext`n], {$CellContext`n, 1, Infinity, 2}]]}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`c[0, 
            Pattern[$CellContext`n, 
             Blank[]]] := 1; $CellContext`c[1, 
            Pattern[$CellContext`n, 
             Blank[]]] := 1/$CellContext`n; $CellContext`c[2, 
            Pattern[$CellContext`n, 
             Blank[]]] := 1/Factorial[$CellContext`n]; $CellContext`c[3, 
            Pattern[$CellContext`n, 
             Blank[]]] := 
          1/($CellContext`n ($CellContext`n + 1)); $CellContext`c[4, 
            Pattern[$CellContext`n, 
             Blank[]]] := 1/Factorial[$CellContext`n]^2; $CellContext`c[5, 
            Pattern[$CellContext`n, 
             Blank[]]] := $CellContext`n; Null}]]; Typeset`initDone$$ = True),
    
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->157000886],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Infinite Series Explorer",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/InfiniteSeriesExplorer/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/InfiniteSeriesExplorer/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/InfiniteSeriesExplorer/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/InfiniteSeriesExplorer/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/InfiniteSeriesExplorer/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["S. M. Blinder",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=S.+M.+Blinder"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=S.+M.+Blinder"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
InfiniteSeriesExplorer"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Infinite Series Explorer - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 216, 4, 70, "Section"],
Cell[809, 29, 1974, 47, 70, "Input",
 CellID->1236996397],
Cell[2786, 78, 15206, 287, 70, "Input",
 CellID->232720123]
}, Open  ]],
Cell[18007, 368, 7943, 167, 70, "Output",
 CellID->157000886],
Cell[CellGroupData[{
Cell[25975, 539, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[26351, 550, 911, 24, 70, "Text"],
Cell[27265, 576, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[27605, 587, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[28066, 605, 829, 24, 70, "Text"],
Cell[28898, 631, 1198, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 7QNUaI3W1srlGADyMIkyisQT *)
