(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     29650,        660]
NotebookOptionsPosition[     28531,        619]
NotebookOutlinePosition[     29159,        643]
CellTagsIndexPosition[     29116,        640]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Leibniz Criterion for Alternating Series", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"S", "[", "1", "]"}], "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"S", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"S", "[", "n", "]"}], "=", 
    RowBox[{
     RowBox[{"S", "[", 
      RowBox[{"n", "-", "1"}], "]"}], "+", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"n", "-", "1"}], ")"}]}], "/", "n"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"S1", "=", 
   RowBox[{"S", "[", "150", "]"}]}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.43365081028125*^9, 3.433650906640625*^9}, {
  3.4336509400625*^9, 3.433650967703125*^9}, {3.433651068375*^9, 
  3.4336510948125*^9}, {3.433651289875*^9, 3.433651290125*^9}, {
  3.433651674140625*^9, 3.433651674546875*^9}, {3.4336535486875*^9, 
  3.433653551328125*^9}, {3.43365359053125*^9, 3.433653591*^9}, {
  3.433654413203125*^9, 3.43365441546875*^9}, {3.433658206671875*^9, 
  3.4336582128125*^9}, {3.4336865177644043`*^9, 3.433686536626435*^9}},
 CellID->12103083],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"S", "[", 
           RowBox[{"2", " ", "n"}], "]"}], ",", "0"}], "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"S", "[", 
           RowBox[{
            RowBox[{"2", "n"}], "-", "1"}], "]"}], ",", "0"}], "}"}], "]"}], 
       ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         SubscriptBox["S", 
          RowBox[{"2", "n"}]], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"S", "[", 
            RowBox[{"2", " ", "n"}], "]"}], ",", 
           RowBox[{"0.05", "\[Delta]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         SubscriptBox["S", 
          RowBox[{
           RowBox[{"2", "n"}], "-", "1"}]], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"S", "[", 
            RowBox[{
             RowBox[{"2", " ", "n"}], "-", "1"}], "]"}], ",", 
           RowBox[{"0.08", "\[Delta]"}]}], "}"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"Axes", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"True", ",", "False"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"S1", "-", 
           RowBox[{"0.5", "\[Delta]"}]}], ",", 
          RowBox[{"S1", "+", 
           RowBox[{"0.5", "\[Delta]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.1"}], "\[Delta]"}], ",", 
          RowBox[{"0.1", "\[Delta]"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "150"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "70", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Delta]", ",", "1.", ",", "\"\<zoom\>\""}], "}"}], ",", 
     ".005", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.433653325796875*^9, 3.433653329609375*^9}, {
   3.433653566734375*^9, 3.433653584390625*^9}, {3.43365380796875*^9, 
   3.433653837390625*^9}, {3.433653881234375*^9, 3.433653916640625*^9}, {
   3.433654001125*^9, 3.433654012546875*^9}, {3.433654044828125*^9, 
   3.433654051765625*^9}, {3.4336541049375*^9, 3.433654105265625*^9}, {
   3.43365427575*^9, 3.433654314078125*^9}, {3.433654429265625*^9, 
   3.433654437578125*^9}, {3.433654520453125*^9, 3.4336545218125*^9}, {
   3.4336545798125*^9, 3.433654581875*^9}, {3.433658279328125*^9, 
   3.433658283203125*^9}, {3.433658320390625*^9, 3.433658337484375*^9}, {
   3.433658370453125*^9, 3.433658371296875*^9}, {3.4336781855851216`*^9, 
   3.433678199500513*^9}, {3.4336865427522974`*^9, 3.4336866088709803`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 20, $CellContext`\[Delta]$$ = 1., 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n$$], 1, 70, 1}, {{
       Hold[$CellContext`\[Delta]$$], 1., "zoom"}, 0.005, 1}}, 
    Typeset`size$$ = {500., {73., 77.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`n$59301$$ = 0, $CellContext`\[Delta]$59302$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`n$$ = 1, $CellContext`\[Delta]$$ = 1.}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$59301$$, 0], 
        Hold[$CellContext`\[Delta]$$, $CellContext`\[Delta]$59302$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{
         PointSize[0.02], 
         Point[{
           $CellContext`S[2 $CellContext`n$$], 0}], 
         Point[{
           $CellContext`S[2 $CellContext`n$$ - 1], 0}], 
         Text[
          Subscript[$CellContext`S, 2 $CellContext`n$$], {
           $CellContext`S[2 $CellContext`n$$], 0.05 $CellContext`\[Delta]$$}],
          
         Text[
          Subscript[$CellContext`S, 2 $CellContext`n$$ - 1], {
           $CellContext`S[2 $CellContext`n$$ - 1], 
           0.08 $CellContext`\[Delta]$$}]}, Axes -> {True, False}, 
        PlotRange -> {{$CellContext`S1 - 
           0.5 $CellContext`\[Delta]$$, $CellContext`S1 + 
           0.5 $CellContext`\[Delta]$$}, {(-0.1) $CellContext`\[Delta]$$, 
           0.1 $CellContext`\[Delta]$$}}, ImageSize -> {500, 150}], 
      "Specifications" :> {{$CellContext`n$$, 1, 70, 1, Appearance -> 
         "Labeled"}, {{$CellContext`\[Delta]$$, 1., "zoom"}, 0.005, 1}}, 
      "Options" :> {}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {130., 135.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`S[1] = 1, $CellContext`S[2] = 
        1/2, $CellContext`S[3] = 5/6, $CellContext`S[4] = 
        7/12, $CellContext`S[5] = 47/60, $CellContext`S[6] = 
        37/60, $CellContext`S[7] = 319/420, $CellContext`S[8] = 
        533/840, $CellContext`S[9] = 1879/2520, $CellContext`S[10] = 
        1627/2520, $CellContext`S[11] = 20417/27720, $CellContext`S[12] = 
        18107/27720, $CellContext`S[13] = 263111/360360, $CellContext`S[14] = 
        237371/360360, $CellContext`S[15] = 52279/72072, $CellContext`S[16] = 
        95549/144144, $CellContext`S[17] = 
        1768477/2450448, $CellContext`S[18] = 
        1632341/2450448, $CellContext`S[19] = 
        33464927/46558512, $CellContext`S[20] = 
        155685007/232792560, $CellContext`S[21] = 
        166770367/232792560, $CellContext`S[22] = 
        156188887/232792560, $CellContext`S[23] = 
        3825136961/5354228880, $CellContext`S[24] = 
        3602044091/5354228880, $CellContext`S[25] = 
        19081066231/26771144400, $CellContext`S[26] = 
        18051406831/26771144400, $CellContext`S[27] = 
        57128792093/80313433200, $CellContext`S[28] = 
        7751493599/11473347600, $CellContext`S[29] = 
        236266661971/332727080400, $CellContext`S[30] = 
        225175759291/332727080400, $CellContext`S[31] = 
        7313175618421/10314539492400, $CellContext`S[32] = 
        13981692518567/20629078984800, $CellContext`S[33] = 
        14606816124167/20629078984800, $CellContext`S[34] = 
        14000078506967/20629078984800, $CellContext`S[35] = 
        102126365345729/144403552893600, $CellContext`S[36] = 
        98115155543129/144403552893600, $CellContext`S[37] = 
        3774664307989373/5342931457063200, $CellContext`S[38] = 
        3634060848592973/5342931457063200, $CellContext`S[39] = 
        3771059091081773/5342931457063200, $CellContext`S[40] = 
        3637485804655193/5342931457063200, $CellContext`S[41] = 
        154479849447926113/219060189739591200, $CellContext`S[42] = 
        149264130644602513/219060189739591200, $CellContext`S[43] = 
        6637417807457499259/9419588158802421600, $CellContext`S[44] = 
        6423336258393807859/9419588158802421600, $CellContext`S[45] = 
        6632660439700528339/9419588158802421600, $CellContext`S[46] = 
        6427886784074388739/9419588158802421600, $CellContext`S[47] = 
        311530267010298692333/442720643463713815200, $CellContext`S[48] = 
        302306920271471321183/442720643463713815200, $CellContext`S[49] = 
        2179394248109401221881/3099044504245996706400, $CellContext`S[50] = 
        2117413358024481287753/3099044504245996706400, $CellContext`S[51] = 
        2178178936539108674153/3099044504245996706400, $CellContext`S[52] = 
        2118581926842070275953/3099044504245996706400, $CellContext`S[53] = 
        115383886626875721331909/164249358725037825439200, $CellContext`S[54] = 
        112342231835671317157109/164249358725037825439200, $CellContext`S[55] = 
        115328583812490186710549/164249358725037825439200, $CellContext`S[56] = 
        112395559549543082684849/164249358725037825439200, $CellContext`S[57] = 
        115277127246473570850449/164249358725037825439200, $CellContext`S[58] = 
        112445241751214297998049/164249358725037825439200, $CellContext`S[59] = 
        6798518622046681407324091/9690712164777231700912800, $CellContext`S[
         60] = 6637006752633727545642211/
         9690712164777231700912800, $CellContext`S[61] = 
        414548124075434611985087671/
         591133442051411133755680800, $CellContext`S[62] = 
        405013713719766690472899271/
         591133442051411133755680800, $CellContext`S[63] = 
        414396784228519248151560871/
         591133442051411133755680800, $CellContext`S[64] = 
        810320648392931898373256717/
         1182266884102822267511361600, $CellContext`S[65] = 
        828509369686821471719585357/
         1182266884102822267511361600, $CellContext`S[66] = 
        810596235079202952514867757/
         1182266884102822267511361600, $CellContext`S[67] = 
        55492214634409420086007501319/
         79211881234889091923261227200, $CellContext`S[68] = 
        54327334028013992263606600919/
         79211881234889091923261227200, $CellContext`S[69] = 
        55475332306780500842204589719/
         79211881234889091923261227200, $CellContext`S[70] = 
        54343734003424942386158000759/
         79211881234889091923261227200, $CellContext`S[71] = 
        3937616995478060001340479281089/
         5624043567677125526551547131200, $CellContext`S[72] = 
        3859505279260322146805041126489/
         5624043567677125526551547131200, $CellContext`S[73] = 
        287367928953680642243319549364897/
         410555180440430163438262940577600, $CellContext`S[74] = 
        281819885974755910304964644762497/
         410555180440430163438262940577600, $CellContext`S[75] = 
        57458791009458995830161630127373/
         82111036088086032687652588115520, $CellContext`S[76] = 
        56378382639878916452692517125853/
         82111036088086032687652588115520, $CellContext`S[77] = 
        5222250884721089255661129169783/
         7464639644371457517059326192320, $CellContext`S[78] = 
        5126550376459916723391137808343/
         7464639644371457517059326192320, $CellContext`S[79] = 
        412462119384704878664959213051417/
         589706531905345143847686769193280, $CellContext`S[80] = 
        405090787735888064366863128436501/
         589706531905345143847686769193280, $CellContext`S[81] = 
        1237113345870825124354207413798143/
         1769119595716035431543060307579840, $CellContext`S[82] = 
        1215538716654775911774413995413023/
         1769119595716035431543060307579840, $CellContext`S[83] = 
        102658833078062436108819421926860749/
         146836926444430940818074005529126720, $CellContext`S[84] = 
        100910774429914448718128064718180669/
         146836926444430940818074005529126720, $CellContext`S[85] = 
        102638267682201871551281876547935101/
         146836926444430940818074005529126720, $CellContext`S[86] = 
        100930861560755000146420550902247581/
         146836926444430940818074005529126720, $CellContext`S[87] = 
        102618642324484091420191516483042141/
         146836926444430940818074005529126720, $CellContext`S[88] = 
        1110450449763771138019847430622322711/
         1615206190888740348998814060820393920, $CellContext`S[89] = 
        100445296219864371632765235386207115199/
         143753350989097891060894451413015058880, $CellContext`S[90] = 
        98848036764429950620977519259395836767/
         143753350989097891060894451413015058880, $CellContext`S[91] = 
        100427743918156301072196139604593804447/
         143753350989097891060894451413015058880, $CellContext`S[92] = 
        98865207494361758778055982524017553807/
         143753350989097891060894451413015058880, $CellContext`S[93] = 
        100410942451233779112044094904802661967/
         143753350989097891060894451413015058880, $CellContext`S[94] = 
        98881651483264652611396281591898246447/
         143753350989097891060894451413015058880, $CellContext`S[95] = 
        100394844651570946201510960027824720751/
         143753350989097891060894451413015058880, $CellContext`S[96] = 
        98897413912101176502959976158939147221/
         143753350989097891060894451413015058880, $CellContext`S[97] = 
        9736802500462912011848012138830112339317/
         13944075045942495432906761787062460711360, $CellContext`S[98] = 
        9594516020402274303348963549166209678997/
         13944075045942495432906761787062460711360, $CellContext`S[99] = 
        9735365263290582338024789425803204231637/
         13944075045942495432906761787062460711360, $CellContext`S[100] = 
        47979622564155786918478609039662898122617/
         69720375229712477164533808935312303556800, $CellContext`S[101] = 
        4915662254209446955930873321941265013941117/
         7041757898200960193617914702466542659236800, $CellContext`S[102] = 
        4846625412070221855993442785642573419242717/
         7041757898200960193617914702466542659236800, $CellContext`S[103] = 
        506244175341433811360942521623651604841236651/
         725301063514698899942645214354053893901390400, $CellContext`S[104] = 
        38405394357984036598813148694161030332534927/
         55792389501130684610972708796465684146260800, $CellContext`S[105] = 
        38936750448470995499870031635079751133927887/
         55792389501130684610972708796465684146260800, $CellContext`S[106] = 
        38410407151290517343162741929452716377831087/
         55792389501130684610972708796465684146260800, $CellContext`S[107] = 
        4165705954689216040329386095247906336574187109/
         5969785676620983253374079841221828203649905600, $CellContext`S[108] = 
        4110430161387169899094440911532889408762613909/
         5969785676620983253374079841221828203649905600, $CellContext`S[109] = 
        454006673267822502254668139198306773758774821681/
         650706638751687174617774702693179274197839710400, $CellContext`S[
         110] = 448091158370079891576324732810186962175158097041/
         650706638751687174617774702693179274197839710400, $CellContext`S[
         111] = 453953380340815812068376757158774162843607103441/
         650706638751687174617774702693179274197839710400, $CellContext`S[
         112] = 448143499637675748009289483027585062181126391741/
         650706638751687174617774702693179274197839710400, $CellContext`S[
         113] = 51290922097809046699667486284810291300665121977133/
         73529850178940650731808541404329257984355887275200, $CellContext`S[
         114] = 50645923412028865552897235921614420616591824720333/
         73529850178940650731808541404329257984355887275200, $CellContext`S[
         115] = 51285313413584871211434701499043370686021006348813/
         73529850178940650731808541404329257984355887275200, $CellContext`S[
         116] = 50651435394800900084436352004178463289604145251613/
         73529850178940650731808541404329257984355887275200, $CellContext`S[
         117] = 666638643485627328956762413988134384763115653523769/
         955888052326228459513511038256280353796626534577600, $CellContext`S[
         118] = 658537897279472850486308930613081161425856106620569/
         955888052326228459513511038256280353796626534577600, $CellContext`S[
         119] = 666570569988096619053649359505991080365323556490969/
         955888052326228459513511038256280353796626534577600, $CellContext`S[
         120] = 658604836218711381891036767520522077417018335369489/
         955888052326228459513511038256280353796626534577600, $CellContext`S[
         121] = 7331552112253664151666269082567222883750531374025979/
         10514768575588513054648621420819083891762891880353600, \
$CellContext`S[122] = 
        7245365484584905847939641038134279573162310948777179/
         10514768575588513054648621420819083891762891880353600, \
$CellContext`S[123] = 
        7330851407963674246757922513100288385290464541300379/
         10514768575588513054648621420819083891762891880353600, \
$CellContext`S[124] = 
        7246054887192799141478498146803360289389150897103979/
         10514768575588513054648621420819083891762891880353600, \
$CellContext`S[125] = 
        36650865178987536229578435590849564802616270160734039/
         52573842877942565273243107104095419458814459401768000, \
$CellContext`S[126] = 
        36233612457734023806774918867801188457705044292466039/
         52573842877942565273243107104095419458814459401768000, \
$CellContext`S[127] = 
        4654242625010163588733657803314846353587355084544954953/
         6676878045498705789701874602220118271269436344024536000, \
$CellContext`S[128] = 
        9204159030559409899503223815970003359186125226214526531/
         13353756090997411579403749204440236542538872688049072000, \
$CellContext`S[129] = 
        9307676519636909214072245127632330774244566099765294531/
         13353756090997411579403749204440236542538872688049072000, \
$CellContext`S[130] = 
        9204955318936929124999908595290482800840420925241840131/
         13353756090997411579403749204440236542538872688049072000, \
$CellContext`S[131] = 
        1219202902871735126954391775187493483452634013894730129161/
         1749342047920660916901891145781670987072592322134428432000, \
$CellContext`S[132] = 
        1205950311599608907886953205901268703247538617514923853161/
         1749342047920660916901891145781670987072592322134428432000, \
$CellContext`S[133] = 
        1219103259328335681698245620531206079090189687606160157161/
         1749342047920660916901891145781670987072592322134428432000, \
$CellContext`S[134] = 
        1206048467925942689781067328398507041873230043411127109161/
         1749342047920660916901891145781670987072592322134428432000, \
$CellContext`S[135] = 
        1219006557169799437313673929478371271407101097649159912361/
         1749342047920660916901891145781670987072592322134428432000, \
$CellContext`S[136] = 
        1206143747993912224689395318112329572972743801162877350361/
         1749342047920660916901891145781670987072592322134428432000, \
$CellContext`S[137] = 
        166991035523086635699349049727170822484338493081448625431457/
         239659860565130545615559086972088925228945148132416695184000, \
$CellContext`S[138] = 
        165254369866817573774598621560706409982679470268894881263457/
         239659860565130545615559086972088925228945148132416695184000, \
$CellContext`S[139] = 
        23210017272052773300284767483910279912821391515508805190804523/
         33312720618553145840562713089120360606823375590405920630576000, \
$CellContext`S[140] = 
        22972069267634536544280748104702277337058367404148762900586123/
         33312720618553145840562713089120360606823375590405920630576000, \
$CellContext`S[141] = 
        23208329697553353181447859545050648688879809784222563756122123/
         33312720618553145840562713089120360606823375590405920630576000, \
$CellContext`S[142] = 
        22973733073479035252993192551465294036719081787107029103794123/
         33312720618553145840562713089120360606823375590405920630576000, \
$CellContext`S[143] = 
        23206689161720665643486638097543058796207357140886091485826123/
         33312720618553145840562713089120360606823375590405920630576000, \
$CellContext`S[144] = 
        22975350824091824352927174812201945180882194810397161481447123/
         33312720618553145840562713089120360606823375590405920630576000, \
$CellContext`S[145] = 
        23205093724909432255275883178333809736791321538606857485795923/
         33312720618553145840562713089120360606823375590405920630576000, \
$CellContext`S[146] = 
        22976924405604273722121344047586410006607599787987638851339923/
         33312720618553145840562713089120360606823375590405920630576000, \
$CellContext`S[147] = 
        23203541552669261108791838694451174364477146560711488651547923/
         33312720618553145840562713089120360606823375590405920630576000, \
$CellContext`S[148] = 
        22978455602543902015274523065470631387404015644560097295935923/
         33312720618553145840562713089120360606823375590405920630576000, \
$CellContext`S[149] = 
        3457102605397594546116466649844244437330021706629860417725028527/
         4963595372164418730243844250278933730416682962970482173955824000, \
$CellContext`S[150] = 
        3424011969583165087914841021509051545793910486876723869898656367/
         4963595372164418730243844250278933730416682962970482173955824000, \
$CellContext`S[
          Pattern[$CellContext`n, 
           
           Blank[]]] := ($CellContext`S[$CellContext`n] = \
$CellContext`S[$CellContext`n - 
            1] + (-1)^($CellContext`n - 1)/$CellContext`n), 
        Attributes[Subscript] = {NHoldRest}, 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`S1 = 
        3424011969583165087914841021509051545793910486876723869898656367/
         4963595372164418730243844250278933730416682962970482173955824000}; 
      Typeset`initDone$$ = True); ReleaseHold[{{
         HoldComplete[$CellContext`S[1] = 1; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`S[
             Pattern[$CellContext`n, 
              
              Blank[]]] := ($CellContext`S[$CellContext`n] = \
$CellContext`S[$CellContext`n - 
               1] + (-1)^($CellContext`n - 1)/$CellContext`n); Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`S1 = $CellContext`S[150]; Null], 
         HoldComplete[Null]}}]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->16170536],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Leibniz Criterion for Alternating Series",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
LeibnizCriterionForAlternatingSeries/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/LeibnizCriterionForAlternatingSeries/"],\

 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
LeibnizCriterionForAlternatingSeries/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
LeibnizCriterionForAlternatingSeries/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/LeibnizCriterionForAlternatingSeries/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
LeibnizCriterionForAlternatingSeries"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 640},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Leibniz Criterion for Alternating Series - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 232, 4, 70, "Section"],
Cell[825, 29, 1115, 29, 70, "Input",
 CellID->12103083],
Cell[1943, 60, 3153, 81, 70, "Input"]
}, Open  ]],
Cell[5111, 144, 19218, 338, 70, "Output",
 CellID->16170536],
Cell[CellGroupData[{
Cell[24354, 486, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[24730, 497, 1013, 30, 70, "Text"],
Cell[25746, 529, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[26086, 540, 348, 12, 70, "Text"],
Cell[CellGroupData[{
Cell[26459, 556, 829, 24, 70, "Text"],
Cell[27291, 582, 1212, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature DQ4isEzBebDwvD0SXI0WUvYY *)
