(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     29745,        767]
NotebookOptionsPosition[     28604,        725]
NotebookOutlinePosition[     29225,        749]
CellTagsIndexPosition[     29182,        746]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Limit of the Sum of Two Sequences", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], ":=", 
   RowBox[{"1", "+", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "^", "n"}], "/", "n"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", "n_", "]"}], ":=", 
   RowBox[{"2", "-", 
    RowBox[{"1", "/", 
     RowBox[{"(", 
      RowBox[{"2", "n"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"a", "[", "n", "]"}], "+", 
    RowBox[{"b", "[", "n", "]"}]}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.43290420740625*^9, 3.432904315046875*^9}, {
  3.43290455903125*^9, 3.43290458503125*^9}},
 CellID->173545108],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k", "=", 
       RowBox[{"Max", "[", 
        RowBox[{"m", ",", "l"}], "]"}]}], "}"}], ",", 
     RowBox[{"GraphicsColumn", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", 
            RowBox[{"PointSize", "[", "0.03", "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"1", "-", 
                RowBox[{"\[Epsilon]", "/", "2"}]}], ",", "0"}], "}"}], "]"}], 
            ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"1", "+", 
                RowBox[{"\[Epsilon]", "/", "2"}]}], ",", "0"}], "}"}], "]"}], 
            ",", 
            RowBox[{"Text", "[", 
             RowBox[{"\"\<1 + \[Epsilon]/2\>\"", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"1", "+", 
                 RowBox[{"\[Epsilon]", "/", "2"}]}], ",", 
                RowBox[{"0.1", " ", "\[Delta]"}]}], "}"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{"\"\<1 - \[Epsilon]/2\>\"", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"1", "-", 
                 RowBox[{"\[Epsilon]", "/", "2"}]}], ",", 
                RowBox[{"0.1", " ", "\[Delta]"}]}], "}"}]}], "]"}], ",", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", 
            RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"1", "+", 
                    RowBox[{"\[Epsilon]", "/", "2"}]}], ">", 
                   RowBox[{"a", "[", "n", "]"}], ">", 
                   RowBox[{"1", "-", 
                    RowBox[{"\[Epsilon]", "/", "2"}]}]}], ",", "Purple", ",", 
                  
                  RowBox[{"RGBColor", "[", 
                   RowBox[{".49", ",", " ", "0", ",", " ", "0"}], "]"}]}], 
                 "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"a", "[", "n", "]"}], ",", "0"}], "}"}], "]"}]}], 
               "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"n", ",", "1", ",", "m"}], "}"}]}], "]"}], ",", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"RGBColor", "[", 
                 RowBox[{".33", ",", ".6", ",", ".7"}], "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"a", "[", 
                    RowBox[{"i", "+", "m"}], "]"}], ",", "0"}], "}"}], 
                 "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}], ",", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{"\"\<\!\(\*SubscriptBox[\(a\), \(m\)]\)\>\"", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"a", "[", "m", "]"}], ",", 
                RowBox[{"0.2", " ", "\[Delta]"}]}], "}"}]}], "]"}]}], "}"}], 
          ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"1", "-", " ", 
                RowBox[{"2", "\[Delta]"}]}], ",", 
               RowBox[{"1.", "+", " ", 
                RowBox[{"2", "\[Delta]"}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", ".3"}], " ", "\[Delta]"}], " ", ",", 
               RowBox[{".4", "\[Delta]"}]}], "}"}]}], "}"}]}], ",", 
          RowBox[{"Axes", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"True", ",", "False"}], "}"}]}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{".6", ",", " ", ".73", ",", " ", ".36"}], "]"}], ",", 
            RowBox[{"PointSize", "[", "0.03", "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"2", "-", 
                RowBox[{"\[Epsilon]", "/", "2"}]}], ",", "0"}], "}"}], "]"}], 
            ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"2", "+", 
                RowBox[{"\[Epsilon]", "/", "2"}]}], ",", "0"}], "}"}], "]"}], 
            ",", 
            RowBox[{"Text", "[", 
             RowBox[{"\"\<2 + \[Epsilon]/2\>\"", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"2", "+", 
                 RowBox[{"\[Epsilon]", "/", "2"}]}], ",", 
                RowBox[{"0.1", " ", "\[Delta]"}]}], "}"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{"\"\<2 - \[Epsilon]/2\>\"", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"2", "-", 
                 RowBox[{"\[Epsilon]", "/", "2"}]}], ",", 
                RowBox[{"0.1", " ", "\[Delta]"}]}], "}"}]}], "]"}], ",", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", 
            RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"2", "+", 
                    RowBox[{"\[Epsilon]", "/", "2"}]}], ">", 
                   RowBox[{"b", "[", "n", "]"}], ">", 
                   RowBox[{"2", "-", 
                    RowBox[{"\[Epsilon]", "/", "2"}]}]}], ",", "Purple", ",", 
                  
                  RowBox[{"RGBColor", "[", 
                   RowBox[{".49", ",", "0", ",", "0"}], "]"}]}], "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"b", "[", "n", "]"}], ",", "0"}], "}"}], "]"}]}], 
               "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"n", ",", "1", ",", "l"}], "}"}]}], "]"}], ",", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"RGBColor", "[", 
                 RowBox[{".33", ",", ".6", ",", ".7"}], "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"b", "[", 
                    RowBox[{"i", "+", "l"}], "]"}], ",", "0"}], "}"}], 
                 "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}], ",", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{"\"\<\!\(\*SubscriptBox[\(b\), \(l\)]\)\>\"", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"b", "[", "l", "]"}], ",", 
                RowBox[{"0.2", " ", "\[Delta]"}]}], "}"}]}], "]"}]}], "}"}], 
          ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"2", "-", " ", 
                RowBox[{"2", "\[Delta]"}]}], ",", 
               RowBox[{"2.", "+", " ", 
                RowBox[{"2", "\[Delta]"}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", ".3"}], " ", "\[Delta]"}], " ", ",", 
               RowBox[{".4", "\[Delta]"}]}], "}"}]}], "}"}]}], ",", 
          RowBox[{"Axes", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"True", ",", "False"}], "}"}]}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{".6", ",", " ", ".73", ",", " ", ".36"}], "]"}], ",", 
            RowBox[{"PointSize", "[", "0.03", "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"3", "-", "\[Epsilon]"}], ",", "0"}], "}"}], "]"}], 
            ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"3", "+", "\[Epsilon]"}], ",", "0"}], "}"}], "]"}], 
            ",", 
            RowBox[{"Text", "[", 
             RowBox[{"\"\<3 + \[Epsilon]\>\"", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"3", "+", "\[Epsilon]"}], ",", 
                RowBox[{"0.1", " ", "\[Delta]"}]}], "}"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{"\"\<3 - \[Epsilon]\>\"", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"3", "-", "\[Epsilon]"}], ",", 
                RowBox[{"0.1", " ", "\[Delta]"}]}], "}"}]}], "]"}], ",", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", 
            RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"3", "+", "\[Epsilon]"}], ">", 
                   RowBox[{"c", "[", "n", "]"}], ">", 
                   RowBox[{"3", "-", "\[Epsilon]"}]}], ",", "Purple", ",", 
                  RowBox[{"RGBColor", "[", 
                   RowBox[{".49", ",", "0", ",", "0"}], "]"}]}], "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"c", "[", "n", "]"}], ",", "0"}], "}"}], "]"}]}], 
               "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"n", ",", "1", ",", "k"}], "}"}]}], "]"}], ",", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"RGBColor", "[", 
                 RowBox[{".33", ",", ".6", ",", ".7"}], "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"c", "[", 
                    RowBox[{"i", "+", "k"}], "]"}], ",", "0"}], "}"}], 
                 "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}], ",", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{"\"\<\!\(\*SubscriptBox[\(c\), \(k\)]\)\>\"", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"c", "[", "k", "]"}], ",", 
                RowBox[{"0.2", " ", "\[Delta]"}]}], "}"}]}], "]"}]}], "}"}], 
          ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"3", "-", " ", 
                RowBox[{"2", "\[Delta]"}]}], ",", 
               RowBox[{"3.", "+", " ", 
                RowBox[{"2", "\[Delta]"}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", ".3"}], " ", "\[Delta]"}], " ", ",", 
               RowBox[{".4", "\[Delta]"}]}], "}"}]}], "}"}]}], ",", 
          RowBox[{"Axes", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"True", ",", "False"}], "}"}]}]}], "]"}]}], "}"}], 
      "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Epsilon]", ",", "0.07", ",", "\"\<choose \[Epsilon] > 0\>\""}], 
      "}"}], ",", "0.", ",", "0.7", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "1", ",", "\"\<find M\>\""}], "}"}], ",", "1", ",", 
     "40", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"l", ",", "1", ",", "\"\<find L\>\""}], "}"}], ",", "1", ",", 
     "40", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "n", ",", "1", ",", 
       "\"\<terms beyond \!\(\*SubscriptBox[\(a\), \(M\)]\), \
\!\(\*SubscriptBox[\(b\), \(L\)]\), \!\(\*SubscriptBox[\(c\), \(K\)]\)\>\""}],
       "}"}], ",", "1", ",", "100", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Delta]", ",", "0.08", ",", "\"\<zoom\>\""}], "}"}], ",", 
     "0.01", ",", "1"}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.432913474796875*^9, 3.432913478390625*^9}, {
   3.4329250341022177`*^9, 3.432925034280236*^9}, {3.432995906411086*^9, 
   3.432995961067336*^9}, {3.432995998801711*^9, 3.432996035973586*^9}, {
   3.432996078661086*^9, 3.432996083098586*^9}, {3.4330222978763885`*^9, 
   3.4330223033363886`*^9}, {3.433022412764389*^9, 3.433022438568389*^9}, {
   3.433069651273384*^9, 3.433069756916894*^9}, {3.4330697887752647`*^9, 
   3.4330698972029457`*^9}, {3.4330838076238003`*^9, 3.4330838460128*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`l$$ = 29, $CellContext`m$$ = 
    1, $CellContext`n$$ = 1, $CellContext`\[Delta]$$ = 
    0.08, $CellContext`\[Epsilon]$$ = 0.07, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Epsilon]$$], 0.07, "choose \[Epsilon] > 0"}, 0., 
      0.7}, {{
       Hold[$CellContext`m$$], 1, "find M"}, 1, 40, 1}, {{
       Hold[$CellContext`l$$], 29, "find L"}, 1, 40, 1}, {{
       Hold[$CellContext`n$$], 1, 
       "terms beyond \!\(\*SubscriptBox[\(a\), \(M\)]\), \
\!\(\*SubscriptBox[\(b\), \(L\)]\), \!\(\*SubscriptBox[\(c\), \(K\)]\)"}, 1, 
      100, 1}, {{
       Hold[$CellContext`\[Delta]$$], 0.08, "zoom"}, 0.01, 1}}, 
    Typeset`size$$ = {360., {90., 94.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`\[Epsilon]$2338$$ = 0, $CellContext`m$2339$$ = 
    0, $CellContext`l$2340$$ = 0, $CellContext`n$2341$$ = 
    0, $CellContext`\[Delta]$2342$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`l$$ = 29, $CellContext`m$$ = 
        1, $CellContext`n$$ = 1, $CellContext`\[Delta]$$ = 
        0.08, $CellContext`\[Epsilon]$$ = 0.07}, "ControllerVariables" :> {
        Hold[$CellContext`\[Epsilon]$$, $CellContext`\[Epsilon]$2338$$, 0], 
        Hold[$CellContext`m$$, $CellContext`m$2339$$, 0], 
        Hold[$CellContext`l$$, $CellContext`l$2340$$, 0], 
        Hold[$CellContext`n$$, $CellContext`n$2341$$, 0], 
        Hold[$CellContext`\[Delta]$$, $CellContext`\[Delta]$2342$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`k$ = Max[$CellContext`m$$, $CellContext`l$$]}, 
        GraphicsColumn[{
          Graphics[{
            RGBColor[0.6, 0.73, 0.36], 
            PointSize[0.03], 
            Point[{1 - $CellContext`\[Epsilon]$$/2, 0}], 
            Point[{1 + $CellContext`\[Epsilon]$$/2, 0}], 
            Text[
            "1 + \[Epsilon]/2", {
             1 + $CellContext`\[Epsilon]$$/2, 0.1 $CellContext`\[Delta]$$}], 
            Text[
            "1 - \[Epsilon]/2", {
             1 - $CellContext`\[Epsilon]$$/2, 0.1 $CellContext`\[Delta]$$}], 
            RGBColor[0.49, 0, 0], 
            PointSize[0.02], 
            Table[{
              If[
              1 + $CellContext`\[Epsilon]$$/
                 2 > $CellContext`a[$CellContext`n$$] > 
               1 - $CellContext`\[Epsilon]$$/2, Purple, 
               RGBColor[0.49, 0, 0]], 
              Point[{
                $CellContext`a[$CellContext`n$$], 0}]}, {$CellContext`n$$, 
              1, $CellContext`m$$}], 
            Table[{
              RGBColor[0.33, 0.6, 0.7], 
              Point[{
                $CellContext`a[$CellContext`i + $CellContext`m$$], 
                0}]}, {$CellContext`i, 1, $CellContext`n$$}], 
            RGBColor[0.49, 0, 0], 
            Text["\!\(\*SubscriptBox[\(a\), \(m\)]\)", {
              $CellContext`a[$CellContext`m$$], 
              0.2 $CellContext`\[Delta]$$}]}, 
           PlotRange -> {{
             1 - 2 $CellContext`\[Delta]$$, 1. + 
              2 $CellContext`\[Delta]$$}, {(-0.3) $CellContext`\[Delta]$$, 
              0.4 $CellContext`\[Delta]$$}}, Axes -> {True, False}], 
          Graphics[{
            RGBColor[0.6, 0.73, 0.36], 
            PointSize[0.03], 
            Point[{2 - $CellContext`\[Epsilon]$$/2, 0}], 
            Point[{2 + $CellContext`\[Epsilon]$$/2, 0}], 
            Text[
            "2 + \[Epsilon]/2", {
             2 + $CellContext`\[Epsilon]$$/2, 0.1 $CellContext`\[Delta]$$}], 
            Text[
            "2 - \[Epsilon]/2", {
             2 - $CellContext`\[Epsilon]$$/2, 0.1 $CellContext`\[Delta]$$}], 
            RGBColor[0.49, 0, 0], 
            PointSize[0.02], 
            Table[{
              If[
              2 + $CellContext`\[Epsilon]$$/
                 2 > $CellContext`b[$CellContext`n$$] > 
               2 - $CellContext`\[Epsilon]$$/2, Purple, 
               RGBColor[0.49, 0, 0]], 
              Point[{
                $CellContext`b[$CellContext`n$$], 0}]}, {$CellContext`n$$, 
              1, $CellContext`l$$}], 
            Table[{
              RGBColor[0.33, 0.6, 0.7], 
              Point[{
                $CellContext`b[$CellContext`i + $CellContext`l$$], 
                0}]}, {$CellContext`i, 1, $CellContext`n$$}], 
            RGBColor[0.49, 0, 0], 
            Text["\!\(\*SubscriptBox[\(b\), \(l\)]\)", {
              $CellContext`b[$CellContext`l$$], 
              0.2 $CellContext`\[Delta]$$}]}, 
           PlotRange -> {{
             2 - 2 $CellContext`\[Delta]$$, 2. + 
              2 $CellContext`\[Delta]$$}, {(-0.3) $CellContext`\[Delta]$$, 
              0.4 $CellContext`\[Delta]$$}}, Axes -> {True, False}], 
          Graphics[{
            RGBColor[0.6, 0.73, 0.36], 
            PointSize[0.03], 
            Point[{3 - $CellContext`\[Epsilon]$$, 0}], 
            Point[{3 + $CellContext`\[Epsilon]$$, 0}], 
            Text[
            "3 + \[Epsilon]", {
             3 + $CellContext`\[Epsilon]$$, 0.1 $CellContext`\[Delta]$$}], 
            Text[
            "3 - \[Epsilon]", {
             3 - $CellContext`\[Epsilon]$$, 0.1 $CellContext`\[Delta]$$}], 
            RGBColor[0.49, 0, 0], 
            PointSize[0.02], 
            Table[{
              If[
              3 + $CellContext`\[Epsilon]$$ > \
$CellContext`c[$CellContext`n$$] > 3 - $CellContext`\[Epsilon]$$, Purple, 
               RGBColor[0.49, 0, 0]], 
              Point[{
                $CellContext`c[$CellContext`n$$], 0}]}, {$CellContext`n$$, 
              1, $CellContext`k$}], 
            Table[{
              RGBColor[0.33, 0.6, 0.7], 
              Point[{
                $CellContext`c[$CellContext`i + $CellContext`k$], 
                0}]}, {$CellContext`i, 1, $CellContext`n$$}], 
            RGBColor[0.49, 0, 0], 
            Text["\!\(\*SubscriptBox[\(c\), \(k\)]\)", {
              $CellContext`c[$CellContext`k$], 0.2 $CellContext`\[Delta]$$}]},
            PlotRange -> {{
             3 - 2 $CellContext`\[Delta]$$, 3. + 
              2 $CellContext`\[Delta]$$}, {(-0.3) $CellContext`\[Delta]$$, 
              0.4 $CellContext`\[Delta]$$}}, Axes -> {True, False}]}]], 
      "Specifications" :> {{{$CellContext`\[Epsilon]$$, 0.07, 
          "choose \[Epsilon] > 0"}, 0., 0.7, Appearance -> 
         "Labeled"}, {{$CellContext`m$$, 1, "find M"}, 1, 40, 1, Appearance -> 
         "Labeled"}, {{$CellContext`l$$, 29, "find L"}, 1, 40, 1, Appearance -> 
         "Labeled"}, {{$CellContext`n$$, 1, 
          "terms beyond \!\(\*SubscriptBox[\(a\), \(M\)]\), \
\!\(\*SubscriptBox[\(b\), \(L\)]\), \!\(\*SubscriptBox[\(c\), \(K\)]\)"}, 1, 
         100, 1, Appearance -> 
         "Labeled"}, {{$CellContext`\[Delta]$$, 0.08, "zoom"}, 0.01, 1}}, 
      "Options" :> {}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{404., {187., 192.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`a[
          Pattern[$CellContext`n, 
           Blank[]]] := 1 + (-1)^$CellContext`n/$CellContext`n, 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`b[
          Pattern[$CellContext`n, 
           Blank[]]] := 2 - 1/(2 $CellContext`n), $CellContext`c[
          Pattern[$CellContext`n, 
           
           Blank[]]] := $CellContext`a[$CellContext`n] + \
$CellContext`b[$CellContext`n]}; Typeset`initDone$$ = True); ReleaseHold[{{
         HoldComplete[$CellContext`a[
             Pattern[$CellContext`n, 
              Blank[]]] := 1 + (-1)^$CellContext`n/$CellContext`n; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`b[
             Pattern[$CellContext`n, 
              Blank[]]] := 2 - 1/(2 $CellContext`n); Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`c[
             Pattern[$CellContext`n, 
              
              Blank[]]] := $CellContext`a[$CellContext`n] + \
$CellContext`b[$CellContext`n]; Null]}}]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->296593243],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Limit of the Sum of Two Sequences",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LimitOfTheSumOfTwoSequences/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/LimitOfTheSumOfTwoSequences/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/LimitOfTheSumOfTwoSequences/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LimitOfTheSumOfTwoSequences/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/LimitOfTheSumOfTwoSequences/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
LimitOfTheSumOfTwoSequences"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Limit of the Sum of Two Sequences - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 225, 4, 70, "Section"],
Cell[818, 29, 766, 26, 70, "Input",
 InitializationCell->True,
 CellID->173545108],
Cell[1587, 57, 14028, 342, 70, "Input"]
}, Open  ]],
Cell[15630, 402, 8743, 186, 70, "Output",
 CellID->296593243],
Cell[CellGroupData[{
Cell[24398, 592, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[24774, 603, 963, 28, 70, "Text"],
Cell[25740, 633, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[26080, 644, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[26541, 662, 829, 24, 70, "Text"],
Cell[27373, 688, 1203, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 8Q4tOl1exkFySBD#7JAcMAyY *)
