(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     50634,       1175]
NotebookOptionsPosition[     49586,       1136]
NotebookOutlinePosition[     50193,       1160]
CellTagsIndexPosition[     50150,       1157]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Limits of Sequences", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"l", ",", "f1Y", ",", "f1Z", ",", "M"}], "}"}], ",", 
     "\[IndentingNewLine]", "\t", 
     RowBox[{
      RowBox[{"f1", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{".5", "+", 
            RowBox[{"1", "/", "x"}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "pr", ",", "n"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\t", 
      RowBox[{"f2", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{".5", "+", 
            RowBox[{"2", 
             RowBox[{
              RowBox[{"Sin", "[", "x", "]"}], "/", "x"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "pr", ",", "n"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "         ", 
      RowBox[{"f3", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{".5", " ", "+", 
            RowBox[{".5", 
             RowBox[{"Sin", "[", "x", "]"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "pr", ",", "n"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\t", "\[IndentingNewLine]", "\t", 
      RowBox[{"Which", "[", "\[IndentingNewLine]", "\t           ", 
       RowBox[{
        RowBox[{"fun", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", "\t", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"l", "=", "l1"}], ",", 
          RowBox[{"f", "=", "f1"}]}], "}"}], ",", "\[IndentingNewLine]", 
        "\t            ", 
        RowBox[{"fun", "\[Equal]", "2"}], ",", "\[IndentingNewLine]", "\t", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"l", "=", "l2"}], ",", 
          RowBox[{"f", "=", "f2"}]}], "}"}], ",", "\[IndentingNewLine]", 
        "\t            ", 
        RowBox[{"fun", "\[Equal]", "3"}], ",", "\[IndentingNewLine]", "\t", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"l", "=", "ll"}], ",", 
          RowBox[{"f", "=", "f3"}]}], "}"}]}], "\[IndentingNewLine]", "\t\t ",
        "]"}], ";", "\[IndentingNewLine]", "\t    ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"f", "\[Equal]", "f3"}], ",", 
        RowBox[{"f1Y", "=", 
         RowBox[{"Select", "[", 
          RowBox[{"f", ",", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Part", "[", 
               RowBox[{"#", ",", "2"}], "]"}], ">", 
              RowBox[{"ll", "-", "\[Epsilon]"}]}], "&&", 
             RowBox[{
              RowBox[{"Part", "[", 
               RowBox[{"#", ",", "2"}], "]"}], "<", 
              RowBox[{"ll", "+", "\[Epsilon]"}]}]}], "&"}]}], "]"}]}], ",", 
        RowBox[{"f1Y", "=", 
         RowBox[{"Select", "[", 
          RowBox[{"f", ",", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Part", "[", 
               RowBox[{"#", ",", "2"}], "]"}], ">", 
              RowBox[{"l", "-", "\[Epsilon]"}]}], "&&", 
             RowBox[{
              RowBox[{"Part", "[", 
               RowBox[{"#", ",", "2"}], "]"}], "<", 
              RowBox[{"l", "+", "\[Epsilon]"}]}]}], "&"}]}], "]"}]}]}], "]"}],
       ";", "\[IndentingNewLine]", "\t   ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"f", "\[Equal]", "f3"}], ",", 
        RowBox[{"f1Z", "=", 
         RowBox[{"Select", "[", 
          RowBox[{"f", ",", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Part", "[", 
               RowBox[{"#", ",", "2"}], "]"}], "\[LessEqual]", 
              RowBox[{"ll", "-", "\[Epsilon]"}]}], "||", 
             RowBox[{
              RowBox[{"Part", "[", 
               RowBox[{"#", ",", "2"}], "]"}], "\[GreaterEqual]", 
              RowBox[{"ll", "+", "\[Epsilon]"}]}]}], "&"}]}], "]"}]}], ",", 
        RowBox[{"f1Z", "=", 
         RowBox[{"Select", "[", 
          RowBox[{"f", ",", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Part", "[", 
               RowBox[{"#", ",", "2"}], "]"}], "\[LessEqual]", 
              RowBox[{"l", "-", "\[Epsilon]"}]}], "||", 
             RowBox[{
              RowBox[{"Part", "[", 
               RowBox[{"#", ",", "2"}], "]"}], "\[GreaterEqual]", 
              RowBox[{"l", "+", "\[Epsilon]"}]}]}], "&"}]}], "]"}]}]}], "]"}],
       ";", "\[IndentingNewLine]", "\t   ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Length", "[", "f1Z", "]"}], ">", "0"}], ",", 
        "\[IndentingNewLine]", "\t      ", 
        RowBox[{"{", " ", 
         RowBox[{
          RowBox[{"M", "=", 
           RowBox[{"Max", "[", 
            RowBox[{"Part", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", "f1Z", "]"}], ",", "1"}], "]"}], 
            "]"}]}], ",", 
          RowBox[{"n", "=", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"f", "\[NotEqual]", "f3"}], " ", ",", 
             RowBox[{"Max", "[", 
              RowBox[{"n", ",", 
               RowBox[{"M", "+", "10"}]}], "]"}], ",", "n"}], "]"}]}]}], 
         "}"}], ",", "\[IndentingNewLine]", "                ", 
        RowBox[{"M", "=", " ", "pr"}]}], "\[IndentingNewLine]", 
       "                ", "]"}], ";", "\[IndentingNewLine]", "\t\t ", 
      RowBox[{
      "Show", "[", "\t\t\t      \t\t\t                ", 
       "\[IndentingNewLine]", "\t\t\t", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", "\t\t\t", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Length", "[", "f1Y", "]"}], ">", "0"}], ",", 
            "\[IndentingNewLine]", "\t", 
            RowBox[{"ListPlot", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"f", ",", "f1Y"}], "}"}], ",", 
              RowBox[{"AxesOrigin", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}]}], ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"s", "\[Equal]", "0"}], ",", 
                RowBox[{"Joined", "\[Rule]", "False"}], ",", 
                RowBox[{"Joined", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"True", ",", "False"}], "}"}]}]}], "]"}], ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ColorData", "[", 
                  RowBox[{"\"\<HTML\>\"", ",", " ", "\"\<SlateBlue\>\""}], 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"PointSize", "[", "Large", "]"}], ",", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{".79", ",", ".71", ",", ".26"}], "]"}]}], "}"}]}],
                 "}"}]}], ",", 
              RowBox[{"PlotMarkers", "\[Rule]", "\"\<\[FilledCircle]\>\""}], 
              ",", 
              RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
              RowBox[{"AxesLabel", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}], ",", 
                 "\"\<\!\(\*SubscriptBox[\(a\), \(k\)]\)\>\""}], "}"}]}]}], 
             "]"}], ",", 
            RowBox[{"ListPlot", "[", 
             RowBox[{"f", ",", 
              RowBox[{"AxesOrigin", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}]}], ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"s", "\[Equal]", "0"}], ",", 
                RowBox[{"Joined", "\[Rule]", "False"}], ",", 
                RowBox[{"Joined", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"True", ",", "False"}], "}"}]}]}], "]"}], ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"ColorData", "[", 
                RowBox[{"\"\<HTML\>\"", ",", " ", "\"\<SlateBlue\>\""}], 
                "]"}]}], ",", 
              RowBox[{"PlotMarkers", "\[Rule]", "\"\<\[FilledCircle]\>\""}], 
              ",", 
              RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
              RowBox[{"AxesLabel", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}], ",", 
                 "\"\<\!\(\*SubscriptBox[\(a\), \(k\)]\)\>\""}], "}"}]}]}], 
             "]"}]}], "\[IndentingNewLine]", "\t\t            ", "]"}], ",", 
          "\[IndentingNewLine]", "\t\t\t", 
          RowBox[{"Graphics", "[", "\[IndentingNewLine]", "\t\t\t\t\t", 
           RowBox[{"{", "\[IndentingNewLine]", "\t\t\t\t\t", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"f", "\[Equal]", "f3"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", "Thick", 
                   ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "ll"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "ll"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                 ",", "\[IndentingNewLine]", "\t\t\t\t\t       ", 
                 RowBox[{"{", 
                  RowBox[{"Dashed", ",", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", 
                   "Thick", ",", "  ", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"ll", "+", "\[Epsilon]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"ll", "+", "\[Epsilon]"}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\t\t\t\t\t\t", 
                 RowBox[{"{", 
                  RowBox[{"Dashed", ",", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", 
                   "Thick", ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"ll", "-", "\[Epsilon]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"ll", "-", "\[Epsilon]"}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", "Thick", 
                   ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "l"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "l"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                 ",", "\[IndentingNewLine]", "\t\t\t\t\t       ", 
                 RowBox[{"{", 
                  RowBox[{"Dashed", ",", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", 
                   "Thick", ",", "  ", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"l", "+", "\[Epsilon]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"l", "+", "\[Epsilon]"}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\t\t\t\t\t\t", 
                 RowBox[{"{", 
                  RowBox[{"Dashed", ",", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", 
                   "Thick", ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"l", "-", "\[Epsilon]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"l", "-", "\[Epsilon]"}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}]}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"Length", "[", "f1Y", "]"}], ">", "0"}], "&&", " ", 
                RowBox[{"M", "<", "n"}], "&&", " ", 
                RowBox[{"f", "\[NotEqual]", "f3"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"RGBColor", "[", 
                  RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", "Thick", 
                 ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"M", "+", "1"}], ",", 
                    RowBox[{"-", ".1"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"M", "+", "1"}], ",", ".1"}], "}"}]}], "}"}], 
                  "]"}]}], "}"}], ",", 
               RowBox[{"{", "}"}]}], "\[IndentingNewLine]", "   ", "]"}]}], 
            "\[IndentingNewLine]", "\t\t\t\t       ", "}"}], 
           "\[IndentingNewLine]", "\t\t\t\t      ", "]"}]}], 
         "\[IndentingNewLine]", "\t\t        ", "}"}], ",", " ", 
        RowBox[{"PlotLabel", "\[Rule]", 
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"f", "\[Equal]", "f3"}], ",", 
              "\"\<prospective limit = \>\"", ",", "\"\<limit = \>\""}], 
             "]"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"f", "\[Equal]", "f3"}], ",", "ll", ",", ".5"}], 
             "]"}]}], "}"}], "]"}]}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"450", ",", "400"}], "}"}]}]}], "\[IndentingNewLine]", 
       "\t                     ", "]"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fun", ",", "1", ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Subscript", "[", 
           RowBox[{"\"\<a\>\"", ",", "\"\<k\>\""}], "]"}], ",", 
          "\"\< = \>\""}], "}"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
          "\"\<\!\(\*FractionBox[\(1\), \(2\)]\)+\!\(\*FractionBox[\(1\), \(k\
\)]\)\>\"", ",", "f1graph"}], "}"}], "]"}]}], ",", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
          "\"\<\!\(\*FractionBox[\(1\), \(2\)]\)+2\!\(\*FractionBox[\(sin\\\ \
k\), \(k\)]\)\>\"", ",", "f2graph"}], "}"}], "]"}]}], ",", 
       RowBox[{"3", "\[Rule]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
          "\"\<\!\(\*FractionBox[\(1\), \(2\)]\)+\!\(\*FractionBox[\(1\), \(2\
\)]\)sin k\>\"", ",", "f3graph"}], "}"}], "]"}]}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", 
       RowBox[{"pr", "+", "40"}]}], "}"}], ",", 
     RowBox[{"pr", "+", "40"}], ",", 
     RowBox[{"pr", "+", "200"}], ",", "1", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Epsilon]", ",", ".1"}], "}"}], ",", ".01", ",", ".2", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"s", ",", "0", ",", "\"\<join\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Checkbox"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{"\"\<n \>\"", ",", 
      RowBox[{"VerticalSlider", "[", 
       RowBox[{
        RowBox[{"Dynamic", "[", "n", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"pr", "+", "40"}], ",", 
          RowBox[{"pr", "+", "200"}], ",", "1"}], "}"}]}], "]"}], ",", 
      "\"\< \[Epsilon] \>\"", ",", 
      RowBox[{"VerticalSlider", "[", 
       RowBox[{
        RowBox[{"Dynamic", "[", "\[Epsilon]", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{".01", ",", ".2"}], "}"}]}], "]"}]}], "}"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ll", ",", ".5", ",", "\"\<prospective limit\>\""}], "}"}], ",",
      "0", ",", "1", ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}], ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"f", "\[Equal]", "f3"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", "1"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"pr", "=", "5"}], ";", "\[IndentingNewLine]", 
      RowBox[{"l1", "=", ".5"}], ";", "\[IndentingNewLine]", 
      RowBox[{"l2", "=", ".5"}], ";", "\[IndentingNewLine]", 
      RowBox[{"l3", "=", ".5"}], ";", "\[IndentingNewLine]", 
      RowBox[{"mass", "=", "100"}], ";", "\[IndentingNewLine]", 
      RowBox[{"f1graph", "=", 
       RowBox[{"Show", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ListPlot", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{".5", "+", 
              RowBox[{"1", "/", "x"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "1", ",", "mass"}], "}"}]}], "]"}], ",", 
           RowBox[{"Joined", "\[Rule]", "True"}], ",", 
           RowBox[{"Axes", "\[Rule]", "False"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"pr", ",", "l1"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"mass", ",", "l1"}], "}"}]}], "}"}], "]"}]}], "}"}], 
          "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"f2graph", "=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"ListPlot", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{".5", "+", 
              RowBox[{"2", 
               RowBox[{
                RowBox[{"Sin", "[", "x", "]"}], "/", "x"}]}]}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "1", ",", "mass"}], "}"}]}], "]"}], ",", 
           RowBox[{"Joined", "\[Rule]", "True"}], ",", 
           RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}], ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"pr", ",", "l2"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"mass", ",", "l2"}], "}"}]}], "}"}], "]"}]}], "}"}], 
          "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"f3graph", "=", 
       RowBox[{"ListPlot", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{".5", "+", 
            RowBox[{".5", 
             RowBox[{"Sin", "[", "x", "]"}]}]}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "1", ",", "mass"}], "}"}]}], "]"}], ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}]}], ";"}], 
     "\[IndentingNewLine]", ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4102670498911657`*^9, {3.4102891933177533`*^9, 
   3.4102893052708783`*^9}, {3.4102893465052533`*^9, 
   3.4102893807708783`*^9}, {3.4102894264427533`*^9, 
   3.4102895532552533`*^9}, {3.4102895862240033`*^9, 
   3.4102896455833783`*^9}, {3.4102897837396283`*^9, 
   3.4102897888802533`*^9}, {3.4102898205208783`*^9, 
   3.4102898408333783`*^9}, {3.4102898995208783`*^9, 
   3.4102900172396283`*^9}, {3.4102905895833783`*^9, 
   3.4102905935365033`*^9}, {3.4102907362240033`*^9, 
   3.4102908581771283`*^9}, {3.4102909362396283`*^9, 
   3.4102909605677533`*^9}, {3.4102910604271283`*^9, 
   3.4102910609740033`*^9}, {3.4102911960677533`*^9, 
   3.4102912115365033`*^9}, {3.4102912450990033`*^9, 
   3.4102912585521283`*^9}, {3.4102913183177533`*^9, 
   3.4102913358490033`*^9}, {3.4103911761333447`*^9, 3.4103911786490507`*^9}, 
   3.410440195988089*^9, {3.41044092453125*^9, 3.410440925796875*^9}, {
   3.41044098115625*^9, 3.410441046484375*^9}, {3.41044107984375*^9, 
   3.41044107990625*^9}, {3.410441218015625*^9, 3.410441315921875*^9}, {
   3.41044134734375*^9, 3.410441415546875*^9}, 3.410441531234375*^9, {
   3.4105323170525985`*^9, 3.4105323220838485`*^9}, {3.4105409103025985`*^9, 
   3.410540910536973*^9}, 3.410544033411973*^9, {3.4150597444375*^9, 
   3.41505975665625*^9}, 3.41505983225*^9, 3.427858557763983*^9, {
   3.4280996833125*^9, 3.428099691109375*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`f$$ = {{5, 0.7}, {6, 0.6666666666666666}, {
     7, 0.6428571428571428}, {8, 0.625}, {9, 0.6111111111111112}, {10, 0.6}, {
     11, 0.5909090909090909}, {12, 0.5833333333333334}, {
     13, 0.5769230769230769}, {14, 0.5714285714285714}, {
     15, 0.5666666666666667}, {16, 0.5625}, {17, 0.5588235294117647}, {
     18, 0.5555555555555556}, {19, 0.5526315789473684}, {20, 0.55}, {
     21, 0.5476190476190477}, {22, 0.5454545454545454}, {
     23, 0.5434782608695652}, {24, 0.5416666666666666}, {25, 0.54}, {
     26, 0.5384615384615384}, {27, 0.537037037037037}, {
     28, 0.5357142857142857}, {29, 0.5344827586206896}, {
     30, 0.5333333333333333}, {31, 0.532258064516129}, {32, 0.53125}, {
     33, 0.5303030303030303}, {34, 0.5294117647058824}, {
     35, 0.5285714285714286}, {36, 0.5277777777777778}, {
     37, 0.527027027027027}, {38, 0.5263157894736842}, {
     39, 0.5256410256410257}, {40, 0.525}, {41, 0.524390243902439}, {
     42, 0.5238095238095238}, {43, 0.5232558139534884}, {
     44, 0.5227272727272727}, {45, 0.5222222222222223}}, $CellContext`fun$$ = 
    1, $CellContext`ll$$ = 0.5, $CellContext`n$$ = 45, $CellContext`s$$ = 
    0, $CellContext`\[Epsilon]$$ = 0.1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`fun$$], 1, 
       Row[{
         Subscript["a", "k"], " = "}]}, {
      1 -> Row[{
         "\!\(\*FractionBox[\(1\), \(2\)]\)+\!\(\*FractionBox[\(1\), \
\(k\)]\)", 
          Graphics[{{
             Hue[0.67, 0.6, 0.6], 
             Line[CompressedData["
1:eJxVlHdI1H0cxyW6Uae2TULqzmwiZtvxqG9Nc5a3vDu1oXbtZWXRU/bgWR1Z
VNIuCmzQhCyLqGgLKU0yaEFxmZkZhVmENOD5/b5+33/04SM/Xr7uxY3fMBUt
tc7u4ufn51b+1GPntCV0Hjvk0Q9//1+P02JaJfeUvkVyX8wR0yw5GDli3ksO
QVj6DmWbJBtlTw5FU9S2d8pKDsNYMeSh+HhkS8TVlkbJw3FGfB7ySBQNW6Us
ORw7xBuSIxAqhhwp3588Go1vxUgeg+UhdctC6shj0T7g3sLh1eRxOLBfHfJ4
FAV7C4O95AkoeZLSf3oJeSKCaio3hrvJUfL3IUcj7e2avmdTyTE43ydWWXIs
fvR+lTlvFPkfiJ8zjByHKyd67Vk7gByPXmLICdCbNvRM0pMhv7/kMqDDt75H
fIdP+kR8bVNHclkiDge2VgW20ichWpwu+iQ8CzheP/c1/ST8G/B+/K7n9JNg
CmgwBjTQJ+PhA3Xok1HvK/V/VEefgtH+tZH+tfQpiGwx/Cy/QT8ZV1vUC4J+
MgoNlwoMl+hTYcitTwqqoU/F+n3TErPO0qfJ64c+DSNXR2tGnaBPx7HiuO7P
j9Kn43CVOvQZeFlx6EXFIfoM3M1/+aHyAH0m1nb7POTiXvpM7DZmd2vfRZ+F
IeIE0mfht/7L4Mvb6afg9VP9/bit9FMQdepX+4vN9FNRsUkd+qloaF63OdNL
nw31bJs20GfDqC9Xlt7cef7LJMMMn+4/deXrzShtu60bVCr5lhlv7lTfTV7D
3oLVYthboGt+5bmyir0FZt1KZdlbsCgwLK9wBXsrxO21jL0VXXWBIVHF7K34
pLU1XVjC3orFVU+1MYvZ23Ddq96R7G3YfspzfdYC9jZUaucry96Gx7DH1Mxl
b5fPK/Z2nMz/Vhs6m70d7uJ47YdZ7O14XB3XVFPEPgfidi9kn4MCMewV/12z
LnEm+xzsbNSMGTGDvQPTxQOCvQPaiGKPYRp7B85p8pVl70CVJk9Z9k54w90m
Qy57J1wFHk2Qi70TysVuHOpk74Rbcyct1sHeJZ8/7F3wbTkzqMTO3oV+1w6W
77Wxd+FPhifvppV9LqyXB278ZPEl/A8HgLgC
              "]]}, {
             RGBColor[1, 0.47, 0], 
             Line[{{5, 0.5}, {100, 0.5}}]}}, {
           AspectRatio -> GoldenRatio^(-1), AxesOrigin -> {0, Automatic}, 
            PlotRange -> {0, 1}, PlotRangeClipping -> True}]}], 2 -> 
       Row[{"\!\(\*FractionBox[\(1\), \(2\)]\)+2\!\(\*FractionBox[\(sin\\ \
k\), \(k\)]\)", 
          Graphics[{{
             Hue[0.67, 0.6, 0.6], 
             Line[CompressedData["
1:eJw9k31Q03Ucx8HzITlFhGXLkMGGYMBhPAoE483jYIDA2BMQQTQuiks5PJpg
xBCYw9NDkae660G6apGZGiuhlLkDhFKOnRwWyhjzAY9ZoBDKH9nD+f24u93u
tc/eD9/P7zuv4r2SklUODg6q/97/fz59LcSqtQ2i7vccwb6AYLK08sCR5din
+ByaBamuPatuMXZBSmOzjuvVz5iDHe+rPItGLzDmYgtv0LzaaZKxO8p9ea/1
Ot5l7InpECd96NwsYz5+8trHj/nTxtgbVW5rVuet/52xD1QNxgseBeOMd2BE
t1F5JZn8/RAtXg44vJn0Abj06bB/2qHbjAPBix7Spw7R/BXMvLR0sfDcFOMg
zI6VDltNvzEORsZK0wmLnvxDUFtvN8fUWRmHQtw7/4HNTn5hOMaxBhmPEIej
6rsXnow9nGa8C6q/SvtU4huMI5Djay5r8yeORHpENE8rod9HYTnGWHnIOsP4
VeQ+CB9XJJJ/NLLvbDM1fEJ9YjDkZ+0RuNJ5hNDo98lGh8k/FtOtnEy71MIY
kPtwPpRuZf4agG/0s5cvUF4cDm6f6Fp6wvw1cXApvqbl7SV9PM4qF4biq26y
eTyUb4o7Ng9RfgKiQoq2DteSPgEbOIttt1vJPxFHe1+8HBxE+YkoXPfGYGQd
nT8JCkNY6kIo89MkofKxP99HS/7JwM115R1ryT8Zlm8eLF0NI38RBo+H6ILi
yF+E/Fv1fW7+tK8UFK0kDzQtkn8KnC9WpAQdJP9UwO/61Q1S1keTCqc7G2uy
rpNejJ3HHrlNhZO/GD+8lf+lqprmabina/G2n2L70qTh9LxzcMEp8k+HS1hP
hXmU5un42rnb8noN6TPwbvBdv/1c8s/AH1W2z81naL4b7i33i3W51G83at/h
xK9ZIf9M7PE5eUlaRf6ZiAssmWt8dv4sbNIev6a1M0YW/jGZSt4eo31mYa1Z
qTTT/TVm4e97nsL2Anr+2TBMVi9mZDJGNvLczdtrRqhPNnb9aFPzDczPmI1R
0fkk9Q3Kl2DCS5FiiqR8CVbWLx8IH6O+EnheXhIOpDE2SuAafD7/hJzuRw4U
jd1qJ9o3clBtHlB8O079c2Cu74taLqP8HDTxGudHRKSXonWyM2K2lPpLYWib
swQ6Un8ppuQz3W1C0kvR2dvl4dtP/WV41Lf/imMz5cvwsj9vJ+9n0suwZwt/
k/dn1F8G2/jR0+pfaH9yWM4oAp7dX8hRKPDWSOn/rJHj+4+/SOjvonw5trXP
cJ93o3wFWhKarIVz1F+B/oomi/Us7U+Bh6ay9rpuen4KDIpOqiYqSa/Eufs9
H019RflKcDv5Mg9QvhJCbkeXCKRXYjxU8GuSgfrnYlCtf+yaNx37L2hK4e0=

              "]]}, {
             RGBColor[1, 0.47, 0], 
             Line[{{5, 0.5}, {100, 0.5}}]}}, {
           AspectRatio -> GoldenRatio^(-1), AxesOrigin -> {0, Automatic}, 
            PlotRange -> Automatic, PlotRangeClipping -> True}]}], 3 -> 
       Row[{"\!\(\*FractionBox[\(1\), \(2\)]\)+\!\(\*FractionBox[\(1\), \
\(2\)]\)sin k", 
          Graphics[{
            Hue[0.67, 0.6, 0.6], 
            Line[CompressedData["
1:eJw1knkwnHccxtc1oeSoSisd44qSpiqOuFbKY50RZC27mEnrGII6Y4g0Hea1
4hpJbBItoyKMpEITN40i2SBU3akmjmSIITQ0Tf6RjKNpO76/ndnZ+ewzn9/7
fr+/xyA8URSpyOPxIv77/v+7/XnllJZzzqP29F9O9Af2T0enfnv+JbEqfppu
27lDME+8B57ZhXnaBveItTAWt1Y5t+M7Ym1U1FXzd+x+TKwD5WybMOWsF8T6
uBulJYyZ+JvYEAvqWRfUSp4TG+FE2D6tbrNhYmPweHvjxvMnHLf5ANoO++35
7SbLD0JwSl9ToZ35pjA85Lgvd4qdb4aUsCW7oij2fHOcSxzbyBh4RGwBYfpj
h9aeK8SWiM5tDvlxls1nhdIG3RuLkWz+w0gqrzsb9wPbjzXWYidVXoez/dlA
202amv7zLLEt3qon3NOobya2Q16Ira2y6U1ie0yF2Ln09cwQ89F9OSw9yWqV
2AHaT5MnhT5sniOwcRv3rRQvEH8By7imuyq5D4gdIX81YzcnPUPsBHnm7HU9
zd+JgWbLyl+vP1zeZg7QadQvqnrHznfGmKNOtF4ay52hUdo+4+/9kHIBeIX9
ZU6PkigXYP7zuQS3sT7KXVD9/NL6ahe9H+eCVCXFtpZYdr4rOCeF/o2VFcpd
cbHA0ES2Ok25G0q4ayqTX92g3A0tHeFdUXmtlLvj/mnJWKbnHOXukA6XK/lc
Zfv3QJCGX3l7PN0P54HE+gujJuvPKPfE5n3f4YmaLso9IZNOpXXcLqb8KHRk
CjsrSqm/3FE4HzjFF7Sz/nghQnRZiT9A83BeMNV1KGsVs/4dQ1xSyszQkSHK
j4FXsfm1VF2fcm8MDbcWLJePUO6NZeGbhdx15vvAZEYtYWSene+DkzneFlrm
7Pm+uFb4ZHDLkfrL+SI0M3VDMfgS5ccRXp2V7NIop/w4pCXtn6XfZv0VYjVU
2z7+Du0HQrTOlbU28Gl/nBBPz7RbZBhTf+VC6K+XCUQZTeT7IdTcNTjGoJZ8
P2h8GjhU5/+EfD945ryzmAmj/sr9IF3P2Ztty+5fBLUw/Q9rdlM/IAIvruhW
b30v+SLIX2ubVsVmkC/CaG3XG69i1l9/pC9WP+vb9Sf5/oiWn59S/Yftyx8n
37P+xtme+iv3x7RZNn9iYJz8AHCD+W+tVWPID4BmvY7ri/p+8gPQmaJ+aFNx
kfwAfFzQ0BGbwd5fDHfJ0oNPOqi/EMNILKn5/kvqLyfGnfeXDvJLqsgXozfI
SnRrpI18CXSt8ke3ZNRfSMD7wGj/ZDfbvwRWJ3Ylj/rQ/cgl0PpIY02vifU3
ENGeAY0p/E7yA2He9UtIz9lS8gPhELngu2g8SX4g8qLX/qh6yfoThDrzNa6v
k+ZBEDyWc2SzmtQ/LgiTVSu6bT6D5AeBtxB/9eKWPfnBkEUsyVqKR53+BdhC
2xI=
             "]]}, {
           AspectRatio -> GoldenRatio^(-1), AxesOrigin -> {0, Automatic}, 
            PlotRange -> Automatic, PlotRangeClipping -> True}]}]}}, {{
       Hold[$CellContext`n$$], 45}, 45, 205, 1}, {{
       Hold[$CellContext`\[Epsilon]$$], 0.1}, 0.01, 0.2}, {{
       Hold[$CellContext`s$$], 0, "join"}, {0, 1}}, {
      Hold[
       Row[{"n ", 
         VerticalSlider[
          Dynamic[$CellContext`n$$], {45, 205, 1}], " \[Epsilon] ", 
         VerticalSlider[
          Dynamic[$CellContext`\[Epsilon]$$], {0.01, 0.2}]}]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`ll$$], 0.5, "prospective limit"}, 0, 1}, {{
       Hold[$CellContext`f$$], 1}}}, Typeset`size$$ = {450., {198., 202.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`fun$85824$$ = False, $CellContext`n$85825$$ = 
    0, $CellContext`\[Epsilon]$85826$$ = 0, $CellContext`s$85827$$ = 
    False, $CellContext`ll$85828$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`f$$ = 1, $CellContext`fun$$ = 
        1, $CellContext`ll$$ = 0.5, $CellContext`n$$ = 45, $CellContext`s$$ = 
        0, $CellContext`\[Epsilon]$$ = 0.1}, "ControllerVariables" :> {
        Hold[$CellContext`fun$$, $CellContext`fun$85824$$, False], 
        Hold[$CellContext`n$$, $CellContext`n$85825$$, 0], 
        Hold[$CellContext`\[Epsilon]$$, $CellContext`\[Epsilon]$85826$$, 0], 
        Hold[$CellContext`s$$, $CellContext`s$85827$$, False], 
        Hold[$CellContext`ll$$, $CellContext`ll$85828$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`l$, $CellContext`f1Y$, $CellContext`f1Z$, \
$CellContext`M$}, $CellContext`f1 = 
         Table[{$CellContext`x, 0.5 + 
            1/$CellContext`x}, {$CellContext`x, $CellContext`pr, \
$CellContext`n$$}]; $CellContext`f2 = 
         Table[{$CellContext`x, 0.5 + 
            2 (Sin[$CellContext`x]/$CellContext`x)}, {$CellContext`x, \
$CellContext`pr, $CellContext`n$$}]; $CellContext`f3 = 
         Table[{$CellContext`x, 0.5 + 
            0.5 Sin[$CellContext`x]}, {$CellContext`x, $CellContext`pr, \
$CellContext`n$$}]; 
        Which[$CellContext`fun$$ == 
          1, {$CellContext`l$ = $CellContext`l1, $CellContext`f$$ = \
$CellContext`f1}, $CellContext`fun$$ == 
          2, {$CellContext`l$ = $CellContext`l2, $CellContext`f$$ = \
$CellContext`f2}, $CellContext`fun$$ == 
          3, {$CellContext`l$ = $CellContext`ll$$, $CellContext`f$$ = \
$CellContext`f3}]; 
        If[$CellContext`f$$ == $CellContext`f3, $CellContext`f1Y$ = 
          Select[$CellContext`f$$, And[
            Part[#, 2] > $CellContext`ll$$ - $CellContext`\[Epsilon]$$, 
             Part[#, 2] < $CellContext`ll$$ + $CellContext`\[Epsilon]$$]& ], \
$CellContext`f1Y$ = 
          Select[$CellContext`f$$, And[
            Part[#, 2] > $CellContext`l$ - $CellContext`\[Epsilon]$$, 
             Part[#, 2] < $CellContext`l$ + $CellContext`\[Epsilon]$$]& ]]; 
        If[$CellContext`f$$ == $CellContext`f3, $CellContext`f1Z$ = 
          Select[$CellContext`f$$, Or[
            Part[#, 2] <= $CellContext`ll$$ - $CellContext`\[Epsilon]$$, 
             Part[#, 2] >= $CellContext`ll$$ + $CellContext`\[Epsilon]$$]& ], \
$CellContext`f1Z$ = 
          Select[$CellContext`f$$, Or[
            Part[#, 2] <= $CellContext`l$ - $CellContext`\[Epsilon]$$, 
             Part[#, 2] >= $CellContext`l$ + $CellContext`\[Epsilon]$$]& ]]; 
        If[Length[$CellContext`f1Z$] > 0, {$CellContext`M$ = Max[
             Part[
              Transpose[$CellContext`f1Z$], 1]], $CellContext`n$$ = 
           If[$CellContext`f$$ != $CellContext`f3, 
             
             Max[$CellContext`n$$, $CellContext`M$ + 
              10], $CellContext`n$$]}, $CellContext`M$ = $CellContext`pr]; 
        Show[{
           If[Length[$CellContext`f1Y$] > 0, 
            
            ListPlot[{$CellContext`f$$, $CellContext`f1Y$}, 
             AxesOrigin -> {0, 0}, 
             
             If[$CellContext`s$$ == 0, Joined -> False, 
              Joined -> {True, False}], PlotStyle -> {
               ColorData["HTML", "SlateBlue"], {
                PointSize[Large], 
                RGBColor[0.79, 0.71, 0.26]}}, PlotMarkers -> 
             "\[FilledCircle]", PlotRange -> All, AxesLabel -> {
               Style["k", Italic], "\!\(\*SubscriptBox[\(a\), \(k\)]\)"}], 
            ListPlot[$CellContext`f$$, AxesOrigin -> {0, 0}, 
             
             If[$CellContext`s$$ == 0, Joined -> False, 
              Joined -> {True, False}], PlotStyle -> 
             ColorData["HTML", "SlateBlue"], PlotMarkers -> "\[FilledCircle]",
              PlotRange -> All, AxesLabel -> {
               Style["k", Italic], "\!\(\*SubscriptBox[\(a\), \(k\)]\)"}]], 
           Graphics[{
             If[$CellContext`f$$ == $CellContext`f3, {{
                RGBColor[1, 0.47, 0], Thick, 
                
                Line[{{0, $CellContext`ll$$}, {$CellContext`n$$, \
$CellContext`ll$$}}]}, {Dashed, 
                RGBColor[0.6, 0.73, 0.36], Thick, 
                
                Line[{{0, $CellContext`ll$$ + $CellContext`\[Epsilon]$$}, \
{$CellContext`n$$, $CellContext`ll$$ + $CellContext`\[Epsilon]$$}}]}, {
               Dashed, 
                RGBColor[0.6, 0.73, 0.36], Thick, 
                
                Line[{{0, $CellContext`ll$$ - $CellContext`\[Epsilon]$$}, \
{$CellContext`n$$, $CellContext`ll$$ - $CellContext`\[Epsilon]$$}}]}}, {{
                RGBColor[1, 0.47, 0], Thick, 
                
                Line[{{0, $CellContext`l$}, {$CellContext`n$$, \
$CellContext`l$}}]}, {Dashed, 
                RGBColor[0.6, 0.73, 0.36], Thick, 
                
                Line[{{0, $CellContext`l$ + $CellContext`\[Epsilon]$$}, \
{$CellContext`n$$, $CellContext`l$ + $CellContext`\[Epsilon]$$}}]}, {Dashed, 
                RGBColor[0.6, 0.73, 0.36], Thick, 
                
                Line[{{0, $CellContext`l$ - $CellContext`\[Epsilon]$$}, \
{$CellContext`n$$, $CellContext`l$ - $CellContext`\[Epsilon]$$}}]}}], 
             If[
              And[
              Length[$CellContext`f1Y$] > 
               0, $CellContext`M$ < $CellContext`n$$, $CellContext`f$$ != \
$CellContext`f3], {
               RGBColor[1, 0.47, 0], Thick, 
               
               Line[{{$CellContext`M$ + 1, -0.1}, {$CellContext`M$ + 1, 
                  0.1}}]}, {}]}]}, PlotLabel -> Row[{
             
             If[$CellContext`f$$ == $CellContext`f3, "prospective limit = ", 
              "limit = "], 
             
             If[$CellContext`f$$ == $CellContext`f3, $CellContext`ll$$, 
              0.5]}], ImageSize -> {450, 400}]], 
      "Specifications" :> {{{$CellContext`fun$$, 1, 
          Row[{
            Subscript["a", "k"], " = "}]}, {
         1 -> Row[{
            "\!\(\*FractionBox[\(1\), \(2\)]\)+\!\(\*FractionBox[\(1\), \
\(k\)]\)", 
             Graphics[{{
                Hue[0.67, 0.6, 0.6], 
                Line[CompressedData["
1:eJxVlHdI1H0cxyW6Uae2TULqzmwiZtvxqG9Nc5a3vDu1oXbtZWXRU/bgWR1Z
VNIuCmzQhCyLqGgLKU0yaEFxmZkZhVmENOD5/b5+33/04SM/Xr7uxY3fMBUt
tc7u4ufn51b+1GPntCV0Hjvk0Q9//1+P02JaJfeUvkVyX8wR0yw5GDli3ksO
QVj6DmWbJBtlTw5FU9S2d8pKDsNYMeSh+HhkS8TVlkbJw3FGfB7ySBQNW6Us
ORw7xBuSIxAqhhwp3588Go1vxUgeg+UhdctC6shj0T7g3sLh1eRxOLBfHfJ4
FAV7C4O95AkoeZLSf3oJeSKCaio3hrvJUfL3IUcj7e2avmdTyTE43ydWWXIs
fvR+lTlvFPkfiJ8zjByHKyd67Vk7gByPXmLICdCbNvRM0pMhv7/kMqDDt75H
fIdP+kR8bVNHclkiDge2VgW20ichWpwu+iQ8CzheP/c1/ST8G/B+/K7n9JNg
CmgwBjTQJ+PhA3Xok1HvK/V/VEefgtH+tZH+tfQpiGwx/Cy/QT8ZV1vUC4J+
MgoNlwoMl+hTYcitTwqqoU/F+n3TErPO0qfJ64c+DSNXR2tGnaBPx7HiuO7P
j9Kn43CVOvQZeFlx6EXFIfoM3M1/+aHyAH0m1nb7POTiXvpM7DZmd2vfRZ+F
IeIE0mfht/7L4Mvb6afg9VP9/bit9FMQdepX+4vN9FNRsUkd+qloaF63OdNL
nw31bJs20GfDqC9Xlt7cef7LJMMMn+4/deXrzShtu60bVCr5lhlv7lTfTV7D
3oLVYthboGt+5bmyir0FZt1KZdlbsCgwLK9wBXsrxO21jL0VXXWBIVHF7K34
pLU1XVjC3orFVU+1MYvZ23Ddq96R7G3YfspzfdYC9jZUaucry96Gx7DH1Mxl
b5fPK/Z2nMz/Vhs6m70d7uJ47YdZ7O14XB3XVFPEPgfidi9kn4MCMewV/12z
LnEm+xzsbNSMGTGDvQPTxQOCvQPaiGKPYRp7B85p8pVl70CVJk9Z9k54w90m
Qy57J1wFHk2Qi70TysVuHOpk74Rbcyct1sHeJZ8/7F3wbTkzqMTO3oV+1w6W
77Wxd+FPhifvppV9LqyXB278ZPEl/A8HgLgC
                 "]]}, {
                RGBColor[1, 0.47, 0], 
                Line[{{5, 0.5}, {100, 0.5}}]}}, {
              AspectRatio -> GoldenRatio^(-1), AxesOrigin -> {0, Automatic}, 
               PlotRange -> {0, 1}, PlotRangeClipping -> True}]}], 2 -> 
          Row[{"\!\(\*FractionBox[\(1\), \(2\)]\)+2\!\(\*FractionBox[\(sin\\ \
k\), \(k\)]\)", 
             Graphics[{{
                Hue[0.67, 0.6, 0.6], 
                Line[CompressedData["
1:eJw9k31Q03Ucx8HzITlFhGXLkMGGYMBhPAoE483jYIDA2BMQQTQuiks5PJpg
xBCYw9NDkae660G6apGZGiuhlLkDhFKOnRwWyhjzAY9ZoBDKH9nD+f24u93u
tc/eD9/P7zuv4r2SklUODg6q/97/fz59LcSqtQ2i7vccwb6AYLK08sCR5din
+ByaBamuPatuMXZBSmOzjuvVz5iDHe+rPItGLzDmYgtv0LzaaZKxO8p9ea/1
Ot5l7InpECd96NwsYz5+8trHj/nTxtgbVW5rVuet/52xD1QNxgseBeOMd2BE
t1F5JZn8/RAtXg44vJn0Abj06bB/2qHbjAPBix7Spw7R/BXMvLR0sfDcFOMg
zI6VDltNvzEORsZK0wmLnvxDUFtvN8fUWRmHQtw7/4HNTn5hOMaxBhmPEIej
6rsXnow9nGa8C6q/SvtU4huMI5Djay5r8yeORHpENE8rod9HYTnGWHnIOsP4
VeQ+CB9XJJJ/NLLvbDM1fEJ9YjDkZ+0RuNJ5hNDo98lGh8k/FtOtnEy71MIY
kPtwPpRuZf4agG/0s5cvUF4cDm6f6Fp6wvw1cXApvqbl7SV9PM4qF4biq26y
eTyUb4o7Ng9RfgKiQoq2DteSPgEbOIttt1vJPxFHe1+8HBxE+YkoXPfGYGQd
nT8JCkNY6kIo89MkofKxP99HS/7JwM115R1ryT8Zlm8eLF0NI38RBo+H6ILi
yF+E/Fv1fW7+tK8UFK0kDzQtkn8KnC9WpAQdJP9UwO/61Q1S1keTCqc7G2uy
rpNejJ3HHrlNhZO/GD+8lf+lqprmabina/G2n2L70qTh9LxzcMEp8k+HS1hP
hXmU5un42rnb8noN6TPwbvBdv/1c8s/AH1W2z81naL4b7i33i3W51G83at/h
xK9ZIf9M7PE5eUlaRf6ZiAssmWt8dv4sbNIev6a1M0YW/jGZSt4eo31mYa1Z
qTTT/TVm4e97nsL2Anr+2TBMVi9mZDJGNvLczdtrRqhPNnb9aFPzDczPmI1R
0fkk9Q3Kl2DCS5FiiqR8CVbWLx8IH6O+EnheXhIOpDE2SuAafD7/hJzuRw4U
jd1qJ9o3clBtHlB8O079c2Cu74taLqP8HDTxGudHRKSXonWyM2K2lPpLYWib
swQ6Un8ppuQz3W1C0kvR2dvl4dtP/WV41Lf/imMz5cvwsj9vJ+9n0suwZwt/
k/dn1F8G2/jR0+pfaH9yWM4oAp7dX8hRKPDWSOn/rJHj+4+/SOjvonw5trXP
cJ93o3wFWhKarIVz1F+B/oomi/Us7U+Bh6ay9rpuen4KDIpOqiYqSa/Eufs9
H019RflKcDv5Mg9QvhJCbkeXCKRXYjxU8GuSgfrnYlCtf+yaNx37L2hK4e0=

                 "]]}, {
                RGBColor[1, 0.47, 0], 
                Line[{{5, 0.5}, {100, 0.5}}]}}, {
              AspectRatio -> GoldenRatio^(-1), AxesOrigin -> {0, Automatic}, 
               PlotRange -> Automatic, PlotRangeClipping -> True}]}], 3 -> 
          Row[{"\!\(\*FractionBox[\(1\), \(2\)]\)+\!\(\*FractionBox[\(1\), \
\(2\)]\)sin k", 
             Graphics[{
               Hue[0.67, 0.6, 0.6], 
               Line[CompressedData["
1:eJw1knkwnHccxtc1oeSoSisd44qSpiqOuFbKY50RZC27mEnrGII6Y4g0Hea1
4hpJbBItoyKMpEITN40i2SBU3akmjmSIITQ0Tf6RjKNpO76/ndnZ+ewzn9/7
fr+/xyA8URSpyOPxIv77/v+7/XnllJZzzqP29F9O9Af2T0enfnv+JbEqfppu
27lDME+8B57ZhXnaBveItTAWt1Y5t+M7Ym1U1FXzd+x+TKwD5WybMOWsF8T6
uBulJYyZ+JvYEAvqWRfUSp4TG+FE2D6tbrNhYmPweHvjxvMnHLf5ANoO++35
7SbLD0JwSl9ToZ35pjA85Lgvd4qdb4aUsCW7oij2fHOcSxzbyBh4RGwBYfpj
h9aeK8SWiM5tDvlxls1nhdIG3RuLkWz+w0gqrzsb9wPbjzXWYidVXoez/dlA
202amv7zLLEt3qon3NOobya2Q16Ira2y6U1ie0yF2Ln09cwQ89F9OSw9yWqV
2AHaT5MnhT5sniOwcRv3rRQvEH8By7imuyq5D4gdIX81YzcnPUPsBHnm7HU9
zd+JgWbLyl+vP1zeZg7QadQvqnrHznfGmKNOtF4ay52hUdo+4+/9kHIBeIX9
ZU6PkigXYP7zuQS3sT7KXVD9/NL6ahe9H+eCVCXFtpZYdr4rOCeF/o2VFcpd
cbHA0ES2Ok25G0q4ayqTX92g3A0tHeFdUXmtlLvj/mnJWKbnHOXukA6XK/lc
Zfv3QJCGX3l7PN0P54HE+gujJuvPKPfE5n3f4YmaLso9IZNOpXXcLqb8KHRk
CjsrSqm/3FE4HzjFF7Sz/nghQnRZiT9A83BeMNV1KGsVs/4dQ1xSyszQkSHK
j4FXsfm1VF2fcm8MDbcWLJePUO6NZeGbhdx15vvAZEYtYWSene+DkzneFlrm
7Pm+uFb4ZHDLkfrL+SI0M3VDMfgS5ccRXp2V7NIop/w4pCXtn6XfZv0VYjVU
2z7+Du0HQrTOlbU28Gl/nBBPz7RbZBhTf+VC6K+XCUQZTeT7IdTcNTjGoJZ8
P2h8GjhU5/+EfD945ryzmAmj/sr9IF3P2Ztty+5fBLUw/Q9rdlM/IAIvruhW
b30v+SLIX2ubVsVmkC/CaG3XG69i1l9/pC9WP+vb9Sf5/oiWn59S/Yftyx8n
37P+xtme+iv3x7RZNn9iYJz8AHCD+W+tVWPID4BmvY7ri/p+8gPQmaJ+aFNx
kfwAfFzQ0BGbwd5fDHfJ0oNPOqi/EMNILKn5/kvqLyfGnfeXDvJLqsgXozfI
SnRrpI18CXSt8ke3ZNRfSMD7wGj/ZDfbvwRWJ3Ylj/rQ/cgl0PpIY02vifU3
ENGeAY0p/E7yA2He9UtIz9lS8gPhELngu2g8SX4g8qLX/qh6yfoThDrzNa6v
k+ZBEDyWc2SzmtQ/LgiTVSu6bT6D5AeBtxB/9eKWPfnBkEUsyVqKR53+BdhC
2xI=
                "]]}, {
              AspectRatio -> GoldenRatio^(-1), AxesOrigin -> {0, Automatic}, 
               PlotRange -> Automatic, PlotRangeClipping -> True}]}]}, 
         ControlType -> PopupMenu, ControlPlacement -> 
         Top}, {{$CellContext`n$$, 45}, 45, 205, 1, ControlType -> 
         None}, {{$CellContext`\[Epsilon]$$, 0.1}, 0.01, 0.2, ControlType -> 
         None}, {{$CellContext`s$$, 0, "join"}, {0, 1}, ControlType -> 
         Checkbox, ControlPlacement -> Top}, 
        Row[{"n ", 
          VerticalSlider[
           Dynamic[$CellContext`n$$], {45, 205, 1}], " \[Epsilon] ", 
          VerticalSlider[
           Dynamic[$CellContext`\[Epsilon]$$], {0.01, 
           0.2}]}], {{$CellContext`ll$$, 0.5, "prospective limit"}, 0, 1, 
         ControlType -> VerticalSlider, Enabled -> 
         Dynamic[$CellContext`f$$ == $CellContext`f3]}, {{$CellContext`f$$, 
          1}, ControlType -> None}}, 
      "Options" :> {
       ControlPlacement -> Left, TrackedSymbols -> Manipulate, 
        AutorunSequencing -> {1, 2, 3}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{598., {270., 275.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`pr = 5; $CellContext`l1 = 
       0.5; $CellContext`l2 = 0.5; $CellContext`l3 = 0.5; $CellContext`mass = 
       100; $CellContext`f1graph = Show[
         ListPlot[
          Table[
          0.5 + 1/$CellContext`x, {$CellContext`x, 1, $CellContext`mass}], 
          Joined -> True, Axes -> False, PlotRange -> {0, 1}], 
         Graphics[{
           RGBColor[1, 0.47, 0], 
           
           Line[{{$CellContext`pr, $CellContext`l1}, {$CellContext`mass, \
$CellContext`l1}}]}]]; $CellContext`f2graph = Show[
         ListPlot[
          Table[
          0.5 + 2 (Sin[$CellContext`x]/$CellContext`x), {$CellContext`x, 
            1, $CellContext`mass}], Joined -> True, Axes -> False], 
         Graphics[{
           RGBColor[1, 0.47, 0], 
           
           Line[{{$CellContext`pr, $CellContext`l2}, {$CellContext`mass, \
$CellContext`l2}}]}]]; $CellContext`f3graph = ListPlot[
         Table[
         0.5 + 0.5 Sin[$CellContext`x], {$CellContext`x, 
           1, $CellContext`mass}], Joined -> True, Axes -> False]; Null); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->55396685],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Limits of Sequences",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LimitsOfSequences/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/LimitsOfSequences/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/LimitsOfSequences/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LimitsOfSequences/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/LimitsOfSequences/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Sandro Frigio",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Sandro+Frigio"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Sandro+Frigio"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
LimitsOfSequences"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{778, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Limits of Sequences - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 211, 4, 70, "Section"],
Cell[804, 29, 23162, 559, 70, "Input"]
}, Open  ]],
Cell[23981, 591, 21466, 412, 70, "Output",
 CellID->55396685],
Cell[CellGroupData[{
Cell[45472, 1007, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[45848, 1018, 881, 24, 70, "Text"],
Cell[46732, 1044, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[47072, 1055, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[47533, 1073, 829, 24, 70, "Text"],
Cell[48365, 1099, 1193, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature DSzLYv6#yiH68BDGHWrKHzHP *)
