(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     22800,        635]
NotebookOptionsPosition[     21736,        596]
NotebookOutlinePosition[     22365,        620]
CellTagsIndexPosition[     22322,        617]
WindowTitle->Power Series Interval of Convergence - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Power Series Interval of Convergence", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"PowerSeries", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"c", "^", "n"}], "*", 
            RowBox[{"x", "^", "n"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"n", ",", "0", ",", "i"}], "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "4", ",", "max", ",", "3"}], "}"}]}], "]"}], ",", 
       
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{"c", "*", 
            RowBox[{"n", "!"}], "*", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"x", "/", "15"}], ")"}], "^", "n"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"n", ",", "0", ",", "i"}], "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "4", ",", "max", ",", "3"}], "}"}]}], "]"}], ",", 
       " ", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{".05", "*", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"n", "+", "1"}], ")"}], "*", 
               RowBox[{"x", "^", "n"}]}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "/", "c"}], ")"}], "^", "n"}], " ", "+", " ", 
               "n"}], ")"}]}]}], ",", 
           RowBox[{"{", 
            RowBox[{"n", ",", "0", ",", "i"}], "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "4", ",", "max", ",", "3"}], "}"}]}], "]"}], ",", 
       " ", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"-", "c"}], ")"}], "^", "n"}], "*", 
            RowBox[{
             RowBox[{"x", "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", "n"}], "+", "1"}], ")"}]}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", "n"}], "+", "1"}], ")"}]}]}], ",", 
           RowBox[{"{", 
            RowBox[{"n", ",", "0", ",", "i"}], "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "4", ",", "max", ",", "3"}], "}"}]}], "]"}]}], 
      "}"}]}], " ", ";", " ", 
    RowBox[{"plots", " ", "=", " ", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"Tooltip", "[", 
          RowBox[{
           RowBox[{"PowerSeries", "[", 
            RowBox[{"[", 
             RowBox[{"series", ",", "i"}], "]"}], "]"}], ",", 
           RowBox[{"4", "+", 
            RowBox[{"3", 
             RowBox[{"(", 
              RowBox[{"i", "-", "1"}], ")"}]}]}]}], "]"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "15"}], ",", "15"}], "}"}], ",", 
         RowBox[{"AxesOrigin", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "5"}], ",", "15"}], "}"}]}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"max", "+", "1"}], ")"}], "/", "3"}]}], "}"}]}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"leftline1", " ", "=", " ", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "/", "c"}], ",", 
             RowBox[{"-", "5"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "/", "c"}], ",", "15"}], "}"}]}], "}"}], 
         "]"}]}], "}"}], "]"}]}], ";", 
    RowBox[{"rightline1", " ", "=", " ", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"1", "/", "c"}], ",", 
             RowBox[{"-", "5"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"1", "/", "c"}], ",", "15"}], "}"}]}], "}"}], "]"}]}], 
       "}"}], "]"}]}], ";", 
    RowBox[{"leftline3", " ", "=", " ", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "/", "c"}], ",", 
             RowBox[{"-", "5"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "/", "c"}], ",", "15"}], "}"}]}], "}"}], 
         "]"}]}], "}"}], "]"}]}], ";", 
    RowBox[{"rightline3", " ", "=", " ", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"1", "/", "c"}], ",", 
             RowBox[{"-", "5"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"1", "/", "c"}], ",", "15"}], "}"}]}], "}"}], "]"}]}], 
       "}"}], "]"}]}], ";", 
    RowBox[{"leftline4", " ", "=", " ", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "/", 
              RowBox[{"Sqrt", "[", "c", "]"}]}], ",", 
             RowBox[{"-", "5"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "/", 
              RowBox[{"Sqrt", "[", "c", "]"}]}], ",", "15"}], "}"}]}], "}"}], 
         "]"}]}], "}"}], "]"}]}], ";", 
    RowBox[{"rightline4", " ", "=", " ", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"1", "/", 
              RowBox[{"Sqrt", "[", "c", "]"}]}], ",", 
             RowBox[{"-", "5"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"1", "/", 
              RowBox[{"Sqrt", "[", "c", "]"}]}], ",", "15"}], "}"}]}], "}"}], 
         "]"}]}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"IOClist", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{"leftline1", ",", "rightline1"}], "]"}], ",", " ", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<radius of convergence = 0\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"7.5", ",", 
            RowBox[{"-", "2.5"}]}], "}"}]}], "]"}], "]"}], ",", " ", 
       RowBox[{"Show", "[", 
        RowBox[{"leftline3", ",", "rightline3"}], "]"}], ",", " ", 
       RowBox[{"Show", "[", 
        RowBox[{"leftline4", ",", "rightline4"}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"ioc", " ", "\[Equal]", " ", "True"}], ",", 
      RowBox[{"Show", "[", 
       RowBox[{"plots", ",", 
        RowBox[{"IOClist", "[", 
         RowBox[{"[", "series", "]"}], "]"}]}], "]"}], ",", " ", 
      RowBox[{"Show", "[", "plots", "]"}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"series", ",", "1", ",", "\"\<power series term\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", 
        RowBox[{
         RowBox[{"\"\<c\>\"", "^", "n"}], "*", 
         RowBox[{"x", "^", "n"}]}]}], ",", " ", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"\"\<c\>\"", "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "/", "15"}], ")"}], "^", "n"}], "*", 
         RowBox[{"n", "!"}]}]}], ",", " ", 
       RowBox[{"3", "\[Rule]", " ", 
        RowBox[{".05", "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"n", "+", "1"}], ")"}], "*", 
            RowBox[{"x", "^", "n"}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "/", "\"\<c\>\""}], ")"}], "^", "n"}], " ", "+", 
            " ", "n"}], ")"}]}]}]}], ",", " ", 
       RowBox[{"4", "\[Rule]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "\"\<c\>\""}], ")"}], "^", "n"}], "*", 
         RowBox[{
          RowBox[{"x", "^", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", "n"}], "+", "1"}], ")"}]}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", "n"}], "+", "1"}], ")"}]}]}]}]}], "}"}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", ".1"}], "}"}], ",", ".1", ",", ".25", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"max", ",", "16", ",", "\"\<highest power\>\""}], "}"}], ",", 
     "7", ",", "40", ",", "3", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", " ", 
   
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ioc", ",", "False", ",", "\"\<interval of convergence\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.457956661375*^9, 3.457998433609375*^9, {
   3.458116349515625*^9, 3.458116355359375*^9}, {3.45857137999286*^9, 
   3.45857138121161*^9}, {3.45857149061786*^9, 3.45857149858661*^9}, {
   3.45857161205536*^9, 3.4585716122272353`*^9}, 3.4585720038209853`*^9, {
   3.4590025718558216`*^9, 3.4590025880745716`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`c$$ = 0.1, $CellContext`ioc$$ = 
    False, $CellContext`max$$ = 16, $CellContext`series$$ = 1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`series$$], 1, "power series term"}, {
      1 -> "c"^$CellContext`n $CellContext`x^$CellContext`n, 2 -> 
       15^(-$CellContext`n) "c" $CellContext`x^$CellContext`n 
        Factorial[$CellContext`n], 3 -> 
       0.05 (1 + $CellContext`n) ((
            "c"^(-1))^$CellContext`n + $CellContext`n)^(-1) \
$CellContext`x^$CellContext`n, 
       4 -> (-"c")^$CellContext`n (1 + 2 $CellContext`n)^(-1) $CellContext`x^(
          1 + 2 $CellContext`n)}}, {{
       Hold[$CellContext`c$$], 0.1}, 0.1, 0.25}, {{
       Hold[$CellContext`max$$], 16, "highest power"}, 7, 40, 3}, {{
       Hold[$CellContext`ioc$$], False, "interval of convergence"}, {
      True, False}}}, Typeset`size$$ = {360., {115., 119.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`series$175504$$ = False, $CellContext`c$175505$$ = 
    0, $CellContext`max$175506$$ = 0, $CellContext`ioc$175507$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`c$$ = 0.1, $CellContext`ioc$$ = 
        False, $CellContext`max$$ = 16, $CellContext`series$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`series$$, $CellContext`series$175504$$, False], 
        Hold[$CellContext`c$$, $CellContext`c$175505$$, 0], 
        Hold[$CellContext`max$$, $CellContext`max$175506$$, 0], 
        Hold[$CellContext`ioc$$, $CellContext`ioc$175507$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`PowerSeries = {
          Table[
           
           Sum[$CellContext`c$$^$CellContext`n $CellContext`x^$CellContext`n, \
{$CellContext`n, 0, $CellContext`i}], {$CellContext`i, 4, $CellContext`max$$, 
            3}], 
          Table[
           
           Sum[$CellContext`c$$ 
            Factorial[$CellContext`n] ($CellContext`x/
              15)^$CellContext`n, {$CellContext`n, 
             0, $CellContext`i}], {$CellContext`i, 4, $CellContext`max$$, 3}], 
          Table[
           Sum[
           0.05 ((($CellContext`n + 1) $CellContext`x^$CellContext`n)/((
               1/$CellContext`c$$)^$CellContext`n + $CellContext`n)), \
{$CellContext`n, 0, $CellContext`i}], {$CellContext`i, 4, $CellContext`max$$, 
            3}], 
          Table[
           
           Sum[(-$CellContext`c$$)^$CellContext`n ($CellContext`x^(
               2 $CellContext`n + 1)/(2 $CellContext`n + 1)), {$CellContext`n,
              0, $CellContext`i}], {$CellContext`i, 4, $CellContext`max$$, 
            3}]}; $CellContext`plots = Table[
          Plot[
           Tooltip[
            
            Part[$CellContext`PowerSeries, $CellContext`series$$, \
$CellContext`i], 4 + 3 ($CellContext`i - 1)], {$CellContext`x, -15, 15}, 
           AxesOrigin -> {0, 0}, PlotRange -> {-5, 15}], {$CellContext`i, 
           1, ($CellContext`max$$ + 1)/3}]; $CellContext`leftline1 = 
        Graphics[{Dashed, 
           
           Line[{{(-1)/$CellContext`c$$, -5}, {(-1)/$CellContext`c$$, 
              15}}]}]; $CellContext`rightline1 = Graphics[{Dashed, 
           
           Line[{{1/$CellContext`c$$, -5}, {
             1/$CellContext`c$$, 15}}]}]; $CellContext`leftline3 = 
        Graphics[{Dashed, 
           
           Line[{{(-1)/$CellContext`c$$, -5}, {(-1)/$CellContext`c$$, 
              15}}]}]; $CellContext`rightline3 = Graphics[{Dashed, 
           
           Line[{{1/$CellContext`c$$, -5}, {
             1/$CellContext`c$$, 15}}]}]; $CellContext`leftline4 = 
        Graphics[{Dashed, 
           
           Line[{{(-1)/Sqrt[$CellContext`c$$], -5}, {(-1)/
              Sqrt[$CellContext`c$$], 15}}]}]; $CellContext`rightline4 = 
        Graphics[{Dashed, 
           Line[{{1/Sqrt[$CellContext`c$$], -5}, {
             1/Sqrt[$CellContext`c$$], 15}}]}]; $CellContext`IOClist = {
          Show[$CellContext`leftline1, $CellContext`rightline1], 
          Graphics[
           Text["radius of convergence = 0", {7.5, -2.5}]], 
          Show[$CellContext`leftline3, $CellContext`rightline3], 
          Show[$CellContext`leftline4, $CellContext`rightline4]}; 
       If[$CellContext`ioc$$ == True, 
         Show[$CellContext`plots, 
          Part[$CellContext`IOClist, $CellContext`series$$]], 
         Show[$CellContext`plots]]), 
      "Specifications" :> {{{$CellContext`series$$, 1, "power series term"}, {
         1 -> "c"^$CellContext`n $CellContext`x^$CellContext`n, 2 -> 
          15^(-$CellContext`n) "c" $CellContext`x^$CellContext`n 
           Factorial[$CellContext`n], 3 -> 
          0.05 (1 + $CellContext`n) ((
               "c"^(-1))^$CellContext`n + $CellContext`n)^(-1) \
$CellContext`x^$CellContext`n, 
          4 -> (-"c")^$CellContext`n (1 + 
             2 $CellContext`n)^(-1) $CellContext`x^(1 + 
             2 $CellContext`n)}}, {{$CellContext`c$$, 0.1}, 0.1, 0.25, 
         Appearance -> "Labeled"}, {{$CellContext`max$$, 16, "highest power"},
          7, 40, 3, Appearance -> 
         "Labeled"}, {{$CellContext`ioc$$, False, 
          "interval of convergence"}, {True, False}}}, 
      "Options" :> {TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{405., {205., 210.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->106026801],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Power Series Interval of Convergence",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PowerSeriesIntervalOfConvergence/"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/PowerSeriesIntervalOfConvergence/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
PowerSeriesIntervalOfConvergence/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PowerSeriesIntervalOfConvergence/"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/PowerSeriesIntervalOfConvergence/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Olivia M. Carducci",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Olivia+M.+\
Carducci"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Olivia+M.+Carducci"],\

 " (East Stroudsburg University)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PowerSeriesIntervalOfConvergence"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Power Series Interval of Convergence - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[626, 23, 228, 4, 70, "Section"],
Cell[857, 29, 10376, 300, 70, "Input"]
}, Open  ]],
Cell[11248, 332, 6161, 124, 70, "Output",
 CellID->106026801],
Cell[CellGroupData[{
Cell[17434, 460, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[17810, 471, 987, 29, 70, "Text"],
Cell[18800, 502, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[19140, 513, 485, 16, 70, "Text"],
Cell[CellGroupData[{
Cell[19650, 533, 847, 24, 70, "Text"],
Cell[20500, 559, 1208, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 3SNs6Ei0fjjGuA0@jCTP7NxX *)
