(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     35059,        890]
NotebookOptionsPosition[     33962,        849]
NotebookOutlinePosition[     34584,        873]
CellTagsIndexPosition[     34541,        870]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Series: Steps on a Number Line", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"nmax", ">", "nmaxmax"}], ",", 
      RowBox[{"nmax", "=", "nmaxmax"}]}], "]"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Switch", "[", 
     RowBox[{
     "series", ",", "\[IndentingNewLine]", "ser1", ",", "\[IndentingNewLine]",
       
      RowBox[{
       RowBox[{
        RowBox[{"a", "[", "n_", "]"}], ":=", 
        RowBox[{"1", "/", 
         RowBox[{"2", "^", "n"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"xmin", "=", 
        RowBox[{"1", "/", "2"}]}], ";", " ", 
       RowBox[{"xmax", "=", "1.03"}], ";", 
       RowBox[{"yrange", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.02"}], ",", "0.15"}], "}"}]}]}], ",", 
      "\[IndentingNewLine]", "ser2", ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"a", "[", "n_", "]"}], ":=", 
        RowBox[{"1", "/", "n"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"xmin", "=", "1"}], ";", " ", 
       RowBox[{"xmax", "=", "5"}], ";", 
       RowBox[{"yrange", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.04"}], ",", "0.3"}], "}"}]}]}], ",", 
      "\[IndentingNewLine]", "ser3", ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"a", "[", "n_", "]"}], ":=", 
        RowBox[{"1", "/", 
         RowBox[{"n", "^", "2"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"xmin", "=", "1"}], ";", " ", 
       RowBox[{"xmax", "=", "1.75"}], ";", 
       RowBox[{"yrange", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.02"}], ",", "0.15"}], "}"}]}]}], ",", 
      "\[IndentingNewLine]", "ser4", ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"a", "[", "n_", "]"}], ":=", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "^", "n"}], "/", "n"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"xmin", "=", 
        RowBox[{"-", "1"}]}], ";", " ", 
       RowBox[{"xmax", "=", 
        RowBox[{"-", "0.5"}]}], ";", 
       RowBox[{"yrange", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.02"}], ",", "0.3"}], "}"}]}]}]}], 
     "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"tick", "[", "x_", "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "0.01"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0.01"}], "}"}]}], "}"}], "]"}], "}"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"before", "[", 
      RowBox[{"list_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"list", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{
         RowBox[{"Flatten", "[", 
          RowBox[{"Position", "[", 
           RowBox[{"list", ",", "x"}], "]"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "-", "1"}], "]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"arc", "[", "x_", "]"}], ":=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Length", "[", "ticklist", "]"}], "\[LessEqual]", "1"}], ",", 
       
       RowBox[{"{", "}"}], ",", 
       RowBox[{"Circle", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"x", "+", 
              RowBox[{"before", "[", 
               RowBox[{"ticklist", ",", "x"}], "]"}]}], ")"}], "/", "2"}], 
           ",", "0"}], "}"}], ",", 
         RowBox[{
          RowBox[{"Abs", "[", 
           RowBox[{"x", "-", 
            RowBox[{"before", "[", 
             RowBox[{"ticklist", ",", "x"}], "]"}]}], "]"}], "/", "2"}], ",", 
         
         RowBox[{"{", 
          RowBox[{"0", ",", "Pi"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"arclabel", "[", "nth_", "]"}], ":=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"nth", "\[LessEqual]", "1"}], ",", 
       RowBox[{"{", "}"}], ",", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", "x", "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"x", "=", 
           RowBox[{"Sum", "[", 
            RowBox[{
             RowBox[{"a", "[", "n", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"n", ",", "1", ",", "nth"}], "}"}]}], "]"}]}], ";", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"ToString", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"MemberQ", "[", 
                  RowBox[{"opts", ",", "decimals"}], "]"}], ",", "N", ",", 
                 "Identity"}], "]"}], "[", 
               RowBox[{"a", "[", "nth", "]"}], "]"}], ",", 
              "TraditionalForm"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"x", "+", 
                 RowBox[{"before", "[", 
                  RowBox[{"ticklist", ",", "x"}], "]"}]}], ")"}], "/", "2"}], 
              ",", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"Abs", "[", 
                  RowBox[{"x", "-", 
                   RowBox[{"before", "[", 
                    RowBox[{"ticklist", ",", "x"}], "]"}]}], "]"}], "/", 
                 "2"}], ")"}], "*", "1.1"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"-", "1"}]}], "}"}]}], "]"}]}]}], "\[IndentingNewLine]",
         "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    
    RowBox[{"ticklist", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"a", "[", "n", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "1", ",", "m"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"m", ",", "1", ",", "nmaxmax"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"ticklabellist", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"ToString", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"MemberQ", "[", 
               RowBox[{"opts", ",", "decimals"}], "]"}], ",", "N", ",", 
              "Identity"}], "]"}], "[", 
            RowBox[{"Sum", "[", 
             RowBox[{
              RowBox[{"a", "[", "n", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"n", ",", "1", ",", "m"}], "}"}]}], "]"}], "]"}], ",", 
           "TraditionalForm"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sum", "[", 
            RowBox[{
             RowBox[{"a", "[", "n", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"n", ",", "1", ",", "m"}], "}"}]}], "]"}], ",", 
           RowBox[{
            RowBox[{"yrange", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "*", "0.9"}]}], 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"-", "0.07"}], "*", 
            RowBox[{
             RowBox[{"a", "[", "1", "]"}], "/", "2"}]}], "*)"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"m", ",", "1", ",", "nmaxmax"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"arclist", "=", 
     RowBox[{"Map", "[", 
      RowBox[{"arc", ",", "ticklist"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"arclabellist", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"arclabel", "[", "n", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "1", ",", "nmaxmax"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Deploy", "[", 
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"MemberQ", "[", 
               RowBox[{"opts", ",", "axis"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"xmin", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"xmax", ",", "0"}], "}"}]}], "}"}], "]"}], "}"}], 
              ",", 
              RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"MemberQ", "[", 
               RowBox[{"opts", ",", "showlast"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"tick", "[", 
                 RowBox[{"ticklist", "[", 
                  RowBox[{"[", "nmax", "]"}], "]"}], "]"}], ",", 
                RowBox[{"ticklabellist", "[", 
                 RowBox[{"[", "nmax", "]"}], "]"}], ",", 
                RowBox[{"arclabellist", "[", 
                 RowBox[{"[", "nmax", "]"}], "]"}]}], "}"}], ",", 
              RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"MemberQ", "[", 
               RowBox[{"opts", ",", "showticks"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"Map", "[", 
                RowBox[{"tick", ",", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"nmax", "\[GreaterEqual]", "nmaxmax"}], ",", 
                   RowBox[{"Take", "[", 
                    RowBox[{"ticklist", ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "nmaxmax"}], "}"}]}], "]"}], ",", 
                   RowBox[{"Take", "[", 
                    RowBox[{"ticklist", ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "nmax"}], "}"}]}], "]"}]}], "]"}]}], 
                "]"}], "}"}], ",", 
              RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"MemberQ", "[", 
                RowBox[{"opts", ",", "showticklabels"}], "]"}], "&&", 
               RowBox[{"!", 
                RowBox[{"MemberQ", "[", 
                 RowBox[{"opts", ",", "showlast"}], "]"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"nmax", "\[GreaterEqual]", "nmaxmax"}], ",", 
                 RowBox[{"Take", "[", 
                  RowBox[{"ticklabellist", ",", 
                   RowBox[{"{", 
                    RowBox[{"1", ",", "nmaxmax"}], "}"}]}], "]"}], ",", 
                 RowBox[{"Take", "[", 
                  RowBox[{"ticklabellist", ",", 
                   RowBox[{"{", 
                    RowBox[{"1", ",", "nmax"}], "}"}]}], "]"}]}], "]"}], 
               "}"}], ",", 
              RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"MemberQ", "[", 
               RowBox[{"opts", ",", "showarcs"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"Blue", ",", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"nmax", "\[GreaterEqual]", "nmaxmax"}], ",", 
                  RowBox[{"Take", "[", 
                   RowBox[{"arclist", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "nmaxmax"}], "}"}]}], "]"}], ",", 
                  RowBox[{"Take", "[", 
                   RowBox[{"arclist", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "nmax"}], "}"}]}], "]"}]}], "]"}]}], 
               "}"}], ",", 
              RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"MemberQ", "[", 
                RowBox[{"opts", ",", "showsteps"}], "]"}], "&&", 
               RowBox[{"!", 
                RowBox[{"MemberQ", "[", 
                 RowBox[{"opts", ",", "showlast"}], "]"}]}]}], ",", 
              RowBox[{"{", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"nmax", "\[GreaterEqual]", "nmaxmax"}], ",", 
                 RowBox[{"Take", "[", 
                  RowBox[{"arclabellist", ",", 
                   RowBox[{"{", 
                    RowBox[{"1", ",", "nmaxmax"}], "}"}]}], "]"}], ",", 
                 RowBox[{"Take", "[", 
                  RowBox[{"arclabellist", ",", 
                   RowBox[{"{", 
                    RowBox[{"1", ",", "nmax"}], "}"}]}], "]"}]}], "]"}], 
               "}"}], ",", 
              RowBox[{"{", "}"}]}], "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"xmin", ",", "xmax"}], "}"}], ",", "yrange"}], "}"}]}], 
          ",", 
          RowBox[{"Axes", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"False", ",", "False"}], "}"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "450"}], ",", 
          RowBox[{"ImagePadding", "\[Rule]", "20"}]}], "]"}], 
        "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Text", "@", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"ToString", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"HoldForm", "[", 
              RowBox[{"Sum", "[", 
               RowBox[{"seq", ",", 
                RowBox[{"{", 
                 RowBox[{"n", ",", "1", ",", "themax"}], "}"}]}], "]"}], 
              "]"}], "/.", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"seq", "\[Rule]", 
                RowBox[{"a", "[", "n", "]"}]}], ",", 
               RowBox[{"themax", "\[Rule]", "nmaxmax"}]}], "}"}]}], ",", 
            "TraditionalForm"}], "]"}], ",", "24"}], "]"}]}]}], 
      "\[IndentingNewLine]", "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"series", ",", "ser1", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<\[CapitalSigma]\>\"", ",", "30"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"ser1", "\[Rule]", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{"1", "/", 
           RowBox[{"2", "^", "n"}]}], ",", "TraditionalForm"}], "]"}]}], ",", 
       
       RowBox[{"ser2", "\[Rule]", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{"1", "/", "n"}], ",", "TraditionalForm"}], "]"}]}], ",", 
       RowBox[{"ser3", "\[Rule]", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{"1", "/", 
           RowBox[{"n", "^", "2"}]}], ",", "TraditionalForm"}], "]"}]}], ",", 
       
       RowBox[{"ser4", "\[Rule]", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], "^", "n"}], "/", "n"}], ",", 
          "TraditionalForm"}], "]"}]}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"opts", ",", 
       RowBox[{"{", 
        RowBox[{
        "showticks", ",", "showarcs", ",", "showticklabels", ",", "showsteps",
          ",", "axis", ",", " ", "showlast"}], "}"}], ",", "\"\<\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"showticklabels", "\[Rule]", "\"\<tick labels\>\""}], ",", 
       RowBox[{"showsteps", "\[Rule]", "\"\<step sizes\>\""}], ",", 
       RowBox[{"showarcs", "\[Rule]", "\"\<arcs\>\""}], ",", 
       RowBox[{"showticks", "\[Rule]", "\"\<ticks\>\""}], ",", 
       RowBox[{"axis", "\[Rule]", "\"\<axis\>\""}], ",", 
       RowBox[{"decimals", "\[Rule]", "\"\<decimals\>\""}], ",", 
       RowBox[{"showlast", "\[Rule]", "\"\<only last\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "CheckboxBar"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"nmax", ",", "1", ",", "\"\<step\>\""}], "}"}], ",", "1", ",", 
     "nmaxmax", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"nmaxmax", ",", "15", ",", "\"\<steps\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"15", ",", "30", ",", "60"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"nmax", ",", "opts", ",", "series", ",", "nmaxmax"}], "}"}]}], 
   ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", "3", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3791000213839025`*^9, 3.3791000229161053`*^9}, {
   3.38532175308543*^9, 3.385321755558987*^9}, {3.385394442723019*^9, 
   3.3853944552610483`*^9}, {3.390740035946786*^9, 3.3907400367879953`*^9}},
 CellID->73472352]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`nmax$$ = 1, $CellContext`nmaxmax$$ = 
    15, $CellContext`opts$$ = {$CellContext`showticks, $CellContext`showarcs, \
$CellContext`showticklabels, $CellContext`showsteps, $CellContext`axis, \
$CellContext`showlast}, $CellContext`series$$ = $CellContext`ser1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`series$$], $CellContext`ser1, 
       Style["\[CapitalSigma]", 30]}, {$CellContext`ser1 -> 
       "\!\(TraditionalForm\`2\^\(-n\)\)", $CellContext`ser2 -> 
       "\!\(TraditionalForm\`1\/n\)", $CellContext`ser3 -> 
       "\!\(TraditionalForm\`1\/n\^2\)", $CellContext`ser4 -> 
       "\!\(TraditionalForm\`\((\(-1\))\)\^n\/n\)"}}, {{
       Hold[$CellContext`opts$$], {$CellContext`showticks, \
$CellContext`showarcs, $CellContext`showticklabels, $CellContext`showsteps, \
$CellContext`axis, $CellContext`showlast}, ""}, {$CellContext`showticklabels -> 
       "tick labels", $CellContext`showsteps -> 
       "step sizes", $CellContext`showarcs -> "arcs", $CellContext`showticks -> 
       "ticks", $CellContext`axis -> "axis", $CellContext`decimals -> 
       "decimals", $CellContext`showlast -> "only last"}}, {{
       Hold[$CellContext`nmax$$], 1, "step"}, 1, 
      Dynamic[$CellContext`nmaxmax$$], 1}, {{
       Hold[$CellContext`nmaxmax$$], 15, "steps"}, {15, 30, 60}}}, 
    Typeset`size$$ = {450., {99.5, 104.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`series$53590$$ = False, $CellContext`opts$53591$$ = 
    False, $CellContext`nmax$53592$$ = 0, $CellContext`nmaxmax$53593$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`nmax$$ = 1, $CellContext`nmaxmax$$ = 
        15, $CellContext`opts$$ = {$CellContext`showticks, \
$CellContext`showarcs, $CellContext`showticklabels, $CellContext`showsteps, \
$CellContext`axis, $CellContext`showlast}, $CellContext`series$$ = \
$CellContext`ser1}, "ControllerVariables" :> {
        Hold[$CellContext`series$$, $CellContext`series$53590$$, False], 
        Hold[$CellContext`opts$$, $CellContext`opts$53591$$, False], 
        Hold[$CellContext`nmax$$, $CellContext`nmax$53592$$, 0], 
        Hold[$CellContext`nmaxmax$$, $CellContext`nmaxmax$53593$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`nmax$$ > $CellContext`nmaxmax$$, $CellContext`nmax$$ = \
$CellContext`nmaxmax$$]; 
       Switch[$CellContext`series$$, $CellContext`ser1, $CellContext`a[
            Pattern[$CellContext`n, 
             Blank[]]] := 1/2^$CellContext`n; $CellContext`xmin = 
          1/2; $CellContext`xmax = 
          1.03; $CellContext`yrange = {-0.02, 
           0.15}, $CellContext`ser2, $CellContext`a[
            Pattern[$CellContext`n, 
             Blank[]]] := 1/$CellContext`n; $CellContext`xmin = 
          1; $CellContext`xmax = 
          5; $CellContext`yrange = {-0.04, 
           0.3}, $CellContext`ser3, $CellContext`a[
            Pattern[$CellContext`n, 
             Blank[]]] := 1/$CellContext`n^2; $CellContext`xmin = 
          1; $CellContext`xmax = 
          1.75; $CellContext`yrange = {-0.02, 
           0.15}, $CellContext`ser4, $CellContext`a[
            Pattern[$CellContext`n, 
             
             Blank[]]] := (-1)^$CellContext`n/$CellContext`n; \
$CellContext`xmin = -1; $CellContext`xmax = -0.5; $CellContext`yrange = \
{-0.02, 0.3}]; $CellContext`tick[
          Pattern[$CellContext`x, 
           Blank[]]] := {
          
          Line[{{$CellContext`x, -0.01}, {$CellContext`x, 
             0.01}}]}; $CellContext`before[
          Pattern[$CellContext`list, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]]] := Part[$CellContext`list, Part[
            Flatten[
             Position[$CellContext`list, $CellContext`x]], 1] - 
          1]; $CellContext`arc[
          Pattern[$CellContext`x, 
           Blank[]]] := If[Length[$CellContext`ticklist] <= 1, {}, 
          
          Circle[{($CellContext`x + \
$CellContext`before[$CellContext`ticklist, $CellContext`x])/2, 0}, 
           Abs[$CellContext`x - $CellContext`before[$CellContext`ticklist, \
$CellContext`x]]/2, {0, Pi}]]; $CellContext`arclabel[
          Pattern[$CellContext`nth$, 
           Blank[]]] := If[$CellContext`nth$ <= 1, {}, 
          Module[{$CellContext`x$}, $CellContext`x$ = Sum[
              $CellContext`a[$CellContext`n], {$CellContext`n, 
               1, $CellContext`nth$}]; Text[
             ToString[
              If[
               MemberQ[$CellContext`opts$$, $CellContext`decimals], N, 
               Identity][
               $CellContext`a[$CellContext`nth$]], 
              TraditionalForm], {($CellContext`x$ + \
$CellContext`before[$CellContext`ticklist, $CellContext`x$])/
              2, (Abs[$CellContext`x$ - \
$CellContext`before[$CellContext`ticklist, $CellContext`x$]]/2) 1.1}, {
             0, -1}]]]; $CellContext`ticklist = Table[
          Sum[
           $CellContext`a[$CellContext`n], {$CellContext`n, 
            1, $CellContext`m}], {$CellContext`m, 
           1, $CellContext`nmaxmax$$}]; $CellContext`ticklabellist = Table[
          Text[
           ToString[
            If[
             MemberQ[$CellContext`opts$$, $CellContext`decimals], N, 
             Identity][
             Sum[
              $CellContext`a[$CellContext`n], {$CellContext`n, 
               1, $CellContext`m}]], TraditionalForm], {
            Sum[
             $CellContext`a[$CellContext`n], {$CellContext`n, 
              1, $CellContext`m}], Part[$CellContext`yrange, 1] 0.9}, {0, 
           1}], {$CellContext`m, 
           1, $CellContext`nmaxmax$$}]; $CellContext`arclist = 
        Map[$CellContext`arc, $CellContext`ticklist]; \
$CellContext`arclabellist = Table[
          $CellContext`arclabel[$CellContext`n], {$CellContext`n, 
           1, $CellContext`nmaxmax$$}]; Column[{
          Deploy[
           Graphics[{
             If[
              MemberQ[$CellContext`opts$$, $CellContext`axis], {
               Line[{{$CellContext`xmin, 0}, {$CellContext`xmax, 0}}]}, {}], 
             If[
              MemberQ[$CellContext`opts$$, $CellContext`showlast], {
               $CellContext`tick[
                Part[$CellContext`ticklist, $CellContext`nmax$$]], 
               Part[$CellContext`ticklabellist, $CellContext`nmax$$], 
               Part[$CellContext`arclabellist, $CellContext`nmax$$]}, {}], 
             If[
              MemberQ[$CellContext`opts$$, $CellContext`showticks], {
               Map[$CellContext`tick, 
                If[$CellContext`nmax$$ >= $CellContext`nmaxmax$$, 
                 Take[$CellContext`ticklist, {1, $CellContext`nmaxmax$$}], 
                 
                 Take[$CellContext`ticklist, {
                  1, $CellContext`nmax$$}]]]}, {}], 
             If[
              And[
               MemberQ[$CellContext`opts$$, $CellContext`showticklabels], 
               Not[
                MemberQ[$CellContext`opts$$, $CellContext`showlast]]], {
               If[$CellContext`nmax$$ >= $CellContext`nmaxmax$$, 
                Take[$CellContext`ticklabellist, {1, $CellContext`nmaxmax$$}],
                 
                
                Take[$CellContext`ticklabellist, {
                 1, $CellContext`nmax$$}]]}, {}], 
             If[
              MemberQ[$CellContext`opts$$, $CellContext`showarcs], {Blue, 
               If[$CellContext`nmax$$ >= $CellContext`nmaxmax$$, 
                Take[$CellContext`arclist, {2, $CellContext`nmaxmax$$}], 
                Take[$CellContext`arclist, {2, $CellContext`nmax$$}]]}, {}], 
             If[
              And[
               MemberQ[$CellContext`opts$$, $CellContext`showsteps], 
               Not[
                MemberQ[$CellContext`opts$$, $CellContext`showlast]]], {
               If[$CellContext`nmax$$ >= $CellContext`nmaxmax$$, 
                Take[$CellContext`arclabellist, {1, $CellContext`nmaxmax$$}], 
                
                
                Take[$CellContext`arclabellist, {
                 1, $CellContext`nmax$$}]]}, {}]}, 
            PlotRange -> {{$CellContext`xmin, $CellContext`xmax}, \
$CellContext`yrange}, Axes -> {False, False}, AspectRatio -> Automatic, 
            ImageSize -> 450, ImagePadding -> 20]], 
          Text[
           Style[
            ToString[
             ReplaceAll[
              HoldForm[
               
               Sum[$CellContext`seq, {$CellContext`n, 
                 1, $CellContext`themax}]], {$CellContext`seq -> \
$CellContext`a[$CellContext`n], $CellContext`themax -> \
$CellContext`nmaxmax$$}], TraditionalForm], 24]]}]), 
      "Specifications" :> {{{$CellContext`series$$, $CellContext`ser1, 
          Style["\[CapitalSigma]", 30]}, {$CellContext`ser1 -> 
          "\!\(TraditionalForm\`2\^\(-n\)\)", $CellContext`ser2 -> 
          "\!\(TraditionalForm\`1\/n\)", $CellContext`ser3 -> 
          "\!\(TraditionalForm\`1\/n\^2\)", $CellContext`ser4 -> 
          "\!\(TraditionalForm\`\((\(-1\))\)\^n\/n\)"}, ControlType -> 
         PopupMenu}, {{$CellContext`opts$$, {$CellContext`showticks, \
$CellContext`showarcs, $CellContext`showticklabels, $CellContext`showsteps, \
$CellContext`axis, $CellContext`showlast}, ""}, {$CellContext`showticklabels -> 
          "tick labels", $CellContext`showsteps -> 
          "step sizes", $CellContext`showarcs -> 
          "arcs", $CellContext`showticks -> "ticks", $CellContext`axis -> 
          "axis", $CellContext`decimals -> "decimals", $CellContext`showlast -> 
          "only last"}, ControlType -> 
         CheckboxBar}, {{$CellContext`nmax$$, 1, "step"}, 1, 
         Dynamic[$CellContext`nmaxmax$$], 1, ImageSize -> 
         Large}, {{$CellContext`nmaxmax$$, 15, "steps"}, {15, 30, 60}, 
         ControlType -> PopupMenu}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`nmax$$, $CellContext`opts$$, \
$CellContext`series$$, $CellContext`nmaxmax$$}, AutorunSequencing -> {3}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {183., 188.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->212293091],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Series: Steps on a Number Line",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SeriesStepsOnANumberLine/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/SeriesStepsOnANumberLine/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/SeriesStepsOnANumberLine/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SeriesStepsOnANumberLine/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/SeriesStepsOnANumberLine/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}],
 " and ",
 ButtonBox["MathematiClub",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=MathematiClub"],
     None}],
 " (Torrey Pines High School)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->284927792],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
SeriesStepsOnANumberLine"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Series: Steps on a Number Line - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 222, 4, 70, "Section"],
Cell[815, 29, 17921, 460, 70, "Input",
 CellID->73472352]
}, Open  ]],
Cell[18751, 492, 10883, 216, 70, "Output",
 CellID->212293091],
Cell[CellGroupData[{
Cell[29659, 712, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[30035, 723, 933, 26, 70, "Text"],
Cell[30971, 751, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[31311, 762, 566, 20, 70, "Text",
 CellID->284927792],
Cell[CellGroupData[{
Cell[31902, 786, 829, 24, 70, "Text"],
Cell[32734, 812, 1200, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 0R4siYXxHT9FVA0bVQTFFEsp *)
