(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20880,        552]
NotebookOptionsPosition[     19815,        512]
NotebookOutlinePosition[     20428,        536]
CellTagsIndexPosition[     20385,        533]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Sum of a Geometric Series", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"x1", "=", "0"}], ";", 
     RowBox[{"xmax", "=", "10"}], ";", 
     RowBox[{"y1", "=", 
      RowBox[{
       RowBox[{"a", " ", 
        RowBox[{"r", "^", "2"}]}], "+", 
       RowBox[{"a", " ", "r"}], "+", "a"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Show", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<a\>\"", ",", "Italic", ",", "Medium"}], "]"}], ",", 
            
            RowBox[{"{", 
             RowBox[{
              RowBox[{"a", "/", "2"}], ",", 
              RowBox[{"-", ".15"}]}], "}"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<a r\>\"", ",", "Italic", ",", " ", "Medium"}], 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"a", "+", 
               RowBox[{"a", " ", 
                RowBox[{"r", "/", "2"}]}]}], ",", 
              RowBox[{"-", ".15"}]}], "}"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              SuperscriptBox["\"\<a r\>\"", "2"], ",", "Italic", ",", " ", 
              "Medium"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"a", "+", 
               RowBox[{"a", " ", "r"}], "+", 
               RowBox[{"a", " ", 
                RowBox[{
                 RowBox[{"r", "^", "2"}], "/", "2"}]}]}], ",", 
              RowBox[{"-", ".15"}]}], "}"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<\[Ellipsis]\>\"", ",", "Italic", ",", "Bold", ",", " ", 
              "Medium"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"a", "+", 
               RowBox[{"a", " ", "r"}], "+", 
               RowBox[{"a", " ", 
                RowBox[{"r", "^", "2"}]}], "+", 
               RowBox[{"a", " ", 
                RowBox[{
                 RowBox[{"r", "^", "3"}], "/", "2"}]}]}], ",", 
              RowBox[{"-", ".15"}]}], "}"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<r\>\"", ",", "Italic"}], "]"}]], ",", " ", 
              "Medium"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", ".1"}], ",", 
              RowBox[{"1", "/", "r"}]}], "}"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<1\>\"", ",", " ", "Medium"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", ".1"}], ",", "1"}], "}"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<r\>\"", ",", "Italic", ",", " ", "Medium"}], "]"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", ".1"}], ",", "r"}], "}"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              SuperscriptBox["\"\<r\>\"", "2"], ",", "Italic", ",", " ", 
              "Medium"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", ".1"}], ",", 
              RowBox[{"r", "^", "2"}]}], "}"}]}], "]"}]}], 
         "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"Extract", "[", 
        RowBox[{
         RowBox[{"Reap", "[", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"i", "=", "0"}], ",", 
            RowBox[{"i", "\[LessEqual]", "xmax"}], ",", 
            RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Sow", "[", "\[IndentingNewLine]", 
              RowBox[{"Graphics", "[", 
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"EdgeForm", "[", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Darker", "[", "Blue", "]"}], ",", "Thick"}], 
                    "]"}], "]"}], ",", 
                   RowBox[{"Opacity", "[", ".4", "]"}], ",", "Blue", ",", 
                   RowBox[{"Rectangle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x1", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"a", "+", 
                    RowBox[{"x1", " ", "r"}]}], ",", 
                    RowBox[{"r", "^", "i"}]}], "}"}]}], "]"}]}], "}"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"EdgeForm", "[", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Darker", "[", "Green", "]"}], ",", "Thick"}], 
                    "]"}], "]"}], ",", 
                   RowBox[{"Darker", "[", "Green", "]"}], ",", 
                   RowBox[{"Opacity", "[", ".4", "]"}], ",", 
                   RowBox[{"Polygon", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x1", ",", 
                    RowBox[{"r", "^", "i"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"x1", " ", "r"}], "+", "a"}], ",", 
                    RowBox[{"r", "^", "i"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x1", ",", 
                    RowBox[{"r", "^", 
                    RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}]}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}], "]"}], 
              "]"}], ";", 
             RowBox[{"x1", "=", 
              RowBox[{
               RowBox[{"x1", " ", "r"}], "+", "a"}]}], ";", 
             RowBox[{"y1", "=", 
              RowBox[{
               RowBox[{"y1", " ", "r"}], "+", "a"}]}]}]}], "]"}], "]"}], ",", 
         
         RowBox[{"{", "2", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], ",", 
       RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"450", ",", "200"}], "}"}]}], ",", " ", 
       RowBox[{"Ticks", "\[Rule]", "None"}], ",", " ", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".3"}], ",", "6"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".2"}], ",", "2.4"}], "}"}]}], "}"}]}]}], "]"}]}], 
    ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r", ",", ".6", ",", "\"\<r\>\""}], "}"}], ",", ".44", ",", 
      ".65", ",", 
      RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "1.5", ",", "\"\<a\>\""}], "}"}], ",", "0.7", ",", 
      "2.1", ",", 
      RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
     RowBox[{"{", 
      RowBox[{"r", ",", "a"}], "}"}]}], ",", 
    RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4363549527300096`*^9, 3.436355468181192*^9}, {
   3.436355516871205*^9, 3.436355591208096*^9}, {3.4363556329781585`*^9, 
   3.436355639928152*^9}, 3.4363556964293966`*^9, {3.43635573075876*^9, 
   3.436355792747896*^9}, {3.436355883748749*^9, 3.4363558891965823`*^9}, {
   3.436355956883912*^9, 3.4363559624819613`*^9}, {3.436356130964227*^9, 
   3.4363561351001744`*^9}, {3.436356179784427*^9, 3.4363561988318157`*^9}, {
   3.436356248473197*^9, 3.436356279878355*^9}, {3.4363563126354575`*^9, 
   3.436356396385885*^9}, {3.436356458254848*^9, 3.4363564633321486`*^9}, {
   3.436356546061107*^9, 3.436356707983941*^9}, {3.436356748021512*^9, 
   3.436356751947157*^9}, {3.4363567860662174`*^9, 3.436356842487347*^9}, {
   3.4363568999800177`*^9, 3.43635707769556*^9}, {3.436357117432699*^9, 
   3.436357207912803*^9}, {3.4363572447557807`*^9, 3.436357371968704*^9}, {
   3.436357404845979*^9, 3.4363574153811283`*^9}, {3.436357456670499*^9, 
   3.436357609380085*^9}, {3.4363576556866703`*^9, 3.4363576778685665`*^9}, {
   3.436357744594514*^9, 3.436357745525853*^9}, {3.43651923221875*^9, 
   3.436519267390625*^9}, {3.436519331234375*^9, 3.436519407359375*^9}, 
   3.436531771498109*^9, {3.4365318097839375`*^9, 3.436531839128871*^9}, {
   3.4378526401117887`*^9, 3.4378527884574375`*^9}},
 CellID->45978024]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 
    1.9700000000000002`, $CellContext`r$$ = 0.5625, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`r$$], 0.6, "r"}, 0.44, 0.65}, {{
       Hold[$CellContext`a$$], 1.5, "a"}, 0.7, 2.1}}, Typeset`size$$ = {
    450., {98., 102.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`r$79355$$ = 
    0, $CellContext`a$79356$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 1.5, $CellContext`r$$ = 0.6}, 
      "ControllerVariables" :> {
        Hold[$CellContext`r$$, $CellContext`r$79355$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$79356$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`x1 = 0; $CellContext`xmax = 
        10; $CellContext`y1 = $CellContext`a$$ $CellContext`r$$^2 + \
$CellContext`a$$ $CellContext`r$$ + $CellContext`a$$; Show[
         Graphics[{
           Text[
            Style["a", Italic, Medium], {$CellContext`a$$/2, -0.15}], 
           Text[
            Style[
            "a r", Italic, 
             Medium], {$CellContext`a$$ + $CellContext`a$$ ($CellContext`r$$/
               2), -0.15}], 
           Text[
            Style[
            "a r"^2, Italic, 
             Medium], {$CellContext`a$$ + $CellContext`a$$ $CellContext`r$$ + \
$CellContext`a$$ ($CellContext`r$$^2/2), -0.15}], 
           Text[
            Style[
            "\[Ellipsis]", Italic, Bold, 
             Medium], {$CellContext`a$$ + $CellContext`a$$ $CellContext`r$$ + \
$CellContext`a$$ $CellContext`r$$^2 + $CellContext`a$$ ($CellContext`r$$^3/
               2), -0.15}], 
           Text[
            Style[1/Style["r", Italic], Medium], {-0.1, 1/$CellContext`r$$}], 
           
           Text[
            Style["1", Medium], {-0.1, 1}], 
           Text[
            Style["r", Italic, Medium], {-0.1, $CellContext`r$$}], 
           Text[
            Style["r"^2, Italic, Medium], {-0.1, $CellContext`r$$^2}]}], 
         Extract[
          Reap[
           For[$CellContext`i = 0, $CellContext`i <= $CellContext`xmax, 
            Increment[$CellContext`i], Sow[
              Graphics[{{
                 EdgeForm[
                  Directive[
                   Darker[Blue], Thick]], 
                 Opacity[0.4], Blue, 
                 
                 Rectangle[{$CellContext`x1, 
                   0}, {$CellContext`a$$ + $CellContext`x1 $CellContext`r$$, \
$CellContext`r$$^$CellContext`i}]}, {
                 EdgeForm[
                  Directive[
                   Darker[Green], Thick]], 
                 Darker[Green], 
                 Opacity[0.4], 
                 
                 Polygon[{{$CellContext`x1, $CellContext`r$$^$CellContext`i}, \
{$CellContext`x1 $CellContext`r$$ + $CellContext`a$$, \
$CellContext`r$$^$CellContext`i}, {$CellContext`x1, \
$CellContext`r$$^($CellContext`i - 
                    1)}}]}}]]; $CellContext`x1 = $CellContext`x1 \
$CellContext`r$$ + $CellContext`a$$; $CellContext`y1 = $CellContext`y1 \
$CellContext`r$$ + $CellContext`a$$]], {2}], AxesOrigin -> {0, 0}, Axes -> 
         True, ImageSize -> {450, 200}, Ticks -> None, 
         PlotRange -> {{-0.3, 6}, {-0.2, 2.4}}]), 
      "Specifications" :> {{{$CellContext`r$$, 0.6, "r"}, 0.44, 0.65, 
         Appearance -> "Labeled"}, {{$CellContext`a$$, 1.5, "a"}, 0.7, 2.1, 
         Appearance -> "Labeled"}}, 
      "Options" :> {TrackedSymbols :> {$CellContext`r$$, $CellContext`a$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {155., 160.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`x1 = 
       3.7363951103999997`, $CellContext`xmax = 10, $CellContext`y1 = 
       3.7470613438463998`, $CellContext`i = 11, 
       Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->25342739],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Sum of a Geometric Series",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SumOfAGeometricSeries/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SumOfAGeometricSeries/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/SumOfAGeometricSeries/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SumOfAGeometricSeries/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SumOfAGeometricSeries/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Soledad M\.aa S\[AAcute]ez Mart\[IAcute]nez",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%\
E1ez+Mart%EDnez"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%E1ez+\
Mart%EDnez"],
 " and ",
 ButtonBox["F\[EAcute]lix Mart\[IAcute]nez de la Rosa",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%\
EDnez+de+la+Rosa"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%EDnez+\
de+la+Rosa"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
SumOfAGeometricSeries"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Sum of a Geometric Series - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 217, 4, 70, "Section"],
Cell[810, 29, 9790, 235, 70, "Input",
 CellID->45978024]
}, Open  ]],
Cell[10615, 267, 4631, 102, 70, "Output",
 CellID->25342739],
Cell[CellGroupData[{
Cell[15271, 373, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15647, 384, 907, 24, 70, "Text"],
Cell[16557, 410, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16897, 421, 818, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[17740, 449, 847, 24, 70, "Text"],
Cell[18590, 475, 1197, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature RQ4HAXdFpt7yvDD9uz40RRNI *)
