(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     63966,       1380]
NotebookOptionsPosition[     30703,        723]
NotebookOutlinePosition[     62828,       1351]
CellTagsIndexPosition[     61560,       1304]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Sum of the Alternating Harmonic Series (I)", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], ":=", 
   RowBox[{"1", "/", "x"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellID->64328580],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"x1", "=", "0"}], ";", 
    RowBox[{"x2", "=", "2"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Show", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"f", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", ".9", ",", "2"}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{".95", ",", "2.05"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", ".15"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Thickness", "[", ".004", "]"}], ",", "Blue"}], "}"}]}], 
        ",", " ", 
        RowBox[{"Ticks", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", "2"}], "}"}], ",", 
           RowBox[{"{", "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"400", ",", "300"}], "}"}]}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", ".8"}], ",", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"AxesOrigin", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"Prolog", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"n", "\[GreaterEqual]", "2"}], ",", " ", 
             RowBox[{"Text", "[", 
              RowBox[{"\"\<\!\(\*FractionBox[\(3\), \(2\)]\)\>\"", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"3", "/", "2"}], ",", 
                 RowBox[{"-", "0.06"}]}], "}"}]}], "]"}], ",", 
             RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"n", "\[GreaterEqual]", "3"}], ",", 
             RowBox[{"{", " ", 
              RowBox[{
               RowBox[{"Text", "[", 
                RowBox[{"\"\<\!\(\*FractionBox[\(7\), \(4\)]\)\>\"", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"7", "/", "4"}], ",", 
                   RowBox[{"-", "0.06"}]}], "}"}]}], "]"}], ",", " ", 
               RowBox[{"Text", "[", 
                RowBox[{"\"\<\!\(\*FractionBox[\(5\), \(4\)]\)\>\"", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"5", "/", "4"}], ",", 
                   RowBox[{"-", "0.06"}]}], "}"}]}], "]"}]}], "}"}], ",", 
             RowBox[{"{", "}"}]}], "]"}], ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"n", "\[GreaterEqual]", "4"}], ",", 
             RowBox[{"{", " ", 
              RowBox[{
               RowBox[{"Text", "[", 
                RowBox[{"\"\<\!\(\*FractionBox[\(11\), \(8\)]\)\>\"", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"11", "/", "8"}], ",", 
                   RowBox[{"-", "0.06"}]}], "}"}]}], "]"}], ",", " ", 
               RowBox[{"Text", "[", 
                RowBox[{"\"\<\!\(\*FractionBox[\(9\), \(8\)]\)\>\"", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"9", "/", "8"}], ",", 
                   RowBox[{"-", "0.06"}]}], "}"}]}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Text", "[", 
                RowBox[{"\"\<\!\(\*FractionBox[\(13\), \(8\)]\)\>\"", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"13", "/", "8"}], ",", 
                   RowBox[{"-", "0.06"}]}], "}"}]}], "]"}], ",", " ", 
               RowBox[{"Text", "[", 
                RowBox[{"\"\<\!\(\*FractionBox[\(15\), \(8\)]\)\>\"", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"15", "/", "8"}], ",", 
                   RowBox[{"-", "0.06"}]}], "}"}]}], "]"}]}], "}"}], ",", 
             RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                  "\"\< = 1 / \>\"", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}]}], "}"}], 
                "]"}], ",", "Medium", ",", "Blue"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"3", "/", "2"}], ",", ".8"}], "}"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"Dashed", ",", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"1", ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "1"}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
          "\[IndentingNewLine]", "}"}]}]}], "\[IndentingNewLine]", "]"}], ",",
       "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"n", "\[GreaterEqual]", "1"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"EdgeForm", "[", 
            RowBox[{"Directive", "[", 
             RowBox[{"Thick", ",", "Purple"}], "]"}], "]"}], ",", 
           RowBox[{"Opacity", "[", ".5", "]"}], ",", "Purple", ",", 
           RowBox[{"Rectangle", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"1", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", 
               RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}]}], "}"}], "]"}], ",",
         
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Extract", "[", 
       RowBox[{
        RowBox[{"Reap", "[", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"i", "=", "2"}], ",", 
           RowBox[{"i", "\[LessEqual]", 
            RowBox[{"Min", "[", 
             RowBox[{"n", ",", "5"}], "]"}]}], ",", 
           RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Sow", "[", 
            RowBox[{"Graphics", "[", 
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"EdgeForm", "[", "\[IndentingNewLine]", 
                RowBox[{"Directive", "[", 
                 RowBox[{"Thick", ",", 
                  RowBox[{"Darker", "[", 
                   RowBox[{"Hue", "[", 
                    RowBox[{"1", "/", 
                    RowBox[{"2", "^", 
                    RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}]}]}], "]"}], "]"}]}], 
                 "\[IndentingNewLine]", "]"}], "]"}], ",", 
               RowBox[{"Opacity", "[", ".6", "]"}], ",", 
               RowBox[{"Darker", "[", 
                RowBox[{"Hue", "[", 
                 RowBox[{"1", "/", 
                  RowBox[{"2", "^", 
                   RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}]}]}], "]"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Table", "[", 
                RowBox[{
                 RowBox[{"Rectangle", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1", "+", 
                    RowBox[{"h", "/", 
                    RowBox[{"2", "^", 
                    RowBox[{"(", 
                    RowBox[{"i", "-", "2"}], ")"}]}]}]}], ",", " ", 
                    RowBox[{"1", "/", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"h", "+", "1"}], ")"}], "/", 
                    RowBox[{"2", "^", 
                    RowBox[{"(", 
                    RowBox[{"i", "-", "2"}], ")"}]}]}]}], ")"}]}]}], "}"}], 
                   ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "h"}], "+", 
                    RowBox[{"2", "^", 
                    RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}]}], "+", "1"}], ")"}], "/", 
                    
                    RowBox[{"2", "^", 
                    RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"2", "^", 
                    RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}]}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "h"}], "+", 
                    RowBox[{"2", "^", 
                    RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}]}], "+", "1"}], ")"}]}]}], 
                    "}"}]}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"h", ",", "0", ",", 
                   RowBox[{
                    RowBox[{"2", "^", 
                    RowBox[{"(", 
                    RowBox[{"i", "-", "2"}], ")"}]}], "-", "1"}], ",", "1"}], 
                  "}"}]}], "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], 
            "]"}]}], "]"}], "]"}], ",", 
        RowBox[{"{", "2", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Extract", "[", 
       RowBox[{
        RowBox[{"Reap", "[", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"i", "=", "6"}], ",", 
           RowBox[{"i", "\[LessEqual]", "n"}], ",", 
           RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Sow", "[", 
            RowBox[{"Graphics", "[", 
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"EdgeForm", "[", "\[IndentingNewLine]", 
                RowBox[{"Directive", "[", 
                 RowBox[{"Thick", ",", 
                  RowBox[{"RGBColor", "[", 
                   RowBox[{
                    RowBox[{"1", "/", "i"}], ",", 
                    RowBox[{"1", "/", "i"}], ",", 
                    RowBox[{"1", "/", "i"}]}], "]"}]}], "\[IndentingNewLine]",
                  "]"}], "]"}], ",", 
               RowBox[{"Opacity", "[", ".5", "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{
                 RowBox[{"1", "/", "i"}], ",", 
                 RowBox[{"1", "/", "i"}], ",", 
                 RowBox[{"1", "/", "i"}]}], "]"}], ",", "\[IndentingNewLine]",
                
               RowBox[{"Table", "[", 
                RowBox[{
                 RowBox[{"Rectangle", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1", "+", 
                    RowBox[{"h", "/", 
                    RowBox[{"2", "^", 
                    RowBox[{"(", 
                    RowBox[{"i", "-", "2"}], ")"}]}]}]}], ",", " ", 
                    RowBox[{"1", "/", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"h", "+", "1"}], ")"}], "/", 
                    RowBox[{"2", "^", 
                    RowBox[{"(", 
                    RowBox[{"i", "-", "2"}], ")"}]}]}]}], ")"}]}]}], "}"}], 
                   ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "h"}], "+", 
                    RowBox[{"2", "^", 
                    RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}]}], "+", "1"}], ")"}], "/", 
                    
                    RowBox[{"2", "^", 
                    RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"2", "^", 
                    RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}]}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "h"}], "+", 
                    RowBox[{"2", "^", 
                    RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}]}], "+", "1"}], ")"}]}]}], 
                    "}"}]}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"h", ",", "0", ",", 
                   RowBox[{
                    RowBox[{"2", "^", 
                    RowBox[{"(", 
                    RowBox[{"i", "-", "2"}], ")"}]}], "-", "1"}], ",", "1"}], 
                  "}"}]}], "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], 
            "]"}]}], "]"}], "]"}], ",", 
        RowBox[{"{", "2", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"450", ",", "400"}], "}"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "5", ",", "\"\<n\>\""}], "}"}], ",", "0", ",", "6", 
     ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", " ", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", "n", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4363549527300096`*^9, 3.436355468181192*^9}, {
   3.436355516871205*^9, 3.436355591208096*^9}, {3.4363556329781585`*^9, 
   3.436355639928152*^9}, 3.4363556964293966`*^9, {3.43635573075876*^9, 
   3.436355792747896*^9}, {3.436355883748749*^9, 3.4363558891965823`*^9}, {
   3.436355956883912*^9, 3.4363559624819613`*^9}, {3.436356130964227*^9, 
   3.4363561351001744`*^9}, {3.436356179784427*^9, 3.4363561988318157`*^9}, {
   3.436356248473197*^9, 3.436356279878355*^9}, {3.4363563126354575`*^9, 
   3.436356396385885*^9}, {3.436356458254848*^9, 3.4363564633321486`*^9}, {
   3.436356546061107*^9, 3.436356707983941*^9}, {3.436356748021512*^9, 
   3.436356751947157*^9}, {3.4363567860662174`*^9, 3.436356842487347*^9}, {
   3.4363568999800177`*^9, 3.43635707769556*^9}, {3.436357117432699*^9, 
   3.436357207912803*^9}, {3.4363572447557807`*^9, 3.436357371968704*^9}, {
   3.436357404845979*^9, 3.4363574153811283`*^9}, {3.436357456670499*^9, 
   3.436357609380085*^9}, {3.4363576556866703`*^9, 3.4363576778685665`*^9}, {
   3.436357744594514*^9, 3.436357745525853*^9}, {3.4363578876001453`*^9, 
   3.4363581137953987`*^9}, {3.436358149036072*^9, 3.436358279293373*^9}, {
   3.436358318609907*^9, 3.4363584352676525`*^9}, {3.4363584726914654`*^9, 
   3.4363585125988493`*^9}, {3.4364164765231905`*^9, 3.4364169508352175`*^9}, 
   3.4364170174810495`*^9, {3.436417054394128*^9, 3.4364171134690733`*^9}, {
   3.436417165734227*^9, 3.4364171939347773`*^9}, {3.436417346694435*^9, 
   3.4364174642234335`*^9}, {3.4364174969404783`*^9, 
   3.4364175619539633`*^9}, {3.4364175979357023`*^9, 
   3.4364176131876335`*^9}, {3.4364176465556145`*^9, 
   3.4364177109582205`*^9}, {3.436417802419736*^9, 3.436417851570411*^9}, {
   3.4364178989685664`*^9, 3.43641803376239*^9}, {3.4364180653377934`*^9, 
   3.436418097073427*^9}, {3.436418142538803*^9, 3.4364181439007616`*^9}, {
   3.4364182187083297`*^9, 3.436418256572776*^9}, {3.4364182948678417`*^9, 
   3.4364183961534834`*^9}, {3.4364184458549504`*^9, 
   3.4364185377070274`*^9}, {3.436418625573373*^9, 3.4364186400141373`*^9}, {
   3.436418733738907*^9, 3.436418768538947*^9}, {3.436418816197477*^9, 
   3.4364188179700255`*^9}, {3.4364188548530607`*^9, 
   3.4364188557443423`*^9}, {3.4369322109477215`*^9, 
   3.4369323508989615`*^9}, {3.436932404095454*^9, 3.4369329703396735`*^9}, {
   3.436933092194893*^9, 3.4369331095398335`*^9}, {3.4369331401538544`*^9, 
   3.4369332729447985`*^9}, {3.436933324739275*^9, 3.4369334443612833`*^9}, {
   3.436933481835168*^9, 3.4369335612093024`*^9}, {3.436933596099472*^9, 
   3.43693364011276*^9}, {3.436933670356248*^9, 3.4369337144496512`*^9}, {
   3.436933785001099*^9, 3.436933856303627*^9}, {3.4369339298393664`*^9, 
   3.436933932362995*^9}, {3.4369339672631793`*^9, 3.4369339980374303`*^9}, {
   3.4369340554199424`*^9, 3.43693407849312*^9}, {3.4369341819218435`*^9, 
   3.4369342583116865`*^9}, {3.436934380707683*^9, 3.436934430399136*^9}, {
   3.4369344832150817`*^9, 3.4369344891636353`*^9}, {3.4369347975871267`*^9, 
   3.436934831906475*^9}, {3.4369348751786976`*^9, 3.4369349440777693`*^9}, {
   3.4369349801896963`*^9, 3.4369350064875107`*^9}, {3.436935087093416*^9, 
   3.4369352163893347`*^9}, {3.436935543329451*^9, 3.4369358502007103`*^9}, {
   3.4369359127206097`*^9, 3.4369362049908733`*^9}, {3.43693627424045*^9, 
   3.4369363427890177`*^9}, {3.436936387132781*^9, 3.4369366330764303`*^9}, {
   3.436936666794915*^9, 3.4369367415023394`*^9}, {3.436940708872501*^9, 
   3.43694086618871*^9}, {3.436940955637331*^9, 3.436941045366355*^9}, {
   3.436941082720067*^9, 3.436941129357128*^9}, {3.436941187821195*^9, 
   3.436941261166661*^9}, {3.436941301344434*^9, 3.4369413017450094`*^9}, {
   3.4369413559429426`*^9, 3.4369414863003874`*^9}, {3.4369415171046815`*^9, 
   3.4369415363323298`*^9}, {3.4369415762597427`*^9, 
   3.4369416569257345`*^9}, {3.4369446229406548`*^9, 
   3.4369448988173456`*^9}, {3.4369449347189693`*^9, 
   3.4369449354600353`*^9}, {3.4369456307397985`*^9, 
   3.4369456325323763`*^9}, {3.4369456635369587`*^9, 
   3.4369456753839936`*^9}, {3.43694571049448*^9, 3.4369458396401825`*^9}, {
   3.4369458758222094`*^9, 3.4369460599369535`*^9}, {3.4369461630852737`*^9, 
   3.436946327211275*^9}, {3.4369463803777246`*^9, 3.436946441866141*^9}, {
   3.4369465058581567`*^9, 3.4369465361216736`*^9}, {3.4369466100079165`*^9, 
   3.436946611690336*^9}, {3.4369466760228415`*^9, 3.4369468405494194`*^9}, {
   3.4369468874468546`*^9, 3.436946899804624*^9}, {3.436946952360195*^9, 
   3.436947102806526*^9}, {3.436947192926112*^9, 3.4369471930863423`*^9}, {
   3.4372302337336273`*^9, 3.437230236918206*^9}, {3.4372304259600353`*^9, 
   3.4372304777344832`*^9}, {3.4372305887040496`*^9, 
   3.4372307037294483`*^9}, {3.4372307362662334`*^9, 3.437230856649336*^9}, {
   3.4372309062005873`*^9, 3.4372309455571795`*^9}, {3.43723098226997*^9, 
   3.4372310190428467`*^9}, {3.437231086379672*^9, 3.4372311499711123`*^9}, {
   3.4372311813962994`*^9, 3.4372312176584415`*^9}, {3.437231272867829*^9, 
   3.437231327957043*^9}, {3.437296713796875*^9, 3.43729671475*^9}, {
   3.4375061295703435`*^9, 3.4375062583642216`*^9}, {3.437849291022046*^9, 
   3.437849296147112*^9}},
 CellTags->{
  "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
   "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
   "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
   "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
   "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
   "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", "Rectangle[{3/2", 
   "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", "8/15}]}]", "{{n", 
   "3", "n}", "1", "4", "Appearance->Labled}", "SaveDefinitions->True", 
   "TrackedSymbols-> {n}]"},
 CellID->55972278]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 5, "n"}, 0, 6, 1}}, Typeset`size$$ = {
    450., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`n$17747$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$17747$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`x1 = 0; $CellContext`x2 = 2; Show[
         Plot[
          $CellContext`f[$CellContext`x], {$CellContext`x, 0.9, 2}, 
          PlotRange -> {{0.95, 2.05}, {-0.15, 1}}, PlotStyle -> {
            Thickness[0.004], Blue}, Ticks -> {{1, 2}, {}}, 
          ImageSize -> {400, 300}, AspectRatio -> 0.8, Axes -> True, 
          AxesOrigin -> {0, 0}, Prolog -> {
            If[$CellContext`n$$ >= 2, 
             Text["\!\(\*FractionBox[\(3\), \(2\)]\)", {3/2, -0.06}], {}], 
            If[$CellContext`n$$ >= 3, {
              Text["\!\(\*FractionBox[\(7\), \(4\)]\)", {7/4, -0.06}], 
              Text["\!\(\*FractionBox[\(5\), \(4\)]\)", {5/4, -0.06}]}, {}], 
            If[$CellContext`n$$ >= 4, {
              Text["\!\(\*FractionBox[\(11\), \(8\)]\)", {11/8, -0.06}], 
              Text["\!\(\*FractionBox[\(9\), \(8\)]\)", {9/8, -0.06}], 
              Text["\!\(\*FractionBox[\(13\), \(8\)]\)", {13/8, -0.06}], 
              Text["\!\(\*FractionBox[\(15\), \(8\)]\)", {15/8, -0.06}]}, {}],
             
            Text[
             Style[
              Row[{
                Style["y", Italic], " = 1 / ", 
                Style["x", Italic]}], Medium, Blue], {3/2, 0.8}], {Dashed, 
             Line[{{1, 0}, {1, 1}}]}}], 
         If[$CellContext`n$$ >= 1, 
          Graphics[{
            EdgeForm[
             Directive[Thick, Purple]], 
            Opacity[0.5], Purple, 
            Rectangle[{1, 0}, {2, 1/2}]}], {}], 
         Extract[
          Reap[
           
           For[$CellContext`i = 2, $CellContext`i <= Min[$CellContext`n$$, 5],
             
            Increment[$CellContext`i], 
            Sow[
             Graphics[{
               EdgeForm[
                Directive[Thick, 
                 Darker[
                  Hue[1/2^($CellContext`i - 1)]]]], 
               Opacity[0.6], 
               Darker[
                Hue[1/2^($CellContext`i - 1)]], 
               Table[
                
                Rectangle[{
                 1 + $CellContext`h/2^($CellContext`i - 2), 1/(
                  1 + ($CellContext`h + 1)/2^($CellContext`i - 2))}, {(
                   2 $CellContext`h + 2^($CellContext`i - 1) + 1)/
                  2^($CellContext`i - 1), 2^($CellContext`i - 1)/(
                  2 $CellContext`h + 2^($CellContext`i - 1) + 
                  1)}], {$CellContext`h, 0, 2^($CellContext`i - 2) - 1, 
                 1}]}]]]], {2}], 
         Extract[
          Reap[
           For[$CellContext`i = 6, $CellContext`i <= $CellContext`n$$, 
            Increment[$CellContext`i], 
            Sow[
             Graphics[{
               EdgeForm[
                Directive[Thick, 
                 RGBColor[
                 1/$CellContext`i, 1/$CellContext`i, 1/$CellContext`i]]], 
               Opacity[0.5], 
               RGBColor[1/$CellContext`i, 1/$CellContext`i, 1/$CellContext`i],
                
               Table[
                
                Rectangle[{
                 1 + $CellContext`h/2^($CellContext`i - 2), 1/(
                  1 + ($CellContext`h + 1)/2^($CellContext`i - 2))}, {(
                   2 $CellContext`h + 2^($CellContext`i - 1) + 1)/
                  2^($CellContext`i - 1), 2^($CellContext`i - 1)/(
                  2 $CellContext`h + 2^($CellContext`i - 1) + 
                  1)}], {$CellContext`h, 0, 2^($CellContext`i - 2) - 1, 
                 1}]}]]]], {2}], ImageSize -> {450, 400}]), 
      "Specifications" :> {{{$CellContext`n$$, 5, "n"}, 0, 6, 1, Appearance -> 
         "Labeled"}}, "Options" :> {TrackedSymbols :> {$CellContext`n$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {241., 246.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]]] := 1/$CellContext`x, 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`i = 7}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`f[
            Pattern[$CellContext`x, 
             Blank[]]] := 1/$CellContext`x; Null}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->399620],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Sum of the Alternating Harmonic Series (I)",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SumOfTheAlternatingHarmonicSeriesI/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/SumOfTheAlternatingHarmonicSeriesI/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
SumOfTheAlternatingHarmonicSeriesI/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SumOfTheAlternatingHarmonicSeriesI/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/SumOfTheAlternatingHarmonicSeriesI/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Soledad M\.aa S\[AAcute]ez Mart\[IAcute]nez",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%\
E1ez+Mart%EDnez"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%E1ez+\
Mart%EDnez"],
 " and ",
 ButtonBox["F\[EAcute]lix Mart\[IAcute]nez de la Rosa",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%\
EDnez+de+la+Rosa"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%EDnez+\
de+la+Rosa"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
SumOfTheAlternatingHarmonicSeriesI"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Sum of the Alternating Harmonic Series (I) - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "tio->1/2"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "Prolog->{Text[Style[y=1/x"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "Medium"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "Italic"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "Blue]"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "{3/2"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 ".7}]}"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "]"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "Exxtract[Reap[For[i=1"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "i<=n"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "i++"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "Sow[Graphics[{Hue[i/5]"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "Rectangle[{1"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "x1}"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "{x2"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "{2}]"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "If[<=3"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "Graphics[{Rectangle[{3/2"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "1/2}"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "{7/4"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "4/7}]}]"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "{}]"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "If[n>=4"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "BgGraphics[{Rectangle[{5/5"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "2/3}"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "{11/8"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "8/11}]"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "Rectangle[{3/2"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "4/7}"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "{13/8"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "8/13}]"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "Rectangle[{7/4"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "{15/8"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "8/15}]}]"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "{{n"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "3"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "n}"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "1"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "4"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "Appearance->Labled}"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "SaveDefinitions->True"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]},
 "TrackedSymbols-> {n}]"->{
  Cell[998, 37, 19621, 416, 70, "Input",
   CellTags->{
    "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
     "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
     "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
     "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
     "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
     "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", 
     "Rectangle[{3/2", "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", 
     "8/15}]}]", "{{n", "3", "n}", "1", "4", "Appearance->Labled}", 
     "SaveDefinitions->True", "TrackedSymbols-> {n}]"},
   CellID->55972278]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"tio->1/2", 31283, 742},
 {"Prolog->{Text[Style[y=1/x", 32003, 755},
 {"Medium", 32704, 768},
 {"Italic", 33405, 781},
 {"Blue]", 34105, 794},
 {"{3/2", 34804, 807},
 {".7}]}", 35504, 820},
 {"]", 36200, 833},
 {"Exxtract[Reap[For[i=1", 36916, 846},
 {"i<=n", 37615, 859},
 {"i++", 38313, 872},
 {"Sow[Graphics[{Hue[i/5]", 39030, 885},
 {"Rectangle[{1", 39737, 898},
 {"x1}", 40435, 911},
 {"{x2", 41133, 924},
 {"1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", 41859, 937},
 {"{2}]", 42558, 950},
 {"If[<=3", 43259, 963},
 {"Graphics[{Rectangle[{3/2", 43978, 976},
 {"1/2}", 44677, 989},
 {"{7/4", 45376, 1002},
 {"4/7}]}]", 46078, 1015},
 {"{}]", 46776, 1028},
 {"If[n>=4", 47478, 1041},
 {"BgGraphics[{Rectangle[{5/5", 48199, 1054},
 {"2/3}", 48898, 1067},
 {"{11/8", 49598, 1080},
 {"8/11}]", 50299, 1093},
 {"Rectangle[{3/2", 51008, 1106},
 {"4/7}", 51707, 1119},
 {"{13/8", 52407, 1132},
 {"8/13}]", 53108, 1145},
 {"Rectangle[{7/4", 53817, 1158},
 {"{15/8", 54517, 1171},
 {"8/15}]}]", 55220, 1184},
 {"{{n", 55918, 1197},
 {"3", 56614, 1210},
 {"n}", 57311, 1223},
 {"1", 58007, 1236},
 {"4", 58703, 1249},
 {"Appearance->Labled}", 59417, 1262},
 {"SaveDefinitions->True", 60133, 1275},
 {"TrackedSymbols-> {n}]", 60849, 1288}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 234, 4, 70, "Section"],
Cell[827, 29, 168, 6, 70, "Input",
 InitializationCell->True,
 CellID->64328580],
Cell[998, 37, 19621, 416, 70, "Input",
 CellTags->{
  "tio->1/2", "Prolog->{Text[Style[y=1/x", "Medium", "Italic", "Blue]", 
   "{3/2", ".7}]}", "]", "Exxtract[Reap[For[i=1", "i<=n", "i++", 
   "Sow[Graphics[{Hue[i/5]", "Rectangle[{1", "x1}", "{x2", 
   "1/x2}]}]];x1=1/x2;x2=(1+x2)/2]]", "{2}]", "If[<=3", 
   "Graphics[{Rectangle[{3/2", "1/2}", "{7/4", "4/7}]}]", "{}]", "If[n>=4", 
   "BgGraphics[{Rectangle[{5/5", "2/3}", "{11/8", "8/11}]", "Rectangle[{3/2", 
   "4/7}", "{13/8", "8/13}]", "Rectangle[{7/4", "{15/8", "8/15}]}]", "{{n", 
   "3", "n}", "1", "4", "Appearance->Labled}", "SaveDefinitions->True", 
   "TrackedSymbols-> {n}]"},
 CellID->55972278]
}, Open  ]],
Cell[20634, 456, 5391, 119, 70, "Output",
 CellID->399620],
Cell[CellGroupData[{
Cell[26050, 579, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[26426, 590, 1003, 29, 70, "Text"],
Cell[27432, 621, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[27772, 632, 818, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[28615, 660, 847, 24, 70, "Text"],
Cell[29465, 686, 1210, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature MSzjN20PKZEabCD@wbz0PaWK *)
