(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     17613,        470]
NotebookOptionsPosition[     16463,        427]
NotebookOutlinePosition[     17089,        451]
CellTagsIndexPosition[     17046,        448]
WindowTitle->Summing an Arithmetic Progression - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Summing an Arithmetic Progression", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"imax", "=", 
     RowBox[{
      RowBox[{"Mod", "[", 
       RowBox[{
        RowBox[{"n", "-", "1"}], ",", "8"}], "]"}], "+", "1"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"jmax", "=", 
     RowBox[{"Ceiling", "[", 
      RowBox[{"n", "/", "8"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Text", "@", 
     RowBox[{"Style", "[", 
      RowBox[{
       RowBox[{"Grid", "[", " ", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<The arithmetic progression is:\>\"", ",", "Red"}], 
             "]"}], "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
           
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{"Grid", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"onerow", "=", 
                  RowBox[{"Riffle", "[", 
                   RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"a", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"i", "-", "1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"j", "-", "1"}], ")"}], "*", "8"}]}], ")"}], "*", 
                    "d"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "1", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"j", "*", "8"}], "<", "n"}], ",", "8", ",", 
                    "imax"}], "]"}]}], "}"}]}], "]"}], ",", "\"\<+\>\""}], 
                   "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"onerow", "=", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"j", "*", "8"}], "<", "n"}], ",", 
                    RowBox[{"Append", "[", 
                    RowBox[{"onerow", ",", "\"\<+\>\""}], "]"}], ",", 
                    "onerow"}], "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"n", "<", "8"}], ",", 
                   RowBox[{"Join", "[", 
                    RowBox[{"onerow", ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{"\"\<\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", 
                    RowBox[{"17", "-", 
                    RowBox[{"2", "n"}]}]}], "}"}]}], "]"}]}], "]"}], ",", 
                   "onerow"}], "]"}]}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"j", ",", "1", ",", "jmax"}], "}"}]}], 
               "\[IndentingNewLine]", "]"}], ",", 
              RowBox[{"ItemSize", "\[Rule]", "3"}]}], "\[IndentingNewLine]", 
             "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<\\nThe sum is  \>\"", " ", ",", "Red"}], "]"}], 
               ",", "\[IndentingNewLine]", 
               RowBox[{"ToString", "[", 
                FractionBox[
                 RowBox[{"n", 
                  RowBox[{"(", 
                   RowBox[{"a", "+", 
                    RowBox[{"(", 
                    RowBox[{"a", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "-", "1"}], ")"}], "d"}]}], ")"}]}], ")"}]}],
                  "2"], "]"}]}], "}"}], "]"}], "\[IndentingNewLine]", "}"}], 
           ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", "}"}]}], "\[IndentingNewLine]", "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Alignment", "\[Rule]", "Left"}]}], "]"}], ",", "12"}], 
      "]"}]}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "20", ",", "\"\<first number\>\""}], "}"}], ",", 
     RowBox[{"-", "50"}], ",", "150", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", "10", ",", "\"\<common difference\>\""}], "}"}], ",", 
     
     RowBox[{"-", "20"}], ",", "30", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "3", ",", "\"\<number of terms\>\""}], "}"}], ",", 
     "1", ",", "200", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"ContentSize", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"550", ",", "400"}], "}"}]}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4578019243046913`*^9, 3.4578019370830655`*^9}, {
   3.457803204295227*^9, 3.45780320525661*^9}, {3.457803237092387*^9, 
   3.45780332392725*^9}, {3.4578033728475933`*^9, 3.4578033738890915`*^9}, {
   3.4578034133257985`*^9, 3.457803413896619*^9}, 3.4578717423187075`*^9, {
   3.4578727705460644`*^9, 3.4578727727648287`*^9}, {3.4578728150287695`*^9, 
   3.4578728365113573`*^9}, {3.4578737792654724`*^9, 
   3.4578738262185974`*^9}, {3.4578738605310974`*^9, 
   3.4578738952810974`*^9}, {3.457974929668174*^9, 3.4579750306552715`*^9}, {
   3.457975083821588*^9, 3.4579751415743628`*^9}, 3.458332626053193*^9, {
   3.458332687240693*^9, 3.458332687881318*^9}, {3.458332735740693*^9, 
   3.458332781506318*^9}, 3.458332818881318*^9, {3.458332873428193*^9, 
   3.458332904990693*^9}, {3.4585004701015854`*^9, 3.45850048180471*^9}, {
   3.45850053561721*^9, 3.45850058292971*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 20, $CellContext`d$$ = 10, 
    DemonstrationsTools`n$$ = 3, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 20, "first number"}, -50, 150, 1}, {{
       Hold[$CellContext`d$$], 10, "common difference"}, -20, 30, 1}, {{
       Hold[DemonstrationsTools`n$$], 3, "number of terms"}, 1, 200, 1}}, 
    Typeset`size$$ = {696., {246., 252.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$101693$$ = 0, $CellContext`d$101694$$ = 0, 
    DemonstrationsTools`n$101695$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 20, $CellContext`d$$ = 10, 
        DemonstrationsTools`n$$ = 3}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$101693$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$101694$$, 0], 
        Hold[DemonstrationsTools`n$$, DemonstrationsTools`n$101695$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`imax = 
        Mod[DemonstrationsTools`n$$ - 1, 8] + 1; $CellContext`jmax = 
        Ceiling[DemonstrationsTools`n$$/8]; Text[
         Style[
          Grid[{{
             Style["The arithmetic progression is:", Red]}, {
             Grid[
              Table[$CellContext`onerow = Riffle[
                  
                  Table[$CellContext`a$$ + ($CellContext`i - 
                    1 + ($CellContext`j - 1) 
                    8) $CellContext`d$$, {$CellContext`i, 1, 
                    
                    If[$CellContext`j 8 < DemonstrationsTools`n$$, 
                    8, $CellContext`imax]}], "+"]; $CellContext`onerow = 
                If[$CellContext`j 8 < DemonstrationsTools`n$$, 
                  Append[$CellContext`onerow, "+"], $CellContext`onerow]; 
               If[DemonstrationsTools`n$$ < 8, 
                 Join[$CellContext`onerow, 
                  Table[
                  "", {$CellContext`k, 1, 17 - 2 
                    DemonstrationsTools`n$$}]], $CellContext`onerow], \
{$CellContext`j, 1, $CellContext`jmax}], ItemSize -> 3]}, {
             Row[{
               Style["\nThe sum is  ", Red], 
               ToString[
               DemonstrationsTools`n$$ ($CellContext`a$$ + ($CellContext`a$$ + \
(DemonstrationsTools`n$$ - 1) $CellContext`d$$))/
                2]}]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}, Alignment -> Left], 12]]), 
      "Specifications" :> {{{$CellContext`a$$, 20, "first number"}, -50, 150, 
         1, Appearance -> 
         "Labeled"}, {{$CellContext`d$$, 10, "common difference"}, -20, 30, 1,
          Appearance -> "Labeled"}, {{
         DemonstrationsTools`n$$, 3, "number of terms"}, 1, 200, 1, 
         Appearance -> "Labeled"}}, 
      "Options" :> {ContentSize -> {550, 400}, TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{566., {258., 263.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->239136730],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Summing an Arithmetic Progression",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SummingAnArithmeticProgression/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/SummingAnArithmeticProgression/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/SummingAnArithmeticProgression/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SummingAnArithmeticProgression/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/SummingAnArithmeticProgression/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Michael Rach",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Michael+Rach"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Michael+Rach"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "Additional contributions by: ",
 ButtonBox["Steven Broad",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Steven+Broad"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Steven+Broad"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->478816285]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
SummingAnArithmeticProgression"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{746, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Summing an Arithmetic Progression - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[623, 23, 225, 4, 70, "Section"],
Cell[851, 29, 7049, 163, 70, "Input"]
}, Open  ]],
Cell[7915, 195, 3781, 75, 70, "Output",
 CellID->239136730],
Cell[CellGroupData[{
Cell[11721, 274, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[12097, 285, 978, 28, 70, "Text"],
Cell[13078, 315, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[13440, 328, 433, 14, 70, "Text"],
Cell[13876, 344, 466, 15, 70, "Text",
 CellID->478816285]
}, Open  ]],
Cell[CellGroupData[{
Cell[14379, 364, 847, 24, 70, "Text"],
Cell[15229, 390, 1206, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature kSNJnzt1qqIqoD0LWOa5AzVk *)
