(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     13784,        394]
NotebookOptionsPosition[     12668,        353]
NotebookOutlinePosition[     13298,        377]
CellTagsIndexPosition[     13255,        374]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Supremum of an Increasing Bounded Sequence", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "[", "n_", "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"n", "+", "1"}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{"n", "+", "2"}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.43179226784375*^9, 3.4317922936875*^9}},
 CellID->430323375],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{"0", ",", " ", "0.666667", ",", " ", "0"}], "]"}], ",", 
       RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "-", "\[Epsilon]"}], ",", "0"}], "}"}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\<1-\[Epsilon]\>\"", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1", "-", "\[Epsilon]"}], ",", 
           RowBox[{"0.04", " ", "\[Delta]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", " ", "0", ",", " ", "0"}], "]"}], ",", 
       RowBox[{"PointSize", "[", "0.01", "]"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"a", "[", "n", "]"}], ">", 
              RowBox[{"1", "-", "\[Epsilon]"}]}], ",", 
             RowBox[{"RGBColor", "[", 
              RowBox[{"1", ",", " ", "0", ",", " ", "1"}], "]"}], ",", 
             RowBox[{"RGBColor", "[", 
              RowBox[{"1", ",", " ", "0", ",", " ", "0"}], "]"}]}], "]"}], 
           ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"a", "[", "n", "]"}], ",", "0"}], "}"}], "]"}]}], "}"}],
          ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "1", ",", "m"}], "}"}]}], "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", " ", "0", ",", " ", "0"}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\<\!\(\*SubscriptBox[\(a\), \(m\)]\)\>\"", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "[", "m", "]"}], ",", 
           RowBox[{
            RowBox[{"-", "0.04"}], " ", "\[Delta]"}]}], "}"}]}], "]"}]}], 
      "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "-", " ", "\[Delta]"}], ",", 
          RowBox[{"1.", "+", " ", 
           RowBox[{"\[Delta]", "/", "5"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", ".1"}], " ", "\[Delta]"}], " ", ",", 
          RowBox[{".1", " ", "\[Delta]"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Axes", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"True", ",", "False"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"450", ",", "150"}], "}"}]}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "20"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"m", ",", "1", ",", "200", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Delta]", ",", "1", ",", "\"\<zoom\>\""}], "}"}], ",", "0.01",
      ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"\[Epsilon]", ",", "0", ",", "0.1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.43196649953125*^9, 3.431966503421875*^9}, {
   3.4319666218125*^9, 3.431966631171875*^9}, {3.4319685418924723`*^9, 
   3.43196854957024*^9}, {3.432056163450182*^9, 3.432056192254062*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`m$$ = 1, $CellContext`\[Delta]$$ = 
    1, $CellContext`\[Epsilon]$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`m$$], 1, 200, 1}, {{
       Hold[$CellContext`\[Delta]$$], 1, "zoom"}, 0.01, 1}, {
      Hold[$CellContext`\[Epsilon]$$], 0, 0.1}}, Typeset`size$$ = {
    450., {73., 77.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`m$743$$ = 
    0, $CellContext`\[Delta]$744$$ = 0, $CellContext`\[Epsilon]$745$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`m$$ = 1, $CellContext`\[Delta]$$ = 
        1, $CellContext`\[Epsilon]$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`m$$, $CellContext`m$743$$, 0], 
        Hold[$CellContext`\[Delta]$$, $CellContext`\[Delta]$744$$, 0], 
        Hold[$CellContext`\[Epsilon]$$, $CellContext`\[Epsilon]$745$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{
         RGBColor[0, 0.666667, 0], 
         PointSize[0.02], 
         Point[{1 - $CellContext`\[Epsilon]$$, 0}], 
         Text[
         "1-\[Epsilon]", {
          1 - $CellContext`\[Epsilon]$$, 0.04 $CellContext`\[Delta]$$}], 
         RGBColor[1, 0, 0], 
         PointSize[0.01], 
         Table[{
           
           If[$CellContext`a[$CellContext`n] > 1 - $CellContext`\[Epsilon]$$, 
            
            RGBColor[1, 0, 1], 
            RGBColor[1, 0, 0]], 
           Point[{
             $CellContext`a[$CellContext`n], 0}]}, {$CellContext`n, 
           1, $CellContext`m$$}], 
         RGBColor[1, 0, 0], 
         Text["\!\(\*SubscriptBox[\(a\), \(m\)]\)", {
           $CellContext`a[$CellContext`m$$], (-0.04) \
$CellContext`\[Delta]$$}]}, 
        PlotRange -> {{
          1 - $CellContext`\[Delta]$$, 
           1. + $CellContext`\[Delta]$$/5}, {(-0.1) $CellContext`\[Delta]$$, 
           0.1 $CellContext`\[Delta]$$}}, Axes -> {True, False}, 
        ImageSize -> {450, 150}, ImagePadding -> 20], 
      "Specifications" :> {{$CellContext`m$$, 1, 200, 1, Appearance -> 
         "Labeled"}, {{$CellContext`\[Delta]$$, 1, "zoom"}, 0.01, 1, 
         Appearance -> "Labeled"}, {$CellContext`\[Epsilon]$$, 0, 0.1, 
         Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {143., 148.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`a[
          Pattern[$CellContext`n, 
           Blank[]]] := ($CellContext`n + 1)/($CellContext`n + 2), 
        Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`a[
           Pattern[$CellContext`n, 
            Blank[]]] := ($CellContext`n + 1)/($CellContext`n + 2)}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->660477920],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Supremum of an Increasing Bounded Sequence",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
SupremumOfAnIncreasingBoundedSequence/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/SupremumOfAnIncreasingBoundedSequence/"]\
,
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
SupremumOfAnIncreasingBoundedSequence/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
SupremumOfAnIncreasingBoundedSequence/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/SupremumOfAnIncreasingBoundedSequence/"]\

}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
SupremumOfAnIncreasingBoundedSequence"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Supremum of an Increasing Bounded Sequence - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 234, 4, 70, "Section"],
Cell[827, 29, 283, 9, 70, "Input",
 CellID->430323375],
Cell[1113, 40, 3662, 94, 70, "Input"]
}, Open  ]],
Cell[4790, 137, 3578, 76, 70, "Output",
 CellID->660477920],
Cell[CellGroupData[{
Cell[8393, 217, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[8769, 228, 1022, 31, 70, "Text"],
Cell[9794, 261, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10134, 272, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[10595, 290, 829, 24, 70, "Text"],
Cell[11427, 316, 1213, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature yTz7pz3GU06ZjC0WiF8jt6Fh *)
