(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     17825,        569]
NotebookOptionsPosition[     16440,        519]
NotebookOutlinePosition[     17096,        544]
CellTagsIndexPosition[     17053,        541]
WindowTitle->The Natural Logarithm is the Limit of the Integrals of Powers - \
Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
The Natural Logarithm is the Limit of the Integrals of Powers\
\>", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", "=", "x"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"a", "\[Equal]", "0"}], ",", 
        RowBox[{"a", "=", ".01"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Log", "[", "x", "]"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "^", "a"}], "/", "a"}], "-", 
           RowBox[{"1", "/", "a"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", "4"}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", "4"}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"0", ",", 
             RowBox[{"1", "/", "Pi"}], ",", 
             RowBox[{"1", "/", "E"}]}], "]"}], ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{
             RowBox[{"1", "/", "E"}], ",", 
             RowBox[{"1", "/", "Pi"}], ",", "0"}], "]"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PlotLabel", "\[Rule]", 
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"a", "\[GreaterEqual]", "0"}], ",", 
              RowBox[{"TraditionalForm", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"x", "^", "a"}], "/", "a"}], "-", 
                RowBox[{"1", "/", "a"}]}], "]"}], ",", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"\"\<-\>\"", ",", 
                 RowBox[{"1", "/", 
                  RowBox[{"Abs", "[", "a", "]"}]}], ",", 
                 RowBox[{"Superscript", "[", 
                  RowBox[{"x", ",", "a"}], "]"}], ",", "\"\<+ \>\"", ",", 
                 RowBox[{"1.", "/", 
                  RowBox[{"Abs", "[", "a", "]"}]}]}], "}"}], "]"}]}], "]"}], 
            ",", "\"\<\\nand\\n\>\"", ",", 
            RowBox[{"TraditionalForm", "[", 
             RowBox[{"Log", "[", "x", "]"}], "]"}]}], "}"}], "]"}]}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"400", ",", "450"}], "}"}]}]}], "]"}]}]}], 
    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "1", ",", "\"\<power a\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4139341174786253`*^9, {3.41393490796875*^9, 
   3.41393500203125*^9}, {3.413935153203125*^9, 3.413935154*^9}, {
   3.4141455645276327`*^9, 3.4141455738713827`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 1, "power a"}, -10, 10, 0.01}}, 
    Typeset`size$$ = {400., {223., 227.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$455381$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`a$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$455381$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`x$ = $CellContext`x}, 
        If[$CellContext`a$$ == 0, $CellContext`a$$ = 0.01]; Plot[{
           
           Log[$CellContext`x$], \
$CellContext`x$^$CellContext`a$$/$CellContext`a$$ - 
           1/$CellContext`a$$}, {$CellContext`x$, 0, 4}, PlotRange -> 4, 
          AspectRatio -> 1, PlotStyle -> {
            RGBColor[0, 1/Pi, 1/E], 
            RGBColor[1/E, 1/Pi, 0]}, PlotLabel -> Row[{
             If[$CellContext`a$$ >= 0, 
              
              TraditionalForm[$CellContext`x$^$CellContext`a$$/$CellContext`a$\
$ - 1/$CellContext`a$$], 
              Row[{"-", 1/Abs[$CellContext`a$$], 
                Superscript[$CellContext`x$, $CellContext`a$$], "+ ", 1./
                Abs[$CellContext`a$$]}]], "\nand\n", 
             TraditionalForm[
              Log[$CellContext`x$]]}], ImageSize -> {400, 450}]], 
      "Specifications" :> {{{$CellContext`a$$, 1, "power a"}, -10, 10, 0.01, 
         Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{445., {267., 272.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->43485780],

Cell[CellGroupData[{

Cell["Caption", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[TextData[{
 "Assume that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "\[NotEqual]", "0"}], TraditionalForm]], "InlineMath"],
 " and that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", ">", "0"}], TraditionalForm]], "InlineMath"],
 ". "
}], "Text"]
}, Close]]
}, Open  ]],

Cell[TextData[{
 "The integral of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", 
    RowBox[{"a", "-", "1"}]], TraditionalForm]], "InlineMath"],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox[
     SuperscriptBox["x", "a"], "a"], "+", "C"}], TraditionalForm]], 
  "InlineMath"],
 ", where ",
 Cell[BoxData[
  FormBox["C", TraditionalForm]], "InlineMath"],
 " is an arbitrary constant. The integral of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", 
     RowBox[{"-", "1"}]], "=", 
    FractionBox["1", "x"]}], TraditionalForm]], "InlineMath"],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"log", "(", "x", ")"}], "+", 
    RowBox[{"C", "'"}]}], TraditionalForm]], "InlineMath"],
 ", where again ",
 Cell[BoxData[
  FormBox[
   RowBox[{"C", "'"}], TraditionalForm]], "InlineMath"],
 " is an arbitrary constant and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"log", "(", "x", ")"}], TraditionalForm]], "InlineMath"],
 " is the natural logarithm of ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 ", often written as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"ln", "(", "x", ")"}], TraditionalForm]], "InlineMath"],
 ". "
}], "Text"],

Cell[TextData[{
 "When ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]], "InlineMath"],
 " is close to zero, ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", 
    RowBox[{"a", "-", "1"}]], TraditionalForm]], "InlineMath"],
 " and ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", 
    RowBox[{"-", "1"}]], TraditionalForm]], "InlineMath"],
 " are close, so there must be some connection between their integrals!"
}], "Text"],

Cell[TextData[{
 "Choose ",
 Cell[BoxData[
  FormBox[
   RowBox[{"C", "=", 
    RowBox[{"-", 
     FractionBox["1", "a"]}]}], TraditionalForm]], "InlineMath"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"C", "'"}], "=", "0"}], TraditionalForm]], "InlineMath"],
 " so that the two integrals are both zero at ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "=", "1"}], TraditionalForm]], "InlineMath"],
 ". The integrals are then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox[
     SuperscriptBox["x", "a"], "a"], "-", 
    FractionBox["1", "a"]}], TraditionalForm]], "InlineMath"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"log", "(", "x", ")"}], TraditionalForm]], "InlineMath"],
 ". For ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]], "InlineMath"],
 " close to zero these functions are very close; in symbols, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["lim", 
      RowBox[{"a", "\[Rule]", "0"}]], 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x", "a"], "a"], "-", 
       FractionBox["1", "a"]}], ")"}]}], "=", 
    RowBox[{"log", "(", "x", ")"}]}], TraditionalForm]], "InlineMath"],
 ". "
}], "Text"],

Cell[TextData[{
 "Using the difference quotient for the derivative of the base-",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 " exponential function ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "b", ")"}], " ", "=", 
    SuperscriptBox["x", "b"]}], TraditionalForm]], "InlineMath"],
 " with respect to ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]], "InlineMath"],
 " (not ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 ") and using ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]], "InlineMath"],
 " instead of the more usual ",
 Cell[BoxData[
  FormBox["h", TraditionalForm]], "InlineMath"],
 " gives ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"f", "'"}], 
     RowBox[{"(", "b", ")"}]}], "=", 
    RowBox[{
     RowBox[{
      SubscriptBox["lim", 
       RowBox[{"a", "\[Rule]", "0"}]], 
      FractionBox[
       RowBox[{
        RowBox[{"f", "(", 
         RowBox[{"b", "+", "a"}], ")"}], "-", 
        RowBox[{"f", "(", "b", ")"}]}], "a"]}], "=", 
     RowBox[{
      RowBox[{
       SubscriptBox["lim", 
        RowBox[{"a", "\[Rule]", "0"}]], 
       FractionBox[
        RowBox[{
         SuperscriptBox["x", 
          RowBox[{"b", "+", "a"}]], "-", 
         SuperscriptBox["x", "b"]}], "a"]}], "=", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x", "b"], 
        RowBox[{
         SubscriptBox["lim", 
          RowBox[{"a", "\[Rule]", "0"}]], 
         FractionBox[
          RowBox[{
           SuperscriptBox["x", "a"], "-", "1"}], "a"]}]}], "=", 
       RowBox[{
        SuperscriptBox["x", "b"], 
        RowBox[{"log", "(", "x", ")"}]}]}]}]}]}], TraditionalForm]], 
  "InlineMath"],
 ". This is more usually written with ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 " as the variable: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     FractionBox["d", 
      RowBox[{"d", "\[VeryThinSpace]", "x"}]], 
     SuperscriptBox["u", "x"]}], "=", 
    RowBox[{
     SuperscriptBox["u", "x"], 
     RowBox[{"log", "(", "u", ")"}]}]}], TraditionalForm]], "InlineMath"],
 ", with the special case ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     FractionBox["d", 
      RowBox[{"d", "\[VeryThinSpace]", "x"}]], 
     SuperscriptBox["e", "x"]}], "=", 
    RowBox[{
     SuperscriptBox["e", "x"], "."}]}], TraditionalForm]], "InlineMath"]
}], "Text"],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["The Natural Logarithm is the Limit of the Integrals of Powers",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
TheNaturalLogarithmIsTheLimitOfTheIntegralsOfPowers/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
TheNaturalLogarithmIsTheLimitOfTheIntegralsOfPowers/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
TheNaturalLogarithmIsTheLimitOfTheIntegralsOfPowers/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
TheNaturalLogarithmIsTheLimitOfTheIntegralsOfPowers/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
TheNaturalLogarithmIsTheLimitOfTheIntegralsOfPowers/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["George Beck",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=George+Beck"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TheNaturalLogarithmIsTheLimitOfTheIntegralsOfPowers"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"The Natural Logarithm is the Limit of the Integrals of Powers - \
Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[653, 24, 261, 6, 70, "Section"],
Cell[917, 32, 3002, 75, 70, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3956, 112, 2413, 51, 70, "Output",
 CellID->43485780],
Cell[CellGroupData[{
Cell[6394, 167, 199, 4, 70, "Section"],
Cell[6596, 173, 251, 10, 70, "Text"]
}, Close]]
}, Open  ]],
Cell[6873, 187, 1198, 45, 70, "Text"],
Cell[8074, 234, 431, 15, 70, "Text"],
Cell[8508, 251, 1202, 44, 70, "Text"],
Cell[9713, 297, 2398, 84, 70, "Text"],
Cell[CellGroupData[{
Cell[12136, 385, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[12512, 396, 1111, 31, 70, "Text"],
Cell[13626, 429, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13966, 440, 344, 12, 70, "Text"],
Cell[CellGroupData[{
Cell[14335, 456, 847, 24, 70, "Text"],
Cell[15185, 482, 1227, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature LS4Z7SYtqzLoCCD#FyTHnEiS *)
