(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     28454,        746]
NotebookOptionsPosition[     27345,        705]
NotebookOutlinePosition[     27961,        729]
CellTagsIndexPosition[     27918,        726]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Three Sequences with Limit e", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"1", "/", "n"}]}], ")"}], "^", "n"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"1", "/", "n"}]}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"-", "n"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", "0", "]"}], ":=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"c", "[", "n", "]"}], "=", 
    RowBox[{
     RowBox[{"c", "[", 
      RowBox[{"n", "-", "1"}], "]"}], "+", 
     RowBox[{"1.", "/", 
      RowBox[{"n", "!"}]}]}]}]}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.43179226784375*^9, 3.4317922936875*^9}, {
  3.43209783096875*^9, 3.43209787459375*^9}, {3.4320979114375*^9, 
  3.432097940609375*^9}, {3.432098303109375*^9, 3.432098309203125*^9}, {
  3.433046747015625*^9, 3.433046825640625*^9}, {3.43304755728125*^9, 
  3.433047650359375*^9}, {3.4330476964375*^9, 3.4330477184375*^9}},
 CellID->835259272],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"GraphicsColumn", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"0", ",", " ", 
             RowBox[{"2", "/", "3"}], ",", " ", "0"}], "]"}], ",", 
           RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"E", "-", "\[Epsilon]"}], ",", "0"}], "}"}], "]"}], ",",
            
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<e\>\"", ",", "16", ",", "Italic"}], "]"}], ",", 
                "\"\< - \>\"", ",", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<\[Epsilon]\>\"", ",", "16", ",", "Italic"}], 
                 "]"}]}], "}"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"E", "-", "\[Epsilon]"}], ",", 
               RowBox[{"0.03", " ", "\[Delta]"}]}], "}"}]}], "]"}], ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{
             RowBox[{"2", "/", "3"}], ",", " ", "0", ",", " ", "0"}], "]"}], 
           ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"E", ",", "0"}], "}"}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<e\>\"", ",", "16", ",", "Italic"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"E", ",", 
               RowBox[{"0.02", " ", "\[Delta]"}]}], "}"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"0", ",", " ", 
             RowBox[{"2", "/", "3"}], ",", " ", "0"}], "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"E", "+", "\[Epsilon]"}], ",", "0"}], "}"}], "]"}], ",",
            
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<e\>\"", ",", "Italic", ",", "16"}], "]"}], ",", 
                "\"\< + \>\"", ",", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<\[Epsilon]\>\"", ",", "Italic", ",", "16"}], 
                 "]"}]}], "}"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"E", "+", "\[Epsilon]"}], ",", 
               RowBox[{"0.03", " ", "\[Delta]"}]}], "}"}]}], "]"}], ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"1", ",", " ", "0", ",", " ", "0"}], "]"}], ",", 
           RowBox[{"PointSize", "[", "0.01", "]"}], ",", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"a", "[", "n", "]"}], ">", 
                  RowBox[{"E", "-", "\[Epsilon]"}]}], ",", 
                 RowBox[{"RGBColor", "[", 
                  RowBox[{"1", ",", " ", "0", ",", " ", "1"}], "]"}], ",", 
                 RowBox[{"RGBColor", "[", 
                  RowBox[{"1", ",", " ", "0", ",", " ", "0"}], "]"}]}], "]"}],
                ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"a", "[", "n", "]"}], ",", "0"}], "}"}], "]"}]}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"n", ",", "1", ",", "m"}], "}"}]}], "]"}], ",", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"b", "[", "n", "]"}], "<", 
                  RowBox[{"E", "+", "\[Epsilon]"}]}], ",", 
                 RowBox[{"RGBColor", "[", 
                  RowBox[{"1", ",", " ", "0", ",", " ", "1"}], "]"}], ",", 
                 RowBox[{"RGBColor", "[", 
                  RowBox[{"1", ",", " ", "0", ",", " ", "0"}], "]"}]}], "]"}],
                ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"b", "[", "n", "]"}], ",", "0"}], "}"}], "]"}]}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"n", ",", "2", ",", "m"}], "}"}]}], "]"}], ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"1", ",", " ", "0", ",", " ", "0"}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<\!\(\*SubscriptBox[\(a\), \(m\)]\)\>\"", ",", "Italic", 
               ",", "16"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"a", "[", "m", "]"}], ",", 
               RowBox[{
                RowBox[{"-", "0.03"}], " ", "\[Delta]"}]}], "}"}]}], "]"}], 
           ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<\!\(\*SubscriptBox[\(b\), \(m\)]\)\>\"", ",", "Italic", 
               ",", "16"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"b", "[", "m", "]"}], ",", 
               RowBox[{
                RowBox[{"-", "0.03"}], " ", "\[Delta]"}]}], "}"}]}], "]"}]}], 
          "}"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"E", "-", 
               RowBox[{"\[Delta]", "/", "5"}]}], ",", 
              RowBox[{"E", "+", " ", 
               RowBox[{"\[Delta]", "/", "5"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", ".05"}], "\[Delta]"}], " ", ",", 
              RowBox[{".05", "\[Delta]"}]}], "}"}]}], "}"}]}], ",", 
         RowBox[{"Axes", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"True", ",", "False"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"0", ",", " ", 
             RowBox[{"2", "/", "3"}], ",", " ", "0"}], "]"}], ",", 
           RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"E", "-", "\[Epsilon]"}], ",", "0"}], "}"}], "]"}], ",",
            
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<e\>\"", ",", "Italic", ",", "16"}], "]"}], ",", 
                "\"\< - \>\"", ",", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<\[Epsilon]\>\"", ",", "Italic", ",", "16"}], 
                 "]"}]}], "}"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"E", "-", "\[Epsilon]"}], ",", 
               RowBox[{"0.03", " ", "\[Delta]"}]}], "}"}]}], "]"}], ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{
             RowBox[{"2", "/", "3"}], ",", " ", "0", ",", " ", "0"}], "]"}], 
           ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<e\>\"", ",", "Italic", ",", "16"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"E", ",", 
               RowBox[{"0.02", " ", "\[Delta]"}]}], "}"}]}], "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"E", ",", "0"}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"0", ",", " ", 
             RowBox[{"2", "/", "3"}], ",", " ", "0"}], "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"E", "-", "\[Epsilon]"}], ",", "0"}], "}"}], "]"}], ",",
            
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"E", "+", "\[Epsilon]"}], ",", "0"}], "}"}], "]"}], ",",
            
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<e\>\"", ",", "Italic", ",", "16"}], "]"}], ",", 
                "\"\< + \>\"", ",", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<\[Epsilon]\>\"", ",", "Italic", ",", "16"}], 
                 "]"}]}], "}"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"E", "+", "\[Epsilon]"}], ",", 
               RowBox[{"0.03", " ", "\[Delta]"}]}], "}"}]}], "]"}], ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"1", ",", " ", "0", ",", " ", "0"}], "]"}], ",", 
           RowBox[{"PointSize", "[", "0.01", "]"}], ",", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"c", "[", "n", "]"}], ">", 
                  RowBox[{"E", "-", "\[Epsilon]"}]}], ",", 
                 RowBox[{"RGBColor", "[", 
                  RowBox[{"1", ",", " ", "0", ",", " ", "1"}], "]"}], ",", 
                 RowBox[{"RGBColor", "[", 
                  RowBox[{"1", ",", " ", "0", ",", " ", "0"}], "]"}]}], "]"}],
                ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"c", "[", "n", "]"}], ",", "0"}], "}"}], "]"}]}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"n", ",", "2", ",", "k"}], "}"}]}], "]"}], ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"1", ",", " ", "0", ",", " ", "0"}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<\!\(\*SubscriptBox[\(c\), \(k\)]\)\>\"", ",", "Italic", 
               ",", "16"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"c", "[", "k", "]"}], ",", 
               RowBox[{
                RowBox[{"-", "0.03"}], " ", "\[Delta]"}]}], "}"}]}], "]"}]}], 
          "}"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"E", "-", 
               RowBox[{"\[Delta]", "/", "5"}]}], ",", 
              RowBox[{"E", "+", " ", 
               RowBox[{"\[Delta]", "/", "5"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", ".05"}], " ", "\[Delta]"}], " ", ",", 
              RowBox[{".05", "\[Delta]"}]}], "}"}]}], "}"}]}], ",", 
         RowBox[{"Axes", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"True", ",", "False"}], "}"}]}]}], "]"}]}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Epsilon]", ",", "0.1", ",", "\"\<choose \[Epsilon] > 0\>\""}], "}"}],
      ",", "0", ",", "0.2", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "2", ",", "\"\<find m\>\""}], "}"}], ",", "2", ",", 
     "200", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k", ",", "2", ",", "\"\<find k\>\""}], "}"}], ",", "2", ",", 
     "10", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Delta]", ",", "1", ",", "\"\<zoom\>\""}], "}"}], ",", "0.01",
      ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.433051296015625*^9, 3.4330512995*^9}, {
   3.4331593856760035`*^9, 3.4331593920996456`*^9}, {3.4331781551651907`*^9, 
   3.4331783050733595`*^9}, {3.4331783711679554`*^9, 
   3.4331784184185605`*^9}, {3.433178452997128*^9, 3.4331784887944613`*^9}, {
   3.4331785771549673`*^9, 3.4331786268118525`*^9}, {3.433198482143021*^9, 
   3.4331985951216125`*^9}, {3.4331990963718424`*^9, 3.4331991488613377`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`k$$ = 5, $CellContext`m$$ = 
    95, $CellContext`\[Delta]$$ = 0.599, $CellContext`\[Epsilon]$$ = 0.0565, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Epsilon]$$], 0.0565, "choose \[Epsilon] > 0"}, 0, 
      0.2}, {{
       Hold[$CellContext`m$$], 95, "find m"}, 2, 200, 1}, {{
       Hold[$CellContext`k$$], 5, "find k"}, 2, 10, 1}, {{
       Hold[$CellContext`\[Delta]$$], 0.599, "zoom"}, 0.01, 1}}, 
    Typeset`size$$ = {500., {117., 122.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`\[Epsilon]$1472$$ = 0, $CellContext`m$1473$$ = 
    0, $CellContext`k$1474$$ = 0, $CellContext`\[Delta]$1475$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`k$$ = 5, $CellContext`m$$ = 
        95, $CellContext`\[Delta]$$ = 0.599, $CellContext`\[Epsilon]$$ = 
        0.0565}, "ControllerVariables" :> {
        Hold[$CellContext`\[Epsilon]$$, $CellContext`\[Epsilon]$1472$$, 0], 
        Hold[$CellContext`m$$, $CellContext`m$1473$$, 0], 
        Hold[$CellContext`k$$, $CellContext`k$1474$$, 0], 
        Hold[$CellContext`\[Delta]$$, $CellContext`\[Delta]$1475$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> GraphicsColumn[{
         Graphics[{
           RGBColor[0, 2/3, 0], 
           PointSize[0.02], 
           Point[{E - $CellContext`\[Epsilon]$$, 0}], 
           Text[
            Row[{
              Style["e", 16, Italic], " - ", 
              Style["\[Epsilon]", 16, Italic]}], {
            E - $CellContext`\[Epsilon]$$, 0.03 $CellContext`\[Delta]$$}], 
           RGBColor[2/3, 0, 0], 
           Point[{E, 0}], 
           Text[
            Style["e", 16, Italic], {E, 0.02 $CellContext`\[Delta]$$}], 
           RGBColor[0, 2/3, 0], 
           Point[{E + $CellContext`\[Epsilon]$$, 0}], 
           Text[
            Row[{
              Style["e", Italic, 16], " + ", 
              Style["\[Epsilon]", Italic, 16]}], {
            E + $CellContext`\[Epsilon]$$, 0.03 $CellContext`\[Delta]$$}], 
           RGBColor[1, 0, 0], 
           PointSize[0.01], 
           Table[{
             
             If[$CellContext`a[$CellContext`n] > 
              E - $CellContext`\[Epsilon]$$, 
              RGBColor[1, 0, 1], 
              RGBColor[1, 0, 0]], 
             Point[{
               $CellContext`a[$CellContext`n], 0}]}, {$CellContext`n, 
             1, $CellContext`m$$}], 
           Table[{
             
             If[$CellContext`b[$CellContext`n] < 
              E + $CellContext`\[Epsilon]$$, 
              RGBColor[1, 0, 1], 
              RGBColor[1, 0, 0]], 
             Point[{
               $CellContext`b[$CellContext`n], 0}]}, {$CellContext`n, 
             2, $CellContext`m$$}], 
           RGBColor[1, 0, 0], 
           Text[
            Style["\!\(\*SubscriptBox[\(a\), \(m\)]\)", Italic, 16], {
             $CellContext`a[$CellContext`m$$], (-0.03) \
$CellContext`\[Delta]$$}], 
           Text[
            Style["\!\(\*SubscriptBox[\(b\), \(m\)]\)", Italic, 16], {
             $CellContext`b[$CellContext`m$$], (-0.03) \
$CellContext`\[Delta]$$}]}, 
          PlotRange -> {{
            E - $CellContext`\[Delta]$$/5, 
             E + $CellContext`\[Delta]$$/5}, {(-0.05) $CellContext`\[Delta]$$,
              0.05 $CellContext`\[Delta]$$}}, Axes -> {True, False}], 
         Graphics[{
           RGBColor[0, 2/3, 0], 
           PointSize[0.02], 
           Point[{E - $CellContext`\[Epsilon]$$, 0}], 
           Text[
            Row[{
              Style["e", Italic, 16], " - ", 
              Style["\[Epsilon]", Italic, 16]}], {
            E - $CellContext`\[Epsilon]$$, 0.03 $CellContext`\[Delta]$$}], 
           RGBColor[2/3, 0, 0], 
           Text[
            Style["e", Italic, 16], {E, 0.02 $CellContext`\[Delta]$$}], 
           Point[{E, 0}], 
           RGBColor[0, 2/3, 0], 
           Point[{E - $CellContext`\[Epsilon]$$, 0}], 
           Point[{E + $CellContext`\[Epsilon]$$, 0}], 
           Text[
            Row[{
              Style["e", Italic, 16], " + ", 
              Style["\[Epsilon]", Italic, 16]}], {
            E + $CellContext`\[Epsilon]$$, 0.03 $CellContext`\[Delta]$$}], 
           RGBColor[1, 0, 0], 
           PointSize[0.01], 
           Table[{
             
             If[$CellContext`c[$CellContext`n] > 
              E - $CellContext`\[Epsilon]$$, 
              RGBColor[1, 0, 1], 
              RGBColor[1, 0, 0]], 
             Point[{
               $CellContext`c[$CellContext`n], 0}]}, {$CellContext`n, 
             2, $CellContext`k$$}], 
           RGBColor[1, 0, 0], 
           Text[
            Style["\!\(\*SubscriptBox[\(c\), \(k\)]\)", Italic, 16], {
             $CellContext`c[$CellContext`k$$], (-0.03) \
$CellContext`\[Delta]$$}]}, 
          PlotRange -> {{
            E - $CellContext`\[Delta]$$/5, 
             E + $CellContext`\[Delta]$$/5}, {(-0.05) $CellContext`\[Delta]$$,
              0.05 $CellContext`\[Delta]$$}}, Axes -> {True, False}]}, 
        ImageSize -> 500], 
      "Specifications" :> {{{$CellContext`\[Epsilon]$$, 0.0565, 
          "choose \[Epsilon] > 0"}, 0, 0.2, Appearance -> 
         "Labeled"}, {{$CellContext`m$$, 95, "find m"}, 2, 200, 1, Appearance -> 
         "Labeled"}, {{$CellContext`k$$, 5, "find k"}, 2, 10, 1, Appearance -> 
         "Labeled"}, {{$CellContext`\[Delta]$$, 0.599, "zoom"}, 0.01, 1, 
         Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {201., 206.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`a[
          Pattern[$CellContext`n, 
           Blank[]]] := (1 + 1/$CellContext`n)^$CellContext`n, $CellContext`b[
         
          Pattern[$CellContext`n, 
           Blank[]]] := (1 - 1/$CellContext`n)^(-$CellContext`n), 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`c[0] := 
        1, $CellContext`c[1] = 2., $CellContext`c[2] = 2.5, $CellContext`c[3] = 
        2.6666666666666665`, $CellContext`c[4] = 
        2.708333333333333, $CellContext`c[5] = 
        2.7166666666666663`, $CellContext`c[6] = 
        2.7180555555555554`, $CellContext`c[7] = 
        2.7182539682539684`, $CellContext`c[8] = 
        2.71827876984127, $CellContext`c[
          Pattern[$CellContext`n, 
           
           Blank[]]] := ($CellContext`c[$CellContext`n] = \
$CellContext`c[$CellContext`n - 1] + 1./Factorial[$CellContext`n])}; 
      Typeset`initDone$$ = True); ReleaseHold[{{
         HoldComplete[$CellContext`a[
             Pattern[$CellContext`n, 
              Blank[]]] := (1 + 1/$CellContext`n)^$CellContext`n; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`b[
             Pattern[$CellContext`n, 
              Blank[]]] := (1 - 1/$CellContext`n)^(-$CellContext`n); Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`c[0] := 1; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`c[
             Pattern[$CellContext`n, 
              
              Blank[]]] := ($CellContext`c[$CellContext`n] = \
$CellContext`c[$CellContext`n - 1] + 1./Factorial[$CellContext`n]); Null], 
         HoldComplete[Null]}}]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->11644720],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Three Sequences with Limit e",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ThreeSequencesWithLimitE/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/ThreeSequencesWithLimitE/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ThreeSequencesWithLimitE/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ThreeSequencesWithLimitE/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/ThreeSequencesWithLimitE/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ThreeSequencesWithLimitE"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Three Sequences with Limit e - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 220, 4, 70, "Section"],
Cell[813, 29, 1220, 36, 70, "Input",
 CellID->835259272],
Cell[2036, 67, 13058, 322, 70, "Input"]
}, Open  ]],
Cell[15109, 392, 8040, 178, 70, "Output",
 CellID->11644720],
Cell[CellGroupData[{
Cell[23174, 574, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[23550, 585, 931, 26, 70, "Text"],
Cell[24484, 613, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[24824, 624, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[25285, 642, 829, 24, 70, "Text"],
Cell[26117, 668, 1200, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature JTNmGVBPVzTTwCDEmLBxYv4b *)
