(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     21992,        506]
NotebookOptionsPosition[     20904,        466]
NotebookOutlinePosition[     21539,        490]
CellTagsIndexPosition[     21496,        487]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Using the Area under a Curve to Compute a Limit", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "  ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Labeled", "[", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       FractionBox["d", "x"], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "d", ",", "1"}], "}"}], ",", 
       RowBox[{"Ticks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}], ",", 
          RowBox[{"{", "1", "}"}]}], "}"}]}], ",", 
       RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
       RowBox[{"FillingStyle", "\[Rule]", "Orange"}], ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".2"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", ".004", "]"}], ",", "Blue"}], "}"}]}], 
       ",", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"200", ",", "200"}], "}"}]}], ","}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"Prolog", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                 "\"\< = \>\"", ",", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<t\>\"", ",", "Italic"}], "]"}]}], "}"}], "]"}],
               ",", "Medium", ",", "Blue"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              FractionBox[
               RowBox[{"d", "+", "1"}], "2"], ",", 
              RowBox[{".2", "+", 
               RowBox[{"2", 
                RowBox[{"d", "/", 
                 RowBox[{"(", 
                  RowBox[{"d", "+", "1"}], ")"}]}]}]}]}], "}"}]}], "]"}], ",",
           
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<t\>\"", ",", "Medium", ",", "Italic", ",", "Blue"}],
              "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"d", ",", 
              RowBox[{"-", ".1"}]}], "}"}]}], "]"}]}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"500", ",", "300"}], "}"}]}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{"Row", "[", 
       RowBox[{"{", 
        RowBox[{"\"\<orange area = -\>\"", ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<t\>\"", ",", "Italic"}], "]"}], ",", "\"\< ln(\>\"", 
         ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<t\>\"", ",", "Italic"}], "]"}], ",", 
         RowBox[{"\"\<) = \>\"", "<>", 
          RowBox[{"ToString", "[", 
           RowBox[{"NumberForm", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "d"}], " ", 
              RowBox[{"Log", "[", "d", "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"5", ",", "4"}], "}"}]}], "]"}], "]"}]}]}], "}"}], 
       "]"}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", "0.1", ",", "\"\<t\>\""}], "}"}], ",", "0.0005", ",", 
     "0.3", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.397916230157625*^9, 3.397916231142*^9}, {
   3.397916275126375*^9, 3.3979162848295*^9}, {3.397916597876375*^9, 
   3.397916598001375*^9}, {3.397916648532625*^9, 3.397916657626375*^9}, {
   3.39791671504825*^9, 3.397916734782625*^9}, {3.397916855907625*^9, 
   3.397916880657625*^9}, {3.418038917974947*^9, 3.4180389511125965`*^9}, {
   3.418038996587987*^9, 3.418039019140416*^9}, {3.4180392446647043`*^9, 
   3.418039245936533*^9}, {3.4180394507009697`*^9, 3.4180394523233023`*^9}, 
   3.418039736702219*^9, {3.4180397788628435`*^9, 3.418039878846613*^9}, {
   3.418040474012419*^9, 3.4180404889238605`*^9}, {3.4180405668358927`*^9, 
   3.418040580385376*^9}, {3.4180406118606353`*^9, 3.41804062104384*^9}, {
   3.41804086464412*^9, 3.4180408668372736`*^9}, {3.4180408985028067`*^9, 
   3.4180409123627357`*^9}, {3.418040999407901*^9, 3.4180410337572927`*^9}, {
   3.418041064381328*^9, 3.418041101715011*^9}, {3.4180411387682915`*^9, 
   3.4180413152420483`*^9}, {3.418041350202318*^9, 3.418041380676138*^9}, {
   3.418041445549421*^9, 3.4180414646869392`*^9}, {3.418041781742843*^9, 
   3.4180417950619955`*^9}, {3.4180463893382397`*^9, 
   3.4180463983211565`*^9}, {3.4180468010101953`*^9, 
   3.4180468710809517`*^9}, {3.4180469143631887`*^9, 3.418046914964053*^9}, {
   3.4180469771134195`*^9, 3.4180470419266157`*^9}, {3.4180471083821745`*^9, 
   3.418047159325427*^9}, {3.4180471939351935`*^9, 3.4180472015261087`*^9}, {
   3.4180472420944433`*^9, 3.4180473390138063`*^9}, {3.418047399921387*^9, 
   3.418047418828574*^9}, {3.4180474812182865`*^9, 3.418047520735109*^9}, {
   3.418048446676547*^9, 3.418048614858381*^9}, {3.4180487468882303`*^9, 
   3.418048790541*^9}, {3.418048838660192*^9, 3.418048847573008*^9}, {
   3.418048928048726*^9, 3.4180490044686127`*^9}, {3.418049069542184*^9, 
   3.4180490926253757`*^9}, {3.418049124160722*^9, 3.418049130760211*^9}, {
   3.418049324118246*^9, 3.4180493696437087`*^9}, {3.4180494016697598`*^9, 
   3.4180496036902514`*^9}, {3.4180497466257825`*^9, 3.418049807773709*^9}, {
   3.418049848842763*^9, 3.4180499281367826`*^9}, {3.418049978829675*^9, 
   3.4180500371134834`*^9}, {3.418050077701846*^9, 3.418050082348528*^9}, {
   3.4180501675109854`*^9, 3.418050235298459*^9}, {3.418050437689483*^9, 
   3.418050439892651*^9}, {3.418050499077755*^9, 3.41805051718379*^9}, {
   3.418050627973098*^9, 3.4180506608704014`*^9}, {3.418050708408758*^9, 
   3.418050718242899*^9}, {3.4180507941820946`*^9, 3.4180508138403616`*^9}, {
   3.4180509550634303`*^9, 3.418051017172739*^9}, {3.4180510631688786`*^9, 
   3.4180511016742463`*^9}, {3.4180511347518096`*^9, 3.418051298467221*^9}, {
   3.4180513594248734`*^9, 3.4180514522783904`*^9}, {3.4180515457027283`*^9, 
   3.4180515613952928`*^9}, {3.418051658464872*^9, 3.418051697330758*^9}, {
   3.418051736406947*^9, 3.418051825264718*^9}, {3.4180519179680195`*^9, 
   3.418052008287893*^9}, {3.4180529062691264`*^9, 3.4180529100044975`*^9}, {
   3.4180530377581987`*^9, 3.4180531252840548`*^9}, {3.4180531701385517`*^9, 
   3.4180532331391425`*^9}, {3.418053264924848*^9, 3.418053311461765*^9}, {
   3.418053490769597*^9, 3.4180535309273405`*^9}, {3.418053626144256*^9, 
   3.418053669756968*^9}, {3.4180537680382895`*^9, 3.4180538407828913`*^9}, {
   3.41805392567496*^9, 3.4180542360813026`*^9}, {3.418054307273672*^9, 
   3.4180543131020527`*^9}, {3.418054351717579*^9, 3.4180544103118334`*^9}, {
   3.4180544412563295`*^9, 3.418054563902686*^9}, {3.418096104432392*^9, 
   3.418096127265224*^9}, 3.418096282468395*^9, {3.418096327002432*^9, 
   3.4180965077122803`*^9}, {3.4180966289265776`*^9, 
   3.4180967406572385`*^9}, {3.4180967798936577`*^9, 
   3.4180967985504847`*^9}, {3.418096917671773*^9, 3.418096930700507*^9}, {
   3.4180969676736717`*^9, 3.4180969680542192`*^9}, {3.418096999749795*^9, 
   3.4180972179635715`*^9}, {3.4180972511613073`*^9, 3.418097418632118*^9}, {
   3.4180974568971405`*^9, 3.4180974799502897`*^9}, {3.418097513728861*^9, 
   3.4180975212096176`*^9}, {3.418097617768462*^9, 3.41809764509776*^9}, {
   3.4180977788000145`*^9, 3.418097832316968*^9}, {3.4180978797251377`*^9, 
   3.4180979492350883`*^9}, {3.4180981022451057`*^9, 3.418098195208781*^9}, {
   3.4180982760149746`*^9, 3.4180983162528334`*^9}, {3.4180984080348096`*^9, 
   3.4180984581468673`*^9}, {3.4180984918653517`*^9, 
   3.4180984974033155`*^9}, {3.418098533405083*^9, 3.418098574614339*^9}, {
   3.4180986567925053`*^9, 3.418098738720312*^9}, {3.418099119287541*^9, 
   3.41809931483873*^9}, {3.418099375686224*^9, 3.418099557147152*^9}, {
   3.4180995899142685`*^9, 3.4180996404769745`*^9}, {3.4180997082944913`*^9, 
   3.418099717407595*^9}, {3.4180999287915506`*^9, 3.418100078226427*^9}, {
   3.418100113967821*^9, 3.4181001153397937`*^9}, {3.4181001597536573`*^9, 
   3.4181004007501936`*^9}, {3.418100443521696*^9, 3.418100511168968*^9}, {
   3.4181005831224318`*^9, 3.4181007726549664`*^9}, {3.4181008055422564`*^9, 
   3.4181008468917136`*^9}, {3.4181008832840433`*^9, 3.4181008836645904`*^9}, 
   3.4181009822864017`*^9, {3.4181010283826847`*^9, 3.4181010484114847`*^9}, {
   3.418101109959987*^9, 3.4181011307598963`*^9}, {3.4181012143200493`*^9, 
   3.418101324067859*^9}, {3.4181013693329473`*^9, 3.4181013811899967`*^9}, {
   3.4181015471386194`*^9, 3.4181016343239856`*^9}, {3.41810170218156*^9, 
   3.4181017098826337`*^9}, {3.4181017766987104`*^9, 3.418101896541035*^9}, {
   3.4181123730855665`*^9, 3.4181124000843887`*^9}, {3.4181126031163344`*^9, 
   3.4181126600982704`*^9}, {3.41811273729928*^9, 3.418112781542899*^9}, {
   3.418112865673874*^9, 3.4181128662246656`*^9}, {3.418112900213539*^9, 
   3.418112938037928*^9}, {3.4181129986851344`*^9, 3.4181130996202717`*^9}, {
   3.418113135591997*^9, 3.4181131363030195`*^9}, {3.4181132268131666`*^9, 
   3.4181132377789345`*^9}, {3.4181132752628336`*^9, 3.418113313938446*^9}, {
   3.4181133501905746`*^9, 3.418113518372408*^9}, {3.4181137519282446`*^9, 
   3.418113766218794*^9}, {3.418113871159691*^9, 3.4181139430931263`*^9}, {
   3.4181142041885633`*^9, 3.4181143042925053`*^9}, {3.4181143460725822`*^9, 
   3.41811435721861*^9}, {3.418114431615587*^9, 3.4181144421407213`*^9}, {
   3.418114542194592*^9, 3.4181145449685807`*^9}, {3.4181952005155296`*^9, 
   3.418195475020248*^9}, {3.418379618915475*^9, 3.4183796232216673`*^9}, {
   3.418379655918683*^9, 3.4183796789618177`*^9}, {3.418380175986504*^9, 
   3.418380207581936*^9}, {3.4183802728858385`*^9, 3.4183802916027517`*^9}, {
   3.418380328846306*^9, 3.41838037116716*^9}, {3.418380416131816*^9, 
   3.4183804486085153`*^9}, {3.4183806168504353`*^9, 
   3.4183806262239137`*^9}, {3.418540828234375*^9, 3.4185408718125*^9}, {
   3.418540992421875*^9, 3.418540994765625*^9}, {3.418541026484375*^9, 
   3.418541029140625*^9}, {3.418542177046875*^9, 3.418542178671875*^9}, {
   3.4278038811992464`*^9, 3.427803900496995*^9}, {3.4278039394129534`*^9, 
   3.427804142314712*^9}, {3.427804199617109*^9, 3.427804240616062*^9}, {
   3.427804277188651*^9, 3.4278043429131584`*^9}, {3.4278044280856304`*^9, 
   3.4278045150406656`*^9}, {3.4278045843102703`*^9, 
   3.4278046400504208`*^9}, {3.427804702249859*^9, 3.427804860737754*^9}, {
   3.427804911731078*^9, 3.427804919201821*^9}, 3.4278049742109203`*^9, {
   3.4278050169023075`*^9, 3.427805070369189*^9}, {3.4278051062607985`*^9, 
   3.4278051064610863`*^9}, {3.4278051435243807`*^9, 3.427805143784755*^9}, {
   3.4278051839725423`*^9, 3.4278052358972063`*^9}, {3.4278052705770736`*^9, 
   3.4278053082312174`*^9}, {3.427805342891056*^9, 3.4278053466564703`*^9}, {
   3.427805531191819*^9, 3.427805600831957*^9}, {3.4278061174748526`*^9, 
   3.427806184381059*^9}, {3.4278064028752384`*^9, 3.4278064116979246`*^9}, {
   3.4278064955585103`*^9, 3.4278065215659075`*^9}, {3.427806571207288*^9, 
   3.4278066138385887`*^9}, {3.427806848556096*^9, 3.4278068797409377`*^9}, {
   3.427807196125877*^9, 3.4278072376055217`*^9}, {3.4278072969408417`*^9, 
   3.4278073138351345`*^9}, {3.427807347102971*^9, 3.4278073708871713`*^9}, {
   3.4287394208164845`*^9, 3.428739421377291*^9}, {3.428739473702531*^9, 
   3.4287394943722525`*^9}, {3.4287396188212013`*^9, 
   3.4287396523994846`*^9}, {3.4287396950007424`*^9, 3.428739725404461*^9}, {
   3.428739793462323*^9, 3.4287397967470465`*^9}, {3.42873984259297*^9, 
   3.428740045584858*^9}, {3.428740400264862*^9, 3.4287404244696674`*^9}, {
   3.428740468262638*^9, 3.4287405169426365`*^9}, {3.4287405559286957`*^9, 
   3.428740568196336*^9}, {3.428740669291704*^9, 3.428740823603594*^9}, {
   3.428740898941925*^9, 3.4287409140836973`*^9}, {3.4287409536806355`*^9, 
   3.428740967450435*^9}, {3.4287410017297263`*^9, 3.4287410311820765`*^9}, {
   3.428741070338381*^9, 3.428741142191701*^9}, {3.4287412036400595`*^9, 
   3.428741225882042*^9}, {3.42875641603491*^9, 3.428756673647669*^9}, {
   3.4287639679911585`*^9, 3.4287640303766284`*^9}},
 CellID->33828498]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`d$$ = 0.07250000000000001, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`d$$], 0.11850000000000001`, "t"}, 0.0005, 0.3}}, 
    Typeset`size$$ = {500., {168., 152.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`d$48052$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`d$$ = 0.11850000000000001`}, 
      "ControllerVariables" :> {
        Hold[$CellContext`d$$, $CellContext`d$48052$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Labeled[
        Plot[$CellContext`d$$/$CellContext`x, {$CellContext`x, \
$CellContext`d$$, 1}, Ticks -> {{0, 1}, {1}}, Filling -> Axis, FillingStyle -> 
         Orange, AxesOrigin -> {0, 0}, PlotRange -> {{0, 1}, {-0.2, 1}}, 
         PlotStyle -> {
           Thickness[0.004], Blue}, Prolog -> {
           Text[
            Style[
             Row[{
               Style["x", Italic], 
               Style["y", Italic], " = ", 
               Style["t", Italic]}], Medium, Blue], {($CellContext`d$$ + 1)/2,
              0.2 + 2 ($CellContext`d$$/($CellContext`d$$ + 1))}], 
           Text[
            Style["t", Medium, Italic, Blue], {$CellContext`d$$, -0.1}]}, 
         ImageSize -> {500, 300}], 
        Text[
         Row[{"orange area = -", 
           Style["t", Italic], " ln(", 
           Style["t", Italic], 
           StringJoin[") = ", 
            ToString[
             
             NumberForm[(-$CellContext`d$$) Log[$CellContext`d$$], {5, 
              4}]]]}]]], 
      "Specifications" :> {{{$CellContext`d$$, 0.11850000000000001`, "t"}, 
         0.0005, 0.3, Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {201., 206.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->94720588],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Using the Area under a Curve to Compute a Limit",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
UsingTheAreaUnderACurveToComputeALimit/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/UsingTheAreaUnderACurveToComputeALimit/\
"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
UsingTheAreaUnderACurveToComputeALimit/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
UsingTheAreaUnderACurveToComputeALimit/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/UsingTheAreaUnderACurveToComputeALimit/\
"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Soledad M\.aa S\[AAcute]ez Mart\[IAcute]nez",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%\
E1ez+Mart%EDnez"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%E1ez+\
Mart%EDnez"],
 " and ",
 ButtonBox["F\[EAcute]lix Mart\[IAcute]nez de la Rosa",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%\
EDnez+de+la+Rosa"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%EDnez+\
de+la+Rosa"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
UsingTheAreaUnderACurveToComputeALimit"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Using the Area under a Curve to Compute a Limit - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 239, 4, 70, "Section"],
Cell[832, 29, 12755, 226, 70, "Input",
 CellID->33828498]
}, Open  ]],
Cell[13602, 258, 2609, 58, 70, "Output",
 CellID->94720588],
Cell[CellGroupData[{
Cell[16236, 320, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16612, 331, 1032, 31, 70, "Text"],
Cell[17647, 364, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[17987, 375, 818, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[18830, 403, 829, 24, 70, "Text"],
Cell[19662, 429, 1214, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature BQzO9dkJuwiAGCpOp1iP7t8y *)
