(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     19226,        527]
NotebookOptionsPosition[     17714,        472]
NotebookOutlinePosition[     18364,        497]
CellTagsIndexPosition[     18321,        494]
WindowTitle->Vi\350te's Nested Square Root Representation of Pi - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Vi\[EGrave]te's Nested Square Root Representation of Pi\
\>", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"pi", "=", 
   RowBox[{"TraditionalForm", "[", 
    RowBox[{"HoldForm", "[", 
     RowBox[{"\[Pi]", "\[Equal]", 
      RowBox[{"Limit", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"2", "^", 
          RowBox[{"(", 
           RowBox[{"N", "-", "1"}], ")"}]}], " ", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"2", "-", 
           RowBox[{"Underscript", "[", 
            RowBox[{
             RowBox[{"Sqrt", "[", 
              RowBox[{"2", "+", 
               RowBox[{"Sqrt", "[", 
                RowBox[{"2", "+", "\[Ellipsis]"}], "]"}]}], "]"}], ",", 
             RowBox[{"Underscript", "[", 
              RowBox[{"\[UnderBrace]", ",", 
               RowBox[{"N", "-", "2"}]}], "]"}]}], "]"}]}], "]"}]}], ",", 
        RowBox[{"N", "\[Rule]", "\[Infinity]"}]}], "]"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.455392073376845*^9, 3.455392104008769*^9}, {
   3.4553923722487097`*^9, 3.455392402947674*^9}, {3.455392449907811*^9, 
   3.45539246298529*^9}, {3.4558976993670273`*^9, 3.455897704042495*^9}, {
   3.455897751359226*^9, 3.455897752520342*^9}, {3.455910769090557*^9, 
   3.4559107838251047`*^9}, {3.4559108911078577`*^9, 3.455910908032724*^9}, {
   3.4559527234760113`*^9, 3.455952741393466*^9}},
 CellID->2045598450],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], ":=", 
  SqrtBox[
   RowBox[{"2", "+", "x"}]]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.455371580914775*^9, 3.455371616665297*^9}},
 CellID->1817739721],

Cell[BoxData[
 RowBox[{
  RowBox[{"p", "[", "n_", "]"}], ":=", 
  RowBox[{
   SuperscriptBox["2", 
    RowBox[{"n", "-", "1"}]], 
   SqrtBox[
    RowBox[{"2", "-", 
     RowBox[{"Nest", "[", 
      RowBox[{"f", ",", 
       SqrtBox["2"], ",", 
       RowBox[{"n", "-", "3"}]}], "]"}]}]]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.455371973402528*^9, 3.455372108301297*^9}, 
   3.455372298838936*^9, {3.455910797461094*^9, 3.455910808695732*^9}, {
   3.4559525897499113`*^9, 3.455952611295774*^9}, 3.4559527633610497`*^9},
 CellID->79375471],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "[", "n_", "]"}], ":=", 
  RowBox[{"IntegerPart", "[", 
   RowBox[{".6", "n"}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.4554056974525642`*^9, 3.455405737409923*^9}},
 CellID->1014316212],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "5", "]"}], "=", 
   RowBox[{
    RowBox[{"a", "[", "6", "]"}], "=", 
    RowBox[{
     RowBox[{"a", "[", "7", "]"}], "=", "3"}]}]}], ";", 
  RowBox[{
   RowBox[{"a", "[", "8", "]"}], "=", "4"}], ";", 
  RowBox[{
   RowBox[{"a", "[", "9", "]"}], "=", "5"}], ";", 
  RowBox[{
   RowBox[{"a", "[", "10", "]"}], "=", 
   RowBox[{
    RowBox[{"a", "[", "11", "]"}], "=", 
    RowBox[{
     RowBox[{"a", "[", "12", "]"}], "=", "6"}]}]}], ";", 
  RowBox[{
   RowBox[{"a", "[", "13", "]"}], "=", "7"}], ";", 
  RowBox[{
   RowBox[{"a", "[", "14", "]"}], "=", "8"}], ";", 
  RowBox[{
   RowBox[{"a", "[", "15", "]"}], "=", 
   RowBox[{
    RowBox[{"a", "[", "16", "]"}], "=", 
    RowBox[{
     RowBox[{"a", "[", "17", "]"}], "=", "9"}]}]}], ";", 
  RowBox[{
   RowBox[{"a", "[", "18", "]"}], "=", 
   RowBox[{
    RowBox[{"a", "[", "19", "]"}], "=", "11"}]}], ";", 
  RowBox[{
   RowBox[{"a", "[", "20", "]"}], "=", 
   RowBox[{
    RowBox[{"a", "[", "21", "]"}], "=", "12"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.455389131553307*^9, 3.4553897025175867`*^9}, 
   3.455390399003353*^9, {3.455953282024362*^9, 3.455953428989911*^9}},
 CellID->801824033],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Pane", "[", 
        RowBox[{
         RowBox[{"Text", "[", 
          RowBox[{"Style", "[", 
           RowBox[{"pi", ",", "30"}], "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"590", ",", "150"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Framed", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<N\>\"", ",", "Italic"}], "]"}], ",", 
              "\"\< = \>\"", ",", "n"}], "}"}], "]"}], ",", "36", ",", 
           "Blue"}], "]"}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<\[Pi] \[TildeTilde] \>\"", ",", 
             RowBox[{"N", "[", 
              RowBox[{
               RowBox[{"p", "[", "n", "]"}], ",", 
               RowBox[{"a", "[", "n", "]"}]}], "]"}]}], "}"}], "]"}], ",", 
          "24"}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "[", "n", "]"}], ",", 
             "\"\< significant figures\>\""}], "}"}], "]"}], ",", "24"}], 
         "]"}], "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
     RowBox[{"Spacings", "\[Rule]", "2"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "10", ",", "\"\<N\>\""}], "}"}], ",", "5", ",", "75", 
     ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", 
    RowBox[{"{", "n", "}"}]}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Top"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.455369341764454*^9, 3.455369393649994*^9}, {
   3.455369545918223*^9, 3.455369579618587*^9}, {3.455369758816745*^9, 
   3.455369802231186*^9}, {3.455369844343961*^9, 3.4553699634396*^9}, {
   3.455369994136468*^9, 3.45537009423063*^9}, {3.455370129002327*^9, 
   3.4553701340921907`*^9}, {3.455370190074401*^9, 3.45537021705035*^9}, {
   3.455370308528373*^9, 3.4553704716443787`*^9}, {3.45537051866677*^9, 
   3.4553705186669416`*^9}, {3.455370564716804*^9, 3.455370568281451*^9}, {
   3.4553707418667507`*^9, 3.455370805445546*^9}, {3.45537118433442*^9, 
   3.455371198506315*^9}, {3.455389758544846*^9, 3.455389824593615*^9}, {
   3.455389886288619*^9, 3.45538995511103*^9}, {3.455390019238884*^9, 
   3.455390085544016*^9}, {3.455390119755281*^9, 3.455390277735825*^9}, {
   3.455390317868209*^9, 3.455390352382786*^9}, {3.455390446668195*^9, 
   3.455390457347691*^9}, {3.455392131271772*^9, 3.4553921379219627`*^9}, {
   3.455392228471332*^9, 3.455392235036824*^9}, {3.455392268823443*^9, 
   3.45539226918036*^9}, {3.45539232126539*^9, 3.455392340461829*^9}, {
   3.455392484397059*^9, 3.45539248528342*^9}, {3.455392517078787*^9, 
   3.455392517437005*^9}, {3.455404594173066*^9, 3.455404658893963*^9}, {
   3.4554091127155313`*^9, 3.4554091130808496`*^9}, {3.455409189038629*^9, 
   3.455409197396158*^9}, {3.4554092506958933`*^9, 3.455409251518752*^9}, {
   3.45540928171467*^9, 3.4554095072740383`*^9}, {3.455409560909441*^9, 
   3.455409598126219*^9}, {3.455409635041212*^9, 3.45540965285537*^9}, {
   3.455409699954048*^9, 3.455409724289613*^9}, {3.455897717488839*^9, 
   3.455897812337323*^9}, {3.4559109457521687`*^9, 3.455910946093204*^9}, {
   3.455911998275001*^9, 3.455911998598638*^9}, 3.455953161322564*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 10, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 10, "N"}, 5, 75, 1}}, Typeset`size$$ = {
    590., {161.5, 166.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`n$4675$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 10}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$4675$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Pane[
          Text[
           Style[$CellContext`pi, 30]], {590, 150}], 
         Framed[
          Text[
           Style[
            Row[{
              Style["N", Italic], " = ", $CellContext`n$$}], 36, Blue]]], 
         Text[
          Style[
           Row[{"\[Pi] \[TildeTilde] ", 
             N[
              $CellContext`p[$CellContext`n$$], 
              $CellContext`a[$CellContext`n$$]]}], 24]], 
         Text[
          Style[
           Row[{
             $CellContext`a[$CellContext`n$$], " significant figures"}], 
           24]]}, Spacings -> 2], 
      "Specifications" :> {{{$CellContext`n$$, 10, "N"}, 5, 75, 1, Appearance -> 
         "Labeled"}}, 
      "Options" :> {
       TrackedSymbols -> {$CellContext`n$$}, ControlPlacement -> Top}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{635., {206., 211.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`pi = TraditionalForm[
          HoldForm[Pi == Limit[2^(N - 1) Sqrt[2 - Underscript[
                Sqrt[2 + Sqrt[2 + $CellContext`\[Ellipsis]]], 
                Underscript[$CellContext`\[UnderBrace], N - 2]]], N -> 
             Infinity]]], 
        Attributes[Underscript] = {NHoldRest}, $CellContext`p[
          Pattern[$CellContext`n, 
           Blank[]]] := 2^($CellContext`n - 1) Sqrt[2 - Nest[$CellContext`f, 
            Sqrt[2], $CellContext`n - 3]], $CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]]] := Sqrt[2 + $CellContext`x], $CellContext`a[4] = 
        3, $CellContext`a[5] = 3, $CellContext`a[6] = 3, $CellContext`a[7] = 
        3, $CellContext`a[8] = 4, $CellContext`a[9] = 5, $CellContext`a[10] = 
        6, $CellContext`a[11] = 6, $CellContext`a[12] = 6, $CellContext`a[13] = 
        7, $CellContext`a[14] = 8, $CellContext`a[15] = 9, $CellContext`a[16] = 
        9, $CellContext`a[17] = 9, $CellContext`a[18] = 
        11, $CellContext`a[19] = 11, $CellContext`a[20] = 
        12, $CellContext`a[21] = 12, $CellContext`a[
          Pattern[$CellContext`n, 
           Blank[]]] := IntegerPart[0.6 $CellContext`n]}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`pi = TraditionalForm[
            HoldForm[Pi == Limit[2^(N - 1) Sqrt[2 - Underscript[
                  Sqrt[2 + Sqrt[2 + $CellContext`\[Ellipsis]]], 
                  Underscript[$CellContext`\[UnderBrace], N - 2]]], N -> 
               Infinity]]]; Null, $CellContext`f[
           Pattern[$CellContext`x, 
            Blank[]]] := (2 + $CellContext`x)^Rational[1, 2], $CellContext`p[
           Pattern[$CellContext`n, 
            Blank[]]] := 
         2^($CellContext`n - 1) (2 - 
            Nest[$CellContext`f, 2^Rational[1, 2], $CellContext`n - 3])^
           Rational[1, 2], $CellContext`a[
           Pattern[$CellContext`n, 
            Blank[]]] := 
         IntegerPart[
          0.6 $CellContext`n], $CellContext`a[
           5] = ($CellContext`a[6] = ($CellContext`a[7] = 3)); $CellContext`a[
           8] = 4; $CellContext`a[9] = 
          5; $CellContext`a[
           10] = ($CellContext`a[11] = ($CellContext`a[12] = 
            6)); $CellContext`a[13] = 7; $CellContext`a[14] = 
          8; $CellContext`a[
           15] = ($CellContext`a[16] = ($CellContext`a[17] = 
            9)); $CellContext`a[18] = ($CellContext`a[19] = 
           11); $CellContext`a[20] = ($CellContext`a[21] = 12); Null}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->131436203],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Vi\[EGrave]te's Nested Square Root Representation of Pi",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
VietesNestedSquareRootRepresentationOfPi/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
VietesNestedSquareRootRepresentationOfPi/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
VietesNestedSquareRootRepresentationOfPi/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
VietesNestedSquareRootRepresentationOfPi/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
VietesNestedSquareRootRepresentationOfPi/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["S. M. Blinder",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=S.+M.+Blinder"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=S.+M.+Blinder"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
VietesNestedSquareRootRepresentationOfPi"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Vi\[EGrave]te's Nested Square Root Representation of Pi - \
Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[640, 23, 255, 6, 70, "Section"],
Cell[898, 31, 1357, 33, 70, "Input",
 InitializationCell->True,
 CellID->2045598450],
Cell[2258, 66, 253, 8, 70, "Input",
 InitializationCell->True,
 CellID->1817739721],
Cell[2514, 76, 585, 17, 70, "Input",
 InitializationCell->True,
 CellID->79375471],
Cell[3102, 95, 277, 8, 70, "Input",
 InitializationCell->True,
 CellID->1014316212],
Cell[3382, 105, 1255, 40, 70, "Input",
 InitializationCell->True,
 CellID->801824033],
Cell[4640, 147, 3958, 82, 70, "Input"]
}, Open  ]],
Cell[8613, 232, 4752, 100, 70, "Output",
 CellID->131436203],
Cell[CellGroupData[{
Cell[13390, 336, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13766, 347, 1050, 31, 70, "Text"],
Cell[14819, 380, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15159, 391, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[15620, 409, 847, 24, 70, "Text"],
Cell[16470, 435, 1216, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature uQzjT1sCN@sXkBT9I0eIxd#q *)
