(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     33040,        804]
NotebookOptionsPosition[     31891,        760]
NotebookOutlinePosition[     32494,        784]
CellTagsIndexPosition[     32451,        781]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Angle Measure", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "v1", ",", "v2", ",", "angle", ",", "r", ",", "ThreePoints", ",", 
       "fa"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"ThreePoints", "=", "p"}], ";", "\[IndentingNewLine]", 
      RowBox[{"v1", "=", 
       RowBox[{
        RowBox[{"ThreePoints", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "-", 
        RowBox[{"ThreePoints", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"v2", "=", 
       RowBox[{
        RowBox[{"ThreePoints", "[", 
         RowBox[{"[", "3", "]"}], "]"}], "-", 
        RowBox[{"ThreePoints", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"fa", "[", "rd_List", "]"}], ":=", 
       RowBox[{"Arg", "[", 
        RowBox[{
         RowBox[{"rd", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "+", 
         RowBox[{"I", " ", 
          RowBox[{"rd", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"angle", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"fa", "[", "v2", "]"}], ">", 
          RowBox[{"fa", "[", "v1", "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"fa", "[", "v1", "]"}], ",", 
           RowBox[{"fa", "[", "v2", "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"fa", "[", "v1", "]"}], ",", 
           RowBox[{
            RowBox[{"2", " ", "Pi"}], "+", 
            RowBox[{"fa", "[", "v2", "]"}]}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"InOut", "\[Equal]", "\"\<interior\>\""}], ",", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"angle", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "-", 
             RowBox[{"angle", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], "\[GreaterEqual]", "Pi"}], 
           ",", 
           RowBox[{"angle", "=", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"angle", "[", 
               RowBox[{"[", "2", "]"}], "]"}], ",", 
              RowBox[{
               RowBox[{"angle", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "+", 
               RowBox[{"2", "Pi"}]}]}], "}"}]}]}], "]"}], ";", 
         RowBox[{"r", "=", 
          RowBox[{
           RowBox[{"Min", "[", 
            RowBox[{
             RowBox[{"Norm", "[", "v1", "]"}], ",", 
             RowBox[{"Norm", "[", "v2", "]"}]}], "]"}], "/", "2"}]}]}], ",", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"angle", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "-", 
             RowBox[{"angle", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], "<", "Pi"}], ",", 
           RowBox[{"angle", "=", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"angle", "[", 
               RowBox[{"[", "2", "]"}], "]"}], ",", 
              RowBox[{
               RowBox[{"angle", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "+", 
               RowBox[{"2", "Pi"}]}]}], "}"}]}]}], "]"}], ";", 
         RowBox[{"r", "=", 
          RowBox[{
           RowBox[{"Min", "[", 
            RowBox[{
             RowBox[{"Norm", "[", "v1", "]"}], ",", 
             RowBox[{"Norm", "[", "v2", "]"}]}], "]"}], "/", "4"}]}]}]}], 
       "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{".25", ",", ".43", ",", ".82"}], "]"}], ",", "Thick", 
            ",", "\[IndentingNewLine]", 
            RowBox[{"(*", " ", 
             RowBox[{"Plot", " ", "two", " ", "line"}], " ", "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"ThreePoints", "[", 
              RowBox[{"[", 
               RowBox[{"Range", "[", "2", "]"}], "]"}], "]"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"ThreePoints", "[", 
              RowBox[{"[", 
               RowBox[{"Range", "[", 
                RowBox[{"2", ",", "3"}], "]"}], "]"}], "]"}], "]"}]}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", 
            RowBox[{"PointSize", "[", "0.05", "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"ThreePoints", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{"Plot", " ", "circle", " ", "and", " ", "arrows"}], " ", 
           "*)"}], "\[IndentingNewLine]", 
          RowBox[{"RGBColor", "[", 
           RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", 
          RowBox[{"Circle", "[", 
           RowBox[{
            RowBox[{"ThreePoints", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", "r", ",", "angle"}], "]"}], 
          ",", 
          RowBox[{"Arrowheads", "[", "Medium", "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"ThreePoints", "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "1"}], "]"}], "]"}], "+", 
                RowBox[{"r", " ", 
                 RowBox[{"Cos", "[", 
                  RowBox[{"angle", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], "]"}]}]}], ",", 
               RowBox[{
                RowBox[{"ThreePoints", "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "2"}], "]"}], "]"}], "+", 
                RowBox[{"r", " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"angle", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], "]"}]}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"ThreePoints", "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "1"}], "]"}], "]"}], "+", 
                RowBox[{"r", " ", 
                 RowBox[{"Cos", "[", 
                  RowBox[{
                   RowBox[{"angle", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "+", " ", "0.0025"}], 
                  "]"}]}]}], ",", 
               RowBox[{
                RowBox[{"ThreePoints", "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "2"}], "]"}], "]"}], "+", 
                RowBox[{"r", " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{
                   RowBox[{"angle", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "+", " ", "0.0025"}], 
                  "]"}]}]}]}], "}"}]}], "}"}], "]"}], ",", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"ThreePoints", "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "1"}], "]"}], "]"}], "+", 
                RowBox[{"r", " ", 
                 RowBox[{"Cos", "[", 
                  RowBox[{
                   RowBox[{"angle", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", " ", "0.0025"}], 
                  "]"}]}]}], ",", 
               RowBox[{
                RowBox[{"ThreePoints", "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "2"}], "]"}], "]"}], "+", 
                RowBox[{"r", " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{
                   RowBox[{"angle", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", " ", "0.0025"}], 
                  "]"}]}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"ThreePoints", "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "1"}], "]"}], "]"}], "+", 
                RowBox[{"r", " ", 
                 RowBox[{"Cos", "[", 
                  RowBox[{"angle", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}]}]}], ",", 
               RowBox[{
                RowBox[{"ThreePoints", "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "2"}], "]"}], "]"}], "+", 
                RowBox[{"r", " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"angle", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}]}]}]}], "}"}]}], 
            "}"}], "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{"Define", " ", "angle", " ", "annotation"}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"radian", "\[Equal]", "\"\<degrees\>\""}], ",", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"N", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"angle", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                    RowBox[{"angle", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "/", "Pi"}], "*",
                     "180"}], "]"}], " ", "\"\<\[Degree]\>\""}], ",", 
                  RowBox[{"{", 
                   RowBox[{"5", ",", "2"}], "}"}]}], "]"}], ",", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"NumberForm", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"angle", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                    RowBox[{"angle", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "]"}], " ", ",", 
                    
                    RowBox[{"{", 
                    RowBox[{"5", ",", "2"}], "}"}]}], "]"}], ",", 
                   "\"\< rad.\>\""}], "}"}], "]"}]}], "]"}], ",", "Bold", ",",
               "fontsize"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"ThreePoints", "[", 
                RowBox[{"[", 
                 RowBox[{"2", ",", "1"}], "]"}], "]"}], "+", 
               RowBox[{"offset", "*", " ", "r", " ", 
                RowBox[{"Cos", "[", 
                 RowBox[{"Mean", "[", "angle", "]"}], "]"}]}]}], ",", 
              RowBox[{
               RowBox[{"ThreePoints", "[", 
                RowBox[{"[", 
                 RowBox[{"2", ",", "2"}], "]"}], "]"}], "+", 
               RowBox[{"offset", "*", " ", "r", " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"Mean", "[", "angle", "]"}], "]"}]}]}]}], "}"}]}], 
           "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
        RowBox[{"Frame", "\[Rule]", "True"}], ",", 
        RowBox[{"ImagePadding", "\[Rule]", "20"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"350", ",", "350"}], "}"}]}]}], "]"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "radian", " ", ",", "\"\<degrees\>\"", ",", "\"\<angle measure\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<degrees\>\"", ",", "\"\<radians\>\""}], "}"}]}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"InOut", ",", "\"\<interior\>\"", ",", "\"\<angle type\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<interior\>\"", ",", "\"\<exterior\>\""}], "}"}]}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"offset", ",", "1.4", ",", "\"\<offset distance\>\""}], "}"}], 
     ",", "0.5", ",", "2", ",", "0.1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fontsize", ",", "15", ",", "\"\<font size\>\""}], "}"}], ",", 
     "10", ",", "30", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0.75", ",", "0.75"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.79", ",", "0.25"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.54", ",", "0.24"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", "Locator"}], "}"}], ",", 
   RowBox[{"ControllerLinking", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4214020677818413`*^9, 3.4214020866089134`*^9}, {
   3.421444340189136*^9, 3.4214443463880496`*^9}, {3.4214443844928417`*^9, 
   3.421444395388509*^9}, {3.421444443157197*^9, 3.421444523282411*^9}, {
   3.421444575797925*^9, 3.4214446258098383`*^9}, {3.42170903075*^9, 
   3.421709036171875*^9}, {3.421709268375*^9, 3.421709269328125*^9}, {
   3.421709273421875*^9, 3.421709274*^9}, 3.4217092894375*^9, {
   3.421709294515625*^9, 3.42170929675*^9}, {3.4217093055*^9, 
   3.4217093069375*^9}, {3.421709314140625*^9, 3.42170931775*^9}, 
   3.421709356171875*^9, {3.42170936015625*^9, 3.42170936165625*^9}, {
   3.42170938584375*^9, 3.421709387125*^9}, {3.421709668609375*^9, 
   3.42170966903125*^9}, {3.4217096755*^9, 3.42170967653125*^9}, {
   3.421709705890625*^9, 3.421709708703125*^9}, {3.421709712359375*^9, 
   3.421709718875*^9}, 3.421709722921875*^9, {3.42170974765625*^9, 
   3.4217097505*^9}, {3.4217098173125*^9, 3.4217098210625*^9}, {
   3.42170982559375*^9, 3.4217098276875*^9}, 3.421709844890625*^9, {
   3.421709867046875*^9, 3.42170986834375*^9}, {3.421709877078125*^9, 
   3.42170987834375*^9}, {3.42170988490625*^9, 3.421709890171875*^9}, {
   3.42170989771875*^9, 3.421709899875*^9}, {3.4217101913125*^9, 
   3.42171019390625*^9}, {3.42171020509375*^9, 3.421710207390625*^9}, 
   3.421710221984375*^9, 3.421710225875*^9, {3.4217102461875*^9, 
   3.42171024896875*^9}, 3.42171038425*^9, 3.421710388625*^9, 
   3.42171039871875*^9, 3.421710402484375*^9, {3.42171041734375*^9, 
   3.42171042015625*^9}, {3.421710427390625*^9, 3.421710429609375*^9}, 
   3.421717972390625*^9, {3.421717975640625*^9, 3.42171797925*^9}, 
   3.42172019703125*^9, {3.42172025846875*^9, 3.4217202670625*^9}, {
   3.421720272375*^9, 3.421720275390625*^9}, 3.42172136284375*^9, {
   3.42172136846875*^9, 3.42172137784375*^9}, {3.421721409671875*^9, 
   3.42172141425*^9}, 3.421721419734375*^9, {3.42172142425*^9, 
   3.421721429265625*^9}, {3.421721432890625*^9, 3.421721435078125*^9}, 
   3.4217214384375*^9, {3.42172144828125*^9, 3.42172144915625*^9}, {
   3.421721472703125*^9, 3.421721476734375*^9}, 3.42172167571875*^9, 
   3.42172169965625*^9, {3.421721817078125*^9, 3.42172181753125*^9}, {
   3.42172183540625*^9, 3.42172183615625*^9}, {3.421721866890625*^9, 
   3.421721868109375*^9}, {3.421721909125*^9, 3.421721910359375*^9}, {
   3.421721918359375*^9, 3.421721919375*^9}, {3.421721936375*^9, 
   3.42172194390625*^9}, {3.421721955515625*^9, 3.421721956140625*^9}, {
   3.4217220276875*^9, 3.421722037953125*^9}, {3.4217221423125*^9, 
   3.42172214446875*^9}, {3.42172217215625*^9, 3.421722173578125*^9}, {
   3.421722185109375*^9, 3.421722188015625*^9}, 3.421722192125*^9, {
   3.4217221953125*^9, 3.42172219725*^9}, {3.42172272428125*^9, 
   3.421722743484375*^9}, {3.42172274653125*^9, 3.42172275025*^9}, {
   3.421722765421875*^9, 3.421722772625*^9}, {3.42172277696875*^9, 
   3.421722780078125*^9}, 3.421722786390625*^9, {3.421723006265625*^9, 
   3.421723008265625*^9}, {3.42172301871875*^9, 3.42172302215625*^9}, {
   3.421723125140625*^9, 3.421723126296875*^9}, {3.42172388765625*^9, 
   3.421723890796875*^9}, 3.4217240335625*^9, 3.421724093734375*^9, {
   3.421724418890625*^9, 3.42172442596875*^9}, {3.421724444828125*^9, 
   3.421724466671875*^9}, {3.421724476671875*^9, 3.42172448984375*^9}, {
   3.421724529359375*^9, 3.421724531171875*^9}, {3.421724534359375*^9, 
   3.421724536015625*^9}, 3.42172461403125*^9, 3.421724618859375*^9, 
   3.4217246245*^9, 3.42172462890625*^9, {3.42172466690625*^9, 
   3.42172467003125*^9}, 3.42172467703125*^9, 3.42172468565625*^9, 
   3.421724692671875*^9, {3.4217247370625*^9, 3.421724737296875*^9}, {
   3.42172474040625*^9, 3.421724746046875*^9}, 3.421724779359375*^9, {
   3.421724782375*^9, 3.42172478321875*^9}, {3.421724790015625*^9, 
   3.421724799421875*^9}, 3.421725105953125*^9, 3.421725109390625*^9, {
   3.421725118078125*^9, 3.421725118515625*^9}, {3.421725127359375*^9, 
   3.421725127734375*^9}, 3.421725138015625*^9, 3.421725147453125*^9, 
   3.421725163671875*^9, 3.42172524240625*^9, 3.42172524840625*^9, 
   3.42172525528125*^9, 3.421725264296875*^9, {3.42172527125*^9, 
   3.421725271609375*^9}, {3.42172527925*^9, 3.4217252796875*^9}, 
   3.4217254979375*^9, 3.421725559671875*^9, {3.42172556984375*^9, 
   3.42172557203125*^9}, 3.42172558659375*^9, {3.421725590828125*^9, 
   3.4217255921875*^9}, 3.42172562590625*^9, {3.4217256344375*^9, 
   3.421725634984375*^9}, 3.4217256401875*^9, 3.421725643890625*^9, 
   3.421725662359375*^9, {3.42172569325*^9, 3.421725693828125*^9}, {
   3.4217280510637836`*^9, 3.421728054498723*^9}, {3.421728238162819*^9, 
   3.4217282401757135`*^9}, {3.421728436618184*^9, 3.4217284562664366`*^9}, {
   3.4217535744529057`*^9, 3.4217538003354917`*^9}, {3.4217538478572435`*^9, 
   3.421753884600917*^9}, {3.4221109742395973`*^9, 3.4221109750209923`*^9}, {
   3.4221110555359335`*^9, 3.4221110586302576`*^9}, {3.4221111014350758`*^9, 
   3.422111109358421*^9}, {3.4221112592456098`*^9, 3.4221113842844377`*^9}, {
   3.4222031415211315`*^9, 3.422203179481927*^9}},
 CellID->347243267]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`fontsize$$ = 15, $CellContext`InOut$$ = 
    "interior", $CellContext`offset$$ = 1.4, $CellContext`p$$ = {{0.75, 
    0.75}, {0.79, 0.25}, {0.54, 0.24}}, $CellContext`radian$$ = "degrees", 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`radian$$], "degrees", "angle measure"}, {
      "degrees", "radians"}}, {{
       Hold[$CellContext`InOut$$], "interior", "angle type"}, {
      "interior", "exterior"}}, {{
       Hold[$CellContext`offset$$], 1.4, "offset distance"}, 0.5, 2, 0.1}, {{
       Hold[$CellContext`fontsize$$], 15, "font size"}, 10, 30, 1}, {{
       Hold[$CellContext`p$$], {{0.75, 0.75}, {0.79, 0.25}, {0.54, 0.24}}}, {
      0, 0}, {1, 1}}}, Typeset`size$$ = {350., {173., 177.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`radian$96844$$ = False, $CellContext`InOut$96845$$ = 
    False, $CellContext`offset$96846$$ = 0, $CellContext`fontsize$96847$$ = 
    0, $CellContext`p$96848$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`fontsize$$ = 15, $CellContext`InOut$$ = 
        "interior", $CellContext`offset$$ = 
        1.4, $CellContext`p$$ = {{0.75, 0.75}, {0.79, 0.25}, {0.54, 
         0.24}}, $CellContext`radian$$ = "degrees"}, 
      "ControllerVariables" :> {
        Hold[$CellContext`radian$$, $CellContext`radian$96844$$, False], 
        Hold[$CellContext`InOut$$, $CellContext`InOut$96845$$, False], 
        Hold[$CellContext`offset$$, $CellContext`offset$96846$$, 0], 
        Hold[$CellContext`fontsize$$, $CellContext`fontsize$96847$$, 0], 
        Hold[$CellContext`p$$, $CellContext`p$96848$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`v1$, $CellContext`v2$, $CellContext`angle$, \
$CellContext`r$, $CellContext`ThreePoints$, $CellContext`fa$}, \
$CellContext`ThreePoints$ = $CellContext`p$$; $CellContext`v1$ = 
         Part[$CellContext`ThreePoints$, 1] - 
          Part[$CellContext`ThreePoints$, 2]; $CellContext`v2$ = 
         Part[$CellContext`ThreePoints$, 3] - 
          Part[$CellContext`ThreePoints$, 2]; $CellContext`fa$[
           Pattern[$CellContext`rd, 
            Blank[List]]] := 
         Arg[Part[$CellContext`rd, 1] + 
           I Part[$CellContext`rd, 2]]; $CellContext`angle$ = 
         If[$CellContext`fa$[$CellContext`v2$] > \
$CellContext`fa$[$CellContext`v1$], {
            $CellContext`fa$[$CellContext`v1$], 
            $CellContext`fa$[$CellContext`v2$]}, {
            $CellContext`fa$[$CellContext`v1$], 
            2 Pi + $CellContext`fa$[$CellContext`v2$]}]; 
        If[$CellContext`InOut$$ == "interior", 
          If[Part[$CellContext`angle$, 2] - Part[$CellContext`angle$, 1] >= 
            Pi, $CellContext`angle$ = {
              Part[$CellContext`angle$, 2], Part[$CellContext`angle$, 1] + 
              2 Pi}]; $CellContext`r$ = Min[
              Norm[$CellContext`v1$], 
              Norm[$CellContext`v2$]]/2, 
          If[Part[$CellContext`angle$, 2] - Part[$CellContext`angle$, 1] < 
            Pi, $CellContext`angle$ = {
              Part[$CellContext`angle$, 2], Part[$CellContext`angle$, 1] + 
              2 Pi}]; $CellContext`r$ = Min[
              Norm[$CellContext`v1$], 
              Norm[$CellContext`v2$]]/4]; Graphics[{{
            RGBColor[0.25, 0.43, 0.82], Thick, 
            Line[
             Part[$CellContext`ThreePoints$, 
              Range[2]]], 
            Line[
             Part[$CellContext`ThreePoints$, 
              Range[2, 3]]]}, {
            RGBColor[0.6, 0.73, 0.36], 
            PointSize[0.05], 
            Point[
             Part[$CellContext`ThreePoints$, 2]]}, 
           RGBColor[0.49, 0, 0], 
           Circle[
            
            Part[$CellContext`ThreePoints$, 
             2], $CellContext`r$, $CellContext`angle$], 
           Arrowheads[Medium], 
           
           Arrow[{{Part[$CellContext`ThreePoints$, 2, 1] + $CellContext`r$ 
               Cos[
                 Part[$CellContext`angle$, 2]], 
              Part[$CellContext`ThreePoints$, 2, 2] + $CellContext`r$ Sin[
                 Part[$CellContext`angle$, 2]]}, {
             Part[$CellContext`ThreePoints$, 2, 1] + $CellContext`r$ 
               Cos[Part[$CellContext`angle$, 2] + 0.0025], 
              Part[$CellContext`ThreePoints$, 2, 2] + $CellContext`r$ 
               Sin[Part[$CellContext`angle$, 2] + 0.0025]}}], 
           
           Arrow[{{Part[$CellContext`ThreePoints$, 2, 1] + $CellContext`r$ 
               Cos[Part[$CellContext`angle$, 1] + 0.0025], 
              Part[$CellContext`ThreePoints$, 2, 2] + $CellContext`r$ 
               Sin[Part[$CellContext`angle$, 1] + 0.0025]}, {
             Part[$CellContext`ThreePoints$, 2, 1] + $CellContext`r$ Cos[
                 Part[$CellContext`angle$, 1]], 
              Part[$CellContext`ThreePoints$, 2, 2] + $CellContext`r$ Sin[
                 Part[$CellContext`angle$, 1]]}}], 
           Text[
            Style[
             If[$CellContext`radian$$ == "degrees", 
              NumberForm[
              N[((Part[$CellContext`angle$, 2] - 
                   Part[$CellContext`angle$, 1])/Pi) 180] "\[Degree]", {5, 
               2}], 
              Row[{
                NumberForm[
                 N[
                 Part[$CellContext`angle$, 2] - 
                  Part[$CellContext`angle$, 1]], {5, 2}], " rad."}]], 
             Bold, $CellContext`fontsize$$], {
            Part[$CellContext`ThreePoints$, 2, 
               1] + $CellContext`offset$$ $CellContext`r$ Cos[
                Mean[$CellContext`angle$]], 
             Part[$CellContext`ThreePoints$, 2, 
               2] + $CellContext`offset$$ $CellContext`r$ Sin[
                Mean[$CellContext`angle$]]}]}, GridLines -> Automatic, Frame -> 
          True, ImagePadding -> 20, PlotRange -> {{0, 1}, {0, 1}}, 
          ImageSize -> {350, 350}]], 
      "Specifications" :> {{{$CellContext`radian$$, "degrees", 
          "angle measure"}, {
         "degrees", "radians"}}, {{$CellContext`InOut$$, "interior", 
          "angle type"}, {
         "interior", "exterior"}}, {{$CellContext`offset$$, 1.4, 
          "offset distance"}, 0.5, 2, 0.1, Appearance -> "Labeled", 
         ControlPlacement -> 
         Top}, {{$CellContext`fontsize$$, 15, "font size"}, 10, 30, 1, 
         Appearance -> "Labeled", ControlPlacement -> 
         Top}, {{$CellContext`p$$, {{0.75, 0.75}, {0.79, 0.25}, {0.54, 
          0.24}}}, {0, 0}, {1, 1}, ControlType -> Locator}}, 
      "Options" :> {ControllerLinking -> False}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{394., {255., 260.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->413435518],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Angle Measure",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AngleMeasure/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/AngleMeasure/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/AngleMeasure/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AngleMeasure/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/AngleMeasure/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Frederick Wu",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/search.html?query=Frederick+Wu"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "Additional contributions by: ",
 ButtonBox["Bing Ye",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/search.html?query=Bing+Ye"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->84494332]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
AngleMeasure"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Angle Measure - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 205, 4, 70, "Section"],
Cell[798, 29, 19161, 431, 70, "Input",
 CellID->347243267]
}, Open  ]],
Cell[19974, 463, 7501, 148, 70, "Output",
 CellID->413435518],
Cell[CellGroupData[{
Cell[27500, 615, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[27876, 626, 850, 24, 70, "Text"],
Cell[28729, 652, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[29091, 665, 345, 12, 70, "Text"],
Cell[29439, 679, 367, 13, 70, "Text",
 CellID->84494332]
}, Open  ]],
Cell[CellGroupData[{
Cell[29843, 697, 829, 24, 70, "Text"],
Cell[30675, 723, 1188, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature XSjYm1t9Xz3L0DTQI2IR1Sp@ *)
