(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     31840,        786]
NotebookOptionsPosition[     30734,        745]
NotebookOutlinePosition[     31364,        769]
CellTagsIndexPosition[     31321,        766]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Angles Measured in Degrees and Radians", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"reset", "\[Equal]", "True"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\[Theta]", ",", "r", ",", "\[Beta]"}], "}"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"30", "\[Degree]"}], ",", "1", ",", 
          RowBox[{"0", "\[Degree]"}]}], "}"}]}], ";", 
       RowBox[{"reset", "=", "False"}]}]}], "]"}], ";", "\[IndentingNewLine]",
     
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Graphics", "[", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{"Gray", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.2"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1.2", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"-", "1.2"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1.2"}], "}"}]}], "}"}], "]"}], ",", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"\"\<r = \>\"", "<>", 
            RowBox[{"ToString", "[", "r", "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"r", "+", ".03"}], ",", 
             RowBox[{"-", ".1"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", ".3", ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"\[Theta]", "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"0", "+", "\[Beta]"}], ",", 
               RowBox[{"\[Theta]", "+", "\[Beta]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Theta]", "+", "\[Beta]"}], ",", 
               RowBox[{"0", "+", "\[Beta]"}]}], "}"}]}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"\[Theta]", "\[GreaterEqual]", "0"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{".3", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", 
                  RowBox[{"\[Theta]", "+", "\[Beta]"}], "]"}], ",", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"\[Theta]", "+", "\[Beta]"}], "]"}]}], "}"}]}], ",",
               
              RowBox[{".25", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", 
                  RowBox[{"\[Theta]", "+", "\[Beta]", "-", 
                   RowBox[{"20", "\[Degree]"}]}], "]"}], ",", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"\[Theta]", "+", "\[Beta]", "-", 
                   RowBox[{"20", "\[Degree]"}]}], "]"}]}], "}"}]}], ",", 
              RowBox[{".33", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", 
                  RowBox[{"\[Theta]", "+", "\[Beta]", "-", 
                   RowBox[{"20", "\[Degree]"}]}], "]"}], ",", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"\[Theta]", "+", "\[Beta]", "-", 
                   RowBox[{"20", "\[Degree]"}]}], "]"}]}], "}"}]}]}], "}"}], 
            "]"}], ",", 
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{".3", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", 
                  RowBox[{"\[Theta]", "+", "\[Beta]"}], "]"}], ",", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"\[Theta]", "+", "\[Beta]"}], "]"}]}], "}"}]}], ",",
               
              RowBox[{".25", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", 
                  RowBox[{"\[Theta]", "+", "\[Beta]", "+", 
                   RowBox[{"20", "\[Degree]"}]}], "]"}], ",", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"\[Theta]", "+", "\[Beta]", "+", 
                   RowBox[{"20", "\[Degree]"}]}], "]"}]}], "}"}]}], ",", 
              RowBox[{".33", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", 
                  RowBox[{"\[Theta]", "+", "\[Beta]", "+", 
                   RowBox[{"20", "\[Degree]"}]}], "]"}], ",", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"\[Theta]", "+", "\[Beta]", "+", 
                   RowBox[{"20", "\[Degree]"}]}], "]"}]}], "}"}]}]}], "}"}], 
            "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Darker", "[", 
          RowBox[{"Gray", ",", ".7"}], "]"}], ",", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "r"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"r", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Cos", "[", 
                    RowBox[{"\[Alpha]", "+", "\[Beta]"}], "]"}], ",", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"\[Alpha]", "+", "\[Beta]"}], "]"}]}], "}"}]}], 
                ",", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"r", "+", "0.1"}], ")"}], 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Cos", "[", 
                    RowBox[{"\[Alpha]", "+", "\[Beta]"}], "]"}], ",", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"\[Alpha]", "+", "\[Beta]"}], "]"}]}], "}"}]}]}], 
               "}"}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"ToString", "[", "\[Alpha]", "]"}], "<>", 
                "\"\< rad\>\""}], ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"r", "+", "0.2"}], ")"}], 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", 
                   RowBox[{"\[Alpha]", "+", "\[Beta]"}], "]"}], ",", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"\[Alpha]", "+", "\[Beta]"}], "]"}]}], "}"}]}]}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[Alpha]", ",", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"\[Theta]", ">", "0"}], ",", "1", ",", 
               RowBox[{"-", "1"}]}], "]"}], ",", "\[Theta]", ",", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"\[Theta]", ">", "0"}], ",", "1", ",", 
               RowBox[{"-", "1"}]}], "]"}]}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"AbsoluteThickness", "[", "2", "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", ".26", ",", "0"}], "]"}], ",", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "r", ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"\[Theta]", "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"0", "+", "\[Beta]"}], ",", 
               RowBox[{"\[Theta]", "+", "\[Beta]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Theta]", "+", "\[Beta]"}], ",", 
               RowBox[{"0", "+", "\[Beta]"}]}], "}"}]}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", "Purple", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"r", "+", ".2"}], ")"}], 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Beta]"}], "]"}], ",", 
               RowBox[{"Sin", "[", 
                RowBox[{"\[Theta]", "+", "\[Beta]"}], "]"}]}], "}"}]}]}], 
           "}"}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"RGBColor", "[", 
          RowBox[{".12", ",", ".61", ",", ".78"}], "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"r", "+", ".2"}], ")"}], 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Beta]", "]"}], ",", 
               RowBox[{"Sin", "[", "\[Beta]", "]"}]}], "}"}]}]}], "}"}], 
          "]"}], ",", "\[IndentingNewLine]", "Black", ",", 
         RowBox[{"AbsolutePointSize", "[", "5", "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"r", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Beta]"}], "]"}], ",", 
             RowBox[{"Sin", "[", 
              RowBox[{"\[Theta]", "+", "\[Beta]"}], "]"}]}], "}"}]}], "]"}], 
         ",", 
         RowBox[{"Point", "[", 
          RowBox[{"r", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Cos", "[", "\[Beta]", "]"}], ",", 
             RowBox[{"Sin", "[", "\[Beta]", "]"}]}], "}"}]}], "]"}]}], 
        "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", "1.9"}], ",", "\[IndentingNewLine]", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"StringForm", "[", 
        RowBox[{
        "\"\<`` = `` of whole = `` \[Times] 2\[Pi] = `` = `` ``\>\"", ",", 
         "\[Theta]", ",", 
         FractionBox["\[Theta]", 
          RowBox[{"360", "\[Degree]"}]], ",", 
         FractionBox["\[Theta]", 
          RowBox[{"360", "\[Degree]"}]], ",", 
         RowBox[{"Style", "[", 
          RowBox[{
           FractionBox[
            RowBox[{"\[Theta]", " ", "\[Pi]"}], 
            RowBox[{"180", "\[Degree]"}]], ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"1", ",", ".26", ",", "0"}], "]"}]}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Round", "[", 
            RowBox[{
             FractionBox[
              RowBox[{"\[Theta]", " ", "\[Pi]"}], 
              RowBox[{"180.", "\[Degree]"}]], ",", ".001"}], "]"}], ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"1", ",", ".26", ",", "0"}], "]"}]}], "]"}], ",", 
         RowBox[{"Column", "[", 
          RowBox[{
           RowBox[{"{", "\"\< \>\"", "}"}], ",", 
           RowBox[{"ItemSize", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"Automatic", ",", "2.75"}], "}"}]}]}], "]"}]}], "]"}]}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"format", "\[Equal]", "True"}], ",", "500", ",", "380"}], 
        "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontSize", "\[Rule]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"format", "\[Equal]", "True"}], ",", "16", ",", "12"}], 
          "]"}]}], "}"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Theta]", ",", 
       RowBox[{"30", "\[Degree]"}], ",", "\"\<angle\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"-", "360"}], "\[Degree]"}], ",", 
     RowBox[{"360", "\[Degree]"}], ",", 
     RowBox[{"1", "\[Degree]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"format", "\[Equal]", "True"}], ",", "Medium", ",", "Tiny"}], 
       "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "1", ",", "\"\<radius\>\""}], "}"}], ",", "0.5", ",", 
     "1.5", ",", ".1", ",", "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"format", "\[Equal]", "True"}], ",", "Medium", ",", "Tiny"}], 
       "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Beta]", ",", "0", ",", "\"\<position\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"-", "360"}], "\[Degree]"}], ",", 
     RowBox[{"360", "\[Degree]"}], ",", 
     RowBox[{"1", "\[Degree]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"format", "\[Equal]", "True"}], ",", "Medium", ",", "Tiny"}], 
       "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", "Delimiter", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"reset", ",", "False", ",", "\"\<reset\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"format", ",", "False", ",", "\"\<large format\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.374280301410529*^9, {3.374281093797949*^9, 3.374281135108358*^9}, {
   3.3742817434632607`*^9, 3.3742817720456553`*^9}, {3.3742818243117723`*^9, 
   3.37428190269522*^9}, {3.374321339078557*^9, 3.3743214693418818`*^9}, {
   3.374321502840561*^9, 3.374321598743758*^9}, {3.374321635167335*^9, 
   3.374321787166831*^9}, {3.3743218227400007`*^9, 3.3743218256047707`*^9}, {
   3.374321885615106*^9, 3.374321971892016*^9}, {3.374322040078637*^9, 
   3.374322192728774*^9}, {3.374322231805141*^9, 3.374322235669965*^9}, {
   3.374343150220303*^9, 3.374343153075838*^9}, {3.3743705067787333`*^9, 
   3.374370832073098*^9}, {3.374370993732389*^9, 3.374371002669186*^9}, {
   3.374371157755187*^9, 3.374371195744927*^9}, {3.374371359571898*^9, 
   3.3743713626165*^9}, {3.374372111715516*^9, 3.3743722560941668`*^9}, {
   3.374372290541686*^9, 3.374372411514843*^9}, {3.3743724581251163`*^9, 
   3.3743724584505253`*^9}, {3.374372842350904*^9, 3.374372842819819*^9}, 
   3.3743729266216288`*^9, {3.3744109806620073`*^9, 3.374411048125808*^9}, {
   3.3744110824218073`*^9, 3.374411217002069*^9}, {3.374411289763627*^9, 
   3.374411291779112*^9}, {3.374411393028509*^9, 3.374411485723269*^9}, {
   3.374411516336941*^9, 3.3744116235747337`*^9}, {3.3744116606616907`*^9, 
   3.374411677030017*^9}, {3.374411709784461*^9, 3.374411728565608*^9}, {
   3.374411789729252*^9, 3.3744119311183863`*^9}, {3.374412262284751*^9, 
   3.374412329640874*^9}, {3.374449552891577*^9, 3.374449723633197*^9}, {
   3.37444977606581*^9, 3.3744498772568607`*^9}, {3.374449915962235*^9, 
   3.374449977320959*^9}, {3.374450016605769*^9, 3.3744500364602823`*^9}, {
   3.374450084210723*^9, 3.3744501520661783`*^9}, {3.3744502540395813`*^9, 
   3.37445025519921*^9}, {3.374450307155937*^9, 3.374450429704693*^9}, {
   3.374450564440095*^9, 3.374450571928562*^9}, {3.374450605981429*^9, 
   3.374450646902337*^9}, {3.3744507194075537`*^9, 3.374450742614552*^9}, {
   3.374459954932206*^9, 3.374460008144435*^9}, {3.374460108287079*^9, 
   3.374460128960491*^9}, {3.374460162523934*^9, 3.374460197066553*^9}, {
   3.3744605728659554`*^9, 3.374460617359919*^9}, {3.37446074909914*^9, 
   3.374460917935626*^9}, {3.374460962750799*^9, 3.3744609652674026`*^9}, {
   3.374461007108881*^9, 3.374461157020578*^9}, {3.374461192611886*^9, 
   3.374461240078683*^9}, {3.374461286238909*^9, 3.374461320206161*^9}, {
   3.37446138987525*^9, 3.374461411319912*^9}, {3.374461545237301*^9, 
   3.3744615485930758`*^9}, {3.374461607683525*^9, 3.374461650922945*^9}, {
   3.3745453014563427`*^9, 3.374545416235373*^9}, {3.374545467123435*^9, 
   3.37454554901023*^9}, {3.3745756004248133`*^9, 3.374575648854341*^9}, {
   3.374575702434009*^9, 3.374575742658367*^9}, {3.3745757945794764`*^9, 
   3.374575818380312*^9}, {3.374575866373852*^9, 3.374575866855809*^9}, {
   3.374575937288315*^9, 3.374575937552136*^9}, {3.3745762665681143`*^9, 
   3.3745762672229977`*^9}, {3.3745857114407215`*^9, 3.3745857246282215`*^9}, 
   3.3745858129407215`*^9, {3.3745862354250965`*^9, 3.3745862453313465`*^9}, {
   3.382212996649658*^9, 3.382213055493408*^9}},
 CellID->364180431]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`format$$ = False, $CellContext`r$$ = 
    1, $CellContext`reset$$ = False, $CellContext`\[Beta]$$ = 
    0, $CellContext`\[Theta]$$ = 30 Degree, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Theta]$$], 30 Degree, "angle"}, (-360) Degree, 360 
      Degree, Degree}, {{
       Hold[$CellContext`r$$], 1, "radius"}, 0.5, 1.5, 0.1}, {{
       Hold[$CellContext`\[Beta]$$], 0, "position"}, (-360) Degree, 360 
      Degree, Degree}, {{
       Hold[$CellContext`reset$$], False, "reset"}, {False, True}}, {{
       Hold[$CellContext`format$$], False, "large format"}, {False, True}}}, 
    Typeset`size$$ = {380., {207., 214.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`\[Theta]$29304$$ = 0, $CellContext`r$29305$$ = 
    0, $CellContext`\[Beta]$29306$$ = 0, $CellContext`reset$29307$$ = 
    False, $CellContext`format$29308$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`format$$ = False, $CellContext`r$$ = 
        1, $CellContext`reset$$ = False, $CellContext`\[Beta]$$ = 
        0, $CellContext`\[Theta]$$ = 30 Degree}, "ControllerVariables" :> {
        Hold[$CellContext`\[Theta]$$, $CellContext`\[Theta]$29304$$, 0], 
        Hold[$CellContext`r$$, $CellContext`r$29305$$, 0], 
        Hold[$CellContext`\[Beta]$$, $CellContext`\[Beta]$29306$$, 0], 
        Hold[$CellContext`reset$$, $CellContext`reset$29307$$, False], 
        Hold[$CellContext`format$$, $CellContext`format$29308$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`reset$$ == 
         True, {$CellContext`\[Theta]$$, $CellContext`r$$, $CellContext`\
\[Beta]$$} = {30 Degree, 1, 0 Degree}; $CellContext`reset$$ = False]; Show[
         Graphics[{Gray, 
           Line[{{-1.2, 0}, {1.2, 0}}], 
           Line[{{0, -1.2}, {0, 1.2}}], 
           Circle[{0, 0}, 1], 
           Text[
            StringJoin["r = ", 
             ToString[$CellContext`r$$]], {$CellContext`r$$ + 
             0.03, -0.1}, {-1, 0}], 
           Circle[{0, 0}, 0.3, 
            
            If[$CellContext`\[Theta]$$ >= 0, {
             0 + $CellContext`\[Beta]$$, $CellContext`\[Theta]$$ + \
$CellContext`\[Beta]$$}, {$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$, 
              0 + $CellContext`\[Beta]$$}]], 
           If[$CellContext`\[Theta]$$ >= 0, 
            Polygon[{0.3 {
                Cos[$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$], 
                Sin[$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$]}, 
              0.25 {
                
                Cos[$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$ - 20 
                 Degree], 
                
                Sin[$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$ - 20 
                 Degree]}, 0.33 {
                
                Cos[$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$ - 20 
                 Degree], 
                
                Sin[$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$ - 20 
                 Degree]}}], 
            Polygon[{0.3 {
                Cos[$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$], 
                Sin[$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$]}, 
              0.25 {
                
                Cos[$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$ + 
                 20 Degree], 
                
                Sin[$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$ + 
                 20 Degree]}, 0.33 {
                
                Cos[$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$ + 
                 20 Degree], 
                
                Sin[$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$ + 
                 20 Degree]}}]], 
           Darker[Gray, 0.7], 
           Circle[{0, 0}, $CellContext`r$$], 
           Table[{
             Line[{$CellContext`r$$ {
                 Cos[$CellContext`\[Alpha] + $CellContext`\[Beta]$$], 
                 
                 Sin[$CellContext`\[Alpha] + $CellContext`\[Beta]$$]}, \
($CellContext`r$$ + 0.1) {
                 Cos[$CellContext`\[Alpha] + $CellContext`\[Beta]$$], 
                 Sin[$CellContext`\[Alpha] + $CellContext`\[Beta]$$]}}], 
             Text[
              StringJoin[
               ToString[$CellContext`\[Alpha]], " rad"], ($CellContext`r$$ + 
               0.2) {
                Cos[$CellContext`\[Alpha] + $CellContext`\[Beta]$$], 
                
                Sin[$CellContext`\[Alpha] + $CellContext`\[Beta]$$]}]}, \
{$CellContext`\[Alpha], 
             If[$CellContext`\[Theta]$$ > 0, 1, -1], $CellContext`\[Theta]$$, 
             
             If[$CellContext`\[Theta]$$ > 0, 1, -1]}], 
           AbsoluteThickness[2], 
           RGBColor[1, 0.26, 0], 
           Circle[{0, 0}, $CellContext`r$$, 
            
            If[$CellContext`\[Theta]$$ >= 0, {
             0 + $CellContext`\[Beta]$$, $CellContext`\[Theta]$$ + \
$CellContext`\[Beta]$$}, {$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$, 
              0 + $CellContext`\[Beta]$$}]], Purple, 
           Line[{{0, 0}, ($CellContext`r$$ + 0.2) {
               Cos[$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$], 
               Sin[$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$]}}], 
           RGBColor[0.12, 0.61, 0.78], 
           Line[{{0, 0}, ($CellContext`r$$ + 0.2) {
               Cos[$CellContext`\[Beta]$$], 
               Sin[$CellContext`\[Beta]$$]}}], Black, 
           AbsolutePointSize[5], 
           Point[$CellContext`r$$ {
              Cos[$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$], 
              Sin[$CellContext`\[Theta]$$ + $CellContext`\[Beta]$$]}], 
           Point[$CellContext`r$$ {
              Cos[$CellContext`\[Beta]$$], 
              Sin[$CellContext`\[Beta]$$]}]}], PlotRange -> 1.9, PlotLabel -> 
         StringForm[
          "`` = `` of whole = `` \[Times] 2\[Pi] = `` = `` ``", $CellContext`\
\[Theta]$$, $CellContext`\[Theta]$$/(360 Degree), $CellContext`\[Theta]$$/(
           360 Degree), 
           Style[$CellContext`\[Theta]$$ (Pi/(180 Degree)), 
            RGBColor[1, 0.26, 0]], 
           Style[
            Round[$CellContext`\[Theta]$$ (Pi/(180. Degree)), 0.001], 
            RGBColor[1, 0.26, 0]], 
           Column[{" "}, ItemSize -> {Automatic, 2.75}]], AspectRatio -> 1, 
         ImageSize -> If[$CellContext`format$$ == True, 500, 380], 
         BaseStyle -> {
          FontSize -> If[$CellContext`format$$ == True, 16, 12]}]), 
      "Specifications" :> {{{$CellContext`\[Theta]$$, 30 Degree, 
          "angle"}, (-360) Degree, 360 Degree, Degree, ImageSize -> Dynamic[
           
           If[$CellContext`format$$ == True, Medium, 
            Tiny]]}, {{$CellContext`r$$, 1, "radius"}, 0.5, 1.5, 0.1, 
         ImageSize -> Dynamic[
           
           If[$CellContext`format$$ == True, Medium, 
            Tiny]]}, {{$CellContext`\[Beta]$$, 0, "position"}, (-360) Degree, 
         360 Degree, Degree, ImageSize -> Dynamic[
           If[$CellContext`format$$ == True, Medium, Tiny]]}, 
        Delimiter, {{$CellContext`reset$$, False, "reset"}, {
         False, True}}, {{$CellContext`format$$, False, "large format"}, {
         False, True}}}, 
      "Options" :> {ControlPlacement -> Left, AutorunSequencing -> {1, 2, 3}},
       "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{569., {235., 240.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->796266859],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Angles Measured in Degrees and Radians",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AnglesMeasuredInDegreesAndRadians/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/AnglesMeasuredInDegreesAndRadians/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
AnglesMeasuredInDegreesAndRadians/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AnglesMeasuredInDegreesAndRadians/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/AnglesMeasuredInDegreesAndRadians/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Eric Schulz",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Eric+Schulz"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Eric+Schulz"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->1821867682],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
AnglesMeasuredInDegreesAndRadians"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{749, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Angles Measured in Degrees and Radians - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 230, 4, 70, "Section"],
Cell[823, 29, 17393, 405, 70, "Input",
 CellID->364180431]
}, Open  ]],
Cell[18231, 437, 8220, 169, 70, "Output",
 CellID->796266859],
Cell[CellGroupData[{
Cell[26476, 610, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[26852, 621, 994, 29, 70, "Text"],
Cell[27849, 652, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[28189, 663, 451, 15, 70, "Text",
 CellID->1821867682],
Cell[CellGroupData[{
Cell[28665, 682, 829, 24, 70, "Text"],
Cell[29497, 708, 1209, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature uTz5H7jj26POZBpS7gxre37G *)
