(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     36317,        929]
NotebookOptionsPosition[     35200,        888]
NotebookOutlinePosition[     35840,        912]
CellTagsIndexPosition[     35797,        909]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Coordinates of a Point Relative to a Basis in 2D", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"DynamicModule", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"uvgridsize", ",", "uvgrid", ",", "uvaxes"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"resetOption", "\[Equal]", "True"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
           "u", ",", "v", ",", "pu", ",", "pv", ",", "restrictOption"}], 
           "}"}], "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}], ",", "1", ",", "1", ",", 
            "False"}], "}"}]}], ";", 
         RowBox[{"resetOption", "=", "False"}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"restrictOption", ",", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"pu", ",", "pv"}], "}"}], "=", 
         RowBox[{"Map", "[", 
          RowBox[{"Round", ",", 
           RowBox[{"{", 
            RowBox[{"pu", ",", "pv"}], "}"}]}], "]"}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"uvgrid", "=", 
       RowBox[{"Flatten", "[", "\[IndentingNewLine]", 
        RowBox[{"Append", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Lighter", "[", 
             RowBox[{"ucolor", ",", ".5"}], "]"}], ",", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", "5"}], "*", 
                   RowBox[{"Dynamic", "[", "u", "]"}]}], "+", 
                  RowBox[{"i", "*", 
                   RowBox[{"Dynamic", "[", "v", "]"}]}]}], ",", 
                 RowBox[{
                  RowBox[{"5", "*", 
                   RowBox[{"Dynamic", "[", "u", "]"}]}], "+", 
                  RowBox[{"i", "*", 
                   RowBox[{"Dynamic", "[", "v", "]"}]}]}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", 
                RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "]"}]}], "}"}], ",", 
          
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Lighter", "[", 
             RowBox[{"vcolor", ",", ".5"}], "]"}], ",", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", "5"}], "*", 
                   RowBox[{"Dynamic", "[", "v", "]"}]}], "+", 
                  RowBox[{"i", "*", 
                   RowBox[{"Dynamic", "[", "u", "]"}]}]}], ",", 
                 RowBox[{
                  RowBox[{"5", "*", 
                   RowBox[{"Dynamic", "[", "v", "]"}]}], "+", 
                  RowBox[{"i", "*", 
                   RowBox[{"Dynamic", "[", "u", "]"}]}]}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", 
                RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "]"}]}], "}"}]}], 
         "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"uvaxes", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"AbsoluteThickness", "[", "1.5", "]"}], ",", 
         RowBox[{"Lighter", "[", 
          RowBox[{"ucolor", ",", ".5"}], "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"5", "*", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"Dynamic", "[", "u", "]"}]}], ",", 
             RowBox[{"Dynamic", "[", "u", "]"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"Lighter", "[", 
          RowBox[{"vcolor", ",", ".5"}], "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"5", "*", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"Dynamic", "[", "v", "]"}]}], ",", 
             RowBox[{"Dynamic", "[", "v", "]"}]}], "}"}]}], "]"}]}], "}"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"Show", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Graphics", "[", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{"uvgridcolor", ",", 
           RowBox[{"If", "[", 
            RowBox[{"uvgridOption", ",", "uvgrid", ",", "uvgridcolor"}], 
            "]"}], ",", "\[IndentingNewLine]", "uvaxescolor", ",", 
           RowBox[{"If", "[", 
            RowBox[{"uvaxesOption", ",", "uvaxes", ",", "uvaxescolor"}], 
            "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"AbsoluteThickness", "[", "2", "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Arrowheads", "[", 
            RowBox[{"If", "[", 
             RowBox[{"formatOption", ",", "Large", ",", "Medium"}], "]"}], 
            "]"}], ",", "\[IndentingNewLine]", "ucolor", ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Arrow", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", "u"}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{"vectorlabelOption", ",", 
               RowBox[{"Round", "[", 
                RowBox[{"u", ",", ".1"}], "]"}], ",", "\"\< \>\""}], "]"}], 
             ",", 
             RowBox[{"u", "+", 
              RowBox[{"Normalize", "[", "u", "]"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", "vcolor", ",", "\[IndentingNewLine]", 
           RowBox[{"Arrow", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", "v"}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{"vectorlabelOption", ",", 
               RowBox[{"Round", "[", 
                RowBox[{"v", ",", ".1"}], "]"}], ",", "\"\< \>\""}], "]"}], 
             ",", 
             RowBox[{"v", "+", 
              RowBox[{"Normalize", "[", "v", "]"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", "pointcolor", ",", "\[IndentingNewLine]", 
           RowBox[{"AbsolutePointSize", "[", "7", "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Point", "[", 
            RowBox[{
             RowBox[{"pu", "*", "u"}], "+", 
             RowBox[{"pv", "*", "v"}]}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{"uvcoordOption", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Round", "[", 
                    RowBox[{"pu", ",", ".1"}], "]"}], ",", "ucolor"}], "]"}], 
                 ",", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Round", "[", 
                    RowBox[{"pv", ",", ".1"}], "]"}], ",", "vcolor"}], 
                  "]"}]}], "}"}], ",", "\"\<\>\""}], "]"}], ",", 
             RowBox[{
              RowBox[{"pu", "*", "u"}], "+", 
              RowBox[{"pv", "*", "v"}], "+", 
              RowBox[{"{", 
               RowBox[{"0", ",", ".4"}], "}"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{"xycoordOption", ",", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Round", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"pu", "*", "u"}], "+", 
                    RowBox[{"pv", "*", "v"}]}], ",", ".1"}], "]"}], ",", 
                 "pointcolor"}], "]"}], ",", "\"\<\>\""}], "]"}], ",", 
             RowBox[{
              RowBox[{"pu", "*", "u"}], "+", 
              RowBox[{"pv", "*", "v"}], "+", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", ".4"}]}], "}"}]}]}], "]"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Ticks", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Range", "[", 
            RowBox[{
             RowBox[{"-", "5"}], ",", "5"}], "]"}], ",", 
           RowBox[{"Range", "[", 
            RowBox[{
             RowBox[{"-", "5"}], ",", "5"}], "]"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"GridLines", "\[Rule]", 
         RowBox[{"If", "[", 
          RowBox[{"xygridOption", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "5"}], ",", "5"}], "]"}], ",", 
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "5"}], ",", "5"}], "]"}]}], "}"}], ",", "None"}], 
          "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"GridLinesStyle", "\[Rule]", 
         RowBox[{"Lighter", "[", 
          RowBox[{"pointcolor", ",", ".8"}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Axes", "\[Rule]", "xyaxesOption"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"BaseStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"\"\<Label\>\"", ",", 
           RowBox[{"If", "[", 
            RowBox[{"formatOption", ",", "15", ",", "10"}], "]"}]}], "}"}]}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"If", "[", 
          RowBox[{"formatOption", ",", "438", ",", "288"}], "]"}]}]}], 
       "]"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pu", ",", "1", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<u coordinate\>\"", ",", "ucolor"}], "]"}]}], "}"}], ",", 
     
     RowBox[{"-", "5"}], ",", "5", ",", 
     RowBox[{"If", "[", 
      RowBox[{"restrictOption", ",", "1", ",", "0.1"}], "]"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"formatOption", "\[Equal]", "True"}], ",", "Large", ",", 
        "Medium"}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pv", ",", "1", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<v coordinate\>\"", ",", "vcolor"}], "]"}]}], "}"}], ",", 
     
     RowBox[{"-", "5"}], ",", "5", ",", 
     RowBox[{"If", "[", 
      RowBox[{"restrictOption", ",", "1", ",", "0.1"}], "]"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"formatOption", "\[Equal]", "True"}], ",", "Large", ",", 
        "Medium"}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<u vector\>\"", ",", "ucolor"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2.5"}], ",", 
       RowBox[{"-", "2.5"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2.5", ",", "2.5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{".1", ",", ".1"}], "}"}], ",", "Locator", ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{"formatOption", ",", "Medium", ",", "Tiny"}], "]"}]}]}], "}"}],
    ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"v", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<v vector\>\"", ",", "vcolor"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2.5"}], ",", 
       RowBox[{"-", "2.5"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2.5", ",", "2.5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{".1", ",", ".1"}], "}"}], ",", "Locator", ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{"formatOption", ",", "Medium", ",", "Tiny"}], "]"}]}]}], "}"}],
    ",", "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"uvcoordOption", ",", "False", ",", "\"\<u-v coord\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"uvgridOption", ",", "True", ",", "\"\<u-v grid\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"uvaxesOption", ",", "True", ",", "\"\<u-v axes\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xycoordOption", ",", "False", ",", "\"\<x-y coord\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xygridOption", ",", "False", ",", "\"\<x-y grid\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xyaxesOption", ",", "True", ",", "\"\<x-y axes\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "vectorlabelOption", ",", "False", ",", "\"\<vector labels\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"restrictOption", ",", "False", ",", "\"\<integer coord\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"formatOption", ",", "False", ",", "\"\<large format\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"resetOption", ",", "False", ",", "\"\<reset\>\""}], "}"}], ",",
      
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "Top", ",", "Top", ",", "Left", ",", "Left", ",", "Left", ",", "Left", 
      ",", "Left", ",", "Left", ",", "Left", ",", "Left", ",", "Left", ",", 
      "Left", ",", "Left", ",", "Left"}], "}"}]}], ",", "\[IndentingNewLine]",
    
   RowBox[{"Deployed", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"ucolor", "=", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", "0", ",", "0"}], "]"}]}], ",", 
      RowBox[{"vcolor", "=", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0", ",", "0", ",", "1"}], "]"}]}], ",", 
      RowBox[{"pointcolor", "=", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.5", ",", "0", ",", "0.5"}], "]"}]}], ",", 
      RowBox[{"uvgridcolor", "=", 
       RowBox[{"GrayLevel", "[", ".3", "]"}]}], ",", 
      RowBox[{"uvaxescolor", "=", 
       RowBox[{"GrayLevel", "[", "0", "]"}]}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "2"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.383565304400717*^9, {3.383565426739246*^9, 
   3.383565439799901*^9}, {3.383941713424617*^9, 3.38394174815245*^9}, {
   3.383941872728744*^9, 3.3839419006474237`*^9}, {3.3839420070301723`*^9, 
   3.383942019202829*^9}, {3.383942064491959*^9, 3.383942099110532*^9}, {
   3.383942269570552*^9, 3.38394227504361*^9}, {3.383956054113883*^9, 
   3.383956058959729*^9}, {3.383956098143073*^9, 3.383956103493224*^9}, {
   3.383956141573992*^9, 3.38395617402642*^9}, {3.383956363362645*^9, 
   3.383956376105126*^9}, {3.383956481681603*^9, 3.383956482767734*^9}, {
   3.383956513441329*^9, 3.383956521824348*^9}, {3.383956656412827*^9, 
   3.383956666052561*^9}, {3.383956934674465*^9, 3.383956977922205*^9}, {
   3.38395836567365*^9, 3.383958367939275*^9}, {3.3874522927534943`*^9, 
   3.387452298715311*^9}, {3.38745236197992*^9, 3.38745236699004*^9}, {
   3.3874525385176497`*^9, 3.387452604396873*^9}, {3.3874527364261303`*^9, 
   3.38745276349689*^9}, {3.3874528082916927`*^9, 3.387452829956004*^9}, {
   3.38745286662679*^9, 3.387452870952362*^9}, {3.387452923733481*^9, 
   3.3874529297912397`*^9}, {3.387892981999005*^9, 3.3878929863452544`*^9}},
 CellID->484326522]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`formatOption$$ = False, $CellContext`pu$$ = 
    1, $CellContext`pv$$ = 1, $CellContext`resetOption$$ = 
    False, $CellContext`restrictOption$$ = False, $CellContext`u$$ = {1, 
    0}, $CellContext`uvaxesOption$$ = True, $CellContext`uvcoordOption$$ = 
    False, $CellContext`uvgridOption$$ = True, $CellContext`v$$ = {0, 
    1}, $CellContext`vectorlabelOption$$ = 
    False, $CellContext`xyaxesOption$$ = True, $CellContext`xycoordOption$$ = 
    False, $CellContext`xygridOption$$ = False, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`pu$$], 1, 
       Style["u coordinate", 
        RGBColor[1, 0, 0]]}, -5, 5, 
      Dynamic[
       If[$CellContext`restrictOption$$, 1, 0.1]]}, {{
       Hold[$CellContext`pv$$], 1, 
       Style["v coordinate", 
        RGBColor[0, 0, 1]]}, -5, 5, 
      Dynamic[
       If[$CellContext`restrictOption$$, 1, 0.1]]}, {{
       Hold[$CellContext`u$$], {1, 0}, 
       Style["u vector", 
        RGBColor[1, 0, 0]]}, {-2.5, -2.5}, {2.5, 2.5}, {0.1, 0.1}}, {{
       Hold[$CellContext`v$$], {0, 1}, 
       Style["v vector", 
        RGBColor[0, 0, 1]]}, {-2.5, -2.5}, {2.5, 2.5}, {0.1, 0.1}}, {{
       Hold[$CellContext`uvcoordOption$$], False, "u-v coord"}, {
      False, True}}, {{
       Hold[$CellContext`uvgridOption$$], True, "u-v grid"}, {
      False, True}}, {{
       Hold[$CellContext`uvaxesOption$$], True, "u-v axes"}, {
      False, True}}, {{
       Hold[$CellContext`xycoordOption$$], False, "x-y coord"}, {
      False, True}}, {{
       Hold[$CellContext`xygridOption$$], False, "x-y grid"}, {
      False, True}}, {{
       Hold[$CellContext`xyaxesOption$$], True, "x-y axes"}, {
      False, True}}, {{
       Hold[$CellContext`vectorlabelOption$$], False, "vector labels"}, {
      False, True}}, {{
       Hold[$CellContext`restrictOption$$], False, "integer coord"}, {
      False, True}}, {{
       Hold[$CellContext`formatOption$$], False, "large format"}, {
      False, True}}, {{
       Hold[$CellContext`resetOption$$], False, "reset"}, {False, True}}}, 
    Typeset`size$$ = {288., {143., 147.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`pu$252299$$ = 0, $CellContext`pv$252300$$ = 
    0, $CellContext`u$252301$$ = {0, 0}, $CellContext`v$252302$$ = {0, 
    0}, $CellContext`uvcoordOption$252303$$ = 
    False, $CellContext`uvgridOption$252304$$ = 
    False, $CellContext`uvaxesOption$252305$$ = 
    False, $CellContext`xycoordOption$252306$$ = 
    False, $CellContext`xygridOption$252307$$ = 
    False, $CellContext`xyaxesOption$252308$$ = 
    False, $CellContext`vectorlabelOption$252309$$ = 
    False, $CellContext`restrictOption$252310$$ = 
    False, $CellContext`formatOption$252311$$ = 
    False, $CellContext`resetOption$252312$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`formatOption$$ = False, $CellContext`pu$$ = 
        1, $CellContext`pv$$ = 1, $CellContext`resetOption$$ = 
        False, $CellContext`restrictOption$$ = 
        False, $CellContext`u$$ = {1, 0}, $CellContext`uvaxesOption$$ = 
        True, $CellContext`uvcoordOption$$ = 
        False, $CellContext`uvgridOption$$ = 
        True, $CellContext`v$$ = {0, 1}, $CellContext`vectorlabelOption$$ = 
        False, $CellContext`xyaxesOption$$ = 
        True, $CellContext`xycoordOption$$ = 
        False, $CellContext`xygridOption$$ = False}, 
      "ControllerVariables" :> {
        Hold[$CellContext`pu$$, $CellContext`pu$252299$$, 0], 
        Hold[$CellContext`pv$$, $CellContext`pv$252300$$, 0], 
        Hold[$CellContext`u$$, $CellContext`u$252301$$, {0, 0}], 
        Hold[$CellContext`v$$, $CellContext`v$252302$$, {0, 0}], 
        Hold[$CellContext`uvcoordOption$$, \
$CellContext`uvcoordOption$252303$$, False], 
        Hold[$CellContext`uvgridOption$$, $CellContext`uvgridOption$252304$$, 
         False], 
        Hold[$CellContext`uvaxesOption$$, $CellContext`uvaxesOption$252305$$, 
         False], 
        Hold[$CellContext`xycoordOption$$, \
$CellContext`xycoordOption$252306$$, False], 
        Hold[$CellContext`xygridOption$$, $CellContext`xygridOption$252307$$, 
         False], 
        Hold[$CellContext`xyaxesOption$$, $CellContext`xyaxesOption$252308$$, 
         False], 
        Hold[$CellContext`vectorlabelOption$$, \
$CellContext`vectorlabelOption$252309$$, False], 
        Hold[$CellContext`restrictOption$$, \
$CellContext`restrictOption$252310$$, False], 
        Hold[$CellContext`formatOption$$, $CellContext`formatOption$252311$$, 
         False], 
        Hold[$CellContext`resetOption$$, $CellContext`resetOption$252312$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      DynamicModule[{$CellContext`uvgridsize, $CellContext`uvgrid, \
$CellContext`uvaxes}, 
        If[$CellContext`resetOption$$ == 
          True, {$CellContext`u$$, $CellContext`v$$, $CellContext`pu$$, \
$CellContext`pv$$, $CellContext`restrictOption$$} = {{1, 0}, {0, 1}, 1, 1, 
             False}; $CellContext`resetOption$$ = False]; 
        If[$CellContext`restrictOption$$, {$CellContext`pu$$, \
$CellContext`pv$$} = 
          Map[Round, {$CellContext`pu$$, $CellContext`pv$$}]]; \
$CellContext`uvgrid = Flatten[
           Append[{
             Lighter[$CellContext`ucolor, 0.5], 
             Table[
              
              Line[{(-5) Dynamic[$CellContext`u$$] + $CellContext`i 
                 Dynamic[$CellContext`v$$], 
                5 Dynamic[$CellContext`u$$] + $CellContext`i 
                 Dynamic[$CellContext`v$$]}], {$CellContext`i, -5, 5}]}, {
             Lighter[$CellContext`vcolor, 0.5], 
             Table[
              Line[{(-5) Dynamic[$CellContext`v$$] + $CellContext`i 
                 Dynamic[$CellContext`u$$], 
                5 Dynamic[$CellContext`v$$] + $CellContext`i 
                 Dynamic[$CellContext`u$$]}], {$CellContext`i, -5, 
               5}]}]]; $CellContext`uvaxes = {
           AbsoluteThickness[1.5], 
           Lighter[$CellContext`ucolor, 0.5], 
           Line[5 {-Dynamic[$CellContext`u$$], 
              Dynamic[$CellContext`u$$]}], 
           Lighter[$CellContext`vcolor, 0.5], 
           Line[5 {-Dynamic[$CellContext`v$$], 
              Dynamic[$CellContext`v$$]}]}; Show[
          Graphics[{$CellContext`uvgridcolor, 
            
            If[$CellContext`uvgridOption$$, $CellContext`uvgrid, \
$CellContext`uvgridcolor], $CellContext`uvaxescolor, 
            
            If[$CellContext`uvaxesOption$$, $CellContext`uvaxes, \
$CellContext`uvaxescolor], 
            AbsoluteThickness[2], 
            Arrowheads[
             
             If[$CellContext`formatOption$$, Large, 
              Medium]], $CellContext`ucolor, 
            Arrow[{{0, 0}, $CellContext`u$$}], 
            Text[
             If[$CellContext`vectorlabelOption$$, 
              Round[$CellContext`u$$, 0.1], " "], $CellContext`u$$ + 
             Normalize[$CellContext`u$$]], $CellContext`vcolor, 
            Arrow[{{0, 0}, $CellContext`v$$}], 
            Text[
             If[$CellContext`vectorlabelOption$$, 
              Round[$CellContext`v$$, 0.1], " "], $CellContext`v$$ + 
             Normalize[$CellContext`v$$]], $CellContext`pointcolor, 
            AbsolutePointSize[7], 
            
            Point[$CellContext`pu$$ $CellContext`u$$ + $CellContext`pv$$ \
$CellContext`v$$], 
            Text[
             If[$CellContext`uvcoordOption$$, {
               Style[
                Round[$CellContext`pu$$, 0.1], $CellContext`ucolor], 
               Style[
                Round[$CellContext`pv$$, 0.1], $CellContext`vcolor]}, 
              ""], $CellContext`pu$$ $CellContext`u$$ + $CellContext`pv$$ \
$CellContext`v$$ + {0, 0.4}], 
            Text[
             If[$CellContext`xycoordOption$$, 
              Style[
               
               Round[$CellContext`pu$$ $CellContext`u$$ + $CellContext`pv$$ \
$CellContext`v$$, 0.1], $CellContext`pointcolor], 
              ""], $CellContext`pu$$ $CellContext`u$$ + $CellContext`pv$$ \
$CellContext`v$$ + {0, -0.4}]}], PlotRange -> {{-5, 5}, {-5, 5}}, Ticks -> {
            Range[-5, 5], 
            Range[-5, 5]}, GridLines -> If[$CellContext`xygridOption$$, {
             Range[-5, 5], 
             Range[-5, 5]}, None], GridLinesStyle -> 
          Lighter[$CellContext`pointcolor, 0.8], 
          Axes -> $CellContext`xyaxesOption$$, BaseStyle -> {"Label", 
            If[$CellContext`formatOption$$, 15, 10]}, ImageSize -> 
          If[$CellContext`formatOption$$, 438, 288]]], 
      "Specifications" :> {{{$CellContext`pu$$, 1, 
          Style["u coordinate", 
           RGBColor[1, 0, 0]]}, -5, 5, 
         Dynamic[
          If[$CellContext`restrictOption$$, 1, 0.1]], Appearance -> "Labeled",
          ImageSize -> Dynamic[
           
           If[$CellContext`formatOption$$ == True, Large, 
            Medium]]}, {{$CellContext`pv$$, 1, 
          Style["v coordinate", 
           RGBColor[0, 0, 1]]}, -5, 5, 
         Dynamic[
          If[$CellContext`restrictOption$$, 1, 0.1]], Appearance -> "Labeled",
          ImageSize -> Dynamic[
           
           If[$CellContext`formatOption$$ == True, Large, 
            Medium]]}, {{$CellContext`u$$, {1, 0}, 
          Style["u vector", 
           RGBColor[1, 0, 0]]}, {-2.5, -2.5}, {2.5, 2.5}, {0.1, 0.1}, 
         ControlType -> Locator, ImageSize -> Dynamic[
           
           If[$CellContext`formatOption$$, Medium, 
            Tiny]]}, {{$CellContext`v$$, {0, 1}, 
          Style["v vector", 
           RGBColor[0, 0, 1]]}, {-2.5, -2.5}, {2.5, 2.5}, {0.1, 0.1}, 
         ControlType -> Locator, ImageSize -> Dynamic[
           If[$CellContext`formatOption$$, Medium, Tiny]]}, 
        Delimiter, {{$CellContext`uvcoordOption$$, False, "u-v coord"}, {
         False, True}}, {{$CellContext`uvgridOption$$, True, "u-v grid"}, {
         False, True}}, {{$CellContext`uvaxesOption$$, True, "u-v axes"}, {
         False, True}}, {{$CellContext`xycoordOption$$, False, "x-y coord"}, {
         False, True}}, {{$CellContext`xygridOption$$, False, "x-y grid"}, {
         False, True}}, {{$CellContext`xyaxesOption$$, True, "x-y axes"}, {
         False, True}}, {{$CellContext`vectorlabelOption$$, False, 
          "vector labels"}, {
         False, True}}, {{$CellContext`restrictOption$$, False, 
          "integer coord"}, {
         False, True}}, {{$CellContext`formatOption$$, False, 
          "large format"}, {
         False, True}}, {{$CellContext`resetOption$$, False, "reset"}, {
         False, True}}}, 
      "Options" :> {
       ControlPlacement -> {
         Top, Top, Left, Left, Left, Left, Left, Left, Left, Left, Left, Left,
           Left, Left}, Deployed -> True, 
        AutorunSequencing -> {{1, 3}, {2, 3}, {3, 2}, {4, 2}}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{416., {200., 205.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`ucolor = 
       RGBColor[1, 0, 0], $CellContext`vcolor = 
       RGBColor[0, 0, 1], $CellContext`pointcolor = 
       RGBColor[0.5, 0, 0.5], $CellContext`uvgridcolor = 
       GrayLevel[0.3], $CellContext`uvaxescolor = GrayLevel[0]}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->306807062],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Coordinates of a Point Relative to a Basis in 2D",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
CoordinatesOfAPointRelativeToABasisIn2D/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/CoordinatesOfAPointRelativeToABasisIn2D/\
"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
CoordinatesOfAPointRelativeToABasisIn2D/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
CoordinatesOfAPointRelativeToABasisIn2D/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/CoordinatesOfAPointRelativeToABasisIn2D/\
"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Eric Schulz",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Eric+Schulz"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Eric+Schulz"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->522667678],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
CoordinatesOfAPointRelativeToABasisIn2D"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Coordinates of a Point Relative to a Basis in 2D - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 240, 4, 70, "Section"],
Cell[833, 29, 17962, 465, 70, "Input",
 CellID->484326522]
}, Open  ]],
Cell[18810, 497, 12058, 250, 70, "Output",
 CellID->306807062],
Cell[CellGroupData[{
Cell[30893, 751, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[31269, 762, 1038, 31, 70, "Text"],
Cell[32310, 795, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[32650, 806, 450, 15, 70, "Text",
 CellID->522667678],
Cell[CellGroupData[{
Cell[33125, 825, 829, 24, 70, "Text"],
Cell[33957, 851, 1215, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 0Qj4xW6WuIq8DBputLV#WuoA *)
