(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     17200,        435]
NotebookOptionsPosition[     16134,        395]
NotebookOutlinePosition[     16749,        419]
CellTagsIndexPosition[     16706,        416]
WindowTitle->Exploring Polar Graphs - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Exploring Polar Graphs", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{"If", "[", 
      RowBox[{"round", ",", 
       RowBox[{"Round", "@", "aa"}], ",", "aa"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"b", "=", 
     RowBox[{"If", "[", 
      RowBox[{"round", ",", 
       RowBox[{"Round", "@", "bb"}], ",", "bb"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"c", "=", 
     RowBox[{"If", "[", 
      RowBox[{"round", ",", 
       RowBox[{"Round", "@", "cc"}], ",", "cc"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"d", "=", 
     RowBox[{"If", "[", 
      RowBox[{"round", ",", 
       RowBox[{"Round", "@", "dd"}], ",", "dd"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"PolarPlot", "[", 
     RowBox[{
      RowBox[{"a", "+", 
       RowBox[{"b", " ", 
        RowBox[{"fn", "[", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"c", " ", "\[Theta]"}], "-", 
           RowBox[{"d", " ", "Pi"}]}], ")"}], "]"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Theta]", ",", 
        RowBox[{
         RowBox[{"-", "Pi"}], " ", "t"}], ",", 
        RowBox[{"Pi", " ", "t"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "zoom"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", 
         RowBox[{"RGBColor", "[", 
          RowBox[{".25", ",", ".43", ",", ".82"}], "]"}]}], "}"}]}], ",", 
      RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "400"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"aa", ",", "0", ",", "\"\<a\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"bb", ",", "1", ",", "\"\<b\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"cc", ",", "1", ",", "\"\<c\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dd", ",", "0", ",", "\"\<d\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fn", ",", "Sin", ",", "\"\<choose\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "\[Rule]", "\"\<sin\>\""}], ",", 
       RowBox[{"Cos", "\[Rule]", "\"\<cos\>\""}], ",", 
       RowBox[{"Identity", "\[Rule]", "\"\<identity\>\""}], ",", 
       RowBox[{"Sec", "\[Rule]", "\"\<sec\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "2", ",", "\"\<range for angles\>\""}], "}"}], ",", 
     "1", ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"zoom", ",", "3"}], "}"}], ",", "1", ",", "20", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"round", ",", "False", ",", "\"\<round\\na, b, c, d\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}]}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.457809903303934*^9, 3.4578100464992523`*^9}, {
   3.457810078273429*^9, 3.4578104578503833`*^9}, {3.4578104886994677`*^9, 
   3.4578105003626337`*^9}, {3.4578105654581428`*^9, 
   3.4578105693145285`*^9}, {3.457810602142811*^9, 3.4578106715247483`*^9}, {
   3.4578108159311876`*^9, 3.457810820069601*^9}, {3.4578109764862413`*^9, 
   3.4578110555551476`*^9}, {3.4578111033719287`*^9, 
   3.4578111800885997`*^9}, {3.457894808806039*^9, 3.4578948092122865`*^9}, {
   3.4578949589144535`*^9, 3.4578949649300394`*^9}, {3.4578950269765177`*^9, 
   3.457895067023136*^9}, {3.4578959597674227`*^9, 3.45789602812636*^9}, {
   3.4578962233438606`*^9, 3.457896452561144*^9}, {3.4578965100764008`*^9, 
   3.4578965384980936`*^9}, {3.4578965737947426`*^9, 
   3.4578966253725376`*^9}, {3.4578966954189644`*^9, 
   3.4578967586841846`*^9}, {3.4578972563684998`*^9, 
   3.4578973424773235`*^9}, {3.457897391742633*^9, 3.4578973983988404`*^9}, {
   3.4578974436954255`*^9, 3.4578974687108903`*^9}, {3.4578977155843105`*^9, 
   3.4578977275686088`*^9}, {3.4578977577715406`*^9, 
   3.4578978211305103`*^9}, {3.4578978762239075`*^9, 3.457898107972424*^9}, {
   3.4578983652832775`*^9, 3.457898366642644*^9}, {3.45789840550177*^9, 
   3.4578984391734295`*^9}, {3.4578994818855057`*^9, 3.4578996576812563`*^9}, 
   3.4578997083371816`*^9, {3.45789979452413*^9, 3.4578998090396624`*^9}, {
   3.457899859476839*^9, 3.457899901679694*^9}, {3.4579000208351817`*^9, 
   3.457900055616209*^9}, {3.4579000916628532`*^9, 3.4579000969596944`*^9}, {
   3.457900403082735*^9, 3.4579004275669537`*^9}, 3.4579008198925676`*^9, {
   3.4580573917018223`*^9, 3.4580574093580723`*^9}, {3.4580607484830723`*^9, 
   3.4580607574205723`*^9}},
 CellID->207391113]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`aa$$ = 0, $CellContext`bb$$ = 
    1, $CellContext`cc$$ = 1, $CellContext`dd$$ = 0, $CellContext`fn$$ = 
    Sin, $CellContext`round$$ = False, $CellContext`t$$ = 
    2, $CellContext`zoom$$ = 3, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`aa$$], 0, "a"}, -10, 10, 0.01}, {{
       Hold[$CellContext`bb$$], 1, "b"}, -10, 10, 0.01}, {{
       Hold[$CellContext`cc$$], 1, "c"}, -10, 10, 0.01}, {{
       Hold[$CellContext`dd$$], 0, "d"}, -10, 10, 0.01}, {{
       Hold[$CellContext`fn$$], Sin, "choose"}, {
      Sin -> "sin", Cos -> "cos", Identity -> "identity", Sec -> "sec"}}, {{
       Hold[$CellContext`t$$], 2, "range for angles"}, 1, 10, 0.01}, {{
       Hold[$CellContext`zoom$$], 3}, 1, 20, 0.01}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`round$$], False, "round\na, b, c, d"}, {
      False, True}}}, Typeset`size$$ = {400., {198., 202.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`aa$29442$$ = 0, $CellContext`bb$29443$$ = 
    0, $CellContext`cc$29444$$ = 0, $CellContext`dd$29445$$ = 
    0, $CellContext`fn$29446$$ = False, $CellContext`t$29447$$ = 
    0, $CellContext`zoom$29448$$ = 0, $CellContext`round$29449$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`aa$$ = 0, $CellContext`bb$$ = 
        1, $CellContext`cc$$ = 1, $CellContext`dd$$ = 0, $CellContext`fn$$ = 
        Sin, $CellContext`round$$ = False, $CellContext`t$$ = 
        2, $CellContext`zoom$$ = 3}, "ControllerVariables" :> {
        Hold[$CellContext`aa$$, $CellContext`aa$29442$$, 0], 
        Hold[$CellContext`bb$$, $CellContext`bb$29443$$, 0], 
        Hold[$CellContext`cc$$, $CellContext`cc$29444$$, 0], 
        Hold[$CellContext`dd$$, $CellContext`dd$29445$$, 0], 
        Hold[$CellContext`fn$$, $CellContext`fn$29446$$, False], 
        Hold[$CellContext`t$$, $CellContext`t$29447$$, 0], 
        Hold[$CellContext`zoom$$, $CellContext`zoom$29448$$, 0], 
        Hold[$CellContext`round$$, $CellContext`round$29449$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`a = If[$CellContext`round$$, 
          Round[$CellContext`aa$$], $CellContext`aa$$]; $CellContext`b = 
        If[$CellContext`round$$, 
          Round[$CellContext`bb$$], $CellContext`bb$$]; $CellContext`c = 
        If[$CellContext`round$$, 
          Round[$CellContext`cc$$], $CellContext`cc$$]; $CellContext`d = 
        If[$CellContext`round$$, 
          Round[$CellContext`dd$$], $CellContext`dd$$]; 
       PolarPlot[$CellContext`a + $CellContext`b \
$CellContext`fn$$[$CellContext`c $CellContext`\[Theta] - $CellContext`d 
            Pi], {$CellContext`\[Theta], (-Pi) $CellContext`t$$, 
          Pi $CellContext`t$$}, PlotRange -> $CellContext`zoom$$, 
         PlotStyle -> {Thick, 
           RGBColor[0.25, 0.43, 0.82]}, ImagePadding -> 10, ImageSize -> 
         400]), "Specifications" :> {{{$CellContext`aa$$, 0, "a"}, -10, 10, 
         0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`bb$$, 1, "b"}, -10, 10, 0.01, Appearance -> 
         "Labeled", ImageSize -> Tiny}, {{$CellContext`cc$$, 1, "c"}, -10, 10,
          0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`dd$$, 0, "d"}, -10, 10, 0.01, Appearance -> 
         "Labeled", ImageSize -> Tiny}, {{$CellContext`fn$$, Sin, "choose"}, {
         Sin -> "sin", Cos -> "cos", Identity -> "identity", Sec -> "sec"}, 
         ControlType -> Setter}, {{$CellContext`t$$, 2, "range for angles"}, 
         1, 10, 0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`zoom$$, 3}, 1, 20, 0.01, Appearance -> 
         "Labeled", ImageSize -> Tiny}, 
        "", {{$CellContext`round$$, False, "round\na, b, c, d"}, {
         False, True}}}, 
      "Options" :> {
       AutorunSequencing -> {1, 2, 3, 4, 5}, TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{647., {227., 232.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->13433654],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Exploring Polar Graphs",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ExploringPolarGraphs/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ExploringPolarGraphs/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ExploringPolarGraphs/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ExploringPolarGraphs/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ExploringPolarGraphs/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Steven Francis",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Steven+Francis"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Steven+Francis"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ExploringPolarGraphs"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Exploring Polar Graphs - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[612, 23, 214, 4, 70, "Section"],
Cell[829, 29, 6255, 144, 70, "Input",
 CellID->207391113]
}, Open  ]],
Cell[7099, 176, 4857, 86, 70, "Output",
 CellID->13433654],
Cell[CellGroupData[{
Cell[11981, 266, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[12357, 277, 899, 24, 70, "Text"],
Cell[13259, 303, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13599, 314, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[14060, 332, 847, 24, 70, "Text"],
Cell[14910, 358, 1196, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature DTj5i@7IdJRdTCpOdNuG13lg *)
