(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     32816,        814]
NotebookOptionsPosition[     31668,        772]
NotebookOutlinePosition[     32294,        796]
CellTagsIndexPosition[     32251,        793]
WindowTitle->Parabolic Cylindrical Coordinates - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Parabolic Cylindrical Coordinates", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"fmt", "=", 
   RowBox[{
    RowBox[{"ToString", "[", 
     RowBox[{"NumberForm", "[", 
      RowBox[{"#", ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "2"}], "}"}], ",", 
       RowBox[{"NumberPadding", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}], ",", 
       RowBox[{"SignPadding", "\[Rule]", "True"}]}], "]"}], "]"}], "&"}]}], 
  ";", 
  RowBox[{"axis", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"2.5", "#2"}]}], "}"}], "]"}], ",", 
      RowBox[{"Text", "[", 
       RowBox[{"#1", ",", 
        RowBox[{"2.65", "#2"}]}], "]"}]}], "}"}], "&"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"MorAxes", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"axis", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"axis", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"axis", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<z\>\"", ",", "Italic"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "}"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"ArfAxes", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"axis", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"axis", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"axis", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<z\>\"", ",", "Italic"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "}"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"\[Sigma]m", "=", ".1"}], ";", 
  RowBox[{"\[Sigma]M", "=", "2.5"}], ";", 
  RowBox[{"\[Tau]M", "=", "2.5"}], ";", 
  RowBox[{"zM", "=", "2."}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.4464514365000257`*^9, 3.4464514689356956`*^9}, {
   3.4464515311152267`*^9, 3.446451542395815*^9}, {3.446523408069393*^9, 
   3.446523412963914*^9}, {3.4465234656940413`*^9, 3.446523495527061*^9}, {
   3.44652355522278*^9, 3.446523581448071*^9}, {3.446523847880381*^9, 
   3.4465238491026163`*^9}, {3.446523911370832*^9, 3.446524029877336*^9}, 
   3.446527400111039*^9, 3.44653275950634*^9, {3.446533337574627*^9, 
   3.4465333998813963`*^9}, {3.446565355455191*^9, 3.4465653559292383`*^9}, {
   3.4469304911946754`*^9, 3.4469305405693593`*^9}},
 CellID->734286079],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Graphics3D", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Switch", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"ax", ",", " ", "Morse"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"True", ",", "1"}], "}"}], ",", "MorAxes", ",", 
          RowBox[{"{", 
           RowBox[{"True", ",", "0"}], "}"}], ",", "ArfAxes", ",", 
          RowBox[{"{", 
           RowBox[{"_", ",", "_"}], "}"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", "Black", ",", 
        RowBox[{"PointSize", "[", ".02", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], "]"}], ",", "White", ",", 
        
        RowBox[{"PointSize", "[", ".025", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[Sigma]\[Sigma]", " ", "\[Tau]\[Tau]"}], ",", 
           RowBox[{"0.5", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Tau]\[Tau]", "^", "2"}], "-", 
              RowBox[{"\[Sigma]\[Sigma]", "^", "2"}]}], ")"}]}], ",", "zz"}], 
          "}"}], "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Sigma]\[Sigma]", " ", "\[Tau]\[Tau]"}], ",", 
         RowBox[{"0.5", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"\[Tau]\[Tau]", "^", "2"}], "-", 
            RowBox[{"\[Sigma]\[Sigma]", "^", "2"}]}], ")"}]}], ",", "zz"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Tau]", ",", 
         RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"zz", ",", 
         RowBox[{"-", "2."}], ",", "2."}], "}"}], ",", 
       RowBox[{"Mesh", "\[Rule]", "False"}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Opacity", "[", "0.65", "]"}]}]}], "]"}], ",", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Sigma]\[Sigma]", " ", "\[Tau]\[Tau]"}], ",", 
         RowBox[{"0.5", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"\[Tau]\[Tau]", "^", "2"}], "-", 
            RowBox[{"\[Sigma]\[Sigma]", "^", "2"}]}], ")"}]}], ",", "zz"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Sigma]\[Sigma]", ",", 
         RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"zz", ",", 
         RowBox[{"-", "2."}], ",", "2."}], "}"}], ",", 
       RowBox[{"Mesh", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Opacity", "[", "0.65", "]"}]}]}], "]"}], ",", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Sigma]\[Sigma]", " ", "\[Tau]\[Tau]"}], ",", 
         RowBox[{"0.5", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"\[Tau]\[Tau]", "^", "2"}], "-", 
            RowBox[{"\[Sigma]\[Sigma]", "^", "2"}]}], ")"}]}], ",", "zz"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Sigma]\[Sigma]", ",", 
         RowBox[{"-", "3.5"}], ",", "3.5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Tau]\[Tau]", ",", 
         RowBox[{"-", "3.5"}], ",", "3.5"}], "}"}], ",", 
       RowBox[{"Mesh", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Opacity", "[", "0.35", "]"}]}]}], "]"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"Morse", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Text", "@", "\"\<Morse, Feshbach: \>\""}], ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"x", " ", "==", " ", 
                    RowBox[{
                    FractionBox["1", "2"], 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["\[Sigma]", "2"], "-", 
                    SuperscriptBox["\[Tau]", "2"]}], ")"}]}]}], "]"}], ",", 
                  "   ", "\"\<, \>\"", ",", 
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"y", "==", " ", 
                    RowBox[{"\[Sigma]", " ", "\[Tau]"}]}], "]"}], ",", " ", 
                  "\"\<, \>\"", ",", " ", 
                  RowBox[{"TraditionalForm", "[", "z", "]"}]}], "}"}], 
                "]"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Text", "@", "\"\<Arfken: \>\""}], ",", 
              RowBox[{"Text", "@", 
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"x", "\[Equal]", 
                    RowBox[{"\[Sigma]", " ", "\[Tau]"}]}], "]"}], ",", 
                  "\"\<, \>\"", ",", 
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"y", "\[Equal]", 
                    RowBox[{
                    RowBox[{"1", "/", "2"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["\[Tau]", "2"], "-", 
                    SuperscriptBox["\[Sigma]", "2"]}], ")"}]}]}], "]"}], ",", 
                  "\"\<, \>\"", ",", " ", 
                  RowBox[{"TraditionalForm", "[", "z", "]"}]}], "}"}], 
                "]"}]}]}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<(\>\"", ",", 
                RowBox[{"TraditionalForm", "[", "\[Sigma]", "]"}], ",", 
                "\"\<, \>\"", ",", 
                RowBox[{"TraditionalForm", "[", "\[Tau]", "]"}], ",", 
                "\"\<, \>\"", ",", 
                RowBox[{"TraditionalForm", "[", "z", "]"}], ",", 
                "\"\<) = (\>\"", ",", 
                RowBox[{"fmt", "[", "\[Sigma]\[Sigma]", "]"}], ",", 
                "\"\<, \>\"", ",", 
                RowBox[{"fmt", "[", "\[Tau]\[Tau]", "]"}], ",", "\"\<, \>\"", 
                ",", 
                RowBox[{"fmt", "[", "zz", "]"}], ",", "\"\<),\>\""}], "}"}], 
              "]"}], "]"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"Morse", "\[Equal]", "1"}], ",", 
              RowBox[{"Text", "[", 
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<(\>\"", ",", 
                  RowBox[{"TraditionalForm", "[", "x", "]"}], ",", 
                  "\"\<, \>\"", ",", 
                  RowBox[{"TraditionalForm", "[", "y", "]"}], ",", 
                  "\"\<, \>\"", ",", 
                  RowBox[{"TraditionalForm", "[", "z", "]"}], ",", 
                  "\"\<) = (\>\"", ",", 
                  RowBox[{"fmt", "[", 
                   RowBox[{
                    RowBox[{"-", "0.5"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"\[Tau]\[Tau]", "^", "2"}], "-", 
                    RowBox[{"\[Sigma]\[Sigma]", "^", "2"}]}], ")"}]}], "]"}], 
                  ",", "\"\<, \>\"", ",", 
                  RowBox[{"fmt", "[", 
                   RowBox[{"\[Sigma]\[Sigma]", " ", "\[Tau]\[Tau]"}], "]"}], 
                  ",", "\"\<, \>\"", ",", 
                  RowBox[{"fmt", "[", "zz", "]"}], ",", "\"\<)\>\""}], "}"}], 
                "]"}], "]"}], ",", 
              RowBox[{"Text", "[", 
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<(\>\"", ",", 
                  RowBox[{"TraditionalForm", "[", "x", "]"}], ",", 
                  "\"\<, \>\"", ",", 
                  RowBox[{"TraditionalForm", "[", "y", "]"}], ",", 
                  "\"\<, \>\"", ",", 
                  RowBox[{"TraditionalForm", "[", "z", "]"}], ",", 
                  "\"\<) = (\>\"", ",", 
                  RowBox[{"fmt", "[", 
                   RowBox[{"\[Sigma]\[Sigma]", " ", "\[Tau]\[Tau]"}], "]"}], 
                  ",", "\"\<, \>\"", ",", 
                  RowBox[{"fmt", "[", 
                   RowBox[{"0.5", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"\[Tau]\[Tau]", "^", "2"}], "-", 
                    RowBox[{"\[Sigma]\[Sigma]", "^", "2"}]}], ")"}]}], "]"}], 
                  ",", "\"\<, \>\"", ",", 
                  RowBox[{"fmt", "[", "zz", "]"}], ",", "\"\<)\>\""}], "}"}], 
                "]"}], "]"}]}], "]"}]}], "}"}]}], "}"}], ",", 
        RowBox[{"Alignment", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Right", ",", "Left"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Right", ",", "Left"}], "}"}]}], "}"}]}]}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"1.175", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "}"}]}]}], ",", 
     RowBox[{"ViewAngle", "\[Rule]", 
      RowBox[{"Pi", "/", "10"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "375"}], "}"}]}], ",", 
     RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
     RowBox[{"SphericalRegion", "\[Rule]", "True"}]}], "]"}], ",", "\n", "\n", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Sigma]\[Sigma]", ",", "1.", ",", "\"\<\[Sigma]\>\""}], "}"}],
      ",", "\[Sigma]m", ",", "\[Sigma]M"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Tau]\[Tau]", ",", "1.", ",", "\"\<\[Tau]\>\""}], "}"}], ",", 
     
     RowBox[{"-", "\[Tau]M"}], ",", "\[Tau]M"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"zz", ",", "0", ",", "\"\<z\>\""}], "}"}], ",", 
     RowBox[{"-", "zM"}], ",", "zM"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ax", ",", "True", ",", "\"\<axes\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Morse", ",", "0", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"0", "\[Rule]", "\"\<Arfken\>\""}], ",", 
       RowBox[{"1", "\[Rule]", "\"\<Morse\>\""}]}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", "\n", "\n",
    "  ", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{
     "\[Sigma]\[Sigma]", ",", "\[Tau]\[Tau]", ",", "zz", ",", "ax", ",", 
      "Morse"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.446288440910727*^9, 3.446288473286397*^9}, {
   3.4462886182834263`*^9, 3.446288640368031*^9}, {3.4462886713683662`*^9, 
   3.4462886900860786`*^9}, {3.446288751132544*^9, 3.446288771661582*^9}, {
   3.4462888391689*^9, 3.44628887681773*^9}, {3.446288979625225*^9, 
   3.44628901914631*^9}, {3.446289064307043*^9, 3.446289071177477*^9}, {
   3.446289103493536*^9, 3.446289134370075*^9}, {3.446289171010828*^9, 
   3.446289201691935*^9}, 3.446289252319512*^9, {3.446446242065606*^9, 
   3.446446255585534*^9}, {3.446446465608314*^9, 3.446446468734832*^9}, {
   3.446446850375428*^9, 3.446446858487782*^9}, 3.446447087598977*^9, {
   3.446447134664188*^9, 3.446447205085554*^9}, {3.446447264138587*^9, 
   3.446447282257279*^9}, {3.446450913800559*^9, 3.446450941799062*^9}, {
   3.4464509891312447`*^9, 3.4464510425324793`*^9}, 3.446451083064144*^9, {
   3.4464514891153593`*^9, 3.446451521220591*^9}, {3.446523321987134*^9, 
   3.446523376474764*^9}, {3.446523526874132*^9, 3.446523531407839*^9}, 
   3.446523728596545*^9, {3.446523767838443*^9, 3.446523823318453*^9}, {
   3.446524089724659*^9, 3.4465241145129967`*^9}, {3.446524301260816*^9, 
   3.446524308411318*^9}, {3.446524449419434*^9, 3.446524468394772*^9}, {
   3.446524503626672*^9, 3.446524517443616*^9}, 3.4465245477210712`*^9, {
   3.446524582561919*^9, 3.446524583879809*^9}, 3.446524814923853*^9, {
   3.446524933834111*^9, 3.446525025094739*^9}, {3.446525068891828*^9, 
   3.4465250744104156`*^9}, {3.446525113776589*^9, 3.446525126680224*^9}, 
   3.446527381786333*^9, {3.446527473168869*^9, 3.4465275124202547`*^9}, {
   3.446527582773785*^9, 3.446527594085354*^9}, {3.4465276317862043`*^9, 
   3.446527644866506*^9}, 3.446527699725253*^9, 3.446527751576466*^9, {
   3.446532910519845*^9, 3.446532914957346*^9}, {3.446533229160005*^9, 
   3.446533263181788*^9}, {3.446533426637939*^9, 3.446533499410061*^9}, {
   3.4465652121388607`*^9, 3.4465653144270887`*^9}, {3.4465653618348293`*^9, 
   3.446565575040148*^9}, {3.4465658015417957`*^9, 3.446565860418682*^9}, {
   3.4465659029199324`*^9, 3.4465662321928563`*^9}, {3.446574747287401*^9, 
   3.4465748800386753`*^9}, {3.446824238263902*^9, 3.446824241951379*^9}, {
   3.446824294529167*^9, 3.4468243538569126`*^9}, {3.446824414106527*^9, 
   3.4468244367157574`*^9}, {3.446824525949561*^9, 3.446824591871014*^9}, {
   3.4468246531987467`*^9, 3.4468246621049395`*^9}, {3.4469304624136095`*^9, 
   3.446930466226085*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ax$$ = True, $CellContext`Morse$$ = 
    0, $CellContext`zz$$ = 0, $CellContext`\[Sigma]\[Sigma]$$ = 
    1., $CellContext`\[Tau]\[Tau]$$ = 1., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Sigma]\[Sigma]$$], 1., "\[Sigma]"}, 0.1, 2.5}, {{
       Hold[$CellContext`\[Tau]\[Tau]$$], 1., "\[Tau]"}, -2.5, 2.5}, {{
       Hold[$CellContext`zz$$], 0, "z"}, -2., 2.}, {{
       Hold[$CellContext`ax$$], True, "axes"}, {False, True}}, {{
       Hold[$CellContext`Morse$$], 0, ""}, {0 -> "Arfken", 1 -> "Morse"}}}, 
    Typeset`size$$ = {500., {185., 190.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`\[Sigma]\[Sigma]$15364$$ = 
    0, $CellContext`\[Tau]\[Tau]$15365$$ = 0, $CellContext`zz$15366$$ = 
    0, $CellContext`ax$15367$$ = False, $CellContext`Morse$15368$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ax$$ = True, $CellContext`Morse$$ = 
        0, $CellContext`zz$$ = 0, $CellContext`\[Sigma]\[Sigma]$$ = 
        1., $CellContext`\[Tau]\[Tau]$$ = 1.}, "ControllerVariables" :> {
        Hold[$CellContext`\[Sigma]\[Sigma]$$, \
$CellContext`\[Sigma]\[Sigma]$15364$$, 0], 
        Hold[$CellContext`\[Tau]\[Tau]$$, $CellContext`\[Tau]\[Tau]$15365$$, 
         0], 
        Hold[$CellContext`zz$$, $CellContext`zz$15366$$, 0], 
        Hold[$CellContext`ax$$, $CellContext`ax$15367$$, False], 
        Hold[$CellContext`Morse$$, $CellContext`Morse$15368$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics3D[{
          
          Switch[{$CellContext`ax$$, $CellContext`Morse$$}, {
           True, 1}, $CellContext`MorAxes, {True, 0}, $CellContext`ArfAxes, {
            Blank[], 
            Blank[]}, {}], Black, 
          PointSize[0.02], 
          Point[{0, 0, 0}], White, 
          PointSize[0.025], 
          
          Point[{$CellContext`\[Sigma]\[Sigma]$$ $CellContext`\[Tau]\[Tau]$$, 
            0.5 ($CellContext`\[Tau]\[Tau]$$^2 - \
$CellContext`\[Sigma]\[Sigma]$$^2), $CellContext`zz$$}]}], 
        ParametricPlot3D[{$CellContext`\[Sigma]\[Sigma]$$ $CellContext`\[Tau]\
\[Tau]$$, 
          0.5 ($CellContext`\[Tau]\[Tau]$$^2 - \
$CellContext`\[Sigma]\[Sigma]$$^2), $CellContext`zz$$}, {$CellContext`\[Tau], \
-3, 3}, {$CellContext`zz$$, -2., 2.}, Mesh -> False, Axes -> False, PlotStyle -> 
         Opacity[0.65]], 
        ParametricPlot3D[{$CellContext`\[Sigma]\[Sigma]$$ $CellContext`\[Tau]\
\[Tau]$$, 
          0.5 ($CellContext`\[Tau]\[Tau]$$^2 - \
$CellContext`\[Sigma]\[Sigma]$$^2), $CellContext`zz$$}, \
{$CellContext`\[Sigma]\[Sigma]$$, -3, 3}, {$CellContext`zz$$, -2., 2.}, Mesh -> 
         False, PlotStyle -> Opacity[0.65]], 
        ParametricPlot3D[{$CellContext`\[Sigma]\[Sigma]$$ $CellContext`\[Tau]\
\[Tau]$$, 
          0.5 ($CellContext`\[Tau]\[Tau]$$^2 - \
$CellContext`\[Sigma]\[Sigma]$$^2), $CellContext`zz$$}, \
{$CellContext`\[Sigma]\[Sigma]$$, -3.5, 
          3.5}, {$CellContext`\[Tau]\[Tau]$$, -3.5, 3.5}, Mesh -> False, 
         PlotStyle -> Opacity[0.35]], PlotLabel -> Grid[{
           If[$CellContext`Morse$$ == 1, {
             Text["Morse, Feshbach: "], 
             Text[
              Row[{
                
                TraditionalForm[$CellContext`x == (1/
                   2) ($CellContext`\[Sigma]^2 - $CellContext`\[Tau]^2)], 
                ", ", 
                
                TraditionalForm[$CellContext`y == $CellContext`\[Sigma] \
$CellContext`\[Tau]], ", ", 
                TraditionalForm[$CellContext`z]}]]}, {
             Text["Arfken: "], 
             Text[
              Row[{
                
                TraditionalForm[$CellContext`x == $CellContext`\[Sigma] \
$CellContext`\[Tau]], ", ", 
                
                TraditionalForm[$CellContext`y == (1/
                   2) ($CellContext`\[Tau]^2 - $CellContext`\[Sigma]^2)], 
                ", ", 
                TraditionalForm[$CellContext`z]}]]}], {
            Text[
             Row[{"(", 
               TraditionalForm[$CellContext`\[Sigma]], ", ", 
               TraditionalForm[$CellContext`\[Tau]], ", ", 
               TraditionalForm[$CellContext`z], ") = (", 
               $CellContext`fmt[$CellContext`\[Sigma]\[Sigma]$$], ", ", 
               $CellContext`fmt[$CellContext`\[Tau]\[Tau]$$], ", ", 
               $CellContext`fmt[$CellContext`zz$$], "),"}]], 
            If[$CellContext`Morse$$ == 1, 
             Text[
              Row[{"(", 
                TraditionalForm[$CellContext`x], ", ", 
                TraditionalForm[$CellContext`y], ", ", 
                TraditionalForm[$CellContext`z], ") = (", 
                $CellContext`fmt[(-0.5) ($CellContext`\[Tau]\[Tau]$$^2 - \
$CellContext`\[Sigma]\[Sigma]$$^2)], ", ", 
                $CellContext`fmt[$CellContext`\[Sigma]\[Sigma]$$ \
$CellContext`\[Tau]\[Tau]$$], ", ", 
                $CellContext`fmt[$CellContext`zz$$], ")"}]], 
             Text[
              Row[{"(", 
                TraditionalForm[$CellContext`x], ", ", 
                TraditionalForm[$CellContext`y], ", ", 
                TraditionalForm[$CellContext`z], ") = (", 
                $CellContext`fmt[$CellContext`\[Sigma]\[Sigma]$$ \
$CellContext`\[Tau]\[Tau]$$], ", ", 
                $CellContext`fmt[
                0.5 ($CellContext`\[Tau]\[Tau]$$^2 - $CellContext`\[Sigma]\
\[Sigma]$$^2)], ", ", 
                $CellContext`fmt[$CellContext`zz$$], ")"}]]]}}, 
          Alignment -> {{Right, Left}, {Right, Left}}], PlotRange -> 
        1.175 {{-3, 3}, {-3, 3}, {-3, 3}}, ViewAngle -> Pi/10, 
        ImageSize -> {500, 375}, Boxed -> False, SphericalRegion -> True], 
      "Specifications" :> {{{$CellContext`\[Sigma]\[Sigma]$$, 1., "\[Sigma]"},
          0.1, 2.5}, {{$CellContext`\[Tau]\[Tau]$$, 1., "\[Tau]"}, -2.5, 
         2.5}, {{$CellContext`zz$$, 0, "z"}, -2., 
         2.}, {{$CellContext`ax$$, True, "axes"}, {False, True}, 
         ControlPlacement -> Left}, {{$CellContext`Morse$$, 0, ""}, {
         0 -> "Arfken", 1 -> "Morse"}, ControlPlacement -> Top}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`\[Sigma]\[Sigma]$$, \
$CellContext`\[Tau]\[Tau]$$, $CellContext`zz$$, $CellContext`ax$$, \
$CellContext`Morse$$}}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{587., {269., 274.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`MorAxes = {{
           Line[{{0, 0, 0}, {0, -2.5, 0}}], 
           Text[
            Style["x", Italic], {0, -2.65, 0}]}, {
           Line[{{0, 0, 0}, {2.5, 0, 0}}], 
           Text[
            Style["y", Italic], {2.65, 0, 0}]}, {
           Line[{{0, 0, 0}, {0, 0, 2.5}}], 
           Text[
            Style["z", Italic], {0, 0, 2.65}]}}, $CellContext`ArfAxes = {{
           Line[{{0, 0, 0}, {2.5, 0, 0}}], 
           Text[
            Style["x", Italic], {2.65, 0, 0}]}, {
           Line[{{0, 0, 0}, {0, 2.5, 0}}], 
           Text[
            Style["y", Italic], {0, 2.65, 0}]}, {
           Line[{{0, 0, 0}, {0, 0, 2.5}}], 
           Text[
            Style["z", Italic], {0, 0, 2.65}]}}, $CellContext`fmt = ToString[
          
          NumberForm[#, {3, 2}, NumberPadding -> {" ", "0"}, SignPadding -> 
           True]]& , Attributes[PlotRange] = {ReadProtected}}; 
      Typeset`initDone$$ = True); ReleaseHold[{{
         HoldComplete[$CellContext`fmt = ToString[
             
             NumberForm[#, {3, 2}, NumberPadding -> {" ", "0"}, SignPadding -> 
              True]]& ; $CellContext`axis = {
             Line[{{0, 0, 0}, 2.5 #2}], 
             Text[#, 2.65 #2]}& ; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`MorAxes = {
             $CellContext`axis[
              Style["x", Italic], {0, -1, 0}], 
             $CellContext`axis[
              Style["y", Italic], {1, 0, 0}], 
             $CellContext`axis[
              Style["z", Italic], {0, 0, 1}]}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`ArfAxes = {
             $CellContext`axis[
              Style["x", Italic], {1, 0, 0}], 
             $CellContext`axis[
              Style["y", Italic], {0, 1, 0}], 
             $CellContext`axis[
              Style["z", Italic], {0, 0, 1}]}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`\[Sigma]m = 0.1; $CellContext`\[Sigma]M = 
           2.5; $CellContext`\[Tau]M = 2.5; $CellContext`zM = 2.; Null]}}]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->435107488],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Parabolic Cylindrical Coordinates",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ParabolicCylindricalCoordinates/"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ParabolicCylindricalCoordinates/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ParabolicCylindricalCoordinates/\
",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ParabolicCylindricalCoordinates/"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ParabolicCylindricalCoordinates/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Adriano Pascoletti",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Adriano+\
Pascoletti"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Adriano+Pascoletti"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ParabolicCylindricalCoordinates"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{767, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Parabolic Cylindrical Coordinates - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[623, 23, 225, 4, 70, "Section"],
Cell[851, 29, 3154, 89, 70, "Input",
 InitializationCell->True,
 CellID->734286079],
Cell[4008, 120, 14080, 318, 70, "Input"]
}, Open  ]],
Cell[18103, 441, 9278, 193, 70, "Output",
 CellID->435107488],
Cell[CellGroupData[{
Cell[27406, 638, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[27782, 649, 985, 29, 70, "Text"],
Cell[28770, 680, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[29110, 691, 448, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[29583, 709, 847, 24, 70, "Text"],
Cell[30433, 735, 1207, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature yRjWs@tk2FGJMB0fOZiBr7oq *)
