(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     33275,        819]
NotebookOptionsPosition[     32221,        780]
NotebookOutlinePosition[     32842,        804]
CellTagsIndexPosition[     32799,        801]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Polar and Rectangular Coordinates", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"DynamicModule", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"arctan", "=", "ArcTan"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"LocatorPane", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Switch", "[", 
              RowBox[{"gridtype", ",", "\[IndentingNewLine]", "1", ",", 
               RowBox[{"Dynamic", "[", 
                RowBox[{"pt", ",", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"pt", "=", 
                    RowBox[{"Round", "[", "#", "]"}]}], ")"}], "&"}]}], "]"}],
                ",", "\[IndentingNewLine]", "2", ",", 
               RowBox[{"Dynamic", "[", 
                RowBox[{"pt", ",", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"pt", "=", 
                    RowBox[{
                    RowBox[{"Round", "[", 
                    RowBox[{"Norm", "[", "#", "]"}], "]"}], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "@@", "#"}], ",", 
                    RowBox[{"Pi", "/", "12"}]}], "]"}], "]"}], ",", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "@@", "#"}], ",", 
                    RowBox[{"Pi", "/", "12"}]}], "]"}], "]"}]}], "}"}]}]}], 
                   ")"}], "&"}]}], "]"}], ",", "\[IndentingNewLine]", "3", 
               ",", 
               RowBox[{"Dynamic", "[", "pt", "]"}]}], "\[IndentingNewLine]", 
              "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"Dynamic", "@", 
              RowBox[{"Graphics", "[", 
               RowBox[{
                RowBox[{"{", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{"showgrid", ",", "1"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Brown", ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "10"}], "}"}]}], "}"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "10"}], ",", "10", ",", "1"}], "}"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Brown", ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", "n"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", "n"}], "}"}]}], "}"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "10"}], ",", "10", ",", "1"}], "}"}]}], 
                    "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{"showgrid", ",", "2"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Blue", ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"Circle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", "r"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"r", ",", "1", ",", "15", ",", "1"}], "}"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Blue", ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"15", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], ",", 
                    RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}]}], "}"}], "]"}],
                     ",", 
                    RowBox[{"{", 
                    RowBox[{"t", ",", "0", ",", 
                    RowBox[{"2", "Pi"}], ",", 
                    RowBox[{"Pi", "/", "12"}]}], "}"}]}], "]"}]}], "}"}]}], 
                    "\[IndentingNewLine]", "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{"showcoords", ",", "1"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Thick", ",", "Brown", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "10"}], "}"}]}], 
                    "}"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "}"}], "]"}]}],
                     "}"}]}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{"showcoords", ",", "2"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Thick", ",", "Blue", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Circle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"Norm", "[", "pt", "]"}]}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"10", "pt"}]}], "}"}], "]"}]}], "}"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"Black", ",", 
                    RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                    RowBox[{"Point", "[", "pt", "]"}]}], "}"}]}], 
                 "\[IndentingNewLine]", "}"}], ",", 
                RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                RowBox[{"Ticks", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Range", "[", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", "10", ",", "2"}], "]"}], ",", 
                   RowBox[{"Range", "[", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", "10", ",", "2"}], "]"}]}], 
                  "}"}]}], ",", 
                RowBox[{"PlotRange", "\[Rule]", "10"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", "325"}]}], "]"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Appearance", "\[Rule]", "None"}]}], 
            "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Dynamic", "@", 
            RowBox[{"Item", "[", 
             RowBox[{
              RowBox[{"Text", "@", 
               RowBox[{"Column", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{"showcoords", ",", "1"}], "]"}], ",", 
                    RowBox[{"Style", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"gridtype", "\[Equal]", "2"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", "polar", "*)"}], 
                    RowBox[{"Column", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "\"\< = \>\"", ",", 
                    RowBox[{"N", "[", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "\"\< = \>\"", ",", 
                    RowBox[{"N", "[", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}], "]"}]}], 
                    "}"}], ",", 
                    RowBox[{"ItemSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Automatic", ",", "2"}], "}"}]}], ",", 
                    RowBox[{"Alignment", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Left", ",", "Center"}], "}"}]}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{"non", " ", "polar"}], "*)"}], 
                    RowBox[{"Column", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "}"}], 
                    "]"}]}], "]"}], ",", "\[IndentingNewLine]", "14", ",", 
                    "Brown"}], "]"}], ",", "\"\<\>\""}], "]"}], ",", 
                   "\"\<\>\"", ",", "\"\<\>\"", ",", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{"showcoords", ",", "2"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Column", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<r\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", 
                    RowBox[{"Simplify", "[", 
                    RowBox[{"Norm", "[", "pt", "]"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"gridtype", "\[Equal]", "1"}], ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\< = \>\"", ",", 
                    RowBox[{"N", "[", 
                    RowBox[{"Simplify", "[", 
                    RowBox[{"Norm", "[", "pt", "]"}], "]"}], "]"}]}], "}"}], 
                    "]"}], ",", "\"\<\>\""}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\[Theta] = \>\"", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"pt", "\[Equal]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], ",", "0", ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"gridtype", "\[Equal]", "2"}], ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"Apply", "[", 
                    RowBox[{"ArcTan", ",", "pt"}], "]"}], ",", 
                    RowBox[{"2", "Pi"}]}], "]"}], ",", 
                    RowBox[{"Pi", "/", "12"}]}], "]"}], ",", 
                    RowBox[{"TraditionalForm", "@", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"Apply", "[", 
                    RowBox[{"ArcTan", ",", "pt"}], "]"}], ",", 
                    RowBox[{"2", "Pi"}]}], "]"}]}]}], "]"}], ",", 
                    "\"\< = \>\"", ",", 
                    RowBox[{"N", "[", 
                    RowBox[{
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"Apply", "[", 
                    RowBox[{"ArcTan", ",", "pt"}], "]"}], ",", 
                    RowBox[{"2", "Pi"}]}], "]"}], "/", "Pi"}], "]"}], ",", 
                    "\"\< \[Pi]\>\""}], "}"}], "]"}]}], "]"}]}], "}"}], 
                    "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
                    RowBox[{"ItemSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Automatic", ",", "1.5"}], "}"}]}]}], "]"}], ",", 
                    "14", ",", "Blue"}], "]"}], ",", "\"\<\>\""}], "]"}]}], 
                  "\[IndentingNewLine]", "}"}], ",", 
                 RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]}], ",", 
              RowBox[{"ItemSize", "\[Rule]", "26"}], ",", 
              RowBox[{"Alignment", "\[Rule]", "Left"}]}], "]"}]}]}], 
          "\[IndentingNewLine]", "}"}], "}"}], ",", 
        RowBox[{"ItemSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"28", ",", "15"}], "}"}], ",", "Automatic"}], "}"}]}], 
        ",", 
        RowBox[{"Alignment", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Left", ",", "Center"}], "}"}]}]}], "]"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pt", ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "4"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "10"}], ",", 
       RowBox[{"-", "10"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "10"}], "}"}], ",", "None"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showgrid", ",", 
       RowBox[{"{", "}"}], ",", "\"\<show grid\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\< rectangular\>\""}], ",", 
       RowBox[{"2", "\[Rule]", "\"\< polar\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "CheckboxBar"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showcoords", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}], ",", "\"\<show coordinates\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\< rectangular\>\""}], ",", 
       RowBox[{"2", "\[Rule]", "\"\< polar\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "CheckboxBar"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"gridtype", ",", "1", ",", "\"\<grid snap\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\< rectangular\>\""}], ",", 
       RowBox[{"2", "\[Rule]", "\"\< polar\>\""}], ",", 
       RowBox[{"3", "\[Rule]", "\"\< do not snap to grid\>\""}]}], "}"}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}]}], "}"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3", ",", "4"}], "}"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4364023895858*^9, {3.436468653778056*^9, 
   3.436468668903056*^9}, {3.436468704309306*^9, 3.436468809699931*^9}, {
   3.436468843543681*^9, 3.436469039653056*^9}, {3.4384539625315485`*^9, 
   3.4384539948911304`*^9}, 3.4384540372039013`*^9, {3.438454071625997*^9, 
   3.438454076594779*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`gridtype$$ = 1, $CellContext`pt$$ = {4, 
    4}, $CellContext`showcoords$$ = {1, 2}, $CellContext`showgrid$$ = {}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`pt$$], {4, 4}}, {-10, -10}, {10, 10}}, {{
       Hold[$CellContext`showgrid$$], {}, "show grid"}, {
      1 -> " rectangular", 2 -> " polar"}}, {{
       Hold[$CellContext`showcoords$$], {1, 2}, "show coordinates"}, {
      1 -> " rectangular", 2 -> " polar"}}, {{
       Hold[$CellContext`gridtype$$], 1, "grid snap"}, {
      1 -> " rectangular", 2 -> " polar", 3 -> " do not snap to grid"}}}, 
    Typeset`size$$ = {549., {159.5, 164.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`pt$140878$$ = {0, 0}, $CellContext`showgrid$140879$$ = 
    False, $CellContext`showcoords$140880$$ = 
    False, $CellContext`gridtype$140881$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`gridtype$$ = 
        1, $CellContext`pt$$ = {4, 4}, $CellContext`showcoords$$ = {1, 
         2}, $CellContext`showgrid$$ = {}}, "ControllerVariables" :> {
        Hold[$CellContext`pt$$, $CellContext`pt$140878$$, {0, 0}], 
        Hold[$CellContext`showgrid$$, $CellContext`showgrid$140879$$, False], 
        
        Hold[$CellContext`showcoords$$, $CellContext`showcoords$140880$$, 
         False], 
        Hold[$CellContext`gridtype$$, $CellContext`gridtype$140881$$, False]},
       "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      DynamicModule[{}, $CellContext`arctan = ArcTan; Grid[{{
            LocatorPane[
             Switch[$CellContext`gridtype$$, 1, 
              Dynamic[$CellContext`pt$$, ($CellContext`pt$$ = Round[#])& ], 2,
               
              Dynamic[$CellContext`pt$$, ($CellContext`pt$$ = Round[
                  Norm[#]] {
                  Cos[
                   Round[
                    Apply[ArcTan, #], Pi/12]], 
                  Sin[
                   Round[
                    Apply[ArcTan, #], Pi/12]]})& ], 3, 
              Dynamic[$CellContext`pt$$]], 
             Dynamic[
              Graphics[{
                If[
                 MemberQ[$CellContext`showgrid$$, 1], {{
                   Lighter[Brown, 0.5], 
                   Table[
                    
                    Line[{{$CellContext`n, -10}, {$CellContext`n, 
                    10}}], {$CellContext`n, -10, 10, 1}]}, {
                   Lighter[Brown, 0.5], 
                   Table[
                    
                    Line[{{-10, $CellContext`n}, {
                    10, $CellContext`n}}], {$CellContext`n, -10, 10, 
                    1}]}}, {}], 
                If[
                 MemberQ[$CellContext`showgrid$$, 2], {{
                   Lighter[Blue, 0.5], 
                   Table[
                    
                    Circle[{0, 0}, $CellContext`r], {$CellContext`r, 1, 15, 
                    1}]}, {
                   Lighter[Blue, 0.5], 
                   Table[
                    Line[{{0, 0}, 15 {
                    Cos[$CellContext`t], 
                    Sin[$CellContext`t]}}], {$CellContext`t, 0, 2 Pi, Pi/
                    12}]}}, {}], 
                If[
                 MemberQ[$CellContext`showcoords$$, 1], {Thick, Brown, {
                   Line[{{
                    Part[$CellContext`pt$$, 1], -10}, {
                    Part[$CellContext`pt$$, 1], 10}}], 
                   Line[{{-10, 
                    Part[$CellContext`pt$$, 2]}, {10, 
                    Part[$CellContext`pt$$, 2]}}]}}, {}], 
                If[
                 MemberQ[$CellContext`showcoords$$, 2], {Thick, Blue, {
                   Circle[{0, 0}, 
                    Norm[$CellContext`pt$$]], 
                   Line[{{0, 0}, 10 $CellContext`pt$$}]}}, {}], {Black, 
                 PointSize[0.02], 
                 Point[$CellContext`pt$$]}}, Axes -> True, Ticks -> {
                 Range[-10, 10, 2], 
                 Range[-10, 10, 2]}, PlotRange -> 10, ImageSize -> 325]], 
             Appearance -> None], 
            Dynamic[
             Item[
              Text[
               Column[{
                 If[
                  MemberQ[$CellContext`showcoords$$, 1], 
                  Style[
                   If[$CellContext`gridtype$$ == 2, 
                    Column[{
                    Row[{
                    Style["x", Italic], " = ", 
                    Part[$CellContext`pt$$, 1], " = ", 
                    N[
                    Part[$CellContext`pt$$, 1]]}], 
                    Row[{
                    Style["y", Italic], " = ", 
                    Part[$CellContext`pt$$, 2], " = ", 
                    N[
                    Part[$CellContext`pt$$, 2]]}]}, 
                    ItemSize -> {Automatic, 2}, Alignment -> {Left, Center}], 
                    
                    Column[{
                    Row[{
                    Style["x", Italic], " = ", 
                    Part[$CellContext`pt$$, 1]}], 
                    Row[{
                    Style["y", Italic], " = ", 
                    Part[$CellContext`pt$$, 2]}]}]], 14, Brown], ""], "", "", 
                 
                 If[
                  MemberQ[$CellContext`showcoords$$, 2], 
                  Style[
                   Column[{
                    Row[{
                    Style["r", Italic], " = ", 
                    Simplify[
                    Norm[$CellContext`pt$$]], 
                    If[$CellContext`gridtype$$ == 1, 
                    Row[{" = ", 
                    N[
                    Simplify[
                    Norm[$CellContext`pt$$]]]}], ""]}], 
                    Row[{"\[Theta] = ", 
                    If[$CellContext`pt$$ == {0, 0}, 0, 
                    Row[{
                    If[$CellContext`gridtype$$ == 2, 
                    Round[
                    Mod[
                    Apply[ArcTan, $CellContext`pt$$], 2 Pi], Pi/12], 
                    TraditionalForm[
                    Mod[
                    Apply[ArcTan, $CellContext`pt$$], 2 Pi]]], " = ", 
                    N[Mod[
                    Apply[ArcTan, $CellContext`pt$$], 2 Pi]/Pi], 
                    " \[Pi]"}]]}]}, ItemSize -> {Automatic, 1.5}], 14, Blue], 
                  ""]}, Alignment -> Top]], ItemSize -> 26, Alignment -> 
              Left]]}}, ItemSize -> {{28, 15}, Automatic}, 
          Alignment -> {Left, Center}]], 
      "Specifications" :> {{{$CellContext`pt$$, {4, 4}}, {-10, -10}, {10, 10},
          ControlType -> None}, {{$CellContext`showgrid$$, {}, "show grid"}, {
         1 -> " rectangular", 2 -> " polar"}, ControlType -> 
         CheckboxBar}, {{$CellContext`showcoords$$, {1, 2}, 
          "show coordinates"}, {1 -> " rectangular", 2 -> " polar"}, 
         ControlType -> 
         CheckboxBar}, {{$CellContext`gridtype$$, 1, "grid snap"}, {
         1 -> " rectangular", 2 -> " polar", 3 -> " do not snap to grid"}, 
         ControlType -> RadioButtonBar}}, 
      "Options" :> {AutorunSequencing -> {2, 3, 4}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{593., {218., 223.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->1007010],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Polar and Rectangular Coordinates",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolarAndRectangularCoordinates/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/PolarAndRectangularCoordinates/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/PolarAndRectangularCoordinates/\
",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolarAndRectangularCoordinates/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/PolarAndRectangularCoordinates/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PolarAndRectangularCoordinates"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{773, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Polar and Rectangular Coordinates - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 225, 4, 70, "Section"],
Cell[818, 29, 19261, 437, 70, "Input"]
}, Open  ]],
Cell[20094, 469, 7952, 175, 70, "Output",
 CellID->1007010],
Cell[CellGroupData[{
Cell[28071, 648, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[28447, 659, 980, 29, 70, "Text"],
Cell[29430, 690, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[29770, 701, 342, 12, 70, "Text"],
Cell[CellGroupData[{
Cell[30137, 717, 847, 24, 70, "Text"],
Cell[30987, 743, 1206, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature KTNBU5MK6xBpRDDgzLgMMy6Z *)
