(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     27365,        655]
NotebookOptionsPosition[     26283,        614]
NotebookOutlinePosition[     26892,        638]
CellTagsIndexPosition[     26849,        635]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Polar Coordinates", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"theta", "[", "a_", "]"}], ":=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"a", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "\[GreaterEqual]", "0"}], ",", 
       RowBox[{"Arg", "[", 
        RowBox[{
         RowBox[{"a", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "+", 
         RowBox[{
          RowBox[{"a", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "I"}]}], "]"}], ",", 
       RowBox[{
        RowBox[{"2", "Pi"}], "+", 
        RowBox[{"Arg", "[", 
         RowBox[{
          RowBox[{"a", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "+", 
          RowBox[{
           RowBox[{"a", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "I"}]}], "]"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Text", "@", 
         RowBox[{"Style", "[", 
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"TraditionalForm", "@", "x"}], ",", "\"\< = \>\"", ",", 
             RowBox[{"a", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", 
             RowBox[{"Spacer", "[", "40", "]"}], ",", 
             RowBox[{"TraditionalForm", "@", "r"}], ",", "\"\< = \>\"", ",", 
             RowBox[{"SetAccuracy", "[", 
              RowBox[{
               RowBox[{"Norm", "[", "a", "]"}], ",", "3"}], "]"}]}], "}"}], 
           "]"}], "]"}]}], ",", 
        RowBox[{"Text", "@", 
         RowBox[{"Style", "[", 
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"TraditionalForm", "@", "y"}], ",", "\"\< = \>\"", ",", 
             " ", 
             RowBox[{"a", "[", 
              RowBox[{"[", "2", "]"}], "]"}], ",", 
             RowBox[{"Spacer", "[", "40", "]"}], ",", " ", 
             "\"\<\[Theta] = \>\"", ",", 
             RowBox[{"SetAccuracy", "[", 
              RowBox[{
               RowBox[{"theta", "[", "a", "]"}], ",", "3"}], "]"}]}], "}"}], 
           "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"Dashed", ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{"a", ",", " ", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"10", "*", 
                    RowBox[{"Sign", "[", 
                    RowBox[{"a", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ",", " ", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"a", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "/", 
                    RowBox[{"a", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "*", "10", "*", 
                    RowBox[{"Sign", "[", 
                    RowBox[{"a", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}]}], "}"}]}], "}"}],
                "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", "a"}], "}"}], "]"}], ",",
             "\[IndentingNewLine]", "                  ", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"a", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}], "}"}], ",", "a"}], "}"}], 
             "]"}], ",", "\[IndentingNewLine]", "                 ", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"a", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "0"}], "}"}], ",", 
               "a"}], "}"}], "]"}], ",", " ", "\[IndentingNewLine]", 
            "                 ", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", ".5", ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"theta", "[", "a", "]"}]}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", "                 ", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"TraditionalForm", "@", "x"}], ",", " ", 
                RowBox[{"N", "[", 
                 RowBox[{"14", "*", 
                  RowBox[{"(", 
                   RowBox[{"1", "-", 
                    RowBox[{"Exp", "[", 
                    RowBox[{"-", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"a", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}]}], ")"}]}],
                  "]"}]}], "]"}], ",", " ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"a", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "/", "2"}], ",", 
                RowBox[{
                 RowBox[{"a", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "+", ".25"}]}], "}"}]}], 
             "]"}], ",", "\[IndentingNewLine]", "\t        ", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"TraditionalForm", "@", "y"}], ",", " ", 
                RowBox[{"N", "[", 
                 RowBox[{"14", "*", 
                  RowBox[{"(", 
                   RowBox[{"1", "-", 
                    RowBox[{"Exp", "[", 
                    RowBox[{"-", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"a", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "]"}]}], ")"}]}],
                  "]"}]}], "]"}], ",", " ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"a", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "+", ".25"}], ",", 
                RowBox[{
                 RowBox[{"a", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "/", "2"}]}], "}"}]}], 
             "]"}], ",", "\[IndentingNewLine]", "\t        ", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"TraditionalForm", "@", "r"}], ",", "  ", 
                RowBox[{"N", "[", 
                 RowBox[{"14", "*", 
                  RowBox[{"(", 
                   RowBox[{"1", "-", 
                    RowBox[{"Exp", "[", 
                    RowBox[{"-", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"Norm", "[", "a", "]"}], "]"}]}], "]"}]}], 
                   ")"}]}], "]"}]}], "]"}], ",", " ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"a", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "/", "2"}], ",", " ", 
                RowBox[{
                 RowBox[{
                  RowBox[{"a", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], "/", "2"}], "+", ".25"}]}],
                "}"}]}], "]"}], ",", "\[IndentingNewLine]", "\t        ", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<\[Theta]\>\"", ",", " ", 
                RowBox[{"N", "[", 
                 RowBox[{"14", "*", 
                  RowBox[{"(", 
                   RowBox[{"1", "-", 
                    RowBox[{"Exp", "[", 
                    RowBox[{"-", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"Norm", "[", "a", "]"}], "]"}]}], "]"}]}], 
                   ")"}]}], "]"}]}], "]"}], ",", " ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{".7", "*", 
                 RowBox[{"Cos", "[", 
                  RowBox[{
                   RowBox[{"theta", "[", "a", "]"}], "/", "2"}], "]"}]}], ",",
                 
                RowBox[{".6", "*", 
                 RowBox[{"Sin", "[", 
                  RowBox[{
                   RowBox[{"theta", "[", "a", "]"}], "/", "2"}], "]"}]}]}], 
               "}"}]}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
          "                   ", 
          RowBox[{"ImageSize", "\[Rule]", "450"}], ",", " ", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}], ",", " ", 
          RowBox[{"Axes", "\[Rule]", "True"}]}], "]"}]}], "}"}], ",", 
      "Center"}], "]"}]}], ",", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", " ", 
       RowBox[{"{", 
        RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "5"}], ",", 
       RowBox[{"-", "5"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "5"}], "}"}], ",", " ", "Locator"}], "}"}], ",", " ", 
   
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", "a", "}"}]}]}], "]"}]], "Input",
 CellFrame->{{0, 0}, {0.5, 0}},
 CellChangeTimes->{{3.37252104537814*^9, 3.37252107517431*^9}, {
   3.37252111871951*^9, 3.37252119199795*^9}, {3.37252123823055*^9, 
   3.37252125980784*^9}, {3.37252143026477*^9, 3.37252144126365*^9}, {
   3.37252325984975*^9, 3.37252328736784*^9}, {3.37252337110972*^9, 
   3.3725235499695*^9}, {3.37252362060082*^9, 3.3725236933886*^9}, {
   3.3725237283761*^9, 3.37252382019683*^9}, {3.37252446466082*^9, 
   3.37252459940015*^9}, {3.37252482394987*^9, 3.37252484335882*^9}, {
   3.37252525040457*^9, 3.37252526971663*^9}, {3.37252561878046*^9, 
   3.3725259721026*^9}, {3.37252601144782*^9, 3.37252602931074*^9}, {
   3.37252652989402*^9, 3.37252664276653*^9}, {3.37252675994489*^9, 
   3.37252685451754*^9}, {3.37252692415996*^9, 3.37252695167995*^9}, {
   3.37252698519068*^9, 3.37252707514547*^9}, {3.37252711954563*^9, 
   3.37252716531867*^9}, {3.37252731784867*^9, 3.37252735961228*^9}, {
   3.37252739544755*^9, 3.37252740641498*^9}, {3.37259710838473*^9, 
   3.3725971090409*^9}, {3.37259714736436*^9, 3.37259721426248*^9}, {
   3.37259724805524*^9, 3.37259731594911*^9}, {3.37259734862074*^9, 
   3.37259742613396*^9}, {3.37259745983536*^9, 3.37259746035024*^9}, {
   3.37259786234491*^9, 3.37259787147834*^9}, 3.37259791988662*^9, {
   3.3726112961712*^9, 3.37261133871371*^9}, {3.37261213755378*^9, 
   3.37261214542797*^9}, {3.37268906248438*^9, 3.37268920698079*^9}, {
   3.37268923743048*^9, 3.37268926268393*^9}, {3.37268931888616*^9, 
   3.37268934939683*^9}, {3.37268954835652*^9, 3.3726896189973*^9}, {
   3.37268965116502*^9, 3.37268966161635*^9}, {3.37269336527033*^9, 
   3.37269337350007*^9}, {3.37269346276227*^9, 3.37269361875249*^9}, {
   3.37269414185362*^9, 3.37269414758255*^9}, {3.37269423752354*^9, 
   3.37269429745811*^9}, {3.37269451370054*^9, 3.37269458500284*^9}, {
   3.37269570608229*^9, 3.37269571500616*^9}, {3.37269576484545*^9, 
   3.372695805386*^9}, {3.37269583667466*^9, 3.37269592063203*^9}, {
   3.37269619032284*^9, 3.37269625935614*^9}, {3.37269671714747*^9, 
   3.37269674985938*^9}, {3.37269750156139*^9, 3.37269753703967*^9}, {
   3.37269763853569*^9, 3.37269777819823*^9}, {3.37269809112607*^9, 
   3.37269815286141*^9}, {3.3726982205671*^9, 3.37269822075465*^9}, {
   3.37407247864063*^9, 3.37407256621875*^9}, {3.374072597875*^9, 
   3.3740727638125*^9}, {3.37407279557813*^9, 3.3740728105625*^9}, {
   3.37407295965625*^9, 3.3740730530625*^9}, {3.37407322901563*^9, 
   3.37407327873438*^9}, {3.37407331445313*^9, 3.37407337*^9}, {
   3.37407342928125*^9, 3.374073472*^9}, {3.37407355359375*^9, 
   3.37407362865625*^9}, {3.37407367926563*^9, 3.37407379401563*^9}, {
   3.37407385339063*^9, 3.37407393432813*^9}, {3.37407397903125*^9, 
   3.37407404403125*^9}, {3.3740740775*^9, 3.37407419735938*^9}, {
   3.37407423620313*^9, 3.37407429714063*^9}, {3.37407435129688*^9, 
   3.37407435567188*^9}, {3.37407444021875*^9, 3.3740744455*^9}, {
   3.3740744780625*^9, 3.37407461795313*^9}, 3.37407469879688*^9, {
   3.37407474107813*^9, 3.3740747450625*^9}, {3.37407506610938*^9, 
   3.37407509984375*^9}, {3.37407519796875*^9, 3.37407529351563*^9}, {
   3.37407537857813*^9, 3.37407559120313*^9}, {3.37407567153125*^9, 
   3.37407567271875*^9}, {3.377047977705625*^9, 3.377047978486875*^9}, {
   3.37704802803375*^9, 3.377048060736875*^9}, {3.37704809928375*^9, 
   3.377048112018125*^9}, {3.377260316390625*^9, 3.37726046878125*^9}, {
   3.37726136225*^9, 3.377261387078125*^9}, {3.37726144896875*^9, 
   3.377261453140625*^9}, {3.377261484796875*^9, 3.377261490921875*^9}, {
   3.377261546890625*^9, 3.377261561921875*^9}, {3.377261641328125*^9, 
   3.37726166634375*^9}, {3.377261747953125*^9, 3.377261916640625*^9}, {
   3.377262204625*^9, 3.3772622806875*^9}, {3.377267518640625*^9, 
   3.377267526390625*^9}, {3.377267563515625*^9, 3.377267741671875*^9}, {
   3.377267778921875*^9, 3.37726785121875*^9}, {3.37727144553125*^9, 
   3.377271487546875*^9}, {3.377271627328125*^9, 3.377271699140625*^9}, {
   3.377271781015625*^9, 3.377271783078125*^9}, {3.377271874015625*^9, 
   3.377271876578125*^9}, {3.377272536640625*^9, 3.377272560703125*^9}, {
   3.3772725914375*^9, 3.377272684921875*^9}, {3.377272717703125*^9, 
   3.37727276315625*^9}, {3.3772729900625*^9, 3.377272992046875*^9}, {
   3.377273060953125*^9, 3.3772731244375*^9}, {3.37727317509375*^9, 
   3.37727317634375*^9}, {3.3772732095625*^9, 3.377273320375*^9}, {
   3.37727343478125*^9, 3.37727369378125*^9}, {3.37727376015625*^9, 
   3.37727376675*^9}, 3.37727388415625*^9, {3.37727392928125*^9, 
   3.377273961453125*^9}, {3.37727409603125*^9, 3.37727413321875*^9}, {
   3.377274164203125*^9, 3.37727425621875*^9}, {3.3772791851875*^9, 
   3.377279230515625*^9}, {3.37727927196875*^9, 3.37727933265625*^9}, {
   3.377279366546875*^9, 3.377279423765625*^9}, {3.377279473078125*^9, 
   3.37727952846875*^9}, {3.377279604015625*^9, 3.37727970053125*^9}, {
   3.377357765140625*^9, 3.37735781428125*^9}, {3.37735790515625*^9, 
   3.377357925765625*^9}, {3.37735798671875*^9, 3.377358252234375*^9}, {
   3.377358336484375*^9, 3.377358336796875*^9}, {3.37735840390625*^9, 
   3.377358472953125*^9}, {3.377358708171875*^9, 3.3773587534375*^9}, {
   3.377358886859375*^9, 3.37735889571875*^9}, {3.37735896125*^9, 
   3.37735897703125*^9}, {3.3773590140625*^9, 3.377359016515625*^9}, {
   3.377359252109375*^9, 3.377359263453125*^9}, {3.377359295859375*^9, 
   3.377359297828125*^9}, {3.37735950659375*^9, 3.377359576828125*^9}, {
   3.377359685609375*^9, 3.3773597041875*^9}, {3.377359758296875*^9, 
   3.377359795140625*^9}, {3.377359998578125*^9, 3.377360025140625*^9}, {
   3.377360608703125*^9, 3.37736061803125*^9}, {3.377361241265625*^9, 
   3.377361421703125*^9}, {3.377361546375*^9, 3.377361572109375*^9}, {
   3.377361724265625*^9, 3.377361763484375*^9}, {3.377365327984375*^9, 
   3.37736535028125*^9}, {3.377365424265625*^9, 3.3773654731875*^9}, {
   3.37736552803125*^9, 3.377365533390625*^9}, {3.377365857359375*^9, 
   3.37736602646875*^9}, {3.37736609384375*^9, 3.377366221671875*^9}, 
   3.377366254484375*^9, {3.37736631990625*^9, 3.377366445734375*^9}, {
   3.377366614265625*^9, 3.377366662390625*^9}, {3.377366693265625*^9, 
   3.377366773453125*^9}, {3.377366812125*^9, 3.377366825515625*^9}, {
   3.37736686865625*^9, 3.377366890875*^9}, {3.3773669358125*^9, 
   3.377367057859375*^9}, {3.37736715353125*^9, 3.377367201375*^9}, {
   3.3773676075*^9, 3.377367648890625*^9}, {3.3774444550559998`*^9, 
   3.3774444993216248`*^9}, {3.3774447713841248`*^9, 
   3.3774447821966248`*^9}, {3.3774448254778748`*^9, 
   3.3774448255872498`*^9}, {3.3774450322122498`*^9, 
   3.3774450913528748`*^9}, {3.3774451370559998`*^9, 
   3.3774452857903748`*^9}, {3.3774453509466248`*^9, 
   3.3774453516184998`*^9}, {3.3774454360091248`*^9, 
   3.3774454709778748`*^9}, {3.377454354892372*^9, 3.377454362095497*^9}, {
   3.3829736382491083`*^9, 3.3829736558411083`*^9}, {3.3829736867961082`*^9, 
   3.382973703897108*^9}, {3.3829737884201083`*^9, 3.3829738320771084`*^9}, {
   3.3829739163801084`*^9, 3.382973991428108*^9}, {3.3829740576251087`*^9, 
   3.3829740639701085`*^9}, {3.3829741057901087`*^9, 
   3.3829741434981084`*^9}, {3.3829742032611084`*^9, 
   3.3829742071691084`*^9}, {3.3829742530451083`*^9, 3.382974256883108*^9}, {
   3.3829750635161085`*^9, 3.382975116088108*^9}, {3.3829761932011085`*^9, 
   3.3829762658351088`*^9}, {3.382976322364108*^9, 3.3829763230421085`*^9}, {
   3.3829763969531083`*^9, 3.3829764189511085`*^9}, {3.3829766889911084`*^9, 
   3.3829766891961083`*^9}, {3.3829774046923714`*^9, 3.38297740489316*^9}, {
   3.38341693911372*^9, 3.383416945342677*^9}, 3.383417413816309*^9, 
   3.3834885094769135`*^9},
 CellID->15173341]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = {2, 2}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], {2, 2}}, {-5, -5}, {5, 5}}}, Typeset`size$$ = {
    450., {242.5, 247.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$3837$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`a$$ = {2, 2}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$3837$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`theta[
          Pattern[$CellContext`a, 
           Blank[]]] := If[Part[$CellContext`a, 2] >= 0, 
          Arg[Part[$CellContext`a, 1] + Part[$CellContext`a, 2] I], 2 Pi + 
          Arg[Part[$CellContext`a, 1] + Part[$CellContext`a, 2] I]]; Column[{
          Text[
           Style[
            Row[{
              TraditionalForm[$CellContext`x], " = ", 
              Part[$CellContext`a$$, 1], 
              Spacer[40], 
              TraditionalForm[$CellContext`r], " = ", 
              SetAccuracy[
               Norm[$CellContext`a$$], 3]}]]], 
          Text[
           Style[
            Row[{
              TraditionalForm[$CellContext`y], " = ", 
              Part[$CellContext`a$$, 2], 
              Spacer[40], "\[Theta] = ", 
              SetAccuracy[
               $CellContext`theta[$CellContext`a$$], 3]}]]], 
          Graphics[{{Dashed, 
             Line[{$CellContext`a$$, {10 Sign[
                  Part[$CellContext`a$$, 1]], (Part[$CellContext`a$$, 2]/
                 Part[$CellContext`a$$, 1]) 10 Sign[
                  Part[$CellContext`a$$, 1]]}}]}, 
            Line[{{0, 0}, $CellContext`a$$}], 
            Line[{{0, 
               Part[$CellContext`a$$, 2]}, $CellContext`a$$}], 
            Line[{{
               Part[$CellContext`a$$, 1], 0}, $CellContext`a$$}], 
            Circle[{0, 0}, 0.5, {0, 
              $CellContext`theta[$CellContext`a$$]}], 
            Text[
             Style[
              TraditionalForm[$CellContext`x], 
              N[14 (1 - Exp[-Abs[
                   Part[$CellContext`a$$, 1]]])]], {
             Part[$CellContext`a$$, 1]/2, Part[$CellContext`a$$, 2] + 0.25}], 
            
            Text[
             Style[
              TraditionalForm[$CellContext`y], 
              N[14 (1 - Exp[-Abs[
                   Part[$CellContext`a$$, 2]]])]], {
             Part[$CellContext`a$$, 1] + 0.25, Part[$CellContext`a$$, 2]/2}], 
            
            Text[
             Style[
              TraditionalForm[$CellContext`r], 
              N[14 (1 - Exp[-Abs[
                   Norm[$CellContext`a$$]]])]], {
             Part[$CellContext`a$$, 1]/2, Part[$CellContext`a$$, 2]/2 + 
              0.25}], 
            Text[
             Style["\[Theta]", 
              N[14 (1 - Exp[-Abs[
                   Norm[$CellContext`a$$]]])]], {
             0.7 Cos[$CellContext`theta[$CellContext`a$$]/2], 0.6 
              Sin[$CellContext`theta[$CellContext`a$$]/2]}]}, ImageSize -> 
           450, PlotRange -> {{-5, 5}, {-5, 5}}, Axes -> True]}, Center]), 
      "Specifications" :> {{{$CellContext`a$$, {2, 2}}, {-5, -5}, {5, 5}, 
         ControlType -> Locator}}, 
      "Options" :> {TrackedSymbols :> {$CellContext`a$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {270., 275.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->501397712],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Polar Coordinates",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolarCoordinates/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PolarCoordinates/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/PolarCoordinates/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolarCoordinates/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PolarCoordinates/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Chris Boucher",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->614353783],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PolarCoordinates"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Polar Coordinates - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 209, 4, 70, "Section"],
Cell[802, 29, 17143, 354, 70, "Input",
 CellID->15173341]
}, Open  ]],
Cell[17960, 386, 4172, 94, 70, "Output",
 CellID->501397712],
Cell[CellGroupData[{
Cell[22157, 484, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[22533, 495, 874, 24, 70, "Text"],
Cell[23410, 521, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[23750, 532, 456, 15, 70, "Text",
 CellID->614353783],
Cell[CellGroupData[{
Cell[24231, 551, 829, 24, 70, "Text"],
Cell[25063, 577, 1192, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature XT4zda2zLRbCBDDR1glo@FAr *)
