(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     26957,        676]
NotebookOptionsPosition[     25880,        636]
NotebookOutlinePosition[     26502,        660]
CellTagsIndexPosition[     26459,        657]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Polar Graph with Rectangular Graph", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"maxtheta", "=", 
     RowBox[{"Switch", "[", 
      RowBox[{"f", ",", 
       RowBox[{"functionlist", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", "Pi", ",", 
       RowBox[{"functionlist", "[", 
        RowBox[{"[", 
         RowBox[{"7", ",", "1"}], "]"}], "]"}], ",", 
       RowBox[{"8", "Pi"}], ",", "f", ",", 
       RowBox[{"2", "Pi"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"t", ">", "maxtheta"}], ",", 
      RowBox[{"t", "=", "maxtheta"}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Text", "@", 
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<r\>\"", ",", "Italic"}], "]"}], ",", 
            "\"\<(\[Theta])\>\"", ",", "\"\< = \>\"", " ", ",", 
            RowBox[{"TraditionalForm", "[", 
             RowBox[{"f", "[", "\[Theta]", "]"}], "]"}]}], "}"}], "]"}]}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"Grid", "[", 
         RowBox[{"{", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Column", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"StringJoin", "[", "\"\<polar graph\>\"", "]"}], 
                  ",", "\"\<Label\>\"", ",", "15"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Show", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"PolarPlot", "[", 
                   RowBox[{
                    RowBox[{"f", "[", "t1", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"t1", ",", "0", ",", "maxtheta"}], "}"}], ",", 
                    RowBox[{"AxesLabel", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "15", ",", "Italic"}], "]"}], 
                    ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "15", ",", "Italic"}], "]"}]}], 
                    "}"}]}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", "298"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", "5"}], ",", 
                    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}], 
                  ",", "\[IndentingNewLine]", 
                  RowBox[{"Graphics", "[", 
                   RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Red", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"5", "*", 
                    RowBox[{"Cos", "[", "t", "]"}]}], ",", 
                    RowBox[{"5", "*", 
                    RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"f", "[", "t", "]"}], "*", 
                    RowBox[{"Cos", "[", "t", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"f", "[", "t", "]"}], "*", 
                    RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}], "]"}]}], 
                 "]"}]}], "}"}], ",", "Center"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Column", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{
                  "StringJoin", "[", "\"\<rectangular graph\>\"", "]"}], ",", 
                  "\"\<Label\>\"", ",", "15"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Show", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{"f", "[", "t1", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"t1", ",", "0", ",", "maxtheta"}], "}"}], ",", 
                    RowBox[{"AxesLabel", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<\[Theta]\>\"", ",", "15"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<r\>\"", ",", "15", ",", "Italic"}], "]"}]}], 
                    "}"}]}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", "298"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "maxtheta"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "6"}], ",", "6.1"}], "}"}]}], "}"}]}]}], 
                   "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"Graphics", "[", 
                   RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Red", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"t", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"t", ",", "5"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"t", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"t", ",", 
                    RowBox[{"f", "[", "t", "]"}]}], "}"}]}], "}"}], "]"}]}], 
                    "}"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
                  RowBox[{"Ticks", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"maxtheta", "==", 
                    RowBox[{"8", "Pi"}]}], ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"0", ",", "maxtheta", ",", 
                    RowBox[{"Pi", "/", "2"}]}], "]"}], ",", 
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{"0", ",", "maxtheta", ",", 
                    RowBox[{"Pi", "/", "6"}]}], "]"}], ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"0", ",", "maxtheta", ",", 
                    RowBox[{"Pi", "/", "4"}]}], "]"}]}], "]"}]}], "]"}], ",", 
                    "Automatic"}], "}"}]}]}], "]"}]}], "}"}], ",", "Center"}],
              "]"}]}], "\[IndentingNewLine]", "}"}], "}"}], "]"}]}], 
       "\[IndentingNewLine]", "}"}], ",", 
      RowBox[{"ItemSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", "5"}], "}"}]}]}], "]"}]}], 
   "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "\"\<theta\>\""}], "}"}], ",", "0", ",", 
     RowBox[{"Dynamic", "@", "maxtheta"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Button", "[", 
    RowBox[{"\"\<reset\>\"", ",", 
     RowBox[{"t", "=", "0"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "50"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<DialogBox\>\""}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"Function", "[", 
        RowBox[{
         RowBox[{"{", "x1", "}"}], ",", 
         RowBox[{"4", 
          RowBox[{"Cos", "[", "x1", "]"}]}]}], "]"}], ",", 
       "\"\<r(\[Theta])\>\""}], "}"}], ",", "functionlist", ",", 
     "PopupMenu"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"maxtheta", ",", "1"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"functionlist", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{
            RowBox[{"{", "x1", "}"}], ",", 
            RowBox[{"4", 
             RowBox[{"Cos", "[", "x1", "]"}]}]}], "]"}], "\[Rule]", 
          "\"\<circle\>\""}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{
            RowBox[{"{", "x1", "}"}], ",", 
            RowBox[{"3", 
             RowBox[{"(", 
              RowBox[{"0.5", "+", 
               RowBox[{"Cos", "[", "x1", "]"}]}], ")"}]}]}], "]"}], 
          "\[Rule]", "\"\<lima\[CCedilla]on X\>\""}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{
            RowBox[{"{", "x1", "}"}], ",", 
            RowBox[{"3", 
             RowBox[{"(", 
              RowBox[{"0.5", "+", 
               RowBox[{"Sin", "[", "x1", "]"}]}], ")"}]}]}], "]"}], 
          "\[Rule]", "\"\<lima\[CCedilla]on, Y\>\""}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{
            RowBox[{"{", "x1", "}"}], ",", 
            RowBox[{"9", 
             RowBox[{"Sin", "[", "x1", "]"}], "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Cos", "[", "x1", "]"}], "^", "2"}], ")"}]}]}], "]"}], 
          "\[Rule]", "\"\<bifolium\>\""}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{
            RowBox[{"{", "x1", "}"}], ",", 
            RowBox[{"1.5", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"Cos", "[", "x1", "]"}]}], ")"}]}]}], "]"}], 
          "\[Rule]", "\"\<cardiod\>\""}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{
            RowBox[{"{", "x1", "}"}], ",", 
            RowBox[{"2", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"Sin", "[", "x1", "]"}]}], ")"}]}]}], "]"}], 
          "\[Rule]", "\"\<heart curve\>\""}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{
            RowBox[{"{", "x1", "}"}], ",", 
            RowBox[{"3", "*", 
             RowBox[{"Sin", "[", 
              RowBox[{
               RowBox[{"3", "/", "4"}], "x1"}], "]"}]}]}], "]"}], "\[Rule]", 
          "\"\<rose curve\>\""}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Function", "[", 
           RowBox[{
            RowBox[{"{", "x1", "}"}], ",", 
            RowBox[{"1.5", "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"E", "^", 
                RowBox[{"(", 
                 RowBox[{"Sin", "[", "x1", "]"}], ")"}]}], "-", 
               RowBox[{"2", 
                RowBox[{"Cos", "[", 
                 RowBox[{"4", "*", "x1"}], "]"}]}]}], ")"}]}]}], "]"}], 
          "\[Rule]", "\"\<butterfly curve\>\""}]}], "}"}]}], ";"}], 
     "\[IndentingNewLine]", ")"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4329121328996*^9, 3.4329121829756002`*^9}, {
   3.4329122390108*^9, 3.4329122460776*^9}, 3.4329122976823997`*^9, {
   3.4329186071256*^9, 3.43291868667*^9}, {3.4329187607232*^9, 
   3.4329187640148*^9}, {3.4330893955495996`*^9, 3.433089440774*^9}, 
   3.4330901910716*^9, {3.4335939666058655`*^9, 3.4335941633345366`*^9}, {
   3.4335942385840607`*^9, 3.4335942637465763`*^9}, 3.4335945521054096`*^9, {
   3.4336052174709983`*^9, 3.433605241626939*^9}, {3.433605806557208*^9, 
   3.433605811400896*^9}, 3.433605892181112*^9, {3.433619068285163*^9, 
   3.433619091120163*^9}, {3.433865598857911*^9, 3.433865650237911*^9}},
 CellID->159696607]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`f$$ = 
    Function[{$CellContext`x1}, 4 
     Cos[$CellContext`x1]], $CellContext`maxtheta$$ = Pi, $CellContext`t$$ = 
    0, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`t$$], 0, "theta"}, 0, 
      Dynamic[$CellContext`maxtheta$$]}, {
      Hold[
       Button[
       "reset", $CellContext`t$$ = 0, ImageSize -> 50, Appearance -> 
        "DialogBox"]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`f$$], 
       Function[{$CellContext`x1}, 4 Cos[$CellContext`x1]], "r(\[Theta])"}, {
      Function[{$CellContext`x1}, 4 Cos[$CellContext`x1]] -> "circle", 
       Function[{$CellContext`x1}, 3 (0.5 + Cos[$CellContext`x1])] -> 
       "lima\[CCedilla]on X", 
       Function[{$CellContext`x1}, 3 (0.5 + Sin[$CellContext`x1])] -> 
       "lima\[CCedilla]on, Y", 
       Function[{$CellContext`x1}, 9 Sin[$CellContext`x1] 
         Cos[$CellContext`x1]^2] -> "bifolium", 
       Function[{$CellContext`x1}, 1.5 (1 - Cos[$CellContext`x1])] -> 
       "cardiod", Function[{$CellContext`x1}, 2 (1 - Sin[$CellContext`x1])] -> 
       "heart curve", 
       Function[{$CellContext`x1}, 3 Sin[(3/4) $CellContext`x1]] -> 
       "rose curve", 
       Function[{$CellContext`x1}, 
         1.5 (E^Sin[$CellContext`x1] - 2 Cos[4 $CellContext`x1])] -> 
       "butterfly curve"}}, {{
       Hold[$CellContext`maxtheta$$], Pi}}}, Typeset`size$$ = {
    604., {187.5, 192.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`t$40084$$ = 
    0, $CellContext`f$40085$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`f$$ = 
        Function[{$CellContext`x1}, 4 
          Cos[$CellContext`x1]], $CellContext`maxtheta$$ = 
        Pi, $CellContext`t$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$40084$$, 0], 
        Hold[$CellContext`f$$, $CellContext`f$40085$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`maxtheta$$ = Switch[$CellContext`f$$, 
          Part[$CellContext`functionlist, 1, 1], Pi, 
          Part[$CellContext`functionlist, 7, 1], 8 Pi, $CellContext`f$$, 2 
          Pi]; If[$CellContext`t$$ > $CellContext`maxtheta$$, \
$CellContext`t$$ = $CellContext`maxtheta$$]; Column[{
          Text[
           Row[{
             Style["r", Italic], "(\[Theta])", " = ", 
             TraditionalForm[
              $CellContext`f$$[$CellContext`\[Theta]]]}]], 
          Grid[{{
             Column[{
               Style[
                StringJoin["polar graph"], "Label", 15], 
               Show[
                PolarPlot[
                 $CellContext`f$$[$CellContext`t1], {$CellContext`t1, 
                  0, $CellContext`maxtheta$$}, AxesLabel -> {
                   Style["x", 15, Italic], 
                   Style["y", 15, Italic]}, ImageSize -> 298, PlotRange -> 5, 
                 AspectRatio -> Automatic], 
                Graphics[{{Red, 
                   
                   Line[{{0, 0}, {
                    5 Cos[$CellContext`t$$], 5 Sin[$CellContext`t$$]}}]}, {
                  Black, 
                   
                   Arrow[{{0, 
                    0}, {$CellContext`f$$[$CellContext`t$$] 
                    Cos[$CellContext`t$$], $CellContext`f$$[$CellContext`t$$] 
                    Sin[$CellContext`t$$]}}]}}]]}, Center], 
             Column[{
               Style[
                StringJoin["rectangular graph"], "Label", 15], 
               Show[
                Plot[
                 $CellContext`f$$[$CellContext`t1], {$CellContext`t1, 
                  0, $CellContext`maxtheta$$}, AxesLabel -> {
                   Style["\[Theta]", 15], 
                   Style["r", 15, Italic]}, ImageSize -> 298, 
                 PlotRange -> {{0, $CellContext`maxtheta$$}, {-6, 6.1}}], 
                Graphics[{{Red, 
                   Line[{{$CellContext`t$$, 0}, {$CellContext`t$$, 5}}]}, {
                  Black, 
                   Arrow[{{$CellContext`t$$, 0}, {$CellContext`t$$, 
                    $CellContext`f$$[$CellContext`t$$]}}]}}], Ticks -> {
                  If[$CellContext`maxtheta$$ == 8 Pi, 
                   Range[0, $CellContext`maxtheta$$, Pi/2], 
                   Union[
                    Range[0, $CellContext`maxtheta$$, Pi/6], 
                    Range[0, $CellContext`maxtheta$$, Pi/4]]], Automatic}]}, 
              Center]}}]}, ItemSize -> {Automatic, 5}]), 
      "Specifications" :> {{{$CellContext`t$$, 0, "theta"}, 0, 
         Dynamic[$CellContext`maxtheta$$]}, 
        Button[
        "reset", $CellContext`t$$ = 0, ImageSize -> 50, Appearance -> 
         "DialogBox"], {{$CellContext`f$$, 
          Function[{$CellContext`x1}, 4 Cos[$CellContext`x1]], 
          "r(\[Theta])"}, {
         Function[{$CellContext`x1}, 4 Cos[$CellContext`x1]] -> "circle", 
          Function[{$CellContext`x1}, 3 (0.5 + Cos[$CellContext`x1])] -> 
          "lima\[CCedilla]on X", 
          Function[{$CellContext`x1}, 3 (0.5 + Sin[$CellContext`x1])] -> 
          "lima\[CCedilla]on, Y", 
          Function[{$CellContext`x1}, 9 Sin[$CellContext`x1] 
            Cos[$CellContext`x1]^2] -> "bifolium", 
          Function[{$CellContext`x1}, 1.5 (1 - Cos[$CellContext`x1])] -> 
          "cardiod", 
          Function[{$CellContext`x1}, 2 (1 - Sin[$CellContext`x1])] -> 
          "heart curve", 
          Function[{$CellContext`x1}, 3 Sin[(3/4) $CellContext`x1]] -> 
          "rose curve", 
          Function[{$CellContext`x1}, 
            1.5 (E^Sin[$CellContext`x1] - 2 Cos[4 $CellContext`x1])] -> 
          "butterfly curve"}, ControlType -> 
         PopupMenu}, {{$CellContext`maxtheta$$, Pi}, ControlType -> None}}, 
      "Options" :> {AutorunSequencing -> {1, 2}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{648., {256., 261.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`functionlist = {
        Function[{$CellContext`x1}, 4 Cos[$CellContext`x1]] -> "circle", 
         Function[{$CellContext`x1}, 3 (0.5 + Cos[$CellContext`x1])] -> 
         "lima\[CCedilla]on X", 
         Function[{$CellContext`x1}, 3 (0.5 + Sin[$CellContext`x1])] -> 
         "lima\[CCedilla]on, Y", 
         Function[{$CellContext`x1}, 9 Sin[$CellContext`x1] 
           Cos[$CellContext`x1]^2] -> "bifolium", 
         Function[{$CellContext`x1}, 1.5 (1 - Cos[$CellContext`x1])] -> 
         "cardiod", Function[{$CellContext`x1}, 2 (1 - Sin[$CellContext`x1])] -> 
         "heart curve", 
         Function[{$CellContext`x1}, 3 Sin[(3/4) $CellContext`x1]] -> 
         "rose curve", 
         Function[{$CellContext`x1}, 
           1.5 (E^Sin[$CellContext`x1] - 2 Cos[4 $CellContext`x1])] -> 
         "butterfly curve"}; Null); Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->151827088],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Polar Graph with Rectangular Graph",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolarGraphWithRectangularGraph/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/PolarGraphWithRectangularGraph/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/PolarGraphWithRectangularGraph/\
",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolarGraphWithRectangularGraph/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/PolarGraphWithRectangularGraph/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Allen Huang",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Allen+Huang"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Allen+Huang"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PolarGraphWithRectangularGraph"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Polar Graph with Rectangular Graph - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 226, 4, 70, "Section"],
Cell[819, 29, 13216, 313, 70, "Input",
 CellID->159696607]
}, Open  ]],
Cell[14050, 345, 7584, 153, 70, "Output",
 CellID->151827088],
Cell[CellGroupData[{
Cell[21659, 502, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[22035, 513, 981, 29, 70, "Text"],
Cell[23019, 544, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[23359, 555, 430, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[23814, 573, 829, 24, 70, "Text"],
Cell[24646, 599, 1206, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature bRzn7czlFQf3aA07wsF2LsOM *)
