(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     30634,        762]
NotebookOptionsPosition[     29536,        722]
NotebookOutlinePosition[     30197,        747]
CellTagsIndexPosition[     30154,        744]
WindowTitle->The Effects of Some Simple Compositions on the Graph of a \
Function - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
The Effects of Some Simple Compositions on the Graph of a Function\
\>", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"func", "[", 
       RowBox[{"x", "-", "k1"}], "]"}], "+", "k2"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"fplot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"f", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"c", ",", "d"}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Thickness", "[", "0.01", "]"}]}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<the graph of \>\"", ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<g\>\"", ",", "Italic"}], "]"}], ",", "\"\<(\>\"", 
           ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "\"\<) = \>\"", 
           ",", 
           RowBox[{"f", "[", "x", "]"}]}], " ", "}"}], "]"}]}]}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"thinfplot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"f", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"c", ",", "d"}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Thickness", "[", "0.0025", "]"}]}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<the graph of \>\"", ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<g\>\"", ",", "Italic"}], "]"}], ",", "\"\<(\>\"", 
           ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "\"\<) = \>\"", 
           ",", 
           RowBox[{"f", "[", "x", "]"}]}], " ", "}"}], "]"}]}]}], "]"}]}], 
    ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"negfplot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"f", "[", "x", "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"c", ",", "d"}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.01", "]"}], ",", "Red"}], "}"}]}]}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"fnegplot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"-", "x"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"c", ",", "d"}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
          RowBox[{"Darker", "[", "Red", "]"}]}], "}"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"absfplot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"f", "[", "x", "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"c", ",", "d"}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
          RowBox[{"Darker", "[", "Green", "]"}]}], "}"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"fabsplot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"Abs", "[", "x", "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"c", ",", "d"}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
          RowBox[{"Darker", "[", 
           RowBox[{"Green", ",", "0.8"}], "]"}]}], "}"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"recipfplot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"1", "/", 
        RowBox[{"f", "[", "x", "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"c", ",", "d"}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.01", "]"}], ",", "Orange"}], "}"}]}], 
       ",", 
       RowBox[{"Exclusions", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"f", "[", "x", "]"}], "\[Equal]", "0"}], "}"}]}]}], "]"}]}],
     ";", "\[IndentingNewLine]", 
    RowBox[{"frecipplot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"1", "/", "x"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"c", ",", "d"}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
          RowBox[{"Darker", "[", "Orange", "]"}]}], "}"}]}], ",", 
       RowBox[{"Exclusions", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"x", "\[Equal]", "0"}], "}"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
      "shownegf", "||", "showfneg", "||", "showabsf", "||", "showfabs", "||", 
       "showrecipf", "||", "showfrecip"}], ",", 
      RowBox[{
       RowBox[{"showf", "=", "False"}], ";", 
       RowBox[{"showthinf", "=", "True"}]}], ",", 
      RowBox[{
       RowBox[{"showf", "=", "True"}], ";", 
       RowBox[{"showthinf", "=", "False"}]}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"plots", "=", 
     RowBox[{"{", 
      RowBox[{
      "fplot", ",", "thinfplot", ",", "negfplot", ",", "fnegplot", ",", 
       "absfplot", ",", "fabsplot", ",", "recipfplot", ",", "frecipplot"}], 
      "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"tsandfs", "=", 
     RowBox[{"{", 
      RowBox[{
      "showf", ",", "showthinf", ",", "shownegf", ",", "showfneg", ",", 
       "showabsf", ",", "showfabs", ",", "showrecipf", ",", "showfrecip"}], 
      "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"whattoshow", "=", 
     RowBox[{"Pick", "[", 
      RowBox[{"plots", ",", "tsandfs"}], "]"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Show", "[", 
     RowBox[{"whattoshow", ",", 
      RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"func", ",", "f1", ",", "\"\<f(x)\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
       "f1", "\[Rule]", 
        "\"\<\!\(\*SuperscriptBox[\(x\), \
\(3\)]\)-2\!\(\*SuperscriptBox[\(x\), \(2\)]\)-3x \>\""}], ",", 
       RowBox[{
       "f2", "\[Rule]", "\"\<\!\(\*SuperscriptBox[\(x\), \(2\)]\)\>\""}], ",", 
       RowBox[{"f3", "\[Rule]", "\"\<|x|\>\""}], ",", 
       RowBox[{
       "f4", "\[Rule]", 
        "\"\<\!\(\*SuperscriptBox[\(\[ExponentialE]\), \(x\)]\)\>\""}], ",", 
       RowBox[{"f5", "\[Rule]", "\"\<sin(x)\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k1", ",", "0", ",", "\"\<translate horizontally by a\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "5"}], ",", "5", ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k2", ",", "0", ",", "\"\<translate vertically by b\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "5"}], ",", "5", ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showf", ",", "True"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showthinf", ",", "False"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<g(x) = b + f(x - a)\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<show graph of:\>\"", ",", " ", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"shownegf", ",", "False", ",", "\"\<-g(x)\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showfneg", ",", "False", ",", "\"\<g(-x)\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showabsf", ",", "False", ",", "\"\<| g(x) |\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showfabs", ",", "False", ",", "\"\<g( |x| )\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showrecipf", ",", "False", ",", "\"\<1 / g(x)\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showfrecip", ",", "False", ",", "\"\<g(1 / x)\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"Button", "[", 
    RowBox[{"\"\<reset f\>\"", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k1", "=", "0"}], ";", 
       RowBox[{"k2", "=", "0"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "6", ",", "8"}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"f1", "[", "x_", "]"}], ":=", 
       RowBox[{
        RowBox[{"x", "^", "3"}], "-", 
        RowBox[{"2", 
         RowBox[{"x", "^", "2"}]}], "-", 
        RowBox[{"3", "x"}]}]}], " ", ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f2", "[", "x_", "]"}], ":=", 
       RowBox[{"x", "^", "2"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f3", "[", "x_", "]"}], ":=", 
       RowBox[{"Abs", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f4", "[", "x_", "]"}], ":=", 
       RowBox[{"E", "^", "x"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f5", "[", "x_", "]"}], ":=", 
       RowBox[{"Sin", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"a", "=", 
       RowBox[{"-", "10"}]}], ";", 
      RowBox[{"b", "=", "10"}], ";", 
      RowBox[{"c", "=", 
       RowBox[{"-", "10"}]}], ";", 
      RowBox[{"d", "=", "10"}], ";"}], "}"}]}], ",", "\[IndentingNewLine]", 
   " ", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.462442201515625*^9, 3.46244220790625*^9}, {
   3.4625414691171513`*^9, 3.4625414860549765`*^9}, {3.4625415217119107`*^9, 
   3.4625415635720897`*^9}, {3.4625416371197305`*^9, 
   3.4625417133702183`*^9}, {3.462541818449016*^9, 3.4625418718556075`*^9}, {
   3.4625419099963274`*^9, 3.4625420044494524`*^9}, {3.462620567765625*^9, 
   3.46262061203125*^9}, {3.462620659859375*^9, 3.46262081796875*^9}, 
   3.462620851109375*^9, {3.46262090015625*^9, 3.462621044265625*^9}, {
   3.46262107725*^9, 3.462621083703125*^9}, {3.462621120875*^9, 
   3.462621128515625*^9}, {3.46262119275*^9, 3.46262128796875*^9}, 
   3.46262132128125*^9, {3.4628092354443274`*^9, 3.4628092356063433`*^9}, {
   3.4628092679385757`*^9, 3.462809318220604*^9}, {3.462897877610694*^9, 
   3.4628979715325727`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`func$$ = $CellContext`f1, $CellContext`k1$$ \
= 0, $CellContext`k2$$ = 0, $CellContext`showabsf$$ = 
    False, $CellContext`showf$$ = True, $CellContext`showfabs$$ = 
    False, $CellContext`showfneg$$ = False, $CellContext`showfrecip$$ = 
    False, $CellContext`shownegf$$ = False, $CellContext`showrecipf$$ = 
    False, $CellContext`showthinf$$ = False, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`func$$], $CellContext`f1, "f(x)"}, {$CellContext`f1 -> 
       "\!\(\*SuperscriptBox[\(x\), \(3\)]\)-2\!\(\*SuperscriptBox[\(x\), \(2\
\)]\)-3x ", $CellContext`f2 -> 
       "\!\(\*SuperscriptBox[\(x\), \(2\)]\)", $CellContext`f3 -> 
       "|x|", $CellContext`f4 -> 
       "\!\(\*SuperscriptBox[\(\[ExponentialE]\), \(x\)]\)", $CellContext`f5 -> 
       "sin(x)"}}, {{
       Hold[$CellContext`k1$$], 0, "translate horizontally by a"}, -5, 5}, {{
       Hold[$CellContext`k2$$], 0, "translate vertically by b"}, -5, 5}, {{
       Hold[$CellContext`showf$$], True}, {True, False}}, {{
       Hold[$CellContext`showthinf$$], False}, {True, False}}, {
      Hold["g(x) = b + f(x - a)"], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["show graph of:", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`shownegf$$], False, "-g(x)"}, {True, False}}, {{
       Hold[$CellContext`showfneg$$], False, "g(-x)"}, {True, False}}, {{
       Hold[$CellContext`showabsf$$], False, "| g(x) |"}, {True, False}}, {{
       Hold[$CellContext`showfabs$$], False, "g( |x| )"}, {True, False}}, {{
       Hold[$CellContext`showrecipf$$], False, "1 / g(x)"}, {True, False}}, {{
      
       Hold[$CellContext`showfrecip$$], False, "g(1 / x)"}, {True, False}}, {
      Hold[
       Button["reset f", {$CellContext`k1$$ = 0; $CellContext`k2$$ = 0}]], 
      Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    400., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`func$961148$$ = 
    False, $CellContext`k1$961149$$ = 0, $CellContext`k2$961150$$ = 
    0, $CellContext`showf$961151$$ = False, $CellContext`showthinf$961152$$ = 
    False, $CellContext`shownegf$961153$$ = 
    False, $CellContext`showfneg$961154$$ = 
    False, $CellContext`showabsf$961155$$ = 
    False, $CellContext`showfabs$961156$$ = 
    False, $CellContext`showrecipf$961157$$ = 
    False, $CellContext`showfrecip$961158$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`func$$ = $CellContext`f1, \
$CellContext`k1$$ = 0, $CellContext`k2$$ = 0, $CellContext`showabsf$$ = 
        False, $CellContext`showf$$ = True, $CellContext`showfabs$$ = 
        False, $CellContext`showfneg$$ = False, $CellContext`showfrecip$$ = 
        False, $CellContext`shownegf$$ = False, $CellContext`showrecipf$$ = 
        False, $CellContext`showthinf$$ = False}, "ControllerVariables" :> {
        Hold[$CellContext`func$$, $CellContext`func$961148$$, False], 
        Hold[$CellContext`k1$$, $CellContext`k1$961149$$, 0], 
        Hold[$CellContext`k2$$, $CellContext`k2$961150$$, 0], 
        Hold[$CellContext`showf$$, $CellContext`showf$961151$$, False], 
        Hold[$CellContext`showthinf$$, $CellContext`showthinf$961152$$, 
         False], 
        Hold[$CellContext`shownegf$$, $CellContext`shownegf$961153$$, False], 
        
        Hold[$CellContext`showfneg$$, $CellContext`showfneg$961154$$, False], 
        
        Hold[$CellContext`showabsf$$, $CellContext`showabsf$961155$$, False], 
        
        Hold[$CellContext`showfabs$$, $CellContext`showfabs$961156$$, False], 
        
        Hold[$CellContext`showrecipf$$, $CellContext`showrecipf$961157$$, 
         False], 
        Hold[$CellContext`showfrecip$$, $CellContext`showfrecip$961158$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`f[
          Pattern[$CellContext`x$, 
           
           Blank[]]] := $CellContext`func$$[$CellContext`x$ - \
$CellContext`k1$$] + $CellContext`k2$$; $CellContext`fplot = Plot[
          $CellContext`f[$CellContext`x], {$CellContext`x, $CellContext`a, \
$CellContext`b}, PlotRange -> {$CellContext`c, $CellContext`d}, PlotStyle -> 
          Thickness[0.01], PlotLabel -> Row[{"the graph of ", 
             Style["g", Italic], "(", 
             Style["x", Italic], ") = ", 
             $CellContext`f[$CellContext`x]}]]; $CellContext`thinfplot = 
        Plot[
          $CellContext`f[$CellContext`x], {$CellContext`x, $CellContext`a, \
$CellContext`b}, PlotRange -> {$CellContext`c, $CellContext`d}, PlotStyle -> 
          Thickness[0.0025], PlotLabel -> Row[{"the graph of ", 
             Style["g", Italic], "(", 
             Style["x", Italic], ") = ", 
             $CellContext`f[$CellContext`x]}]]; $CellContext`negfplot = 
        Plot[-$CellContext`f[$CellContext`x], {$CellContext`x, \
$CellContext`a, $CellContext`b}, 
          PlotRange -> {$CellContext`c, $CellContext`d}, PlotStyle -> {
            Thickness[0.01], Red}]; $CellContext`fnegplot = Plot[
          $CellContext`f[-$CellContext`x], {$CellContext`x, $CellContext`a, \
$CellContext`b}, PlotRange -> {$CellContext`c, $CellContext`d}, 
          PlotStyle -> {
            Thickness[0.01], 
            Darker[Red]}]; $CellContext`absfplot = Plot[
          Abs[
           $CellContext`f[$CellContext`x]], {$CellContext`x, $CellContext`a, \
$CellContext`b}, PlotRange -> {$CellContext`c, $CellContext`d}, 
          PlotStyle -> {
            Thickness[0.01], 
            Darker[Green]}]; $CellContext`fabsplot = Plot[
          $CellContext`f[
           
           Abs[$CellContext`x]], {$CellContext`x, $CellContext`a, \
$CellContext`b}, PlotRange -> {$CellContext`c, $CellContext`d}, 
          PlotStyle -> {
            Thickness[0.01], 
            Darker[Green, 0.8]}]; $CellContext`recipfplot = 
        Plot[1/$CellContext`f[$CellContext`x], {$CellContext`x, \
$CellContext`a, $CellContext`b}, 
          PlotRange -> {$CellContext`c, $CellContext`d}, PlotStyle -> {
            Thickness[0.01], Orange}, 
          Exclusions -> {$CellContext`f[$CellContext`x] == 
            0}]; $CellContext`frecipplot = Plot[
          $CellContext`f[
          1/$CellContext`x], {$CellContext`x, $CellContext`a, $CellContext`b},
           PlotRange -> {$CellContext`c, $CellContext`d}, PlotStyle -> {
            Thickness[0.01], 
            Darker[Orange]}, Exclusions -> {$CellContext`x == 0}]; If[
         Or[$CellContext`shownegf$$, $CellContext`showfneg$$, \
$CellContext`showabsf$$, $CellContext`showfabs$$, $CellContext`showrecipf$$, \
$CellContext`showfrecip$$], $CellContext`showf$$ = 
          False; $CellContext`showthinf$$ = True, $CellContext`showf$$ = 
          True; $CellContext`showthinf$$ = 
          False]; $CellContext`plots = {$CellContext`fplot, \
$CellContext`thinfplot, $CellContext`negfplot, $CellContext`fnegplot, \
$CellContext`absfplot, $CellContext`fabsplot, $CellContext`recipfplot, \
$CellContext`frecipplot}; $CellContext`tsandfs = {$CellContext`showf$$, \
$CellContext`showthinf$$, $CellContext`shownegf$$, $CellContext`showfneg$$, \
$CellContext`showabsf$$, $CellContext`showfabs$$, $CellContext`showrecipf$$, \
$CellContext`showfrecip$$}; $CellContext`whattoshow = 
        Pick[$CellContext`plots, $CellContext`tsandfs]; 
       Show[$CellContext`whattoshow, AspectRatio -> 1, 
         ImageSize -> {400, 400}]), 
      "Specifications" :> {{{$CellContext`func$$, $CellContext`f1, 
          "f(x)"}, {$CellContext`f1 -> 
          "\!\(\*SuperscriptBox[\(x\), \(3\)]\)-2\!\(\*SuperscriptBox[\(x\), \
\(2\)]\)-3x ", $CellContext`f2 -> 
          "\!\(\*SuperscriptBox[\(x\), \(2\)]\)", $CellContext`f3 -> 
          "|x|", $CellContext`f4 -> 
          "\!\(\*SuperscriptBox[\(\[ExponentialE]\), \(x\)]\)", \
$CellContext`f5 -> "sin(x)"}, ControlType -> PopupMenu, ControlPlacement -> 
         Top}, {{$CellContext`k1$$, 0, "translate horizontally by a"}, -5, 5, 
         ControlPlacement -> Top, Appearance -> 
         "Labeled"}, {{$CellContext`k2$$, 0, "translate vertically by b"}, -5,
          5, ControlPlacement -> Top, Appearance -> 
         "Labeled"}, {{$CellContext`showf$$, True}, {True, False}, 
         ControlType -> None}, {{$CellContext`showthinf$$, False}, {
         True, False}, ControlType -> None}, "g(x) = b + f(x - a)", 
        Style[
        "show graph of:", Bold], {{$CellContext`shownegf$$, False, "-g(x)"}, {
         True, False}}, {{$CellContext`showfneg$$, False, "g(-x)"}, {
         True, False}}, {{$CellContext`showabsf$$, False, "| g(x) |"}, {
         True, False}}, {{$CellContext`showfabs$$, False, "g( |x| )"}, {
         True, False}}, {{$CellContext`showrecipf$$, False, "1 / g(x)"}, {
         True, False}}, {{$CellContext`showfrecip$$, False, "g(1 / x)"}, {
         True, False}}, Delimiter, 
        Button["reset f", {$CellContext`k1$$ = 0; $CellContext`k2$$ = 0}]}, 
      "Options" :> {
       ControlPlacement -> Left, AutorunSequencing -> {1, 2, 3, 6, 8}, 
        TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{527., {269., 274.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`f1[
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x^3 - 2 $CellContext`x^2 - 
         3 $CellContext`x; $CellContext`f2[
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x^2; $CellContext`f3[
          Pattern[$CellContext`x, 
           Blank[]]] := Abs[$CellContext`x]; $CellContext`f4[
          Pattern[$CellContext`x, 
           Blank[]]] := E^$CellContext`x; $CellContext`f5[
          Pattern[$CellContext`x, 
           Blank[]]] := 
        Sin[$CellContext`x]; $CellContext`a = -10; $CellContext`b = 
        10; $CellContext`c = -10; $CellContext`d = 10; Null}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->182369224],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["The Effects of Some Simple Compositions on the Graph of a \
Function",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
TheEffectsOfSomeSimpleCompositionsOnTheGraphOfAFunction/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
TheEffectsOfSomeSimpleCompositionsOnTheGraphOfAFunction/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
TheEffectsOfSomeSimpleCompositionsOnTheGraphOfAFunction/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
TheEffectsOfSomeSimpleCompositionsOnTheGraphOfAFunction/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
TheEffectsOfSomeSimpleCompositionsOnTheGraphOfAFunction/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Marc Brodie",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Marc+Brodie"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Marc+Brodie"],
 " (Wheeling Jesuit University)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TheEffectsOfSomeSimpleCompositionsOnTheGraphOfAFunction"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"The Effects of Some Simple Compositions on the Graph of a \
Function - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[658, 24, 266, 6, 70, "Section"],
Cell[927, 32, 13447, 350, 70, "Input"]
}, Open  ]],
Cell[14389, 385, 10667, 195, 70, "Output",
 CellID->182369224],
Cell[CellGroupData[{
Cell[25081, 584, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[25457, 595, 1138, 32, 70, "Text"],
Cell[26598, 629, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[26938, 640, 464, 15, 70, "Text"],
Cell[CellGroupData[{
Cell[27427, 659, 847, 24, 70, "Text"],
Cell[28277, 685, 1231, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 8QzpBzULBG#wDATo9#WVn7yG *)
