(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16077,        441]
NotebookOptionsPosition[     14922,        398]
NotebookOutlinePosition[     15554,        422]
CellTagsIndexPosition[     15511,        419]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["A Library of Functions with Transformations", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"a", "==", "0"}], ",", 
      RowBox[{"a", "=", ".001"}]}], "]"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"b", "+", 
       RowBox[{"a", "*", 
        RowBox[{"fcn", "[", 
         RowBox[{"x", "-", "c"}], "]"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "6"}], ",", "6"}], "}"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Medium", ",", "\"\<Label\>\""}], "}"}]}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}]}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
         RowBox[{"Hue", "[", ".6", "]"}]}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"400", ",", "400"}], "}"}]}], ",", 
      RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"Ticks", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Range", "[", 
          RowBox[{
           RowBox[{"-", "6"}], ",", "6"}], "]"}], ",", 
         RowBox[{"Range", "[", 
          RowBox[{
           RowBox[{"-", "6"}], ",", "6"}], "]"}]}], "}"}]}], ",", 
      RowBox[{"GridLines", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"n", ",", 
             RowBox[{"RGBColor", "[", 
              RowBox[{"0", ",", " ", "0.6", ",", " ", "1."}], "]"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"n", ",", 
             RowBox[{"-", "6"}], ",", "6", ",", "1"}], "}"}]}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"n", ",", 
             RowBox[{"RGBColor", "[", 
              RowBox[{"0", ",", " ", "0.6", ",", " ", "1."}], "]"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"n", ",", 
             RowBox[{"-", "6"}], ",", "6", ",", "1"}], "}"}]}], "]"}]}], 
        "}"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fcn", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"#", "^", "2"}], ")"}], "&"}], ",", 
       "\"\<original function\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Identity", "\[Rule]", "\"\<linear\>\""}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Abs", "\[Rule]", "\"\<absolute value\>\""}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"#", "^", "2"}], ")"}], "&"}], ")"}], "\[Rule]", 
        "\"\<quadratic\>\""}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"#", "^", "3"}], ")"}], "&"}], ")"}], "\[Rule]", 
        "\"\<cubic\>\""}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"#", "^", 
            RowBox[{"(", 
             RowBox[{"1", "/", "2"}], ")"}]}], ")"}], "&"}], ")"}], 
        "\[Rule]", "\"\<square root\>\""}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Sign", "[", "#", "]"}], 
           RowBox[{
            RowBox[{"Abs", "[", "#", "]"}], "^", 
            RowBox[{"(", 
             RowBox[{"1", "/", "3"}], ")"}]}]}], "&"}], ")"}], "\[Rule]", 
        "\"\<cube root\>\""}], ",", "\[IndentingNewLine]", 
       RowBox[{"Log", "\[Rule]", "\"\<logarithmic\>\""}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Exp", "\[Rule]", "\"\<exponential\>\""}]}], 
      "\[IndentingNewLine]", "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "1", ",", "\"\<vertical stretch\>\""}], "}"}], ",", 
     RowBox[{"-", "4"}], ",", "4", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "0", ",", "\"\<vertical shift\>\""}], "}"}], ",", 
     RowBox[{"-", "5"}], ",", "5", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "0", ",", "\"\<horizontal shift\>\""}], "}"}], ",", 
     RowBox[{"-", "5"}], ",", "5", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.396980629768852*^9, 3.396980630641123*^9}, {
   3.397223593155471*^9, 3.397223631030471*^9}, {3.397223909030471*^9, 
   3.397223943405471*^9}, {3.397223974514846*^9, 3.397223979311721*^9}, {
   3.3973126840917807`*^9, 3.3973127093261557`*^9}, {3.3973127532167807`*^9, 
   3.3973127848105307`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`b$$ = 
    0, $CellContext`c$$ = 0, $CellContext`fcn$$ = #^2& , Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`fcn$$], #^2& , "original function"}, {
      Identity -> "linear", Abs -> "absolute value", (#^2& ) -> 
       "quadratic", (#^3& ) -> "cubic", (#^(1/2)& ) -> 
       "square root", (Sign[#] Abs[#]^(1/3)& ) -> "cube root", Log -> 
       "logarithmic", Exp -> "exponential"}}, {{
       Hold[$CellContext`a$$], 1, "vertical stretch"}, -4, 4, 0.01}, {{
       Hold[$CellContext`b$$], 0, "vertical shift"}, -5, 5, 0.01}, {{
       Hold[$CellContext`c$$], 0, "horizontal shift"}, -5, 5, 0.01}}, 
    Typeset`size$$ = {400., {197., 203.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`fcn$253403$$ = False, $CellContext`a$253404$$ = 
    0, $CellContext`b$253405$$ = 0, $CellContext`c$253406$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 1, $CellContext`b$$ = 
        0, $CellContext`c$$ = 0, $CellContext`fcn$$ = #^2& }, 
      "ControllerVariables" :> {
        Hold[$CellContext`fcn$$, $CellContext`fcn$253403$$, False], 
        Hold[$CellContext`a$$, $CellContext`a$253404$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$253405$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$253406$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (If[$CellContext`a$$ == 0, $CellContext`a$$ = 0.001]; 
       Plot[$CellContext`b$$ + $CellContext`a$$ \
$CellContext`fcn$$[$CellContext`x - $CellContext`c$$], {$CellContext`x, -6, 
          6}, PlotRange -> {-6, 6}, BaseStyle -> {Medium, "Label"}, 
         AxesLabel -> {$CellContext`x, $CellContext`y}, PlotStyle -> {
           Thickness[0.005], 
           Hue[0.6]}, ImageSize -> {400, 400}, AspectRatio -> Automatic, 
         Ticks -> {
           Range[-6, 6], 
           Range[-6, 6]}, GridLines -> {
           Table[{$CellContext`n, 
             RGBColor[0, 0.6, 1.]}, {$CellContext`n, -6, 6, 1}], 
           Table[{$CellContext`n, 
             RGBColor[0, 0.6, 1.]}, {$CellContext`n, -6, 6, 1}]}]), 
      "Specifications" :> {{{$CellContext`fcn$$, #^2& , 
          "original function"}, {
         Identity -> "linear", Abs -> "absolute value", (#^2& ) -> 
          "quadratic", (#^3& ) -> "cubic", (#^(1/2)& ) -> 
          "square root", (Sign[#] Abs[#]^(1/3)& ) -> "cube root", Log -> 
          "logarithmic", Exp -> "exponential"}, ControlType -> 
         SetterBar}, {{$CellContext`a$$, 1, "vertical stretch"}, -4, 4, 0.01, 
         Appearance -> "Labeled", ControlPlacement -> Left, ImageSize -> 
         Tiny}, {{$CellContext`b$$, 0, "vertical shift"}, -5, 5, 0.01, 
         Appearance -> "Labeled", ControlPlacement -> Left, ImageSize -> 
         Tiny}, {{$CellContext`c$$, 0, "horizontal shift"}, -5, 5, 0.01, 
         Appearance -> "Labeled", ControlPlacement -> Left, ImageSize -> 
         Tiny}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{636., {240., 245.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->168608005],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["A Library of Functions with Transformations",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ALibraryOfFunctionsWithTransformations/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ALibraryOfFunctionsWithTransformations/\
"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
ALibraryOfFunctionsWithTransformations/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ALibraryOfFunctionsWithTransformations/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ALibraryOfFunctionsWithTransformations/\
"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Ed Zaborowski", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell["Based on a program by: Abby Brown", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->374832065]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ALibraryOfFunctionsWithTransformations"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 643},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"A Library of Functions with Transformations - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 235, 4, 70, "Section"],
Cell[828, 29, 5750, 149, 70, "Input"]
}, Open  ]],
Cell[6593, 181, 3891, 72, 70, "Output",
 CellID->168608005],
Cell[CellGroupData[{
Cell[10509, 257, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10885, 268, 1028, 31, 70, "Text"],
Cell[CellGroupData[{
Cell[11938, 303, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[12278, 314, 184, 5, 70, "Text"],
Cell[12465, 321, 208, 6, 70, "Text",
 CellID->374832065]
}, Open  ]],
Cell[CellGroupData[{
Cell[12710, 332, 967, 27, 70, "Text"],
Cell[13680, 361, 1214, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature nQjSi8438hg18B03uSN21vNX *)
