(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     21366,        587]
NotebookOptionsPosition[     20325,        548]
NotebookOutlinePosition[     20931,        572]
CellTagsIndexPosition[     20888,        569]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Bolzano's Function", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{"hint", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"0.501961", ",", " ", "0.501961", ",", " ", "1"}], "]"}], 
           ",", 
           RowBox[{"Line", "[", 
            RowBox[{"bolB", "[", "0", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"DotDashed", ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"1", ",", " ", "0", ",", " ", "0"}], "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"bolB", "[", "1", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Dashed", ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"0", ",", " ", "1", ",", " ", "0"}], "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"bolB", "[", "2", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"0.501961", ",", " ", "0.25098", ",", " ", "0"}], "]"}], 
           ",", 
           RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
           RowBox[{"Map", "[", 
            RowBox[{"Point", ",", 
             RowBox[{"bolB", "[", "1", "]"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"bolB", "[", "1", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", 
             RowBox[{
              RowBox[{"bolB", "[", "1", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1"}], ",", 
               RowBox[{"-", "1"}]}], "}"}]}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"bolB", "[", "1", "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}], ",", 
             RowBox[{
              RowBox[{"bolB", "[", "1", "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "1"}], "}"}]}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"bolB", "[", "1", "]"}], "[", 
              RowBox[{"[", "3", "]"}], "]"}], ",", 
             RowBox[{
              RowBox[{"bolB", "[", "1", "]"}], "[", 
              RowBox[{"[", "3", "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"bolB", "[", "1", "]"}], "[", 
              RowBox[{"[", "4", "]"}], "]"}], ",", 
             RowBox[{
              RowBox[{"bolB", "[", "1", "]"}], "[", 
              RowBox[{"[", "4", "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "1"}], "}"}]}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"bolB", "[", "1", "]"}], "[", 
              RowBox[{"[", "5", "]"}], "]"}], ",", 
             RowBox[{
              RowBox[{"bolB", "[", "1", "]"}], "[", 
              RowBox[{"[", "5", "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]}], "}"}]}], 
        "}"}], ",", 
       RowBox[{"Line", "[", 
        RowBox[{"bolB", "[", "n", "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".1"}], ",", "1.1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".1"}], ",", "1.4"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"400", ",", "450"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "2"}], "}"}], ",", "0", ",", "7", ",", "1", ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "hint", ",", "False", ",", "\"\<show the first two iterations\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"InterpolateIHB", "[", 
        RowBox[{"pt1_", ",", "pt2_"}], "]"}], ":=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"pt1", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"pt2", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "-", 
               RowBox[{"pt1", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ")"}], 
             RowBox[{"3", "/", "8"}]}]}], ",", 
           RowBox[{
            RowBox[{"pt1", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"pt2", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "-", 
               RowBox[{"pt1", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ")"}], 
             RowBox[{"5", "/", "8"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"pt1", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "+", 
              RowBox[{"pt2", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "/", "2"}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"pt1", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "+", 
              RowBox[{"pt2", "[", 
               RowBox[{"[", "2", "]"}], "]"}]}], ")"}], "/", "2"}]}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"pt1", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "+", 
            RowBox[{"7", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"pt2", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "-", 
                RowBox[{"pt1", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "/", "8"}]}]}], ",",
            
           RowBox[{
            RowBox[{"pt1", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "+", 
            RowBox[{"9", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"pt2", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "-", 
                RowBox[{"pt1", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ")"}], "/", "8"}]}]}]}], 
          "}"}]}], "}"}]}], ";", 
      RowBox[{
       RowBox[{"bolB", "[", "0", "]"}], "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}]}], ";", "\n", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"bolB", "[", "n_", "]"}], ":=", 
       RowBox[{
        RowBox[{"bolB", "[", "n", "]"}], "=", 
        RowBox[{"Join", "[", 
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"Join", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"bolB", "[", 
                   RowBox[{"n", "-", "1"}], "]"}], "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "}"}], ",", 
                RowBox[{"InterpolateIHB", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"bolB", "[", 
                    RowBox[{"n", "-", "1"}], "]"}], "[", 
                   RowBox[{"[", "i", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"bolB", "[", 
                    RowBox[{"n", "-", "1"}], "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "]"}]}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "1", ",", 
                RowBox[{
                 RowBox[{"Length", "[", 
                  RowBox[{"bolB", "[", 
                   RowBox[{"n", "-", "1"}], "]"}], "]"}], "-", "1"}]}], 
               "}"}]}], "]"}], ",", "1"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"Last", "[", 
            RowBox[{"bolB", "[", 
             RowBox[{"n", "-", "1"}], "]"}], "]"}], "}"}]}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"bolB", "[", "7", "]"}], ";"}], "\[IndentingNewLine]", 
     ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.43384548915625*^9, 3.433845492328125*^9}, {
   3.433849090734375*^9, 3.433849098796875*^9}, {3.4338650468799114`*^9, 
   3.4338650648829117`*^9}, {3.4338651138559113`*^9, 3.433865131206911*^9}, {
   3.433868492618416*^9, 3.433868502740759*^9}, {3.4342158323125*^9, 
   3.4342159073125*^9}, {3.4342159425*^9, 3.43421597571875*^9}, {
   3.434216040328125*^9, 3.43421604409375*^9}, {3.434216099484375*^9, 
   3.434216103421875*^9}, {3.434216139296875*^9, 3.434216156265625*^9}, {
   3.434216188421875*^9, 3.434216193140625*^9}, {3.4342162655*^9, 
   3.4342163005625*^9}, {3.434216369*^9, 3.434216467203125*^9}, {
   3.434216514796875*^9, 3.434216542375*^9}, {3.434216673515625*^9, 
   3.434216704203125*^9}, {3.434216757*^9, 3.43421675903125*^9}, {
   3.4342167914375*^9, 3.43421680903125*^9}, {3.43421683915625*^9, 
   3.4342168396875*^9}, {3.434216910140625*^9, 3.43421693153125*^9}, {
   3.434216986203125*^9, 3.4342170655*^9}, {3.4342173913125*^9, 
   3.434217441375*^9}, {3.434217478578125*^9, 3.434217493046875*^9}, {
   3.434217558515625*^9, 3.43421756734375*^9}, {3.4342176114375*^9, 
   3.4342176158125*^9}, {3.43421765915625*^9, 3.4342176710625*^9}, 
   3.434217738546875*^9, {3.43421782196875*^9, 3.4342179004375*^9}, {
   3.43421795334375*^9, 3.434217995640625*^9}, {3.434218072796875*^9, 
   3.434218073234375*^9}, {3.43421820978125*^9, 3.434218214375*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`hint$$ = False, $CellContext`n$$ = 2, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 2}, 0, 7, 1}, {{
       Hold[$CellContext`hint$$], False, "show the first two iterations"}, {
      False, True}}}, Typeset`size$$ = {400., {223., 227.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`n$272430$$ = 0, $CellContext`hint$272431$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`hint$$ = False, $CellContext`n$$ = 2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$272430$$, 0], 
        Hold[$CellContext`hint$$, $CellContext`hint$272431$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[
        If[$CellContext`hint$$, {{
           RGBColor[0.501961, 0.501961, 1], 
           Line[
            $CellContext`bolB[0]]}, {DotDashed, 
           RGBColor[1, 0, 0], 
           Line[
            $CellContext`bolB[1]]}, {Dashed, 
           RGBColor[0, 1, 0], 
           Line[
            $CellContext`bolB[2]]}, {
           RGBColor[0.501961, 0.25098, 0], 
           PointSize[0.015], 
           Map[Point, 
            $CellContext`bolB[1]]}, {
           Text[
            Part[
             $CellContext`bolB[1], 1], 
            Part[
             $CellContext`bolB[1], 1], {-1, -1}], 
           Text[
            Part[
             $CellContext`bolB[1], 2], 
            Part[
             $CellContext`bolB[1], 2], {1, 1}], 
           Text[
            Part[
             $CellContext`bolB[1], 3], 
            Part[
             $CellContext`bolB[1], 3], {-1, 1}], 
           Text[
            Part[
             $CellContext`bolB[1], 4], 
            Part[
             $CellContext`bolB[1], 4], {1, 1}], 
           Text[
            Part[
             $CellContext`bolB[1], 5], 
            Part[
             $CellContext`bolB[1], 5], {-1, 1}]}}, 
         Line[
          $CellContext`bolB[$CellContext`n$$]]], Axes -> True, 
        PlotRange -> {{-0.1, 1.1}, {-0.1, 1.4}}, ImageSize -> {400, 450}], 
      "Specifications" :> {{{$CellContext`n$$, 2}, 0, 7, 1, ControlType -> 
         SetterBar}, {{$CellContext`hint$$, False, 
          "show the first two iterations"}, {False, True}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {274., 279.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`InterpolateIHB[
         Pattern[$CellContext`pt1, 
          Blank[]], 
         Pattern[$CellContext`pt2, 
          Blank[]]] := {{
         Part[$CellContext`pt1, 1] + (Part[$CellContext`pt2, 1] - 
            Part[$CellContext`pt1, 1]) (3/8), 
          Part[$CellContext`pt1, 2] + (Part[$CellContext`pt2, 2] - 
            Part[$CellContext`pt1, 2]) (5/8)}, {(Part[$CellContext`pt1, 1] + 
           Part[$CellContext`pt2, 1])/
          2, (Part[$CellContext`pt1, 2] + Part[$CellContext`pt2, 2])/2}, {
         Part[$CellContext`pt1, 1] + 
          7 ((Part[$CellContext`pt2, 1] - Part[$CellContext`pt1, 1])/8), 
          Part[$CellContext`pt1, 2] + 
          9 ((Part[$CellContext`pt2, 2] - Part[$CellContext`pt1, 2])/
            8)}}; $CellContext`bolB[0] = {{0, 0}, {1, 1}}; $CellContext`bolB[
         Pattern[$CellContext`n, 
          Blank[]]] := ($CellContext`bolB[$CellContext`n] = Join[
          Flatten[
           Table[
            Join[{
              Part[
               $CellContext`bolB[$CellContext`n - 1], $CellContext`i]}, 
             $CellContext`InterpolateIHB[
              Part[
               $CellContext`bolB[$CellContext`n - 1], $CellContext`i], 
              Part[
               $CellContext`bolB[$CellContext`n - 1], $CellContext`i + 
               1]]], {$CellContext`i, 1, Length[
               $CellContext`bolB[$CellContext`n - 1]] - 1}], 1], {
           Last[
            $CellContext`bolB[$CellContext`n - 1]]}]); $CellContext`bolB[7]; 
      Null); Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->211728762],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Bolzano's Function",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/BolzanosFunction/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/BolzanosFunction/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/BolzanosFunction/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/BolzanosFunction/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/BolzanosFunction/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
BolzanosFunction"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Bolzano's Function - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 210, 4, 70, "Section"],
Cell[803, 29, 10584, 271, 70, "Input"]
}, Open  ]],
Cell[11402, 303, 4791, 112, 70, "Output",
 CellID->211728762],
Cell[CellGroupData[{
Cell[16218, 419, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16594, 430, 875, 24, 70, "Text"],
Cell[17472, 456, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[17812, 467, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[18273, 485, 829, 24, 70, "Text"],
Cell[19105, 511, 1192, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature iTjpUPwyY1iuFBpUS70aH9ff *)
