(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20277,        526]
NotebookOptionsPosition[     19117,        483]
NotebookOutlinePosition[     19725,        507]
CellTagsIndexPosition[     19682,        504]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Combining Functions", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"functions", "=", " ", 
   RowBox[{"{", 
    RowBox[{"Sin", ",", "Cos", ",", 
     RowBox[{
      SuperscriptBox["#", "2"], "&"}], ",", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"1", "+", 
        SuperscriptBox["#", "2"]}]], "&"}], ",", " ", 
     RowBox[{
      SqrtBox[
       RowBox[{"1", "+", 
        SuperscriptBox["#", "2"]}]], "&"}], ",", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "#"}], ")"}], "2"], "&"}], ",", " ", 
     RowBox[{
      RowBox[{"Abs", "[", "#", "]"}], "&"}], ",", " ", 
     RowBox[{
      SuperscriptBox["#", "3"], "&"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3930193384549093`*^9, 3.3930193519150467`*^9}},
 CellID->1874882925],

Cell[BoxData[
 RowBox[{
  RowBox[{"operations", "=", 
   RowBox[{"{", 
    RowBox[{"Plus", ",", "Subtract", ",", 
     RowBox[{
      RowBox[{"Subtract", "[", 
       RowBox[{"#2", ",", "#1"}], "]"}], "&"}], ",", "Times", ",", "Divide", 
     ",", 
     RowBox[{
      RowBox[{"Divide", "[", 
       RowBox[{"#2", ",", "#1"}], "]"}], "&"}], ",", "Composition", ",", 
     RowBox[{
      RowBox[{"Composition", "[", 
       RowBox[{"#2", ",", "#1"}], "]"}], "&"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3930193384549093`*^9, 3.3930193519150467`*^9}},
 CellID->1129768044],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"functions", "[", 
           RowBox[{"[", "ff", "]"}], "]"}], "[", "x", "]"}], ",", 
         RowBox[{
          RowBox[{"functions", "[", 
           RowBox[{"[", "gg", "]"}], "]"}], "[", "x", "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"hh", "\[Equal]", "7"}], "||", 
            RowBox[{"hh", "\[Equal]", "8"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"operations", "[", 
               RowBox[{"[", "hh", "]"}], "]"}], "[", 
              RowBox[{
               RowBox[{"functions", "[", 
                RowBox[{"[", "ff", "]"}], "]"}], ",", 
               RowBox[{"functions", "[", 
                RowBox[{"[", "gg", "]"}], "]"}]}], "]"}], ")"}], "[", "x", 
            "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"operations", "[", 
              RowBox[{"[", "hh", "]"}], "]"}], "[", 
             RowBox[{
              RowBox[{
               RowBox[{"functions", "[", 
                RowBox[{"[", "ff", "]"}], "]"}], "[", "x", "]"}], ",", 
              RowBox[{
               RowBox[{"functions", "[", 
                RowBox[{"[", "gg", "]"}], "]"}], "[", "x", "]"}]}], "]"}], 
            ")"}]}], "]"}]}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Plot", "[", 
      RowBox[{"a", ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "xr"}], ",", "xr"}], "}"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"500", ",", "350"}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Dashing", "[", 
           RowBox[{"{", 
            RowBox[{".01", ",", ".01"}], "}"}], "]"}], ",", 
          RowBox[{"Dashing", "[", 
           RowBox[{"{", 
            RowBox[{".01", ",", ".01"}], "}"}], "]"}], ",", 
          RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"TraditionalForm", "[", 
           RowBox[{"Last", "[", "a", "]"}], "]"}], ",", 
          RowBox[{"ColorData", "[", 
           RowBox[{"1", ",", "3"}], "]"}], ",", "16"}], "]"}]}]}], "]"}]}], 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ff", ",", "1", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<f(x)\>\"", ",", 
         RowBox[{"ColorData", "[", 
          RowBox[{"1", ",", "1"}], "]"}]}], "]"}]}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"#", "\[Rule]", 
         RowBox[{"TraditionalForm", "[", 
          RowBox[{
           RowBox[{"functions", "[", 
            RowBox[{"[", "#", "]"}], "]"}], "[", "x", "]"}], "]"}]}], ")"}], 
       "&"}], "/@", 
      RowBox[{"Range", "[", "8", "]"}]}], ",", "SetterBar"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"gg", ",", "2", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<g(x)\>\"", ",", 
         RowBox[{"ColorData", "[", 
          RowBox[{"1", ",", "2"}], "]"}]}], "]"}]}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"#", "\[Rule]", 
         RowBox[{"TraditionalForm", "[", 
          RowBox[{
           RowBox[{"functions", "[", 
            RowBox[{"[", "#", "]"}], "]"}], "[", "x", "]"}], "]"}]}], ")"}], 
       "&"}], "/@", 
      RowBox[{"Range", "[", "8", "]"}]}], ",", "SetterBar"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"hh", ",", "1", ",", "\"\<combination\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "\[Rule]", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "2", "]"}], "]"}], ",", "Italic"}], "]"}]}], ")"}], 
       "&"}], "/@", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", " ", "\[Rule]", " ", "\"\<f(x)+g(x)\>\""}], ",", 
        RowBox[{"2", "\[Rule]", " ", "\"\<f(x)-g(x)\>\""}], ",", " ", 
        RowBox[{"3", "\[Rule]", " ", "\"\<g(x)-f(x)\>\""}], ",", 
        RowBox[{"4", "\[Rule]", " ", "\"\<f(x)\[Cross]g(x)\>\""}], ",", 
        RowBox[{"5", "\[Rule]", "  ", "\"\<f(x)/g(x)\>\""}], ",", 
        RowBox[{"6", "\[Rule]", " ", "\"\< g(x)/f(x)\>\""}], ",", 
        RowBox[{"7", "\[Rule]", " ", "\"\<f(g(x))\>\""}], ",", 
        RowBox[{"8", "\[Rule]", " ", "\"\<g(f(x))\>\""}]}], "}"}]}], ",", 
     "SetterBar"}], "}"}], ",", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xr", ",", "5", ",", "\"\<zoom\>\""}], "}"}], ",", "1", ",", 
     "20"}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.393019093389451*^9, {3.393019125244453*^9, 
   3.393019173674711*^9}, 3.393019224925683*^9, {3.393019284949552*^9, 
   3.393019331278183*^9}, {3.393025857998743*^9, 3.393025864163089*^9}, {
   3.393088923056941*^9, 3.393088946009824*^9}, {3.393090030349762*^9, 
   3.393090158750668*^9}, {3.3930902054258747`*^9, 3.3930902626170053`*^9}, {
   3.3930906761745253`*^9, 3.393090692548485*^9}, {3.39309079972707*^9, 
   3.393090905755253*^9}, 3.393091799395155*^9, {3.3931203707782717`*^9, 
   3.3931203897703457`*^9}, {3.3931204426279497`*^9, 3.393120450941115*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ff$$ = 1, $CellContext`gg$$ = 
    2, $CellContext`hh$$ = 1, $CellContext`xr$$ = 5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`ff$$], 1, 
       Style["f(x)", 
        RGBColor[0.24720000000000014`, 0.24, 0.6]]}, {1 -> TraditionalForm[
         Sin[$CellContext`x]], 2 -> TraditionalForm[
         Cos[$CellContext`x]], 3 -> TraditionalForm[$CellContext`x^2], 4 -> 
       TraditionalForm[(1 + $CellContext`x^2)^(-1)], 5 -> 
       TraditionalForm[(1 + $CellContext`x^2)^Rational[1, 2]], 6 -> 
       TraditionalForm[(1 - $CellContext`x)^2], 7 -> TraditionalForm[
         Abs[$CellContext`x]], 8 -> TraditionalForm[$CellContext`x^3]}}, {{
       Hold[$CellContext`gg$$], 2, 
       Style["g(x)", 
        RGBColor[0.6, 0.24, 0.4428931686004542]]}, {1 -> TraditionalForm[
         Sin[$CellContext`x]], 2 -> TraditionalForm[
         Cos[$CellContext`x]], 3 -> TraditionalForm[$CellContext`x^2], 4 -> 
       TraditionalForm[(1 + $CellContext`x^2)^(-1)], 5 -> 
       TraditionalForm[(1 + $CellContext`x^2)^Rational[1, 2]], 6 -> 
       TraditionalForm[(1 - $CellContext`x)^2], 7 -> TraditionalForm[
         Abs[$CellContext`x]], 8 -> TraditionalForm[$CellContext`x^3]}}, {{
       Hold[$CellContext`hh$$], 1, "combination"}, {
      1 -> Style["f(x)+g(x)", Italic], 2 -> Style["f(x)-g(x)", Italic], 3 -> 
       Style["g(x)-f(x)", Italic], 4 -> Style["f(x)\[Cross]g(x)", Italic], 5 -> 
       Style["f(x)/g(x)", Italic], 6 -> Style[" g(x)/f(x)", Italic], 7 -> 
       Style["f(g(x))", Italic], 8 -> Style["g(f(x))", Italic]}}, {{
       Hold[$CellContext`xr$$], 5, "zoom"}, 1, 20}}, Typeset`size$$ = {
    500., {173., 177.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`ff$10481$$ = 
    False, $CellContext`gg$10482$$ = False, $CellContext`hh$10483$$ = 
    False, $CellContext`xr$10484$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ff$$ = 1, $CellContext`gg$$ = 
        2, $CellContext`hh$$ = 1, $CellContext`xr$$ = 5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`ff$$, $CellContext`ff$10481$$, False], 
        Hold[$CellContext`gg$$, $CellContext`gg$10482$$, False], 
        Hold[$CellContext`hh$$, $CellContext`hh$10483$$, False], 
        Hold[$CellContext`xr$$, $CellContext`xr$10484$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> With[{$CellContext`a$ = {
           Part[$CellContext`functions, $CellContext`ff$$][$CellContext`x], 
           Part[$CellContext`functions, $CellContext`gg$$][$CellContext`x], 
           If[
            Or[$CellContext`hh$$ == 7, $CellContext`hh$$ == 8], 
            Part[$CellContext`operations, $CellContext`hh$$][
             Part[$CellContext`functions, $CellContext`ff$$], 
             Part[$CellContext`functions, $CellContext`gg$$]][$CellContext`x],
             
            Part[$CellContext`operations, $CellContext`hh$$][
             Part[$CellContext`functions, $CellContext`ff$$][$CellContext`x], 
             
             
             Part[$CellContext`functions, \
$CellContext`gg$$][$CellContext`x]]]}}, 
        Plot[$CellContext`a$, {$CellContext`x, -$CellContext`xr$$, \
$CellContext`xr$$}, ImageSize -> {500, 350}, PlotStyle -> {
           Dashing[{0.01, 0.01}], 
           Dashing[{0.01, 0.01}], 
           Thickness[0.005]}, PlotLabel -> Style[
           TraditionalForm[
            Last[$CellContext`a$]], 
           ColorData[1, 3], 16]]], 
      "Specifications" :> {{{$CellContext`ff$$, 1, 
          Style["f(x)", 
           RGBColor[0.24720000000000014`, 0.24, 0.6]]}, {
         1 -> TraditionalForm[
            Sin[$CellContext`x]], 2 -> TraditionalForm[
            Cos[$CellContext`x]], 3 -> TraditionalForm[$CellContext`x^2], 4 -> 
          TraditionalForm[(1 + $CellContext`x^2)^(-1)], 5 -> 
          TraditionalForm[(1 + $CellContext`x^2)^Rational[1, 2]], 6 -> 
          TraditionalForm[(1 - $CellContext`x)^2], 7 -> TraditionalForm[
            Abs[$CellContext`x]], 8 -> TraditionalForm[$CellContext`x^3]}, 
         ControlType -> SetterBar}, {{$CellContext`gg$$, 2, 
          Style["g(x)", 
           RGBColor[0.6, 0.24, 0.4428931686004542]]}, {1 -> TraditionalForm[
            Sin[$CellContext`x]], 2 -> TraditionalForm[
            Cos[$CellContext`x]], 3 -> TraditionalForm[$CellContext`x^2], 4 -> 
          TraditionalForm[(1 + $CellContext`x^2)^(-1)], 5 -> 
          TraditionalForm[(1 + $CellContext`x^2)^Rational[1, 2]], 6 -> 
          TraditionalForm[(1 - $CellContext`x)^2], 7 -> TraditionalForm[
            Abs[$CellContext`x]], 8 -> TraditionalForm[$CellContext`x^3]}, 
         ControlType -> SetterBar}, {{$CellContext`hh$$, 1, "combination"}, {
         1 -> Style["f(x)+g(x)", Italic], 2 -> Style["f(x)-g(x)", Italic], 3 -> 
          Style["g(x)-f(x)", Italic], 4 -> Style["f(x)\[Cross]g(x)", Italic], 
          5 -> Style["f(x)/g(x)", Italic], 6 -> Style[" g(x)/f(x)", Italic], 
          7 -> Style["f(g(x))", Italic], 8 -> Style["g(f(x))", Italic]}, 
         ControlType -> SetterBar}, 
        Delimiter, {{$CellContext`xr$$, 5, "zoom"}, 1, 20}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {272., 277.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`functions = {
         Sin, Cos, #^2& , 1/(1 + #^2)& , Sqrt[1 + #^2]& , (1 - #)^2& , 
          Abs[#]& , #^3& }, $CellContext`operations = {
         Plus, Subtract, #2 - #& , Times, Divide, #2/#& , Composition, 
          Composition[#2, #]& }}; Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`functions = {
           Sin, Cos, #^2& , 1/(1 + #^2)& , (1 + #^2)^
            Rational[1, 2]& , (1 - #)^2& , Abs[#]& , #^3& }; 
         Null, $CellContext`operations = {
           Plus, Subtract, Subtract[#2, #]& , Times, Divide, #2/#& , 
            Composition, Composition[#2, #]& }; Null}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->2071649294],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Combining Functions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CombiningFunctions/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/CombiningFunctions/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/CombiningFunctions/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CombiningFunctions/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/CombiningFunctions/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ed Pegg",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ed+Pegg"], 
    None},
  ButtonNote->"http://demonstrations.wolfram.com/author.html?author=Ed+Pegg"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
CombiningFunctions"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Combining Functions - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 211, 4, 70, "Section"],
Cell[804, 29, 781, 25, 70, "Input",
 CellID->1874882925],
Cell[1588, 56, 606, 17, 70, "Input",
 CellID->1129768044],
Cell[2197, 75, 5890, 149, 70, "Input"]
}, Open  ]],
Cell[8102, 227, 6754, 121, 70, "Output",
 CellID->2071649294],
Cell[CellGroupData[{
Cell[14881, 352, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15257, 363, 886, 24, 70, "Text"],
Cell[16146, 389, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16486, 400, 414, 13, 70, "Text"],
Cell[CellGroupData[{
Cell[16925, 417, 967, 27, 70, "Text"],
Cell[17895, 446, 1194, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature @SNMfrDrUNGDuBpiDVtC4qM0 *)
