(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     23378,        627]
NotebookOptionsPosition[     22058,        578]
NotebookOutlinePosition[     22671,        602]
CellTagsIndexPosition[     22628,        599]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Composition of Functions", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], ":=", 
  RowBox[{"2", 
   RowBox[{"Sin", "[", "x", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.377006807461183*^9, 3.377006816578372*^9}, {
   3.377084782009684*^9, 3.3770847823993273`*^9}, 3.3770866096314573`*^9, {
   3.377086860204831*^9, 3.377086863381885*^9}, 3.37708694487576*^9},
 CellID->1048332615],

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", "x_", "]"}], ":=", 
  RowBox[{"1.5", 
   SqrtBox[
    RowBox[{"1", "-", 
     RowBox[{"(", 
      FractionBox["x", "2"], ")"}]}]]}]}]], "Input",
 CellChangeTimes->{{3.3770068243972692`*^9, 3.3770068317066193`*^9}, {
   3.3770068635614357`*^9, 3.377006865448531*^9}, {3.377007805466531*^9, 
   3.377007806038213*^9}, 3.3770847872713537`*^9, {3.377085141632598*^9, 
   3.37708514573351*^9}, {3.37708520583307*^9, 3.377085211637741*^9}, {
   3.377085368270172*^9, 3.3770853899811277`*^9}, {3.377085773725535*^9, 
   3.377085787129311*^9}, 3.377085843303183*^9, {3.377086384130865*^9, 
   3.3770863857690487`*^9}, {3.377086902961351*^9, 3.377086904216565*^9}, {
   3.377086939298143*^9, 3.37708693990139*^9}},
 CellID->1370420317],

Cell[BoxData[
 RowBox[{
  RowBox[{"diag", "[", "x_", "]"}], ":=", "x"}]], "Input",
 CellChangeTimes->{{3.3770068868802643`*^9, 3.377006899044486*^9}},
 CellID->892153744],

Cell[BoxData[
 RowBox[{
  RowBox[{"traj", "[", "x_", "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Arrowheads", "[", "Small", "]"}], ",", 
    RowBox[{"Arrow", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"g", "[", "x", "]"}]}], "}"}]}], "}"}], "]"}], ",", 
    RowBox[{"Arrow", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"g", "[", "x", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"g", "[", "x", "]"}], ",", 
         RowBox[{"g", "[", "x", "]"}]}], "}"}]}], "}"}], "]"}], ",", 
    RowBox[{"Arrow", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"g", "[", "x", "]"}], ",", 
         RowBox[{"g", "[", "x", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"g", "[", "x", "]"}], ",", 
         RowBox[{"f", "[", 
          RowBox[{"g", "[", "x", "]"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
    RowBox[{"Arrow", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"g", "[", "x", "]"}], ",", 
         RowBox[{"f", "[", 
          RowBox[{"g", "[", "x", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"f", "[", 
          RowBox[{"g", "[", "x", "]"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
      RowBox[{"Point", "[", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0"}], "}"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "0.02", "]"}], ",", "Blue", ",", 
      RowBox[{"Point", "[", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"f", "[", 
          RowBox[{"g", "[", "x", "]"}], "]"}]}], "}"}], "]"}]}], "}"}]}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.37700695892187*^9, 3.3770069661807423`*^9}, {
   3.377007027492566*^9, 3.377007166015397*^9}, {3.377008171123678*^9, 
   3.377008174960923*^9}, {3.3770113213262672`*^9, 3.3770114722838078`*^9}, {
   3.377011534979843*^9, 3.3770115351391773`*^9}, {3.3770117408642282`*^9, 
   3.377011744840889*^9}, {3.377018444969389*^9, 3.377018539031418*^9}, {
   3.377018578721343*^9, 3.3770186383052263`*^9}, {3.3770186890270023`*^9, 
   3.377018692340848*^9}, {3.377019896650128*^9, 3.377019897753023*^9}, 
   3.3770199386135283`*^9, {3.377020045158545*^9, 3.377020047239097*^9}, {
   3.37708563897434*^9, 3.377085708900155*^9}},
 CellID->697152054],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"plt", "=", 
     RowBox[{"Dynamic", "[", 
      RowBox[{
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"f", "[", 
          RowBox[{"g", "[", "x", "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0", ",", "a"}], "}"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Blue", ",", 
            RowBox[{"Thickness", "[", "0.01", "]"}]}], "}"}]}]}], "]"}], "[", 
       
       RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";", 
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"f", "[", "x", "]"}], ",", 
          RowBox[{"g", "[", "x", "]"}], ",", 
          RowBox[{"diag", "[", "x", "]"}], ",", 
          RowBox[{"f", "[", 
           RowBox[{"g", "[", "x", "]"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", "1.8"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Lighter", "[", 
              RowBox[{"Purple", ",", "0.5"}], "]"}], ",", 
             RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Lighter", "[", 
              RowBox[{"Red", ",", "0.5"}], "]"}], ",", 
             RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}], ",", "Black", 
           ",", "Blue"}], "}"}]}]}], "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"plt", ",", 
         RowBox[{"traj", "[", "a", "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"TraditionalForm", "[", 
              RowBox[{"HoldForm", "[", 
               RowBox[{"g", "[", "x", "]"}], "]"}], "]"}], ",", "14", ",", 
             "Bold", ",", 
             RowBox[{"Lighter", "[", 
              RowBox[{"Red", ",", "0.5"}], "]"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"1.9", ",", "0.45"}], "}"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"TraditionalForm", "[", 
              RowBox[{"HoldForm", "[", 
               RowBox[{"f", "[", 
                RowBox[{"g", "[", "x", "]"}], "]"}], "]"}], "]"}], ",", "14", 
             ",", "Bold", ",", 
             RowBox[{"Lighter", "[", 
              RowBox[{"Blue", ",", "0.5"}], "]"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"1.9", ",", "0.84"}], "}"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"TraditionalForm", "[", 
              RowBox[{"HoldForm", "[", 
               RowBox[{"f", "[", "x", "]"}], "]"}], "]"}], ",", "14", ",", 
             "Bold", ",", 
             RowBox[{"Lighter", "[", 
              RowBox[{"Purple", ",", "0.5"}], "]"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"1.9", ",", "1.9"}], "}"}]}], "]"}]}], "}"}], "]"}], ",", 
      
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "2.0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "2"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "400"}], ",", 
      RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "0.466", ",", "\"\<x value\>\""}], "}"}], ",", 
     "0.001", ",", "1.8", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"Bookmarks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<0.9\>\"", "\[RuleDelayed]", 
       RowBox[{"{", 
        RowBox[{"a", "=", "0.9"}], "}"}]}], ",", 
      RowBox[{"\"\<1.2\>\"", "\[RuleDelayed]", 
       RowBox[{"{", 
        RowBox[{"a", "=", "1.2"}], "}"}]}], ",", 
      RowBox[{"\"\<1.5\>\"", "\[RuleDelayed]", 
       RowBox[{"{", 
        RowBox[{"a", "=", "1.5"}], "}"}]}]}], "}"}]}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", "a", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.377007861929326*^9, 3.3770078931691027`*^9}, {
   3.377008187312612*^9, 3.377008214348823*^9}, {3.377011038929195*^9, 
   3.377011109851746*^9}, {3.377014214249262*^9, 3.377014270144681*^9}, {
   3.377014876229807*^9, 3.377014887891654*^9}, {3.377015048037134*^9, 
   3.377015061581216*^9}, {3.377017430870562*^9, 3.377017557043261*^9}, 
   3.3770175894568653`*^9, {3.377017667103158*^9, 3.377017685458564*^9}, {
   3.377017743409258*^9, 3.3770178411495943`*^9}, {3.3770178750640574`*^9, 
   3.377017903552165*^9}, {3.377018302583974*^9, 3.377018302890003*^9}, {
   3.3770203271024437`*^9, 3.377020352732942*^9}, 3.377084894583405*^9, {
   3.377085797345652*^9, 3.377085801322467*^9}, {3.3770862206679583`*^9, 
   3.377086258108429*^9}, {3.377086555787722*^9, 3.377086563317009*^9}, {
   3.377086714491982*^9, 3.377086721269259*^9}, {3.377086872508567*^9, 
   3.377086877997697*^9}, {3.3770870583508387`*^9, 3.377087162705594*^9}, {
   3.3770871945311337`*^9, 3.377087201862192*^9}, {3.377087403363434*^9, 
   3.37708743986602*^9}, {3.377087509906062*^9, 3.377087543938877*^9}, {
   3.377087731013891*^9, 3.3770877452126703`*^9}, {3.3770878643604794`*^9, 
   3.377087893636655*^9}, {3.377087954787619*^9, 3.3770879580002747`*^9}, {
   3.3770881375640182`*^9, 3.3770881487225523`*^9}, {3.377088343391177*^9, 
   3.377088354414423*^9}, {3.377088600988984*^9, 3.377088691738207*^9}, {
   3.37708880389964*^9, 3.3770888220247927`*^9}, {3.377089840214512*^9, 
   3.377089871424036*^9}, {3.3770900871678953`*^9, 3.377090140111249*^9}, {
   3.377090186521216*^9, 3.377090292762151*^9}, {3.377090325346692*^9, 
   3.377090401724065*^9}, {3.377090456444199*^9, 3.377090598056361*^9}, {
   3.377090691347507*^9, 3.377090691704649*^9}, {3.380748958015625*^9, 
   3.380748994015625*^9}, {3.38074903521875*^9, 3.380749050734375*^9}, {
   3.3827063471582975`*^9, 3.3827064250715218`*^9}, {3.382813978898755*^9, 
   3.38281398438313*^9}, {3.38281401597688*^9, 3.38281411241438*^9}},
 CellID->363793546]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0.466, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {
    "\"0.9\"" :> {$CellContext`a$$ = 0.9}, 
     "\"1.2\"" :> {$CellContext`a$$ = 1.2}, 
     "\"1.5\"" :> {$CellContext`a$$ = 1.5}}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 0.466, "x value"}, 0.001, 1.8}}, 
    Typeset`size$$ = {400., {197., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`a$59680$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`a$$ = 0.466}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$59680$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`plt = Dynamic[
          Part[
           Plot[
            $CellContext`f[
             $CellContext`g[$CellContext`x]], {$CellContext`x, 
             0, $CellContext`a$$}, PlotStyle -> {Blue, 
              Thickness[0.01]}], 1]]; Show[
         Plot[{
           $CellContext`f[$CellContext`x], 
           $CellContext`g[$CellContext`x], 
           $CellContext`diag[$CellContext`x], 
           $CellContext`f[
            $CellContext`g[$CellContext`x]]}, {$CellContext`x, 0, 1.8}, 
          PlotStyle -> {{
             Lighter[Purple, 0.5], 
             Thickness[0.005]}, {
             Lighter[Red, 0.5], 
             Thickness[0.005]}, Black, Blue}], 
         Graphics[{$CellContext`plt, 
           $CellContext`traj[$CellContext`a$$], 
           Text[
            Style[
             TraditionalForm[
              HoldForm[
               $CellContext`g[$CellContext`x]]], 14, Bold, 
             Lighter[Red, 0.5]], {1.9, 0.45}], 
           Text[
            Style[
             TraditionalForm[
              HoldForm[
               $CellContext`f[
                $CellContext`g[$CellContext`x]]]], 14, Bold, 
             Lighter[Blue, 0.5]], {1.9, 0.84}], 
           Text[
            Style[
             TraditionalForm[
              HoldForm[
               $CellContext`f[$CellContext`x]]], 14, Bold, 
             Lighter[Purple, 0.5]], {1.9, 1.9}]}], 
         PlotRange -> {{0, 2.}, {0, 2}}, ImageSize -> 400, AspectRatio -> 
         Automatic]), 
      "Specifications" :> {{{$CellContext`a$$, 0.466, "x value"}, 0.001, 1.8, 
         Appearance -> "Labeled"}}, 
      "Options" :> {TrackedSymbols :> {$CellContext`a$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {240., 245.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`plt = Dynamic[
          Part[
           Plot[
            $CellContext`f[
             $CellContext`g[$CellContext`x]], {$CellContext`x, 0, FE`a$$381}, 
            PlotStyle -> {Blue, 
              Thickness[0.01]}], 1]], $CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]]] := 2 Sin[$CellContext`x], $CellContext`g[
          Pattern[$CellContext`x, 
           Blank[]]] := 1.5 Sqrt[1 - $CellContext`x/2], FE`a$$381 = 
        0.466, $CellContext`diag[
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x, $CellContext`traj[
          Pattern[$CellContext`x, 
           Blank[]]] := {
          Arrowheads[Small], 
          Arrow[{{$CellContext`x, 0}, {$CellContext`x, 
             $CellContext`g[$CellContext`x]}}], 
          Arrow[{{$CellContext`x, 
             $CellContext`g[$CellContext`x]}, {
             $CellContext`g[$CellContext`x], 
             $CellContext`g[$CellContext`x]}}], 
          Arrow[{{
             $CellContext`g[$CellContext`x], 
             $CellContext`g[$CellContext`x]}, {
             $CellContext`g[$CellContext`x], 
             $CellContext`f[
              $CellContext`g[$CellContext`x]]}}], 
          Arrow[{{
             $CellContext`g[$CellContext`x], 
             $CellContext`f[
              $CellContext`g[$CellContext`x]]}, {$CellContext`x, 
             $CellContext`f[
              $CellContext`g[$CellContext`x]]}}], {
           PointSize[0.015], 
           Point[{$CellContext`x, 0}]}, {
           PointSize[0.02], Blue, 
           Point[{$CellContext`x, 
             $CellContext`f[
              $CellContext`g[$CellContext`x]]}]}}, 
        Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`f[
           Pattern[$CellContext`x, 
            Blank[]]] := 2 Sin[$CellContext`x], $CellContext`g[
           Pattern[$CellContext`x, 
            Blank[]]] := 
         1.5 (1 - $CellContext`x/2)^Rational[1, 2], $CellContext`diag[
           Pattern[$CellContext`x, 
            Blank[]]] := $CellContext`x, $CellContext`traj[
           Pattern[$CellContext`x, 
            Blank[]]] := {
           Arrowheads[Small], 
           Arrow[{{$CellContext`x, 0}, {$CellContext`x, 
              $CellContext`g[$CellContext`x]}}], 
           Arrow[{{$CellContext`x, 
              $CellContext`g[$CellContext`x]}, {
              $CellContext`g[$CellContext`x], 
              $CellContext`g[$CellContext`x]}}], 
           Arrow[{{
              $CellContext`g[$CellContext`x], 
              $CellContext`g[$CellContext`x]}, {
              $CellContext`g[$CellContext`x], 
              $CellContext`f[
               $CellContext`g[$CellContext`x]]}}], 
           Arrow[{{
              $CellContext`g[$CellContext`x], 
              $CellContext`f[
               $CellContext`g[$CellContext`x]]}, {$CellContext`x, 
              $CellContext`f[
               $CellContext`g[$CellContext`x]]}}], {
            PointSize[0.015], 
            Point[{$CellContext`x, 0}]}, {
            PointSize[0.02], Blue, 
            Point[{$CellContext`x, 
              $CellContext`f[
               $CellContext`g[$CellContext`x]]}]}}}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->51990906],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Composition of Functions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CompositionOfFunctions/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/CompositionOfFunctions/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/CompositionOfFunctions/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CompositionOfFunctions/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/CompositionOfFunctions/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Bruce Atwood",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Bruce+Atwood"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Bruce+Atwood"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->100588092],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
CompositionOfFunctions"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Composition of Functions - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 216, 4, 70, "Section"],
Cell[809, 29, 362, 8, 70, "Input",
 CellID->1048332615],
Cell[1174, 39, 770, 16, 70, "Input",
 CellID->1370420317],
Cell[1947, 57, 170, 4, 70, "Input",
 CellID->892153744],
Cell[2120, 63, 2642, 72, 70, "Input",
 CellID->697152054],
Cell[4765, 137, 6427, 145, 70, "Input",
 CellID->363793546]
}, Open  ]],
Cell[11207, 285, 6522, 156, 70, "Output",
 CellID->51990906],
Cell[CellGroupData[{
Cell[17754, 445, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[18130, 456, 911, 24, 70, "Text"],
Cell[19044, 482, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[19384, 493, 453, 15, 70, "Text",
 CellID->100588092],
Cell[CellGroupData[{
Cell[19862, 512, 967, 27, 70, "Text"],
Cell[20832, 541, 1198, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature QS4xqKPFfYWiTAp148AzbyyP *)
