(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     21758,        549]
NotebookOptionsPosition[     20703,        510]
NotebookOutlinePosition[     21325,        534]
CellTagsIndexPosition[     21282,        531]
WindowTitle->Discrete Function Composition - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Discrete Function Composition", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "fg0", ",", "fg1", ",", "fg2", ",", "fg3", ",", "plt1", ",", "plt2", 
       ",", "plt3"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"fg0", "=", 
       RowBox[{"Switch", "[", 
        RowBox[{
        "g0", ",", "0", ",", "f0", ",", "1", ",", "f1", ",", "2", ",", "f2", 
         ",", "3", ",", "f3"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"fg1", " ", "=", 
       RowBox[{"Switch", "[", 
        RowBox[{
        "g1", ",", "0", ",", "f0", ",", "1", ",", "f1", ",", "2", ",", "f2", 
         ",", "3", ",", "f3"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"fg2", " ", "=", 
       RowBox[{"Switch", "[", 
        RowBox[{
        "g2", ",", "0", ",", "f0", ",", "1", ",", "f1", ",", "2", ",", "f2", 
         ",", "3", ",", "f3"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"fg3", " ", "=", 
       RowBox[{"Switch", "[", 
        RowBox[{
        "g3", ",", "0", ",", "f0", ",", "1", ",", "f1", ",", "2", ",", "f2", 
         ",", "3", ",", "f3"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"plt1", "=", 
       RowBox[{"ListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "g0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "g1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", "g2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"3", ",", "g3"}], "}"}]}], "}"}], ",", 
         RowBox[{"Joined", "\[Rule]", "connect"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
         RowBox[{"Mesh", "\[Rule]", "Full"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "0.1"}], ",", "3.6"}], "}"}]}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"PointSize", "[", "0.05", "]"}]}], ",", " ", 
         RowBox[{"Ticks", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}]}], "}"}]}], 
         ",", " ", 
         RowBox[{"PlotLabel", " ", "\[Rule]", " ", 
          RowBox[{"TraditionalForm", "[", 
           RowBox[{"g", "[", "x", "]"}], "]"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"plt2", " ", "=", 
       RowBox[{"ListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "f0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "f1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", "f2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"3", ",", "f3"}], "}"}]}], "}"}], ",", 
         RowBox[{"Joined", "\[Rule]", "connect"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
         RowBox[{"Mesh", "\[Rule]", "Full"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "0.1"}], ",", "3.6"}], "}"}]}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"PointSize", "[", "0.05", "]"}]}], ",", 
         RowBox[{"Ticks", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}]}], "}"}]}], 
         ",", 
         RowBox[{"PlotLabel", " ", "\[Rule]", " ", 
          RowBox[{"TraditionalForm", "[", 
           RowBox[{"f", "[", "x", "]"}], "]"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"plt3", " ", "=", 
       RowBox[{"ListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "fg0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "fg1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", "fg2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"3", ",", "fg3"}], "}"}]}], "}"}], ",", 
         RowBox[{"Joined", "\[Rule]", "connect"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
         RowBox[{"Mesh", "\[Rule]", "Full"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "0.1"}], ",", "3.6"}], "}"}]}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"PointSize", "[", "0.05", "]"}]}], ",", 
         RowBox[{"Ticks", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}]}], "}"}]}], 
         ",", 
         RowBox[{"PlotLabel", " ", "\[Rule]", " ", 
          RowBox[{"TraditionalForm", "[", 
           RowBox[{"f", "[", 
            RowBox[{"g", "[", "x", "]"}], "]"}], "]"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Grid", "[", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Show", "[", 
           RowBox[{"plt1", ",", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"150", ",", "150"}], "}"}]}]}], "]"}], ",", " ", 
          RowBox[{"Show", "[", 
           RowBox[{"plt2", ",", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"150", ",", "150"}], "}"}]}]}], "]"}], ",", " ", 
          RowBox[{"Show", "[", " ", 
           RowBox[{"plt3", ",", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"150", ",", "150"}], "}"}]}]}], "]"}]}], "}"}], "}"}], 
       "]"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Text", "@", 
    RowBox[{"Style", "[", 
     RowBox[{
      RowBox[{"TraditionalForm", "[", 
       RowBox[{"g", "[", "x", "]"}], "]"}], ",", "12"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"g0", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g1", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g2", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g3", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   "Delimiter", ",", " ", 
   RowBox[{"Text", "@", 
    RowBox[{"Style", "[", 
     RowBox[{
      RowBox[{"TraditionalForm", "[", 
       RowBox[{"f", "[", "x", "]"}], "]"}], ",", "12"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"f0", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f1", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f2", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f3", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", " ", 
   "Delimiter", ",", 
   RowBox[{"{", 
    RowBox[{"connect", ",", " ", 
     RowBox[{"{", 
      RowBox[{"True", ",", " ", "False"}], "}"}], ",", " ", 
     RowBox[{"ControlType", " ", "\[Rule]", " ", "SetterBar"}]}], "}"}], ",", 
   
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.45798247479592*^9, {3.457983544975028*^9, 
   3.457983556140806*^9}, {3.4580064226743484`*^9, 3.458006456431657*^9}, {
   3.458335718162568*^9, 3.458335740631318*^9}, {3.458335829396943*^9, 
   3.458335835193818*^9}, {3.458335867350068*^9, 3.458335999787568*^9}, {
   3.458336039631318*^9, 3.458336071475068*^9}, {3.458499194457556*^9, 
   3.4584992351156216`*^9}, {3.4585010954140854`*^9, 3.4585011071640854`*^9}, 
   3.45850157555471*^9, {3.458501805600644*^9, 3.458501816525737*^9}, {
   3.4585018711672*^9, 3.4585019010221853`*^9}, {3.4585019461817007`*^9, 
   3.4585019548875713`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`connect$$ = True, $CellContext`f0$$ = 
    0, $CellContext`f1$$ = 0, $CellContext`f2$$ = 0, $CellContext`f3$$ = 
    0, $CellContext`g0$$ = 0, $CellContext`g1$$ = 0, $CellContext`g2$$ = 
    0, $CellContext`g3$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Text[
        Style[
         TraditionalForm[
          $CellContext`g[$CellContext`x]], 12]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`g0$$], 0}, {0, 1, 2, 3}}, {{
       Hold[$CellContext`g1$$], 0}, {0, 1, 2, 3}}, {{
       Hold[$CellContext`g2$$], 0}, {0, 1, 2, 3}}, {{
       Hold[$CellContext`g3$$], 0}, {0, 1, 2, 3}}, {
      Hold[
       Text[
        Style[
         TraditionalForm[
          $CellContext`f[$CellContext`x]], 12]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`f0$$], 0}, {0, 1, 2, 3}}, {{
       Hold[$CellContext`f1$$], 0}, {0, 1, 2, 3}}, {{
       Hold[$CellContext`f2$$], 0}, {0, 1, 2, 3}}, {{
       Hold[$CellContext`f3$$], 0}, {0, 1, 2, 3}}, {{
       Hold[$CellContext`connect$$], True}, {True, False}}}, 
    Typeset`size$$ = {466., {72.5, 77.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`g0$92238$$ = 0, $CellContext`g1$92239$$ = 
    0, $CellContext`g2$92240$$ = 0, $CellContext`g3$92241$$ = 
    0, $CellContext`f0$92242$$ = 0, $CellContext`f1$92243$$ = 
    0, $CellContext`f2$92244$$ = 0, $CellContext`f3$92245$$ = 
    0, $CellContext`connect$92246$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`connect$$ = True, $CellContext`f0$$ = 
        0, $CellContext`f1$$ = 0, $CellContext`f2$$ = 0, $CellContext`f3$$ = 
        0, $CellContext`g0$$ = 0, $CellContext`g1$$ = 0, $CellContext`g2$$ = 
        0, $CellContext`g3$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`g0$$, $CellContext`g0$92238$$, 0], 
        Hold[$CellContext`g1$$, $CellContext`g1$92239$$, 0], 
        Hold[$CellContext`g2$$, $CellContext`g2$92240$$, 0], 
        Hold[$CellContext`g3$$, $CellContext`g3$92241$$, 0], 
        Hold[$CellContext`f0$$, $CellContext`f0$92242$$, 0], 
        Hold[$CellContext`f1$$, $CellContext`f1$92243$$, 0], 
        Hold[$CellContext`f2$$, $CellContext`f2$92244$$, 0], 
        Hold[$CellContext`f3$$, $CellContext`f3$92245$$, 0], 
        Hold[$CellContext`connect$$, $CellContext`connect$92246$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`fg0$, $CellContext`fg1$, $CellContext`fg2$, \
$CellContext`fg3$, $CellContext`plt1$, $CellContext`plt2$, \
$CellContext`plt3$}, $CellContext`fg0$ = 
         Switch[$CellContext`g0$$, 0, $CellContext`f0$$, 1, $CellContext`f1$$,
            2, $CellContext`f2$$, 3, $CellContext`f3$$]; $CellContext`fg1$ = 
         Switch[$CellContext`g1$$, 0, $CellContext`f0$$, 1, $CellContext`f1$$,
            2, $CellContext`f2$$, 3, $CellContext`f3$$]; $CellContext`fg2$ = 
         Switch[$CellContext`g2$$, 0, $CellContext`f0$$, 1, $CellContext`f1$$,
            2, $CellContext`f2$$, 3, $CellContext`f3$$]; $CellContext`fg3$ = 
         Switch[$CellContext`g3$$, 0, $CellContext`f0$$, 1, $CellContext`f1$$,
            2, $CellContext`f2$$, 3, $CellContext`f3$$]; $CellContext`plt1$ = 
         ListPlot[{{0, $CellContext`g0$$}, {1, $CellContext`g1$$}, {
            2, $CellContext`g2$$}, {3, $CellContext`g3$$}}, 
           Joined -> $CellContext`connect$$, AspectRatio -> 1, Mesh -> Full, 
           PlotRange -> {-0.1, 3.6}, PlotStyle -> PointSize[0.05], 
           Ticks -> {{0, 1, 2, 3}, {0, 1, 2, 3}}, PlotLabel -> TraditionalForm[
             $CellContext`g[$CellContext`x]]]; $CellContext`plt2$ = 
         ListPlot[{{0, $CellContext`f0$$}, {1, $CellContext`f1$$}, {
            2, $CellContext`f2$$}, {3, $CellContext`f3$$}}, 
           Joined -> $CellContext`connect$$, AspectRatio -> 1, Mesh -> Full, 
           PlotRange -> {-0.1, 3.6}, PlotStyle -> PointSize[0.05], 
           Ticks -> {{0, 1, 2, 3}, {0, 1, 2, 3}}, PlotLabel -> TraditionalForm[
             $CellContext`f[$CellContext`x]]]; $CellContext`plt3$ = 
         ListPlot[{{0, $CellContext`fg0$}, {1, $CellContext`fg1$}, {
            2, $CellContext`fg2$}, {3, $CellContext`fg3$}}, 
           Joined -> $CellContext`connect$$, AspectRatio -> 1, Mesh -> Full, 
           PlotRange -> {-0.1, 3.6}, PlotStyle -> PointSize[0.05], 
           Ticks -> {{0, 1, 2, 3}, {0, 1, 2, 3}}, PlotLabel -> TraditionalForm[
             $CellContext`f[
              $CellContext`g[$CellContext`x]]]]; Grid[{{
            Show[$CellContext`plt1$, ImageSize -> {150, 150}], 
            Show[$CellContext`plt2$, ImageSize -> {150, 150}], 
            Show[$CellContext`plt3$, ImageSize -> {150, 150}]}}]], 
      "Specifications" :> {
        Text[
         Style[
          TraditionalForm[
           $CellContext`g[$CellContext`x]], 12]], {{$CellContext`g0$$, 0}, {0,
          1, 2, 3}, ControlType -> SetterBar}, {{$CellContext`g1$$, 0}, {0, 1,
          2, 3}, ControlType -> SetterBar}, {{$CellContext`g2$$, 0}, {0, 1, 2,
          3}, ControlType -> SetterBar}, {{$CellContext`g3$$, 0}, {0, 1, 2, 
         3}, ControlType -> SetterBar}, Delimiter, 
        Text[
         Style[
          TraditionalForm[
           $CellContext`f[$CellContext`x]], 12]], {{$CellContext`f0$$, 0}, {0,
          1, 2, 3}, ControlType -> SetterBar}, {{$CellContext`f1$$, 0}, {0, 1,
          2, 3}, ControlType -> SetterBar}, {{$CellContext`f2$$, 0}, {0, 1, 2,
          3}, ControlType -> SetterBar}, {{$CellContext`f3$$, 0}, {0, 1, 2, 
         3}, ControlType -> SetterBar}, 
        Delimiter, {{$CellContext`connect$$, True}, {True, False}, 
         ControlType -> SetterBar}}, "Options" :> {TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{616., {162., 167.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->299040048],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Discrete Function Composition",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DiscreteFunctionComposition/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/DiscreteFunctionComposition/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/DiscreteFunctionComposition/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DiscreteFunctionComposition/"], 
    None},
  ButtonNote->"http://demonstrations.wolfram.com/DiscreteFunctionComposition/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Gerry Bilodeau",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Gerry+Bilodeau"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Gerry+Bilodeau"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
DiscreteFunctionComposition"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Discrete Function Composition - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[619, 23, 221, 4, 70, "Section"],
Cell[843, 29, 8930, 221, 70, "Input"]
}, Open  ]],
Cell[9788, 253, 6674, 121, 70, "Output",
 CellID->299040048],
Cell[CellGroupData[{
Cell[16487, 378, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16863, 389, 955, 27, 70, "Text"],
Cell[17821, 418, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[18161, 429, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[18622, 447, 847, 24, 70, "Text"],
Cell[19472, 473, 1203, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature nSjocnZbClsSbADH1vVmNSkR *)
