(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16328,        428]
NotebookOptionsPosition[     15207,        386]
NotebookOutlinePosition[     15855,        411]
CellTagsIndexPosition[     15812,        408]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Elementary Transcendental Functions and Their Inverses", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "x", "}"}], ",", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"fs", "=", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"#", "[", "x", "]"}], "&"}], "/@", 
           RowBox[{"Flatten", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{
                "Cos", ",", "Sin", ",", "Tan", ",", "Cot", ",", "Cosh", ",", 
                 "Sinh", ",", "Tanh", ",", "Coth", ",", "Sec", ",", "Csc", 
                 ",", "Sech", ",", "Csch", ",", "Exp", ",", 
                 "\[IndentingNewLine]", "ArcCos", ",", "ArcSin", ",", 
                 "ArcTan", ",", "ArcCot", ",", "ArcCosh", ",", "ArcSinh", ",",
                  "ArcTanh", ",", "ArcCoth", ",", "ArcSec", ",", "ArcCsc", 
                 ",", "ArcSech", ",", "ArcCsch", ",", "Log"}], "}"}], "[", 
               RowBox[{"[", 
                RowBox[{"Flatten", "[", 
                 RowBox[{"{", 
                  RowBox[{"selex", ",", "sel", ",", "sel2"}], "}"}], "]"}], 
                "]"}], "]"}], ",", "Identity", ",", "Minus"}], "}"}], "]"}]}],
           ")"}]}], "}"}], ",", 
       RowBox[{"Plot", "[", 
        RowBox[{"fs", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", 
         RowBox[{"PlotPoints", "\[Rule]", "30"}], ",", 
         RowBox[{"MaxRecursion", "\[Rule]", "4"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "Pi"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
         RowBox[{"AxesOrigin", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"selex", ",", 
       RowBox[{"{", 
        RowBox[{"13", ",", "26"}], "}"}], ",", "\"\<exponential\>\""}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{"13", "\[Rule]", "\"\<exp\>\""}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "TogglerBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"selex", ",", 
       RowBox[{"{", 
        RowBox[{"13", ",", "26"}], "}"}], ",", "\"\<logarithm\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"26", "\[Rule]", "\"\<ln\>\""}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "TogglerBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sel", ",", 
       RowBox[{"{", "}"}], ",", "\"\<trigonometric\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2", "\[Rule]", "\"\<sin\>\""}], ",", 
       RowBox[{"1", "\[Rule]", "\"\<cos\>\""}], ",", 
       RowBox[{"3", "\[Rule]", "\"\<tan\>\""}], ",", 
       RowBox[{"9", "\[Rule]", "\"\<sec\>\""}], ",", 
       RowBox[{"10", "\[Rule]", "\"\<csc\>\""}], ",", 
       RowBox[{"4", "\[Rule]", "\"\<cot\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "TogglerBar"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sel2", ",", 
       RowBox[{"{", "}"}], ",", "\"\<arc\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"15", "\[Rule]", "\"\<sin\>\""}], ",", 
       RowBox[{"14", "\[Rule]", "\"\<cos\>\""}], ",", 
       RowBox[{"16", "\[Rule]", "\"\<tan\>\""}], ",", 
       RowBox[{"22", "\[Rule]", "\"\<sec\>\""}], ",", 
       RowBox[{"23", "\[Rule]", "\"\<csc\>\""}], ",", 
       RowBox[{"17", "\[Rule]", "\"\<cot\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "TogglerBar"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sel", ",", 
       RowBox[{"{", "}"}], ",", "\"\<hyperbolic\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"6", "\[Rule]", "\"\<sinh\>\""}], ",", 
       RowBox[{"5", "\[Rule]", "\"\<cosh\>\""}], ",", 
       RowBox[{"7", "\[Rule]", "\"\<tanh\>\""}], ",", 
       RowBox[{"11", "\[Rule]", "\"\<sech\>\""}], ",", 
       RowBox[{"12", "\[Rule]", "\"\<csch\>\""}], ",", 
       RowBox[{"8", "\[Rule]", "\"\<coth\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "TogglerBar"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sel2", ",", 
       RowBox[{"{", "}"}], ",", "\"\<arc\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"19", "\[Rule]", "\"\<sinh\>\""}], ",", 
       RowBox[{"18", "\[Rule]", "\"\<cosh\>\""}], ",", 
       RowBox[{"20", "\[Rule]", "\"\<tanh\>\""}], ",", 
       RowBox[{"24", "\[Rule]", "\"\<sech\>\""}], ",", 
       RowBox[{"25", "\[Rule]", "\"\<csch\>\""}], ",", 
       RowBox[{"21", "\[Rule]", "\"\<coth\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "TogglerBar"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3826362510253983`*^9, 3.382636283940798*^9}, {
   3.382636427316502*^9, 3.3826364309827204`*^9}, {3.382636530550124*^9, 
   3.3826365977263517`*^9}, {3.383056359336184*^9, 3.383056364824075*^9}, {
   3.383056579343753*^9, 3.3830565829144087`*^9}, {3.383056616956684*^9, 
   3.383056623765139*^9}, {3.3830571675977983`*^9, 3.3830571696656046`*^9}, {
   3.384035672065646*^9, 3.384035736202619*^9}, {3.3840357723212442`*^9, 
   3.38403581202773*^9}, {3.384284336093557*^9, 3.3842843806175795`*^9}},
 CellID->101527050]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`sel$$ = {}, $CellContext`sel2$$ = {}, \
$CellContext`selex$$ = {13, 26}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`selex$$], {13, 26}, "exponential"}, {
      13 -> "exp"}}, {{
       Hold[$CellContext`selex$$], {13, 26}, "logarithm"}, {26 -> "ln"}}, {{
       Hold[$CellContext`sel$$], {}, "trigonometric"}, {
      2 -> "sin", 1 -> "cos", 3 -> "tan", 9 -> "sec", 10 -> "csc", 4 -> 
       "cot"}}, {{
       Hold[$CellContext`sel2$$], {}, "arc"}, {
      15 -> "sin", 14 -> "cos", 16 -> "tan", 22 -> "sec", 23 -> "csc", 17 -> 
       "cot"}}, {{
       Hold[$CellContext`sel$$], {}, "hyperbolic"}, {
      6 -> "sinh", 5 -> "cosh", 7 -> "tanh", 11 -> "sech", 12 -> "csch", 8 -> 
       "coth"}}, {{
       Hold[$CellContext`sel2$$], {}, "arc"}, {
      19 -> "sinh", 18 -> "cosh", 20 -> "tanh", 24 -> "sech", 25 -> "csch", 
       21 -> "coth"}}}, Typeset`size$$ = {350., {173., 177.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`selex$443$$ = False, $CellContext`sel$444$$ = 
    False, $CellContext`sel2$445$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`sel$$ = {}, $CellContext`sel2$$ = {}, \
$CellContext`selex$$ = {13, 26}}, "ControllerVariables" :> {
        Hold[$CellContext`selex$$, $CellContext`selex$443$$, False], 
        Hold[$CellContext`sel$$, $CellContext`sel$444$$, False], 
        Hold[$CellContext`sel2$$, $CellContext`sel2$445$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Module[{$CellContext`x$}, 
        With[{$CellContext`fs$ = Map[#[$CellContext`x$]& , 
            Flatten[{
              
              Part[{Cos, Sin, Tan, Cot, Cosh, Sinh, Tanh, Coth, Sec, Csc, 
                Sech, Csch, Exp, ArcCos, ArcSin, ArcTan, ArcCot, ArcCosh, 
                ArcSinh, ArcTanh, ArcCoth, ArcSec, ArcCsc, ArcSech, ArcCsch, 
                Log}, 
               
               Flatten[{$CellContext`selex$$, $CellContext`sel$$, \
$CellContext`sel2$$}]], Identity, Minus}]]}, 
         Plot[$CellContext`fs$, {$CellContext`x$, -Pi, Pi}, PlotPoints -> 30, 
          MaxRecursion -> 4, PlotRange -> Pi, ImageSize -> 350, AspectRatio -> 
          1, AxesOrigin -> {0, 0}]]], 
      "Specifications" :> {{{$CellContext`selex$$, {13, 26}, "exponential"}, {
         13 -> "exp"}, ControlType -> TogglerBar, ControlPlacement -> 
         Left}, {{$CellContext`selex$$, {13, 26}, "logarithm"}, {26 -> "ln"}, 
         ControlType -> TogglerBar, ControlPlacement -> 
         Left}, {{$CellContext`sel$$, {}, "trigonometric"}, {
         2 -> "sin", 1 -> "cos", 3 -> "tan", 9 -> "sec", 10 -> "csc", 4 -> 
          "cot"}, ControlType -> 
         TogglerBar}, {{$CellContext`sel2$$, {}, "arc"}, {
         15 -> "sin", 14 -> "cos", 16 -> "tan", 22 -> "sec", 23 -> "csc", 17 -> 
          "cot"}, ControlType -> 
         TogglerBar}, {{$CellContext`sel$$, {}, "hyperbolic"}, {
         6 -> "sinh", 5 -> "cosh", 7 -> "tanh", 11 -> "sech", 12 -> "csch", 8 -> 
          "coth"}, ControlType -> 
         TogglerBar}, {{$CellContext`sel2$$, {}, "arc"}, {
         19 -> "sinh", 18 -> "cosh", 20 -> "tanh", 24 -> "sech", 25 -> "csch",
           21 -> "coth"}, ControlType -> TogglerBar}}, 
      "Options" :> {ControlPlacement -> Top}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{479., {253., 258.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->741938971],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Elementary Transcendental Functions and Their Inverses",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ElementaryTranscendentalFunctionsAndTheirInverses/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
ElementaryTranscendentalFunctionsAndTheirInverses/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
ElementaryTranscendentalFunctionsAndTheirInverses/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ElementaryTranscendentalFunctionsAndTheirInverses/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
ElementaryTranscendentalFunctionsAndTheirInverses/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Michael Schreiber",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Michael+\
Schreiber"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Michael+Schreiber"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->202572579],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ElementaryTranscendentalFunctionsAndTheirInverses"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Elementary Transcendental Functions and Their Inverses - \
Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 246, 4, 70, "Section"],
Cell[839, 29, 5724, 134, 70, "Input",
 CellID->101527050]
}, Open  ]],
Cell[6578, 166, 4216, 79, 70, "Output",
 CellID->741938971],
Cell[CellGroupData[{
Cell[10819, 249, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[11195, 260, 1094, 31, 70, "Text"],
Cell[12292, 293, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[12632, 304, 465, 15, 70, "Text",
 CellID->202572579],
Cell[CellGroupData[{
Cell[13122, 323, 829, 24, 70, "Text"],
Cell[13954, 349, 1225, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature pRze3#FzSUG3KBpXeTzHujvx *)
