(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15216,        418]
NotebookOptionsPosition[     14129,        377]
NotebookOutlinePosition[     14743,        401]
CellTagsIndexPosition[     14700,        398]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Even and Odd Functions", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"fe", "=", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1", "&"}], ",", 
           RowBox[{
            RowBox[{"Abs", "[", "#", "]"}], "&"}], ",", 
           RowBox[{
            RowBox[{"Cos", "[", "#", "]"}], "&"}], ",", " ", 
           RowBox[{
            RowBox[{"#", "^", "2"}], "&"}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"E", "^", 
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{"#", "^", "2"}], ")"}]}]}], ")"}], "&"}]}], "}"}], 
         "[", 
         RowBox[{"[", "ef", "]"}], "]"}]}], ",", 
       RowBox[{"fo", "=", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"#", "&"}], ",", 
           RowBox[{
            RowBox[{"#", "^", "3"}], "&"}], ",", 
           RowBox[{
            RowBox[{"Sin", "[", "#", "]"}], "&"}], ",", " ", 
           RowBox[{
            RowBox[{"Tan", "[", "#", "]"}], "&"}], ",", 
           RowBox[{
            RowBox[{"Erf", "[", "#", "]"}], "&"}], ",", 
           RowBox[{
            RowBox[{"FresnelS", "[", "#", "]"}], "&"}]}], "}"}], "[", 
         RowBox[{"[", "of", "]"}], "]"}]}]}], "}"}], ",", 
     RowBox[{"Grid", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Text", "@", "\"\<even\>\""}], ",", 
           RowBox[{"Text", "@", "\"\<odd\>\""}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Text", "@", 
            RowBox[{"ToString", "[", 
             RowBox[{
              RowBox[{"fe", "[", "x", "]"}], ",", "TraditionalForm"}], 
             "]"}]}], ",", 
           RowBox[{"Text", "@", 
            RowBox[{"ToString", "[", 
             RowBox[{
              RowBox[{"fo", "[", "x", "]"}], ",", "TraditionalForm"}], 
             "]"}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Plot", "[", 
            RowBox[{
             RowBox[{"fe", "[", 
              RowBox[{"N", "[", "x", "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", 
               RowBox[{
                RowBox[{"-", "2"}], "Pi"}], ",", 
               RowBox[{"2", "Pi"}]}], "}"}], ",", 
             RowBox[{"MaxRecursion", "\[Rule]", "3"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"230", ",", "230"}], "}"}]}]}], "]"}], ",", 
           RowBox[{"Plot", "[", 
            RowBox[{
             RowBox[{"fo", "[", 
              RowBox[{"N", "[", "x", "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", 
               RowBox[{
                RowBox[{"-", "2"}], "Pi"}], ",", 
               RowBox[{"2", "Pi"}]}], "}"}], ",", 
             RowBox[{"MaxRecursion", "\[Rule]", "3"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"230", ",", "230"}], "}"}]}]}], "]"}]}], "}"}]}], 
        "}"}], ",", 
       RowBox[{"ItemSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "2", ",", "15"}], "}"}]}], "}"}]}]}], "]"}]}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ef", ",", "1", ",", "\"\<even function\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\<constant\>\""}], ",", 
       RowBox[{"2", "\[Rule]", "\"\<abs\>\""}], ",", 
       RowBox[{"3", "\[Rule]", "\"\<cos\>\""}], ",", 
       RowBox[{"4", "\[Rule]", "\"\<square\>\""}], ",", 
       RowBox[{"5", "\[Rule]", "\"\<exponential\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"of", ",", "1", ",", "\"\<odd function\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\<identity\>\""}], ",", 
       RowBox[{"2", "\[Rule]", "\"\<cube\>\""}], ",", 
       RowBox[{"3", "\[Rule]", "\"\<sin\>\""}], ",", 
       RowBox[{"4", "\[Rule]", "\"\<tan\>\""}], ",", 
       RowBox[{"5", "\[Rule]", "\"\<error\>\""}], ",", 
       RowBox[{"6", "\[Rule]", "\"\<Fresnel s\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.376355337475934*^9, 3.37635536330241*^9}, 
   3.376422231529573*^9, 3.3764223168074837`*^9, {3.3764225715792723`*^9, 
   3.3764225722422123`*^9}, 3.3764243841571083`*^9, {3.376468841698243*^9, 
   3.376468865470909*^9}, 3.376474299105185*^9, {3.37647438839402*^9, 
   3.376474428324573*^9}, {3.376744472969616*^9, 3.376744474957415*^9}, {
   3.3768260260418262`*^9, 3.376826040267877*^9}, {3.376826134643714*^9, 
   3.3768261366135597`*^9}, {3.376826502943166*^9, 3.376826520258506*^9}, {
   3.3768265937812357`*^9, 3.376826629084712*^9}, {3.376826666399287*^9, 
   3.3768267560379066`*^9}, {3.376826794892627*^9, 3.376826821906885*^9}, 
   3.3769865060416613`*^9, {3.376986659477189*^9, 3.376986889164192*^9}, {
   3.376986934665111*^9, 3.376986948202853*^9}, {3.376986999539034*^9, 
   3.376987039121625*^9}, {3.3769871354629717`*^9, 3.376987225278214*^9}, {
   3.37698735543106*^9, 3.376987781121582*^9}, {3.3769878222485533`*^9, 
   3.376988003260048*^9}, {3.376988036256072*^9, 3.37698805909753*^9}, {
   3.376988891326146*^9, 3.376988913674275*^9}, 3.376989027733687*^9, {
   3.377002077721789*^9, 3.3770021091658688`*^9}, {3.37700265736733*^9, 
   3.3770026639832697`*^9}, {3.377003279767272*^9, 3.377003351688298*^9}, {
   3.385508236328125*^9, 3.385508332296875*^9}, {3.38550836384375*^9, 
   3.385508377140625*^9}, {3.3855084160625*^9, 3.385508467*^9}, 
   3.386072362672353*^9, 3.390738100383582*^9},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ef$$ = 1, $CellContext`of$$ = 1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`ef$$], 1, "even function"}, {
      1 -> "constant", 2 -> "abs", 3 -> "cos", 4 -> "square", 5 -> 
       "exponential"}}, {{
       Hold[$CellContext`of$$], 1, "odd function"}, {
      1 -> "identity", 2 -> "cube", 3 -> "sin", 4 -> "tan", 5 -> "error", 6 -> 
       "Fresnel s"}}}, Typeset`size$$ = {468., {136.5, 141.5}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`ef$7083$$ = False, $CellContext`of$7084$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ef$$ = 1, $CellContext`of$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`ef$$, $CellContext`ef$7083$$, False], 
        Hold[$CellContext`of$$, $CellContext`of$7084$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`fe = 
         Part[{1& , Abs[#]& , Cos[#]& , #^2& , 
            E^(-#^2)& }, $CellContext`ef$$], $CellContext`fo = 
         Part[{#& , #^3& , Sin[#]& , Tan[#]& , Erf[#]& , 
            FresnelS[#]& }, $CellContext`of$$]}, 
        Grid[{{
           Text["even"], 
           Text["odd"]}, {
           Text[
            ToString[
             $CellContext`fe[$CellContext`x], TraditionalForm]], 
           Text[
            ToString[
             $CellContext`fo[$CellContext`x], TraditionalForm]]}, {
           Plot[
            $CellContext`fe[
             N[$CellContext`x]], {$CellContext`x, (-2) Pi, 2 Pi}, 
            MaxRecursion -> 3, ImageSize -> {230, 230}], 
           Plot[
            $CellContext`fo[
             N[$CellContext`x]], {$CellContext`x, (-2) Pi, 2 Pi}, 
            MaxRecursion -> 3, ImageSize -> {230, 230}]}}, 
         ItemSize -> {Automatic, {1, 2, 15}}]], 
      "Specifications" :> {{{$CellContext`ef$$, 1, "even function"}, {
         1 -> "constant", 2 -> "abs", 3 -> "cos", 4 -> "square", 5 -> 
          "exponential"}, ControlType -> 
         PopupMenu}, {{$CellContext`of$$, 1, "odd function"}, {
         1 -> "identity", 2 -> "cube", 3 -> "sin", 4 -> "tan", 5 -> "error", 
          6 -> "Fresnel s"}, ControlType -> PopupMenu}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{512., {192., 197.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->175034622],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Even and Odd Functions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/EvenAndOddFunctions/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/EvenAndOddFunctions/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/EvenAndOddFunctions/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/EvenAndOddFunctions/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/EvenAndOddFunctions/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Michael Schreiber",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Michael+\
Schreiber"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Michael+Schreiber"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->2137581389],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
EvenAndOddFunctions"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Even and Odd Functions - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 214, 4, 70, "Section"],
Cell[807, 29, 5976, 145, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[6798, 177, 3147, 66, 70, "Output",
 CellID->175034622],
Cell[CellGroupData[{
Cell[9970, 247, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10346, 258, 894, 24, 70, "Text"],
Cell[11243, 284, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[11583, 295, 466, 15, 70, "Text",
 CellID->2137581389],
Cell[CellGroupData[{
Cell[12074, 314, 829, 24, 70, "Text"],
Cell[12906, 340, 1195, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature nQjuhokRbmtfjB0C1E8rdvKj *)
