(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     17184,        466]
NotebookOptionsPosition[     16101,        425]
NotebookOutlinePosition[     16711,        449]
CellTagsIndexPosition[     16668,        446]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Finding an Inverse", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"f", "=", 
     RowBox[{"Function", "[", 
      RowBox[{
       RowBox[{"{", "x", "}"}], ",", 
       RowBox[{"Evaluate", "@", 
        RowBox[{"Fit", "[", 
         RowBox[{"points", ",", 
          RowBox[{"x", "^", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Range", "[", 
              RowBox[{"Length", "[", "points", "]"}], "]"}], "-", "1"}], 
            ")"}]}], ",", "x"}], "]"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"extremum", " ", "=", " ", 
        RowBox[{"Sort", "[", 
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"x", "/.", 
                RowBox[{"Solve", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", "x", "]"}], ",", "x"}], "]"}], 
                   "\[Equal]", "0"}], ",", "x"}], "]"}]}], ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"Chop", "[", 
                  RowBox[{"Im", "[", 
                   RowBox[{"N", "[", "#", "]"}], "]"}], "]"}], "\[Equal]", 
                 "0"}], "&"}]}], "]"}]}], "}"}], "]"}], ",", 
          RowBox[{
           RowBox[{"#1", "<", "#2"}], "&"}]}], "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"First", "@", 
           RowBox[{"Plot", "[", 
            RowBox[{
             RowBox[{"f", "[", "x", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", 
               RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
             RowBox[{"Mesh", "\[Rule]", 
              RowBox[{"{", "extremum", "}"}]}], ",", 
             RowBox[{"MeshShading", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"Red", ",", "Green"}], "}"}]}]}], "]"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"First", "@", 
             RowBox[{"ContourPlot", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"x", "\[Equal]", 
                 RowBox[{"f", "[", "y", "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"y", ",", 
                 RowBox[{"extremum", "[", 
                  RowBox[{"[", "n", "]"}], "]"}], ",", 
                 RowBox[{"extremum", "[", 
                  RowBox[{"[", 
                   RowBox[{"n", "+", "1"}], "]"}], "]"}]}], "}"}], ",", 
               RowBox[{"ContourStyle", "\[Rule]", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"Green", ",", "Dashed"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"Red", ",", "Dashed"}], "}"}]}], "}"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"Mod", "[", 
                   RowBox[{"n", ",", "2", ",", "1"}], "]"}], "]"}], "]"}]}]}],
               "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"n", ",", "1", ",", 
              RowBox[{
               RowBox[{"Length", "[", "extremum", "]"}], "-", "1"}]}], 
             "}"}]}], "]"}]}], "}"}], ",", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "}"}]}]}], "]"}]}], 
     "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"points", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "6"}], ",", 
           RowBox[{"-", "5"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5"}], ",", 
           RowBox[{"-", "1"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", 
           RowBox[{"-", "1"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"6", ",", "1"}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "10"}], ",", 
       RowBox[{"-", "10"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "12"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Locator"}], ",", 
     RowBox[{"LocatorAutoCreate", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"3", ",", "7"}], "}"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", "1"}], ",", 
   RowBox[{"ControllerLinking", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.3900689142513313`*^9, {3.3900691535549774`*^9, 
   3.3900691637199993`*^9}, {3.390069374521525*^9, 3.390069386369033*^9}, {
   3.3900709169219303`*^9, 3.390070936210435*^9}, {3.390070969840133*^9, 
   3.390070971202146*^9}, 3.390144544113594*^9, {3.390144652932116*^9, 
   3.39014465363031*^9}, {3.3901447015962377`*^9, 3.3901447021946898`*^9}, {
   3.390144759406701*^9, 3.390144778208068*^9}, {3.390144837963974*^9, 
   3.39014503581205*^9}, {3.3901451357352037`*^9, 3.3901451500799828`*^9}, {
   3.390148215132783*^9, 3.390148216204356*^9}, {3.390148247189838*^9, 
   3.3901482496834984`*^9}, {3.390148505899583*^9, 3.3901485179472675`*^9}, {
   3.3901509064650593`*^9, 3.390150917501148*^9}, {3.3901510080640736`*^9, 
   3.3901510107179956`*^9}, {3.390151085408374*^9, 3.3901510870708303`*^9}, {
   3.3901512926846895`*^9, 3.390151404369739*^9}, {3.3901559266122527`*^9, 
   3.3901559931212034`*^9}, {3.3901576547398195`*^9, 3.390157666787624*^9}, {
   3.3901577043631535`*^9, 3.3901577103720336`*^9}, {3.390157747516927*^9, 
   3.390157754457183*^9}, 3.3902169324128513`*^9, {3.390216971310334*^9, 
   3.3902170132222724`*^9}, {3.390217114531989*^9, 3.3902171345615892`*^9}, {
   3.3905623076576567`*^9, 3.3905623215747538`*^9}, {3.3919558599349813`*^9, 
   3.3919558917787313`*^9}, {3.3919700184818563`*^9, 3.3919700240756063`*^9}},
 
 CellID->261582783]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`f$$ = 
    Function[{Notebook$$53`x$}, -2.935064935064939 - 1.9779220779220794` 
     Notebook$$53`x$ + 0.02597402597402603 Notebook$$53`x$^2 + 
     0.0688311688311689 
      Notebook$$53`x$^3], $CellContext`points$$ = {{-6, -5}, {-5, -1}, {-1, \
-1}, {6, 1}}, $CellContext`r$$ = Null, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`points$$], {{-6, -5}, {-5, -1}, {-1, -1}, {6, 
       1}}}, {-10, -10}, {8, 12}}, {{
       Hold[$CellContext`f$$], 
       Function[{$CellContext`x$}, -2.9350649350649385` - 
        1.9779220779220794` $CellContext`x$ + 
        0.02597402597402603 $CellContext`x$^2 + 
        0.0688311688311689 $CellContext`x$^3]}}, {{
       Hold[$CellContext`r$$], Null}}}, Typeset`size$$ = {360., {177., 182.}},
     Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`points$167690$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`f$$ = 
        Function[{$CellContext`x$}, -2.9350649350649385` - 
          1.9779220779220794` $CellContext`x$ + 
          0.02597402597402603 $CellContext`x$^2 + 
          0.0688311688311689 $CellContext`x$^3], $CellContext`points$$ = \
{{-6, -5}, {-5, -1}, {-1, -1}, {6, 1}}, $CellContext`r$$ = Null}, 
      "ControllerVariables" :> {
        Hold[$CellContext`points$$, $CellContext`points$167690$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`f$$ = Function[{$CellContext`x$}, 
          Evaluate[
           Fit[$CellContext`points$$, $CellContext`x$^(Range[
               Length[$CellContext`points$$]] - 1), $CellContext`x$]]]; 
       With[{$CellContext`extremum$ = Sort[
            Flatten[{{-10, 10}, 
              Select[
               ReplaceAll[$CellContext`x, 
                Solve[D[
                   $CellContext`f$$[$CellContext`x], $CellContext`x] == 
                 0, $CellContext`x]], Chop[
                 Im[
                  N[#]]] == 0& ]}], # < #2& ]}, 
         Graphics[{
           First[
            Plot[
             $CellContext`f$$[$CellContext`x], {$CellContext`x, -10, 10}, 
             Mesh -> {$CellContext`extremum$}, MeshShading -> {Red, Green}]], 
           
           Table[
            First[
             
             ContourPlot[{$CellContext`x == \
$CellContext`f$$[$CellContext`y]}, {$CellContext`x, -10, 10}, {$CellContext`y,
                
               Part[$CellContext`extremum$, $CellContext`n], 
               Part[$CellContext`extremum$, $CellContext`n + 1]}, 
              ContourStyle -> Part[{{Green, Dashed}, {Red, Dashed}}, 
                Mod[$CellContext`n, 2, 1]]]], {$CellContext`n, 1, 
             Length[$CellContext`extremum$] - 1}]}, Axes -> True, 
          PlotRange -> {{-10, 10}, {-10, 10}}]]), 
      "Specifications" :> {{{$CellContext`points$$, {{-6, -5}, {-5, -1}, {-1, \
-1}, {6, 1}}}, {-10, -10}, {8, 12}, ControlType -> Locator, 
         LocatorAutoCreate -> {3, 7}}, {{$CellContext`f$$, 
          
          Function[{$CellContext`x$}, -2.9350649350649385` - 
           1.9779220779220794` $CellContext`x$ + 
           0.02597402597402603 $CellContext`x$^2 + 
           0.0688311688311689 $CellContext`x$^3]}, ControlType -> 
         None}, {{$CellContext`r$$, Null}, ControlType -> None}}, 
      "Options" :> {AutorunSequencing -> 1, ControllerLinking -> False}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{404., {204., 209.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->851837299],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Finding an Inverse",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FindingAnInverse/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/FindingAnInverse/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/FindingAnInverse/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FindingAnInverse/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/FindingAnInverse/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ed Pegg Jr",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->1255410000],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
FindingAnInverse"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Finding an Inverse - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 210, 4, 70, "Section"],
Cell[803, 29, 6842, 170, 70, "Input",
 CellID->261582783]
}, Open  ]],
Cell[7660, 202, 4297, 89, 70, "Output",
 CellID->851837299],
Cell[CellGroupData[{
Cell[11982, 295, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[12358, 306, 875, 24, 70, "Text"],
Cell[13236, 332, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13576, 343, 448, 15, 70, "Text",
 CellID->1255410000],
Cell[CellGroupData[{
Cell[14049, 362, 829, 24, 70, "Text"],
Cell[14881, 388, 1192, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature cR415KNEvJrcyCDgth00lR6M *)
