(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     19083,        517]
NotebookOptionsPosition[     17943,        474]
NotebookOutlinePosition[     18552,        498]
CellTagsIndexPosition[     18509,        495]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Function Explorer 2D", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"func", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Abs", "[", "x", "]"}], ",", 
     RowBox[{"AiryAi", "[", "x", "]"}], ",", 
     RowBox[{"AiryBi", "[", "x", "]"}], ",", 
     RowBox[{"ArcCos", "[", "x", "]"}], ",", 
     RowBox[{"ArcCosh", "[", "x", "]"}], ",", 
     RowBox[{"ArcCot", "[", "x", "]"}], ",", 
     RowBox[{"ArcCoth", "[", "x", "]"}], ",", 
     RowBox[{"ArcCsc", "[", "x", "]"}], ",", 
     RowBox[{"ArcCsch", "[", "x", "]"}], ",", 
     RowBox[{"ArcSec", "[", "x", "]"}], ",", 
     RowBox[{"ArcSech", "[", "x", "]"}], ",", 
     RowBox[{"ArcSin", "[", "x", "]"}], ",", 
     RowBox[{"ArcSinh", "[", "x", "]"}], ",", 
     RowBox[{"ArcTan", "[", "x", "]"}], ",", 
     RowBox[{"ArcTanh", "[", "x", "]"}], ",", 
     RowBox[{"Ceiling", "[", "x", "]"}], ",", 
     RowBox[{"Cos", "[", "x", "]"}], ",", 
     RowBox[{"CosIntegral", "[", "x", "]"}], ",", 
     RowBox[{"Cosh", "[", "x", "]"}], ",", 
     RowBox[{"CoshIntegral", "[", "x", "]"}], ",", 
     RowBox[{"Cot", "[", "x", "]"}], ",", 
     RowBox[{"Coth", "[", "x", "]"}], ",", 
     RowBox[{"Csc", "[", "x", "]"}], ",", 
     RowBox[{"EllipticE", "[", "x", "]"}], ",", 
     RowBox[{"EllipticK", "[", "x", "]"}], ",", 
     RowBox[{"Erf", "[", "x", "]"}], ",", 
     RowBox[{"Erfc", "[", "x", "]"}], ",", 
     RowBox[{"Exp", "[", "x", "]"}], ",", 
     RowBox[{"ExpIntegralEi", "[", "x", "]"}], ",", 
     RowBox[{"Factorial", "[", "x", "]"}], ",", 
     RowBox[{"Factorial2", "[", "x", "]"}], ",", 
     RowBox[{"Floor", "[", "x", "]"}], ",", 
     RowBox[{"FractionalPart", "[", "x", "]"}], ",", 
     RowBox[{"Gamma", "[", "x", "]"}], ",", 
     RowBox[{"IntegerPart", "[", "x", "]"}], ",", 
     RowBox[{"Log", "[", "x", "]"}], ",", 
     RowBox[{"LogGamma", "[", "x", "]"}], ",", 
     RowBox[{"LogIntegral", "[", "x", "]"}], ",", 
     RowBox[{"PolyGamma", "[", "x", "]"}], ",", 
     RowBox[{"PolyLog", "[", 
      RowBox[{"2", ",", "x"}], "]"}], ",", 
     RowBox[{"PolyLog", "[", 
      RowBox[{"3", ",", "x"}], "]"}], ",", 
     RowBox[{"ProductLog", "[", "x", "]"}], ",", 
     RowBox[{"RiemannSiegelTheta", "[", "x", "]"}], ",", 
     RowBox[{"RiemannSiegelZ", "[", "x", "]"}], ",", 
     RowBox[{"Round", "[", "x", "]"}], ",", 
     RowBox[{"Sec", "[", "x", "]"}], ",", 
     RowBox[{"Sech", "[", "x", "]"}], ",", 
     RowBox[{"Sign", "[", "x", "]"}], ",", 
     RowBox[{"Sin", "[", "x", "]"}], ",", 
     RowBox[{"Sinc", "[", "x", "]"}], ",", 
     RowBox[{"Sinh", "[", "x", "]"}], ",", 
     RowBox[{"SinhIntegral", "[", "x", "]"}], ",", 
     RowBox[{"SinIntegral", "[", "x", "]"}], ",", 
     RowBox[{"Sqrt", "[", "x", "]"}], ",", 
     RowBox[{"Tan", "[", "x", "]"}], ",", 
     RowBox[{"Tanh", "[", "x", "]"}], ",", 
     RowBox[{"Zeta", "[", "x", "]"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{3.35696210375764*^9, 3.382213887759033*^9},
 CellID->374084420],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"myfunc", "=", 
       RowBox[{"func", "[", 
        RowBox[{"[", "n", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"low", " ", "\[NotEqual]", " ", "high"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Plot", "[", 
        RowBox[{"myfunc", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "low", ",", "high"}], "}"}], ",", 
         RowBox[{"PlotLabel", "\[Rule]", "myfunc"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"450", ",", "350"}], "}"}]}], ",", 
         RowBox[{"Filling", "\[Rule]", "0"}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"20", ",", "20"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"20", ",", "20"}], "}"}]}], "}"}]}]}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{
         "Text", "[", "\"\<minimum and maximum cannot be the same\>\"", "]"}],
          ",", 
         RowBox[{"ImageSize", " ", "\[Rule]", " ", 
          RowBox[{"{", 
           RowBox[{"400", ",", "300"}], "}"}]}]}], "]"}]}], "]"}]}], 
    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "7", ",", "\"\<function\>\""}], "}"}], ",", "1", ",", 
     
     RowBox[{"Length", "[", "func", "]"}], ",", "1"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"low", ",", 
       RowBox[{"-", "5"}], ",", "\"\<minimum x\>\""}], "}"}], ",", 
     RowBox[{"-", "30"}], ",", "30", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"high", ",", "5", ",", "\"\<maximum x\>\""}], "}"}], ",", 
     RowBox[{"-", "30"}], ",", "30", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3737291436864805`*^9, 3.3737291799997826`*^9}, {
   3.37566046540625*^9, 3.375660507796875*^9}, {3.37693602687145*^9, 
   3.3769360479234004`*^9}, {3.3769360868825283`*^9, 3.376936103067092*^9}, {
   3.3769361935444083`*^9, 3.3769362524337845`*^9}, {3.376936310862461*^9, 
   3.3769363514540668`*^9}, 3.3769410795232687`*^9, 3.3769411264593554`*^9, {
   3.3770081414882016`*^9, 3.3770081515526733`*^9}, {3.379706313184073*^9, 
   3.3797063418998737`*^9}, {3.38073202803125*^9, 3.380732028578125*^9}, {
   3.38073233828125*^9, 3.380732341734375*^9}, {3.38073269375*^9, 
   3.38073272209375*^9}, {3.382213879977783*^9, 3.382213896680908*^9}},
 CellID->144478061]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`high$$ = 
    5, $CellContext`low$$ = -5, $CellContext`n$$ = 7, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 7, "function"}, 1, 57, 1}, {{
       Hold[$CellContext`low$$], -5, "minimum x"}, -30, 30}, {{
       Hold[$CellContext`high$$], 5, "maximum x"}, -30, 30}}, 
    Typeset`size$$ = {450., {173., 177.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`n$32586$$ = 0, $CellContext`low$32587$$ = 
    0, $CellContext`high$32588$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`high$$ = 
        5, $CellContext`low$$ = -5, $CellContext`n$$ = 7}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$32586$$, 0], 
        Hold[$CellContext`low$$, $CellContext`low$32587$$, 0], 
        Hold[$CellContext`high$$, $CellContext`high$32588$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`myfunc$ = Part[$CellContext`func, $CellContext`n$$]},
         
        If[$CellContext`low$$ != $CellContext`high$$, 
         Plot[$CellContext`myfunc$, {$CellContext`x, $CellContext`low$$, \
$CellContext`high$$}, PlotLabel -> $CellContext`myfunc$, 
          ImageSize -> {450, 350}, Filling -> 0, 
          ImagePadding -> {{20, 20}, {20, 20}}], 
         Graphics[
          Text["minimum and maximum cannot be the same"], 
          ImageSize -> {400, 300}]]], 
      "Specifications" :> {{{$CellContext`n$$, 7, "function"}, 1, 57, 
         1}, {{$CellContext`low$$, -5, "minimum x"}, -30, 30, Appearance -> 
         "Labeled"}, {{$CellContext`high$$, 5, "maximum x"}, -30, 30, 
         Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {243., 248.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`func = {
          Abs[$CellContext`x], 
          AiryAi[$CellContext`x], 
          AiryBi[$CellContext`x], 
          ArcCos[$CellContext`x], 
          ArcCosh[$CellContext`x], 
          ArcCot[$CellContext`x], 
          ArcCoth[$CellContext`x], 
          ArcCsc[$CellContext`x], 
          ArcCsch[$CellContext`x], 
          ArcSec[$CellContext`x], 
          ArcSech[$CellContext`x], 
          ArcSin[$CellContext`x], 
          ArcSinh[$CellContext`x], 
          ArcTan[$CellContext`x], 
          ArcTanh[$CellContext`x], 
          Ceiling[$CellContext`x], 
          Cos[$CellContext`x], 
          CosIntegral[$CellContext`x], 
          Cosh[$CellContext`x], 
          CoshIntegral[$CellContext`x], 
          Cot[$CellContext`x], 
          Coth[$CellContext`x], 
          Csc[$CellContext`x], 
          EllipticE[$CellContext`x], 
          EllipticK[$CellContext`x], 
          Erf[$CellContext`x], 
          Erfc[$CellContext`x], E^$CellContext`x, 
          ExpIntegralEi[$CellContext`x], 
          Factorial[$CellContext`x], 
          Factorial2[$CellContext`x], 
          Floor[$CellContext`x], 
          FractionalPart[$CellContext`x], 
          Gamma[$CellContext`x], 
          IntegerPart[$CellContext`x], 
          Log[$CellContext`x], 
          LogGamma[$CellContext`x], 
          LogIntegral[$CellContext`x], 
          PolyGamma[0, $CellContext`x], 
          PolyLog[2, $CellContext`x], 
          PolyLog[3, $CellContext`x], 
          ProductLog[$CellContext`x], 
          RiemannSiegelTheta[$CellContext`x], 
          RiemannSiegelZ[$CellContext`x], 
          Round[$CellContext`x], 
          Sec[$CellContext`x], 
          Sech[$CellContext`x], 
          Sign[$CellContext`x], 
          Sin[$CellContext`x], 
          Sinc[$CellContext`x], 
          Sinh[$CellContext`x], 
          SinhIntegral[$CellContext`x], 
          SinIntegral[$CellContext`x], 
          Sqrt[$CellContext`x], 
          Tan[$CellContext`x], 
          Tanh[$CellContext`x], 
          Zeta[$CellContext`x]}}; Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`func = {
            Abs[$CellContext`x], 
            AiryAi[$CellContext`x], 
            AiryBi[$CellContext`x], 
            ArcCos[$CellContext`x], 
            ArcCosh[$CellContext`x], 
            ArcCot[$CellContext`x], 
            ArcCoth[$CellContext`x], 
            ArcCsc[$CellContext`x], 
            ArcCsch[$CellContext`x], 
            ArcSec[$CellContext`x], 
            ArcSech[$CellContext`x], 
            ArcSin[$CellContext`x], 
            ArcSinh[$CellContext`x], 
            ArcTan[$CellContext`x], 
            ArcTanh[$CellContext`x], 
            Ceiling[$CellContext`x], 
            Cos[$CellContext`x], 
            CosIntegral[$CellContext`x], 
            Cosh[$CellContext`x], 
            CoshIntegral[$CellContext`x], 
            Cot[$CellContext`x], 
            Coth[$CellContext`x], 
            Csc[$CellContext`x], 
            EllipticE[$CellContext`x], 
            EllipticK[$CellContext`x], 
            Erf[$CellContext`x], 
            Erfc[$CellContext`x], 
            Exp[$CellContext`x], 
            ExpIntegralEi[$CellContext`x], 
            Factorial[$CellContext`x], 
            Factorial2[$CellContext`x], 
            Floor[$CellContext`x], 
            FractionalPart[$CellContext`x], 
            Gamma[$CellContext`x], 
            IntegerPart[$CellContext`x], 
            Log[$CellContext`x], 
            LogGamma[$CellContext`x], 
            LogIntegral[$CellContext`x], 
            PolyGamma[$CellContext`x], 
            PolyLog[2, $CellContext`x], 
            PolyLog[3, $CellContext`x], 
            ProductLog[$CellContext`x], 
            RiemannSiegelTheta[$CellContext`x], 
            RiemannSiegelZ[$CellContext`x], 
            Round[$CellContext`x], 
            Sec[$CellContext`x], 
            Sech[$CellContext`x], 
            Sign[$CellContext`x], 
            Sin[$CellContext`x], 
            Sinc[$CellContext`x], 
            Sinh[$CellContext`x], 
            SinhIntegral[$CellContext`x], 
            SinIntegral[$CellContext`x], 
            Sqrt[$CellContext`x], 
            Tan[$CellContext`x], 
            Tanh[$CellContext`x], 
            Zeta[$CellContext`x]}; Null}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->559831158],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Function Explorer 2D",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FunctionExplorer2D/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/FunctionExplorer2D/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/FunctionExplorer2D/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FunctionExplorer2D/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/FunctionExplorer2D/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ed Pegg Jr",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->476444370],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
FunctionExplorer2D"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Function Explorer 2D - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 212, 4, 70, "Section"],
Cell[805, 29, 2903, 65, 70, "Input",
 CellID->374084420],
Cell[3711, 96, 2932, 70, 70, "Input",
 CellID->144478061]
}, Open  ]],
Cell[6658, 169, 6990, 168, 70, "Output",
 CellID->559831158],
Cell[CellGroupData[{
Cell[13673, 341, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[14049, 352, 887, 24, 70, "Text"],
Cell[14939, 378, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15279, 389, 447, 15, 70, "Text",
 CellID->476444370],
Cell[CellGroupData[{
Cell[15751, 408, 967, 27, 70, "Text"],
Cell[16721, 437, 1194, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature UTjK6xP#efRvNCpLEbysGZ3R *)
