(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     98169,       2271]
NotebookOptionsPosition[     97028,       2229]
NotebookOutlinePosition[     97644,       2253]
CellTagsIndexPosition[     97601,       2250]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Function Identification Game", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "12", " ", "functions", " ", "are", " ", "given", " ", "so", " ", "far"}], 
   "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"RandomKsublist", "[", 
      RowBox[{"set_", ",", "k_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"sub", "=", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"rest", "=", "set"}], ",", "new"}], "}"}], ",", 
       RowBox[{
        RowBox[{"Do", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"new", "=", 
            RowBox[{"rest", "[", 
             RowBox[{"[", 
              RowBox[{"RandomInteger", "[", 
               RowBox[{"{", 
                RowBox[{"1", ",", 
                 RowBox[{"Length", "[", "rest", "]"}]}], "}"}], "]"}], "]"}], 
             "]"}]}], ";", 
           RowBox[{"sub", "=", 
            RowBox[{"AppendTo", "[", 
             RowBox[{"sub", ",", "new"}], "]"}]}], ";", 
           RowBox[{"rest", "=", 
            RowBox[{"Complement", "[", 
             RowBox[{"rest", ",", 
              RowBox[{"{", "new", "}"}]}], "]"}]}]}], ",", 
          RowBox[{"{", "k", "}"}]}], "]"}], ";", "sub"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"Randompermut", "[", "k_", "]"}], ":=", 
     RowBox[{"RandomKsublist", "[", 
      RowBox[{
       RowBox[{"Range", "[", "k", "]"}], ",", "k"}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"Inversepermut", "[", "permut_", "]"}], ":=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Position", "[", 
         RowBox[{"permut", ",", "i"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "permut", "]"}]}], "}"}]}], "]"}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"funkcije", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Sin", ",", "ArcSin", ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "Pi"}], "/", "4"}], ",", 
            RowBox[{"Pi", "/", "2"}]}], "}"}], "//", "N"}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Sin", "[", 
             RowBox[{
              RowBox[{"-", "Pi"}], "/", "4"}], "]"}], ",", 
            RowBox[{"Sin", "[", 
             RowBox[{"Pi", "/", "2"}], "]"}]}], "}"}], "//", "N"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", 
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", ".5"}], ",", ".5", ",", "1", ",", "1.5"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", ".5"}], ",", ".5", ",", "1"}], "}"}]}], "}"}]}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"Sin", "[", "#", "]"}]}], "&"}], ",", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"ArcSin", "[", "#", "]"}]}], "&"}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "Pi"}], "/", "4"}], ",", 
            RowBox[{"Pi", "/", "2"}]}], "}"}], "//", "N"}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Sin", "[", 
             RowBox[{
              RowBox[{"-", "Pi"}], "/", "2"}], "]"}], ",", 
            RowBox[{"Sin", "[", 
             RowBox[{"Pi", "/", "4"}], "]"}]}], "}"}], "//", "N"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", 
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", ".5"}], ",", ".5", ",", "1", ",", "1.5"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", ".5"}], ",", ".5", ",", "1"}], "}"}]}], "}"}]}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"-", ".5"}], "\[LessEqual]", "#"}], "&&", 
             RowBox[{"#", "<=", "1"}]}], ",", 
            RowBox[{"#", "^", "3"}], ",", "0"}], "]"}], "&"}], ",", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "0.5"}], "<=", "#", "<=", "0"}], ",", 
            RowBox[{"-", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"-", "#"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"1", "/", "3"}], ")"}]}]}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"0", "\[LessEqual]", "#"}], "&&", 
               RowBox[{"#", "\[LessEqual]", "1"}]}], ",", 
              RowBox[{"#", "^", 
               RowBox[{"(", 
                RowBox[{"1", "/", "3"}], ")"}]}], ",", "0"}], "]"}]}], "]"}], 
          "&"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", ".5"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"-", ".5"}], ")"}], "^", "3"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", "0.5"}], ",", ".5", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", "0.5"}], ",", ".5", ",", "1"}], "}"}]}], "}"}]}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "0.5"}], "<=", "#", "<=", "0"}], ",", 
            RowBox[{"2", "#"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"0", "\[LessEqual]", "#"}], "&&", 
               RowBox[{"#", "\[LessEqual]", "1"}]}], ",", "#"}], "]"}]}], 
           "]"}], "&"}], ",", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "1"}], "<=", "#", "<=", "0"}], ",", 
            RowBox[{"#", "/", "2"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"0", "\[LessEqual]", "#"}], "&&", 
               RowBox[{"#", "\[LessEqual]", "1"}]}], ",", "#"}], "]"}]}], 
           "]"}], "&"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", ".5"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", "0.5"}], ",", ".5", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", "0.5"}], ",", ".5", ",", "1"}], "}"}]}], "}"}]}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "1"}], "<=", "#", "<=", "0"}], ",", 
            RowBox[{"#", "/", "2"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"0", "\[LessEqual]", "#"}], "&&", 
               RowBox[{"#", "\[LessEqual]", "1"}]}], ",", "#"}], "]"}]}], 
           "]"}], "&"}], ",", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "0.5"}], "<=", "#", "<=", "0"}], ",", 
            RowBox[{"2", "#"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"0", "\[LessEqual]", "#"}], "&&", 
               RowBox[{"#", "\[LessEqual]", "1"}]}], ",", "#"}], "]"}]}], 
           "]"}], "&"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", ".5"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", "0.5"}], ",", ".5", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", "0.5"}], ",", ".5", ",", "1"}], "}"}]}], "}"}]}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Cos", ",", "ArcCos", ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"3", 
             RowBox[{"Pi", "/", "4"}]}]}], "}"}], "//", "N"}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Cos", "[", 
             RowBox[{"3", 
              RowBox[{"Pi", "/", "4"}]}], "]"}], ",", 
            RowBox[{"Cos", "[", "0", "]"}]}], "}"}], "//", "N"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", 
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", ".5"}], ",", ".5", ",", "1", ",", "1.5"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", 
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", ".5"}], ",", ".5", ",", "1", ",", "1.5"}], "}"}]}], 
          "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"ArcCos", ",", "Cos", ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Cos", "[", 
             RowBox[{"3", 
              RowBox[{"Pi", "/", "4"}]}], "]"}], ",", 
            RowBox[{"Cos", "[", "0", "]"}]}], "}"}], "//", "N"}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"3", 
             RowBox[{"Pi", "/", "4"}]}]}], "}"}], "//", "N"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", 
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", ".5"}], ",", ".5", ",", "1", ",", "1.5"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", 
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", ".5"}], ",", ".5", ",", "1", ",", "1.5"}], "}"}]}], 
          "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"ArcTan", ",", "Tan", ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Tan", "[", 
             RowBox[{
              RowBox[{"-", "Pi"}], "/", "4"}], "]"}], ",", 
            RowBox[{"Tan", "[", 
             RowBox[{"Pi", "/", "3"}], "]"}]}], "}"}], "//", "N"}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "Pi"}], "/", "4"}], ",", 
            RowBox[{"Pi", "/", "3"}]}], "}"}], "//", "N"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", 
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", ".5"}], ",", ".5", ",", "1", ",", "1.5"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", 
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", ".5"}], ",", ".5", ",", "1", ",", "1.5"}], "}"}]}], 
          "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Tan", ",", "ArcTan", ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "Pi"}], "/", "4"}], ",", 
            RowBox[{"Pi", "/", "3"}]}], "}"}], "//", "N"}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Tan", "[", 
             RowBox[{
              RowBox[{"-", "Pi"}], "/", "4"}], "]"}], ",", 
            RowBox[{"Tan", "[", 
             RowBox[{"Pi", "/", "3"}], "]"}]}], "}"}], "//", "N"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", 
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", ".5"}], ",", ".5", ",", "1", ",", "1.5"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", 
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", ".5"}], ",", ".5", ",", "1", ",", "1.5"}], "}"}]}], 
          "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"Tan", "[", "#", "]"}]}], "&"}], ",", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"ArcTan", "[", "#", "]"}]}], "&"}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "Pi"}], "/", "4"}], ",", 
            RowBox[{"Pi", "/", "3"}]}], "}"}], "//", "N"}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Tan", "[", 
             RowBox[{
              RowBox[{"-", "Pi"}], "/", "3"}], "]"}], ",", 
            RowBox[{"Tan", "[", 
             RowBox[{"Pi", "/", "4"}], "]"}]}], "}"}], "//", "N"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", 
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", ".5"}], ",", ".5", ",", "1", ",", "1.5"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", 
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", ".5"}], ",", ".5", ",", "1", ",", "1.5"}], "}"}]}], 
          "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"ArcTan", "[", "#", "]"}]}], "&"}], ",", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"Tan", "[", "#", "]"}]}], "&"}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Tan", "[", 
             RowBox[{
              RowBox[{"-", "Pi"}], "/", "3"}], "]"}], ",", 
            RowBox[{"Tan", "[", 
             RowBox[{"Pi", "/", "4"}], "]"}]}], "}"}], "//", "N"}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "Pi"}], "/", "4"}], ",", 
            RowBox[{"Pi", "/", "3"}]}], "}"}], "//", "N"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", 
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", ".5"}], ",", ".5", ",", "1", ",", "1.5"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", 
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", ".5"}], ",", ".5", ",", "1", ",", "1.5"}], "}"}]}], 
          "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "1"}], "<=", "#", "<=", "0"}], ",", 
            RowBox[{"-", "#"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"0", "\[LessEqual]", "#"}], "&&", 
               RowBox[{"#", "\[LessEqual]", "1"}]}], ",", 
              RowBox[{
               RowBox[{"-", "#"}], "/", "4"}]}], "]"}]}], "]"}], "&"}], ",", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "0.25"}], "<=", "#", "<=", "0"}], ",", 
            RowBox[{
             RowBox[{"-", "4"}], "#"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"0", "\[LessEqual]", "#"}], "&&", 
               RowBox[{"#", "\[LessEqual]", "1"}]}], ",", 
              RowBox[{"-", "#"}]}], "]"}]}], "]"}], "&"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", ".25"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", "0.5"}], ",", ".5", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", "0.5"}], ",", ".5", ",", "1"}], "}"}]}], "}"}]}], 
        "}"}]}], "}"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.4282216140625*^9, 3.428221646515625*^9}, 
   3.428223640640625*^9},
 CellID->140635443],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{"again", ",", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"i", "=", "j"}], "}"}], ",", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"fun", "=", 
           RowBox[{
           "funkcije", "\[LeftDoubleBracket]", "i", 
            "\[RightDoubleBracket]"}]}], "}"}], ",", 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"f0", "=", 
             RowBox[{"fun", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ",", 
           RowBox[{"With", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"f1", "=", 
                RowBox[{
                "fun", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"f2", "=", 
                RowBox[{
                 RowBox[{"f0", "[", 
                  RowBox[{"#", "-", "1"}], "]"}], "&"}]}], ",", 
               RowBox[{"f3", "=", 
                RowBox[{
                 RowBox[{"Abs", "[", 
                  RowBox[{"f0", "[", "#", "]"}], "]"}], "&"}]}], ",", 
               RowBox[{"f4", "=", 
                RowBox[{
                 RowBox[{"f0", "[", 
                  RowBox[{"Abs", "[", "#", "]"}], "]"}], "&"}]}], ",", 
               RowBox[{"f5", "=", 
                RowBox[{
                 RowBox[{"f0", "[", 
                  RowBox[{"-", "#"}], "]"}], "&"}]}], ",", 
               RowBox[{"f6", "=", 
                RowBox[{
                 RowBox[{"f0", "[", 
                  RowBox[{"#", "/", "2"}], "]"}], "&"}]}], ",", 
               RowBox[{"f7", "=", 
                RowBox[{
                 RowBox[{"f0", "[", 
                  RowBox[{"2", "#"}], "]"}], "&"}]}], ",", 
               RowBox[{"f8", "=", 
                RowBox[{
                 RowBox[{"f0", "[", 
                  RowBox[{"#", "+", "1"}], "]"}], "&"}]}], ",", 
               RowBox[{"f9", "=", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"f0", "[", "#", "]"}]}], "&"}]}], ",", 
               RowBox[{"f10", "=", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"f0", "[", 
                   RowBox[{"-", "#"}], "]"}]}], "&"}]}], ",", 
               RowBox[{"f11", "=", 
                RowBox[{
                 RowBox[{
                  RowBox[{"f0", "[", "#", "]"}], "+", ".5"}], "&"}]}], ",", 
               RowBox[{"deff0", "=", 
                RowBox[{
                "fun", "\[LeftDoubleBracket]", "3", 
                 "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"zalf0", "=", 
                RowBox[{
                "fun", "\[LeftDoubleBracket]", "4", 
                 "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
             RowBox[{"With", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"deff1", "=", "zalf0"}], ",", 
                 RowBox[{"deff2", "=", 
                  RowBox[{"deff0", "+", 
                   RowBox[{"{", 
                    RowBox[{"1", ",", "1"}], "}"}]}]}], ",", "\n", 
                 RowBox[{"zalf2", "=", "zalf0"}], ",", "\n", 
                 RowBox[{"zalf1", "=", "deff0"}], ",", 
                 RowBox[{"deff3", "=", "deff0"}], ",", "\n", 
                 RowBox[{"zalf3", "=", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", 
                    RowBox[{"Max", "[", 
                    RowBox[{"Abs", "[", "zalf0", "]"}], "]"}]}], "}"}]}], ",",
                  
                 RowBox[{"deff4", "=", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{
                    "deff0", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{
                    "deff0", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}]}], ",", 
                 RowBox[{"deff5", "=", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{
                    "deff0", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"-", 
                    RowBox[{
                    "deff0", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}]}], "}"}]}], ",", "\n", 
                 RowBox[{"zalf5", "=", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{"f0", "[", 
                    RowBox[{
                    "deff0", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"f0", "[", 
                    RowBox[{
                    "deff0", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Max", "[", 
                    RowBox[{
                    RowBox[{"f0", "[", 
                    RowBox[{
                    "deff0", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"f0", "[", 
                    RowBox[{
                    "deff0", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "]"}]}], "]"}]}], "}"}]}], ",",
                  
                 RowBox[{"deff6", "=", 
                  RowBox[{"2", " ", "deff0"}]}], ",", "\n", 
                 RowBox[{"zalf6", "=", "zalf0"}], ",", 
                 RowBox[{"deff7", "=", 
                  FractionBox["deff0", "2"]}], ",", "\n", 
                 RowBox[{"zalf7", "=", "zalf0"}], ",", 
                 RowBox[{"deff8", "=", 
                  RowBox[{"deff0", "-", 
                   RowBox[{"{", 
                    RowBox[{"1", ",", "1"}], "}"}]}]}], ",", "\n", 
                 RowBox[{"zalf8", "=", "zalf0"}], ",", 
                 RowBox[{"deff9", "=", "deff0"}], ",", "\n", 
                 RowBox[{"zalf9", "=", 
                  RowBox[{"-", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "zalf0", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "zalf0", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "}"}]}]}], ",", 
                 RowBox[{"deff10", "=", 
                  RowBox[{"-", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "deff0", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "deff0", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "}"}]}]}], ",", "\n", 
                 RowBox[{"zalf10", "=", 
                  RowBox[{"-", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "zalf0", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "zalf0", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "}"}]}]}], ",", 
                 RowBox[{"deff11", "=", "deff0"}], ",", "\n", 
                 RowBox[{"zalf11", "=", 
                  RowBox[{"zalf0", "+", 
                   FractionBox[
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1"}], "}"}], "2"]}]}]}], "}"}], ",", 
               RowBox[{"With", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"zalf4", "=", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{"f0", "[", "0", "]"}], ",", 
                    RowBox[{"f0", "[", 
                    RowBox[{
                    "deff4", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Max", "[", 
                    RowBox[{
                    RowBox[{"f0", "[", "0", "]"}], ",", 
                    RowBox[{"f0", "[", 
                    RowBox[{
                    "deff4", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "]"}]}], "]"}]}], "}"}]}], 
                  "}"}], ",", 
                 RowBox[{"With", "[", 
                  RowBox[{
                   RowBox[{"{", "\n", "\n", 
                    RowBox[{
                    RowBox[{"plotR0", "=", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"deff0", ",", "zalf0"}], "}"}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}]}], "}"}]}]}], 
                    ",", "\n", 
                    RowBox[{"plotR1", "=", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"deff1", ",", "zalf1"}], "}"}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}]}], "}"}]}]}], 
                    ",", "\n", 
                    RowBox[{"plotR2", "=", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"deff2", ",", "zalf2"}], "}"}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}]}], "}"}]}]}], 
                    ",", "\n", 
                    RowBox[{"plotR3", "=", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"deff3", ",", "zalf3"}], "}"}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}]}], "}"}]}]}], 
                    ",", 
                    RowBox[{"plotR4", "=", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"deff4", ",", "zalf4"}], "}"}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}]}], "}"}]}]}], 
                    ",", "\n", 
                    RowBox[{"plotR5", "=", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"deff5", ",", "zalf5"}], "}"}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}]}], "}"}]}]}], 
                    ",", "\n", 
                    RowBox[{"plotR6", "=", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"deff6", ",", "zalf6"}], "}"}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}]}], "}"}]}]}], 
                    ",", "\n", 
                    RowBox[{"plotR7", "=", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"deff7", ",", "zalf7"}], "}"}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}]}], "}"}]}]}], 
                    ",", 
                    RowBox[{"plotR8", "=", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"deff8", ",", "zalf8"}], "}"}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}]}], "}"}]}]}], 
                    ",", "\n", 
                    RowBox[{"plotR9", "=", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"deff9", ",", "zalf9"}], "}"}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}]}], "}"}]}]}], 
                    ",", 
                    RowBox[{"plotR10", "=", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"deff10", ",", "zalf10"}], "}"}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}]}], "}"}]}]}], 
                    ",", "\n", 
                    RowBox[{"plotR11", "=", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"deff11", ",", "zalf11"}], "}"}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}]}], "}"}]}]}], 
                    ",", 
                    RowBox[{"per2", "=", 
                    RowBox[{"Inversepermut", "[", "per", "]"}]}]}], "}"}], 
                   ",", 
                   RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", "\n", 
                    RowBox[{
                    RowBox[{"g0", "=", 
                    RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"f0", "[", "x", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{
                    "deff0", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "deff0", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", "plotR0"}], ",", 
                    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"Ticks", "\[Rule]", 
                    RowBox[{
                    "fun", "\[LeftDoubleBracket]", "5", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Thickness", "[", "0.02`", "]"}], "}"}]}], ",", 
                    RowBox[{"AxesOrigin", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                    RowBox[{"GridLines", "\[Rule]", 
                    RowBox[{"If", "[", 
                    RowBox[{"help", ",", "Automatic", ",", "None"}], "]"}]}], 
                    ",", 
                    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                    RowBox[{"PlotLabel", "\[Rule]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}]}], ",", "\n", 
                    RowBox[{"g1", "=", 
                    RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"f1", "[", "x", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{
                    "deff1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "deff1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", "plotR1"}], ",", 
                    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"Ticks", "\[Rule]", 
                    RowBox[{
                    "fun", "\[LeftDoubleBracket]", "5", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Thickness", "[", "0.02`", "]"}], "}"}]}], ",", 
                    RowBox[{"AxesOrigin", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                    RowBox[{"PlotLabel", "\[Rule]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}]}], ",", "\n", 
                    RowBox[{"g2", "=", 
                    RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"f2", "[", "x", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{
                    "deff2", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "deff2", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", "plotR2"}], ",", 
                    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"Ticks", "\[Rule]", 
                    RowBox[{
                    "fun", "\[LeftDoubleBracket]", "5", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"AxesOrigin", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Thickness", "[", "0.02`", "]"}], "}"}]}], ",", 
                    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                    RowBox[{"PlotLabel", "\[Rule]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}]}], "]"}]}], ",", "\n", 
                    RowBox[{"g3", "=", 
                    RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"f3", "[", "x", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{
                    "deff3", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "deff3", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", "plotR3"}], ",", 
                    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"Ticks", "\[Rule]", 
                    RowBox[{
                    "fun", "\[LeftDoubleBracket]", "5", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Thickness", "[", "0.02`", "]"}], "}"}]}], ",", 
                    RowBox[{"AxesOrigin", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                    RowBox[{"PlotLabel", "\[Rule]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}]}], "]"}]}], ",", "\n", 
                    RowBox[{"g4", "=", 
                    RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"f4", "[", "x", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{
                    "deff4", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "deff4", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", "plotR4"}], ",", 
                    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"Ticks", "\[Rule]", 
                    RowBox[{"fun", "\[LeftDoubleBracket]", "5", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Thickness", "[", "0.02`", "]"}], "}"}]}], ",", 
                    RowBox[{"AxesOrigin", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                    RowBox[{"PlotLabel", "\[Rule]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}]}], "]"}]}], ",", "\n", 
                    RowBox[{"g5", "=", 
                    RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"f5", "[", "x", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{
                    "deff5", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "deff5", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", "plotR5"}], ",", 
                    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"Ticks", "\[Rule]", 
                    RowBox[{
                    "fun", "\[LeftDoubleBracket]", "5", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Thickness", "[", "0.02`", "]"}], "}"}]}], ",", 
                    RowBox[{"AxesOrigin", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                    RowBox[{"PlotLabel", "\[Rule]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "6", "]"}], "]"}]}]}], "]"}]}], ",", "\n", 
                    RowBox[{"g6", "=", 
                    RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"f6", "[", "x", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{
                    "deff6", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "deff6", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", "plotR6"}], ",", 
                    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"Ticks", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", 
                    RowBox[{"-", "0.5`"}], ",", "0.5`", ",", "1"}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", 
                    RowBox[{"-", "0.5`"}], ",", "0.5`", ",", "1"}], "}"}]}], 
                    "}"}]}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Thickness", "[", "0.02`", "]"}], "}"}]}], ",", 
                    RowBox[{"AxesOrigin", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                    RowBox[{"PlotLabel", "\[Rule]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "7", "]"}], "]"}]}]}], "]"}]}], ",", "\n", 
                    RowBox[{"g7", "=", 
                    RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"f7", "[", "x", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{
                    "deff7", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "deff7", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", "plotR7"}], ",", 
                    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"Ticks", "\[Rule]", 
                    RowBox[{
                    "fun", "\[LeftDoubleBracket]", "5", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Thickness", "[", "0.02`", "]"}], "}"}]}], ",", 
                    RowBox[{"AxesOrigin", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                    RowBox[{"PlotLabel", "\[Rule]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "8", "]"}], "]"}]}]}], "]"}]}], ",", "\n", 
                    RowBox[{"g8", "=", 
                    RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"f8", "[", "x", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{
                    "deff8", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "deff8", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", "plotR8"}], ",", 
                    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"Ticks", "\[Rule]", 
                    RowBox[{
                    "fun", "\[LeftDoubleBracket]", "5", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Thickness", "[", "0.02`", "]"}], "}"}]}], ",", 
                    RowBox[{"AxesOrigin", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                    RowBox[{"PlotLabel", "\[Rule]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "9", "]"}], "]"}]}]}], "]"}]}], ",", "\n", 
                    RowBox[{"g9", "=", 
                    RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"f9", "[", "x", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{
                    "deff9", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "deff9", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", "plotR9"}], ",", 
                    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"Ticks", "\[Rule]", 
                    RowBox[{
                    "fun", "\[LeftDoubleBracket]", "5", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Thickness", "[", "0.02`", "]"}], "}"}]}], ",", 
                    RowBox[{"AxesOrigin", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                    RowBox[{"PlotLabel", "\[Rule]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "10", "]"}], "]"}]}]}], "]"}]}], ",", "\n", 
                    RowBox[{"g10", "=", 
                    RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"f10", "[", "x", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{
                    "deff10", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "deff10", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", "plotR10"}], ",", 
                    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"Ticks", "\[Rule]", 
                    RowBox[{
                    "fun", "\[LeftDoubleBracket]", "5", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Thickness", "[", "0.02`", "]"}], "}"}]}], ",", 
                    RowBox[{"AxesOrigin", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                    RowBox[{"PlotLabel", "\[Rule]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "11", "]"}], "]"}]}]}], "]"}]}], ",", "\n", 
                    RowBox[{"g11", "=", 
                    RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"f11", "[", "x", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{
                    "deff11", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "deff11", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", "plotR11"}], ",", 
                    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"AxesOrigin", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                    RowBox[{"Ticks", "\[Rule]", 
                    RowBox[{
                    "fun", "\[LeftDoubleBracket]", "5", 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Thickness", "[", "0.02`", "]"}], "}"}]}], ",", 
                    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                    RowBox[{"PlotLabel", "\[Rule]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "12", "]"}], "]"}]}]}], "]"}]}]}], "}"}], 
                    ",", 
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", "\n", 
                    RowBox[{"gar", "=", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "g0", ",", "g1", ",", "g2", ",", "g3", ",", "g4", ",", 
                    "g5", ",", "g6", ",", "g7", ",", "g8", ",", "g9", ",", 
                    "g10", ",", "g11"}], "}"}], "\[LeftDoubleBracket]", "per",
                     "\[RightDoubleBracket]"}]}], "}"}], ",", 
                    RowBox[{"Pane", "[", 
                    RowBox[{
                    RowBox[{"Column", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Text", "@", 
                    RowBox[{"Grid", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Range", "[", "12", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"a0", "\[Equal]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", 
                    RowBox[{"a1", "\[Equal]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", 
                    RowBox[{"a2", "\[Equal]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], ",", 
                    RowBox[{"a3", "\[Equal]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], ",", 
                    RowBox[{"a4", "\[Equal]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], ",", 
                    RowBox[{"a5", "\[Equal]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "6", "]"}], "]"}]}], ",", 
                    RowBox[{"a6", "\[Equal]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "7", "]"}], "]"}]}], ",", 
                    RowBox[{"a7", "\[Equal]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "8", "]"}], "]"}]}], ",", 
                    RowBox[{"a8", "\[Equal]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "9", "]"}], "]"}]}], ",", 
                    RowBox[{"a9", "\[Equal]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "10", "]"}], "]"}]}], ",", 
                    RowBox[{"a10", "\[Equal]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "11", "]"}], "]"}]}], ",", 
                    RowBox[{"a11", "\[Equal]", 
                    RowBox[{"per2", "[", 
                    RowBox[{"[", "12", "]"}], "]"}]}]}], "}"}]}], "}"}], ",", 
                    
                    RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"GraphicsGrid", "[", 
                    RowBox[{
                    RowBox[{"Partition", "[", 
                    RowBox[{"gar", ",", "4"}], "]"}], ",", 
                    RowBox[{"Frame", "\[Rule]", "All"}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", "450"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "}"}], ",", "Center"}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                    
                    RowBox[{"{", 
                    RowBox[{"450", ",", "400"}], "}"}], ",", 
                    RowBox[{
                    "ImageSizeAction", "\[Rule]", "\"\<ShrinkToFit\>\""}]}], 
                    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
                    "]"}]}], "\[IndentingNewLine]", "]"}]}], 
                  "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
                "]"}]}], "\[IndentingNewLine]", "]"}]}], "]"}]}], "]"}]}], 
        "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"again", "=", "False"}], ";", "\[IndentingNewLine]", 
      RowBox[{"per", "=", 
       RowBox[{"Randompermut", "[", "12", "]"}]}], ";", "\[IndentingNewLine]",
       
      RowBox[{"a0", "=", "0"}], ";", 
      RowBox[{"a1", "=", "0"}], ";", 
      RowBox[{"a2", "=", "0"}], ";", 
      RowBox[{"a3", "=", "0"}], ";", 
      RowBox[{"a4", "=", "0"}], ";", 
      RowBox[{"a5", "=", "0"}], ";", 
      RowBox[{"a6", "=", "0"}], ";", 
      RowBox[{"a7", "=", "0"}], ";", 
      RowBox[{"a8", "=", "0"}], ";", 
      RowBox[{"a9", "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"j", "=", 
       RowBox[{"RandomInteger", "[", 
        RowBox[{"{", 
         RowBox[{"1", ",", "12"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]",
       
      RowBox[{"a10", "=", "0"}], ";", 
      RowBox[{"a11", "=", "0"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Again ?\>\"", ",", "20"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "1"}], "}"}]}], "]"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"450", ",", "400"}], "}"}]}]}], "]"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a0", ",", "0", ",", "\"\<f(x)\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "13", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "a1", ",", "0", ",", 
       "\"\<\!\(\*SuperscriptBox[\(f\), \(-1\)]\)(x)\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "13", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a2", ",", "0", ",", "\"\<f(x-1)\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "13", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a3", ",", "0", ",", "\"\<| f(x) |\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "13", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a4", ",", "0", ",", "\"\<f( | x | )\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "13", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a5", ",", "0", ",", "\"\<f(-x)\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "13", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a6", ",", "0", ",", "\"\<f(x/2)\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "13", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a7", ",", "0", ",", "\"\<f(2x)\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "13", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a8", ",", "0", ",", "\"\<f(x+1)\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "13", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a9", ",", "0", ",", "\"\<-f(x)\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "13", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a10", ",", "0", ",", "\"\<-f(-x)\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "13", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a11", ",", "0", ",", "\"\<f(x)+1/2\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "13", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"help", ",", "False", ",", "\"\<show f(x)\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"per", ",", 
       RowBox[{"Randompermut", "[", "12", "]"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"RandomInteger", "[", 
      RowBox[{"{", 
       RowBox[{"1", ",", "12"}], "}"}], "]"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"again", ",", "True"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "3", ",", "5", ",", "7"}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4278673655625*^9, 3.427867510390625*^9}, {
   3.427867540640625*^9, 3.42786754321875*^9}, {3.4278676584375*^9, 
   3.427867690265625*^9}, {3.4278684424375*^9, 3.4278686205*^9}, 
   3.427868659953125*^9, 3.427868745359375*^9, {3.42786886896875*^9, 
   3.427869057703125*^9}, {3.427869236609375*^9, 3.42786933734375*^9}, {
   3.427869497875*^9, 3.427869519515625*^9}, {3.427869550015625*^9, 
   3.427869564703125*^9}, {3.427869598109375*^9, 3.42786962453125*^9}, {
   3.42786966903125*^9, 3.427869698296875*^9}, {3.427869737015625*^9, 
   3.427869785140625*^9}, {3.427869825890625*^9, 3.4278699816875*^9}, {
   3.42787002165625*^9, 3.427870043921875*^9}, {3.42787010403125*^9, 
   3.427870136265625*^9}, {3.4278701756875*^9, 3.42787078909375*^9}, 
   3.4278709431875*^9, {3.427870988671875*^9, 3.427871044328125*^9}, {
   3.4278712368125*^9, 3.427871354921875*^9}, {3.42787150153125*^9, 
   3.42787150975*^9}, {3.427871574671875*^9, 3.4278715966875*^9}, {
   3.427871649609375*^9, 3.4278716943125*^9}, {3.42787173596875*^9, 
   3.42787175703125*^9}, {3.42788297203125*^9, 3.42788297246875*^9}, {
   3.427883023078125*^9, 3.427883023546875*^9}, {3.4278831861875*^9, 
   3.427883196921875*^9}, {3.427883344734375*^9, 3.427883349734375*^9}, {
   3.427888951546875*^9, 3.427888966984375*^9}, 3.42788901896875*^9, {
   3.427889182671875*^9, 3.427889239828125*^9}, {3.428047153390625*^9, 
   3.42804726853125*^9}, {3.42804730525*^9, 3.42804743990625*^9}, {
   3.42804752653125*^9, 3.4280476003125*^9}, {3.428047663640625*^9, 
   3.428047665578125*^9}, {3.42804779878125*^9, 3.42804780325*^9}, {
   3.428058715984375*^9, 3.42805873434375*^9}, {3.428059471734375*^9, 
   3.4280595119375*^9}, {3.4280642874375*^9, 3.428064292859375*^9}, {
   3.42806449846875*^9, 3.4280645029375*^9}, {3.42806463590625*^9, 
   3.428064678015625*^9}, {3.4280652865625*^9, 3.4280653619375*^9}, {
   3.428065538375*^9, 3.428065573453125*^9}, {3.428065668453125*^9, 
   3.428065788421875*^9}, {3.428216183375*^9, 3.4282162169375*^9}, {
   3.42821760434375*^9, 3.428217618765625*^9}, 3.428217653984375*^9, {
   3.428217796171875*^9, 3.428217851734375*^9}, {3.428218596140625*^9, 
   3.428218602859375*^9}, {3.42821866475*^9, 3.42821879796875*^9}, 
   3.42821883859375*^9, {3.42821890534375*^9, 3.428219090640625*^9}, {
   3.428219155421875*^9, 3.428219326890625*^9}, {3.428219369140625*^9, 
   3.4282195508125*^9}, {3.4282196041875*^9, 3.428219662953125*^9}, {
   3.4282197214375*^9, 3.428219750046875*^9}, 3.428219858796875*^9, {
   3.428219976078125*^9, 3.4282200299375*^9}, {3.42822007809375*^9, 
   3.428220078578125*^9}, {3.42822021740625*^9, 3.428220239296875*^9}, {
   3.428220315359375*^9, 3.4282203314375*^9}, {3.428220363625*^9, 
   3.42822036821875*^9}, {3.428220511125*^9, 3.42822070090625*^9}, {
   3.428220747484375*^9, 3.4282207518125*^9}, {3.428221361046875*^9, 
   3.42822139353125*^9}, {3.428221442921875*^9, 3.42822144484375*^9}, {
   3.428221496*^9, 3.4282215024375*^9}, {3.428221750421875*^9, 
   3.428221766015625*^9}, {3.42822213790625*^9, 3.42822216928125*^9}, {
   3.428222240640625*^9, 3.428222241453125*^9}, {3.42822227321875*^9, 
   3.428222290984375*^9}, {3.428222620015625*^9, 3.428222667703125*^9}, {
   3.428222810484375*^9, 3.4282228913125*^9}, {3.428222957625*^9, 
   3.428222976640625*^9}, {3.42822300953125*^9, 3.42822307015625*^9}, {
   3.428223121765625*^9, 3.428223129984375*^9}, {3.42822316465625*^9, 
   3.428223191078125*^9}, 3.4282232479375*^9, {3.428223289625*^9, 
   3.42822331178125*^9}, 3.4282248520625*^9, {3.42822495284375*^9, 
   3.428224971515625*^9}, {3.428228864898696*^9, 3.4282294497576914`*^9}, {
   3.428229495669669*^9, 3.4282295218003387`*^9}, {3.4282295559652147`*^9, 
   3.4282295890068617`*^9}, {3.428229619287238*^9, 3.428229684278505*^9}, {
   3.4282297215010595`*^9, 3.4282298876765203`*^9}, {3.428252962085737*^9, 
   3.4282530054673996`*^9}, {3.428253091621256*^9, 3.4282531127495003`*^9}, 
   3.428253177806367*^9, {3.428322168059171*^9, 3.428322168286194*^9}},
 CellID->70620869]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a0$$ = 0, $CellContext`a1$$ = 
    0, $CellContext`a10$$ = 0, $CellContext`a11$$ = 0, $CellContext`a2$$ = 
    0, $CellContext`a3$$ = 0, $CellContext`a4$$ = 0, $CellContext`a5$$ = 
    0, $CellContext`a6$$ = 0, $CellContext`a7$$ = 0, $CellContext`a8$$ = 
    0, $CellContext`a9$$ = 0, $CellContext`again$$ = 
    True, $CellContext`help$$ = False, $CellContext`j$$ = 
    3, $CellContext`per$$ = {10, 3, 9, 2, 4, 1, 5, 8, 12, 7, 6, 11}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a0$$], 0, "f(x)"}, {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10,
       11, 12}}, {{
       Hold[$CellContext`a1$$], 0, 
       "\!\(\*SuperscriptBox[\(f\), \(-1\)]\)(x)"}, {0, 1, 2, 3, 4, 5, 6, 7, 
      8, 9, 10, 11, 12}}, {{
       Hold[$CellContext`a2$$], 0, "f(x-1)"}, {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 
      10, 11, 12}}, {{
       Hold[$CellContext`a3$$], 0, "| f(x) |"}, {0, 1, 2, 3, 4, 5, 6, 7, 8, 9,
       10, 11, 12}}, {{
       Hold[$CellContext`a4$$], 0, "f( | x | )"}, {0, 1, 2, 3, 4, 5, 6, 7, 8, 
      9, 10, 11, 12}}, {{
       Hold[$CellContext`a5$$], 0, "f(-x)"}, {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 
      10, 11, 12}}, {{
       Hold[$CellContext`a6$$], 0, "f(x/2)"}, {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 
      10, 11, 12}}, {{
       Hold[$CellContext`a7$$], 0, "f(2x)"}, {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 
      10, 11, 12}}, {{
       Hold[$CellContext`a8$$], 0, "f(x+1)"}, {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 
      10, 11, 12}}, {{
       Hold[$CellContext`a9$$], 0, "-f(x)"}, {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 
      10, 11, 12}}, {{
       Hold[$CellContext`a10$$], 0, "-f(-x)"}, {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 
      10, 11, 12}}, {{
       Hold[$CellContext`a11$$], 0, "f(x)+1/2"}, {0, 1, 2, 3, 4, 5, 6, 7, 8, 
      9, 10, 11, 12}}, {{
       Hold[$CellContext`help$$], False, "show f(x)"}, {False, True}}, {{
       Hold[$CellContext`per$$], {10, 3, 9, 2, 4, 1, 5, 8, 12, 7, 6, 11}}}, {
      Hold[$CellContext`j$$], 3}, {{
       Hold[$CellContext`again$$], True}, {False, True}}}, Typeset`size$$ = {
    450., {197.5, 202.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`a0$7549$$ = 
    0, $CellContext`a1$7550$$ = 0, $CellContext`a2$7551$$ = 
    0, $CellContext`a3$7552$$ = 0, $CellContext`a4$7553$$ = 
    0, $CellContext`a5$7554$$ = 0, $CellContext`a6$7555$$ = 
    0, $CellContext`a7$7556$$ = 0, $CellContext`a8$7557$$ = 
    0, $CellContext`a9$7558$$ = 0, $CellContext`help$7559$$ = 
    False, $CellContext`again$7560$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a0$$ = 0, $CellContext`a1$$ = 
        0, $CellContext`a10$$ = 0, $CellContext`a11$$ = 0, $CellContext`a2$$ = 
        0, $CellContext`a3$$ = 0, $CellContext`a4$$ = 0, $CellContext`a5$$ = 
        0, $CellContext`a6$$ = 0, $CellContext`a7$$ = 0, $CellContext`a8$$ = 
        0, $CellContext`a9$$ = 0, $CellContext`again$$ = 
        True, $CellContext`help$$ = False, $CellContext`j$$ = 
        3, $CellContext`per$$ = {10, 3, 9, 2, 4, 1, 5, 8, 12, 7, 6, 11}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a0$$, $CellContext`a0$7549$$, 0], 
        Hold[$CellContext`a1$$, $CellContext`a1$7550$$, 0], 
        Hold[$CellContext`a2$$, $CellContext`a2$7551$$, 0], 
        Hold[$CellContext`a3$$, $CellContext`a3$7552$$, 0], 
        Hold[$CellContext`a4$$, $CellContext`a4$7553$$, 0], 
        Hold[$CellContext`a5$$, $CellContext`a5$7554$$, 0], 
        Hold[$CellContext`a6$$, $CellContext`a6$7555$$, 0], 
        Hold[$CellContext`a7$$, $CellContext`a7$7556$$, 0], 
        Hold[$CellContext`a8$$, $CellContext`a8$7557$$, 0], 
        Hold[$CellContext`a9$$, $CellContext`a9$7558$$, 0], 
        Hold[$CellContext`help$$, $CellContext`help$7559$$, False], 
        Hold[$CellContext`again$$, $CellContext`again$7560$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> If[$CellContext`again$$, 
        With[{$CellContext`i$ = $CellContext`j$$}, 
         With[{$CellContext`fun$ = 
           Part[$CellContext`funkcije, $CellContext`i$]}, 
          With[{$CellContext`f0$ = Part[$CellContext`fun$, 1]}, 
           
           With[{$CellContext`f1$ = 
             Part[$CellContext`fun$, 
               2], $CellContext`f2$ = $CellContext`f0$[# - 
               1]& , $CellContext`f3$ = Abs[
               $CellContext`f0$[#]]& , $CellContext`f4$ = $CellContext`f0$[
               
               Abs[#]]& , $CellContext`f5$ = $CellContext`f0$[-#]& , \
$CellContext`f6$ = $CellContext`f0$[#/
               2]& , $CellContext`f7$ = $CellContext`f0$[
              2 #]& , $CellContext`f8$ = $CellContext`f0$[# + 
               1]& , $CellContext`f9$ = -$CellContext`f0$[#]& , \
$CellContext`f10$ = -$CellContext`f0$[-#]& , $CellContext`f11$ = \
$CellContext`f0$[#] + 0.5& , $CellContext`deff0$ = 
             Part[$CellContext`fun$, 3], $CellContext`zalf0$ = 
             Part[$CellContext`fun$, 4]}, 
            
            With[{$CellContext`deff1$ = $CellContext`zalf0$, \
$CellContext`deff2$ = $CellContext`deff0$ + {1, 
                1}, $CellContext`zalf2$ = $CellContext`zalf0$, \
$CellContext`zalf1$ = $CellContext`deff0$, $CellContext`deff3$ = \
$CellContext`deff0$, $CellContext`zalf3$ = {0, 
                Max[
                 Abs[$CellContext`zalf0$]]}, $CellContext`deff4$ = {-
                Part[$CellContext`deff0$, 2], 
                Part[$CellContext`deff0$, 2]}, $CellContext`deff5$ = {-
                Part[$CellContext`deff0$, 2], -
                Part[$CellContext`deff0$, 1]}, $CellContext`zalf5$ = {
                Min[
                 $CellContext`f0$[
                  Part[$CellContext`deff0$, 1]], 
                 $CellContext`f0$[
                  Part[$CellContext`deff0$, 2]]], 
                Max[
                 $CellContext`f0$[
                  Part[$CellContext`deff0$, 1]], 
                 $CellContext`f0$[
                  Part[$CellContext`deff0$, 2]]]}, $CellContext`deff6$ = 
              2 $CellContext`deff0$, $CellContext`zalf6$ = \
$CellContext`zalf0$, $CellContext`deff7$ = $CellContext`deff0$/
               2, $CellContext`zalf7$ = $CellContext`zalf0$, \
$CellContext`deff8$ = $CellContext`deff0$ - {1, 
               1}, $CellContext`zalf8$ = $CellContext`zalf0$, \
$CellContext`deff9$ = $CellContext`deff0$, $CellContext`zalf9$ = -{
                 Part[$CellContext`zalf0$, 2], 
                 Part[$CellContext`zalf0$, 1]}, $CellContext`deff10$ = -{
                 Part[$CellContext`deff0$, 2], 
                 Part[$CellContext`deff0$, 1]}, $CellContext`zalf10$ = -{
                 Part[$CellContext`zalf0$, 2], 
                 
                 Part[$CellContext`zalf0$, 
                  1]}, $CellContext`deff11$ = $CellContext`deff0$, \
$CellContext`zalf11$ = $CellContext`zalf0$ + {1, 1}/2}, 
             With[{$CellContext`zalf4$ = {
                 Min[
                  $CellContext`f0$[0], 
                  $CellContext`f0$[
                   Part[$CellContext`deff4$, 2]]], 
                 Max[
                  $CellContext`f0$[0], 
                  $CellContext`f0$[
                   Part[$CellContext`deff4$, 2]]]}}, 
              
              With[{$CellContext`plotR0$ = {$CellContext`deff0$, \
$CellContext`zalf0$} + {{-0.2, 0.2}, {-0.2, 
                  0.2}}, $CellContext`plotR1$ = {$CellContext`deff1$, \
$CellContext`zalf1$} + {{-0.2, 0.2}, {-0.2, 
                  0.2}}, $CellContext`plotR2$ = {$CellContext`deff2$, \
$CellContext`zalf2$} + {{-0.2, 0.2}, {-0.2, 
                  0.2}}, $CellContext`plotR3$ = {$CellContext`deff3$, \
$CellContext`zalf3$} + {{-0.2, 0.2}, {-0.2, 
                  0.2}}, $CellContext`plotR4$ = {$CellContext`deff4$, \
$CellContext`zalf4$} + {{-0.2, 0.2}, {-0.2, 
                  0.2}}, $CellContext`plotR5$ = {$CellContext`deff5$, \
$CellContext`zalf5$} + {{-0.2, 0.2}, {-0.2, 
                  0.2}}, $CellContext`plotR6$ = {$CellContext`deff6$, \
$CellContext`zalf6$} + {{-0.2, 0.2}, {-0.2, 
                  0.2}}, $CellContext`plotR7$ = {$CellContext`deff7$, \
$CellContext`zalf7$} + {{-0.2, 0.2}, {-0.2, 
                  0.2}}, $CellContext`plotR8$ = {$CellContext`deff8$, \
$CellContext`zalf8$} + {{-0.2, 0.2}, {-0.2, 
                  0.2}}, $CellContext`plotR9$ = {$CellContext`deff9$, \
$CellContext`zalf9$} + {{-0.2, 0.2}, {-0.2, 
                  0.2}}, $CellContext`plotR10$ = {$CellContext`deff10$, \
$CellContext`zalf10$} + {{-0.2, 0.2}, {-0.2, 
                  0.2}}, $CellContext`plotR11$ = {$CellContext`deff11$, \
$CellContext`zalf11$} + {{-0.2, 0.2}, {-0.2, 
                  0.2}}, $CellContext`per2$ = \
$CellContext`Inversepermut[$CellContext`per$$]}, 
               With[{$CellContext`g0$ = Plot[
                   Evaluate[
                    $CellContext`f0$[$CellContext`x]], {$CellContext`x, 
                    Part[$CellContext`deff0$, 1], 
                    Part[$CellContext`deff0$, 2]}, 
                   PlotRange -> $CellContext`plotR0$, AspectRatio -> 
                   Automatic, Ticks -> Part[$CellContext`fun$, 5], 
                   PlotStyle -> {
                    Thickness[0.02]}, AxesOrigin -> {0, 0}, GridLines -> 
                   If[$CellContext`help$$, Automatic, None], Axes -> True, 
                   PlotLabel -> 
                   Part[$CellContext`per2$, 1]], $CellContext`g1$ = Plot[
                   Evaluate[
                    $CellContext`f1$[$CellContext`x]], {$CellContext`x, 
                    Part[$CellContext`deff1$, 1], 
                    Part[$CellContext`deff1$, 2]}, 
                   PlotRange -> $CellContext`plotR1$, AspectRatio -> 
                   Automatic, Ticks -> Part[$CellContext`fun$, 5], 
                   PlotStyle -> {
                    Thickness[0.02]}, AxesOrigin -> {0, 0}, Axes -> True, 
                   PlotLabel -> 
                   Part[$CellContext`per2$, 2]], $CellContext`g2$ = Plot[
                   Evaluate[
                    $CellContext`f2$[$CellContext`x]], {$CellContext`x, 
                    Part[$CellContext`deff2$, 1], 
                    Part[$CellContext`deff2$, 2]}, 
                   PlotRange -> $CellContext`plotR2$, AspectRatio -> 
                   Automatic, Ticks -> Part[$CellContext`fun$, 5], 
                   AxesOrigin -> {0, 0}, PlotStyle -> {
                    Thickness[0.02]}, Axes -> True, PlotLabel -> 
                   Part[$CellContext`per2$, 3]], $CellContext`g3$ = Plot[
                   Evaluate[
                    $CellContext`f3$[$CellContext`x]], {$CellContext`x, 
                    Part[$CellContext`deff3$, 1], 
                    Part[$CellContext`deff3$, 2]}, 
                   PlotRange -> $CellContext`plotR3$, AspectRatio -> 
                   Automatic, Ticks -> Part[$CellContext`fun$, 5], 
                   PlotStyle -> {
                    Thickness[0.02]}, AxesOrigin -> {0, 0}, Axes -> True, 
                   PlotLabel -> 
                   Part[$CellContext`per2$, 4]], $CellContext`g4$ = Plot[
                   Evaluate[
                    $CellContext`f4$[$CellContext`x]], {$CellContext`x, 
                    Part[$CellContext`deff4$, 1], 
                    Part[$CellContext`deff4$, 2]}, 
                   PlotRange -> $CellContext`plotR4$, AspectRatio -> 
                   Automatic, Ticks -> Part[$CellContext`fun$, 5], 
                   PlotStyle -> {
                    Thickness[0.02]}, AxesOrigin -> {0, 0}, Axes -> True, 
                   PlotLabel -> 
                   Part[$CellContext`per2$, 5]], $CellContext`g5$ = Plot[
                   Evaluate[
                    $CellContext`f5$[$CellContext`x]], {$CellContext`x, 
                    Part[$CellContext`deff5$, 1], 
                    Part[$CellContext`deff5$, 2]}, 
                   PlotRange -> $CellContext`plotR5$, AspectRatio -> 
                   Automatic, Ticks -> Part[$CellContext`fun$, 5], 
                   PlotStyle -> {
                    Thickness[0.02]}, AxesOrigin -> {0, 0}, Axes -> True, 
                   PlotLabel -> 
                   Part[$CellContext`per2$, 6]], $CellContext`g6$ = Plot[
                   Evaluate[
                    $CellContext`f6$[$CellContext`x]], {$CellContext`x, 
                    Part[$CellContext`deff6$, 1], 
                    Part[$CellContext`deff6$, 2]}, 
                   PlotRange -> $CellContext`plotR6$, AspectRatio -> 
                   Automatic, 
                   Ticks -> {{-1, -0.5, 0.5, 1}, {-1, -0.5, 0.5, 1}}, 
                   PlotStyle -> {
                    Thickness[0.02]}, AxesOrigin -> {0, 0}, Axes -> True, 
                   PlotLabel -> 
                   Part[$CellContext`per2$, 7]], $CellContext`g7$ = Plot[
                   Evaluate[
                    $CellContext`f7$[$CellContext`x]], {$CellContext`x, 
                    Part[$CellContext`deff7$, 1], 
                    Part[$CellContext`deff7$, 2]}, 
                   PlotRange -> $CellContext`plotR7$, AspectRatio -> 
                   Automatic, Ticks -> Part[$CellContext`fun$, 5], 
                   PlotStyle -> {
                    Thickness[0.02]}, AxesOrigin -> {0, 0}, Axes -> True, 
                   PlotLabel -> 
                   Part[$CellContext`per2$, 8]], $CellContext`g8$ = Plot[
                   Evaluate[
                    $CellContext`f8$[$CellContext`x]], {$CellContext`x, 
                    Part[$CellContext`deff8$, 1], 
                    Part[$CellContext`deff8$, 2]}, 
                   PlotRange -> $CellContext`plotR8$, AspectRatio -> 
                   Automatic, Ticks -> Part[$CellContext`fun$, 5], 
                   PlotStyle -> {
                    Thickness[0.02]}, AxesOrigin -> {0, 0}, Axes -> True, 
                   PlotLabel -> 
                   Part[$CellContext`per2$, 9]], $CellContext`g9$ = Plot[
                   Evaluate[
                    $CellContext`f9$[$CellContext`x]], {$CellContext`x, 
                    Part[$CellContext`deff9$, 1], 
                    Part[$CellContext`deff9$, 2]}, 
                   PlotRange -> $CellContext`plotR9$, AspectRatio -> 
                   Automatic, Ticks -> Part[$CellContext`fun$, 5], 
                   PlotStyle -> {
                    Thickness[0.02]}, AxesOrigin -> {0, 0}, Axes -> True, 
                   PlotLabel -> 
                   Part[$CellContext`per2$, 10]], $CellContext`g10$ = Plot[
                   Evaluate[
                    $CellContext`f10$[$CellContext`x]], {$CellContext`x, 
                    Part[$CellContext`deff10$, 1], 
                    Part[$CellContext`deff10$, 2]}, 
                   PlotRange -> $CellContext`plotR10$, AspectRatio -> 
                   Automatic, Ticks -> Part[$CellContext`fun$, 5], 
                   PlotStyle -> {
                    Thickness[0.02]}, AxesOrigin -> {0, 0}, Axes -> True, 
                   PlotLabel -> 
                   Part[$CellContext`per2$, 11]], $CellContext`g11$ = Plot[
                   Evaluate[
                    $CellContext`f11$[$CellContext`x]], {$CellContext`x, 
                    Part[$CellContext`deff11$, 1], 
                    Part[$CellContext`deff11$, 2]}, 
                   PlotRange -> $CellContext`plotR11$, AspectRatio -> 
                   Automatic, AxesOrigin -> {0, 0}, Ticks -> 
                   Part[$CellContext`fun$, 5], PlotStyle -> {
                    Thickness[0.02]}, Axes -> True, PlotLabel -> 
                   Part[$CellContext`per2$, 12]]}, 
                
                With[{$CellContext`gar$ = 
                  Part[{$CellContext`g0$, $CellContext`g1$, $CellContext`g2$, \
$CellContext`g3$, $CellContext`g4$, $CellContext`g5$, $CellContext`g6$, \
$CellContext`g7$, $CellContext`g8$, $CellContext`g9$, $CellContext`g10$, \
$CellContext`g11$}, $CellContext`per$$]}, 
                 Pane[
                  Column[{
                    Text[
                    Grid[{
                    Range[
                    12], {$CellContext`a0$$ == 
                    Part[$CellContext`per2$, 1], $CellContext`a1$$ == 
                    Part[$CellContext`per2$, 2], $CellContext`a2$$ == 
                    Part[$CellContext`per2$, 3], $CellContext`a3$$ == 
                    Part[$CellContext`per2$, 4], $CellContext`a4$$ == 
                    Part[$CellContext`per2$, 5], $CellContext`a5$$ == 
                    Part[$CellContext`per2$, 6], $CellContext`a6$$ == 
                    Part[$CellContext`per2$, 7], $CellContext`a7$$ == 
                    Part[$CellContext`per2$, 8], $CellContext`a8$$ == 
                    Part[$CellContext`per2$, 9], $CellContext`a9$$ == 
                    Part[$CellContext`per2$, 10], $CellContext`a10$$ == 
                    Part[$CellContext`per2$, 11], $CellContext`a11$$ == 
                    Part[$CellContext`per2$, 12]}}, Frame -> All]], 
                    GraphicsGrid[
                    Partition[$CellContext`gar$, 4], Frame -> All, ImageSize -> 
                    450]}, Center], {450, 400}, ImageSizeAction -> 
                  "ShrinkToFit"]]]]]]]]]], $CellContext`again$$ = 
         False; $CellContext`per$$ = $CellContext`Randompermut[
          12]; $CellContext`a0$$ = 0; $CellContext`a1$$ = 
         0; $CellContext`a2$$ = 0; $CellContext`a3$$ = 0; $CellContext`a4$$ = 
         0; $CellContext`a5$$ = 0; $CellContext`a6$$ = 0; $CellContext`a7$$ = 
         0; $CellContext`a8$$ = 0; $CellContext`a9$$ = 0; $CellContext`j$$ = 
         RandomInteger[{1, 12}]; $CellContext`a10$$ = 0; $CellContext`a11$$ = 
         0; Graphics[
          Text[
           Style["Again ?", 20], {1, 1}], ImageSize -> {450, 400}]], 
      "Specifications" :> {{{$CellContext`a0$$, 0, "f(x)"}, {0, 1, 2, 3, 4, 5,
          6, 7, 8, 9, 10, 11, 
         12}}, {{$CellContext`a1$$, 0, 
          "\!\(\*SuperscriptBox[\(f\), \(-1\)]\)(x)"}, {0, 1, 2, 3, 4, 5, 6, 
         7, 8, 9, 10, 11, 12}}, {{$CellContext`a2$$, 0, "f(x-1)"}, {0, 1, 2, 
         3, 4, 5, 6, 7, 8, 9, 10, 11, 
         12}}, {{$CellContext`a3$$, 0, "| f(x) |"}, {0, 1, 2, 3, 4, 5, 6, 7, 
         8, 9, 10, 11, 12}}, {{$CellContext`a4$$, 0, "f( | x | )"}, {0, 1, 2, 
         3, 4, 5, 6, 7, 8, 9, 10, 11, 
         12}}, {{$CellContext`a5$$, 0, "f(-x)"}, {0, 1, 2, 3, 4, 5, 6, 7, 8, 
         9, 10, 11, 12}}, {{$CellContext`a6$$, 0, "f(x/2)"}, {0, 1, 2, 3, 4, 
         5, 6, 7, 8, 9, 10, 11, 12}}, {{$CellContext`a7$$, 0, "f(2x)"}, {0, 1,
          2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 
         12}}, {{$CellContext`a8$$, 0, "f(x+1)"}, {0, 1, 2, 3, 4, 5, 6, 7, 8, 
         9, 10, 11, 12}}, {{$CellContext`a9$$, 0, "-f(x)"}, {0, 1, 2, 3, 4, 5,
          6, 7, 8, 9, 10, 11, 12}}, {{$CellContext`a10$$, 0, "-f(-x)"}, {0, 1,
          2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 
         12}}, {{$CellContext`a11$$, 0, "f(x)+1/2"}, {0, 1, 2, 3, 4, 5, 6, 7, 
         8, 9, 10, 11, 12}}, {{$CellContext`help$$, False, "show f(x)"}, {
         False, True}}, {{$CellContext`per$$, {10, 3, 9, 2, 4, 1, 5, 8, 12, 7,
           6, 11}}, ControlType -> None}, {$CellContext`j$$, 3, ControlType -> 
         None}, {{$CellContext`again$$, True}, {False, True}}}, 
      "Options" :> {
       AutorunSequencing -> {1, 3, 5, 7}, ControlPlacement -> Left}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{586., {225., 230.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`funkcije = {{
          Sin, ArcSin, {-0.7853981633974483, 
           1.5707963267948966`}, {-0.7071067811865475, 
           1.}, {{-1.5, -1, -0.5, 0.5, 1, 1.5}, {-1, -0.5, 0.5, 1}}}, {-
           Sin[#]& , -ArcSin[#]& , {-0.7853981633974483, 
           1.5707963267948966`}, {-1., 
           0.7071067811865475}, {{-1.5, -1, -0.5, 0.5, 1, 1.5}, {-1, -0.5, 
             0.5, 1}}}, {If[
            And[-0.5 <= #, # <= 1], #^3, 0]& , 
           If[-0.5 <= # <= 0, -(-#)^(1/3), 
            If[
             And[0 <= #, # <= 1], #^(1/3), 0]]& , {-0.5, 1}, {-0.125, 
            1}, {{-1, -0.5, 0.5, 1}, {-1, -0.5, 0.5, 1}}}, {
          If[-0.5 <= # <= 0, 2 #, 
            If[
             And[0 <= #, # <= 1], #]]& , If[-1 <= # <= 0, #/2, 
            If[
             And[0 <= #, # <= 1], #]]& , {-0.5, 1}, {-1, 
           1}, {{-1, -0.5, 0.5, 1}, {-1, -0.5, 0.5, 1}}}, {
          If[-1 <= # <= 0, #/2, 
            If[
             And[0 <= #, # <= 1], #]]& , If[-0.5 <= # <= 0, 2 #, 
            If[
             And[0 <= #, # <= 1], #]]& , {-1, 
           1}, {-0.5, 1}, {{-1, -0.5, 0.5, 1}, {-1, -0.5, 0.5, 1}}}, {
          Cos, ArcCos, {0., 2.356194490192345}, {-0.7071067811865475, 
           1.}, {{-1.5, -1, -0.5, 0.5, 1, 1.5}, {-1.5, -1, -0.5, 0.5, 1, 
             1.5}}}, {
          ArcCos, Cos, {-0.7071067811865475, 1.}, {0., 
           2.356194490192345}, {{-1.5, -1, -0.5, 0.5, 1, 
             1.5}, {-1.5, -1, -0.5, 0.5, 1, 1.5}}}, {
          ArcTan, Tan, {-1., 1.7320508075688772`}, {-0.7853981633974483, 
           1.0471975511965976`}, {{-1.5, -1, -0.5, 0.5, 1, 
             1.5}, {-1.5, -1, -0.5, 0.5, 1, 1.5}}}, {
          Tan, ArcTan, {-0.7853981633974483, 1.0471975511965976`}, {-1., 
           1.7320508075688772`}, {{-1.5, -1, -0.5, 0.5, 1, 
             1.5}, {-1.5, -1, -0.5, 0.5, 1, 1.5}}}, {-Tan[#]& , -
           ArcTan[#]& , {-0.7853981633974483, 
           1.0471975511965976`}, {-1.7320508075688772`, 
           1.}, {{-1.5, -1, -0.5, 0.5, 1, 1.5}, {-1.5, -1, -0.5, 0.5, 1, 
             1.5}}}, {-ArcTan[#]& , -Tan[#]& , {-1.7320508075688772`, 
           1.}, {-0.7853981633974483, 
           1.0471975511965976`}, {{-1.5, -1, -0.5, 0.5, 1, 
             1.5}, {-1.5, -1, -0.5, 0.5, 1, 1.5}}}, {If[-1 <= # <= 0, -#, 
            If[
             And[0 <= #, # <= 1], -(#/4)]]& , If[-0.25 <= # <= 0, (-4) #, 
            If[
             And[0 <= #, # <= 1], -#]]& , {-1, 
           1}, {-0.25, 
            1}, {{-1, -0.5, 0.5, 1}, {-1, -0.5, 0.5, 
             1}}}}, $CellContext`Inversepermut[
          Pattern[$CellContext`permut, 
           Blank[]]] := Flatten[
          Table[
           
           Position[$CellContext`permut, $CellContext`i], {$CellContext`i, 1, 
            
            Length[$CellContext`permut]}]], 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`Randompermut[
          Pattern[$CellContext`k, 
           Blank[]]] := $CellContext`RandomKsublist[
          Range[$CellContext`k], $CellContext`k], $CellContext`RandomKsublist[
         
          Pattern[$CellContext`set, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]] := 
        Module[{$CellContext`sub = {}, $CellContext`rest = $CellContext`set, \
$CellContext`new}, Do[$CellContext`new = Part[$CellContext`rest, 
               RandomInteger[{1, 
                 Length[$CellContext`rest]}]]; $CellContext`sub = 
             AppendTo[$CellContext`sub, $CellContext`new]; $CellContext`rest = 
             Complement[$CellContext`rest, {$CellContext`new}], \
{$CellContext`k}]; $CellContext`sub]}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{($CellContext`RandomKsublist[
             Pattern[$CellContext`set, 
              Blank[]], 
             Pattern[$CellContext`k, 
              Blank[]]] := 
           Module[{$CellContext`sub = {}, $CellContext`rest = \
$CellContext`set, $CellContext`new}, 
             Do[$CellContext`new = Part[$CellContext`rest, 
                  RandomInteger[{1, 
                    Length[$CellContext`rest]}]]; $CellContext`sub = 
                AppendTo[$CellContext`sub, $CellContext`new]; \
$CellContext`rest = 
                Complement[$CellContext`rest, {$CellContext`new}], \
{$CellContext`k}]; $CellContext`sub]; Null) ($CellContext`Randompermut[
             Pattern[$CellContext`k, 
              Blank[]]] := $CellContext`RandomKsublist[
             Range[$CellContext`k], $CellContext`k]; 
          Null) ($CellContext`Inversepermut[
             Pattern[$CellContext`permut, 
              Blank[]]] := Flatten[
             Table[
              
              Position[$CellContext`permut, $CellContext`i], {$CellContext`i, 
               1, 
               Length[$CellContext`permut]}]]; 
          Null) ($CellContext`funkcije = {{Sin, ArcSin, 
              N[{(-Pi)/4, Pi/2}], 
              N[{
                Sin[(-Pi)/4], 
                Sin[Pi/2]}], {{-1.5, -1, -0.5, 0.5, 1, 1.5}, {-1, -0.5, 0.5, 
                1}}}, {-Sin[#]& , -ArcSin[#]& , 
              N[{(-Pi)/4, Pi/2}], 
              N[{
                Sin[(-Pi)/2], 
                Sin[Pi/4]}], {{-1.5, -1, -0.5, 0.5, 1, 1.5}, {-1, -0.5, 0.5, 
                1}}}, {If[
               And[-0.5 <= #, # <= 1], #^3, 0]& , 
              If[-0.5 <= # <= 0, -(-#)^(1/3), 
               If[
                And[0 <= #, # <= 1], #^(1/3), 0]]& , {-0.5, 1}, {(-0.5)^3, 
               1}, {{-1, -0.5, 0.5, 1}, {-1, -0.5, 0.5, 1}}}, {
             If[-0.5 <= # <= 0, 2 #, 
               If[
                And[0 <= #, # <= 1], #]]& , If[-1 <= # <= 0, #/2, 
               If[
                And[0 <= #, # <= 1], #]]& , {-0.5, 1}, {-1, 
              1}, {{-1, -0.5, 0.5, 1}, {-1, -0.5, 0.5, 1}}}, {
             If[-1 <= # <= 0, #/2, 
               If[
                And[0 <= #, # <= 1], #]]& , If[-0.5 <= # <= 0, 2 #, 
               If[
                And[0 <= #, # <= 1], #]]& , {-1, 
              1}, {-0.5, 1}, {{-1, -0.5, 0.5, 1}, {-1, -0.5, 0.5, 1}}}, {
             Cos, ArcCos, 
              N[{0, 3 (Pi/4)}], 
              N[{
                Cos[3 (Pi/4)], 
                Cos[0]}], {{-1.5, -1, -0.5, 0.5, 1, 1.5}, {-1.5, -1, -0.5, 
                0.5, 1, 1.5}}}, {ArcCos, Cos, 
              N[{
                Cos[3 (Pi/4)], 
                Cos[0]}], 
              
              N[{0, 3 (Pi/4)}], {{-1.5, -1, -0.5, 0.5, 1, 
                1.5}, {-1.5, -1, -0.5, 0.5, 1, 1.5}}}, {ArcTan, Tan, 
              N[{
                Tan[(-Pi)/4], 
                Tan[Pi/3]}], 
              
              N[{(-Pi)/4, Pi/3}], {{-1.5, -1, -0.5, 0.5, 1, 
                1.5}, {-1.5, -1, -0.5, 0.5, 1, 1.5}}}, {Tan, ArcTan, 
              N[{(-Pi)/4, Pi/3}], 
              N[{
                Tan[(-Pi)/4], 
                Tan[Pi/3]}], {{-1.5, -1, -0.5, 0.5, 1, 1.5}, {-1.5, -1, -0.5, 
                0.5, 1, 1.5}}}, {-Tan[#]& , -ArcTan[#]& , 
              N[{(-Pi)/4, Pi/3}], 
              N[{
                Tan[(-Pi)/3], 
                Tan[Pi/4]}], {{-1.5, -1, -0.5, 0.5, 1, 1.5}, {-1.5, -1, -0.5, 
                0.5, 1, 1.5}}}, {-ArcTan[#]& , -Tan[#]& , 
              N[{
                Tan[(-Pi)/3], 
                Tan[Pi/4]}], 
              
              N[{(-Pi)/4, Pi/3}], {{-1.5, -1, -0.5, 0.5, 1, 
                1.5}, {-1.5, -1, -0.5, 0.5, 1, 1.5}}}, {If[-1 <= # <= 0, -#, 
               If[
                And[0 <= #, # <= 1], (-#)/4]]& , If[-0.25 <= # <= 0, (-4) #, 
               If[
                And[0 <= #, # <= 1], -#]]& , {-1, 
              1}, {-0.25, 1}, {{-1, -0.5, 0.5, 1}, {-1, -0.5, 0.5, 1}}}}; 
          Null)}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->11566584],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Function Identification Game",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FunctionIdentificationGame/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/FunctionIdentificationGame/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/FunctionIdentificationGame/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FunctionIdentificationGame/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/FunctionIdentificationGame/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
FunctionIdentificationGame"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{770, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Function Identification Game - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 220, 4, 70, "Section"],
Cell[813, 29, 17002, 495, 70, "Input",
 CellID->140635443],
Cell[17818, 526, 47142, 1032, 70, "Input",
 CellID->70620869]
}, Open  ]],
Cell[64975, 1561, 27833, 531, 70, "Output",
 CellID->11566584],
Cell[CellGroupData[{
Cell[92833, 2096, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[93209, 2107, 953, 28, 70, "Text"],
Cell[94165, 2137, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[94505, 2148, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[94966, 2166, 829, 24, 70, "Text"],
Cell[95798, 2192, 1202, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature OSzCLYYfCxunNBpVSTYm@a5p *)
