(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     50936,       1163]
NotebookOptionsPosition[     49808,       1120]
NotebookOutlinePosition[     50422,       1144]
CellTagsIndexPosition[     50379,       1141]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Function Transformations", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"DynamicModule", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"function", ",", "buttonText", ",", 
       RowBox[{"color1", "=", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "0", ",", "0"}], "]"}]}], ",", 
       RowBox[{"color2", "=", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0", ",", "0", ",", "1"}], "]"}]}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"reset", "\[Equal]", "True"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "xval"}], "}"}], 
          "=", 
          RowBox[{"{", 
           RowBox[{"1", ",", "1", ",", "0", ",", "0", ",", "0"}], "}"}]}], 
         ";", 
         RowBox[{"reset", "=", "False"}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"function", "[", "x_", "]"}], ":=", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         SuperscriptBox["x", "2"], ",", 
         RowBox[{
          FractionBox["1", "5"], "x", 
          RowBox[{"(", 
           RowBox[{"x", "-", "1"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"x", "+", "3"}], ")"}]}], ",", 
         RowBox[{"Sin", "[", "x", "]"}], ",", 
         RowBox[{"Exp", "[", "x", "]"}], ",", 
         RowBox[{"Piecewise", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"3", ",", 
              RowBox[{"x", "<", 
               RowBox[{"-", "3"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Abs", "[", "x", "]"}], ",", 
              RowBox[{
               RowBox[{"-", "3"}], "<=", "x", "<", "1"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"x", "-", "2"}], ")"}], "^", "2"}]}], "+", "4"}], 
              ",", 
              RowBox[{"x", ">=", "1"}]}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"buttonText", "=", 
       RowBox[{"{", 
        RowBox[{
        "\"\<linear\>\"", ",", "\"\<quadratic\>\"", ",", "\"\<cubic\>\"", 
         ",", "\"\<sine\>\"", ",", "\"\<exponential\>\"", ",", 
         "\"\<piecewise\>\""}], "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"functionButtons", " ", "=", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "\[Rule]", " ", 
           RowBox[{"#", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], "&"}], ",", 
         RowBox[{"Transpose", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Range", "[", 
             RowBox[{"Length", "[", "buttonText", "]"}], "]"}], ",", 
            "buttonText"}], "}"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Graphics", "[", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"MemberQ", "[", 
                RowBox[{"options", ",", "sp"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"ToString", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Round", "[", 
                    RowBox[{"xval", ",", ".01"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"function", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{"xval", ",", ".01"}], "]"}], "]"}], "[", 
                    RowBox[{"[", "fff", "]"}], "]"}]}], "}"}], ",", 
                    "color1"}], "]"}], ",", "TraditionalForm"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"4.75", ",", 
                   RowBox[{"-", "4.25"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", "0"}], "}"}]}], "]"}], ",", "color1"}], 
              "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"MemberQ", "[", 
                RowBox[{"options", ",", "sp"}], "]"}], ",", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"ToString", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"b", "=!=", "0."}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "b"], 
                    RowBox[{"Round", "[", 
                    RowBox[{"xval", ",", ".01"}], "]"}]}], "+", "c"}], ",", 
                    RowBox[{
                    RowBox[{"a", "*", 
                    RowBox[{
                    RowBox[{"function", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{"xval", ",", ".01"}], "]"}], "]"}], "[", 
                    RowBox[{"[", "fff", "]"}], "]"}]}], "+", "d"}]}], "}"}], 
                    ",", "\"\<\>\""}], "]"}], ",", "color2"}], "]"}], ",", 
                   "TraditionalForm"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"4.75", ",", 
                   RowBox[{"-", "4.75"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", "0"}], "}"}]}], "]"}], ",", "color1"}], 
              "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"AbsolutePointSize", "[", "9", "]"}], ",", 
             "\[IndentingNewLine]", "color2", ",", 
             RowBox[{"Dashing", "[", 
              RowBox[{"{", "0.01", "}"}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"b", "=!=", "0."}], ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    FractionBox["1", "b"], "xval"}], "+", "c"}], ",", 
                  RowBox[{
                   RowBox[{"a", "*", 
                    RowBox[{
                    RowBox[{"function", "[", "xval", "]"}], "[", 
                    RowBox[{"[", "fff", "]"}], "]"}]}], "+", "d"}]}], "}"}], 
                "]"}], ",", "color2"}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"b", "=!=", "0."}], ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", 
                    RowBox[{
                    RowBox[{"a", "*", 
                    RowBox[{
                    RowBox[{"function", "[", "xval", "]"}], "[", 
                    RowBox[{"[", "fff", "]"}], "]"}]}], "+", "d"}]}], "}"}], 
                  ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "b"], "xval"}], "+", "c"}], ",", 
                    RowBox[{
                    RowBox[{"a", "*", 
                    RowBox[{
                    RowBox[{"function", "[", "xval", "]"}], "[", 
                    RowBox[{"[", "fff", "]"}], "]"}]}], "+", "d"}]}], "}"}]}],
                  "}"}], "]"}], ",", "color2"}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"b", "=!=", "0."}], ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "b"], "xval"}], "+", "c"}], ",", "0"}], 
                   "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "b"], "xval"}], "+", "c"}], ",", 
                    RowBox[{
                    RowBox[{"a", "*", 
                    RowBox[{
                    RowBox[{"function", "[", "xval", "]"}], "[", 
                    RowBox[{"[", "fff", "]"}], "]"}]}], "+", "d"}]}], "}"}]}],
                  "}"}], "]"}], ",", "color2"}], "]"}], ",", 
             "\[IndentingNewLine]", "color1", ",", 
             RowBox[{"Dashing", "[", 
              RowBox[{"{", "0.02", "}"}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{"xval", ",", 
                RowBox[{
                 RowBox[{"function", "[", "xval", "]"}], "[", 
                 RowBox[{"[", "fff", "]"}], "]"}]}], "}"}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{
                   RowBox[{"function", "[", "xval", "]"}], "[", 
                   RowBox[{"[", "fff", "]"}], "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"xval", ",", 
                  RowBox[{
                   RowBox[{"function", "[", "xval", "]"}], "[", 
                   RowBox[{"[", "fff", "]"}], "]"}]}], "}"}]}], "}"}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"xval", ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"xval", ",", 
                  RowBox[{
                   RowBox[{"function", "[", "xval", "]"}], "[", 
                   RowBox[{"[", "fff", "]"}], "]"}]}], "}"}]}], "}"}], 
              "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"a", " ", 
              RowBox[{
               RowBox[{"function", "[", 
                RowBox[{"b", 
                 RowBox[{"(", 
                  RowBox[{"x", "-", "c"}], ")"}]}], "]"}], "[", 
               RowBox[{"[", "fff", "]"}], "]"}]}], "+", "d"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"Which", "[", 
               RowBox[{
                RowBox[{"b", "<", "0."}], ",", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   FractionBox["1", "b"], "xval"}], "+", "c"}], ")"}], ",", 
                RowBox[{"b", "\[Equal]", "0."}], ",", 
                RowBox[{"-", "5"}], ",", 
                RowBox[{"b", ">", "0."}], ",", 
                RowBox[{"-", "5"}]}], "]"}], ",", 
              RowBox[{"Which", "[", 
               RowBox[{
                RowBox[{"b", "<", "0."}], ",", "5", ",", 
                RowBox[{"b", "\[Equal]", "0."}], ",", "5", ",", 
                RowBox[{"b", ">", "0."}], ",", 
                RowBox[{
                 RowBox[{
                  FractionBox["1", "b"], "xval"}], "+", "c"}]}], "]"}]}], 
             "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"color2", ",", 
               RowBox[{"AbsoluteThickness", "[", "3", "]"}]}], "}"}]}], ",", 
            RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"a", " ", 
              RowBox[{
               RowBox[{"function", "[", 
                RowBox[{"b", 
                 RowBox[{"(", 
                  RowBox[{"x", "-", "c"}], ")"}]}], "]"}], "[", 
               RowBox[{"[", "fff", "]"}], "]"}]}], "+", "d"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"Which", "[", 
               RowBox[{
                RowBox[{"b", "<", "0."}], ",", 
                RowBox[{"-", "5"}], ",", 
                RowBox[{"b", "\[Equal]", "0."}], ",", 
                RowBox[{"-", "5"}], ",", 
                RowBox[{"b", ">", "0."}], ",", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   FractionBox["1", "b"], "xval"}], "+", "c"}], ")"}]}], 
               "]"}], ",", 
              RowBox[{"Which", "[", 
               RowBox[{
                RowBox[{"b", "<", "0."}], ",", 
                RowBox[{
                 RowBox[{
                  FractionBox["1", "b"], "xval"}], "+", "c"}], ",", 
                RowBox[{"b", "\[Equal]", "0."}], ",", "5", ",", 
                RowBox[{"b", ">", "0."}], ",", "5"}], "]"}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"PlotStyle", "\[Rule]", "color2"}], ",", 
            RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"function", "[", "x", "]"}], "[", 
             RowBox[{"[", "fff", "]"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"-", "5"}], ",", "xval"}], "}"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"color1", ",", 
               RowBox[{"AbsoluteThickness", "[", "3", "]"}]}], "}"}]}], ",", 
            RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"function", "[", "x", "]"}], "[", 
             RowBox[{"[", "fff", "]"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "xval", ",", "5"}], "}"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", "color1"}], ",", 
            RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], 
         "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"AxesStyle", "\[Rule]", 
         RowBox[{"AbsoluteThickness", "[", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"MemberQ", "[", 
             RowBox[{"options", ",", "grid"}], "]"}], ",", "1.25", ",", "1"}],
            "]"}], "]"}]}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"MemberQ", "[", 
            RowBox[{"options", ",", "pl"}], "]"}], ",", 
           RowBox[{"Grid", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"ToString", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"HoldForm", "[", "f", "]"}], "[", 
                    RowBox[{"HoldForm", "[", "x", "]"}], "]"}], ",", 
                   "color1"}], "]"}], ",", "TraditionalForm"}], "]"}], "}"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"ToString", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Round", "[", 
                    RowBox[{"a", ",", ".1"}], "]"}], "\[Equal]", "1."}], ",", 
                    "1", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Round", "[", 
                    RowBox[{"a", ",", ".1"}], "]"}], "\[Equal]", "0."}], ",", 
                    "0", ",", "a"}], "]"}]}], "]"}], " ", 
                    RowBox[{
                    RowBox[{"HoldForm", "[", "f", "]"}], "[", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Round", "[", 
                    RowBox[{"b", ",", ".1"}], "]"}], "\[Equal]", "1."}], ",", 
                    "1", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Round", "[", 
                    RowBox[{"b", ",", ".1"}], "]"}], "\[Equal]", "0."}], ",", 
                    "0", ",", "b"}], "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"HoldForm", "[", "x", "]"}], "-", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Round", "[", 
                    RowBox[{"c", ",", ".1"}], "]"}], "\[Equal]", "0."}], ",", 
                    "0", ",", "c"}], "]"}]}], ")"}]}], "]"}]}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Round", "[", 
                    RowBox[{"d", ",", ".1"}], "]"}], "\[Equal]", "0."}], ",", 
                    "0", ",", "d"}], "]"}]}], ",", "color2"}], "]"}], ",", 
                 "TraditionalForm"}], "]"}], "}"}]}], "}"}], "]"}]}], "]"}]}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"MemberQ", "[", 
            RowBox[{"options", ",", "format"}], "]"}], ",", "500", ",", 
           "380"}], "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"BaseStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"FontSize", "->", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"MemberQ", "[", 
              RowBox[{"options", ",", "format"}], "]"}], ",", "Large", ",", 
             "Medium"}], "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"GridLines", "\[Rule]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"MemberQ", "[", 
            RowBox[{"options", ",", "grid"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "5"}], ",", "5"}], "]"}], ",", 
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "5"}], ",", "5"}], "]"}]}], "}"}], ",", "None"}], 
          "]"}]}]}], "\[IndentingNewLine]", "]"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "1"}], "}"}], ",", 
     RowBox[{"-", "4.9"}], ",", "4.9", ",", "0.1", ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"MemberQ", "[", 
         RowBox[{"options", ",", "format"}], "]"}], ",", "Medium", ",", 
        "Tiny"}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "1"}], "}"}], ",", 
     RowBox[{"-", "4.9"}], ",", "4.9", ",", "0.1", ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"MemberQ", "[", 
         RowBox[{"options", ",", "format"}], "]"}], ",", "Medium", ",", 
        "Tiny"}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "0"}], "}"}], ",", 
     RowBox[{"-", "4.9"}], ",", "4.9", ",", "0.1", ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"MemberQ", "[", 
         RowBox[{"options", ",", "format"}], "]"}], ",", "Medium", ",", 
        "Tiny"}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", "1"}], "}"}], ",", 
     RowBox[{"-", "4.9"}], ",", "4.9", ",", "0.1", ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"MemberQ", "[", 
         RowBox[{"options", ",", "format"}], "]"}], ",", "Medium", ",", 
        "Tiny"}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", "Delimiter", 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xval", ",", "0", ",", "\"\<x-value\>\""}], "}"}], ",", 
     RowBox[{"-", "4.9"}], ",", "4.9", ",", ".1", ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"MemberQ", "[", 
         RowBox[{"options", ",", "format"}], "]"}], ",", "Medium", ",", 
        "Tiny"}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", "Delimiter", 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"reset", ",", "False", ",", "\"\<reset\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fff", ",", "1", ",", "\"\< \>\""}], "}"}], ",", 
     "functionButtons", ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Vertical\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"options", ",", 
       RowBox[{"{", 
        RowBox[{"sp", ",", "pl"}], "}"}], ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"pl", "\[Rule]", "\"\< plot label\>\""}], ",", 
       RowBox[{"sp", "\[Rule]", "\"\< point location\>\""}], ",", 
       RowBox[{"grid", "\[Rule]", "\"\< grid lines\>\""}], ",", 
       RowBox[{"format", "\[Rule]", "\"\< large format\>\""}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ControlType", "\[Rule]", "CheckboxBar"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Vertical\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"7", ",", "6"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.372040813459917*^9, 3.3720409682473087`*^9}, 
   3.3720418995198507`*^9, {3.37204202370636*^9, 3.372042303639917*^9}, {
   3.3720424377543373`*^9, 3.372042459939786*^9}, {3.3720428278132267`*^9, 
   3.3720429444182987`*^9}, {3.372043010597089*^9, 3.3720430904444513`*^9}, {
   3.372043289135128*^9, 3.372043305622856*^9}, {3.37204346893908*^9, 
   3.372043574286971*^9}, {3.3720436173764563`*^9, 3.37204368509376*^9}, {
   3.372043736288928*^9, 3.3720437442324247`*^9}, {3.372043840265114*^9, 
   3.372043842980513*^9}, 3.372043908538637*^9, {3.372043990574525*^9, 
   3.372044084594779*^9}, {3.3720442250594883`*^9, 3.3720442850975122`*^9}, {
   3.372044414216033*^9, 3.372044425042721*^9}, {3.3720444742459183`*^9, 
   3.3720446370007753`*^9}, {3.372044714955718*^9, 3.3720447397358*^9}, {
   3.372044777773941*^9, 3.372044794721719*^9}, {3.372044831186105*^9, 
   3.372044858249405*^9}, {3.3720450616731157`*^9, 3.372045062463916*^9}, {
   3.372045126772913*^9, 3.3720451456819153`*^9}, {3.372045177823926*^9, 
   3.372045235415193*^9}, {3.372045271133432*^9, 3.372045354735406*^9}, {
   3.372045386666967*^9, 3.372045410146142*^9}, {3.372045451563208*^9, 
   3.372045452858198*^9}, {3.3720455140090237`*^9, 3.3720455320814543`*^9}, {
   3.372045573642487*^9, 3.372045693670206*^9}, 3.372045730047537*^9, {
   3.3720457600517693`*^9, 3.372045782595704*^9}, {3.37204643499893*^9, 
   3.372046503238203*^9}, {3.372160952948842*^9, 3.3721609857732563`*^9}, {
   3.372161015944209*^9, 3.372161047520376*^9}, {3.37216108609726*^9, 
   3.372161192479823*^9}, {3.3721612502059813`*^9, 3.37216130995877*^9}, {
   3.3721613663779507`*^9, 3.372161384907515*^9}, {3.372161426226964*^9, 
   3.372161569266721*^9}, {3.372161604720312*^9, 3.372161609785886*^9}, {
   3.372161699327552*^9, 3.372161758031794*^9}, {3.372161826549925*^9, 
   3.372161864696495*^9}, {3.372161904361414*^9, 3.3721620436861258`*^9}, {
   3.372162085935212*^9, 3.372162091214669*^9}, {3.372162168750083*^9, 
   3.3721621874150476`*^9}, {3.372162227194792*^9, 3.372162242378647*^9}, {
   3.3721623000767937`*^9, 3.372162416191257*^9}, {3.372162542800613*^9, 
   3.372162623783657*^9}, {3.372162688500874*^9, 3.372162700905634*^9}, {
   3.3721627377998657`*^9, 3.3721627552723303`*^9}, {3.372163703105225*^9, 
   3.372163705749632*^9}, {3.372163822788465*^9, 3.372163894057187*^9}, {
   3.3721639357377443`*^9, 3.3721639694178143`*^9}, {3.372164013515604*^9, 
   3.3721640512879744`*^9}, {3.3721640826668663`*^9, 3.372164107947488*^9}, {
   3.372164216701008*^9, 3.37216425865431*^9}, {3.372164332968395*^9, 
   3.372164427005024*^9}, {3.372164478886203*^9, 3.372164506516347*^9}, {
   3.372164548362262*^9, 3.3721645514813557`*^9}, {3.372164591753895*^9, 
   3.372164606916708*^9}, {3.372164715690346*^9, 3.3721647194392548`*^9}, {
   3.3721647505519037`*^9, 3.372164766576501*^9}, {3.3721648090775146`*^9, 
   3.372164812076284*^9}, {3.372164993428728*^9, 3.372165058778667*^9}, {
   3.372165097046576*^9, 3.372165245933427*^9}, {3.372165281349444*^9, 
   3.372165300952539*^9}, 3.372165346046014*^9, {3.3721654295885878`*^9, 
   3.372165433710671*^9}, {3.372165467335916*^9, 3.372165499232037*^9}, {
   3.3721655837550583`*^9, 3.372165724369143*^9}, {3.3721658022973433`*^9, 
   3.372165850319044*^9}, {3.372165898453848*^9, 3.3721659034952602`*^9}, {
   3.372166134616922*^9, 3.3721661618286552`*^9}, {3.372166191853215*^9, 
   3.372166192820579*^9}, {3.372166237295746*^9, 3.372166248828463*^9}, {
   3.3721663686250353`*^9, 3.372166519456077*^9}, {3.372166636526826*^9, 
   3.372166640885602*^9}, {3.372166733135659*^9, 3.372166735184959*^9}, {
   3.372183058220482*^9, 3.372183161028504*^9}, {3.372183194357376*^9, 
   3.372183197954176*^9}, {3.372183380445107*^9, 3.3721833868341513`*^9}, {
   3.372186307340646*^9, 3.372186355786757*^9}, {3.372186552631796*^9, 
   3.372186617663599*^9}, {3.372186649161895*^9, 3.372186652938047*^9}, {
   3.372186689421287*^9, 3.372186716768402*^9}, {3.372186775761745*^9, 
   3.372186874456786*^9}, {3.372186940064749*^9, 3.372186943302724*^9}, {
   3.372186977174819*^9, 3.372186983079444*^9}, {3.3721870275492353`*^9, 
   3.372187057869369*^9}, {3.372187149614583*^9, 3.372187191003274*^9}, {
   3.3721873662277308`*^9, 3.37218741343316*^9}, {3.3721874756899137`*^9, 
   3.372187475883995*^9}, {3.37218753321859*^9, 3.372187564992579*^9}, {
   3.372187672254548*^9, 3.372187685430336*^9}, {3.372187725713319*^9, 
   3.372187771433859*^9}, {3.3722510455332737`*^9, 3.372251194118822*^9}, {
   3.372251238387864*^9, 3.372251289922289*^9}, {3.372251331233177*^9, 
   3.372251427563353*^9}, {3.372251463820652*^9, 3.372251477688326*^9}, {
   3.372282508211664*^9, 3.372282553117255*^9}, {3.372283027070634*^9, 
   3.372283076119487*^9}, {3.372294280007304*^9, 3.3722943805298023`*^9}, {
   3.372294435622526*^9, 3.372294475656281*^9}, {3.372294534172423*^9, 
   3.372294556143694*^9}, {3.372294666348571*^9, 3.3722946729040213`*^9}, {
   3.372294771807568*^9, 3.372294797755501*^9}, 3.3722948283374767`*^9, {
   3.372294933403442*^9, 3.372294940224724*^9}, {3.372300370371025*^9, 
   3.3723004414732323`*^9}, {3.372300531463616*^9, 3.372300597697997*^9}, {
   3.372300631678101*^9, 3.372300728003875*^9}, {3.372301365599161*^9, 
   3.372301534840804*^9}, {3.3723015749577007`*^9, 3.372301658329526*^9}, {
   3.3723017443052473`*^9, 3.372301773788172*^9}, {3.372301859198415*^9, 
   3.372301888250163*^9}, {3.372334832886499*^9, 3.372334838383726*^9}, {
   3.372334871449379*^9, 3.372334956114747*^9}, {3.3723349867769003`*^9, 
   3.3723349920547323`*^9}, {3.37233504065893*^9, 3.3723351054458447`*^9}, {
   3.372335141189885*^9, 3.372335142157642*^9}, {3.372335179379912*^9, 
   3.37233518452851*^9}, {3.372335220707159*^9, 3.372335246272374*^9}, {
   3.372335286145927*^9, 3.372335382805428*^9}, {3.372335438003415*^9, 
   3.372335475929542*^9}, {3.372335539979108*^9, 3.372335617714066*^9}, {
   3.372335665159274*^9, 3.37233577909589*^9}, {3.3723358382821198`*^9, 
   3.372335839922928*^9}, {3.372335886503652*^9, 3.372336011458967*^9}, {
   3.372336140724391*^9, 3.3723361462798147`*^9}, {3.3723361809276323`*^9, 
   3.37233618139567*^9}, {3.372336222098914*^9, 3.372336287060623*^9}, {
   3.372336407379459*^9, 3.372336423440693*^9}, {3.3723364608891087`*^9, 
   3.372336664087044*^9}, {3.372337088918603*^9, 3.3723371102320623`*^9}, {
   3.3723371469479713`*^9, 3.372337251783854*^9}, {3.372337290221663*^9, 
   3.372337328977466*^9}, {3.3723373751187773`*^9, 3.372337381762244*^9}, {
   3.372337433968213*^9, 3.372337571266074*^9}, {3.3723376321890707`*^9, 
   3.3723376406404943`*^9}, 3.372337801228775*^9, {3.3723379354069853`*^9, 
   3.372337971086729*^9}, {3.372338008557024*^9, 3.3723380300960417`*^9}, {
   3.372338116968831*^9, 3.372338184987595*^9}, {3.37233825160428*^9, 
   3.3723382823784924`*^9}, {3.3723383756194553`*^9, 3.372338393244672*^9}, {
   3.3723393798343153`*^9, 3.372339393930402*^9}, {3.3723821154231977`*^9, 
   3.372382119473917*^9}, {3.372419674693344*^9, 3.372419681860173*^9}, {
   3.372419722532222*^9, 3.372419736086768*^9}, {3.372419836730083*^9, 
   3.372419865065198*^9}, {3.372419912448318*^9, 3.3724199404239492`*^9}, {
   3.372472548652521*^9, 3.372472560016808*^9}, {3.372472919227264*^9, 
   3.372472950888115*^9}, {3.372473062760207*^9, 3.372473139295856*^9}, {
   3.372473172623233*^9, 3.372473267185875*^9}, {3.3724737953626328`*^9, 
   3.372473989604075*^9}, {3.372474020537208*^9, 3.372474043804295*^9}, {
   3.372474090523013*^9, 3.372474120305892*^9}, {3.372474237589138*^9, 
   3.372474389258624*^9}, {3.37247443280204*^9, 3.372474440828495*^9}, {
   3.372474472715783*^9, 3.37247447711417*^9}, 3.3724745225429773`*^9, {
   3.372635896127962*^9, 3.372635920025422*^9}, {3.372636604108327*^9, 
   3.372636698707282*^9}, {3.372636815377964*^9, 3.372636816412882*^9}, {
   3.372636847699607*^9, 3.3726368482730827`*^9}, {3.372636886971537*^9, 
   3.372636908437557*^9}, {3.3726369757616568`*^9, 3.372636979527081*^9}, {
   3.37263702447307*^9, 3.372637025896904*^9}, {3.372678355897691*^9, 
   3.372678361594322*^9}, {3.372678496359165*^9, 3.3726785228174067`*^9}, {
   3.37267856707966*^9, 3.3726785751218233`*^9}, {3.3726914960712423`*^9, 
   3.3726915784409704`*^9}, {3.382607132171875*^9, 3.382607148328125*^9}, {
   3.382607207921875*^9, 3.382607212984375*^9}, {3.382607266703125*^9, 
   3.38260726903125*^9}, 3.382607303375*^9, {3.38260749040625*^9, 
   3.382607490796875*^9}, {3.382607533578125*^9, 3.38260753378125*^9}, {
   3.382607786984375*^9, 3.382607795796875*^9}, {3.38260789159375*^9, 
   3.382607901078125*^9}, 3.38260794190625*^9, {3.382871359472056*^9, 
   3.382871366668109*^9}, {3.382871399304762*^9, 3.382871420345809*^9}, {
   3.3828715061748037`*^9, 3.382871506740625*^9}, {3.382871664798379*^9, 
   3.382871689082076*^9}, {3.38287172339332*^9, 3.382871731047742*^9}, {
   3.382871843476988*^9, 3.3828719668894787`*^9}, {3.3828721882861147`*^9, 
   3.382872223077579*^9}, {3.382872365408581*^9, 3.382872445749443*^9}, 
   3.382872617505064*^9},
 CellID->1375138617]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`b$$ = 
    1, $CellContext`c$$ = 0, $CellContext`d$$ = 1, $CellContext`fff$$ = 
    1, $CellContext`options$$ = {$CellContext`sp, $CellContext`pl}, \
$CellContext`reset$$ = False, $CellContext`xval$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 1}, -4.9, 4.9, 0.1}, {{
       Hold[$CellContext`b$$], 1}, -4.9, 4.9, 0.1}, {{
       Hold[$CellContext`c$$], 0}, -4.9, 4.9, 0.1}, {{
       Hold[$CellContext`d$$], 1}, -4.9, 4.9, 0.1}, {{
       Hold[$CellContext`xval$$], 0, "x-value"}, -4.9, 4.9, 0.1}, {{
       Hold[$CellContext`reset$$], False, "reset"}, {False, True}}, {{
       Hold[$CellContext`fff$$], 1, " "}, {
      1 -> "linear", 2 -> "quadratic", 3 -> "cubic", 4 -> "sine", 5 -> 
       "exponential", 6 -> "piecewise"}}, {{
       Hold[$CellContext`options$$], {$CellContext`sp, $CellContext`pl}, 
       ""}, {$CellContext`pl -> " plot label", $CellContext`sp -> 
       " point location", $CellContext`grid -> 
       " grid lines", $CellContext`format -> " large format"}}}, 
    Typeset`size$$ = {380., {205., 212.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True, $CellContext`a$655$$ = 
    0, $CellContext`b$656$$ = 0, $CellContext`c$657$$ = 
    0, $CellContext`d$658$$ = 0, $CellContext`xval$659$$ = 
    0, $CellContext`reset$660$$ = False, $CellContext`fff$661$$ = 
    0, $CellContext`options$662$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 1, $CellContext`b$$ = 
        1, $CellContext`c$$ = 0, $CellContext`d$$ = 1, $CellContext`fff$$ = 
        1, $CellContext`options$$ = {$CellContext`sp, $CellContext`pl}, \
$CellContext`reset$$ = False, $CellContext`xval$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$655$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$656$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$657$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$658$$, 0], 
        Hold[$CellContext`xval$$, $CellContext`xval$659$$, 0], 
        Hold[$CellContext`reset$$, $CellContext`reset$660$$, False], 
        Hold[$CellContext`fff$$, $CellContext`fff$661$$, 0], 
        Hold[$CellContext`options$$, $CellContext`options$662$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      DynamicModule[{$CellContext`function, $CellContext`buttonText, \
$CellContext`color1 = RGBColor[1, 0, 0], $CellContext`color2 = 
         RGBColor[0, 0, 1]}, 
        If[$CellContext`reset$$ == 
          True, {$CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`d$$, $CellContext`xval$$} = {1, 1, 0, 0, 
            0}; $CellContext`reset$$ = False]; $CellContext`function[
           Pattern[$CellContext`x, 
            
            Blank[]]] := {$CellContext`x, $CellContext`x^2, (((1/
              5) $CellContext`x) ($CellContext`x - 1)) ($CellContext`x + 3), 
           Sin[$CellContext`x], 
           Exp[$CellContext`x], 
           Piecewise[{{3, $CellContext`x < -3}, {
              Abs[$CellContext`x], 
              
              Inequality[-3, LessEqual, $CellContext`x, Less, 
               1]}, {-($CellContext`x - 2)^2 + 4, $CellContext`x >= 
              1}}]}; $CellContext`buttonText = {
          "linear", "quadratic", "cubic", "sine", "exponential", 
           "piecewise"}; $CellContext`functionButtons = 
         Map[Part[#, 1] -> Part[#, 2]& , 
           Transpose[{
             Range[
              Length[$CellContext`buttonText]], $CellContext`buttonText}]]; 
        Show[{
           Graphics[{
             If[
              MemberQ[$CellContext`options$$, $CellContext`sp], 
              Text[
               ToString[
                Style[{
                  Round[$CellContext`xval$$, 0.01], 
                  Part[
                   $CellContext`function[
                    
                    Round[$CellContext`xval$$, 
                    0.01]], $CellContext`fff$$]}, $CellContext`color1], 
                TraditionalForm], {4.75, -4.25}, {1, 
               0}], $CellContext`color1], 
             If[
              MemberQ[$CellContext`options$$, $CellContext`sp], 
              Text[
               ToString[
                Style[
                 
                 If[$CellContext`b$$ =!= 
                  0., {(1/$CellContext`b$$) 
                    Round[$CellContext`xval$$, 
                    0.01] + $CellContext`c$$, $CellContext`a$$ Part[
                    $CellContext`function[
                    
                    Round[$CellContext`xval$$, 
                    0.01]], $CellContext`fff$$] + $CellContext`d$$}, 
                  ""], $CellContext`color2], TraditionalForm], {
               4.75, -4.75}, {1, 0}], $CellContext`color1], 
             AbsolutePointSize[9], $CellContext`color2, 
             Dashing[{0.01}], 
             If[$CellContext`b$$ =!= 0., 
              
              Point[{(1/$CellContext`b$$) $CellContext`xval$$ + \
$CellContext`c$$, $CellContext`a$$ Part[
                   $CellContext`function[$CellContext`xval$$], \
$CellContext`fff$$] + $CellContext`d$$}], $CellContext`color2], 
             If[$CellContext`b$$ =!= 0., 
              Line[{{0, $CellContext`a$$ Part[
                    $CellContext`function[$CellContext`xval$$], \
$CellContext`fff$$] + $CellContext`d$$}, {(
                   1/$CellContext`b$$) $CellContext`xval$$ + \
$CellContext`c$$, $CellContext`a$$ Part[
                    $CellContext`function[$CellContext`xval$$], \
$CellContext`fff$$] + $CellContext`d$$}}], $CellContext`color2], 
             If[$CellContext`b$$ =!= 0., 
              
              Line[{{(1/$CellContext`b$$) $CellContext`xval$$ + \
$CellContext`c$$, 
                 0}, {(1/$CellContext`b$$) $CellContext`xval$$ + \
$CellContext`c$$, $CellContext`a$$ Part[
                    $CellContext`function[$CellContext`xval$$], \
$CellContext`fff$$] + $CellContext`d$$}}], $CellContext`color2], \
$CellContext`color1, 
             Dashing[{0.02}], 
             Point[{$CellContext`xval$$, 
               Part[
                $CellContext`function[$CellContext`xval$$], \
$CellContext`fff$$]}], 
             Line[{{0, 
                Part[
                 $CellContext`function[$CellContext`xval$$], \
$CellContext`fff$$]}, {$CellContext`xval$$, 
                Part[
                 $CellContext`function[$CellContext`xval$$], \
$CellContext`fff$$]}}], 
             Line[{{$CellContext`xval$$, 0}, {$CellContext`xval$$, 
                Part[
                 $CellContext`function[$CellContext`xval$$], \
$CellContext`fff$$]}}]}], 
           Plot[$CellContext`a$$ Part[
               $CellContext`function[$CellContext`b$$ ($CellContext`x - \
$CellContext`c$$)], $CellContext`fff$$] + $CellContext`d$$, {$CellContext`x, 
             
             Which[$CellContext`b$$ < 
              0., (1/$CellContext`b$$) $CellContext`xval$$ + \
$CellContext`c$$, $CellContext`b$$ == 0., -5, $CellContext`b$$ > 0., -5], 
             
             Which[$CellContext`b$$ < 0., 5, $CellContext`b$$ == 0., 
              5, $CellContext`b$$ > 
              0., (1/$CellContext`b$$) $CellContext`xval$$ + \
$CellContext`c$$]}, PlotStyle -> {$CellContext`color2, 
              AbsoluteThickness[3]}, PlotRange -> All], 
           Plot[$CellContext`a$$ Part[
               $CellContext`function[$CellContext`b$$ ($CellContext`x - \
$CellContext`c$$)], $CellContext`fff$$] + $CellContext`d$$, {$CellContext`x, 
             
             Which[$CellContext`b$$ < 0., -5, $CellContext`b$$ == 
              0., -5, $CellContext`b$$ > 
              0., (1/$CellContext`b$$) $CellContext`xval$$ + \
$CellContext`c$$], 
             
             Which[$CellContext`b$$ < 
              0., (1/$CellContext`b$$) $CellContext`xval$$ + \
$CellContext`c$$, $CellContext`b$$ == 0., 5, $CellContext`b$$ > 0., 5]}, 
            PlotStyle -> $CellContext`color2, PlotRange -> All], 
           Plot[
            Part[
             $CellContext`function[$CellContext`x], $CellContext`fff$$], \
{$CellContext`x, -5, $CellContext`xval$$}, 
            PlotStyle -> {$CellContext`color1, 
              AbsoluteThickness[3]}, PlotRange -> All], 
           Plot[
            Part[
             $CellContext`function[$CellContext`x], $CellContext`fff$$], \
{$CellContext`x, $CellContext`xval$$, 5}, PlotStyle -> $CellContext`color1, 
            PlotRange -> All]}, PlotRange -> {{-5, 5}, {-5, 5}}, Axes -> True,
           AxesStyle -> AbsoluteThickness[
            If[
             MemberQ[$CellContext`options$$, $CellContext`grid], 1.25, 1]], 
          PlotLabel -> If[
            MemberQ[$CellContext`options$$, $CellContext`pl], 
            Grid[{{
               ToString[
                Style[
                 HoldForm[$CellContext`f][
                  HoldForm[$CellContext`x]], $CellContext`color1], 
                TraditionalForm]}, {
               ToString[
                Style[If[Round[$CellContext`a$$, 0.1] == 1., 1, 
                    If[
                    Round[$CellContext`a$$, 0.1] == 0., 0, $CellContext`a$$]] 
                  HoldForm[$CellContext`f][
                   If[Round[$CellContext`b$$, 0.1] == 1., 1, 
                    If[
                    Round[$CellContext`b$$, 0.1] == 0., 
                    0, $CellContext`b$$]] (HoldForm[$CellContext`x] - If[
                    Round[$CellContext`c$$, 0.1] == 0., 
                    0, $CellContext`c$$])] + 
                 If[Round[$CellContext`d$$, 0.1] == 0., 
                   0, $CellContext`d$$], $CellContext`color2], 
                TraditionalForm]}}]], ImageSize -> If[
            MemberQ[$CellContext`options$$, $CellContext`format], 500, 380], 
          BaseStyle -> {FontSize -> If[
              MemberQ[$CellContext`options$$, $CellContext`format], Large, 
              Medium]}, GridLines -> If[
            MemberQ[$CellContext`options$$, $CellContext`grid], {
             Range[-5, 5], 
             Range[-5, 5]}, None]]], 
      "Specifications" :> {{{$CellContext`a$$, 1}, -4.9, 4.9, 0.1, ImageSize -> 
         Dynamic[
           If[
            MemberQ[$CellContext`options$$, $CellContext`format], Medium, 
            Tiny]]}, {{$CellContext`b$$, 1}, -4.9, 4.9, 0.1, ImageSize -> 
         Dynamic[
           If[
            MemberQ[$CellContext`options$$, $CellContext`format], Medium, 
            Tiny]]}, {{$CellContext`c$$, 0}, -4.9, 4.9, 0.1, ImageSize -> 
         Dynamic[
           If[
            MemberQ[$CellContext`options$$, $CellContext`format], Medium, 
            Tiny]]}, {{$CellContext`d$$, 1}, -4.9, 4.9, 0.1, ImageSize -> 
         Dynamic[
           If[
            MemberQ[$CellContext`options$$, $CellContext`format], Medium, 
            Tiny]]}, 
        Delimiter, {{$CellContext`xval$$, 0, "x-value"}, -4.9, 4.9, 0.1, 
         ImageSize -> Dynamic[
           If[
            MemberQ[$CellContext`options$$, $CellContext`format], Medium, 
            Tiny]]}, 
        Delimiter, {{$CellContext`reset$$, False, "reset"}, {False, True}}, 
        Delimiter, {{$CellContext`fff$$, 1, " "}, {
         1 -> "linear", 2 -> "quadratic", 3 -> "cubic", 4 -> "sine", 5 -> 
          "exponential", 6 -> "piecewise"}, ControlType -> RadioButtonBar, 
         Appearance -> "Vertical"}, 
        Delimiter, {{$CellContext`options$$, {$CellContext`sp, \
$CellContext`pl}, ""}, {$CellContext`pl -> " plot label", $CellContext`sp -> 
          " point location", $CellContext`grid -> 
          " grid lines", $CellContext`format -> " large format"}, ControlType -> 
         CheckboxBar, Appearance -> "Vertical"}}, 
      "Options" :> {
       ControlPlacement -> Left, 
        AutorunSequencing -> {{1, 3}, {3, 3}, {5, 3}, {7, 6}}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{550., {233., 238.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->57421256],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Function Transformations",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FunctionTransformations/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/FunctionTransformations/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/FunctionTransformations/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FunctionTransformations/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/FunctionTransformations/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Eric Schulz", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->1899227437]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
FunctionTransformations"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Function Transformations - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 18, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 216, 4, 70, "Section"],
Cell[809, 29, 32195, 696, 70, "Input",
 CellID->1375138617]
}, Open  ]],
Cell[33019, 728, 12670, 261, 70, "Output",
 CellID->57421256],
Cell[CellGroupData[{
Cell[45714, 993, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[46090, 1004, 916, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[47031, 1032, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[47371, 1043, 203, 6, 70, "Text",
 CellID->1899227437]
}, Open  ]],
Cell[CellGroupData[{
Cell[47611, 1054, 967, 27, 70, "Text"],
Cell[48581, 1083, 1199, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature IRzXOCdv6VJGGBTSgbiZw58j *)
