(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     23071,        575]
NotebookOptionsPosition[     21933,        532]
NotebookOutlinePosition[     22562,        556]
CellTagsIndexPosition[     22519,        553]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Graphing Functions with Four Parameters", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"cc", "\[Equal]", "0"}], ",", 
      RowBox[{"cc", "=", ".001"}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"dd", "\[Equal]", "0"}], ",", 
      RowBox[{"dd", "=", ".001"}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"With", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "=", "a"}], ",", 
        RowBox[{"b", "=", "b"}], ",", 
        RowBox[{"c", "=", "c"}], ",", 
        RowBox[{"d", "=", "d"}], ",", 
        RowBox[{"x", "=", "x"}], ",", 
        RowBox[{"y", "=", "y"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Column", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"If", "[", "\[IndentingNewLine]", 
           RowBox[{"showeqn", ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"Text", "@", 
               RowBox[{"TraditionalForm", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"y", "-", "bb"}], ")"}], " ", "/", 
                  RowBox[{"ToString", "@", " ", "dd"}]}], "==", 
                 RowBox[{"fcn", "[", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"x", "-", "aa"}], ")"}], "/", 
                   RowBox[{"ToString", "@", "cc"}]}], "]"}]}], "]"}]}], ",", 
              "20"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"Text", "@", 
               RowBox[{"TraditionalForm", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"y", "-", "b"}], ")"}], "/", "d"}], "==", " ", 
                 RowBox[{"fcn", "[", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"x", "-", "a"}], ")"}], "/", "c"}], "]"}]}], 
                "]"}]}], ",", "20"}], "]"}]}], "\[IndentingNewLine]", "]"}], 
          ",", 
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"dd", " ", 
              RowBox[{"fcn", "[", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"xx", "-", "aa"}], ")"}], "/", "cc"}], "]"}]}], "+", 
             "bb"}], ",", 
            RowBox[{"{", 
             RowBox[{"xx", ",", 
              RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"PlotRange", "\[Rule]", "5"}], ",", "\[IndentingNewLine]",
             
            RowBox[{"PlotRangePadding", "\[Rule]", "0.25"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"BaseStyle", "\[Rule]", 
             RowBox[{"{", "14", "}"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"300", ",", "300"}], "}"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"AxesStyle", "\[Rule]", "Thick"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Darker", "[", 
                RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thick"}], "}"}]}],
             ",", 
            RowBox[{"Ticks", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Range", "[", 
                RowBox[{
                 RowBox[{"-", "5"}], ",", "5"}], "]"}], ",", 
               RowBox[{"Range", "[", 
                RowBox[{
                 RowBox[{"-", "5"}], ",", "5"}], "]"}]}], "}"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"GridLines", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Table", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"n", " ", ",", 
                   RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.5"}], "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"n", ",", 
                   RowBox[{"-", "5"}], ",", "5", ",", 
                   RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}], ",", 
               RowBox[{"Table", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"n", " ", ",", 
                   RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.5"}], "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"n", ",", 
                   RowBox[{"-", "5"}], ",", "5", ",", 
                   RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}]}], "}"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
            RowBox[{"ExclusionsStyle", "\[Rule]", 
             RowBox[{"Directive", "[", 
              RowBox[{"Blue", ",", "Thin", ",", 
               RowBox[{"Dashing", "[", "Large", "]"}]}], "]"}]}]}], "]"}]}], 
         "}"}], ",", 
        RowBox[{"ItemSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Automatic", ",", 
           RowBox[{"{", 
            RowBox[{"5", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"Alignment", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Center", ",", "Top"}], "}"}]}]}], "]"}]}], 
     "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fcn", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"#", "^", "2"}], ")"}], "&"}], ",", "\"\<\>\""}], "}"}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Abs", "\[Rule]", "\"\<abs\>\""}], ",", "\[IndentingNewLine]", 
       
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"#", "^", "2"}], ")"}], "&"}], ")"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"x", "^", "2"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"#", "^", "3"}], ")"}], "&"}], ")"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"x", "^", "3"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Sqrt", "\[Rule]", "\"\<sqrt\>\""}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Exp", "\[Rule]", "\"\<exp\>\""}], ",", "\[IndentingNewLine]", 
       
       RowBox[{"Log", "\[Rule]", "\"\<log\>\""}], ",", "\[IndentingNewLine]", 
       
       RowBox[{"Identity", "\[Rule]", "\"\<linear\>\""}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Cos", "\[Rule]", "\"\<cos\>\""}], ",", "\[IndentingNewLine]", 
       
       RowBox[{"Sin", "\[Rule]", "\"\<sin\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"aa", ",", "0", ",", "\"\<a\>\""}], "}"}], ",", 
     RowBox[{"-", "4.5"}], ",", "4.5", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"bb", ",", "0.5", ",", "\"\<b\>\""}], "}"}], ",", 
     RowBox[{"-", "4.5"}], ",", "4.5", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"cc", ",", "4.3", ",", "\"\<c\>\""}], "}"}], ",", 
     RowBox[{"-", "4.5"}], ",", "4.5", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dd", ",", "1.5", ",", "\"\<d\>\""}], "}"}], ",", 
     RowBox[{"-", "4.5"}], ",", "4.5", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showeqn", ",", "True", ",", "\"\<show equation with\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"True", "\[Rule]", "\"\<values\>\""}], ",", 
       RowBox[{"False", "\[Rule]", "\"\<symbols\>\""}]}], "}"}]}], "}"}], ",",
    
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "[", "x_", "]"}], ":=", 
       RowBox[{"x", "^", "2"}]}], ",", 
      RowBox[{
       RowBox[{"g", "[", "x_", "]"}], ":=", 
       RowBox[{"x", "^", "3"}]}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, 3.36198708177747*^9, 3.36198804940991*^9, 
   3.36198904205757*^9, 3.3619893154425*^9, {3.36907492264789*^9, 
   3.36907494064377*^9}, {3.36907497711621*^9, 3.36907498074143*^9}, {
   3.36916114207445*^9, 3.36916114404729*^9}, {3.3738388079425373`*^9, 
   3.3738388131740026`*^9}, {3.378138461278275*^9, 3.378138486347547*^9}, {
   3.378138530817932*^9, 3.3781385710977087`*^9}, {3.378138676938715*^9, 
   3.3781386826492357`*^9}, {3.3781387513060703`*^9, 3.378138757226235*^9}, {
   3.378138911542263*^9, 3.378138923946055*^9}, {3.3781389557371902`*^9, 
   3.378138960614489*^9}, {3.378139308769512*^9, 3.37813931494843*^9}, {
   3.3781432170433493`*^9, 3.378143266208099*^9}, {3.3781433216339483`*^9, 
   3.3781434461555567`*^9}, {3.37814459876009*^9, 3.378144609121841*^9}, {
   3.378144790438332*^9, 3.3781448177910013`*^9}, 3.378144924933049*^9, 
   3.3781449985462847`*^9, {3.378145125353837*^9, 3.378145144089047*^9}, {
   3.3781452421321077`*^9, 3.37814530631048*^9}, {3.378145364186651*^9, 
   3.378145409455762*^9}, {3.3781454719652853`*^9, 3.378145482661399*^9}, {
   3.37814551636661*^9, 3.378145604192974*^9}, {3.378145650154202*^9, 
   3.378145683076212*^9}, {3.378145721518611*^9, 3.378145795521614*^9}, {
   3.378145963444717*^9, 3.378145986731039*^9}, {3.378146302711794*^9, 
   3.378146344597584*^9}, {3.382459990119625*^9, 3.382460000490326*^9}, {
   3.3824600716897507`*^9, 3.3824600813275747`*^9}, 3.3824649097860613`*^9, {
   3.382464948770437*^9, 3.3824652229764805`*^9}, {3.3824652565081596`*^9, 
   3.382465292868*^9}, {3.3824653306961517`*^9, 3.3824654099930267`*^9}, {
   3.3824654633211517`*^9, 3.3824655001805267`*^9}, {3.3824655758211517`*^9, 
   3.3824655816336517`*^9}, 3.3824656320084143`*^9, {3.3824657740856304`*^9, 
   3.3824657859136796`*^9}, {3.3824658455695477`*^9, 3.382465848491404*^9}, {
   3.382465890491135*^9, 3.382465900725445*^9}, {3.382465939068949*^9, 
   3.3824659767249584`*^9}, {3.382466816419142*^9, 3.3824669624357014`*^9}, {
   3.3824670527487793`*^9, 3.3824671102647724`*^9}, {3.382467147061883*^9, 
   3.38246722082798*^9}, {3.3824678820665865`*^9, 3.382467893191658*^9}, {
   3.3824679367075615`*^9, 3.3824679599889603`*^9}, {3.382468002286106*^9, 
   3.382468009661154*^9}, {3.3824680416769834`*^9, 3.382468086052267*^9}, {
   3.390746991370058*^9, 3.390746995055358*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`aa$$ = 0, $CellContext`bb$$ = 
    0.5, $CellContext`cc$$ = 4.3, $CellContext`dd$$ = 
    1.5, $CellContext`fcn$$ = #^2& , $CellContext`showeqn$$ = True, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`fcn$$], #^2& , ""}, {
      Abs -> "abs", (#^2& ) -> TraditionalForm[$CellContext`x^2], (#^3& ) -> 
       TraditionalForm[$CellContext`x^3], Sqrt -> "sqrt", Exp -> "exp", Log -> 
       "log", Identity -> "linear", Cos -> "cos", Sin -> "sin"}}, {{
       Hold[$CellContext`aa$$], 0, "a"}, -4.5, 4.5, 0.01}, {{
       Hold[$CellContext`bb$$], 0.5, "b"}, -4.5, 4.5, 0.01}, {{
       Hold[$CellContext`cc$$], 4.3, "c"}, -4.5, 4.5, 0.01}, {{
       Hold[$CellContext`dd$$], 1.5, "d"}, -4.5, 4.5, 0.01}, {{
       Hold[$CellContext`showeqn$$], True, "show equation with"}, {
      True -> "values", False -> "symbols"}}}, Typeset`size$$ = {
    300., {175., 180.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`fcn$70354$$ = 
    False, $CellContext`aa$70355$$ = 0, $CellContext`bb$70356$$ = 
    0, $CellContext`cc$70357$$ = 0, $CellContext`dd$70358$$ = 
    0, $CellContext`showeqn$70359$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`aa$$ = 0, $CellContext`bb$$ = 
        0.5, $CellContext`cc$$ = 4.3, $CellContext`dd$$ = 
        1.5, $CellContext`fcn$$ = #^2& , $CellContext`showeqn$$ = True}, 
      "ControllerVariables" :> {
        Hold[$CellContext`fcn$$, $CellContext`fcn$70354$$, False], 
        Hold[$CellContext`aa$$, $CellContext`aa$70355$$, 0], 
        Hold[$CellContext`bb$$, $CellContext`bb$70356$$, 0], 
        Hold[$CellContext`cc$$, $CellContext`cc$70357$$, 0], 
        Hold[$CellContext`dd$$, $CellContext`dd$70358$$, 0], 
        Hold[$CellContext`showeqn$$, $CellContext`showeqn$70359$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (If[$CellContext`cc$$ == 0, $CellContext`cc$$ = 0.001]; 
       If[$CellContext`dd$$ == 0, $CellContext`dd$$ = 0.001]; 
       With[{$CellContext`a$ = $CellContext`a, $CellContext`b$ = \
$CellContext`b, $CellContext`c$ = $CellContext`c, $CellContext`d$ = \
$CellContext`d, $CellContext`x$ = $CellContext`x, $CellContext`y$ = \
$CellContext`y}, 
         Column[{
           If[$CellContext`showeqn$$, 
            Style[
             Text[
              
              TraditionalForm[($CellContext`y$ - $CellContext`bb$$)/
                ToString[$CellContext`dd$$] == \
$CellContext`fcn$$[($CellContext`x$ - $CellContext`aa$$)/
                 ToString[$CellContext`cc$$]]]], 20], 
            Style[
             Text[
              
              TraditionalForm[($CellContext`y$ - \
$CellContext`b$)/$CellContext`d$ == $CellContext`fcn$$[($CellContext`x$ - \
$CellContext`a$)/$CellContext`c$]]], 20]], 
           
           Plot[$CellContext`dd$$ $CellContext`fcn$$[($CellContext`xx - \
$CellContext`aa$$)/$CellContext`cc$$] + $CellContext`bb$$, {$CellContext`xx, \
-5, 5}, PlotRange -> 5, PlotRangePadding -> 0.25, AspectRatio -> Automatic, 
            BaseStyle -> {14}, ImageSize -> {300, 300}, AxesStyle -> Thick, 
            PlotStyle -> {
              Darker[Green, 0.2], Thick}, Ticks -> {
              Range[-5, 5], 
              Range[-5, 5]}, GridLines -> {
              Table[{$CellContext`n, 
                Lighter[Gray, 0.5]}, {$CellContext`n, -5, 5, 1/2}], 
              Table[{$CellContext`n, 
                Lighter[Gray, 0.5]}, {$CellContext`n, -5, 5, 1/2}]}, 
            Exclusions -> None, ExclusionsStyle -> Directive[Blue, Thin, 
              Dashing[Large]]]}, ItemSize -> {Automatic, {5, Automatic}}, 
          Alignment -> {Center, Top}]]), 
      "Specifications" :> {{{$CellContext`fcn$$, #^2& , ""}, {
         Abs -> "abs", (#^2& ) -> TraditionalForm[$CellContext`x^2], (#^3& ) -> 
          TraditionalForm[$CellContext`x^3], Sqrt -> "sqrt", Exp -> "exp", 
          Log -> "log", Identity -> "linear", Cos -> "cos", Sin -> "sin"}, 
         ControlType -> SetterBar}, {{$CellContext`aa$$, 0, "a"}, -4.5, 4.5, 
         0.01, Appearance -> "Labeled"}, {{$CellContext`bb$$, 0.5, "b"}, -4.5,
          4.5, 0.01, Appearance -> 
         "Labeled"}, {{$CellContext`cc$$, 4.3, "c"}, -4.5, 4.5, 0.01, 
         Appearance -> "Labeled"}, {{$CellContext`dd$$, 1.5, "d"}, -4.5, 4.5, 
         0.01, Appearance -> 
         "Labeled"}, {{$CellContext`showeqn$$, True, "show equation with"}, {
         True -> "values", False -> "symbols"}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{366., {284., 289.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`f[
         Pattern[$CellContext`x, 
          Blank[]]] := $CellContext`x^2, $CellContext`g[
         Pattern[$CellContext`x, 
          Blank[]]] := $CellContext`x^3}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->118916438],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Graphing Functions with Four Parameters",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
GraphingFunctionsWithFourParameters/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/GraphingFunctionsWithFourParameters/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
GraphingFunctionsWithFourParameters/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
GraphingFunctionsWithFourParameters/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/GraphingFunctionsWithFourParameters/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Abby Brown", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->220934384]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
GraphingFunctionsWithFourParameters"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Graphing Functions with Four Parameters - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 231, 4, 70, "Section"],
Cell[824, 29, 11227, 258, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[12066, 290, 5649, 106, 70, "Output",
 CellID->118916438],
Cell[CellGroupData[{
Cell[17740, 400, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[18116, 411, 1005, 29, 70, "Text"],
Cell[CellGroupData[{
Cell[19146, 444, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[19486, 455, 201, 6, 70, "Text",
 CellID->220934384]
}, Open  ]],
Cell[CellGroupData[{
Cell[19724, 466, 967, 27, 70, "Text"],
Cell[20694, 495, 1211, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature VSj6IDTIORqrKApLZsJ91Jn@ *)
