(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     28835,        716]
NotebookOptionsPosition[     27774,        677]
NotebookOutlinePosition[     28400,        701]
CellTagsIndexPosition[     28357,        698]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Horizontal and Vertical Line Tests", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xeq", " ", "=", " ", 
        RowBox[{
         RowBox[{
          SubscriptBox["x", "4"], " ", 
          SuperscriptBox["t", "4"]}], "+", 
         RowBox[{
          SubscriptBox["x", "3"], " ", 
          SuperscriptBox["t", "3"]}], " ", "+", " ", 
         RowBox[{
          SubscriptBox["x", "2"], " ", 
          SuperscriptBox["t", "2"]}], " ", "+", " ", 
         RowBox[{
          SubscriptBox["x", "1"], " ", "t"}], " ", "+", " ", 
         SubscriptBox["x", "0"]}]}], ",", 
       RowBox[{"yeq", " ", "=", " ", 
        RowBox[{
         RowBox[{
          SubscriptBox["y", "4"], " ", 
          SuperscriptBox["t", "4"]}], "+", 
         RowBox[{
          SubscriptBox["y", "3"], " ", 
          SuperscriptBox["t", "3"]}], " ", "+", " ", 
         RowBox[{
          SubscriptBox["y", "2"], " ", 
          SuperscriptBox["t", "2"]}], " ", "+", " ", 
         RowBox[{
          SubscriptBox["y", "1"], " ", "t"}], " ", "+", " ", 
         SubscriptBox["y", "0"]}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"horiztest", " ", "=", " ", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"NumberQ", "[", "yeq", "]"}], " ", ",", "False", ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Length", "[", 
                RowBox[{"Select", "[", 
                 RowBox[{
                  RowBox[{"t", "/.", 
                   RowBox[{"Solve", "[", 
                    RowBox[{
                    RowBox[{"yeq", "\[Equal]", " ", "horiz"}], ",", "t"}], 
                    "]"}]}], ",", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Im", "[", "#", "]"}], "\[Equal]", "0"}], "&"}]}],
                  "]"}], "]"}], ">", "1"}], ",", "False", ",", "True"}], 
             "]"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"verttest", " ", "=", " ", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"NumberQ", "[", "xeq", "]"}], ",", "False", ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Length", "[", 
                RowBox[{"Select", "[", 
                 RowBox[{
                  RowBox[{"t", "/.", 
                   RowBox[{"Solve", "[", 
                    RowBox[{
                    RowBox[{"xeq", "\[Equal]", " ", "vert"}], ",", "t"}], 
                    "]"}]}], ",", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Im", "[", "#", "]"}], "\[Equal]", "0"}], "&"}]}],
                  "]"}], "]"}], ">", "1"}], ",", "False", ",", "True"}], 
             "]"}]}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"ParametricPlot", "[", 
        RowBox[{
         RowBox[{"{", " ", 
          RowBox[{"xeq", ",", "yeq"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "zoom"}], ",", "zoom"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "zoom"}], ",", "zoom"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"Axes", "\[Rule]", " ", "True"}], ",", "\[IndentingNewLine]",
          
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"Column", "[", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{"horiztest", ",", "\[IndentingNewLine]", 
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<passes horizontal line test at y = \>\"", ",", 
                  "horiz"}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<fails horizontal line test at y = \>\"", ",", "horiz"}],
                  "}"}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"verttest", ",", "\[IndentingNewLine]", 
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<passes vertical line test at x = \>\"", ",", "vert"}], 
                 "}"}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<fails vertical line test at x = \>\"", ",", "vert"}], 
                 "}"}], "]"}]}], "]"}]}], "}"}], "]"}]}], ",", 
         "\[IndentingNewLine]", " ", 
         RowBox[{"Epilog", "\[Rule]", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{"horiztest", ",", "Green", ",", "Red"}], "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "zoom"}], ",", "horiz"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"zoom", ",", "horiz"}], "}"}]}], "}"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{"verttest", ",", "Green", ",", "Red"}], "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"vert", ",", 
                 RowBox[{"-", "zoom"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"vert", ",", "zoom"}], "}"}]}], "}"}], "]"}]}], 
           "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"375", ",", "375"}], "}"}]}], " ", ",", 
         RowBox[{"ImagePadding", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"20", ",", "20"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"20", ",", "50"}], "}"}]}], "}"}]}]}], "]"}]}], "]"}]}], 
    "]"}], ",", "\[IndentingNewLine]", "\"\<polynomial terms:\>\"", ",", 
   "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["x", "0"], ",", 
       RowBox[{"-", "3"}], ",", 
       "\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["x", "1"], ",", 
       RowBox[{"-", "2"}], ",", 
       "\"\<\!\(\*SubscriptBox[\(x\), \(1\)]\) t\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["x", "2"], ",", "1", ",", 
       "\"\<\!\(\*SubscriptBox[\(x\), \(2\)]\) \!\(\*SuperscriptBox[\(t\), \
\(2\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["x", "3"], ",", "1", ",", 
       "\"\<\!\(\*SubscriptBox[\(x\), \(3\)]\) \!\(\*SuperscriptBox[\(t\), \
\(3\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["x", "4"], ",", "0", ",", 
       "\"\<\!\(\*SubscriptBox[\(x\), \(4\)]\) \!\(\*SuperscriptBox[\(t\), \
\(4\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\< \>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["y", "0"], ",", 
       RowBox[{"-", "1"}], ",", 
       "\"\<\!\(\*SubscriptBox[\(y\), \(0\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["y", "1"], ",", 
       RowBox[{"-", "3"}], ",", 
       "\"\<\!\(\*SubscriptBox[\(y\), \(1\)]\) t\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["y", "2"], ",", 
       RowBox[{"-", "1"}], ",", 
       "\"\<\!\(\*SubscriptBox[\(y\), \(2\)]\) \!\(\*SuperscriptBox[\(t\), \
\(2\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["y", "3"], ",", "2", ",", 
       "\"\<\!\(\*SubscriptBox[\(y\), \(3\)]\) \!\(\*SuperscriptBox[\(t\), \
\(3\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["y", "4"], ",", "0", ",", 
       "\"\<\!\(\*SubscriptBox[\(y\), \(4\)]\) \!\(\*SuperscriptBox[\(t\), \
\(4\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"zoom", ",", "5", ",", "\"\<zoom\>\""}], "}"}], ",", ".25", ",",
      "20", ",", ".25", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   "\"\<lines:\>\"", ",", "\[IndentingNewLine]", "\"\<\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"horiz", ",", "1", ",", "\"\<horizontal\>\""}], "}"}], ",", 
     RowBox[{"-", "zoom"}], ",", "zoom", ",", 
     RowBox[{"1", "/", "10"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"vert", ",", 
       RowBox[{"-", "1"}], ",", "\"\<vertical\>\""}], "}"}], ",", 
     RowBox[{"-", "zoom"}], ",", "zoom", ",", 
     RowBox[{"1", "/", "10"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", " ", "Left"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"2", ",", "5", ",", "9", ",", "13"}], "}"}]}]}], "]"}]], "Input",\

 CellChangeTimes->{
  3.35696210375764*^9, 3.390742004600588*^9, {3.390925294558962*^9, 
   3.390925313418337*^9}, {3.390927062762087*^9, 3.390927092777712*^9}, {
   3.3914497900264907`*^9, 3.391449794634863*^9}, {3.391450171359256*^9, 
   3.3914503060639725`*^9}, {3.391450749489541*^9, 3.3914508140668583`*^9}, {
   3.3914508459547887`*^9, 3.3914508895039043`*^9}, {3.3917729296674814`*^9, 
   3.391772933109132*^9}, {3.3917730031235895`*^9, 3.3917730073647766`*^9}, {
   3.391773093768963*^9, 3.391773127718466*^9}, {3.3917740634507875`*^9, 
   3.3917740815886774`*^9}, {3.3917741251156054`*^9, 
   3.3917741298028126`*^9}, {3.391774226982239*^9, 3.3917742742148657`*^9}, {
   3.3917743712731433`*^9, 3.3917743764109917`*^9}, {3.39178703955796*^9, 
   3.391787088123066*^9}, {3.391787134717766*^9, 3.391787227183156*^9}, {
   3.391787257702676*^9, 3.3917873097828608`*^9}, {3.3919542511693563`*^9, 
   3.3919542851693563`*^9}, {3.3919574713256063`*^9, 3.3919574744349813`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`horiz$$ = 
    1, $CellContext`vert$$ = -1, $CellContext`zoom$$ = 
    5, $CellContext`$61$$ = -3, $CellContext`$62$$ = -2, $CellContext`$63$$ = 
    1, $CellContext`$64$$ = 1, $CellContext`$65$$ = 
    0, $CellContext`$66$$ = -1, $CellContext`$67$$ = -3, $CellContext`$68$$ = \
-1, $CellContext`$69$$ = 2, $CellContext`$70$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold["polynomial terms:"], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`$61$$], -3, 
       "\!\(\*SubscriptBox[\(x\), \(0\)]\)"}, -12, 12, 1}, {{
       Hold[$CellContext`$62$$], -2, 
       "\!\(\*SubscriptBox[\(x\), \(1\)]\) t"}, -12, 12, 1}, {{
       Hold[$CellContext`$63$$], 1, 
       "\!\(\*SubscriptBox[\(x\), \(2\)]\) \!\(\*SuperscriptBox[\(t\), \(2\)]\
\)"}, -12, 12, 1}, {{
       Hold[$CellContext`$64$$], 1, 
       "\!\(\*SubscriptBox[\(x\), \(3\)]\) \!\(\*SuperscriptBox[\(t\), \(3\)]\
\)"}, -12, 12, 1}, {{
       Hold[$CellContext`$65$$], 0, 
       "\!\(\*SubscriptBox[\(x\), \(4\)]\) \!\(\*SuperscriptBox[\(t\), \(4\)]\
\)"}, -12, 12, 1}, {
      Hold[" "], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`$66$$], -1, 
       "\!\(\*SubscriptBox[\(y\), \(0\)]\)"}, -12, 12, 1}, {{
       Hold[$CellContext`$67$$], -3, 
       "\!\(\*SubscriptBox[\(y\), \(1\)]\) t"}, -12, 12, 1}, {{
       Hold[$CellContext`$68$$], -1, 
       "\!\(\*SubscriptBox[\(y\), \(2\)]\) \!\(\*SuperscriptBox[\(t\), \(2\)]\
\)"}, -12, 12, 1}, {{
       Hold[$CellContext`$69$$], 2, 
       "\!\(\*SubscriptBox[\(y\), \(3\)]\) \!\(\*SuperscriptBox[\(t\), \(3\)]\
\)"}, -12, 12, 1}, {{
       Hold[$CellContext`$70$$], 0, 
       "\!\(\*SubscriptBox[\(y\), \(4\)]\) \!\(\*SuperscriptBox[\(t\), \(4\)]\
\)"}, -12, 12, 1}, {{
       Hold[$CellContext`zoom$$], 5, "zoom"}, 0.25, 20, 0.25}, {
      Hold["lines:"], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`horiz$$], 1, "horizontal"}, 
      Dynamic[-$CellContext`zoom$$], 
      Dynamic[$CellContext`zoom$$], 
      Rational[1, 10]}, {{
       Hold[$CellContext`vert$$], -1, "vertical"}, 
      Dynamic[-$CellContext`zoom$$], 
      Dynamic[$CellContext`zoom$$], 
      Rational[1, 10]}}, Typeset`size$$ = {375., {185., 190.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`$61$7070$$ = 0, $CellContext`$62$7071$$ = 
    0, $CellContext`$63$7072$$ = 0, $CellContext`$64$7073$$ = 
    0, $CellContext`$65$7074$$ = 0, $CellContext`$66$7075$$ = 
    0, $CellContext`$67$7076$$ = 0, $CellContext`$68$7077$$ = 
    0, $CellContext`$69$7078$$ = 0, $CellContext`$70$7079$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`horiz$$ = 
        1, $CellContext`vert$$ = -1, $CellContext`zoom$$ = 
        5, $CellContext`$61$$ = -3, $CellContext`$62$$ = -2, \
$CellContext`$63$$ = 1, $CellContext`$64$$ = 1, $CellContext`$65$$ = 
        0, $CellContext`$66$$ = -1, $CellContext`$67$$ = -3, \
$CellContext`$68$$ = -1, $CellContext`$69$$ = 2, $CellContext`$70$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`$61$$, $CellContext`$61$7070$$, 0], 
        Hold[$CellContext`$62$$, $CellContext`$62$7071$$, 0], 
        Hold[$CellContext`$63$$, $CellContext`$63$7072$$, 0], 
        Hold[$CellContext`$64$$, $CellContext`$64$7073$$, 0], 
        Hold[$CellContext`$65$$, $CellContext`$65$7074$$, 0], 
        Hold[$CellContext`$66$$, $CellContext`$66$7075$$, 0], 
        Hold[$CellContext`$67$$, $CellContext`$67$7076$$, 0], 
        Hold[$CellContext`$68$$, $CellContext`$68$7077$$, 0], 
        Hold[$CellContext`$69$$, $CellContext`$69$7078$$, 0], 
        Hold[$CellContext`$70$$, $CellContext`$70$7079$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`xeq$ = $CellContext`$65$$ $CellContext`t^4 + \
$CellContext`$64$$ $CellContext`t^3 + $CellContext`$63$$ $CellContext`t^2 + \
$CellContext`$62$$ $CellContext`t + $CellContext`$61$$, $CellContext`yeq$ = \
$CellContext`$70$$ $CellContext`t^4 + $CellContext`$69$$ $CellContext`t^3 + \
$CellContext`$68$$ $CellContext`t^2 + $CellContext`$67$$ $CellContext`t + \
$CellContext`$66$$}, 
        With[{$CellContext`horiztest$ = If[
            NumberQ[$CellContext`yeq$], False, 
            If[Length[
               Select[
                ReplaceAll[$CellContext`t, 
                 
                 Solve[$CellContext`yeq$ == $CellContext`horiz$$, \
$CellContext`t]], Im[#] == 0& ]] > 1, False, True]], $CellContext`verttest$ = 
          If[
            NumberQ[$CellContext`xeq$], False, 
            If[Length[
               Select[
                ReplaceAll[$CellContext`t, 
                 
                 Solve[$CellContext`xeq$ == $CellContext`vert$$, \
$CellContext`t]], Im[#] == 0& ]] > 1, False, True]]}, 
         ParametricPlot[{$CellContext`xeq$, $CellContext`yeq$}, \
{$CellContext`t, -4, 4}, 
          PlotRange -> {{-$CellContext`zoom$$, $CellContext`zoom$$}, \
{-$CellContext`zoom$$, $CellContext`zoom$$}}, Axes -> True, PlotLabel -> 
          Column[{
             If[$CellContext`horiztest$, 
              
              Row[{"passes horizontal line test at y = ", \
$CellContext`horiz$$}], 
              
              Row[{"fails horizontal line test at y = ", \
$CellContext`horiz$$}]], 
             If[$CellContext`verttest$, 
              Row[{"passes vertical line test at x = ", $CellContext`vert$$}],
               
              
              Row[{"fails vertical line test at x = ", \
$CellContext`vert$$}]]}], Epilog -> {
            If[$CellContext`horiztest$, Green, Red], 
            
            Line[{{-$CellContext`zoom$$, $CellContext`horiz$$}, \
{$CellContext`zoom$$, $CellContext`horiz$$}}], 
            If[$CellContext`verttest$, Green, Red], 
            
            Line[{{$CellContext`vert$$, -$CellContext`zoom$$}, \
{$CellContext`vert$$, $CellContext`zoom$$}}]}, ImageSize -> {375, 375}, 
          ImagePadding -> {{20, 20}, {20, 50}}]]], 
      "Specifications" :> {
       "polynomial terms:", 
        "", {{$CellContext`$61$$, -3, 
          "\!\(\*SubscriptBox[\(x\), \(0\)]\)"}, -12, 12, 1, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$62$$, -2, 
          "\!\(\*SubscriptBox[\(x\), \(1\)]\) t"}, -12, 12, 1, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$63$$, 1, 
          "\!\(\*SubscriptBox[\(x\), \(2\)]\) \!\(\*SuperscriptBox[\(t\), \(2\
\)]\)"}, -12, 12, 1, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$64$$, 1, 
          "\!\(\*SubscriptBox[\(x\), \(3\)]\) \!\(\*SuperscriptBox[\(t\), \(3\
\)]\)"}, -12, 12, 1, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$65$$, 0, 
          "\!\(\*SubscriptBox[\(x\), \(4\)]\) \!\(\*SuperscriptBox[\(t\), \(4\
\)]\)"}, -12, 12, 1, Appearance -> "Labeled", ImageSize -> Tiny}, 
        " ", {{$CellContext`$66$$, -1, 
          "\!\(\*SubscriptBox[\(y\), \(0\)]\)"}, -12, 12, 1, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$67$$, -3, 
          "\!\(\*SubscriptBox[\(y\), \(1\)]\) t"}, -12, 12, 1, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$68$$, -1, 
          "\!\(\*SubscriptBox[\(y\), \(2\)]\) \!\(\*SuperscriptBox[\(t\), \(2\
\)]\)"}, -12, 12, 1, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$69$$, 2, 
          "\!\(\*SubscriptBox[\(y\), \(3\)]\) \!\(\*SuperscriptBox[\(t\), \(3\
\)]\)"}, -12, 12, 1, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$70$$, 0, 
          "\!\(\*SubscriptBox[\(y\), \(4\)]\) \!\(\*SuperscriptBox[\(t\), \(4\
\)]\)"}, -12, 12, 1, Appearance -> "Labeled", ImageSize -> Tiny}, 
        Delimiter, {{$CellContext`zoom$$, 5, "zoom"}, 0.25, 20, 0.25, 
         Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, "lines:", 
        "", {{$CellContext`horiz$$, 1, "horizontal"}, 
         Dynamic[-$CellContext`zoom$$], 
         Dynamic[$CellContext`zoom$$], 
         Rational[1, 10], Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`vert$$, -1, "vertical"}, 
         Dynamic[-$CellContext`zoom$$], 
         Dynamic[$CellContext`zoom$$], 
         Rational[1, 10], Appearance -> "Labeled", ImageSize -> Tiny}}, 
      "Options" :> {
       ControlPlacement -> Left, AutorunSequencing -> {2, 5, 9, 13}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{590., {212., 217.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->170183435],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Horizontal and Vertical Line Tests",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/HorizontalAndVerticalLineTests/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/HorizontalAndVerticalLineTests/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/HorizontalAndVerticalLineTests/\
",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/HorizontalAndVerticalLineTests/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/HorizontalAndVerticalLineTests/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ed Pegg Jr",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
HorizontalAndVerticalLineTests"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{770, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Horizontal and Vertical Line Tests - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 226, 4, 70, "Section"],
Cell[819, 29, 13291, 321, 70, "Input"]
}, Open  ]],
Cell[14125, 353, 9406, 186, 70, "Output",
 CellID->170183435],
Cell[CellGroupData[{
Cell[23556, 543, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[23932, 554, 981, 29, 70, "Text"],
Cell[24916, 585, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[25256, 596, 427, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[25708, 614, 829, 24, 70, "Text"],
Cell[26540, 640, 1206, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature cQjg73MtEStH5B0nT@LpsGu8 *)
