(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     35986,        906]
NotebookOptionsPosition[     34595,        855]
NotebookOutlinePosition[     35205,        879]
CellTagsIndexPosition[     35162,        876]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Implicit Function Game", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"impl", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "-", "1"}], ")"}], "^", "2"}], "+", 
       RowBox[{"y", "^", "2"}]}], "\[Equal]", "1"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x", "-", "1"}], ")"}], "^", "2"}], "/", 
        RowBox[{
         RowBox[{"(", "1.2", ")"}], "^", "2"}]}], "+", 
       RowBox[{"y", "^", "2"}]}], "\[Equal]", "1"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "-", "1"}], ")"}], "^", "2"}], "-", 
       RowBox[{"y", "^", "2"}]}], "\[Equal]", "1"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "-", "1"}], ")"}], "^", "2"}], "-", 
       RowBox[{"y", "^", "2"}]}], "\[Equal]", 
      RowBox[{"-", "1"}]}], ",", 
     RowBox[{
      RowBox[{"y", "^", "2"}], "\[Equal]", 
      RowBox[{"2", "x"}]}], ",", 
     RowBox[{"y", "\[Equal]", 
      RowBox[{"x", "^", "2"}]}]}], "}"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.430317538296875*^9, 3.43031765553125*^9}, {
   3.430972532984375*^9, 3.430972559890625*^9}, 3.430973059328125*^9, 
   3.4310932874867325`*^9},
 CellID->437233093],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"RandomKsublist", "[", 
    RowBox[{"set_", ",", "k_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"sub", "=", 
        RowBox[{"{", "}"}]}], ",", 
       RowBox[{"rest", "=", "set"}], ",", "new"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"new", "=", 
          RowBox[{"rest", "[", 
           RowBox[{"[", 
            RowBox[{"RandomInteger", "[", 
             RowBox[{"{", 
              RowBox[{"1", ",", 
               RowBox[{"Length", "[", "rest", "]"}]}], "}"}], "]"}], "]"}], 
           "]"}]}], ";", 
         RowBox[{"sub", "=", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"sub", ",", "new"}], "]"}]}], ";", 
         RowBox[{"rest", "=", 
          RowBox[{"Complement", "[", 
           RowBox[{"rest", ",", 
            RowBox[{"{", "new", "}"}]}], "]"}]}]}], ",", 
        RowBox[{"{", "k", "}"}]}], "]"}], ";", "sub"}]}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.430317538296875*^9, 3.43031765553125*^9}, {
   3.430972532984375*^9, 3.430972559890625*^9}, 3.430973059328125*^9, {
   3.4310932874867325`*^9, 3.4310932951124945`*^9}},
 CellID->667868500],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Randompermut", "[", "k_", "]"}], ":=", 
   RowBox[{"RandomKsublist", "[", 
    RowBox[{
     RowBox[{"Range", "[", "k", "]"}], ",", "k"}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.430317538296875*^9, 3.43031765553125*^9}, {
   3.430972532984375*^9, 3.430972559890625*^9}, 3.430973059328125*^9, {
   3.4310932874867325`*^9, 3.431093296576641*^9}},
 CellID->281380927],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Inversepermut", "[", "permut_", "]"}], ":=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Position", "[", 
       RowBox[{"permut", ",", "i"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "permut", "]"}]}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.430317538296875*^9, 3.43031765553125*^9}, {
   3.430972532984375*^9, 3.430972559890625*^9}, 3.430973059328125*^9, {
   3.4310932874867325`*^9, 3.431093296576641*^9}},
 CellID->145281023],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{"again", ",", "\[IndentingNewLine]", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"per3", "=", 
         RowBox[{"Inversepermut", "[", "per2", "]"}]}], "}"}], ",", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"ff", "=", 
           RowBox[{"impl", "[", 
            RowBox[{"[", "izbor", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"fun", "=", 
             RowBox[{"Evaluate", "[", 
              RowBox[{"{", 
               RowBox[{"ff", ",", 
                RowBox[{"ff", "/.", 
                 RowBox[{"{", 
                  RowBox[{"x", "\[Rule]", 
                   RowBox[{"x", "-", "1"}]}], "}"}]}], ",", 
                RowBox[{"ff", "/.", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"x", "\[Rule]", "y"}], ",", 
                   RowBox[{"y", "\[Rule]", "x"}]}], "}"}]}], ",", 
                RowBox[{"ff", "/.", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"x", "\[Rule]", 
                    RowBox[{"x", "-", "1"}]}], ",", 
                   RowBox[{"y", "\[Rule]", 
                    RowBox[{"y", "-", "1"}]}]}], "}"}]}], ",", 
                RowBox[{"ff", "/.", 
                 RowBox[{"{", 
                  RowBox[{"x", "\[Rule]", 
                   RowBox[{"x", "/", "2"}]}], "}"}]}]}], "}"}], "]"}]}], 
            "}"}], ",", "\n", 
           RowBox[{"Pane", "[", 
            RowBox[{
             RowBox[{"Grid", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Graphics", "[", 
                   RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"TableForm", "[", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"StringJoin", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", "i", "]"}], ",", "\"\<.\>\""}], 
                    "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "1", ",", "5"}], "}"}]}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<F\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<, \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<)\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<F\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< - 1, \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<)\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<F\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<, \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<)\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<F\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< - 1, \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< - 1)\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<F\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\</2, \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<)\>\""}], "}"}], "]"}]}], "}"}]}], "}"}], "]"}], 
                    "]"}], ",", "14"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"130", ",", "100"}], "}"}]}]}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"ContourPlot", "[", 
                   RowBox[{"fun", ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"-", "1"}], ",", "5"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"y", ",", 
                    RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
                    RowBox[{"AxesOrigin", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"ContourLabels", "\[Rule]", "None"}], ",", 
                    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                    RowBox[{"Ticks", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
                    RowBox[{"FrameTicks", "\[Rule]", "Automatic"}], ",", 
                    RowBox[{"FrameTicks", "\[Rule]", "None"}], ",", 
                    RowBox[{"ContourStyle", "\[Rule]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.941176", ",", " ", "0.227451", ",", " ", "0.0509804"}],
                     "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.0941176", ",", " ", "0.0941176", ",", " ", 
                    "0.894118"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.180392", ",", " ", "0.827451", ",", " ", 
                    "0.160784"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", ".71", ",", "0"}], "]"}]}], "}"}]}], 
                    "}"}], "[", 
                    RowBox[{"[", "per2", "]"}], "]"}]}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"270", ",", "270"}], "}"}]}]}], "]"}], ",", 
                  RowBox[{"Graphics", "[", 
                   RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"TableForm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"red", "\[Equal]", 
                    RowBox[{"per3", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.941176", ",", " ", "0.227451", ",", " ", "0.0509804"}],
                     "]"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"blue", "\[Equal]", 
                    RowBox[{"per3", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.0941176", ",", " ", "0.0941176", ",", " ", 
                    "0.894118"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"green", "\[Equal]", 
                    RowBox[{"per3", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.180392", ",", " ", "0.827451", ",", " ", "0.160784"}], 
                    "]"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"black", "\[Equal]", 
                    RowBox[{"per3", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], ",", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"yellow", "\[Equal]", 
                    RowBox[{"per3", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", ".71", ",", "0"}], "]"}]}], "]"}]}], 
                    "}"}], "]"}], ",", "14"}], "]"}], "]"}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", "50"}]}], "]"}]}], "}"}], 
                "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"Frame", "\[Rule]", "All"}], ",", 
               RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"452", ",", "280"}], "}"}]}]}], "]"}]}], "]"}]}], 
        "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"again", "=", "False"}], ";", 
      RowBox[{"per2", "=", 
       RowBox[{"Randompermut", "[", "5", "]"}]}], ";", 
      RowBox[{"izbor", "=", 
       RowBox[{"RandomInteger", "[", 
        RowBox[{"{", 
         RowBox[{"1", ",", "6"}], "}"}], "]"}]}], ";", 
      RowBox[{"red", "=", "0"}], ";", 
      RowBox[{"blue", "=", "0"}], ";", 
      RowBox[{"green", "=", "0"}], ";", 
      RowBox[{"black", "=", "0"}], ";", 
      RowBox[{"yellow", "=", "0"}], ";", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Again?\>\"", ",", "20"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"452", ",", "282"}], "}"}]}]}], "]"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"red", ",", "0"}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "6", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"blue", ",", "0"}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "6", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"green", ",", "0"}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "6", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"black", ",", "0"}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "6", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"yellow", ",", "0"}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "6", "]"}], "-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"again", ",", "True"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"izbor", ",", 
       RowBox[{"RandomInteger", "[", 
        RowBox[{"{", 
         RowBox[{"1", ",", "6"}], "}"}], "]"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"per2", ",", 
       RowBox[{"Randompermut", "[", "5", "]"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.430973089078125*^9, 3.430973092015625*^9}, {
   3.4310933104380274`*^9, 3.4310934560975914`*^9}, {3.4310935172917104`*^9, 
   3.4310935504160223`*^9}, {3.431093593241305*^9, 3.431093720659045*^9}, {
   3.4310937593669157`*^9, 3.431093773679347*^9}, {3.4310939087088485`*^9, 
   3.4310939645654335`*^9}, {3.4310940104450207`*^9, 
   3.4310940349834747`*^9}, {3.431358151399781*^9, 3.4313582398556323`*^9}, {
   3.4313582703486814`*^9, 3.431358322508897*^9}, {3.431873154390609*^9, 
   3.431873173543524*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`again$$ = True, $CellContext`black$$ = 
    0, $CellContext`blue$$ = 0, $CellContext`green$$ = 
    0, $CellContext`izbor$$ = 6, $CellContext`per2$$ = {2, 4, 3, 5, 
    1}, $CellContext`red$$ = 0, $CellContext`yellow$$ = 0, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`red$$], 0}, {0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`blue$$], 0}, {0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`green$$], 0}, {0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`black$$], 0}, {0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`yellow$$], 0}, {0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`again$$], True}, {False, True}}, {{
       Hold[$CellContext`izbor$$], 6}}, {{
       Hold[$CellContext`per2$$], {2, 4, 3, 5, 1}}}}, Typeset`size$$ = {
    452., {137.5, 142.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`red$19484$$ = 
    0, $CellContext`blue$19485$$ = 0, $CellContext`green$19486$$ = 
    0, $CellContext`black$19487$$ = 0, $CellContext`yellow$19488$$ = 
    0, $CellContext`again$19489$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`again$$ = True, $CellContext`black$$ = 
        0, $CellContext`blue$$ = 0, $CellContext`green$$ = 
        0, $CellContext`izbor$$ = 
        6, $CellContext`per2$$ = {2, 4, 3, 5, 1}, $CellContext`red$$ = 
        0, $CellContext`yellow$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`red$$, $CellContext`red$19484$$, 0], 
        Hold[$CellContext`blue$$, $CellContext`blue$19485$$, 0], 
        Hold[$CellContext`green$$, $CellContext`green$19486$$, 0], 
        Hold[$CellContext`black$$, $CellContext`black$19487$$, 0], 
        Hold[$CellContext`yellow$$, $CellContext`yellow$19488$$, 0], 
        Hold[$CellContext`again$$, $CellContext`again$19489$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> If[$CellContext`again$$, 
        With[{$CellContext`per3$ = \
$CellContext`Inversepermut[$CellContext`per2$$]}, 
         With[{$CellContext`ff$ = 
           Part[$CellContext`impl, $CellContext`izbor$$]}, 
          With[{$CellContext`fun$ = Evaluate[{$CellContext`ff$, 
               
               ReplaceAll[$CellContext`ff$, {$CellContext`x -> $CellContext`x - 
                  1}], 
               
               ReplaceAll[$CellContext`ff$, {$CellContext`x -> \
$CellContext`y, $CellContext`y -> $CellContext`x}], 
               
               ReplaceAll[$CellContext`ff$, {$CellContext`x -> $CellContext`x - 
                  1, $CellContext`y -> $CellContext`y - 1}], 
               
               ReplaceAll[$CellContext`ff$, {$CellContext`x -> $CellContext`x/
                  2}]}]}, 
           Pane[
            Grid[{{
               Graphics[
                Text[
                 Style[
                  TableForm[
                   Transpose[{
                    Table[
                    StringJoin[
                    ToString[$CellContext`i], "."], {$CellContext`i, 1, 5}], {
                    
                    Row[{
                    Style["F", Italic], "(", 
                    Style["x", Italic], ", ", 
                    Style["y", Italic], ")"}], 
                    Row[{
                    Style["F", Italic], "(", 
                    Style["x", Italic], " - 1, ", 
                    Style["y", Italic], ")"}], 
                    Row[{
                    Style["F", Italic], "(", 
                    Style["y", Italic], ", ", 
                    Style["x", Italic], ")"}], 
                    Row[{
                    Style["F", Italic], "(", 
                    Style["x", Italic], " - 1, ", 
                    Style["y", Italic], " - 1)"}], 
                    Row[{
                    Style["F", Italic], "(", 
                    Style["x", Italic], "/2, ", 
                    Style["y", Italic], ")"}]}}]], 14], {1, 0}, {0, 0}], 
                ImageSize -> {130, 100}], 
               
               ContourPlot[$CellContext`fun$, {$CellContext`x, -1, 
                 5}, {$CellContext`y, -3, 3}, AxesOrigin -> {0, 0}, 
                AspectRatio -> Automatic, ContourLabels -> None, Axes -> True,
                 Ticks -> Automatic, Frame -> True, FrameTicks -> Automatic, 
                FrameTicks -> None, ContourStyle -> Part[{{
                    Thickness[0.01], 
                    RGBColor[0.941176, 0.227451, 0.0509804]}, {
                    Thickness[0.01], 
                    RGBColor[0.0941176, 0.0941176, 0.894118]}, {
                    Thickness[0.01], 
                    RGBColor[0.180392, 0.827451, 0.160784]}, {
                    Thickness[0.01], 
                    GrayLevel[0]}, {
                    Thickness[0.01], 
                    RGBColor[1, 0.71, 0]}}, $CellContext`per2$$], 
                ImageSize -> {270, 270}], 
               Graphics[
                Text[
                 Style[
                  TableForm[{
                    Style[$CellContext`red$$ == Part[$CellContext`per3$, 1], 
                    RGBColor[0.941176, 0.227451, 0.0509804]], 
                    
                    Style[$CellContext`blue$$ == Part[$CellContext`per3$, 2], 
                    
                    RGBColor[0.0941176, 0.0941176, 0.894118]], 
                    
                    Style[$CellContext`green$$ == Part[$CellContext`per3$, 3],
                     
                    RGBColor[0.180392, 0.827451, 0.160784]], 
                    
                    Style[$CellContext`black$$ == Part[$CellContext`per3$, 4],
                     
                    GrayLevel[0]], 
                    
                    Style[$CellContext`yellow$$ == 
                    Part[$CellContext`per3$, 5], 
                    RGBColor[1, 0.71, 0]]}], 14]], ImageSize -> 50]}}, Frame -> 
             All, Spacings -> 0], 
            ImageSize -> {452, 280}]]]], $CellContext`again$$ = 
         False; $CellContext`per2$$ = $CellContext`Randompermut[
          5]; $CellContext`izbor$$ = 
         RandomInteger[{1, 6}]; $CellContext`red$$ = 0; $CellContext`blue$$ = 
         0; $CellContext`green$$ = 0; $CellContext`black$$ = 
         0; $CellContext`yellow$$ = 0; Graphics[
          Text[
           Style["Again?", 20], {0, 0}], ImageSize -> {452, 282}]], 
      "Specifications" :> {{{$CellContext`red$$, 0}, {0, 1, 2, 3, 4, 
         5}}, {{$CellContext`blue$$, 0}, {0, 1, 2, 3, 4, 
         5}}, {{$CellContext`green$$, 0}, {0, 1, 2, 3, 4, 
         5}}, {{$CellContext`black$$, 0}, {0, 1, 2, 3, 4, 
         5}}, {{$CellContext`yellow$$, 0}, {0, 1, 2, 3, 4, 
         5}}, {{$CellContext`again$$, True}, {
         False, True}}, {{$CellContext`izbor$$, 6}, ControlType -> 
         None}, {{$CellContext`per2$$, {2, 4, 3, 5, 1}}, ControlType -> 
         None}}, "Options" :> {
       ControlPlacement -> Left, AutorunSequencing -> {1, 2, 3, 4, 5}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{571., {165., 170.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`Inversepermut[
          Pattern[$CellContext`permut, 
           Blank[]]] := Flatten[
          Table[
           
           Position[$CellContext`permut, $CellContext`i], {$CellContext`i, 1, 
            
            
            Length[$CellContext`permut]}]], $CellContext`impl = {(-1 + \
$CellContext`x)^2 + $CellContext`y^2 == 1, 
          0.6944444444444444 (-1 + $CellContext`x)^2 + $CellContext`y^2 == 
          1, (-1 + $CellContext`x)^2 - $CellContext`y^2 == 
          1, (-1 + $CellContext`x)^2 - $CellContext`y^2 == -1, \
$CellContext`y^2 == 
          2 $CellContext`x, $CellContext`y == $CellContext`x^2}, \
$CellContext`Randompermut[
          Pattern[$CellContext`k, 
           Blank[]]] := $CellContext`RandomKsublist[
          Range[$CellContext`k], $CellContext`k], $CellContext`RandomKsublist[
         
          Pattern[$CellContext`set, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]] := 
        Module[{$CellContext`sub = {}, $CellContext`rest = $CellContext`set, \
$CellContext`new}, Do[$CellContext`new = Part[$CellContext`rest, 
               RandomInteger[{1, 
                 Length[$CellContext`rest]}]]; $CellContext`sub = 
             AppendTo[$CellContext`sub, $CellContext`new]; $CellContext`rest = 
             Complement[$CellContext`rest, {$CellContext`new}], \
{$CellContext`k}]; $CellContext`sub]}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`impl = {($CellContext`x - 
               1)^2 + $CellContext`y^2 == 
            1, ($CellContext`x - 1)^2/1.2^2 + $CellContext`y^2 == 
            1, ($CellContext`x - 1)^2 - $CellContext`y^2 == 
            1, ($CellContext`x - 
               1)^2 - $CellContext`y^2 == -1, $CellContext`y^2 == 
            2 $CellContext`x, $CellContext`y == $CellContext`x^2}; 
         Null, $CellContext`RandomKsublist[
            Pattern[$CellContext`set, 
             Blank[]], 
            Pattern[$CellContext`k, 
             Blank[]]] := 
          Module[{$CellContext`sub = {}, $CellContext`rest = \
$CellContext`set, $CellContext`new}, 
            Do[$CellContext`new = Part[$CellContext`rest, 
                 RandomInteger[{1, 
                   Length[$CellContext`rest]}]]; $CellContext`sub = 
               AppendTo[$CellContext`sub, $CellContext`new]; \
$CellContext`rest = 
               Complement[$CellContext`rest, {$CellContext`new}], \
{$CellContext`k}]; $CellContext`sub]; Null, $CellContext`Randompermut[
            Pattern[$CellContext`k, 
             Blank[]]] := $CellContext`RandomKsublist[
            Range[$CellContext`k], $CellContext`k]; 
         Null, $CellContext`Inversepermut[
            Pattern[$CellContext`permut, 
             Blank[]]] := Flatten[
            Table[
             
             Position[$CellContext`permut, $CellContext`i], {$CellContext`i, 
              1, 
              Length[$CellContext`permut]}]]; Null}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->594945113],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Implicit Function Game",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ImplicitFunctionGame/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ImplicitFunctionGame/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ImplicitFunctionGame/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ImplicitFunctionGame/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ImplicitFunctionGame/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ImplicitFunctionGame"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{751, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Implicit Function Game - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 214, 4, 70, "Section"],
Cell[807, 29, 1327, 42, 70, "Input",
 InitializationCell->True,
 CellID->437233093],
Cell[2137, 73, 1319, 38, 70, "Input",
 InitializationCell->True,
 CellID->667868500],
Cell[3459, 113, 447, 11, 70, "Input",
 InitializationCell->True,
 CellID->281380927],
Cell[3909, 126, 630, 17, 70, "Input",
 InitializationCell->True,
 CellID->145281023],
Cell[4542, 145, 15062, 350, 70, "Input"]
}, Open  ]],
Cell[19619, 498, 10816, 224, 70, "Output",
 CellID->594945113],
Cell[CellGroupData[{
Cell[30460, 726, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[30836, 737, 899, 24, 70, "Text"],
Cell[31738, 763, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[32078, 774, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[32539, 792, 829, 24, 70, "Text"],
Cell[33371, 818, 1196, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature xTNPu0d37NEy#ApJ5uaFUAsL *)
