(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     19911,        525]
NotebookOptionsPosition[     18839,        485]
NotebookOutlinePosition[     19460,        509]
CellTagsIndexPosition[     19417,        506]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Injective, Surjective, Bijective", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"SeedRandom", "[", "rand", "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"dom", " ", "=", " ", 
         RowBox[{"Take", "[", 
          RowBox[{
           RowBox[{"RandomSample", "[", 
            RowBox[{"Range", "[", "range", "]"}], "]"}], ",", 
           RowBox[{"Min", "[", 
            RowBox[{"domain", ",", "range"}], "]"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"ran", " ", "=", " ", 
         RowBox[{"Flatten", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RandomSample", "[", 
             RowBox[{"Range", "[", "range", "]"}], "]"}], ",", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"RandomInteger", "[", 
               RowBox[{"{", 
                RowBox[{"1", ",", "range"}], "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"Abs", "[", 
                RowBox[{"domain", " ", "-", " ", "range"}], "]"}], "}"}]}], 
             "]"}]}], "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"pts", " ", "=", " ", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Random", "[", "]"}], "/", "2"}], ",", 
             RowBox[{"Random", "[", "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Max", "[", 
             RowBox[{"{", 
              RowBox[{"domain", ",", "range"}], "}"}], "]"}], "}"}]}], 
          "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{".5", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{".5", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{".7", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{".7", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1.2", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1.2", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{".7", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"#", ",", "14"}], "]"}], "&"}], "/@", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{"\"\<domain\>\"", ",", 
              RowBox[{"{", 
               RowBox[{".25", ",", "1.05"}], "}"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{"\"\<range\>\"", ",", 
              RowBox[{"{", 
               RowBox[{".95", ",", "1.05"}], "}"}]}], "]"}]}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"domain", "<", "range"}], ",", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Point", "/@", 
              RowBox[{"Take", "[", 
               RowBox[{"pts", ",", "domain"}], "]"}]}], ",", " ", 
             RowBox[{"Point", "/@", 
              RowBox[{"{", 
               RowBox[{"pts", "+", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{".7", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", "range", "}"}]}], "]"}]}], "}"}]}], ",", " ", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Arrow", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"pts", "[", 
                   RowBox[{"[", "n", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"pts", "[", 
                    RowBox[{"[", 
                    RowBox[{"dom", "[", 
                    RowBox[{"[", "n", "]"}], "]"}], "]"}], "]"}], "+", " ", 
                   RowBox[{"{", 
                    RowBox[{".7", ",", "0"}], "}"}]}]}], "}"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"n", ",", "1", ",", "domain"}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Text", "[", 
                RowBox[{"\"\<injection, or one-to-one\>\"", ",", 
                 RowBox[{"{", 
                  RowBox[{".6", ",", 
                   RowBox[{"-", ".05"}]}], "}"}]}], "]"}], ",", "18"}], 
              "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Point", "/@", "pts"}], ",", 
             RowBox[{"Point", "/@", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Take", "[", 
                 RowBox[{"pts", ",", "range"}], "]"}], "+", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{".7", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", "range", "}"}]}], "]"}]}], "}"}]}], ",", " ", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Arrow", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"pts", "[", 
                   RowBox[{"[", "n", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"pts", "[", 
                    RowBox[{"[", 
                    RowBox[{"ran", "[", 
                    RowBox[{"[", "n", "]"}], "]"}], "]"}], "]"}], "+", " ", 
                   RowBox[{"{", 
                    RowBox[{".7", ",", "0"}], "}"}]}]}], "}"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"n", ",", "1", ",", "domain"}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"domain", ">", "range"}], ",", "\[IndentingNewLine]", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Text", "[", 
                  RowBox[{"\"\<surjection, or onto\>\"", ",", 
                   RowBox[{"{", 
                    RowBox[{".6", ",", 
                    RowBox[{"-", ".05"}]}], "}"}]}], "]"}], ",", "18"}], 
                "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Text", "[", 
                  RowBox[{"\"\<bijection, or one-to-one and onto\>\"", ",", 
                   RowBox[{"{", 
                    RowBox[{".6", ",", 
                    RowBox[{"-", ".05"}]}], "}"}]}], "]"}], ",", "18"}], 
                "]"}]}], "]"}]}], "}"}]}], "]"}]}], "}"}], "]"}]}], "]"}]}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"domain", ",", "10", ",", "\"\<domain size\>\""}], "}"}], ",", 
     "3", ",", "40", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"range", ",", "20", ",", "\"\<range size\>\""}], "}"}], ",", 
     "3", ",", "40", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rand", ",", "1", ",", "\"\<random seed\>\""}], "}"}], ",", "1",
      ",", "1000", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", " ", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4119205290994864`*^9, {3.4119209240337443`*^9, 
   3.4119209344480963`*^9}, {3.411921057069296*^9, 3.411921117748927*^9}, {
   3.411921271563622*^9, 3.411921300007926*^9}, {3.411921721594577*^9, 
   3.411921722616168*^9}, {3.4119218369542575`*^9, 3.4119218675018377`*^9}, {
   3.4119232982108865`*^9, 3.411923298711711*^9}, {3.411923348407383*^9, 
   3.4119234369199533`*^9}, {3.4119234862939034`*^9, 3.411923584721323*^9}, {
   3.4119237273249083`*^9, 3.4119237279358234`*^9}, {3.4119238174999685`*^9, 
   3.411923933433608*^9}, {3.411924095890953*^9, 3.411924107206547*^9}, {
   3.4119242079053197`*^9, 3.4119242763396287`*^9}, {3.4119243205205145`*^9, 
   3.4119243253571796`*^9}, {3.4119251992853055`*^9, 3.411925271464852*^9}, {
   3.411925336864108*^9, 3.4119254261167383`*^9}, {3.411925547075493*^9, 
   3.41192557450603*^9}, {3.4119256279049435`*^9, 3.4119256720501823`*^9}, {
   3.4119257187592096`*^9, 3.411925926496206*^9}, {3.411925971913324*^9, 
   3.411925979524572*^9}, 3.411926068295759*^9},
 CellID->217925391]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`domain$$ = 7, $CellContext`rand$$ = 
    268, $CellContext`range$$ = 7, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`domain$$], 10, "domain size"}, 3, 40, 1}, {{
       Hold[$CellContext`range$$], 20, "range size"}, 3, 40, 1}, {{
       Hold[$CellContext`rand$$], 1, "random seed"}, 1, 1000, 1}}, 
    Typeset`size$$ = {360., {165., 170.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`domain$1749$$ = 0, $CellContext`range$1750$$ = 
    0, $CellContext`rand$1751$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`domain$$ = 10, $CellContext`rand$$ = 
        1, $CellContext`range$$ = 20}, "ControllerVariables" :> {
        Hold[$CellContext`domain$$, $CellContext`domain$1749$$, 0], 
        Hold[$CellContext`range$$, $CellContext`range$1750$$, 0], 
        Hold[$CellContext`rand$$, $CellContext`rand$1751$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (SeedRandom[$CellContext`rand$$]; 
       With[{$CellContext`dom$ = Take[
            RandomSample[
             Range[$CellContext`range$$]], 
            
            Min[$CellContext`domain$$, $CellContext`range$$]], \
$CellContext`ran$ = Flatten[{
             RandomSample[
              Range[$CellContext`range$$]], 
             Table[
              RandomInteger[{1, $CellContext`range$$}], {
               
               Abs[$CellContext`domain$$ - $CellContext`range$$]}]}], \
$CellContext`pts$ = Table[{Random[]/2, 
             Random[]}, {
             Max[{$CellContext`domain$$, $CellContext`range$$}]}]}, 
         Graphics[{
           Line[{{0, 0}, {0, 1}, {0.5, 1}, {0.5, 0}, {0, 0}}], 
           Line[{{0.7, 0}, {0.7, 1}, {1.2, 1}, {1.2, 0}, {0.7, 0}}], 
           Map[Style[#, 14]& , {
             Text["domain", {0.25, 1.05}], 
             Text["range", {0.95, 1.05}]}], 
           If[$CellContext`domain$$ < $CellContext`range$$, {
             Map[Point, 
              Take[$CellContext`pts$, $CellContext`domain$$]], 
             Map[
             Point, {$CellContext`pts$ + 
               Table[{0.7, 0}, {$CellContext`range$$}]}], 
             Table[
              Arrow[{
                Part[$CellContext`pts$, $CellContext`n], 
                Part[$CellContext`pts$, 
                  Part[$CellContext`dom$, $CellContext`n]] + {
                 0.7, 0}}], {$CellContext`n, 1, $CellContext`domain$$}], 
             Style[
              Text["injection, or one-to-one", {0.6, -0.05}], 18]}, {
             Map[Point, $CellContext`pts$], 
             Map[
             Point, {Take[$CellContext`pts$, $CellContext`range$$] + 
               Table[{0.7, 0}, {$CellContext`range$$}]}], 
             Table[
              Arrow[{
                Part[$CellContext`pts$, $CellContext`n], 
                Part[$CellContext`pts$, 
                  Part[$CellContext`ran$, $CellContext`n]] + {
                 0.7, 0}}], {$CellContext`n, 1, $CellContext`domain$$}], 
             If[$CellContext`domain$$ > $CellContext`range$$, 
              Style[
               Text["surjection, or onto", {0.6, -0.05}], 18], 
              Style[
               Text["bijection, or one-to-one and onto", {0.6, -0.05}], 
               18]]}]}]]), 
      "Specifications" :> {{{$CellContext`domain$$, 10, "domain size"}, 3, 40,
          1, Appearance -> 
         "Labeled"}, {{$CellContext`range$$, 20, "range size"}, 3, 40, 1, 
         Appearance -> "Labeled"}, {{$CellContext`rand$$, 1, "random seed"}, 
         1, 1000, 1, Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{404., {235., 240.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->58064453],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Injective, Surjective, Bijective",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/InjectiveSurjectiveBijective/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/InjectiveSurjectiveBijective/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/InjectiveSurjectiveBijective/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/InjectiveSurjectiveBijective/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/InjectiveSurjectiveBijective/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ed Pegg Jr",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
InjectiveSurjectiveBijective"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Injective, Surjective, Bijective - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 224, 4, 70, "Section"],
Cell[817, 29, 9130, 218, 70, "Input",
 CellID->217925391]
}, Open  ]],
Cell[9962, 250, 4512, 95, 70, "Output",
 CellID->58064453],
Cell[CellGroupData[{
Cell[14499, 349, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[14875, 360, 967, 28, 70, "Text"],
Cell[15845, 390, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16185, 401, 427, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[16637, 419, 967, 27, 70, "Text"],
Cell[17607, 448, 1204, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature RSjR1bRgZFZL8D0UtiOEu0vU *)
