(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     43095,       1106]
NotebookOptionsPosition[     41978,       1065]
NotebookOutlinePosition[     42600,       1089]
CellTagsIndexPosition[     42557,       1086]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Mapping an Interval to Another", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], ":=", 
  RowBox[{"Piecewise", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{".5", "+", 
         RowBox[{"(", 
          RowBox[{"1", "-", "x"}], ")"}]}], ",", 
        RowBox[{".5", "<", "x", "\[LessEqual]", "1"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", ".25"}], "+", 
         RowBox[{"(", 
          RowBox[{"1", "-", "x"}], ")"}]}], ",", 
        RowBox[{".25", "<", "x", "\[LessEqual]", ".5"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{".25", "+", ".25", "+", ".125"}], ")"}]}], "+", 
         RowBox[{"(", 
          RowBox[{"1", "-", "x"}], ")"}]}], ",", 
        RowBox[{".125", "<", "x", "\[LessEqual]", ".25"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
           ".25", "+", ".25", "+", ".125", "+", ".125", "+", ".0625"}], 
           ")"}]}], "+", 
         RowBox[{"(", 
          RowBox[{"1", "-", "x"}], ")"}]}], ",", 
        RowBox[{".0625", "<", "x", "\[LessEqual]", ".125"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
           ".25", "+", ".25", "+", ".125", "+", ".125", "+", ".0625", "+", 
            ".0625", "+", ".03125"}], ")"}]}], "+", 
         RowBox[{"(", 
          RowBox[{"1", "-", "x"}], ")"}]}], ",", 
        RowBox[{".03125", "<", "x", "\[LessEqual]", ".0625"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
           ".25", "+", ".25", "+", ".125", "+", ".125", "+", ".0625", "+", 
            ".0625", "+", ".03125", "+", ".03125", "+", "0.015625"}], ")"}]}],
          "+", 
         RowBox[{"(", 
          RowBox[{"1", "-", "x"}], ")"}]}], ",", 
        RowBox[{"0.015625", "<", "x", "\[LessEqual]", ".03125"}]}], "}"}]}], 
     "\[IndentingNewLine]", "}"}], ",", "0"}], "]"}]}]], "Input",
 CellID->291557496],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Switch", "[", "\[IndentingNewLine]", 
    RowBox[{
    "choose", ",", "\[IndentingNewLine]", "\"\<different lengths\>\"", ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{".5", "x"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "2"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".1"}], ",", "2.1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".1"}], ",", "1.1"}], "}"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Epilog", "\[Rule]", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"PointSize", "[", ".02", "]"}], ",", 
          RowBox[{"ColorData", "[", 
           RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Gray", ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "t"}], ",", 
                 RowBox[{"-", ".05"}]}], "}"}], ",", 
               RowBox[{"2", "t", 
                RowBox[{"{", 
                 RowBox[{"1", ",", ".5"}], " ", "}"}]}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", ".05"}], ",", 
                 RowBox[{".5", " ", "2", "t"}]}], "}"}]}], "}"}], "]"}]}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"PointSize", "[", ".013", "]"}], ",", "Black", ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"2", "t", 
                RowBox[{"{", 
                 RowBox[{"1", ",", ".5"}], " ", "}"}]}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "t"}], ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{".5", " ", "2", "t"}]}], "}"}]}], "}"}], "]"}]}], 
           "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"-", ".05"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", 
               RowBox[{"-", ".05"}]}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"-", ".05"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", 
               RowBox[{"-", ".05"}]}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", ".05"}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", ".05"}], ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", ".05"}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", ".05"}], ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "t"}], ",", 
                 RowBox[{"-", ".05"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", ".05"}], ",", 
                 RowBox[{".5", " ", "2", "t"}]}], "}"}]}], "}"}], "]"}]}], 
           "}"}]}], "\[IndentingNewLine]", "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"500", ",", "300"}], "}"}]}]}], "\[IndentingNewLine]", "]"}],
      ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\"\<finite to infinite (1)\>\"", ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"u", "=", 
       RowBox[{"2", " ", ".95", 
        RowBox[{"(", 
         RowBox[{"t", "-", ".5"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"2", "/", "Pi"}], " ", 
         RowBox[{"ArcTan", "[", "x", "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
        RowBox[{"Ticks", "\[Rule]", "None"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", "Gray"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Epilog", "\[Rule]", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{"Gray", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "1.4"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1.4"}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"ColorData", "[", 
            RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "10"}], ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"10", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "1"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"PointSize", "[", ".02", "]"}], ",", "\[IndentingNewLine]",
            
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "1"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"PointSize", "[", ".01", "]"}], ",", "White", ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"-", "1"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}]}], "}"}], ",",
            "\[IndentingNewLine]", 
           RowBox[{"PointSize", "[", ".01", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Tan", "[", 
               RowBox[{"u", " ", "GoldenRatio"}], "]"}], ",", "u"}], "}"}], 
            "]"}], ",", "\[IndentingNewLine]", "Gray", ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "u"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Tan", "[", 
                 RowBox[{"u", " ", "GoldenRatio"}], "]"}], ",", "u"}], 
               "}"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Tan", "[", 
                 RowBox[{"u", " ", "GoldenRatio"}], "]"}], ",", "u"}], "}"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Tan", "[", 
                 RowBox[{"u", " ", "GoldenRatio"}], "]"}], ",", "0"}], 
               "}"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
           RowBox[{"PointSize", "[", ".02", "]"}], ",", "\[IndentingNewLine]",
            
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "u"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Tan", "[", 
                 RowBox[{"u", " ", "GoldenRatio"}], "]"}], ",", "0"}], 
               "}"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"500", ",", "300"}], "}"}]}]}], "\[IndentingNewLine]", 
       "]"}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\"\<finite to infinite (2)\>\"", ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"x", "=", 
       RowBox[{"10", 
        RowBox[{"(", 
         RowBox[{"t", "-", ".5"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"ColorData", "[", 
           RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "15"}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"15", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"-", "1"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"1", ",", 
             RowBox[{"-", "1"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Disk", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}], ",", ".08"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"White", ",", 
            RowBox[{"Disk", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}], ",", ".04"}], "]"}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Disk", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"-", "1"}]}], "}"}], ",", ".08"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"White", ",", 
            RowBox[{"Disk", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "1"}]}], "}"}], ",", ".04"}], "]"}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"If", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"x", "\[GreaterEqual]", "0"}], ",", "\[IndentingNewLine]",
             
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"2", "x"}], "+", "1"}], ",", 
                   RowBox[{"-", "1"}]}], "}"}]}], "}"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"PointSize", "[", ".02", "]"}], ",", 
              RowBox[{"RGBColor", "[", 
               RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"x", ",", "0"}], "}"}], "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"x", "/", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", "x"}], ")"}]}]}], "}"}], "]"}]}], 
             "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"1", ",", 
                   RowBox[{"-", "1"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"2", "x"}], "-", "1"}], ",", "1"}], "}"}]}], 
                "}"}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"PointSize", "[", ".02", "]"}], ",", 
              RowBox[{"RGBColor", "[", 
               RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"x", ",", "0"}], "}"}], "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{
                  RowBox[{"-", "x"}], "/", 
                  RowBox[{"(", 
                   RowBox[{"x", "-", "1"}], ")"}]}]}], "}"}], "]"}]}], 
             "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "]"}]}], 
         "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "4.44"}], ",", "4.44"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.2"}], ",", "1.2"}], "}"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"500", ",", "300"}], "}"}]}]}], "\[IndentingNewLine]", 
       "]"}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\"\<half-open to open\>\"", ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"f", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
       
       RowBox[{"Exclusions", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         ".5", ",", ".25", ",", ".125", ",", ".0625", ",", ".03125", ",", 
          "0.015625"}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".1"}], ",", "1.1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".1"}], ",", "1.1"}], "}"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Epilog", "\[Rule]", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"ColorData", "[", 
           RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], ",", 
          RowBox[{"PointSize", "[", ".02", "]"}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"1", ",", ".5"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{".5", ",", ".25"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{".25", ",", ".125"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{".125", ",", ".0625"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{".0625", ",", ".03125"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{".03125", ",", ".015625"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{".5", ",", "1"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{".25", ",", ".5"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{".125", ",", ".25"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{".0625", ",", ".125"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{".03125", ",", ".0625"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{".015625", ",", ".03125"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Gray", ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"t", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"t", ",", 
                 RowBox[{"f", "[", "t", "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"f", "[", "t", "]"}]}], "}"}]}], "}"}], "]"}], ",", 
            "\[IndentingNewLine]", "Black", ",", 
            RowBox[{"PointSize", "[", ".013", "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"t", ",", 
                 RowBox[{"f", "[", "t", "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"t", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"f", "[", "t", "]"}]}], "}"}]}], "}"}], "]"}]}], 
           "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"-", ".05"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", 
               RowBox[{"-", ".05"}]}], "}"}]}], "}"}], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"-", ".05"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", ".05"}], ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", ".05"}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", ".05"}], ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", ".05"}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", 
               RowBox[{"-", ".05"}]}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"RGBColor", "[", 
           RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
          RowBox[{"PointSize", "[", ".02", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"t", ",", 
               RowBox[{"-", ".05"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", ".05"}], ",", 
               RowBox[{"f", "[", "t", "]"}]}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"PointSize", "[", ".01", "]"}], ",", "White", ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{".5", ",", "1"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{".25", ",", ".5"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{".125", ",", ".25"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{".0625", ",", ".125"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{".03125", ",", ".0625"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{".015625", ",", ".03125"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"-", ".05"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", ".05"}], ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", ".05"}], ",", "1"}], "}"}]}], "}"}], "]"}]}], 
           "}"}]}], "\[IndentingNewLine]", "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"500", ",", "300"}], "}"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "\"\<parameter\>\""}], "}"}], ",", "0", ",",
      "1.", ",", ".01"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"choose", ",", "\"\<different lengths\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<different lengths\>\"", ",", "\"\<finite to infinite (1)\>\"", 
       ",", "\"\<finite to infinite (2)\>\"", ",", 
       "\"\<half-open to open\>\""}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"choose", ",", "t"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.404438276972624*^9, 3.4044383385625715`*^9}, {
   3.4044383699592237`*^9, 3.404438374225668*^9}, {3.4044385113769956`*^9, 
   3.4044385279895597`*^9}, {3.4044386912709036`*^9, 
   3.4044387249492435`*^9}, {3.4044387562990117`*^9, 
   3.4044387688170395`*^9}, {3.4044397380499716`*^9, 
   3.4044397464422073`*^9}, {3.404439830786524*^9, 3.404439841085376*^9}, {
   3.4044398814681273`*^9, 3.4044398816712914`*^9}, {3.404482537059594*^9, 
   3.404482539715827*^9}, {3.4044825772780867`*^9, 3.404482577684334*^9}, {
   3.4048364259306946`*^9, 3.404836442837053*^9}, {3.4048364872904625`*^9, 
   3.404836544634579*^9}, {3.4048365749316483`*^9, 3.4048366352601595`*^9}, {
   3.4048366736822805`*^9, 3.404836685541731*^9}, {3.404836729417012*^9, 
   3.4048368631678677`*^9}, {3.4048395471225452`*^9, 
   3.4048398709371176`*^9}, {3.404839972703394*^9, 3.4048399938754044`*^9}, 
   3.404840046922619*^9, {3.4048401163605633`*^9, 3.404840156032692*^9}, {
   3.4048544735497737`*^9, 3.404854519675069*^9}, 3.404854630207026*^9, {
   3.4048547698016696`*^9, 3.4048548194738626`*^9}, {3.4048555304315376`*^9, 
   3.4048556433541355`*^9}, {3.40485592844971*^9, 3.404855938449774*^9}, {
   3.404855991262612*^9, 3.4048559979189043`*^9}, {3.4048560294034805`*^9, 
   3.404856091278877*^9}, 3.404856140857319*^9, {3.404856211029643*^9, 
   3.404856292873917*^9}, {3.404856330983536*^9, 3.404856339436715*^9}, {
   3.4048563721713*^9, 3.4048563798275986`*^9}, {3.4048564899689283`*^9, 
   3.404856589110188*^9}, {3.404857215317321*^9, 3.4048572607394867`*^9}, {
   3.405019431927125*^9, 3.4050194956615*^9}, 3.40501953125525*^9, 
   3.405019901802125*^9, {3.4054657399423704`*^9, 3.4054657413460016`*^9}, {
   3.405785596053957*^9, 3.405785598194609*^9}, {3.4057856672736187`*^9, 
   3.4057856692580185`*^9}, {3.405785700352167*^9, 3.405785756649762*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`choose$$ = 
    "different lengths", $CellContext`t$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`t$$], 0, "parameter"}, 0, 1., 0.01}, {{
       Hold[$CellContext`choose$$], "different lengths"}, {
      "different lengths", "finite to infinite (1)", "finite to infinite (2)",
        "half-open to open"}}}, Typeset`size$$ = {500., {148., 152.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`t$31748$$ = 0, $CellContext`choose$31749$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`choose$$ = 
        "different lengths", $CellContext`t$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$31748$$, 0], 
        Hold[$CellContext`choose$$, $CellContext`choose$31749$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Switch[$CellContext`choose$$, "different lengths", 
        Plot[
        0.5 $CellContext`x, {$CellContext`x, 0, 2}, 
         PlotRange -> {{-0.1, 2.1}, {-0.1, 1.1}}, Epilog -> {
           PointSize[0.02], 
           ColorData["HTML", "SlateBlue"], 
           Point[{{0, 0}, {2, 1}}], {Gray, 
            
            Line[{{2 $CellContext`t$$, -0.05}, 
              2 $CellContext`t$$ {1, 0.5}, {-0.05, 0.5 
               2 $CellContext`t$$}}]}, {
            PointSize[0.013], Black, 
            
            Point[{2 $CellContext`t$$ {1, 0.5}, {2 $CellContext`t$$, 0}, {
              0, 0.5 2 $CellContext`t$$}}]}, 
           Line[{{0, -0.05}, {2, -0.05}}], 
           Point[{{0, -0.05}, {2, -0.05}}], 
           Line[{{-0.05, 0}, {-0.05, 1}}], 
           Point[{{-0.05, 0}, {-0.05, 1}}], {
            RGBColor[1, 0.47, 0], 
            
            Point[{{2 $CellContext`t$$, -0.05}, {-0.05, 0.5 
               2 $CellContext`t$$}}]}}, ImageSize -> {500, 300}], 
        "finite to infinite (1)", $CellContext`u = 
         2 0.95 ($CellContext`t$$ - 0.5); 
        Plot[(2/Pi) ArcTan[$CellContext`x], {$CellContext`x, -10, 10}, Ticks -> 
          None, PlotStyle -> Gray, PlotRange -> {{-10, 10}, {-1.5, 1.5}}, 
          Epilog -> {Gray, 
            Line[{{0, -1.4}, {0, 1.4}}], 
            ColorData["HTML", "SlateBlue"], 
            Line[{{-10, 0}, {10, 0}}], 
            Line[{{0, -1}, {0, 1}}], 
            PointSize[0.02], 
            Point[{{0, -1}, {0, 1}}], {
             PointSize[0.01], White, 
             Point[{{0, -1}, {0, 1}}]}, 
            PointSize[0.01], 
            Point[{
              Tan[$CellContext`u GoldenRatio], $CellContext`u}], Gray, 
            Line[{{0, $CellContext`u}, {
               Tan[$CellContext`u GoldenRatio], $CellContext`u}}], 
            Line[{{
               Tan[$CellContext`u GoldenRatio], $CellContext`u}, {
               Tan[$CellContext`u GoldenRatio], 0}}], 
            RGBColor[1, 0.47, 0], 
            PointSize[0.02], 
            Point[{{0, $CellContext`u}, {
               Tan[$CellContext`u GoldenRatio], 0}}]}, 
          ImageSize -> {500, 300}], 
        "finite to infinite (2)", $CellContext`x = 
         10 ($CellContext`t$$ - 0.5); Graphics[{
           ColorData["HTML", "SlateBlue"], 
           Line[{{-15, 0}, {15, 0}}], 
           Line[{{0, -1}, {0, 1}}], 
           Point[{-1, 1}], 
           Point[{1, -1}], 
           Disk[{0, 1}, 0.08], {White, 
            Disk[{0, 1}, 0.04]}, 
           Disk[{0, -1}, 0.08], {White, 
            Disk[{0, -1}, 0.04]}, 
           If[$CellContext`x >= 0, {
             Line[{{-1, 1}, {2 $CellContext`x + 1, -1}}], 
             PointSize[0.02], 
             RGBColor[1, 0.47, 0], 
             Point[{$CellContext`x, 0}], 
             Point[{0, $CellContext`x/(1 + $CellContext`x)}]}, {
             Line[{{1, -1}, {2 $CellContext`x - 1, 1}}], 
             PointSize[0.02], 
             RGBColor[1, 0.47, 0], 
             Point[{$CellContext`x, 0}], 
             Point[{0, (-$CellContext`x)/($CellContext`x - 1)}]}]}, 
          PlotRange -> {{-4.44, 4.44}, {-1.2, 1.2}}, ImageSize -> {500, 300}],
         "half-open to open", 
        Plot[
         $CellContext`f[$CellContext`x], {$CellContext`x, 0, 1}, 
         Exclusions -> {0.5, 0.25, 0.125, 0.0625, 0.03125, 0.015625}, 
         PlotRange -> {{-0.1, 1.1}, {-0.1, 1.1}}, Epilog -> {
           ColorData["HTML", "SlateBlue"], 
           PointSize[0.02], 
           
           Point[{{1, 0.5}, {0.5, 0.25}, {0.25, 0.125}, {0.125, 0.0625}, {
             0.0625, 0.03125}, {0.03125, 0.015625}, {0, 0}}], 
           
           Point[{{0.5, 1}, {0.25, 0.5}, {0.125, 0.25}, {0.0625, 0.125}, {
             0.03125, 0.0625}, {0.015625, 0.03125}, {0, 0}}], {Gray, 
            Line[{{$CellContext`t$$, 0}, {$CellContext`t$$, 
               $CellContext`f[$CellContext`t$$]}, {0, 
               $CellContext`f[$CellContext`t$$]}}], Black, 
            PointSize[0.013], 
            Point[{{$CellContext`t$$, 
               $CellContext`f[$CellContext`t$$]}, {$CellContext`t$$, 0}, {0, 
               $CellContext`f[$CellContext`t$$]}}]}, 
           Line[{{0, -0.05}, {1, -0.05}}], 
           Point[{{0, -0.05}, {-0.05, 1}}], 
           Line[{{-0.05, 0}, {-0.05, 1}}], 
           Point[{{-0.05, 0}, {1, -0.05}}], 
           RGBColor[1, 0.47, 0], 
           PointSize[0.02], 
           Point[{{$CellContext`t$$, -0.05}, {-0.05, 
              $CellContext`f[$CellContext`t$$]}}], {
            PointSize[0.01], White, 
            
            Point[{{0.5, 1}, {0.25, 0.5}, {0.125, 0.25}, {0.0625, 0.125}, {
              0.03125, 0.0625}, {0.015625, 0.03125}, {0, 0}, {
              0, -0.05}, {-0.05, 0}, {-0.05, 1}}]}}, 
         ImageSize -> {500, 300}]], 
      "Specifications" :> {{{$CellContext`t$$, 0, "parameter"}, 0, 1., 
         0.01}, {{$CellContext`choose$$, "different lengths"}, {
         "different lengths", "finite to infinite (1)", 
          "finite to infinite (2)", "half-open to open"}}}, 
      "Options" :> {
       TrackedSymbols -> {$CellContext`choose$$, $CellContext`t$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {204., 209.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`x = -2.7, 
        Attributes[PlotRange] = {
         ReadProtected}, $CellContext`u = -0.95, $CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]]] := Piecewise[{{0.5 + (1 - $CellContext`x), 
            Inequality[
            0.5, Less, $CellContext`x, LessEqual, 1]}, {-0.25 + (
             1 - $CellContext`x), 
            Inequality[
            0.25, Less, $CellContext`x, LessEqual, 
             0.5]}, {-(0.25 + 0.25 + 0.125) + (1 - $CellContext`x), 
            Inequality[
            0.125, Less, $CellContext`x, LessEqual, 
             0.25]}, {-(0.25 + 0.25 + 0.125 + 0.125 + 0.0625) + (
             1 - $CellContext`x), 
            Inequality[
            0.0625, Less, $CellContext`x, LessEqual, 
             0.125]}, {-(0.25 + 0.25 + 0.125 + 0.125 + 0.0625 + 0.0625 + 
              0.03125) + (1 - $CellContext`x), 
            Inequality[
            0.03125, Less, $CellContext`x, LessEqual, 
             0.0625]}, {-(0.25 + 0.25 + 0.125 + 0.125 + 0.0625 + 0.0625 + 
              0.03125 + 0.03125 + 0.015625) + (1 - $CellContext`x), 
            Inequality[0.015625, Less, $CellContext`x, LessEqual, 0.03125]}}, 
          0]}; Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`f[
           Pattern[$CellContext`x, 
            Blank[]]] := Piecewise[{{0.5 + (1 - $CellContext`x), 
             Inequality[
             0.5, Less, $CellContext`x, LessEqual, 1]}, {-0.25 + (
              1 - $CellContext`x), 
             Inequality[
             0.25, Less, $CellContext`x, LessEqual, 
              0.5]}, {-(0.25 + 0.25 + 0.125) + (1 - $CellContext`x), 
             Inequality[
             0.125, Less, $CellContext`x, LessEqual, 
              0.25]}, {-(0.25 + 0.25 + 0.125 + 0.125 + 0.0625) + (
              1 - $CellContext`x), 
             Inequality[
             0.0625, Less, $CellContext`x, LessEqual, 
              0.125]}, {-(0.25 + 0.25 + 0.125 + 0.125 + 0.0625 + 0.0625 + 
               0.03125) + (1 - $CellContext`x), 
             Inequality[
             0.03125, Less, $CellContext`x, LessEqual, 
              0.0625]}, {-(0.25 + 0.25 + 0.125 + 0.125 + 0.0625 + 0.0625 + 
               0.03125 + 0.03125 + 0.015625) + (1 - $CellContext`x), 
             Inequality[0.015625, Less, $CellContext`x, LessEqual, 0.03125]}},
            0]}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->7948909],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Mapping an Interval to Another",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/MappingAnIntervalToAnother/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/MappingAnIntervalToAnother/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/MappingAnIntervalToAnother/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/MappingAnIntervalToAnother/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/MappingAnIntervalToAnother/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["George Beck",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=George+Beck"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
MappingAnIntervalToAnother"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Mapping an Interval to Another - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 222, 4, 70, "Section"],
Cell[815, 29, 2362, 69, 70, "Input",
 CellID->291557496],
Cell[3180, 100, 25304, 630, 70, "Input"]
}, Open  ]],
Cell[28499, 733, 9349, 197, 70, "Output",
 CellID->7948909],
Cell[CellGroupData[{
Cell[37873, 934, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[38249, 945, 955, 28, 70, "Text"],
Cell[39207, 975, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[39547, 986, 344, 12, 70, "Text"],
Cell[CellGroupData[{
Cell[39916, 1002, 829, 24, 70, "Text"],
Cell[40748, 1028, 1202, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 6RjnMMonYtG4VDD4lixeSXv6 *)
