(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     13305,        372]
NotebookOptionsPosition[     12122,        327]
NotebookOutlinePosition[     12747,        351]
CellTagsIndexPosition[     12704,        348]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Nested Trigonometric Function Plots", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"g", "[", 
       RowBox[{"h", "[", "x", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "xmax"}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "400"}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"f", "=", "f"}], ",", 
            RowBox[{"g", "=", "g"}], ",", 
            RowBox[{"h", "=", "h"}]}], "}"}], ",", 
          RowBox[{"y", "\[Equal]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"HoldForm", "[", 
               RowBox[{"f", "[", 
                RowBox[{"g", "[", 
                 RowBox[{"h", "[", "x", "]"}], "]"}], "]"}], "]"}], "/.", 
              RowBox[{"Identity", "\[Rule]", "z"}]}], "//.", 
             RowBox[{
              RowBox[{"z", "[", "x_", "]"}], "\[Rule]", "x"}]}], ")"}]}]}], 
         "]"}], ",", "16"}], "]"}]}], ",", 
     RowBox[{"PerformanceGoal", "\[Rule]", "\"\<Quality\>\""}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "25"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", "Tan", ",", "\"\<function 1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "Sin", ",", "Cos", ",", "Tan", ",", "ArcSin", ",", "ArcCos", ",", 
       "ArcTan", ",", "Identity"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"g", ",", "ArcSin", ",", "\"\<function 2\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "Sin", ",", "Cos", ",", "Tan", ",", "ArcSin", ",", "ArcCos", ",", 
       "ArcTan", ",", "Identity"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"h", ",", "Sin", ",", "\"\<function 3\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "Sin", ",", "Cos", ",", "Tan", ",", "ArcSin", ",", "ArcCos", ",", 
       "ArcTan", ",", "Identity"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xmax", ",", "10", ",", "\"\<range\>\""}], "}"}], ",", "1", ",",
      "40"}], "}"}], ",", 
   RowBox[{"ControllerLinking", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.35414967209734*^9, 3.3541498622404*^9}, {
   3.3541498934283*^9, 3.35414991586608*^9}, {3.35414995266343*^9, 
   3.35414998183568*^9}, {3.35415002019554*^9, 3.35415009082145*^9}, {
   3.3541501475878*^9, 3.35415015229098*^9}, {3.35415030851173*^9, 
   3.35415031291804*^9}, {3.36327763698438*^9, 3.36327770392188*^9}, {
   3.3711479454252863`*^9, 3.3711479681864157`*^9}, {3.371148076059808*^9, 
   3.371148264096712*^9}, {3.3711483477571325`*^9, 3.3711483857235713`*^9}, 
   3.371148431698555*^9, 3.37114858514104*^9, {3.3751067738891706`*^9, 
   3.375106798703393*^9}, {3.3751068330670033`*^9, 3.375106833802677*^9}, {
   3.375106876988112*^9, 3.3751068798060017`*^9}, 3.375106937367742*^9, {
   3.383927034408955*^9, 3.3839270459516172`*^9}, {3.38392770337313*^9, 
   3.383927717501999*^9}, {3.3839280267439833`*^9, 3.3839280335839987`*^9}, {
   3.383928091786463*^9, 3.38392810459536*^9}, {3.383928135094428*^9, 
   3.383928138082713*^9}, 3.383928385871578*^9},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`f$$ = Tan, $CellContext`g$$ = 
    ArcSin, $CellContext`h$$ = Sin, $CellContext`xmax$$ = 10, Typeset`show$$ =
     True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`f$$], Tan, "function 1"}, {
      Sin, Cos, Tan, ArcSin, ArcCos, ArcTan, Identity}}, {{
       Hold[$CellContext`g$$], ArcSin, "function 2"}, {
      Sin, Cos, Tan, ArcSin, ArcCos, ArcTan, Identity}}, {{
       Hold[$CellContext`h$$], Sin, "function 3"}, {
      Sin, Cos, Tan, ArcSin, ArcCos, ArcTan, Identity}}, {{
       Hold[$CellContext`xmax$$], 10, "range"}, 1, 40}}, Typeset`size$$ = {
    500., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`f$331957$$ = 
    0, $CellContext`g$331958$$ = 0, $CellContext`h$331959$$ = 
    0, $CellContext`xmax$331960$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`f$$ = Tan, $CellContext`g$$ = 
        ArcSin, $CellContext`h$$ = Sin, $CellContext`xmax$$ = 10}, 
      "ControllerVariables" :> {
        Hold[$CellContext`f$$, $CellContext`f$331957$$, 0], 
        Hold[$CellContext`g$$, $CellContext`g$331958$$, 0], 
        Hold[$CellContext`h$$, $CellContext`h$331959$$, 0], 
        Hold[$CellContext`xmax$$, $CellContext`xmax$331960$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[
        $CellContext`f$$[
         $CellContext`g$$[
          $CellContext`h$$[$CellContext`x]]], {$CellContext`x, 
         0, $CellContext`xmax$$}, ImageSize -> {500, 400}, PlotLabel -> 
        Style[
          
          With[{$CellContext`f = $CellContext`f$$, $CellContext`g = \
$CellContext`g$$, $CellContext`h = $CellContext`h$$}, $CellContext`y == 
           ReplaceRepeated[
             ReplaceAll[
              HoldForm[
               $CellContext`f[
                $CellContext`g[
                 $CellContext`h[$CellContext`x]]]], 
              Identity -> $CellContext`z], $CellContext`z[
               Pattern[$CellContext`x, 
                Blank[]]] -> $CellContext`x]], 16], PerformanceGoal -> 
        "Quality", ImagePadding -> 25], 
      "Specifications" :> {{{$CellContext`f$$, Tan, "function 1"}, {
         Sin, Cos, Tan, ArcSin, ArcCos, ArcTan, 
          Identity}}, {{$CellContext`g$$, ArcSin, "function 2"}, {
         Sin, Cos, Tan, ArcSin, ArcCos, ArcTan, 
          Identity}}, {{$CellContext`h$$, Sin, "function 3"}, {
         Sin, Cos, Tan, ArcSin, ArcCos, ArcTan, 
          Identity}}, {{$CellContext`xmax$$, 10, "range"}, 1, 40}}, 
      "Options" :> {ControllerLinking -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {279., 284.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->1197939465],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Nested Trigonometric Function Plots",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/NestedTrigonometricFunctionPlots/"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/NestedTrigonometricFunctionPlots/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
NestedTrigonometricFunctionPlots/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/NestedTrigonometricFunctionPlots/"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/NestedTrigonometricFunctionPlots/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Stephen Wolfram", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->1636187314],

Cell["Concept by: Christopher Wolfram", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->729313209]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
NestedTrigonometricFunctionPlots"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Nested Trigonometric Function Plots - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 18, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 227, 4, 70, "Section"],
Cell[820, 29, 3421, 81, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[4256, 113, 3455, 70, 70, "Output",
 CellID->1197939465],
Cell[CellGroupData[{
Cell[7736, 187, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[8112, 198, 986, 29, 70, "Text"],
Cell[CellGroupData[{
Cell[9123, 231, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9463, 242, 207, 6, 70, "Text",
 CellID->1636187314],
Cell[9673, 250, 206, 6, 70, "Text",
 CellID->729313209]
}, Open  ]],
Cell[CellGroupData[{
Cell[9916, 261, 967, 27, 70, "Text"],
Cell[10886, 290, 1208, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature kQz04mp1IFZPpDD6E59CgjEG *)
