(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16854,        458]
NotebookOptionsPosition[     15741,        415]
NotebookOutlinePosition[     16350,        439]
CellTagsIndexPosition[     16307,        436]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Piecewise Functions", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"a", ">", "b"}], ",", " ", 
      RowBox[{"b", "=", "a"}]}], "]"}], ";", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"Piecewise", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"func1", "/.", 
            RowBox[{"x", "\[Rule]", "t"}]}], ",", 
           RowBox[{"t", "<", "a"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"func2", "/.", 
            RowBox[{"x", "\[Rule]", "t"}]}], ",", 
           RowBox[{"t", "<", "b"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"func3", "/.", 
            RowBox[{"x", "\[Rule]", "t"}]}], ",", "True"}], "}"}]}], "}"}], 
       "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"t", ",", 
        RowBox[{"a", "-", "3"}], ",", " ", 
        RowBox[{"b", "+", "3"}]}], "}"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "450"}]}], "]"}]}], ",", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"-", "2"}], ",", "\"\<first rule change\>\""}], "}"}], ",", 
     " ", 
     RowBox[{"-", "5"}], ",", "5", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", " ", 
   
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "2", ",", "\"\<second rule change\>\""}], "}"}], ",", 
     "a", ",", "10", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", " ", 
   
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"func1", ",", " ", 
       RowBox[{"Sin", "[", "x", "]"}], ",", " ", 
       "\"\<function in region 1\>\""}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Sin", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"x", "+", "2"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"x", "+", "2"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"Exp", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Exp", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"x", "^", "2"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"x", "^", "2"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"Cos", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Cos", "[", "x", "]"}], "]"}]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"func2", ",", " ", 
       RowBox[{"x", "+", "2"}], ",", " ", "\"\<function in region 2\>\""}], 
      "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Sin", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"x", "+", "2"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"x", "+", "2"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"Exp", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Exp", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"x", "^", "2"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"x", "^", "2"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"Cos", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Cos", "[", "x", "]"}], "]"}]}]}], "}"}]}], "}"}], " ", ",", 
   " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"func3", ",", " ", 
       RowBox[{"Sin", "[", "x", "]"}], ",", " ", 
       "\"\<function in region 3\>\""}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Sin", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"x", "+", "2"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"x", "+", "2"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"Exp", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Exp", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"x", "^", "2"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"x", "^", "2"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"Cos", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Cos", "[", "x", "]"}], "]"}]}]}], "}"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.377607464052595*^9, {3.378676549765625*^9, 
   3.378676559125*^9}, {3.3788603455*^9, 3.378860379328125*^9}, {
   3.379198953828125*^9, 3.379198962078125*^9}, {3.380735702296875*^9, 
   3.380735702875*^9}},
 CellID->350818988]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = -2, $CellContext`b$$ = 
    2, $CellContext`func1$$ = Sin[$CellContext`x], $CellContext`func2$$ = 
    2 + $CellContext`x, $CellContext`func3$$ = Sin[$CellContext`x], 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], -2, "first rule change"}, -5, 5}, {{
       Hold[$CellContext`b$$], 2, "second rule change"}, 
      Dynamic[$CellContext`a$$], 10}, {{
       Hold[$CellContext`func1$$], 
       Sin[$CellContext`x], "function in region 1"}, {
      Sin[$CellContext`x] -> TraditionalForm[
         Sin[$CellContext`x]], 2 + $CellContext`x -> 
       TraditionalForm[2 + $CellContext`x], E^$CellContext`x -> 
       TraditionalForm[E^$CellContext`x], $CellContext`x^2 -> 
       TraditionalForm[$CellContext`x^2], Cos[$CellContext`x] -> 
       TraditionalForm[
         Cos[$CellContext`x]]}}, {{
       Hold[$CellContext`func2$$], 2 + $CellContext`x, 
       "function in region 2"}, {Sin[$CellContext`x] -> TraditionalForm[
         Sin[$CellContext`x]], 2 + $CellContext`x -> 
       TraditionalForm[2 + $CellContext`x], E^$CellContext`x -> 
       TraditionalForm[E^$CellContext`x], $CellContext`x^2 -> 
       TraditionalForm[$CellContext`x^2], Cos[$CellContext`x] -> 
       TraditionalForm[
         Cos[$CellContext`x]]}}, {{
       Hold[$CellContext`func3$$], 
       Sin[$CellContext`x], "function in region 3"}, {
      Sin[$CellContext`x] -> TraditionalForm[
         Sin[$CellContext`x]], 2 + $CellContext`x -> 
       TraditionalForm[2 + $CellContext`x], E^$CellContext`x -> 
       TraditionalForm[E^$CellContext`x], $CellContext`x^2 -> 
       TraditionalForm[$CellContext`x^2], Cos[$CellContext`x] -> 
       TraditionalForm[
         Cos[$CellContext`x]]}}}, Typeset`size$$ = {450., {137., 142.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$91672$$ = 0, $CellContext`b$91673$$ = 
    0, $CellContext`func1$91674$$ = 0, $CellContext`func2$91675$$ = 
    0, $CellContext`func3$91676$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = -2, $CellContext`b$$ = 
        2, $CellContext`func1$$ = Sin[$CellContext`x], $CellContext`func2$$ = 
        2 + $CellContext`x, $CellContext`func3$$ = Sin[$CellContext`x]}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$91672$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$91673$$, 0], 
        Hold[$CellContext`func1$$, $CellContext`func1$91674$$, 0], 
        Hold[$CellContext`func2$$, $CellContext`func2$91675$$, 0], 
        Hold[$CellContext`func3$$, $CellContext`func3$91676$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`a$$ > $CellContext`b$$, $CellContext`b$$ = \
$CellContext`a$$]; Plot[
         Piecewise[{{
            
            ReplaceAll[$CellContext`func1$$, $CellContext`x -> \
$CellContext`t], $CellContext`t < $CellContext`a$$}, {
            
            ReplaceAll[$CellContext`func2$$, $CellContext`x -> \
$CellContext`t], $CellContext`t < $CellContext`b$$}, {
            
            ReplaceAll[$CellContext`func3$$, $CellContext`x -> \
$CellContext`t], True}}], {$CellContext`t, $CellContext`a$$ - 
          3, $CellContext`b$$ + 3}, ImageSize -> 450]), 
      "Specifications" :> {{{$CellContext`a$$, -2, "first rule change"}, -5, 
         5, Appearance -> 
         "Labeled"}, {{$CellContext`b$$, 2, "second rule change"}, 
         Dynamic[$CellContext`a$$], 10, Appearance -> 
         "Labeled"}, {{$CellContext`func1$$, 
          Sin[$CellContext`x], "function in region 1"}, {
         Sin[$CellContext`x] -> TraditionalForm[
            Sin[$CellContext`x]], 2 + $CellContext`x -> 
          TraditionalForm[2 + $CellContext`x], E^$CellContext`x -> 
          TraditionalForm[E^$CellContext`x], $CellContext`x^2 -> 
          TraditionalForm[$CellContext`x^2], Cos[$CellContext`x] -> 
          TraditionalForm[
            Cos[$CellContext`x]]}}, {{$CellContext`func2$$, 
          2 + $CellContext`x, "function in region 2"}, {
         Sin[$CellContext`x] -> TraditionalForm[
            Sin[$CellContext`x]], 2 + $CellContext`x -> 
          TraditionalForm[2 + $CellContext`x], E^$CellContext`x -> 
          TraditionalForm[E^$CellContext`x], $CellContext`x^2 -> 
          TraditionalForm[$CellContext`x^2], Cos[$CellContext`x] -> 
          TraditionalForm[
            Cos[$CellContext`x]]}}, {{$CellContext`func3$$, 
          Sin[$CellContext`x], "function in region 3"}, {
         Sin[$CellContext`x] -> TraditionalForm[
            Sin[$CellContext`x]], 2 + $CellContext`x -> 
          TraditionalForm[2 + $CellContext`x], E^$CellContext`x -> 
          TraditionalForm[E^$CellContext`x], $CellContext`x^2 -> 
          TraditionalForm[$CellContext`x^2], Cos[$CellContext`x] -> 
          TraditionalForm[
            Cos[$CellContext`x]]}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {231., 236.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->32298326],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Piecewise Functions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PiecewiseFunctions/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PiecewiseFunctions/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/PiecewiseFunctions/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PiecewiseFunctions/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PiecewiseFunctions/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Chris Boucher", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->570989792]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PiecewiseFunctions"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Piecewise Functions - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 18, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 211, 4, 70, "Section"],
Cell[804, 29, 5035, 140, 70, "Input",
 CellID->350818988]
}, Open  ]],
Cell[5854, 172, 5802, 112, 70, "Output",
 CellID->32298326],
Cell[CellGroupData[{
Cell[11681, 288, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[12057, 299, 886, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[12968, 327, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13308, 338, 204, 6, 70, "Text",
 CellID->570989792]
}, Open  ]],
Cell[CellGroupData[{
Cell[13549, 349, 967, 27, 70, "Text"],
Cell[14519, 378, 1194, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature XT4292xhwy#HPDDSgcjO8h6H *)
