(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     34493,        869]
NotebookOptionsPosition[     33318,        826]
NotebookOutlinePosition[     33952,        850]
CellTagsIndexPosition[     33909,        847]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Relations and Functions between Small Sets", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"zip", "[", 
    RowBox[{"list1_", ",", "list2_"}], "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"list1", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
       RowBox[{"list2", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Min", "[", 
        RowBox[{
         RowBox[{"Length", "[", "list1", "]"}], ",", 
         RowBox[{"Length", "[", "list2", "]"}]}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"labels", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"ToString", "[", "i", "]"}], "<>", "\"\<.\>\""}], ",", " ", 
       RowBox[{"{", 
        RowBox[{".85", ",", 
         RowBox[{"11", "-", "i"}]}], "}"}]}], "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "10"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"domain", "[", "list_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Position", "[", 
     RowBox[{"list", ",", "1"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "1"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"range", "[", "list_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Position", "[", 
     RowBox[{"list", ",", "1"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellID->19961150],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"DynamicModule", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"onvalues", "=", 
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"Transpose", "[", 
          RowBox[{"Join", "[", 
           RowBox[{
            RowBox[{"IdentityMatrix", "[", 
             RowBox[{"Min", "[", 
              RowBox[{"m", ",", "n"}], "]"}], "]"}], ",", " ", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", 
                RowBox[{"Abs", "[", 
                 RowBox[{"m", "-", "n"}], "]"}]}], "}"}], ",", " ", 
              RowBox[{"{", 
               RowBox[{"j", ",", 
                RowBox[{"Min", "[", 
                 RowBox[{"m", ",", "n"}], "]"}]}], "}"}]}], "]"}]}], "]"}], 
          "]"}], ",", " ", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", 
             RowBox[{"Abs", "[", 
              RowBox[{"m", "-", "n"}], "]"}]}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"j", ",", 
             RowBox[{"Min", "[", 
              RowBox[{"m", ",", "n"}], "]"}]}], "}"}]}], "]"}]}], "]"}]}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Dynamic", "@", 
      RowBox[{"Grid", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Text", "@", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Length", "[", 
                RowBox[{"domain", "[", "onvalues", "]"}], "]"}], "\[Equal]", 
               "0"}], ",", " ", "\"\<This relation is empty.\>\"", ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Length", "[", 
                  RowBox[{"Union", "[", 
                   RowBox[{"domain", "[", "onvalues", "]"}], "]"}], "]"}], 
                 "<", 
                 RowBox[{"Length", "[", 
                  RowBox[{"domain", "[", "onvalues", "]"}], "]"}]}], ",", 
                " ", "\"\<This relation is not a function.\>\"", ",", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Sort", "@", 
                    RowBox[{"Union", "@", 
                    RowBox[{"range", "[", "onvalues", "]"}]}]}], "\[Equal]", 
                   RowBox[{"Range", "[", "n", "]"}]}], ",", " ", 
                  "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"Union", "[", 
                    RowBox[{"range", "[", "onvalues", "]"}], "]"}], "]"}], 
                    "\[Equal]", 
                    RowBox[{"Length", "[", 
                    RowBox[{"Union", "[", 
                    RowBox[{"domain", "[", "onvalues", "]"}], "]"}], "]"}]}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<This relation is a bijective function with domain \>\
\"", ",", " ", 
                    RowBox[{"Sort", "@", 
                    RowBox[{"Union", "[", 
                    RowBox[{"domain", "[", "onvalues", "]"}], "]"}]}], ",", 
                    "\"\<.\>\""}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<This relation is a surjective function with domain \
\>\"", ",", " ", 
                    RowBox[{"Sort", "@", 
                    RowBox[{"Union", "[", 
                    RowBox[{"domain", "[", "onvalues", "]"}], "]"}]}], ",", 
                    "\"\<.\>\""}], "}"}], "]"}]}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"Union", "[", 
                    RowBox[{"range", "[", "onvalues", "]"}], "]"}], "]"}], 
                    "\[Equal]", 
                    RowBox[{"Length", "[", 
                    RowBox[{"Union", "[", 
                    RowBox[{"domain", "[", "onvalues", "]"}], "]"}], "]"}]}], 
                    ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<This relation is an injective function with domain \
\>\"", ",", " ", 
                    RowBox[{"Sort", "@", 
                    RowBox[{"Union", "[", 
                    RowBox[{"domain", "[", "onvalues", "]"}], "]"}]}], ",", 
                    "\"\<.\>\""}], "}"}], "]"}], ",", 
                    "\"\<This relation is a function that is neither \
injective nor surjective.\>\""}], "]"}]}], "]"}]}], "]"}]}], "]"}]}], ",", 
           " ", "SpanFromLeft"}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"ClickPane", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Graphics", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"AbsolutePointSize", "[", "5", "]"}], ",", 
                    "Black", ",", 
                    RowBox[{"Point", "[", "#", "]"}]}], "}"}], "&"}], "/@", 
                  RowBox[{"If", "[", 
                   RowBox[{"showinv", ",", 
                    RowBox[{"Complement", "[", 
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"onvalues", ",", "0"}], "]"}], ",", 
                    RowBox[{"Reverse", "/@", 
                    RowBox[{"Position", "[", 
                    RowBox[{"onvalues", ",", "1"}], "]"}]}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Position", "[", 
                    RowBox[{"onvalues", ",", "0"}], "]"}]}], "]"}]}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"AbsolutePointSize", "[", "10", "]"}], ",", " ", 
                    RowBox[{"ColorData", "[", 
                    RowBox[{"1", ",", "1"}], "]"}], ",", " ", 
                    RowBox[{"Point", "[", "#", "]"}]}], "}"}], "&"}], "/@", 
                  RowBox[{"Position", "[", 
                   RowBox[{"onvalues", ",", "1"}], "]"}]}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"AbsolutePointSize", "[", "10", "]"}], ",", " ", 
                    RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"ColorData", "[", 
                    RowBox[{"1", ",", "2"}], "]"}], ",", 
                    RowBox[{"Opacity", "[", ".5", "]"}]}], "]"}], ",", " ", 
                    RowBox[{"Point", "[", "#", "]"}]}], "}"}], "&"}], "/@", 
                  RowBox[{"If", "[", 
                   RowBox[{"showinv", ",", " ", 
                    RowBox[{"Reverse", "/@", 
                    RowBox[{"Position", "[", 
                    RowBox[{"onvalues", ",", "1"}], "]"}]}], ",", 
                    RowBox[{"{", "}"}]}], "]"}]}]}], "}"}], ",", " ", 
               "\[IndentingNewLine]", 
               RowBox[{"Axes", "\[Rule]", "True"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"ImageSize", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"310", ",", "330"}], "}"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"PlotLabel", "\[Rule]", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<Graph\>\"", ",", " ", "Underlined"}], "]"}]}], 
               ",", "\[IndentingNewLine]", 
               RowBox[{"PlotRange", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"showinv", ",", 
                    RowBox[{
                    RowBox[{"Max", "[", 
                    RowBox[{"m", ",", "n"}], "]"}], "+", ".3"}], ",", 
                    RowBox[{"m", "+", ".3"}]}], "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"showinv", ",", 
                    RowBox[{
                    RowBox[{"Max", "[", 
                    RowBox[{"m", ",", "n"}], "]"}], "+", ".3"}], ",", 
                    RowBox[{"n", "+", ".3"}]}], "]"}]}], "}"}]}], "}"}]}], 
               ",", "\[IndentingNewLine]", 
               RowBox[{"Ticks", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Range", "[", "m", "]"}], ",", 
                  RowBox[{"Range", "[", "n", "]"}]}], "}"}]}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"onvalues", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"First", "[", 
                    RowBox[{"Round", "[", "#", "]"}], "]"}], ",", 
                   RowBox[{"Last", "[", 
                    RowBox[{"Round", "[", "#", "]"}], "]"}]}], "]"}], "]"}], 
                "=", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"First", "[", 
                    RowBox[{"Round", "[", "#", "]"}], "]"}], "\[LessEqual]", 
                    "m"}], "&&", 
                   RowBox[{
                    RowBox[{"Last", "[", 
                    RowBox[{"Round", "[", "#", "]"}], "]"}], "\[LessEqual]", 
                    "n"}]}], ",", 
                  RowBox[{"1", "-", 
                   RowBox[{"onvalues", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"First", "[", 
                    RowBox[{"Round", "[", "#", "]"}], "]"}], ",", 
                    RowBox[{"Last", "[", 
                    RowBox[{"Round", "[", "#", "]"}], "]"}]}], "]"}], "]"}]}],
                   ",", 
                  RowBox[{"onvalues", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"First", "[", 
                    RowBox[{"Round", "[", "#", "]"}], "]"}], ",", 
                    RowBox[{"Last", "[", 
                    RowBox[{"Round", "[", "#", "]"}], "]"}]}], "]"}], "]"}]}],
                  "]"}]}], ")"}], "&"}]}], "]"}], ",", "\[IndentingNewLine]", 
           
           RowBox[{"Graphics", "[", 
            RowBox[{
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Point", "@", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"1", ",", 
                    RowBox[{"10", "+", "1", "-", "i"}]}], "}"}], ",", " ", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "1", ",", "m"}], "}"}]}], "]"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Point", "@", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"3", ",", 
                    RowBox[{"10", "+", "1", "-", "i"}]}], "}"}], ",", " ", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Arrowheads", "[", ".1", "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{"domain", "[", "onvalues", "]"}], "]"}], "*", 
                   RowBox[{"Length", "[", 
                    RowBox[{"range", "[", "onvalues", "]"}], "]"}]}], ">", 
                  "0"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Arrow", "/@", 
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1.1", ",", 
                    RowBox[{"11", "-", 
                    RowBox[{
                    RowBox[{"domain", "[", "onvalues", "]"}], "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}]}], "}"}], ",", " ", 
                    RowBox[{"{", 
                    RowBox[{"2.9", ",", 
                    RowBox[{"11", "-", 
                    RowBox[{
                    RowBox[{"range", "[", "onvalues", "]"}], "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}]}], "}"}]}], "}"}], ",", 
                    " ", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "1", ",", 
                    RowBox[{"Length", "[", 
                    RowBox[{"domain", "[", "onvalues", "]"}], "]"}]}], 
                    "}"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Arrow", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "]"}], 
               ",", "\[IndentingNewLine]", "labels"}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]",
              
             RowBox[{"FrameTicks", "\[Rule]", "None"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"240", ",", "350"}], "}"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{".55", ",", "3.45"}], "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "11"}], "}"}]}], "}"}]}]}], "]"}]}], 
          "}"}]}], "}"}], "]"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "3", ",", "\"\<source size\>\""}], "}"}], ",", " ", 
     "1", ",", "10", ",", "1", ",", " ", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "3", ",", "\"\<target size\>\""}], "}"}], ",", " ", 
     "1", ",", "10", ",", "1", ",", " ", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "showinv", ",", " ", "False", ",", " ", 
       "\"\<show graph of inverse relation\>\""}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", " ", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"m", ",", "n"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4143166744393997`*^9, {3.4143167128504*^9, 
   3.4143167201914*^9}, {3.4143168847394*^9, 3.4143169238914003`*^9}, {
   3.4143170215524*^9, 3.4143171060464*^9}, {3.4143171594164*^9, 
   3.4143171695604*^9}, {3.4143173188543997`*^9, 3.4143175098054*^9}, {
   3.4143176160414*^9, 3.4143176447434*^9}, {3.4143177397774*^9, 
   3.4143177433624*^9}, {3.4143178548224*^9, 3.4143178654454*^9}, {
   3.4143180501914*^9, 3.4143181128143997`*^9}, {3.4143185562304*^9, 
   3.4143186016113997`*^9}, {3.4143188076944*^9, 3.4143188097514*^9}, {
   3.4143188783034*^9, 3.4143188789744*^9}, {3.4143189785474*^9, 
   3.4143190079264*^9}, {3.4143313844624*^9, 3.4143313960144*^9}, {
   3.4143314791854*^9, 3.4143314948464003`*^9}, 3.41433275028253*^9, {
   3.414344337365*^9, 3.414344413692*^9}, {3.414344549653*^9, 
   3.4143446378640003`*^9}, {3.414344678459*^9, 3.414344751073*^9}, {
   3.414344811152*^9, 3.4143448398529997`*^9}, {3.414344870802*^9, 
   3.414345000545*^9}, {3.414345131094*^9, 3.414345190942*^9}, {
   3.414345242658*^9, 3.414345292709*^9}, {3.414345334012*^9, 
   3.414345338743*^9}, {3.4143475213139677`*^9, 3.4143475392050505`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`m$$ = 3, $CellContext`n$$ = 
    5, $CellContext`showinv$$ = False, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`m$$], 3, "source size"}, 1, 10, 1}, {{
       Hold[$CellContext`n$$], 5, "target size"}, 1, 10, 1}, {{
       Hold[$CellContext`showinv$$], False, 
       "show graph of inverse relation"}, {True, False}}}, Typeset`size$$ = {
    558., {182.5, 187.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`m$22860$$ = 
    0, $CellContext`n$22861$$ = 0, $CellContext`showinv$22862$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`m$$ = 3, $CellContext`n$$ = 
        5, $CellContext`showinv$$ = False}, "ControllerVariables" :> {
        Hold[$CellContext`m$$, $CellContext`m$22860$$, 0], 
        Hold[$CellContext`n$$, $CellContext`n$22861$$, 0], 
        Hold[$CellContext`showinv$$, $CellContext`showinv$22862$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      DynamicModule[{$CellContext`onvalues = Join[
           Transpose[
            Join[
             IdentityMatrix[
              Min[$CellContext`m$$, $CellContext`n$$]], 
             Table[0, {$CellContext`i, 
               Abs[$CellContext`m$$ - $CellContext`n$$]}, {$CellContext`j, 
               Min[$CellContext`m$$, $CellContext`n$$]}]]], 
           Table[0, {$CellContext`i, 
             Abs[$CellContext`m$$ - $CellContext`n$$]}, {$CellContext`j, 
             Min[$CellContext`m$$, $CellContext`n$$]}]]}, 
        Dynamic[
         Grid[{{
            Text[
             If[Length[
                $CellContext`domain[$CellContext`onvalues]] == 0, 
              "This relation is empty.", 
              If[Length[
                 Union[
                  $CellContext`domain[$CellContext`onvalues]]] < Length[
                 $CellContext`domain[$CellContext`onvalues]], 
               "This relation is not a function.", 
               If[Sort[
                  Union[
                   $CellContext`range[$CellContext`onvalues]]] == 
                Range[$CellContext`n$$], 
                If[Length[
                   Union[
                    $CellContext`range[$CellContext`onvalues]]] == Length[
                   Union[
                    $CellContext`domain[$CellContext`onvalues]]], 
                 Row[{"This relation is a bijective function with domain ", 
                   Sort[
                    Union[
                    $CellContext`domain[$CellContext`onvalues]]], "."}], 
                 Row[{"This relation is a surjective function with domain ", 
                   Sort[
                    Union[
                    $CellContext`domain[$CellContext`onvalues]]], "."}]], 
                If[Length[
                   Union[
                    $CellContext`range[$CellContext`onvalues]]] == Length[
                   Union[
                    $CellContext`domain[$CellContext`onvalues]]], 
                 Row[{"This relation is an injective function with domain ", 
                   Sort[
                    Union[
                    $CellContext`domain[$CellContext`onvalues]]], "."}], 
                 "This relation is a function that is neither injective nor \
surjective."]]]]], SpanFromLeft}, {
            ClickPane[
             Graphics[{
               Map[{
                 AbsolutePointSize[5], Black, 
                 Point[#]}& , 
                If[$CellContext`showinv$$, 
                 Complement[
                  Position[$CellContext`onvalues, 0], 
                  Map[Reverse, 
                   Position[$CellContext`onvalues, 1]]], 
                 Position[$CellContext`onvalues, 0]]], 
               Map[{
                 AbsolutePointSize[10], 
                 ColorData[1, 1], 
                 Point[#]}& , 
                Position[$CellContext`onvalues, 1]], 
               Map[{
                 AbsolutePointSize[10], 
                 Directive[
                  ColorData[1, 2], 
                  Opacity[0.5]], 
                 Point[#]}& , 
                If[$CellContext`showinv$$, 
                 Map[Reverse, 
                  Position[$CellContext`onvalues, 1]], {}]]}, Axes -> True, 
              ImageSize -> {310, 330}, PlotLabel -> 
              Style["Graph", Underlined], PlotRange -> {{0, 
                 
                 If[$CellContext`showinv$$, 
                  Max[$CellContext`m$$, $CellContext`n$$] + 
                  0.3, $CellContext`m$$ + 0.3]}, {0, 
                 
                 If[$CellContext`showinv$$, 
                  Max[$CellContext`m$$, $CellContext`n$$] + 
                  0.3, $CellContext`n$$ + 0.3]}}, Ticks -> {
                Range[$CellContext`m$$], 
                Range[$CellContext`n$$]}], (Part[$CellContext`onvalues, 
               First[
                Round[#]], 
               Last[
                Round[#]]] = If[
               And[First[
                  Round[#]] <= $CellContext`m$$, Last[
                  Round[#]] <= $CellContext`n$$], 1 - 
               Part[$CellContext`onvalues, 
                First[
                 Round[#]], 
                Last[
                 Round[#]]], 
               Part[$CellContext`onvalues, 
                First[
                 Round[#]], 
                Last[
                 Round[#]]]])& ], 
            Graphics[{
              Point[
               
               Table[{1, 10 + 1 - $CellContext`i}, {$CellContext`i, 
                 1, $CellContext`m$$}]], 
              Point[
               
               Table[{3, 10 + 1 - $CellContext`i}, {$CellContext`i, 
                 1, $CellContext`n$$}]], 
              Arrowheads[0.1], 
              If[Length[
                  $CellContext`domain[$CellContext`onvalues]] Length[
                  $CellContext`range[$CellContext`onvalues]] > 0, 
               Map[Arrow, 
                Table[{{1.1, 11 - Part[
                    $CellContext`domain[$CellContext`onvalues], \
$CellContext`i]}, {2.9, 11 - Part[
                    $CellContext`range[$CellContext`onvalues], \
$CellContext`i]}}, {$CellContext`i, 1, 
                  Length[
                   $CellContext`domain[$CellContext`onvalues]]}]], 
               Arrow[{{0, 0}, {0, 0}}]], $CellContext`labels}, Frame -> True, 
             FrameTicks -> None, ImageSize -> {240, 350}, 
             PlotRange -> {{0.55, 3.45}, {0, 11}}]}}]]], 
      "Specifications" :> {{{$CellContext`m$$, 3, "source size"}, 1, 10, 1, 
         Appearance -> "Labeled"}, {{$CellContext`n$$, 5, "target size"}, 1, 
         10, 1, Appearance -> 
         "Labeled"}, {{$CellContext`showinv$$, False, 
          "show graph of inverse relation"}, {True, False}}}, 
      "Options" :> {TrackedSymbols -> {$CellContext`m$$, $CellContext`n$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{602., {249., 254.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`domain[
          Pattern[$CellContext`list, 
           Blank[]]] := Part[
          Position[$CellContext`list, 1], All, 1], $CellContext`range[
          Pattern[$CellContext`list, 
           Blank[]]] := Part[
          Position[$CellContext`list, 1], All, 2], 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`labels = {
          Text["1.", {0.85, 10}], 
          Text["2.", {0.85, 9}], 
          Text["3.", {0.85, 8}], 
          Text["4.", {0.85, 7}], 
          Text["5.", {0.85, 6}], 
          Text["6.", {0.85, 5}], 
          Text["7.", {0.85, 4}], 
          Text["8.", {0.85, 3}], 
          Text["9.", {0.85, 2}], 
          Text["10.", {0.85, 1}]}}; Typeset`initDone$$ = True); 
     ReleaseHold[{{
         HoldComplete[$CellContext`zip[
             Pattern[$CellContext`list1, 
              Blank[]], 
             Pattern[$CellContext`list2, 
              Blank[]]] := Table[{
              Part[$CellContext`list1, $CellContext`i], 
              Part[$CellContext`list2, $CellContext`i]}, {$CellContext`i, 1, 
              Min[
               Length[$CellContext`list1], 
               Length[$CellContext`list2]]}]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`labels = Table[
             Text[
              StringJoin[
               ToString[$CellContext`i], "."], {
              0.85, 11 - $CellContext`i}], {$CellContext`i, 1, 10}]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`domain[
             Pattern[$CellContext`list, 
              Blank[]]] := Part[
             Position[$CellContext`list, 1], All, 1]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`range[
             Pattern[$CellContext`list, 
              Blank[]]] := Part[
             Position[$CellContext`list, 1], All, 2]; Null]}}]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->908976823],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Relations and Functions between Small Sets",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
RelationsAndFunctionsBetweenSmallSets/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/RelationsAndFunctionsBetweenSmallSets/"]\
,
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
RelationsAndFunctionsBetweenSmallSets/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
RelationsAndFunctionsBetweenSmallSets/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/RelationsAndFunctionsBetweenSmallSets/"]\

}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Chris Boucher",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->703231179],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
RelationsAndFunctionsBetweenSmallSets"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Relations and Functions between Small Sets - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 234, 4, 70, "Section"],
Cell[827, 29, 1602, 52, 70, "Input",
 InitializationCell->True,
 CellID->19961150],
Cell[2432, 83, 16918, 381, 70, "Input"]
}, Open  ]],
Cell[19365, 467, 9633, 218, 70, "Output",
 CellID->908976823],
Cell[CellGroupData[{
Cell[29023, 689, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[29399, 700, 1022, 31, 70, "Text"],
Cell[30424, 733, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[30764, 744, 456, 15, 70, "Text",
 CellID->703231179],
Cell[CellGroupData[{
Cell[31245, 763, 829, 24, 70, "Text"],
Cell[32077, 789, 1213, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature bQz6HtstnbKpqDTlnYvzWFh8 *)
