(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     30943,        734]
NotebookOptionsPosition[     29815,        693]
NotebookOutlinePosition[     30488,        718]
CellTagsIndexPosition[     30445,        715]
WindowTitle->Sums of Sine Waves with Several Step Sizes (Sawtooth or Square \
Approximations) - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Sums of Sine Waves with Several Step Sizes (Sawtooth or Square Approximations)\
\>", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"min", ",", "max"}], "}"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Min", "@", "#"}], ",", 
         RowBox[{"Max", "@", "#"}]}], "}"}], "&"}], "@", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"n", " ", "x"}], " ", "+", " ", "\[Phi]"}], "]"}], " ", 
           "/", " ", "n"}], ",", 
          RowBox[{"{", 
           RowBox[{"n", ",", "1", ",", "waves", ",", " ", "step"}], "}"}]}], 
         "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", "0", ",", " ", 
          RowBox[{"2", "\[Pi]"}], ",", "0.01"}], "}"}]}], "]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"step", " ", ">", " ", "waves"}], ",", 
      RowBox[{"step", " ", "=", "waves"}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"Evaluate", "@", 
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Sin", "[", 
              RowBox[{
               RowBox[{"n", " ", "x"}], " ", "+", " ", "\[Phi]"}], "]"}], " ",
              "/", " ", "n"}], ",", 
            RowBox[{"{", 
             RowBox[{"n", ",", "1", ",", "waves", ",", " ", "step"}], "}"}]}],
            "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0", ",", 
           RowBox[{"2", " ", "Pi"}]}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Ticks", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"\[Pi]", "/", "2"}], ",", "\[Pi]", ",", 
              RowBox[{"3", 
               RowBox[{"\[Pi]", "/", "2"}]}], ",", 
              RowBox[{"2", "Pi"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "2"}], ",", 
              RowBox[{"-", "1"}], ",", "0", ",", "1", ",", " ", "2"}], 
             "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"Filling", " ", "\[Rule]", " ", "Axis"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"ImageSize", " ", "\[Rule]", " ", 
          RowBox[{"{", 
           RowBox[{"375", ",", "225"}], "}"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"Epilog", " ", "\[Rule]", " ", 
          RowBox[{"{", 
           RowBox[{"Dotted", ",", " ", "Gray", ",", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "1"}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "\[Pi]"}], ",", " ", "1"}], "}"}]}], "}"}], 
             "]"}], ",", " ", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"-", "1"}]}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "\[Pi]"}], ",", " ", 
                 RowBox[{"-", "1"}]}], "}"}]}], "}"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "max"}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "\[Pi]"}], ",", " ", "max"}], "}"}]}], "}"}], 
             "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "min"}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "\[Pi]"}], ",", " ", "min"}], "}"}]}], "}"}], 
             "]"}], ",", "\[IndentingNewLine]", "Black", ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "[", 
             RowBox[{"max", ",", 
              RowBox[{"{", 
               RowBox[{"\[Pi]", ",", " ", "max"}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "[", 
             RowBox[{"min", ",", 
              RowBox[{"{", 
               RowBox[{"\[Pi]", ",", " ", "min"}], "}"}]}], "]"}]}], 
           "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Sin", "[", 
             RowBox[{
              RowBox[{"n", " ", "x"}], " ", "+", " ", "\[Phi]"}], "]"}], " ", 
            "/", " ", "n"}], ",", 
           RowBox[{"{", 
            RowBox[{"n", ",", "1", ",", "waves", ",", " ", "step"}], "}"}]}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0", ",", 
           RowBox[{"2", " ", "Pi"}]}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Ticks", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"\[Pi]", "/", "2"}], ",", "\[Pi]", ",", 
              RowBox[{"3", 
               RowBox[{"\[Pi]", "/", "2"}]}], ",", 
              RowBox[{"2", "Pi"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "0", ",", "1"}], "}"}]}], "}"}]}], ",",
          "\[IndentingNewLine]", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"ImageSize", " ", "\[Rule]", " ", 
          RowBox[{"{", 
           RowBox[{"375", ",", "225"}], "}"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"Epilog", " ", "\[Rule]", " ", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{"Dotted", ",", " ", "Gray", ",", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "1"}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "\[Pi]"}], ",", " ", "1"}], "}"}]}], "}"}], 
             "]"}], ",", " ", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"-", "1"}]}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "\[Pi]"}], ",", " ", 
                 RowBox[{"-", "1"}]}], "}"}]}], "}"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"1", "/", "2"}]}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "\[Pi]"}], ",", " ", 
                 RowBox[{"1", "/", "2"}]}], "}"}]}], "}"}], "]"}], ",", " ", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{
                  RowBox[{"-", "1"}], "/", "2"}]}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "\[Pi]"}], ",", " ", 
                 RowBox[{
                  RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], "}"}], "]"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"1", "/", "3"}]}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "\[Pi]"}], ",", " ", 
                 RowBox[{"1", "/", "3"}]}], "}"}]}], "}"}], "]"}], ",", " ", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{
                  RowBox[{"-", "1"}], "/", "3"}]}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "\[Pi]"}], ",", " ", 
                 RowBox[{
                  RowBox[{"-", "1"}], "/", "3"}]}], "}"}]}], "}"}], "]"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"1", "/", "4"}]}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "\[Pi]"}], ",", " ", 
                 RowBox[{"1", "/", "4"}]}], "}"}]}], "}"}], "]"}], ",", " ", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{
                  RowBox[{"-", "1"}], "/", "4"}]}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "\[Pi]"}], ",", " ", 
                 RowBox[{
                  RowBox[{"-", "1"}], "/", "4"}]}], "}"}]}], "}"}], "]"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"1", "/", "5"}]}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "\[Pi]"}], ",", " ", 
                 RowBox[{"1", "/", "5"}]}], "}"}]}], "}"}], "]"}], ",", " ", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{
                  RowBox[{"-", "1"}], "/", "5"}]}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"2", "\[Pi]"}], ",", " ", 
                 RowBox[{
                  RowBox[{"-", "1"}], "/", "5"}]}], "}"}]}], "}"}], "]"}]}], 
           "}"}]}]}], "]"}]}], "\[IndentingNewLine]", " ", "}"}], 
     "\[IndentingNewLine]", " ", "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"waves", ",", "2", ",", " ", "\"\<maximum frequency\>\""}], 
      "}"}], ",", "1", ",", " ", "20", ",", " ", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"step", ",", " ", "2", ",", " ", "\"\<step size s\>\""}], "}"}],
      ",", " ", "1", ",", " ", "waves", ",", " ", "1", ",", " ", 
     RowBox[{"Appearance", " ", "\[Rule]", " ", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Phi]", ",", " ", "2", ",", " ", "\"\<phase \[Phi]\>\""}], 
      "}"}], ",", " ", "0", ",", " ", 
     RowBox[{"2", "\[Pi]"}], ",", ".01", ",", 
     RowBox[{"Appearance", " ", "\[Rule]", " ", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"\[Phi]", ",", " ", 
     RowBox[{"{", 
      RowBox[{"0", ",", " ", 
       RowBox[{"\[Pi]", "/", "2"}], ",", " ", "\[Pi]", ",", " ", 
       RowBox[{"3", 
        RowBox[{"\[Pi]", "/", "2"}]}]}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.4535239095625*^9, 3.453523910484375*^9}, {
   3.453523973875*^9, 3.453523989703125*^9}, {3.45352402453125*^9, 
   3.453524058515625*^9}, {3.453524469046875*^9, 3.4535244723125*^9}, {
   3.453524519109375*^9, 3.453524529703125*^9}, {3.4535246285*^9, 
   3.453524634796875*^9}, {3.453524751078125*^9, 3.45352475478125*^9}, {
   3.45352478625*^9, 3.453524899703125*^9}, 3.45352495953125*^9, {
   3.453525008375*^9, 3.453525164546875*^9}, {3.453525276421875*^9, 
   3.453525278609375*^9}, {3.4535253550625*^9, 3.453525466921875*^9}, {
   3.453525507765625*^9, 3.453525546453125*^9}, {3.453525582515625*^9, 
   3.4535256764375*^9}, 3.4535257098125*^9, {3.454073080637432*^9, 
   3.454073117809307*^9}, {3.454073153434307*^9, 3.454073161840557*^9}, {
   3.454073201887432*^9, 3.454073390528057*^9}, {3.454073579246807*^9, 
   3.454073608387432*^9}, {3.454073750715557*^9, 3.454073806293682*^9}, {
   3.454073885246807*^9, 3.454073901434307*^9}, {3.454073942528057*^9, 
   3.454074009278057*^9}, {3.454074133949932*^9, 3.454074134637432*^9}, {
   3.454074168746807*^9, 3.454074184668682*^9}, {3.454074332934307*^9, 
   3.454074419465557*^9}, {3.454074474199932*^9, 3.454074546340557*^9}, {
   3.454074610371807*^9, 3.454074620059307*^9}, {3.454075422168682*^9, 
   3.454075463496807*^9}, {3.454075543762432*^9, 3.454075547012432*^9}, {
   3.454075599293682*^9, 3.454075600731182*^9}, {3.454075664356182*^9, 
   3.454075681262432*^9}, {3.454075718824932*^9, 3.454075742121807*^9}, {
   3.454075873199932*^9, 3.454076068215557*^9}, {3.454076133199932*^9, 
   3.454076196715557*^9}, {3.454124618296875*^9, 3.454124665578125*^9}, 
   3.454125123953125*^9, {3.454125155328125*^9, 3.454125334125*^9}, {
   3.454125622265625*^9, 3.45412565059375*^9}, {3.454125705359375*^9, 
   3.454125708984375*^9}, {3.454125760015625*^9, 3.454125787921875*^9}, {
   3.454125921859375*^9, 3.45412597084375*^9}, {3.454126013265625*^9, 
   3.454126031671875*^9}, {3.454126064984375*^9, 3.454126068109375*^9}, {
   3.454126701703125*^9, 3.454126750171875*^9}, {3.454126784109375*^9, 
   3.45412686284375*^9}, {3.454126944640625*^9, 3.454126955984375*^9}, {
   3.454127275828125*^9, 3.454127287734375*^9}, {3.454127420953125*^9, 
   3.4541274758125*^9}, {3.45412752025*^9, 3.454127533359375*^9}, {
   3.454127565125*^9, 3.45412768040625*^9}, 3.454128862125*^9, {
   3.45412894734375*^9, 3.45412895009375*^9}, {3.4541307415*^9, 
   3.454130761*^9}, {3.454130923875*^9, 3.454130984640625*^9}, {
   3.45413122121875*^9, 3.454131231765625*^9}, {3.454131287296875*^9, 
   3.454131294875*^9}, {3.454131412234375*^9, 3.45413141553125*^9}, {
   3.454133561515625*^9, 3.454133691109375*^9}, {3.4541337696875*^9, 
   3.454133822015625*^9}, {3.454136338421875*^9, 3.454136402703125*^9}, {
   3.45421159675*^9, 3.454211649890625*^9}, {3.454211680125*^9, 
   3.454211703359375*^9}, {3.4542117705625*^9, 3.454211774359375*^9}, {
   3.454212364828125*^9, 3.45421240125*^9}, {3.454212436078125*^9, 
   3.45421245753125*^9}, {3.454212528515625*^9, 3.454212529640625*^9}, {
   3.4542125793125*^9, 3.4542125921875*^9}, {3.454212683765625*^9, 
   3.454212781453125*^9}, {3.4542128983125*^9, 3.454212905453125*^9}, {
   3.45421330184375*^9, 3.454213332734375*^9}, 3.454213397625*^9, {
   3.45421349740625*^9, 3.454213523234375*^9}, {3.454213602796875*^9, 
   3.45421362975*^9}, 3.454213671*^9, {3.4542137558125*^9, 
   3.4542137586875*^9}, {3.45421381653125*^9, 3.45421381884375*^9}, {
   3.454382072671875*^9, 3.454382081109375*^9}, {3.45438212996875*^9, 
   3.4543821828125*^9}, {3.454382231*^9, 3.45438228871875*^9}, {
   3.454471863328125*^9, 3.45447188265625*^9}, {3.454471924796875*^9, 
   3.45447192609375*^9}, {3.454472055390625*^9, 3.454472058046875*^9}, {
   3.4544721560625*^9, 3.454472197453125*^9}, {3.4546447779045954`*^9, 
   3.4546448095920954`*^9}, {3.4546449075920954`*^9, 
   3.4546450598264704`*^9}, {3.4546451077170954`*^9, 
   3.4546451451858454`*^9}, {3.4546452650139704`*^9, 3.4546452877795954`*^9}, 
   3.4546454355452204`*^9, {3.4546454688420954`*^9, 3.4546454694514704`*^9}, {
   3.4546455173889704`*^9, 3.4546455781545954`*^9}, {3.4546456132795954`*^9, 
   3.4546456140139704`*^9}, {3.4546457227170954`*^9, 
   3.4546457855139704`*^9}, {3.4546458334983454`*^9, 
   3.4546459228733454`*^9}, {3.4546459605608454`*^9, 
   3.4546459842795954`*^9}, {3.4546460155764704`*^9, 
   3.4546460278889704`*^9}, {3.4546460608108454`*^9, 
   3.4546460702483454`*^9}, {3.4546465971702204`*^9, 
   3.4546466802795954`*^9}, {3.4546467164670954`*^9, 
   3.4546467332327204`*^9}, {3.4546468001389704`*^9, 
   3.4546468195764704`*^9}, {3.4546468627483454`*^9, 
   3.4546468662014704`*^9}, {3.4546469011545954`*^9, 
   3.4546469694358454`*^9}, {3.4546470027639704`*^9, 
   3.4546471344358454`*^9}, {3.4546472718889704`*^9, 
   3.4546472733577204`*^9}, {3.4546473975764704`*^9, 
   3.4546474386545954`*^9}, {3.4546481164358454`*^9, 
   3.4546482254514704`*^9}, {3.4546482557639704`*^9, 
   3.4546482999514704`*^9}, {3.4546483323577204`*^9, 
   3.4546483327639704`*^9}, {3.4546483762014704`*^9, 
   3.4546484037014704`*^9}, {3.4546484620139704`*^9, 
   3.4546485915452204`*^9}, {3.4546486744045954`*^9, 
   3.4546486944983454`*^9}, {3.4546487381233454`*^9, 
   3.4546488261545954`*^9}, {3.4546488714514704`*^9, 3.4546488717014704`*^9}, 
   3.4546489161077204`*^9, {3.4546489531545954`*^9, 3.4546490098733454`*^9}, {
   3.4546490694670954`*^9, 3.4546490800608454`*^9}, {3.4546491764358454`*^9, 
   3.4546492507795954`*^9}, {3.4546492977952204`*^9, 
   3.4546493151858454`*^9}, {3.4546497654670954`*^9, 
   3.4546498196389704`*^9}, {3.4546501297795954`*^9, 
   3.4546501533420954`*^9}, {3.4546504053108454`*^9, 3.4546504364827204`*^9}, 
   3.4546504849514704`*^9, 3.4546506634202204`*^9, {3.4546507233420954`*^9, 
   3.4546507451077204`*^9}, {3.4546508151389704`*^9, 
   3.4546509273264704`*^9}, {3.4546525136389704`*^9, 3.4546525217327204`*^9}, 
   3.4546525802639704`*^9, {3.4546526662327204`*^9, 3.4546526698420954`*^9}, {
   3.4546527229827204`*^9, 3.4546527904514704`*^9}, {3.4546528211389704`*^9, 
   3.4546528226545954`*^9}, {3.4546529097639704`*^9, 
   3.4546529128264704`*^9}, {3.454737609734375*^9, 3.45473766275*^9}, 
   3.454737768828125*^9, {3.454915260875*^9, 3.45491526546875*^9}, {
   3.454945441493205*^9, 3.4549455628913436`*^9}, 3.4553132667504444`*^9, {
   3.45554004959375*^9, 3.455540082140625*^9}, {3.45554011996875*^9, 
   3.455540123171875*^9}, {3.455540186265625*^9, 3.45554019725*^9}, {
   3.455540250640625*^9, 3.4555402573125*^9}, {3.4555402948125*^9, 
   3.455540298421875*^9}, {3.4555403324375*^9, 3.45554033284375*^9}, {
   3.455540506140625*^9, 3.4555405118125*^9}, {3.4555405579375*^9, 
   3.4555406100625*^9}, {3.45554084975*^9, 3.455540861046875*^9}, {
   3.455558828000739*^9, 3.455558830863025*^9}, {3.455630039808721*^9, 
   3.4556300508400416`*^9}, 3.455630085418388*^9, {3.455961498721772*^9, 
   3.455961502016327*^9}, {3.4559685487833643`*^9, 3.4559685488213677`*^9}, {
   3.455975000429512*^9, 3.455975000570135*^9}, {3.4559773395441027`*^9, 
   3.455977343262805*^9}, {3.455977467151844*^9, 3.455977532447883*^9}, 
   3.455977683961569*^9, {3.4559777396014814`*^9, 3.4559778246941423`*^9}, {
   3.455977868818578*^9, 3.4559778904745502`*^9}, {3.4559780049262104`*^9, 
   3.455978005535578*^9}, 3.45597805886302*^9, {3.4559782417981787`*^9, 
   3.4559782443137712`*^9}, {3.455978372234009*^9, 3.4559783897181597`*^9}, {
   3.4559791628957634`*^9, 3.455979183270502*^9}},
 CellID->368574052]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`step$$ = 2, $CellContext`waves$$ = 
    2, $CellContext`\[Phi]$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`waves$$], 2, "maximum frequency"}, 1, 20, 1}, {{
       Hold[$CellContext`step$$], 2, "step size s"}, 1, 
      Dynamic[$CellContext`waves$$], 1}, {{
       Hold[$CellContext`\[Phi]$$], 0, "phase \[Phi]"}, 0, 2 Pi, 0.01}, {{
       Hold[$CellContext`\[Phi]$$], 0}, {
      0, Rational[1, 2] Pi, Pi, Rational[3, 2] Pi}}}, Typeset`size$$ = {
    375., {225., 230.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`waves$364914$$ = 
    0, $CellContext`step$364915$$ = 0, $CellContext`\[Phi]$364916$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`step$$ = 2, $CellContext`waves$$ = 
        2, $CellContext`\[Phi]$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`waves$$, $CellContext`waves$364914$$, 0], 
        Hold[$CellContext`step$$, $CellContext`step$364915$$, 0], 
        Hold[$CellContext`\[Phi]$$, $CellContext`\[Phi]$364916$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ({$CellContext`min, $CellContext`max} = ({
          Min[#], 
          Max[#]}& )[
          Table[
           Sum[
           Sin[$CellContext`n $CellContext`x + \
$CellContext`\[Phi]$$]/$CellContext`n, {$CellContext`n, 
             1, $CellContext`waves$$, $CellContext`step$$}], {$CellContext`x, 
            0, 2 Pi, 0.01}]]; 
       If[$CellContext`step$$ > $CellContext`waves$$, $CellContext`step$$ = \
$CellContext`waves$$]; Column[{
          Plot[
           Evaluate[
            Sum[
            Sin[$CellContext`n $CellContext`x + \
$CellContext`\[Phi]$$]/$CellContext`n, {$CellContext`n, 
              1, $CellContext`waves$$, $CellContext`step$$}]], \
{$CellContext`x, 0, 2 Pi}, 
           Ticks -> {{0, Pi/2, Pi, 3 (Pi/2), 2 Pi}, {-2, -1, 0, 1, 2}}, 
           Filling -> Axis, ImageSize -> {375, 225}, 
           Epilog -> {Dotted, Gray, 
             Line[{{0, 1}, {2 Pi, 1}}], 
             Line[{{0, -1}, {2 Pi, -1}}], 
             Line[{{0, $CellContext`max}, {2 Pi, $CellContext`max}}], 
             Line[{{0, $CellContext`min}, {2 Pi, $CellContext`min}}], Black, 
             Text[$CellContext`max, {Pi, $CellContext`max}], 
             Text[$CellContext`min, {Pi, $CellContext`min}]}], 
          Plot[
           Table[
           Sin[$CellContext`n $CellContext`x + \
$CellContext`\[Phi]$$]/$CellContext`n, {$CellContext`n, 
             1, $CellContext`waves$$, $CellContext`step$$}], {$CellContext`x, 
            0, 2 Pi}, Ticks -> {{0, Pi/2, Pi, 3 (Pi/2), 2 Pi}, {-1, 0, 1}}, 
           PlotRange -> {-1.1, 1.1}, ImageSize -> {375, 225}, 
           Epilog -> {Dotted, Gray, 
             Line[{{0, 1}, {2 Pi, 1}}], 
             Line[{{0, -1}, {2 Pi, -1}}], 
             Line[{{0, 1/2}, {2 Pi, 1/2}}], 
             Line[{{0, (-1)/2}, {2 Pi, (-1)/2}}], 
             Line[{{0, 1/3}, {2 Pi, 1/3}}], 
             Line[{{0, (-1)/3}, {2 Pi, (-1)/3}}], 
             Line[{{0, 1/4}, {2 Pi, 1/4}}], 
             Line[{{0, (-1)/4}, {2 Pi, (-1)/4}}], 
             Line[{{0, 1/5}, {2 Pi, 1/5}}], 
             Line[{{0, (-1)/5}, {2 Pi, (-1)/5}}]}]}]), 
      "Specifications" :> {{{$CellContext`waves$$, 2, "maximum frequency"}, 1,
          20, 1, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`step$$, 2, "step size s"}, 1, 
         Dynamic[$CellContext`waves$$], 1, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`\[Phi]$$, 0, "phase \[Phi]"}, 0, 2 Pi, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`\[Phi]$$, 0}, {
         0, Rational[1, 2] Pi, Pi, Rational[3, 2] Pi}}}, 
      "Options" :> {TrackedSymbols -> True, ControlPlacement -> Left}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{640., {254., 259.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->734232565],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Sums of Sine Waves with Several Step Sizes (Sawtooth or Square \
Approximations)",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
SumsOfSineWavesWithSeveralStepSizesSawtoothOrSquareApproxima/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
SumsOfSineWavesWithSeveralStepSizesSawtoothOrSquareApproxima/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
SumsOfSineWavesWithSeveralStepSizesSawtoothOrSquareApproxima/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
SumsOfSineWavesWithSeveralStepSizesSawtoothOrSquareApproxima/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
SumsOfSineWavesWithSeveralStepSizesSawtoothOrSquareApproxima/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Arthur Stammet",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Arthur+Stammet"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Arthur+Stammet"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
SumsOfSineWavesWithSeveralStepSizesSawtoothOrSquareApproxima"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Sums of Sine Waves with Several Step Sizes (Sawtooth or Square \
Approximations) - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[670, 24, 278, 6, 70, "Section"],
Cell[951, 32, 19633, 423, 70, "Input",
 CellID->368574052]
}, Open  ]],
Cell[20599, 458, 4722, 94, 70, "Output",
 CellID->734232565],
Cell[CellGroupData[{
Cell[25346, 556, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[25722, 567, 1175, 32, 70, "Text"],
Cell[26900, 601, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[27240, 612, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[27701, 630, 847, 24, 70, "Text"],
Cell[28551, 656, 1236, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature uT4hG1buHflxPDTSeBSkGH9A *)
