(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16950,        456]
NotebookOptionsPosition[     15883,        417]
NotebookOutlinePosition[     16517,        441]
CellTagsIndexPosition[     16474,        438]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Visualizing Square Root and Absolute Value", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"origfunc", "=", 
     RowBox[{"Switch", "[", 
      RowBox[{"ftype", ",", "\"\<linear\>\"", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"bb", "*", "#"}], "+", "aa"}], ")"}], "&"}], ",", 
       "\"\<trig\>\"", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"bb", "*", 
           RowBox[{"Sin", "[", "#", "]"}]}], "+", "aa"}], ")"}], "&"}], ",", 
       "\"\<quadratic\>\"", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"#", "-", "bb"}], ")"}], "^", "2"}], "+", "aa"}], ")"}], 
        "&"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"func", "=", "origfunc"}], ";", "\[IndentingNewLine]", 
    RowBox[{"func", "=", 
     RowBox[{"If", "[", 
      RowBox[{"absQ", ",", 
       RowBox[{"Abs", "/@", "func"}], ",", "func"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"func", "=", 
     RowBox[{"If", "[", 
      RowBox[{"sqQ", ",", 
       RowBox[{"Sqrt", "/@", "func"}], ",", "func"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"g", "=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"absQ", "&&", "sqQ"}], ",", 
       RowBox[{"g", "=", 
        RowBox[{"Composition", "[", 
         RowBox[{"Sqrt", ",", "Abs"}], "]"}]}], ",", 
       RowBox[{"If", "[", 
        RowBox[{"absQ", ",", 
         RowBox[{"g", "=", "Abs"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{"sqQ", ",", 
           RowBox[{"g", "=", "Sqrt"}], ",", "Identity"}], "]"}]}], "]"}]}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"label", "=", 
     RowBox[{"Switch", "[", 
      RowBox[{"ftype", ",", "\"\<linear\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"y", "\[Equal]", 
          RowBox[{"g", "[", 
           RowBox[{"a", "+", 
            RowBox[{"b", " ", "x"}]}], "]"}]}], "]"}], "}"}], ",", 
       "\"\<trig\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"y", "\[Equal]", 
          RowBox[{"g", "[", 
           RowBox[{"a", "+", 
            RowBox[{"b", " ", 
             RowBox[{"Sin", "[", "x", "]"}]}]}], "]"}]}], "]"}], "}"}], ",", 
       "\"\<quadratic\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"y", "\[Equal]", 
          RowBox[{"g", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"x", "-", "b"}], ")"}], "^", "2"}], "+", "a"}], "]"}]}],
          "]"}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"func", "[", "x", "]"}], ",", 
        RowBox[{"origfunc", "[", "x", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "Black", "}"}], ",", 
         RowBox[{"{", "Dashed", "}"}]}], "}"}]}], ",", 
      RowBox[{"AxesOrigin", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "10"}], ",", "10"}], "}"}]}], ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"Row", "[", "label", "]"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"300", ",", "300"}], "}"}]}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sqQ", ",", "False", ",", "\"\<square root\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"absQ", ",", "False", ",", "\"\<absolute value\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"aa", ",", "3", ",", "\"\<constant a\>\""}], "}"}], ",", 
     RowBox[{"-", "5"}], ",", "5", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"bb", ",", "2", ",", "\"\<constant b\>\""}], "}"}], ",", 
     RowBox[{"-", "5"}], ",", "5", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ftype", ",", "\"\<linear\>\"", ",", "\"\<function\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<linear\>\"", ",", "\"\<trig\>\"", ",", "\"\<quadratic\>\""}], 
      "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"sqQ", ",", "absQ", ",", "aa", ",", "bb", ",", "ftype"}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3909253457212486`*^9, 3.390925355098186*^9}, {
   3.3909253953692126`*^9, 3.3909255115608306`*^9}, {3.390925571495824*^9, 
   3.390925648695543*^9}, {3.390925681312804*^9, 3.390925682230896*^9}, {
   3.390925843377009*^9, 3.39092588639431*^9}, {3.390925985568227*^9, 
   3.390926004854155*^9}, {3.3909260678534546`*^9, 3.390926121674836*^9}, {
   3.3909263139370604`*^9, 3.3909263540330696`*^9}, {3.3909267279784603`*^9, 
   3.390926863847046*^9}, {3.390926953639024*^9, 3.3909269691465745`*^9}, {
   3.3909270626629252`*^9, 3.390927100084667*^9}, 3.3909271347261305`*^9, {
   3.3909271885785155`*^9, 3.3909272059812555`*^9}, {3.3912537843188066`*^9, 
   3.391253789696539*^9}, {3.3912539383903503`*^9, 3.3912539568969617`*^9}, {
   3.3914370650050144`*^9, 3.391437107322345*^9}, {3.391437359189925*^9, 
   3.391437410632818*^9}, 3.3918870434382353`*^9, {3.3918871006886015`*^9, 
   3.3918871227199926`*^9}, {3.39188715745459*^9, 3.391887224533144*^9}, {
   3.3918876544716196`*^9, 3.3918877013303947`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`aa$$ = 3, $CellContext`absQ$$ = 
    False, $CellContext`bb$$ = 2, $CellContext`ftype$$ = 
    "trig", $CellContext`sqQ$$ = False, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`sqQ$$], False, "square root"}, {False, True}}, {{
       Hold[$CellContext`absQ$$], False, "absolute value"}, {False, True}}, {{
      
       Hold[$CellContext`aa$$], 3, "constant a"}, -5, 5}, {{
       Hold[$CellContext`bb$$], 2, "constant b"}, -5, 5}, {{
       Hold[$CellContext`ftype$$], "trig", "function"}, {
      "linear", "trig", "quadratic"}}}, Typeset`size$$ = {300., {148., 152.}},
     Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`sqQ$279506$$ = False, $CellContext`absQ$279507$$ = 
    False, $CellContext`aa$279508$$ = 0, $CellContext`bb$279509$$ = 
    0, $CellContext`ftype$279510$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`aa$$ = 3, $CellContext`absQ$$ = 
        False, $CellContext`bb$$ = 2, $CellContext`ftype$$ = 
        "trig", $CellContext`sqQ$$ = False}, "ControllerVariables" :> {
        Hold[$CellContext`sqQ$$, $CellContext`sqQ$279506$$, False], 
        Hold[$CellContext`absQ$$, $CellContext`absQ$279507$$, False], 
        Hold[$CellContext`aa$$, $CellContext`aa$279508$$, 0], 
        Hold[$CellContext`bb$$, $CellContext`bb$279509$$, 0], 
        Hold[$CellContext`ftype$$, $CellContext`ftype$279510$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`origfunc = 
        Switch[$CellContext`ftype$$, 
          "linear", $CellContext`bb$$ # + $CellContext`aa$$& , 
          "trig", $CellContext`bb$$ Sin[#] + $CellContext`aa$$& , 
          "quadratic", (# - $CellContext`bb$$)^2 + $CellContext`aa$$& ]; \
$CellContext`func = $CellContext`origfunc; $CellContext`func = 
        If[$CellContext`absQ$$, 
          Map[Abs, $CellContext`func], $CellContext`func]; $CellContext`func = 
        If[$CellContext`sqQ$$, 
          Map[Sqrt, $CellContext`func], $CellContext`func]; $CellContext`g = 
        If[
          And[$CellContext`absQ$$, $CellContext`sqQ$$], $CellContext`g = 
          Composition[Sqrt, Abs], 
          If[$CellContext`absQ$$, $CellContext`g = Abs, 
           
           If[$CellContext`sqQ$$, $CellContext`g = Sqrt, 
            Identity]]]; $CellContext`label = 
        Switch[$CellContext`ftype$$, "linear", {
           
           TraditionalForm[$CellContext`y == $CellContext`g[$CellContext`a + \
$CellContext`b $CellContext`x]]}, "trig", {
           
           TraditionalForm[$CellContext`y == $CellContext`g[$CellContext`a + \
$CellContext`b Sin[$CellContext`x]]]}, "quadratic", {
           
           TraditionalForm[$CellContext`y == $CellContext`g[($CellContext`x - \
$CellContext`b)^2 + $CellContext`a]]}]; Plot[{
          $CellContext`func[$CellContext`x], 
          $CellContext`origfunc[$CellContext`x]}, {$CellContext`x, -10, 10}, 
         PlotStyle -> {{Black}, {Dashed}}, AxesOrigin -> {0, 0}, 
         PlotRange -> {-10, 10}, PlotLabel -> Row[$CellContext`label], 
         ImageSize -> {300, 300}]), 
      "Specifications" :> {{{$CellContext`sqQ$$, False, "square root"}, {
         False, True}}, {{$CellContext`absQ$$, False, "absolute value"}, {
         False, True}}, {{$CellContext`aa$$, 3, "constant a"}, -5, 5, 
         ImageSize -> Small}, {{$CellContext`bb$$, 2, "constant b"}, -5, 5, 
         ImageSize -> Small}, {{$CellContext`ftype$$, "trig", "function"}, {
         "linear", "trig", "quadratic"}, ImageSize -> Small}}, 
      "Options" :> {
       ControlPlacement -> Left, 
        TrackedSymbols :> {$CellContext`sqQ$$, $CellContext`absQ$$, \
$CellContext`aa$$, $CellContext`bb$$, $CellContext`ftype$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{529., {175., 180.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->467017664],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Visualizing Square Root and Absolute Value",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
VisualizingSquareRootAndAbsoluteValue/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/VisualizingSquareRootAndAbsoluteValue/"]\
,
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
VisualizingSquareRootAndAbsoluteValue/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
VisualizingSquareRootAndAbsoluteValue/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/VisualizingSquareRootAndAbsoluteValue/"]\

}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Chris Boucher",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
VisualizingSquareRootAndAbsoluteValue"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Visualizing Square Root and Absolute Value - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 234, 4, 70, "Section"],
Cell[827, 29, 6085, 157, 70, "Input"]
}, Open  ]],
Cell[6927, 189, 4656, 88, 70, "Output",
 CellID->467017664],
Cell[CellGroupData[{
Cell[11608, 281, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[11984, 292, 1022, 31, 70, "Text"],
Cell[13009, 325, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13349, 336, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[13810, 354, 829, 24, 70, "Text"],
Cell[14642, 380, 1213, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature JTNHhFc0XO4STATgo8OXjz9I *)
