(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     33731,        830]
NotebookOptionsPosition[     32622,        789]
NotebookOutlinePosition[     33237,        813]
CellTagsIndexPosition[     33194,        810]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Equation of a Line Game", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"sound2", "[", "s_", "]"}], ":=", 
    RowBox[{"Sound", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"SoundNote", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"DeleteCases", "[", 
           RowBox[{
            RowBox[{"3", " ", 
             RowBox[{"Range", "[", "10", "]"}], " ", 
             RowBox[{"Reverse", "[", "#", "]"}]}], ",", " ", "0"}], "]"}], 
          " ", "-", "36", "+", 
          RowBox[{"4", "s"}]}], ",", " ", 
         RowBox[{".22", "*", 
          RowBox[{".95", "^", "s"}]}], ",", "\"\<Kalimba\>\""}], "]"}], " ", 
       "&"}], " ", "/@", " ", 
      RowBox[{"Transpose", "[", 
       RowBox[{"CellularAutomaton", "[", 
        RowBox[{"18", ",", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", "1", "}"}], ",", " ", "0"}], "}"}], ",", " ", "9"}], 
        "]"}], "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rand", "[", 
    RowBox[{"player_", ",", "x"}], "]"}], ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "c"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "=", 
       RowBox[{"If", "[", 
        RowBox[{"player", ",", 
         RowBox[{
          RowBox[{"RandomChoice", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"1", "/", "2"}], ",", 
             RowBox[{"1", "/", "3"}], ",", 
             RowBox[{"1", "/", "4"}], ",", 
             RowBox[{"2", "/", "3"}], ",", 
             RowBox[{"3", "/", "4"}], ",", 
             RowBox[{"3", "/", "2"}], ",", 
             RowBox[{"4", "/", "3"}], ",", "2", ",", "3", ",", "4"}], "}"}], 
           "]"}], " ", 
          RowBox[{"RandomChoice", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}], "]"}]}], ",", 
         RowBox[{"RandomChoice", "[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", 
            RowBox[{"-", "1"}], ",", 
            RowBox[{"-", "2"}], ",", 
            RowBox[{"-", "3"}], ",", 
            RowBox[{"-", "4"}]}], "}"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"c", "=", 
       RowBox[{"RandomInteger", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "4"}], ",", "4"}], "}"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RandomChoice", "[", 
         RowBox[{"Permutations", "[", 
          RowBox[{"{", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"a", " ", "x"}], " ", "+", "c"}], ",", "  ", 
            RowBox[{
             RowBox[{"x", " ", "/", " ", "a"}], "+", "c"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "a"}], " ", "x"}], "  ", "+", "c"}], ",", " ", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "c"}], " ", "x"}], " ", "+", "a"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "x"}], " ", "/", "a"}], " ", "-", " ", "c"}], ",", 
            
            RowBox[{
             RowBox[{"c", " ", "x"}], " ", "-", "a"}]}], "}"}], "]"}], "]"}], 
        ",", 
        RowBox[{
         RowBox[{"a", " ", "x"}], " ", "+", " ", "c"}]}], "}"}]}]}], "]"}]}], 
  ";"}]}], "Input",
 CellID->50888907],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"DynamicModule", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"t", "=", 
        RowBox[{"-", "0.01"}]}], ",", 
       RowBox[{"\[CapitalDelta]t", "=", "0.001"}], ",", 
       RowBox[{"topscore", "=", "0"}], ",", 
       RowBox[{"points", "=", "0"}], ",", 
       RowBox[{"fcts", "=", 
        RowBox[{"rand", "[", 
         RowBox[{"True", ",", "x"}], "]"}]}], ",", 
       RowBox[{"stage", "=", "0"}]}], "}"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Column", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Dynamic", "[", 
          RowBox[{"Text", "[", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"StringForm", "[", 
              RowBox[{
              "\"\<best     ``            score   ``\>\"", ",", "topscore", 
               ",", "points"}], "]"}], ",", "Large", ",", "Blue", ",", 
             "\"\<Section\>\""}], "]"}], "]"}], "]"}], ",", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"Grid", "[", 
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Column", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Text", "[", "\"\<time\>\"", "]"}], ",", 
                 RowBox[{"Show", "[", 
                  RowBox[{
                   RowBox[{"Graphics", "[", 
                    RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"Rectangle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0.3", ",", 
                    RowBox[{"-", "0.1"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.7", ",", "1.2"}], "}"}]}], "]"}], ",", "Red", 
                    ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"Rectangle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0.4", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".6", ",", "t"}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    "]"}], ",", 
                   RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ",", 
                   RowBox[{"AspectRatio", "\[Rule]", "10"}], ",", 
                   RowBox[{"ImageSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"100", ",", "250"}], "}"}]}]}], "]"}], ",", 
                 RowBox[{"Button", "[", 
                  RowBox[{"\"\<go\>\"", ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"choice", "=", "0"}], ",", 
                    RowBox[{"fcts", "=", 
                    RowBox[{"rand", "[", 
                    RowBox[{"advancedplayer", ",", "x"}], "]"}]}], ",", 
                    RowBox[{"t", "=", "1"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"advancedplayer", ",", 
                    RowBox[{"\[CapitalDelta]t", "=", "0.001"}], ",", 
                    RowBox[{"\[CapitalDelta]t", "=", "0.0004"}]}], "]"}], ",",
                     
                    RowBox[{"stage", "=", "1"}], ",", 
                    RowBox[{"points", "=", "0"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"music", ",", 
                    RowBox[{"EmitSound", "[", 
                    RowBox[{"sound2", "[", "stage", "]"}], "]"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}]}], "}"}]}], "]"}]}], "}"}], 
               ",", "Center"}], "]"}], ",", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"Dynamic", "[", 
              RowBox[{"Show", "[", 
               RowBox[{"Plot", "[", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"choice", "\[Equal]", "0"}], ",", 
                   RowBox[{"fcts", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", 
                   RowBox[{"fcts", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "choice"}], "]"}], "]"}]}], "]"}], ",", 
                 
                 RowBox[{"{", 
                  RowBox[{"x", ",", 
                   RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
                 RowBox[{"PlotRange", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "}"}]}], ",", 
                 RowBox[{"PlotStyle", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"Thick", ",", "Green"}], "}"}]}], ",", 
                 RowBox[{"AspectRatio", "\[Rule]", 
                  RowBox[{"4", "/", "5"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{"GridLines", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{
                    RowBox[{"-", "5"}], ",", "5"}], "]"}], ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "4"}], "]"}]}], "}"}]}], ",", 
                 RowBox[{"Ticks", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{
                    RowBox[{"-", "5"}], ",", "5"}], "]"}], ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "4"}], "]"}]}], "}"}]}], ",", 
                 RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}], "]"}], 
              "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"t", "=", 
                RowBox[{"Max", "[", 
                 RowBox[{"0", ",", 
                  RowBox[{"t", "-", "\[CapitalDelta]t"}]}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"t", "<", "0.001"}], " ", "&&", " ", 
                  RowBox[{"t", ">", "0"}]}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"If", "[", 
                    RowBox[{"music", ",", 
                    RowBox[{"EmitSound", "[", 
                    RowBox[{"Play", "[", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"2000", 
                    RowBox[{"time", "^", 
                    RowBox[{"-", "2"}]}]}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"time", ",", "0", ",", "1"}], "}"}]}], "]"}], 
                    "]"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", 
                   RowBox[{"stage", "=", "0"}]}], "}"}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"status", "=", 
                RowBox[{"Dynamic", "[", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"t", ">", "0"}], " ", "&&", " ", 
                    RowBox[{"t", "<", ".5"}]}], ",", "\"\<hurry\>\"", ",", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"t", "\[Equal]", "0"}], ",", "\"\<Game Over\>\"", 
                    ",", "\"\<Go Go Go!\>\""}], "]"}]}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"Column", "[", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"With", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"i", "=", "i"}], "}"}], ",", 
                    RowBox[{"Button", "[", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{"Style", "[", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", 
                    RowBox[{"TraditionalForm", "@", 
                    RowBox[{"fcts", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "i"}], "]"}], "]"}]}]}], "}"}], "]"}], 
                    "]"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"t", ">", "0"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fcts", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "i"}], "]"}], "]"}], "/.", 
                    RowBox[{"x", "\[Rule]", "\[Pi]"}]}], ")"}], "\[Equal]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fcts", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "/.", 
                    RowBox[{"x", "\[Rule]", "\[Pi]"}]}], ")"}]}], ")"}], " ", 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"points", "=", 
                    RowBox[{"IntegerPart", "[", 
                    RowBox[{"points", "+", 
                    RowBox[{"100", "t", "*", 
                    RowBox[{"1.4", "^", 
                    RowBox[{"(", 
                    RowBox[{"stage", "+", 
                    RowBox[{"5", 
                    RowBox[{"Boole", "[", "advancedplayer", "]"}]}]}], 
                    ")"}]}]}]}], "]"}]}], ",", 
                    RowBox[{"t", "=", "1"}], ",", 
                    RowBox[{"stage", "=", 
                    RowBox[{"stage", "+", "1"}]}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"music", ",", 
                    RowBox[{"EmitSound", "[", 
                    RowBox[{"sound2", "[", "stage", "]"}], "]"}], ",", 
                    RowBox[{"Beep", "[", "]"}]}], "]"}], ",", 
                    RowBox[{"topscore", "=", 
                    RowBox[{"Max", "[", 
                    RowBox[{"points", ",", "topscore"}], "]"}]}], ",", 
                    RowBox[{"\[CapitalDelta]t", "=", 
                    RowBox[{"\[CapitalDelta]t", "*", 
                    RowBox[{"1.05", "^", "stage"}]}]}], ",", 
                    RowBox[{"fcts", "=", 
                    RowBox[{"rand", "[", 
                    RowBox[{"advancedplayer", ",", "x"}], "]"}]}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"t", "=", "0"}], ",", 
                    RowBox[{"stage", "=", "0"}]}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"100", ",", "35"}], "}"}]}], ",", 
                    RowBox[{"Appearance", "\[Rule]", "\"\<DialogBox\>\""}]}], 
                    "]"}]}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "6"}], "}"}]}], "]"}], " ", "]"}]}], " ",
               "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
            "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], "}"}], " ", 
          "]"}], ",", 
         RowBox[{"Dynamic", "[", 
          RowBox[{"Text", "[", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"StringForm", "[", 
              RowBox[{"\"\<stage ``:   ``\>\"", ",", "stage", ",", "status"}],
               "]"}], ",", "Large", ",", "Purple", ",", "\"\<Section\>\""}], 
            "]"}], "]"}], "]"}]}], "}"}], ",", "Center"}], "]"}]}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"advancedplayer", ",", "True", ",", "\"\<advanced player\>\""}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"music", ",", "False", ",", "\"\<music\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"choice", ",", "0", ",", "6", ",", "1", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", "3", "}"}]}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.399598177761088*^9, {3.3996335983380804`*^9, 
   3.3996336819312954`*^9}, {3.3996337782744293`*^9, 
   3.3996337790400496`*^9}, {3.399642732623371*^9, 3.399642738873331*^9}, {
   3.3996588951769066`*^9, 3.3996589887544327`*^9}, {3.400922769396492*^9, 
   3.4009227723378067`*^9}, {3.400922889392132*^9, 3.400922941436235*^9}, 
   3.400923027754614*^9, {3.400923165980034*^9, 3.400923173962089*^9}, {
   3.400923224887878*^9, 3.400923253107729*^9}, {3.400923440942313*^9, 
   3.400923485692482*^9}, {3.400923538150878*^9, 3.400923565628583*^9}, {
   3.400923660012022*^9, 3.400923705730599*^9}, {3.400923736140482*^9, 
   3.400923752230576*^9}, {3.4009238624529*^9, 3.400923863559846*^9}, {
   3.4009239187976227`*^9, 3.400923920179216*^9}, {3.400923985875596*^9, 
   3.40092398903109*^9}, {3.4009240222035227`*^9, 3.4009240258582172`*^9}, {
   3.400924075047086*^9, 3.400924076469429*^9}, {3.4009242062145977`*^9, 
   3.400924213440503*^9}, {3.40092432767172*^9, 3.40092435616541*^9}, {
   3.400924456147472*^9, 3.400924456640506*^9}, 3.40092450954088*^9, {
   3.403463540367797*^9, 3.4034635812562847`*^9}, {3.4035227538125*^9, 
   3.403522757609375*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`advancedplayer$$ = 
    True, $CellContext`choice$$ = 0, $CellContext`music$$ = False, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`advancedplayer$$], True, "advanced player"}, {
      False, True}}, {{
       Hold[$CellContext`music$$], False, "music"}, {False, True}}, {
      Hold[$CellContext`choice$$], 0, 6, 1}}, Typeset`size$$ = {
    576., {181., 186.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`advancedplayer$4616$$ = 
    False, $CellContext`music$4617$$ = False, $CellContext`choice$4618$$ = 0},
     
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`advancedplayer$$ = 
        True, $CellContext`choice$$ = 0, $CellContext`music$$ = False}, 
      "ControllerVariables" :> {
        Hold[$CellContext`advancedplayer$$, \
$CellContext`advancedplayer$4616$$, False], 
        Hold[$CellContext`music$$, $CellContext`music$4617$$, False], 
        Hold[$CellContext`choice$$, $CellContext`choice$4618$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      DynamicModule[{$CellContext`t = -0.01, $CellContext`\[CapitalDelta]t = 
         0.001, $CellContext`topscore = 0, $CellContext`points = 
         0, $CellContext`fcts = $CellContext`rand[
          True, $CellContext`x], $CellContext`stage = 0}, 
        Column[{
          Dynamic[
           Text[
            Style[
             StringForm[
             "best     ``            score   ``", $CellContext`topscore, \
$CellContext`points], Large, Blue, "Section"]]], 
          Grid[{{
             Column[{
               Text["time"], 
               Show[
                Graphics[{Black, 
                  Rectangle[{0.3, -0.1}, {0.7, 1.2}], Red, 
                  Dynamic[
                   Rectangle[{0.4, 0}, {0.6, $CellContext`t}]]}], 
                PlotRange -> {{0, 1}, {0, 1}}, AspectRatio -> 10, 
                ImageSize -> {100, 250}], 
               Button[
               "go", {$CellContext`choice$$ = 
                 0, $CellContext`fcts = \
$CellContext`rand[$CellContext`advancedplayer$$, $CellContext`x], \
$CellContext`t = 1, 
                 
                 If[$CellContext`advancedplayer$$, $CellContext`\
\[CapitalDelta]t = 0.001, $CellContext`\[CapitalDelta]t = 
                  0.0004], $CellContext`stage = 1, $CellContext`points = 0, 
                 If[$CellContext`music$$, 
                  EmitSound[
                   $CellContext`sound2[$CellContext`stage]], {}]}]}, Center], 
             
             Dynamic[
              Show[
               Plot[
                If[$CellContext`choice$$ == 0, 
                 Part[$CellContext`fcts, 2], 
                 
                 Part[$CellContext`fcts, 
                  1, $CellContext`choice$$]], {$CellContext`x, -5, 5}, 
                PlotRange -> {{-5, 5}, {-4, 4}}, PlotStyle -> {Thick, Green}, 
                AspectRatio -> 4/5, GridLines -> {
                  Range[-5, 5], 
                  Range[-4, 4]}, Ticks -> {
                  Range[-5, 5], 
                  Range[-4, 4]}, ImageSize -> Medium]]], 
             
             Dynamic[$CellContext`t = 
               Max[0, $CellContext`t - $CellContext`\[CapitalDelta]t]; If[
                And[$CellContext`t < 0.001, $CellContext`t > 0], {
                 If[$CellContext`music$$, 
                  EmitSound[
                   Play[
                    Sin[
                    2000 $CellContext`time^(-2)], {$CellContext`time, 0, 
                    1}]], {}], $CellContext`stage = 0}]; $CellContext`status = 
               Dynamic[
                 If[
                  And[$CellContext`t > 0, $CellContext`t < 0.5], "hurry", 
                  If[$CellContext`t == 0, "Game Over", "Go Go Go!"]]]; 
              Column[
                Table[
                 With[{$CellContext`i$ = $CellContext`i}, 
                  Button[
                   Text[
                    Style[
                    Row[{
                    Style["y", Italic], " = ", 
                    TraditionalForm[
                    Part[$CellContext`fcts, 1, $CellContext`i$]]}]]], 
                   If[$CellContext`t > 0, 
                    If[ReplaceAll[
                    
                    Part[$CellContext`fcts, 
                    1, $CellContext`i$], $CellContext`x -> Pi] == ReplaceAll[
                    Part[$CellContext`fcts, 2], $CellContext`x -> 
                    Pi], {$CellContext`points = 
                    IntegerPart[$CellContext`points + (100 $CellContext`t) 
                    1.4^($CellContext`stage + 
                    5 Boole[$CellContext`advancedplayer$$])], $CellContext`t = 
                    1, $CellContext`stage = $CellContext`stage + 1, 
                    If[$CellContext`music$$, 
                    EmitSound[
                    $CellContext`sound2[$CellContext`stage]], 
                    Beep[]], $CellContext`topscore = 
                    Max[$CellContext`points, $CellContext`topscore], \
$CellContext`\[CapitalDelta]t = $CellContext`\[CapitalDelta]t 
                    1.05^$CellContext`stage, $CellContext`fcts = \
$CellContext`rand[$CellContext`advancedplayer$$, $CellContext`x]}, \
{$CellContext`t = 0, $CellContext`stage = 0}, {}], {}], 
                   ImageSize -> {100, 35}, Appearance -> 
                   "DialogBox"]], {$CellContext`i, 6}]]]}}], 
          Dynamic[
           Text[
            Style[
             StringForm[
             "stage ``:   ``", $CellContext`stage, $CellContext`status], 
             Large, Purple, "Section"]]]}, Center]], 
      "Specifications" :> {{{$CellContext`advancedplayer$$, True, 
          "advanced player"}, {
         False, True}}, {{$CellContext`music$$, False, "music"}, {
         False, True}}, {$CellContext`choice$$, 0, 6, 1, ControlType -> 
         None}}, "Options" :> {AutorunSequencing -> {3}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{620., {229., 234.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`rand[
          Pattern[$CellContext`player, 
           Blank[]], $CellContext`x] := 
        Block[{$CellContext`a, $CellContext`c}, $CellContext`a = 
           If[$CellContext`player, 
             RandomChoice[{1/2, 1/3, 1/4, 2/3, 3/4, 3/2, 4/3, 2, 3, 4}] 
             RandomChoice[{-1, 1}], 
             RandomChoice[{1, 2, 3, 4, -1, -2, -3, -4}]]; $CellContext`c = 
           RandomInteger[{-4, 4}]; {
            RandomChoice[
             
             Permutations[{$CellContext`a $CellContext`x + $CellContext`c, \
$CellContext`x/$CellContext`a + $CellContext`c, (-$CellContext`a) \
$CellContext`x + $CellContext`c, (-$CellContext`c) $CellContext`x + \
$CellContext`a, (-$CellContext`x)/$CellContext`a - $CellContext`c, \
$CellContext`c $CellContext`x - $CellContext`a}]], $CellContext`a \
$CellContext`x + $CellContext`c}], 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`sound2[
          Pattern[$CellContext`s, 
           Blank[]]] := Sound[
          Map[
          SoundNote[
           DeleteCases[(3 Range[10]) Reverse[#], 0] - 36 + 4 $CellContext`s, 
            0.22 0.95^$CellContext`s, "Kalimba"]& , 
           Transpose[
            CellularAutomaton[18, {{1}, 0}, 9]]]], $CellContext`status = 
        Dynamic[
          If[
           And[FE`Notebook$$24`t$$256 > 0, FE`Notebook$$24`t$$256 < 0.5], 
           "hurry", " "]], FE`Notebook$$24`t$$256 = 0}; 
      Typeset`initDone$$ = True); ReleaseHold[{{
         HoldComplete[$CellContext`sound2[
             Pattern[$CellContext`s, 
              Blank[]]] := Sound[
             Map[
             SoundNote[
              DeleteCases[3 Range[10] Reverse[#], 0] - 36 + 4 $CellContext`s, 
               0.22 0.95^$CellContext`s, "Kalimba"]& , 
              Transpose[
               CellularAutomaton[18, {{1}, 0}, 9]]]]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`rand[
             Pattern[$CellContext`player, 
              Blank[]], x] := 
           Block[{$CellContext`a, $CellContext`c}, $CellContext`a = 
              If[$CellContext`player, 
                RandomChoice[{1/2, 1/3, 1/4, 2/3, 3/4, 3/2, 4/3, 2, 3, 4}] 
                RandomChoice[{-1, 1}], 
                RandomChoice[{1, 2, 3, 4, -1, -2, -3, -4}]]; $CellContext`c = 
              RandomInteger[{-4, 4}]; {
               RandomChoice[
                
                Permutations[{$CellContext`a x + $CellContext`c, 
                  x/$CellContext`a + $CellContext`c, (-$CellContext`a) 
                   x + $CellContext`c, (-$CellContext`c) 
                   x + $CellContext`a, (-
                    x)/$CellContext`a - $CellContext`c, $CellContext`c 
                   x - $CellContext`a}]], $CellContext`a x + $CellContext`c}]; 
          Null]}}]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->476477682],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Equation of a Line Game",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/EquationOfALineGame/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/EquationOfALineGame/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/EquationOfALineGame/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/EquationOfALineGame/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/EquationOfALineGame/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Sergio Hannibal Mej\[IAcute]a",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Sergio+Hannibal+\
Mej%EDa"], None}],
 " (Yokohama International School)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
EquationOfALineGame"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Equation of a Line Game - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 215, 4, 70, "Section"],
Cell[808, 29, 3394, 97, 70, "Input",
 CellID->50888907],
Cell[4205, 128, 14620, 321, 70, "Input"]
}, Open  ]],
Cell[18840, 452, 9655, 205, 70, "Output",
 CellID->476477682],
Cell[CellGroupData[{
Cell[28520, 661, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[28896, 672, 895, 24, 70, "Text"],
Cell[29794, 698, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[30134, 709, 408, 13, 70, "Text"],
Cell[CellGroupData[{
Cell[30567, 726, 829, 24, 70, "Text"],
Cell[31399, 752, 1195, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature aQjz9DSwW23YxBpuJkoFyjlD *)
