(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     28364,        698]
NotebookOptionsPosition[     27307,        659]
NotebookOutlinePosition[     27929,        683]
CellTagsIndexPosition[     27886,        680]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Finding the Linear Function Rule", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", " ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Pane", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Grid", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Row", "[", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Text", "@", 
             RowBox[{"Style", "[", 
              RowBox[{"input", ",", "20", ",", "Bold"}], "]"}]}], ",", 
            RowBox[{"Graphics", "[", 
             RowBox[{"{", 
              RowBox[{"Thick", ",", "Purple", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Arrowheads", "[", "Large", "]"}], ",", 
                 RowBox[{"Arrow", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}]}],
               "}"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Graphics", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Opacity", "[", "0.25", "]"}], ",", "Red", ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", ".5"}], "]"}]}], 
                 "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"Text", "[", 
                  RowBox[{"Style", "[", 
                   RowBox[{
                    RowBox[{"\"\<linear function\>\"", "/", "\"\<rule\>\""}], 
                    ",", "18"}], "]"}], "]"}], "}"}]}], "\[IndentingNewLine]",
                "}"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "]"}], ",", 
            RowBox[{"Graphics", "[", 
             RowBox[{"{", 
              RowBox[{"Thick", ",", "Purple", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Arrowheads", "[", "Large", "]"}], ",", 
                 RowBox[{"Arrow", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}]}],
               "}"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Text", "@", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"input", "*", 
                 RowBox[{"function", "[", 
                  RowBox[{"[", "1", "]"}], "]"}]}], "+", 
                RowBox[{"function", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ",", "20", ",", "Bold"}], 
              "]"}]}]}], "}"}], "]"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"\"\<\\n\>\"", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Text", "@", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"answer", "\[Equal]", "0"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Row", "[", 
                RowBox[{"{", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"PopupMenu", "[", 
                   RowBox[{
                    RowBox[{"Dynamic", "[", "pop", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\<?\>\"", ",", 
                    RowBox[{"(", 
                    RowBox[{"-", "20"}], ")"}], ",", 
                    RowBox[{"-", "19"}], ",", 
                    RowBox[{"-", "18"}], ",", 
                    RowBox[{"-", "17"}], ",", 
                    RowBox[{"-", "16"}], ",", 
                    RowBox[{"-", "15"}], ",", 
                    RowBox[{"-", "14"}], ",", 
                    RowBox[{"-", "13"}], ",", 
                    RowBox[{"-", "12"}], ",", 
                    RowBox[{"-", "11"}], ",", 
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{"-", "9"}], ",", 
                    RowBox[{"-", "8"}], ",", 
                    RowBox[{"-", "7"}], ",", 
                    RowBox[{"-", "6"}], ",", 
                    RowBox[{"-", "5"}], ",", 
                    RowBox[{"-", "4"}], ",", 
                    RowBox[{"-", "3"}], ",", 
                    RowBox[{"-", "2"}], ",", 
                    RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "2", ",", 
                    "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", "8", 
                    ",", "9", ",", "10", ",", "11", ",", "12", ",", "13", ",",
                     "14", ",", "15", ",", "16", ",", "17", ",", "18", ",", 
                    "19", ",", "20"}], "}"}]}], "]"}], ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                  "\"\< + \>\"", ",", 
                  RowBox[{"PopupMenu", "[", 
                   RowBox[{
                    RowBox[{"Dynamic", "[", "boo", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\<?\>\"", ",", 
                    RowBox[{"-", " ", "20"}], ",", 
                    RowBox[{"-", " ", "19"}], ",", 
                    RowBox[{"-", " ", "18"}], ",", 
                    RowBox[{"-", " ", "17"}], ",", 
                    RowBox[{"-", " ", "16"}], ",", 
                    RowBox[{"-", " ", "15"}], ",", 
                    RowBox[{"-", " ", "14"}], ",", 
                    RowBox[{"-", " ", "13"}], ",", 
                    RowBox[{"-", " ", "12"}], ",", 
                    RowBox[{"-", " ", "11"}], ",", 
                    RowBox[{"-", " ", "10"}], ",", 
                    RowBox[{"-", " ", "9"}], ",", 
                    RowBox[{"-", " ", "8"}], ",", 
                    RowBox[{"-", " ", "7"}], ",", 
                    RowBox[{"-", " ", "6"}], ",", 
                    RowBox[{"-", " ", "5"}], ",", 
                    RowBox[{"-", " ", "4"}], ",", 
                    RowBox[{"-", " ", "3"}], ",", 
                    RowBox[{"-", " ", "2"}], ",", 
                    RowBox[{"-", " ", "1"}], ",", " ", "0", ",", 
                    RowBox[{"+", " ", "1"}], ",", 
                    RowBox[{"+", " ", "2"}], ",", 
                    RowBox[{"+", " ", "3"}], ",", 
                    RowBox[{"+", " ", "4"}], ",", 
                    RowBox[{"+", " ", "5"}], ",", 
                    RowBox[{"+", " ", "6"}], ",", 
                    RowBox[{"+", " ", "7"}], ",", 
                    RowBox[{"+", " ", "8"}], ",", 
                    RowBox[{"+", " ", "9"}], ",", 
                    RowBox[{"+", " ", "10"}], ",", 
                    RowBox[{"+", " ", "11"}], ",", 
                    RowBox[{"+", " ", "12"}], ",", 
                    RowBox[{"+", " ", "13"}], ",", 
                    RowBox[{"+", " ", "14"}], ",", 
                    RowBox[{"+", " ", "15"}], ",", 
                    RowBox[{"+", " ", "16"}], ",", 
                    RowBox[{"+", " ", "17"}], ",", 
                    RowBox[{"+", " ", "18"}], ",", 
                    RowBox[{"+", " ", "19"}], ",", 
                    RowBox[{"+", " ", "20"}]}], "}"}]}], "]"}], ",", 
                  "\"\< = \>\"", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}]}], " ", "}"}], 
                "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Text", "@", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"function", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "20", ",", "Bold"}], 
                    "]"}]}], ",", 
                  RowBox[{"Text", "@", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<x\>\"", ",", "20", ",", "Bold", ",", "Italic"}], 
                    "]"}]}], ",", 
                  RowBox[{"Text", "@", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"function", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], ",", 
                    "\"\< - \>\"", ",", "\"\< + \>\""}], "]"}], ",", "20", 
                    ",", "Bold"}], "]"}]}], ",", "\[IndentingNewLine]", 
                  RowBox[{"Text", "@", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Abs", "[", 
                    RowBox[{"function", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}], ",", "20", ",", 
                    "Bold"}], "]"}]}], ",", " ", 
                  RowBox[{"Text", "@", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\< = \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}]}], "}"}], 
                    "]"}], ",", "20", ",", "Bold"}], "]"}]}]}], "}"}], 
                "]"}]}], "]"}], ",", "15", ",", "Bold"}], "]"}]}], "}"}]}], 
        ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Text", "@", 
          RowBox[{"Style", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"answer", "\[Equal]", "1"}], ",", "\"\<\>\"", ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"check", "\[Equal]", "0"}], ",", "\"\<\>\"", ",", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"pop", "===", 
                    RowBox[{"function", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], " ", "&&", " ", 
                   RowBox[{"boo", "===", 
                    RowBox[{"function", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]}], ",", " ", 
                  "\"\<correct!\>\"", ",", "\"\<wrong: try again\>\""}], 
                 "]"}]}], "]"}]}], "]"}], ",", "15", ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"pop", "===", 
                RowBox[{"function", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], " ", "&&", " ", 
               RowBox[{"boo", "===", 
                RowBox[{"function", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}]}], ",", 
              RowBox[{"Darker", "[", "Green", "]"}], ",", 
              RowBox[{"Darker", "[", "Red", "]"}]}], "]"}], ",", "Bold"}], 
           "]"}]}], "}"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
       "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"300", ",", "300"}], "}"}], ",", 
     RowBox[{"Alignment", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Center", ",", "Center"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"input", ",", "3", ",", "\"\<input value\>\""}], "}"}], ",", 
     RowBox[{"-", "20"}], ",", "20", ",", "1"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"function", ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", 
         RowBox[{"-", "5"}]}], "}"}], ",", "\"\<\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Button", "[", 
       RowBox[{"\"\<new linear function\>\"", ",", 
        RowBox[{"function", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RandomInteger", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "20"}], ",", "20"}], "}"}], "]"}], ",", 
           RowBox[{"RandomInteger", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "20"}], ",", "20"}], "}"}], "]"}]}], "}"}]}]}], 
       "]"}], "&"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"answer", ",", "0", ",", "\"\<show linear function\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", "Checkbox", ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Bottom"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"check", ",", "0", ",", "\"\<check answer\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", "Checkbox", ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Bottom"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pop", ",", "\"\<?\>\""}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"boo", ",", "\"\<?\>\""}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "3"}], "}"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.423244877277504*^9, 3.4232449376532764`*^9}, {
   3.4232458690401983`*^9, 3.4232458963217974`*^9}, {3.4232459317441263`*^9, 
   3.4232461134183264`*^9}, {3.423246247373166*^9, 3.4232463482747016`*^9}, {
   3.4232463846450453`*^9, 3.4232464275926723`*^9}, {3.4232464803202977`*^9, 
   3.423246595071233*^9}, 3.4232467013468466`*^9, {3.423246736720661*^9, 
   3.4232467747975674`*^9}, {3.423246831217637*^9, 3.4232469465108223`*^9}, {
   3.4232470011028256`*^9, 3.4232472206013083`*^9}, {3.423247263007287*^9, 
   3.423247323038265*^9}, {3.42324736299139*^9, 3.42324744311639*^9}, {
   3.42324748746014*^9, 3.423247517632015*^9}, {3.423247584319515*^9, 
   3.423247598350765*^9}, {3.4233105021404495`*^9, 3.423310698771741*^9}, {
   3.4233108363542686`*^9, 3.423311289446892*^9}, 3.423311342761098*^9, {
   3.423311387215646*^9, 3.423311430295149*^9}, {3.4233144203596325`*^9, 
   3.4233144214846544`*^9}, {3.4233144896109624`*^9, 3.423314537768137*^9}, {
   3.4233145690968637`*^9, 3.4233145938473387`*^9}, {3.4233149488854055`*^9, 
   3.423315157405034*^9}, {3.4233152074372444`*^9, 3.4233152403753767`*^9}, {
   3.4233153025015697`*^9, 3.4233153357522078`*^9}, {3.42331541895693*^9, 
   3.423315633461049*^9}, {3.423315681915104*^9, 3.4233156855557995`*^9}, {
   3.4233157253065624`*^9, 3.423315751400813*^9}, {3.4233184774531527`*^9, 
   3.423318559798484*^9}, {3.423318974759576*^9, 3.423319015463482*^9}, {
   3.4233190487609963`*^9, 3.4233190500110207`*^9}, {3.423319403580309*^9, 
   3.4233194577375984`*^9}, {3.4233195789586763`*^9, 
   3.4233195800211964`*^9}, {3.4233197588527546`*^9, 
   3.4233198265259295`*^9}, {3.4233199139338574`*^9, 
   3.4233199157776427`*^9}, {3.4233200744838147`*^9, 3.423320120469073*^9}, {
   3.423320544195958*^9, 3.42332062916634*^9}, {3.423320660838823*^9, 
   3.4233206732140603`*^9}, {3.423356183844241*^9, 3.423356225064046*^9}, 
   3.4234138635386515`*^9, {3.4234139012574015`*^9, 3.4234139077574015`*^9}, {
   3.4234139696324015`*^9, 3.423413988460526*^9}, {3.4234140639449015`*^9, 
   3.423414134023026*^9}, {3.4234141791636515`*^9, 3.4234142272886515`*^9}, {
   3.423418773065511*^9, 3.4234188146226664`*^9}, {3.423418868390043*^9, 
   3.423418874585662*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`answer$$ = 0, $CellContext`boo$$ = 
    "?", $CellContext`check$$ = 0, $CellContext`function$$ = {
    4, -5}, $CellContext`input$$ = 3, $CellContext`pop$$ = "?", 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`input$$], 3, "input value"}, -20, 20, 1}, {{
       Hold[$CellContext`function$$], {4, -5}, ""}, 
      Dynamic[Button["new linear function", $CellContext`function$$ = {
          RandomInteger[{-20, 20}], 
          RandomInteger[{-20, 20}]}]& ]}, {{
       Hold[$CellContext`answer$$], 0, "show linear function"}, {0, 1}}, {{
       Hold[$CellContext`check$$], 0, "check answer"}, {0, 1}}, {{
       Hold[$CellContext`pop$$], "?"}}, {{
       Hold[$CellContext`boo$$], "?"}}}, Typeset`size$$ = {
    300., {147.5, 152.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`input$143946$$ = 
    0, $CellContext`answer$143947$$ = False, $CellContext`check$143948$$ = 
    False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`answer$$ = 0, $CellContext`boo$$ = 
        "?", $CellContext`check$$ = 
        0, $CellContext`function$$ = {4, -5}, $CellContext`input$$ = 
        3, $CellContext`pop$$ = "?"}, "ControllerVariables" :> {
        Hold[$CellContext`input$$, $CellContext`input$143946$$, 0], 
        Hold[$CellContext`answer$$, $CellContext`answer$143947$$, False], 
        Hold[$CellContext`check$$, $CellContext`check$143948$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        Grid[{{
           Row[{
             Text[
              Style[$CellContext`input$$, 20, Bold]], 
             Graphics[{Thick, Purple, {
                Arrowheads[Large], 
                Arrow[{{0, 0}, {1, 0}}]}}], 
             Graphics[{{
                Opacity[0.25], Red, 
                Disk[{0, 0}, 0.5]}, {
                Text[
                 Style["linear function"/"rule", 18]]}}, ImageSize -> Tiny], 
             Graphics[{Thick, Purple, {
                Arrowheads[Large], 
                Arrow[{{0, 0}, {1, 0}}]}}], 
             Text[
              
              Style[$CellContext`input$$ Part[$CellContext`function$$, 1] + 
               Part[$CellContext`function$$, 2], 20, Bold]]}]}, "\n" {
            Text[
             Style[
              If[$CellContext`answer$$ == 0, 
               Row[{
                 PopupMenu[
                  Dynamic[$CellContext`pop$$], {
                  "?", -20, -19, -18, -17, -16, -15, -14, -13, -12, -11, -10, \
-9, -8, -7, -6, -5, -4, -3, -2, -1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 
                   13, 14, 15, 16, 17, 18, 19, 20}], 
                 Style["x", Italic], " + ", 
                 PopupMenu[
                  Dynamic[$CellContext`boo$$], {
                  "?", -20, -19, -18, -17, -16, -15, -14, -13, -12, -11, -10, \
-9, -8, -7, -6, -5, -4, -3, -2, -1, 0, 
                   Plus[1], 
                   Plus[2], 
                   Plus[3], 
                   Plus[4], 
                   Plus[5], 
                   Plus[6], 
                   Plus[7], 
                   Plus[8], 
                   Plus[9], 
                   Plus[10], 
                   Plus[11], 
                   Plus[12], 
                   Plus[13], 
                   Plus[14], 
                   Plus[15], 
                   Plus[16], 
                   Plus[17], 
                   Plus[18], 
                   Plus[19], 
                   Plus[20]}], " = ", 
                 Style["y", Italic]}], 
               Row[{
                 Text[
                  Style[
                   Part[$CellContext`function$$, 1], 20, Bold]], 
                 Text[
                  Style["x", 20, Bold, Italic]], 
                 Text[
                  Style[
                   If[Part[$CellContext`function$$, 2] < 0, " - ", " + "], 20,
                    Bold]], 
                 Text[
                  Style[
                   Abs[
                    Part[$CellContext`function$$, 2]], 20, Bold]], 
                 Text[
                  Style[
                   Row[{" = ", 
                    Style["y", Italic]}], 20, Bold]]}]], 15, Bold]]}, {
           Text[
            Style[
             If[$CellContext`answer$$ == 1, "", 
              If[$CellContext`check$$ == 0, "", 
               If[
                
                And[$CellContext`pop$$ === 
                 Part[$CellContext`function$$, 1], $CellContext`boo$$ === 
                 Part[$CellContext`function$$, 2]], "correct!", 
                "wrong: try again"]]], 15, 
             If[
              
              And[$CellContext`pop$$ === 
               Part[$CellContext`function$$, 1], $CellContext`boo$$ === 
               Part[$CellContext`function$$, 2]], 
              Darker[Green], 
              Darker[Red]], Bold]]}}], {300, 300}, 
        Alignment -> {Center, Center}], 
      "Specifications" :> {{{$CellContext`input$$, 3, "input value"}, -20, 20,
          1}, {{$CellContext`function$$, {4, -5}, ""}, 
         Dynamic[Button["new linear function", $CellContext`function$$ = {
             RandomInteger[{-20, 20}], 
             RandomInteger[{-20, 20}]}]& ]}, {{$CellContext`answer$$, 0, 
          "show linear function"}, {0, 1}, ControlType -> Checkbox, 
         ControlPlacement -> 
         Bottom}, {{$CellContext`check$$, 0, "check answer"}, {0, 1}, 
         ControlType -> Checkbox, ControlPlacement -> 
         Bottom}, {{$CellContext`pop$$, "?"}, ControlType -> 
         None}, {{$CellContext`boo$$, "?"}, ControlType -> None}}, 
      "Options" :> {AutorunSequencing -> {1, 3}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{344., {224., 229.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->108507050],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Finding the Linear Function Rule",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FindingTheLinearFunctionRule/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/FindingTheLinearFunctionRule/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/FindingTheLinearFunctionRule/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FindingTheLinearFunctionRule/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/FindingTheLinearFunctionRule/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Sarah Lichtblau",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Sarah+\
Lichtblau"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Sarah+Lichtblau"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
FindingTheLinearFunctionRule"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Finding the Linear Function Rule - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 224, 4, 70, "Section"],
Cell[817, 29, 15689, 341, 70, "Input"]
}, Open  ]],
Cell[16521, 373, 6547, 149, 70, "Output",
 CellID->108507050],
Cell[CellGroupData[{
Cell[23093, 526, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[23469, 537, 967, 28, 70, "Text"],
Cell[24439, 567, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[24779, 578, 439, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[25243, 596, 829, 24, 70, "Text"],
Cell[26075, 622, 1204, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature YQz2HCmns5aLZCp0awG1fCSO *)
