(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     17121,        452]
NotebookOptionsPosition[     16052,        413]
NotebookOutlinePosition[     16689,        437]
CellTagsIndexPosition[     16646,        434]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Intersecting Lines Using Slope-Intercept Form", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "isec", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"Not", "[", 
         RowBox[{"m1", "\[Equal]", "m2"}], "]"}], ",", 
        RowBox[{"isec", "=", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"b1", "+", 
             RowBox[{"x", "*", "m1"}]}]}], "}"}], "/.", 
          RowBox[{"x", "\[Rule]", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "b1"}], "+", "b2"}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"m1", "-", "m2"}], ")"}]}]}]}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Quiet", "@", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"b1", "+", 
            RowBox[{"x", "*", "m1"}]}], ",", 
           RowBox[{"b2", "+", 
            RowBox[{"x", "*", "m2"}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Epilog", "\[Rule]", 
          RowBox[{"If", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"m1", "\[Equal]", "m2"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"AbsolutePointSize", "[", "8", "]"}], ",", 
              RowBox[{"Point", "[", "isec", "]"}]}], "}"}]}], 
           "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"400", ",", "400"}], "}"}]}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", "\[IndentingNewLine]", 
         
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"If", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"m1", "===", "m2"}], ",", "\[IndentingNewLine]", 
            RowBox[{"If", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"b1", "\[Equal]", "b2"}], ",", "\[IndentingNewLine]", 
              RowBox[{"Row", "[", 
               RowBox[{
               "{", "\"\<The lines are identical. \\nTheir intersection is \
the same line again.\>\"", "}"}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"Row", "[", 
               RowBox[{
               "{", "\"\<The lines are parallel and distinct. \\nThere is no \
intersection point.\>\"", "}"}], "]"}], ","}], "\[IndentingNewLine]", "]"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"\"\<intersection point = \>\"", ",", 
               RowBox[{"ToString", "[", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{"isec", ",", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], ",", 
               "\"\<\\n\>\""}], "}"}], "]"}]}], "\[IndentingNewLine]", 
           "]"}]}]}], "\[IndentingNewLine]", "]"}]}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<line 1\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "b1", ",", "2", ",", 
       "\"\<y intercept \!\(\*SubscriptBox[\(b\), \(1\)]\)\>\""}], "}"}], ",",
      
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "m1", ",", "1", ",", 
       "\"\<slope \!\(\*SubscriptBox[\(m\), \(1\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".05", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<line 2\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b2", ",", 
       RowBox[{"-", "1"}], ",", 
       "\"\<y intercept \!\(\*SubscriptBox[\(b\), \(2\)]\)\>\""}], "}"}], ",",
      
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "m2", ",", "1", ",", 
       "\"\<slope \!\(\*SubscriptBox[\(m\), \(2\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.40908288595995*^9, {3.4090829465376873`*^9, 
   3.4090829549595084`*^9}, {3.40922912390625*^9, 3.409229182171875*^9}, {
   3.4092299425057516`*^9, 3.4092300904570637`*^9}, {3.4092703806850967`*^9, 
   3.4092704949797773`*^9}, {3.4092709465961056`*^9, 
   3.4092710231727605`*^9}, {3.409271074515525*^9, 3.4092710810154*^9}, {
   3.409271121795867*^9, 3.4092712448247547`*^9}, {3.4092712769960117`*^9, 
   3.4092713496196175`*^9}, {3.409271388618869*^9, 3.4092714018998637`*^9}, {
   3.409271456039449*^9, 3.409271484163909*^9}, {3.409271542287793*^9, 
   3.409271674129012*^9}, {3.4092717183781624`*^9, 3.4092717408308563`*^9}, {
   3.4092717837519073`*^9, 3.4092718490475283`*^9}, {3.4092719049683294`*^9, 
   3.409271982576215*^9}, {3.409272012606888*^9, 3.4092720271534834`*^9}, {
   3.4092720575279007`*^9, 3.4092720636840324`*^9}, 3.4092726629989243`*^9, {
   3.4093257624701457`*^9, 3.409325763767012*^9}, {3.4093372434383774`*^9, 
   3.40933724536024*^9}, {3.409340982789445*^9, 3.409341004914304*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`b1$$ = 
    2, $CellContext`b2$$ = -1, $CellContext`m1$$ = 1, $CellContext`m2$$ = 1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Style["line 1", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`b1$$], 2, 
       "y intercept \!\(\*SubscriptBox[\(b\), \(1\)]\)"}, -10, 10, 0.01}, {{
       Hold[$CellContext`m1$$], 1, 
       "slope \!\(\*SubscriptBox[\(m\), \(1\)]\)"}, -10, 10, 0.05}, {
      Hold[
       Style["line 2", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`b2$$], -1, 
       "y intercept \!\(\*SubscriptBox[\(b\), \(2\)]\)"}, -10, 10, 0.01}, {{
       Hold[$CellContext`m2$$], 1, 
       "slope \!\(\*SubscriptBox[\(m\), \(2\)]\)"}, -10, 10, 0.01}}, 
    Typeset`size$$ = {400., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`b1$1198631$$ = 0, $CellContext`m1$1198632$$ = 
    0, $CellContext`b2$1198633$$ = 0, $CellContext`m2$1198634$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`b1$$ = 
        2, $CellContext`b2$$ = -1, $CellContext`m1$$ = 1, $CellContext`m2$$ = 
        1}, "ControllerVariables" :> {
        Hold[$CellContext`b1$$, $CellContext`b1$1198631$$, 0], 
        Hold[$CellContext`m1$$, $CellContext`m1$1198632$$, 0], 
        Hold[$CellContext`b2$$, $CellContext`b2$1198633$$, 0], 
        Hold[$CellContext`m2$$, $CellContext`m2$1198634$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Module[{$CellContext`isec$}, If[
          Not[$CellContext`m1$$ == $CellContext`m2$$], $CellContext`isec$ = 
          ReplaceAll[{$CellContext`x, $CellContext`b1$$ + $CellContext`x \
$CellContext`m1$$}, $CellContext`x -> (-$CellContext`b1$$ + \
$CellContext`b2$$)/($CellContext`m1$$ - $CellContext`m2$$)]]; Quiet[
          
          Plot[{$CellContext`b1$$ + $CellContext`x $CellContext`m1$$, \
$CellContext`b2$$ + $CellContext`x $CellContext`m2$$}, {$CellContext`x, -10, 
            10}, PlotRange -> {{-10, 10}, {-10, 10}}, Epilog -> 
           If[$CellContext`m1$$ == $CellContext`m2$$, {}, {
              AbsolutePointSize[8], 
              Point[$CellContext`isec$]}], ImageSize -> {400, 400}, 
           AspectRatio -> 1, PlotLabel -> 
           If[$CellContext`m1$$ === $CellContext`m2$$, 
             If[$CellContext`b1$$ == $CellContext`b2$$, 
              
              Row[{"The lines are identical. \nTheir intersection is the same \
line again."}], 
              
              Row[{"The lines are parallel and distinct. \nThere is no \
intersection point."}], Null], 
             Row[{"intersection point = ", 
               ToString[
                NumberForm[$CellContext`isec$, {3, 2}]], "\n"}]]]]], 
      "Specifications" :> {
        Style[
        "line 1", 
         Bold], {{$CellContext`b1$$, 2, 
          "y intercept \!\(\*SubscriptBox[\(b\), \(1\)]\)"}, -10, 10, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`m1$$, 1, 
          "slope \!\(\*SubscriptBox[\(m\), \(1\)]\)"}, -10, 10, 0.05, 
         Appearance -> "Labeled", ImageSize -> Tiny}, 
        Style[
        "line 2", 
         Bold], {{$CellContext`b2$$, -1, 
          "y intercept \!\(\*SubscriptBox[\(b\), \(2\)]\)"}, -10, 10, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`m2$$, 1, 
          "slope \!\(\*SubscriptBox[\(m\), \(2\)]\)"}, -10, 10, 0.01, 
         Appearance -> "Labeled", ImageSize -> Tiny}}, 
      "Options" :> {ControlPlacement -> Left}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{634., {225., 230.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->21534306],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Intersecting Lines Using Slope-Intercept Form",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
IntersectingLinesUsingSlopeInterceptForm/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
IntersectingLinesUsingSlopeInterceptForm/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
IntersectingLinesUsingSlopeInterceptForm/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
IntersectingLinesUsingSlopeInterceptForm/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
IntersectingLinesUsingSlopeInterceptForm/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Jeff Bryant",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jeff+Bryant"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jeff+Bryant"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
IntersectingLinesUsingSlopeInterceptForm"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Intersecting Lines Using Slope-Intercept Form - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 237, 4, 70, "Section"],
Cell[830, 29, 6428, 151, 70, "Input"]
}, Open  ]],
Cell[7273, 183, 4464, 90, 70, "Output",
 CellID->21534306],
Cell[CellGroupData[{
Cell[11762, 277, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[12138, 288, 1040, 31, 70, "Text"],
Cell[13181, 321, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13521, 332, 430, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[13976, 350, 829, 24, 70, "Text"],
Cell[14808, 376, 1216, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature LQz12ZhwMWZcHD0uIxLxxWrH *)
