(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16897,        454]
NotebookOptionsPosition[     15815,        413]
NotebookOutlinePosition[     16426,        437]
CellTagsIndexPosition[     16383,        434]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Line through Two Points", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"k", " ", "x"}], "+", "n"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2.1"}], ",", "2.1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2.1"}], ",", "2.1"}], "}"}]}], "}"}]}]}], "]"}], 
     ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.025", "]"}], ",", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", " ", "0", ",", " ", "0"}], "]"}], ",", 
        RowBox[{"Point", "[", "AA", "]"}], ",", 
        RowBox[{"Point", "[", "DD", "]"}], ",", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.501961", ",", " ", "0.501961", ",", " ", "0"}], "]"}], 
        ",", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<approximation measure: \>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.8"}], "}"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"AA", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "-", 
               RowBox[{"k", " ", 
                RowBox[{"AA", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "-", "n"}], ")"}], "/", 
             RowBox[{"Sqrt", "[", 
              RowBox[{"1", "+", 
               RowBox[{"k", "^", "2"}]}], "]"}]}], "]"}], "+", 
           RowBox[{"Abs", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"DD", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "-", 
               RowBox[{"k", " ", 
                RowBox[{"DD", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "-", "n"}], ")"}], "/", 
             RowBox[{"Sqrt", "[", 
              RowBox[{"1", "+", 
               RowBox[{"k", "^", "2"}]}], "]"}]}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.7"}], "}"}]}], "]"}]}], "}"}], 
      "]"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", "\"\<slope m\>\""}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", "\"\<intercept b\>\""}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sr", ",", "1287", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Button", "[", 
       RowBox[{"\"\<try again\>\"", ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"AA", "=", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"RandomReal", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "1.9"}], ",", 
                RowBox[{"-", "1"}]}], "}"}], "]"}], ",", 
             RowBox[{"RandomReal", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "2"}], ",", "2"}], "}"}], "]"}]}], "}"}]}], 
          ")"}], ";", 
         RowBox[{"DD", "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RandomReal", "[", 
             RowBox[{"{", 
              RowBox[{"1", ",", "1.9"}], "}"}], "]"}], ",", 
            RowBox[{"RandomReal", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "2"}], ",", "2"}], "}"}], "]"}]}], "}"}]}]}]}], 
       "]"}], "&"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"AA", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1.5"}], ",", 
         RowBox[{"-", "1.33"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"DD", ",", 
       RowBox[{"{", 
        RowBox[{"1.5", ",", 
         RowBox[{"-", "0.95"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.429854756578125*^9, 3.42985484625*^9}, {
   3.429854964125*^9, 3.42985503715625*^9}, {3.429855071078125*^9, 
   3.42985507353125*^9}, {3.429855115078125*^9, 3.42985527628125*^9}, {
   3.429855729921875*^9, 3.429855782859375*^9}, {3.42985584*^9, 
   3.429855848703125*^9}, {3.429855935578125*^9, 3.42985594284375*^9}, {
   3.429856158546875*^9, 3.4298561750625*^9}, {3.429856248234375*^9, 
   3.4298563670625*^9}, {3.429856405578125*^9, 3.429856456734375*^9}, {
   3.4298574648125*^9, 3.4298574746875*^9}, {3.42985750475*^9, 
   3.429857515703125*^9}, {3.42985971915625*^9, 3.429859767953125*^9}, {
   3.429859819671875*^9, 3.429859837625*^9}, {3.429859886796875*^9, 
   3.429859920140625*^9}, {3.429859963265625*^9, 3.429859994140625*^9}, {
   3.429860311*^9, 3.4298603369375*^9}, {3.429860368453125*^9, 
   3.4298604740625*^9}, {3.429948775921875*^9, 3.42994879390625*^9}, {
   3.42994884215625*^9, 3.4299488575625*^9}, 3.42994908271875*^9, {
   3.429949135796875*^9, 3.4299491559375*^9}, {3.429949324890625*^9, 
   3.42994940065625*^9}, {3.429949469375*^9, 3.429949489234375*^9}, {
   3.42994956715625*^9, 3.42994964140625*^9}, {3.430117127984375*^9, 
   3.430117220015625*^9}, {3.430117266890625*^9, 3.430117269125*^9}, 
   3.430117712875*^9, {3.430117771125*^9, 3.430117774859375*^9}, {
   3.43011782921875*^9, 3.430117865296875*^9}, {3.43012019259375*^9, 
   3.43012020025*^9}, 3.4301202800625*^9, {3.430120377671875*^9, 
   3.430120392546875*^9}, 3.430120453875*^9, {3.4301205765625*^9, 
   3.430120603515625*^9}, {3.43012064303125*^9, 3.4301206555*^9}, {
   3.430156169*^9, 3.43015630534375*^9}, {3.4301563423125*^9, 
   3.430156349140625*^9}, {3.4301688095*^9, 3.43016881321875*^9}, {
   3.431962765109375*^9, 3.431962880015625*^9}, {3.43196292434375*^9, 
   3.4319631091875*^9}, 3.431963727109375*^9, 3.431969232589535*^9},
 CellID->266827122]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`AA$$ = {-1.5, -1.33}, $CellContext`DD$$ = {
    1.5, -0.95}, $CellContext`k$$ = 1, $CellContext`n$$ = 
    0, $CellContext`sr$$ = 1287, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`k$$], 1, "slope m"}, -2, 2, 0.01}, {{
       Hold[$CellContext`n$$], 0, "intercept b"}, -2, 2, 0.01}, {{
       Hold[$CellContext`sr$$], 1287, ""}, 
      Dynamic[Button["try again", $CellContext`AA$$ = {
           RandomReal[{-1.9, -1}], 
           RandomReal[{-2, 2}]}; $CellContext`DD$$ = {
           RandomReal[{1, 1.9}], 
           RandomReal[{-2, 2}]}]& ]}, {{
       Hold[$CellContext`AA$$], {-1.5, -1.33}}}, {{
       Hold[$CellContext`DD$$], {1.5, -0.95}}}}, Typeset`size$$ = {
    400., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`k$110124$$ = 
    0, $CellContext`n$110125$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`AA$$ = {-1.5, -1.33}, $CellContext`DD$$ = {
         1.5, -0.95}, $CellContext`k$$ = 1, $CellContext`n$$ = 
        0, $CellContext`sr$$ = 1287}, "ControllerVariables" :> {
        Hold[$CellContext`k$$, $CellContext`k$110124$$, 0], 
        Hold[$CellContext`n$$, $CellContext`n$110125$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[$CellContext`k$$ $CellContext`x + $CellContext`n$$, \
{$CellContext`x, -2, 2}, PlotRange -> {{-2.1, 2.1}, {-2.1, 2.1}}], 
        Graphics[{
          PointSize[0.025], 
          RGBColor[1, 0, 0], 
          Point[$CellContext`AA$$], 
          Point[$CellContext`DD$$], 
          RGBColor[0.501961, 0.501961, 0], 
          Text["approximation measure: ", {-1.5, 1.8}], 
          Text[
          Abs[(Part[$CellContext`AA$$, 2] - $CellContext`k$$ 
              Part[$CellContext`AA$$, 1] - $CellContext`n$$)/Sqrt[
             1 + $CellContext`k$$^2]] + 
           Abs[(Part[$CellContext`DD$$, 2] - $CellContext`k$$ 
              Part[$CellContext`DD$$, 1] - $CellContext`n$$)/Sqrt[
             1 + $CellContext`k$$^2]], {-1.5, 1.7}]}], AspectRatio -> 
        Automatic, ImageSize -> {400, 400}], 
      "Specifications" :> {{{$CellContext`k$$, 1, "slope m"}, -2, 2, 0.01, 
         ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`n$$, 0, "intercept b"}, -2, 2, 0.01, 
         ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`sr$$, 1287, ""}, 
         Dynamic[Button["try again", $CellContext`AA$$ = {
              RandomReal[{-1.9, -1}], 
              RandomReal[{-2, 2}]}; $CellContext`DD$$ = {
              RandomReal[{1, 1.9}], 
              RandomReal[{-2, 2}]}]& ]}, {{$CellContext`AA$$, {-1.5, -1.33}}, 
         ControlType -> None}, {{$CellContext`DD$$, {1.5, -0.95}}, 
         ControlType -> None}}, 
      "Options" :> {ControlPlacement -> Left, AutorunSequencing -> {1, 2}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{619., {225., 230.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->37334672],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Line through Two Points",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LineThroughTwoPoints/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/LineThroughTwoPoints/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/LineThroughTwoPoints/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LineThroughTwoPoints/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/LineThroughTwoPoints/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->422967449],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
LineThroughTwoPoints"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Line through Two Points - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 215, 4, 70, "Section"],
Cell[808, 29, 7038, 172, 70, "Input",
 CellID->266827122]
}, Open  ]],
Cell[7861, 204, 3773, 75, 70, "Output",
 CellID->37334672],
Cell[CellGroupData[{
Cell[11659, 283, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[12035, 294, 900, 24, 70, "Text"],
Cell[12938, 320, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13278, 331, 456, 15, 70, "Text",
 CellID->422967449],
Cell[CellGroupData[{
Cell[13759, 350, 829, 24, 70, "Text"],
Cell[14591, 376, 1196, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature XQj0IGdLKgFEPApY2PHAzHQ1 *)
