(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     30371,        737]
NotebookOptionsPosition[     29285,        696]
NotebookOutlinePosition[     29895,        720]
CellTagsIndexPosition[     29852,        717]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Lines: Point-Slope", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "makegraph", ",", "gr", ",", "ptgr", ",", "grtck", ",", "b", ",", 
       "usefractions", ",", "frac"}], "}"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"frac", "[", "val_", "]"}], ":=", 
       RowBox[{"If", "[", 
        RowBox[{"usefractions", ",", 
         RowBox[{"Rationalize", "[", "val", "]"}], ",", "val"}], "]"}]}], ";",
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"makegraph", "[", "usept_", "]"}], ":=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"gr", "[", "usept", "]"}], ",", 
         RowBox[{"ptgr", "[", "usept", "]"}], ",", 
         RowBox[{"AxesStyle", "\[Rule]", "Thick"}], ",", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", "14", "}"}]}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"Ticks", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"grtck", ",", "grtck"}], "}"}]}], ",", 
         RowBox[{"GridLinesStyle", "\[Rule]", 
          RowBox[{"GrayLevel", "[", 
           RowBox[{".2", ",", ".2"}], "]"}]}], ",", 
         RowBox[{"GridLines", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"grtck", ",", "grtck"}], "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
         RowBox[{"AxesOrigin", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"gr", "[", "apt_", "]"}], ":=", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"m", "*", 
           RowBox[{"(", 
            RowBox[{"x", "-", 
             RowBox[{"apt", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], "+", 
          RowBox[{"apt", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", "Thick"}], 
           "}"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ptgr", "[", "apt_", "]"}], ":=", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "0.03", "]"}], ",", 
          RowBox[{"RGBColor", "[", 
           RowBox[{".88", ",", ".63", ",", ".23"}], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"apt", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", 
             RowBox[{"apt", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "}"}], 
        "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"DynamicModule", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"usept", "=", "initpt"}], "}"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"grtck", "=", 
          RowBox[{"Range", "[", 
           RowBox[{
            RowBox[{"-", "5"}], ",", "5"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"b", "[", "apt_", "]"}], ":=", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "m"}], "*", 
            RowBox[{"apt", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "+", 
           RowBox[{"apt", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"usefractions", "=", 
          RowBox[{"Switch", "[", 
           RowBox[{
           "numbervals", ",", "allvals", ",", "False", ",", "fractionvals", 
            ",", "True", ",", "integervals", ",", "True"}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"Column", "[", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Pane", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", 
                RowBox[{"Text", "[", 
                 RowBox[{"Switch", "[", 
                  RowBox[{"showeqn", ",", "show1", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<\>\"", ",", "20"}], "]"}], ",", 
                   "\[IndentingNewLine]", "show2", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"usept", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], ",", 
                    "\"\< + \>\"", ",", "\"\< - \>\""}], "]"}], ",", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"frac", "[", 
                    RowBox[{"usept", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}], ",", 
                    "\"\< = \>\"", ",", 
                    RowBox[{"frac", "[", "m", "]"}], ",", "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"usept", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], ",", 
                    "\"\< + \>\"", ",", "\"\< - \>\""}], "]"}], ",", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"frac", "[", 
                    RowBox[{"usept", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], ",", 
                    "\"\<)\>\""}], "}"}], "]"}], ",", "20"}], "]"}], ",", 
                   "\[IndentingNewLine]", "show3", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"m", "\[Equal]", "0"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", "usept", "]"}], "\[Equal]", "0"}], ",", 
                    "\"\<0\>\"", ",", "\"\<\>\""}], "]"}], ",", 
                    RowBox[{"frac", "[", "m", "]"}]}], "]"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"m", "\[Equal]", "0"}], ",", "\"\<\>\"", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", "usept", "]"}], ">", "0"}], ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< + \>\""}], "}"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x \>\"", ",", "Italic"}], "]"}]}], "]"}]}], 
                    "]"}], ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", "usept", "]"}], "\[Equal]", "0"}], ",", 
                    "\"\<\>\"", ",", 
                    RowBox[{"frac", "[", 
                    RowBox[{"b", "[", "usept", "]"}], "]"}]}], "]"}], "]"}]}],
                     "}"}], "]"}], ",", "20"}], "]"}]}], "]"}], "]"}], "]"}], 
               ",", 
               RowBox[{"ImageSize", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"300", ",", "30"}], "}"}]}], ",", 
               RowBox[{"Alignment", "\[Rule]", "Bottom"}]}], "]"}], ",", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"LocatorPane", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", 
                RowBox[{"usept", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"usept", "=", "initpt"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"usept", "=", 
                    RowBox[{"Switch", "[", 
                    RowBox[{
                    "numbervals", ",", "allvals", ",", "#", ",", 
                    "fractionvals", ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"#", ",", "0.5"}], "]"}], ",", "integervals", ",",
                     
                    RowBox[{"Round", "[", "#", "]"}]}], "]"}]}], ")"}], "&"}],
                    ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"usept", "=", 
                    RowBox[{"Switch", "[", 
                    RowBox[{
                    "numbervals", ",", "allvals", ",", "#", ",", 
                    "fractionvals", ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"#", ",", "0.5"}], "]"}], ",", "integervals", ",",
                     
                    RowBox[{"Round", "[", "#", "]"}]}], "]"}]}], ")"}], "&"}],
                     ";", 
                    RowBox[{"initpt", "=", "usept"}]}]}], "}"}]}], "]"}], ",",
                "\[IndentingNewLine]", 
               RowBox[{"Dynamic", "[", 
                RowBox[{"makegraph", "[", "usept", "]"}], "]"}], ",", " ", 
               RowBox[{"Appearance", "\[Rule]", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<.\>\"", ",", 
                  RowBox[{"Opacity", "[", "0", "]"}]}], "]"}]}]}], 
              "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
            "\[IndentingNewLine]", "}"}], ",", 
           RowBox[{"ItemSize", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"Automatic", ",", 
              RowBox[{"{", 
               RowBox[{"3.75", ",", "Automatic"}], "}"}]}], "}"}]}]}], 
          "]"}]}]}], "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", 
    "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showeqn", ",", "show2", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"show1", "\[Rule]", "\"\<hide equation\>\""}], ",", 
       RowBox[{"show2", "\[Rule]", "\"\<point-slope form\>\""}], ",", 
       RowBox[{"show3", "\[Rule]", "\"\<slope-intercept form\>\""}]}], "}"}], 
     ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Vertical\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"numbervals", ",", "fractionvals", ",", "\"\<          \>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"integervals", "\[Rule]", "\"\<integer grid\>\""}], ",", 
       RowBox[{"fractionvals", "\[Rule]", "\"\<1/2 grid\>\""}], ",", 
       RowBox[{"allvals", "\[Rule]", "\"\<free points\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Vertical\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "1.5", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<slope\>\"", ",", "14"}], "]"}]}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"Switch", "[", 
        RowBox[{
        "numbervals", ",", "allvals", ",", "False", ",", "fractionvals", ",", 
         "True", ",", "integervals", ",", "True"}], "]"}], ",", 
       RowBox[{"1", "/", "12"}], ",", "0.001"}], "]"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"initpt", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<\[FilledCircle]\>\"", ",", "Blue", ",", "14"}], "]"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "5"}], ",", 
       RowBox[{"-", "5"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "5"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"RotateLabel", "\[Rule]", "True"}], ",", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"frac", "[", "val_", "]"}], ":=", 
       RowBox[{"If", "[", 
        RowBox[{"usefractions", ",", 
         RowBox[{"Rationalize", "[", "val", "]"}], ",", "val"}], "]"}]}], 
      ";"}], "}"}]}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"m", ",", "showeqn", ",", "initpt"}], "}"}]}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "3", ",", "4"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, 3.36180766627253*^9, {3.36205661342712*^9, 
   3.36205661619109*^9}, 3.36205675165588*^9, 3.36205700723338*^9, {
   3.3620636408507*^9, 3.36206364806769*^9}, {3.36276016065429*^9, 
   3.36276016110738*^9}, {3.36907596709385*^9, 3.36907596848585*^9}, {
   3.36926382935664*^9, 3.36926383284166*^9}, 3.3692645586353*^9, {
   3.370482134609375*^9, 3.3704821810625*^9}, {3.373851602625*^9, 
   3.37385160303125*^9}, {3.3739899735937824`*^9, 3.3739899891661744`*^9}, {
   3.3739901682036176`*^9, 3.3739901731907887`*^9}, {3.374004087024144*^9, 
   3.3740040877151375`*^9}, {3.374885713078125*^9, 3.374885725765625*^9}, {
   3.379276167803766*^9, 3.379276199300344*^9}, 3.3792764021151323`*^9, {
   3.382447747318439*^9, 3.38244775742061*^9}, {3.3829095363859043`*^9, 
   3.3829095445294657`*^9}, {3.3829095946262407`*^9, 
   3.3829095956182995`*^9}, {3.3907450698370295`*^9, 
   3.3907450721503563`*^9}, {3.3909304103718815`*^9, 3.3909305140709934`*^9}},
 
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`initpt$$ = {1, 1}, $CellContext`m$$ = 
    1.5, $CellContext`numbervals$$ = $CellContext`fractionvals, \
$CellContext`showeqn$$ = $CellContext`show2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`showeqn$$], $CellContext`show2, 
       ""}, {$CellContext`show1 -> "hide equation", $CellContext`show2 -> 
       "point-slope form", $CellContext`show3 -> "slope-intercept form"}}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`numbervals$$], $CellContext`fractionvals, 
       "          "}, {$CellContext`integervals -> 
       "integer grid", $CellContext`fractionvals -> 
       "1/2 grid", $CellContext`allvals -> "free points"}}, {{
       Hold[$CellContext`m$$], 1.5, 
       Style["slope", 14]}, -10, 10, 
      Dynamic[
       If[
        Switch[$CellContext`numbervals$$, $CellContext`allvals, 
         False, $CellContext`fractionvals, True, $CellContext`integervals, 
         True], 1/12, 0.001]]}, {{
       Hold[$CellContext`initpt$$], {1, 1}, 
       Style["\[FilledCircle]", 
        RGBColor[0, 0, 1], 14]}, {-5, -5}, {5, 5}}}, Typeset`size$$ = {
    300., {171.5, 176.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`showeqn$241369$$ = 
    False, $CellContext`numbervals$241370$$ = False, $CellContext`m$241371$$ =
     0, $CellContext`initpt$241372$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`initpt$$ = {1, 1}, $CellContext`m$$ = 
        1.5, $CellContext`numbervals$$ = $CellContext`fractionvals, \
$CellContext`showeqn$$ = $CellContext`show2}, "ControllerVariables" :> {
        Hold[$CellContext`showeqn$$, $CellContext`showeqn$241369$$, False], 
        Hold[$CellContext`numbervals$$, $CellContext`numbervals$241370$$, 
         False], 
        Hold[$CellContext`m$$, $CellContext`m$241371$$, 0], 
        Hold[$CellContext`initpt$$, $CellContext`initpt$241372$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`makegraph$, $CellContext`gr$, $CellContext`ptgr$, \
$CellContext`grtck$, $CellContext`b$, $CellContext`usefractions$, \
$CellContext`frac$}, $CellContext`frac$[
           Pattern[$CellContext`val$, 
            Blank[]]] := If[$CellContext`usefractions$, 
           
           Rationalize[$CellContext`val$], $CellContext`val$]; \
$CellContext`makegraph$[
           Pattern[$CellContext`usept$, 
            Blank[]]] := Show[
           $CellContext`gr$[$CellContext`usept$], 
           $CellContext`ptgr$[$CellContext`usept$], AxesStyle -> Thick, 
           BaseStyle -> {14}, AspectRatio -> Automatic, 
           PlotRange -> {{-6, 6}, {-6, 6}}, 
           Ticks -> {$CellContext`grtck$, $CellContext`grtck$}, 
           GridLinesStyle -> GrayLevel[0.2, 0.2], 
           GridLines -> {$CellContext`grtck$, $CellContext`grtck$}, ImageSize -> 
           300, AxesOrigin -> {0, 0}]; $CellContext`gr$[
           Pattern[$CellContext`apt$, 
            Blank[]]] := 
         Plot[$CellContext`m$$ ($CellContext`x - Part[$CellContext`apt$, 1]) + 
           Part[$CellContext`apt$, 2], {$CellContext`x, -6, 6}, 
           PlotStyle -> {
             RGBColor[0.49, 0, 0], Thick}]; $CellContext`ptgr$[
           Pattern[$CellContext`apt, 
            Blank[]]] := Graphics[{
            PointSize[0.03], 
            RGBColor[0.88, 0.63, 0.23], 
            Point[{
              Part[$CellContext`apt, 1], 
              Part[$CellContext`apt, 2]}]}]; 
        DynamicModule[{$CellContext`usept = $CellContext`initpt$$}, \
$CellContext`grtck$ = Range[-5, 5]; $CellContext`b$[
             Pattern[$CellContext`apt$, 
              Blank[]]] := (-$CellContext`m$$) Part[$CellContext`apt$, 1] + 
            Part[$CellContext`apt$, 2]; $CellContext`usefractions$ = 
           Switch[$CellContext`numbervals$$, $CellContext`allvals, 
             False, $CellContext`fractionvals, True, $CellContext`integervals,
              True]; Column[{
             Pane[
              Dynamic[
               Text[
                Switch[$CellContext`showeqn$$, $CellContext`show1, 
                 Style["", 20], $CellContext`show2, 
                 Style[
                  Row[{
                    Style["y", Italic], 
                    If[Part[$CellContext`usept, 2] < 0, " + ", " - "], 
                    Abs[
                    $CellContext`frac$[
                    Part[$CellContext`usept, 2]]], " = ", 
                    $CellContext`frac$[$CellContext`m$$], "(", 
                    Style["x", Italic], 
                    If[Part[$CellContext`usept, 1] < 0, " + ", " - "], 
                    Abs[
                    $CellContext`frac$[
                    Part[$CellContext`usept, 1]]], ")"}], 
                  20], $CellContext`show3, 
                 Style[
                  Row[{
                    Style["y", Italic], " = ", 
                    TraditionalForm[
                    If[$CellContext`m$$ == 0, 
                    If[$CellContext`b$[$CellContext`usept] == 0, "0", ""], 
                    $CellContext`frac$[$CellContext`m$$]]], 
                    If[$CellContext`m$$ == 0, "", 
                    If[$CellContext`b$[$CellContext`usept] > 0, 
                    Row[{
                    Style["x", Italic], " + "}], 
                    Style["x ", Italic]]], 
                    TraditionalForm[
                    If[$CellContext`b$[$CellContext`usept] == 0, "", 
                    $CellContext`frac$[
                    $CellContext`b$[$CellContext`usept]]]]}], 20]]]], 
              ImageSize -> {300, 30}, Alignment -> Bottom], 
             LocatorPane[
              
              Dynamic[$CellContext`usept, {$CellContext`usept = \
$CellContext`initpt$$, ($CellContext`usept = 
                Switch[$CellContext`numbervals$$, $CellContext`allvals, #, \
$CellContext`fractionvals, 
                  Round[#, 0.5], $CellContext`integervals, 
                  Round[#]])& , ($CellContext`usept = 
                 Switch[$CellContext`numbervals$$, $CellContext`allvals, #, \
$CellContext`fractionvals, 
                   Round[#, 0.5], $CellContext`integervals, 
                   Round[#]])& ; $CellContext`initpt$$ = $CellContext`usept}],
               
              Dynamic[
               $CellContext`makegraph$[$CellContext`usept]], Appearance -> 
              Style[".", 
                Opacity[0]]]}, ItemSize -> {Automatic, {3.75, Automatic}}]]], 
      "Specifications" :> {{{$CellContext`showeqn$$, $CellContext`show2, 
          ""}, {$CellContext`show1 -> "hide equation", $CellContext`show2 -> 
          "point-slope form", $CellContext`show3 -> "slope-intercept form"}, 
         ControlType -> RadioButtonBar, ControlPlacement -> Left, Appearance -> 
         "Vertical"}, 
        "", {{$CellContext`numbervals$$, $CellContext`fractionvals, 
          "          "}, {$CellContext`integervals -> 
          "integer grid", $CellContext`fractionvals -> 
          "1/2 grid", $CellContext`allvals -> "free points"}, ControlType -> 
         RadioButtonBar, ControlPlacement -> Left, Appearance -> 
         "Vertical"}, {{$CellContext`m$$, 1.5, 
          Style["slope", 14]}, -10, 10, 
         Dynamic[
          If[
           
           Switch[$CellContext`numbervals$$, $CellContext`allvals, 
            False, $CellContext`fractionvals, True, $CellContext`integervals, 
            True], 1/12, 0.001]], ControlPlacement -> 
         Top}, {{$CellContext`initpt$$, {1, 1}, 
          Style["\[FilledCircle]", 
           RGBColor[0, 0, 1], 14]}, {-5, -5}, {5, 5}, ControlType -> None}}, 
      "Options" :> {
       ControlPlacement -> Left, RotateLabel -> True, 
        TrackedSymbols :> {$CellContext`m$$, $CellContext`showeqn$$, \
$CellContext`initpt$$}, AutorunSequencing -> {1, 3, 4}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{489., {215., 220.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`frac[
          Pattern[$CellContext`val, 
           Blank[]]] := If[$CellContext`usefractions, 
          Rationalize[$CellContext`val], $CellContext`val]; Null}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->434380729],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Lines: Point-Slope",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LinesPointSlope/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/LinesPointSlope/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/LinesPointSlope/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LinesPointSlope/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/LinesPointSlope/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->126169831],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
LinesPointSlope"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Lines: Point-Slope - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 210, 4, 70, "Section"],
Cell[803, 29, 15428, 353, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[16246, 385, 8987, 179, 70, "Output",
 CellID->434380729],
Cell[CellGroupData[{
Cell[25258, 568, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[25634, 579, 870, 24, 70, "Text"],
Cell[26507, 605, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[26847, 616, 362, 13, 70, "Text",
 CellID->126169831],
Cell[CellGroupData[{
Cell[27234, 633, 829, 24, 70, "Text"],
Cell[28066, 659, 1191, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature MSj4ZqnNtpt3RDpzwm#DKL7G *)
