(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     17848,        469]
NotebookOptionsPosition[     16761,        428]
NotebookOutlinePosition[     17375,        452]
CellTagsIndexPosition[     17332,        449]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Lines: Slope-Intercept", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"grtck", "=", 
     RowBox[{"Range", "[", 
      RowBox[{
       RowBox[{"-", "5"}], ",", "5"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Pane", "[", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Spacer", " ", "[", "100", "]"}], 
            RowBox[{"Text", "[", 
             RowBox[{"If", "[", 
              RowBox[{"showeqn", ",", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"m", "\[Equal]", "0"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"b", "\[Equal]", "0"}], ",", "\"\<0\>\"", ",", 
                    "\"\<\>\""}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"usefractions", ",", 
                    RowBox[{"Rationalize", "[", "m", "]"}], ",", "m"}], 
                    "]"}]}], "]"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"m", "\[Equal]", "0"}], ",", "\"\<\>\"", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"b", ">", "0"}], ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< + \>\""}], "}"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x \>\"", ",", "Italic"}], "]"}]}], "]"}]}], 
                    "]"}], ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"b", "\[Equal]", "0"}], ",", "\"\<\>\"", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"usefractions", ",", 
                    RowBox[{"Rationalize", "[", "b", "]"}], ",", "b"}], 
                    "]"}]}], "]"}], "]"}]}], "}"}], "]"}], ",", "20"}], "]"}],
                ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<\>\"", ",", "20"}], "]"}]}], "]"}], "]"}]}], 
           "}"}], "]"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"300", ",", "30"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"m", "*", "x"}], "+", "b"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Red", ",", "Thick"}], "}"}]}], ",", 
         RowBox[{"AxesStyle", "\[Rule]", "Thick"}], ",", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", "14", "}"}]}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"Ticks", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"grtck", ",", "grtck"}], "}"}]}], ",", 
         RowBox[{"GridLines", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"grtck", ",", "grtck"}], "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"usefractions", ",", "True", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"True", "\[Rule]", "\"\<fractions\>\""}], ",", 
       RowBox[{"False", "\[Rule]", "\"\<decimals\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showeqn", ",", "True", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<show equation\>\"", ",", "14"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\"\<\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "1.5", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<slope m\>\"", ",", "14"}], "]"}]}], "}"}], ",", 
     RowBox[{"-", "15"}], ",", "15", ",", 
     RowBox[{"If", "[", 
      RowBox[{"usefractions", ",", 
       RowBox[{"1", "/", "12"}], ",", "0.001"}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<y-intercept b\>\"", ",", "14"}], "]"}]}], "}"}], ",", 
     RowBox[{"-", "6"}], ",", "6", ",", 
     RowBox[{"If", "[", 
      RowBox[{"usefractions", ",", 
       RowBox[{"1", "/", "12"}], ",", "0.001"}], "]"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"20", ",", "300"}], "}"}]}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   RowBox[{"RotateLabel", "\[Rule]", "True"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, 3.36180766627253*^9, {3.36205661342712*^9, 
   3.36205661619109*^9}, 3.36205675165588*^9, {3.36275990111339*^9, 
   3.36275990161335*^9}, {3.36907767079954*^9, 3.36907767163073*^9}, {
   3.36909739946875*^9, 3.36909740139063*^9}, {3.36909748110938*^9, 
   3.36909748185938*^9}, {3.373590660903468*^9, 3.373590666188326*^9}, {
   3.379684998550078*^9, 3.379685037528968*^9}, {3.379685114112844*^9, 
   3.3796851511332083`*^9}, {3.3796871834241247`*^9, 
   3.3796873567506647`*^9}, {3.3796983797839527`*^9, 3.37969839403167*^9}, {
   3.379706092090633*^9, 3.3797061157177753`*^9}, 3.3907470394692216`*^9, {
   3.3909305636623025`*^9, 3.3909305726952915`*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`b$$ = -1, $CellContext`m$$ = \
-1.4166666666666679`, $CellContext`showeqn$$ = 
    True, $CellContext`usefractions$$ = False, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$, Typeset`name$$ = "\"untitled\"", 
    Typeset`specs$$ = {{{
       Hold[$CellContext`usefractions$$], True, ""}, {
      True -> "fractions", False -> "decimals"}}, {{
       Hold[$CellContext`showeqn$$], True, 
       Style["show equation", 14]}, {True, False}}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`m$$], -1.4166666666666679`, 
       Style["slope m", 14]}, -15, 15, 
      Dynamic[
       If[$CellContext`usefractions$$, 1/12, 0.001]]}, {{
       Hold[$CellContext`b$$], -1, 
       Style["y-intercept b", 14]}, -6, 6, 
      Dynamic[
       If[$CellContext`usefractions$$, 1/12, 0.001]]}}, Typeset`size$$ = {
    300., {165.5, 170.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`usefractions$242404$$ = 
    False, $CellContext`showeqn$242405$$ = False, $CellContext`m$242406$$ = 
    0, $CellContext`b$242407$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`b$$ = -1, $CellContext`m$$ = \
-1.4166666666666679`, $CellContext`showeqn$$ = 
        True, $CellContext`usefractions$$ = True}, "ControllerVariables" :> {
        Hold[$CellContext`usefractions$$, $CellContext`usefractions$242404$$, 
         False], 
        Hold[$CellContext`showeqn$$, $CellContext`showeqn$242405$$, False], 
        Hold[$CellContext`m$$, $CellContext`m$242406$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$242407$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`grtck = Range[-5, 5]; Column[{
          Pane[
           Row[{Spacer[100] Text[
               If[$CellContext`showeqn$$, 
                Style[
                 Row[{
                   Style["y", Italic], " = ", 
                   TraditionalForm[
                    If[$CellContext`m$$ == 0, 
                    If[$CellContext`b$$ == 0, "0", ""], 
                    If[$CellContext`usefractions$$, 
                    Rationalize[$CellContext`m$$], $CellContext`m$$]]], 
                   If[$CellContext`m$$ == 0, "", 
                    If[$CellContext`b$$ > 0, 
                    Row[{
                    Style["x", Italic], " + "}], 
                    Style["x ", Italic]]], 
                   TraditionalForm[
                    If[$CellContext`b$$ == 0, "", 
                    If[$CellContext`usefractions$$, 
                    Rationalize[$CellContext`b$$], $CellContext`b$$]]]}], 20],
                 
                Style["", 20]]]}], ImageSize -> {300, 30}], 
          
          Plot[$CellContext`m$$ $CellContext`x + $CellContext`b$$, \
{$CellContext`x, -6, 6}, PlotStyle -> {Red, Thick}, AxesStyle -> Thick, 
           BaseStyle -> {14}, AspectRatio -> Automatic, 
           PlotRange -> {{-6, 6}, {-6, 6}}, 
           Ticks -> {$CellContext`grtck, $CellContext`grtck}, 
           GridLines -> {$CellContext`grtck, $CellContext`grtck}, ImageSize -> 
           300]}]), 
      "Specifications" :> {{{$CellContext`usefractions$$, True, ""}, {
         True -> "fractions", False -> "decimals"}, ControlType -> 
         RadioButtonBar, ControlPlacement -> 
         Top}, {{$CellContext`showeqn$$, True, 
          Style["show equation", 14]}, {True, False}, ControlPlacement -> 
         Left}, "", {{$CellContext`m$$, -1.4166666666666679`, 
          Style["slope m", 14]}, -15, 15, 
         Dynamic[
          If[$CellContext`usefractions$$, 1/12, 0.001]], ImageSize -> Medium, 
         ControlPlacement -> Top}, {{$CellContext`b$$, -1, 
          Style["y-intercept b", 14]}, -6, 6, 
         Dynamic[
          If[$CellContext`usefractions$$, 1/12, 0.001]], ControlType -> 
         VerticalSlider, ImageSize -> {20, 300}, ControlPlacement -> Left}}, 
      "Options" :> {RotateLabel -> True, ControlPlacement -> Left}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{463., {219., 224.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->531639559],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Lines: Slope-Intercept",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LinesSlopeIntercept/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/LinesSlopeIntercept/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/LinesSlopeIntercept/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LinesSlopeIntercept/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/LinesSlopeIntercept/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->126169831],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
LinesSlopeIntercept"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Lines: Slope-Intercept - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 214, 4, 70, "Section"],
Cell[807, 29, 7043, 166, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[7865, 198, 4816, 98, 70, "Output",
 CellID->531639559],
Cell[CellGroupData[{
Cell[12706, 300, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13082, 311, 894, 24, 70, "Text"],
Cell[13979, 337, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[14319, 348, 362, 13, 70, "Text",
 CellID->126169831],
Cell[CellGroupData[{
Cell[14706, 365, 829, 24, 70, "Text"],
Cell[15538, 391, 1195, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature zSjL2zul66Xt0Dpr43EU1P97 *)
