(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     50286,       1195]
NotebookOptionsPosition[     49194,       1154]
NotebookOutlinePosition[     49803,       1178]
CellTagsIndexPosition[     49760,       1175]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Lines: Two Points", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "makegraph", ",", "ptgr", ",", "ptgr2", ",", "gr", ",", "grtck", ",", 
       "usefractions", ",", "slpm", ",", "b", ",", "optionsforplot"}], "}"}], 
     ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"makegraph", "[", 
        RowBox[{"pt_", ",", "pt2_"}], "]"}], ":=", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"gr", "[", 
          RowBox[{"pt", ",", "pt2"}], "]"}], ",", 
         RowBox[{"ptgr", "[", 
          RowBox[{"pt", ",", "pt2"}], "]"}], ",", 
         RowBox[{"ptgr2", "[", 
          RowBox[{"pt", ",", "pt2"}], "]"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ptgr", "[", 
        RowBox[{"pt_", ",", "pt2_"}], "]"}], ":=", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "0.03", "]"}], ",", "Blue", ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"pt", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", 
             RowBox[{"pt", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "}"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ptgr2", "[", 
        RowBox[{"pt_", ",", "pt2_"}], "]"}], ":=", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "0.03", "]"}], ",", 
          RowBox[{"Darker", "[", 
           RowBox[{"Green", ",", "0.3"}], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"pt2", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", 
             RowBox[{"pt2", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "}"}], 
        "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"gr", "[", 
        RowBox[{"pt_", ",", "pt2_"}], "]"}], ":=", 
       RowBox[{"Which", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"pt", "\[Equal]", "pt2"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Graphics", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"PointSize", "[", "0.03", "]"}], ",", "Brown", ",", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"pt", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", 
                RowBox[{"pt", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "}"}], ",",
            
           RowBox[{"Evaluate", "@", 
            RowBox[{"DeleteCases", "[", 
             RowBox[{"optionsforplot", ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Red", ",", "Thick"}], "}"}]}]}], "]"}]}]}], "]"}], 
         ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"pt", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
          RowBox[{"pt2", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"ParametricPlot", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"pt", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", "t"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", 
             RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
           RowBox[{"Evaluate", "@", "optionsforplot"}]}], "]"}], ",", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", "True", ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"slpm", "[", 
              RowBox[{"pt", ",", "pt2"}], "]"}], "*", 
             RowBox[{"(", 
              RowBox[{"x", "-", 
               RowBox[{"pt", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], "+", 
            RowBox[{"pt", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
           RowBox[{"Evaluate", "@", "optionsforplot"}]}], "]"}]}], "]"}]}], 
      ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"DynamicModule", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"pt", "=", "initpt"}], ",", 
          RowBox[{"pt2", "=", "initpt2"}]}], "}"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"grtck", "=", 
          RowBox[{"Range", "[", 
           RowBox[{
            RowBox[{"-", "5"}], ",", "5"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"usefractions", "=", 
          RowBox[{"Switch", "[", 
           RowBox[{
           "numbervals", ",", "allvals", ",", "False", ",", "fractionvals", 
            ",", "True", ",", "integervals", ",", "True"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"slpm", "[", 
           RowBox[{"pt_", ",", "pt2_"}], "]"}], ":=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"pt", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
             RowBox[{"pt2", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ",", "0", ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"Switch", "[", 
               RowBox[{
               "numbervals", ",", "allvals", ",", "False", ",", 
                "fractionvals", ",", "True", ",", "integervals", ",", 
                "True"}], "]"}], ",", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"pt2", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], "-", 
                  RowBox[{"pt", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"pt2", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "-", 
                  RowBox[{"pt", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], ")"}], ",", 
              RowBox[{"Round", "[", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"pt2", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}], "/", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"pt2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], ")"}], ",", 
                "0.001"}], "]"}]}], "]"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"b", "[", 
           RowBox[{"pt_", ",", "pt2_"}], "]"}], ":=", 
          RowBox[{
           RowBox[{
            RowBox[{"-", 
             RowBox[{"slpm", "[", 
              RowBox[{"pt", ",", "pt2"}], "]"}]}], "*", 
            RowBox[{"pt", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "+", 
           RowBox[{"pt", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"optionsforplot", "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"Red", ",", "Thick"}], "}"}]}], ",", 
            RowBox[{"Axes", "\[Rule]", "True"}], ",", 
            RowBox[{"AxesOrigin", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}]}], ",", 
            RowBox[{"AxesStyle", "\[Rule]", "Thick"}], ",", 
            RowBox[{"BaseStyle", "\[Rule]", 
             RowBox[{"{", "14", "}"}]}], ",", 
            RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"PlotRange", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}], ",", 
            RowBox[{"Ticks", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"grtck", ",", "grtck"}], "}"}]}], ",", 
            RowBox[{"GridLines", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"grtck", ",", "grtck"}], "}"}]}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "350"}]}], "}"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"Column", "[", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Dynamic", "[", 
              RowBox[{"Text", "[", 
               RowBox[{"Switch", "[", 
                RowBox[{"showeqn", ",", "show1", ",", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<\>\"", ",", "20"}], "]"}], ",", 
                 "\[IndentingNewLine]", "show2", ",", 
                 RowBox[{
                 "Which", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"pt", "\[Equal]", "pt2"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"x", "\[Equal]", 
                    RowBox[{"frac", "[", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], ",", 
                    "20"}], "]"}], ",", 
                    RowBox[{"Text", "@", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\< and \>\"", ",", "20"}], "]"}]}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"y", "\[Equal]", 
                    RowBox[{"frac", "[", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "]"}], ",", 
                    "20"}], "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]",
                    "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    RowBox[{"pt2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"x", "\[Equal]", 
                    RowBox[{"frac", "[", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], ",", 
                    "20"}], "]"}], ",", "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", "True", ",", "\[IndentingNewLine]", 
                   
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "<", "0"}], ",", 
                    "\"\< + \>\"", ",", "\"\< - \>\""}], "]"}], ",", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"frac", "[", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}], ",", 
                    "\"\< = \>\"", ",", 
                    RowBox[{"frac", "[", 
                    RowBox[{"slpm", "[", 
                    RowBox[{"pt", ",", "pt2"}], "]"}], "]"}], ",", 
                    "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "<", "0"}], ",", 
                    "\"\< + \>\"", ",", "\"\< - \>\""}], "]"}], ",", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"frac", "[", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], ",", 
                    "\"\<)\>\""}], "}"}], "]"}], ",", "20"}], "]"}]}], 
                  "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                 "show3", ",", 
                 RowBox[{
                 "Which", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"pt", "\[Equal]", "pt2"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"x", "\[Equal]", 
                    RowBox[{"frac", "[", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], ",", 
                    "20"}], "]"}], ",", 
                    RowBox[{"Text", "@", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\< and \>\"", ",", "20"}], "]"}]}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"y", "\[Equal]", 
                    RowBox[{"frac", "[", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "]"}], ",", 
                    "20"}], "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]",
                    "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    RowBox[{"pt2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"x", "\[Equal]", 
                    RowBox[{"frac", "[", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], ",", 
                    "20"}], "]"}], ",", "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", "True", ",", "\[IndentingNewLine]", 
                   
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"slpm", "[", 
                    RowBox[{"pt", ",", "pt2"}], "]"}], "\[Equal]", "0"}], ",",
                     
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"pt", ",", "pt2"}], "]"}], "\[Equal]", "0"}], 
                    ",", "\"\<0\>\"", ",", "\"\<\>\""}], "]"}], ",", 
                    RowBox[{"frac", "[", 
                    RowBox[{"slpm", "[", 
                    RowBox[{"pt", ",", "pt2"}], "]"}], "]"}]}], "]"}], "]"}], 
                    ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"slpm", "[", 
                    RowBox[{"pt", ",", "pt2"}], "]"}], "\[Equal]", "0"}], 
                    ",", "\"\<\>\"", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"pt", ",", "pt2"}], "]"}], ">", "0"}], ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< + \>\""}], "}"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x \>\"", ",", "Italic"}], "]"}]}], "]"}]}], 
                    "]"}], ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"pt", ",", "pt2"}], "]"}], "\[Equal]", "0"}], 
                    ",", "\"\<\>\"", ",", 
                    RowBox[{"frac", "[", 
                    RowBox[{"b", "[", 
                    RowBox[{"pt", ",", "pt2"}], "]"}], "]"}]}], "]"}], 
                    "]"}]}], "}"}], "]"}], ",", "20"}], "]"}]}], 
                  "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
                "]"}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"LocatorPane", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"pt", ",", "pt2"}], "}"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"pt", "=", "initpt"}], ";", 
                    RowBox[{"pt2", "=", "initpt2"}]}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pt", "=", 
                    RowBox[{"Switch", "[", 
                    RowBox[{"numbervals", ",", "allvals", ",", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "fractionvals", ",", 
                    
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "0.5"}], "]"}], ",", 
                    "integervals", ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}]}], ";", 
                    RowBox[{"pt2", "=", 
                    RowBox[{"Switch", "[", 
                    RowBox[{"numbervals", ",", "allvals", ",", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "fractionvals", ",", 
                    
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "0.5"}], "]"}], ",", 
                    "integervals", ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "]"}]}]}], ")"}],
                     "&"}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pt", "=", 
                    RowBox[{"Switch", "[", 
                    RowBox[{"numbervals", ",", "allvals", ",", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "fractionvals", ",", 
                    
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "0.5"}], "]"}], ",", 
                    "integervals", ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}]}], ";", 
                    RowBox[{"pt2", "=", 
                    RowBox[{"Switch", "[", 
                    RowBox[{"numbervals", ",", "allvals", ",", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "fractionvals", ",", 
                    
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "0.5"}], "]"}], ",", 
                    "integervals", ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "]"}]}]}], ")"}],
                     "&"}], ";", 
                    RowBox[{"initpt", "=", "pt"}], ";", 
                    RowBox[{"initpt2", "=", "pt2"}]}]}], 
                  "\[IndentingNewLine]", "}"}]}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Dynamic", "[", 
                RowBox[{"makegraph", "[", 
                 RowBox[{"pt", ",", "pt2"}], "]"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Appearance", "\[Rule]", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<.\>\"", ",", 
                  RowBox[{"Opacity", "[", "0", "]"}]}], "]"}]}]}], 
              "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
            "\[IndentingNewLine]", "}"}], ",", 
           RowBox[{"ItemSize", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"Automatic", ",", 
              RowBox[{"{", 
               RowBox[{"3.75", ",", "Automatic"}], "}"}]}], "}"}]}]}], 
          "]"}]}]}], "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", 
    "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showeqn", ",", "show3", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"show1", "\[Rule]", "\"\<hide equation\>\""}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}]}], "}"}], ",", 
   "\"\<\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showeqn", ",", "show3", ",", "\"\<          \>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"show2", "\[Rule]", "\"\<point-slope form\>\""}], ",", 
       RowBox[{"show3", "\[Rule]", "\"\<slope-intercept form\>\""}]}], "}"}], 
     ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Vertical\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"numbervals", ",", "fractionvals", ",", "\"\<          \>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"integervals", "\[Rule]", "\"\<integer grid\>\""}], ",", 
       RowBox[{"fractionvals", "\[Rule]", "\"\<half grid\>\""}], ",", 
       RowBox[{"allvals", "\[Rule]", "\"\<free points\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Vertical\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"initpt", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<\[FilledCircle]\>\"", ",", "Blue", ",", "14"}], "]"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "5"}], ",", 
       RowBox[{"-", "5"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "5"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"initpt2", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "3"}], ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<\[FilledCircle]\>\"", ",", 
         RowBox[{"Darker", "[", 
          RowBox[{"Green", ",", "0.3"}], "]"}], ",", "14"}], "]"}]}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "5"}], ",", 
       RowBox[{"-", "5"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "5"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"RotateLabel", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"frac", "[", "val_", "]"}], ":=", 
       RowBox[{"If", "[", 
        RowBox[{"usefractions", ",", 
         RowBox[{"Rationalize", "[", "val", "]"}], ",", "val"}], "]"}]}], 
      ";"}], "}"}]}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"initpt", ",", "initpt2", ",", "showeqn"}], "}"}]}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, 3.36180766627253*^9, {3.36205661342712*^9, 
   3.36205661619109*^9}, 3.36205675165588*^9, 3.36205700723338*^9, 
   3.36205721535264*^9, 3.36205735221945*^9, {3.36276000027701*^9, 
   3.36276000204249*^9}, {3.36907782364933*^9, 3.36907782465077*^9}, {
   3.369097622625*^9, 3.36909762339063*^9}, 3.36926608803446*^9, {
   3.370481629453125*^9, 3.3704816581875*^9}, {3.370481691390625*^9, 
   3.370481692546875*^9}, {3.370481734125*^9, 3.370481825875*^9}, {
   3.37048192184375*^9, 3.370481937328125*^9}, {3.3736079844404364`*^9, 
   3.3736079855312796`*^9}, {3.3736080207917757`*^9, 
   3.3736080530726547`*^9}, {3.373608095544938*^9, 3.3736081136059985`*^9}, {
   3.3736081553703184`*^9, 3.3736082881929035`*^9}, {3.374885576015625*^9, 
   3.37488558365625*^9}, {3.3829102780347795`*^9, 3.382910455994167*^9}, {
   3.3829105033925505`*^9, 3.3829105370824804`*^9}, {3.382910568207085*^9, 
   3.382910594982663*^9}, {3.3829106537746964`*^9, 3.3829107293315287`*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`initpt$$ = {1, 
    1}, $CellContext`initpt2$$ = {-3, -1}, $CellContext`numbervals$$ = \
$CellContext`integervals, $CellContext`showeqn$$ = $CellContext`show3, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`showeqn$$], $CellContext`show3, 
       ""}, {$CellContext`show1 -> "hide equation"}}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`showeqn$$], $CellContext`show3, 
       "          "}, {$CellContext`show2 -> 
       "point-slope form", $CellContext`show3 -> "slope-intercept form"}}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`numbervals$$], $CellContext`fractionvals, 
       "          "}, {$CellContext`integervals -> 
       "integer grid", $CellContext`fractionvals -> 
       "half grid", $CellContext`allvals -> "free points"}}, {{
       Hold[$CellContext`initpt$$], {1, 1}, 
       Style["\[FilledCircle]", 
        RGBColor[0, 0, 1], 14]}, {-5, -5}, {5, 5}}, {{
       Hold[$CellContext`initpt2$$], {-3, -1}, 
       Style["\[FilledCircle]", 
        RGBColor[0., 0.7, 0.], 14]}, {-5, -5}, {5, 5}}}, Typeset`size$$ = {
    300., {169.5, 174.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`showeqn$51115$$ = 
    False, $CellContext`numbervals$51116$$ = 
    0, $CellContext`initpt$51117$$ = {0, 0}, $CellContext`initpt2$51118$$ = {
    0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`initpt$$ = {1, 
         1}, $CellContext`initpt2$$ = {-3, -1}, $CellContext`numbervals$$ = \
$CellContext`fractionvals, $CellContext`showeqn$$ = $CellContext`show3}, 
      "ControllerVariables" :> {
        Hold[$CellContext`showeqn$$, $CellContext`showeqn$51115$$, False], 
        Hold[$CellContext`numbervals$$, $CellContext`numbervals$51116$$, 0], 
        Hold[$CellContext`initpt$$, $CellContext`initpt$51117$$, {0, 0}], 
        Hold[$CellContext`initpt2$$, $CellContext`initpt2$51118$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`makegraph$, $CellContext`ptgr$, \
$CellContext`ptgr2$, $CellContext`gr$, $CellContext`grtck$, \
$CellContext`usefractions$, $CellContext`slpm$, $CellContext`b$, \
$CellContext`optionsforplot$}, $CellContext`makegraph$[
           Pattern[$CellContext`pt$, 
            Blank[]], 
           Pattern[$CellContext`pt2$, 
            Blank[]]] := Show[
           $CellContext`gr$[$CellContext`pt$, $CellContext`pt2$], 
           $CellContext`ptgr$[$CellContext`pt$, $CellContext`pt2$], 
           $CellContext`ptgr2$[$CellContext`pt$, $CellContext`pt2$], 
           PlotRange -> {{-6, 6}, {-6, 6}}, ImageSize -> 
           300]; $CellContext`ptgr$[
           Pattern[$CellContext`pt, 
            Blank[]], 
           Pattern[$CellContext`pt2, 
            Blank[]]] := Graphics[{
            PointSize[0.03], Blue, 
            Point[{
              Part[$CellContext`pt, 1], 
              Part[$CellContext`pt, 2]}]}]; $CellContext`ptgr2$[
           Pattern[$CellContext`pt, 
            Blank[]], 
           Pattern[$CellContext`pt2, 
            Blank[]]] := Graphics[{
            PointSize[0.03], 
            Darker[Green, 0.3], 
            Point[{
              Part[$CellContext`pt2, 1], 
              Part[$CellContext`pt2, 2]}]}]; $CellContext`gr$[
           Pattern[$CellContext`pt$, 
            Blank[]], 
           Pattern[$CellContext`pt2$, 
            Blank[]]] := Which[$CellContext`pt$ == $CellContext`pt2$, 
           Graphics[{
             PointSize[0.03], Brown, 
             Point[{
               Part[$CellContext`pt$, 1], 
               Part[$CellContext`pt$, 2]}]}, 
            Evaluate[
             
             DeleteCases[$CellContext`optionsforplot$, 
              PlotStyle -> {Red, Thick}]]], Part[$CellContext`pt$, 1] == 
           Part[$CellContext`pt2$, 1], 
           ParametricPlot[{
             Part[$CellContext`pt$, 1], $CellContext`t}, {$CellContext`t, -6, 
             6}, 
            Evaluate[$CellContext`optionsforplot$]], True, 
           
           Plot[$CellContext`slpm$[$CellContext`pt$, $CellContext`pt2$] \
($CellContext`x - Part[$CellContext`pt$, 1]) + 
            Part[$CellContext`pt$, 2], {$CellContext`x, -6, 6}, 
            Evaluate[$CellContext`optionsforplot$]]]; 
        DynamicModule[{$CellContext`pt = $CellContext`initpt$$, \
$CellContext`pt2 = $CellContext`initpt2$$}, $CellContext`grtck$ = 
           Range[-5, 5]; $CellContext`usefractions$ = 
           Switch[$CellContext`numbervals$$, $CellContext`allvals, 
             False, $CellContext`fractionvals, True, $CellContext`integervals,
              True]; $CellContext`slpm$[
             Pattern[$CellContext`pt$, 
              Blank[]], 
             Pattern[$CellContext`pt2$, 
              Blank[]]] := 
           If[Part[$CellContext`pt$, 1] == Part[$CellContext`pt2$, 1], 0, 
             If[
              
              Switch[$CellContext`numbervals$$, $CellContext`allvals, 
               False, $CellContext`fractionvals, 
               True, $CellContext`integervals, True], (
               Part[$CellContext`pt2$, 2] - Part[$CellContext`pt$, 2])/(
              Part[$CellContext`pt2$, 1] - Part[$CellContext`pt$, 1]), 
              
              Round[(Part[$CellContext`pt2$, 2] - Part[$CellContext`pt$, 2])/(
               Part[$CellContext`pt2$, 1] - Part[$CellContext`pt$, 1]), 
               0.001]]]; $CellContext`b$[
             Pattern[$CellContext`pt$, 
              Blank[]], 
             Pattern[$CellContext`pt2$, 
              
              Blank[]]] := (-$CellContext`slpm$[$CellContext`pt$, \
$CellContext`pt2$]) Part[$CellContext`pt$, 1] + 
            Part[$CellContext`pt$, 2]; $CellContext`optionsforplot$ = {
            PlotStyle -> {Red, Thick}, Axes -> True, AxesOrigin -> {0, 0}, 
             AxesStyle -> Thick, BaseStyle -> {14}, AspectRatio -> Automatic, 
             PlotRange -> {{-6, 6}, {-6, 6}}, 
             Ticks -> {$CellContext`grtck$, $CellContext`grtck$}, 
             GridLines -> {$CellContext`grtck$, $CellContext`grtck$}, 
             ImageSize -> 350}; Column[{
             Dynamic[
              Text[
               Switch[$CellContext`showeqn$$, $CellContext`show1, 
                Style["", 20], $CellContext`show2, 
                Which[$CellContext`pt == $CellContext`pt2, 
                 Row[{
                   Style[
                    TraditionalForm[$CellContext`x == $CellContext`frac[
                    Part[$CellContext`pt, 1]]], 20], 
                   Text[
                    Style[" and ", 20]], 
                   Style[
                    TraditionalForm[$CellContext`y == $CellContext`frac[
                    Part[$CellContext`pt, 2]]], 20]}], 
                 Part[$CellContext`pt, 1] == Part[$CellContext`pt2, 1], 
                 Style[
                  TraditionalForm[$CellContext`x == $CellContext`frac[
                    Part[$CellContext`pt, 1]]], 20], True, 
                 Style[
                  Row[{
                    Style["y", Italic], 
                    If[Part[$CellContext`pt, 2] < 0, " + ", " - "], 
                    Abs[
                    $CellContext`frac[
                    Part[$CellContext`pt, 2]]], " = ", 
                    $CellContext`frac[
                    $CellContext`slpm$[$CellContext`pt, $CellContext`pt2]], 
                    "(", 
                    Style["x", Italic], 
                    If[Part[$CellContext`pt, 1] < 0, " + ", " - "], 
                    Abs[
                    $CellContext`frac[
                    Part[$CellContext`pt, 1]]], ")"}], 
                  20]], $CellContext`show3, 
                Which[$CellContext`pt == $CellContext`pt2, 
                 Row[{
                   Style[
                    TraditionalForm[$CellContext`x == $CellContext`frac[
                    Part[$CellContext`pt, 1]]], 20], 
                   Text[
                    Style[" and ", 20]], 
                   Style[
                    TraditionalForm[$CellContext`y == $CellContext`frac[
                    Part[$CellContext`pt, 2]]], 20]}], 
                 Part[$CellContext`pt, 1] == Part[$CellContext`pt2, 1], 
                 Style[
                  TraditionalForm[$CellContext`x == $CellContext`frac[
                    Part[$CellContext`pt, 1]]], 20], True, 
                 Style[
                  Row[{
                    Style["y", Italic], " = ", 
                    TraditionalForm[
                    
                    If[$CellContext`slpm$[$CellContext`pt, $CellContext`pt2] == 
                    0, 
                    
                    If[$CellContext`b$[$CellContext`pt, $CellContext`pt2] == 
                    0, "0", ""], 
                    $CellContext`frac[
                    $CellContext`slpm$[$CellContext`pt, $CellContext`pt2]]]], 
                    
                    
                    If[$CellContext`slpm$[$CellContext`pt, $CellContext`pt2] == 
                    0, "", 
                    
                    If[$CellContext`b$[$CellContext`pt, $CellContext`pt2] > 0,
                     
                    Row[{
                    Style["x", Italic], " + "}], 
                    Style["x ", Italic]]], 
                    TraditionalForm[
                    
                    If[$CellContext`b$[$CellContext`pt, $CellContext`pt2] == 
                    0, "", 
                    $CellContext`frac[
                    $CellContext`b$[$CellContext`pt, $CellContext`pt2]]]]}], 
                  20]]]]], 
             LocatorPane[
              
              Dynamic[{$CellContext`pt, $CellContext`pt2}, {$CellContext`pt = \
$CellContext`initpt$$; $CellContext`pt2 = $CellContext`initpt2$$, \
($CellContext`pt = Switch[$CellContext`numbervals$$, $CellContext`allvals, 
                   Part[#, 1], $CellContext`fractionvals, 
                   Round[
                    Part[#, 1], 0.5], $CellContext`integervals, 
                   Round[
                    Part[#, 1]]]; $CellContext`pt2 = 
                 Switch[$CellContext`numbervals$$, $CellContext`allvals, 
                   Part[#, 2], $CellContext`fractionvals, 
                   Round[
                    Part[#, 2], 0.5], $CellContext`integervals, 
                   Round[
                    Part[#, 2]]])& , ($CellContext`pt = 
                  Switch[$CellContext`numbervals$$, $CellContext`allvals, 
                    Part[#, 1], $CellContext`fractionvals, 
                    Round[
                    Part[#, 1], 0.5], $CellContext`integervals, 
                    Round[
                    Part[#, 1]]]; $CellContext`pt2 = 
                  Switch[$CellContext`numbervals$$, $CellContext`allvals, 
                    Part[#, 2], $CellContext`fractionvals, 
                    Round[
                    Part[#, 2], 0.5], $CellContext`integervals, 
                    Round[
                    
                    Part[#, 
                    2]]])& ; $CellContext`initpt$$ = $CellContext`pt; \
$CellContext`initpt2$$ = $CellContext`pt2}], 
              Dynamic[
               $CellContext`makegraph$[$CellContext`pt, $CellContext`pt2]], 
              Appearance -> Style[".", 
                Opacity[0]]]}, ItemSize -> {Automatic, {3.75, Automatic}}]]], 
      "Specifications" :> {{{$CellContext`showeqn$$, $CellContext`show3, 
          ""}, {$CellContext`show1 -> "hide equation"}, ControlType -> 
         RadioButtonBar}, 
        "", {{$CellContext`showeqn$$, $CellContext`show3, 
          "          "}, {$CellContext`show2 -> 
          "point-slope form", $CellContext`show3 -> "slope-intercept form"}, 
         ControlType -> RadioButtonBar, Appearance -> "Vertical"}, 
        "", {{$CellContext`numbervals$$, $CellContext`fractionvals, 
          "          "}, {$CellContext`integervals -> 
          "integer grid", $CellContext`fractionvals -> 
          "half grid", $CellContext`allvals -> "free points"}, ControlType -> 
         RadioButtonBar, Appearance -> 
         "Vertical"}, {{$CellContext`initpt$$, {1, 1}, 
          Style["\[FilledCircle]", 
           RGBColor[0, 0, 1], 14]}, {-5, -5}, {5, 5}, ControlType -> 
         None}, {{$CellContext`initpt2$$, {-3, -1}, 
          Style["\[FilledCircle]", 
           RGBColor[0., 0.7, 0.], 14]}, {-5, -5}, {5, 5}, ControlType -> 
         None}}, "Options" :> {
       RotateLabel -> True, 
        TrackedSymbols :> {$CellContext`initpt$$, $CellContext`initpt2$$, \
$CellContext`showeqn$$}, ControlPlacement -> Left}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{489., {197., 202.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({{$CellContext`ptgr[
           Pattern[$CellContext`pt, 
            Blank[]], 
           Pattern[$CellContext`pt2, 
            Blank[]]] := Graphics[{
            PointSize[0.03], Blue, 
            Point[{
              Part[$CellContext`pt, 1], 
              Part[$CellContext`pt, 2]}]}], $CellContext`ptgr2[
           Pattern[$CellContext`pt, 
            Blank[]], 
           Pattern[$CellContext`pt2, 
            Blank[]]] := Graphics[{
            PointSize[0.03], 
            Darker[Green, 0.3], 
            Point[{
              Part[$CellContext`pt2, 1], 
              Part[$CellContext`pt2, 2]}]}], $CellContext`gr[
           Pattern[$CellContext`pt, 
            Blank[]], 
           Pattern[$CellContext`pt2, 
            Blank[]]] := 
         If[Part[$CellContext`pt, 1] == Part[$CellContext`pt2, 1], 
           ParametricPlot[{
             Part[$CellContext`pt, 1], $CellContext`t}, {$CellContext`t, -6, 
             6}, 
            Evaluate[$CellContext`optionsforplot]], 
           
           Plot[$CellContext`slpm[$CellContext`pt, $CellContext`pt2] \
($CellContext`x - Part[$CellContext`pt, 1]) + 
            Part[$CellContext`pt, 2], {$CellContext`x, -6, 6}, 
            
            Evaluate[$CellContext`optionsforplot]]], \
$CellContext`optionsforplot = {PlotStyle -> {
             RGBColor[1, 0, 0], 
             Thickness[Large]}, AxesStyle -> Thickness[Large], 
           BaseStyle -> {14}, AspectRatio -> Automatic, 
           PlotRange -> {{-6, 6}, {-6, 6}}, 
           Ticks -> {{-5, -4, -3, -2, -1, 0, 1, 2, 3, 4, 
            5}, {-5, -4, -3, -2, -1, 0, 1, 2, 3, 4, 5}}, 
           GridLines -> {{-5, -4, -3, -2, -1, 0, 1, 2, 3, 4, 
            5}, {-5, -4, -3, -2, -1, 0, 1, 2, 3, 4, 5}}, ImageSize -> 350}, 
         Attributes[PlotRange] = {ReadProtected}, $CellContext`slpm[
           Pattern[$CellContext`pt$, 
            Blank[]], 
           Pattern[$CellContext`pt2$, 
            Blank[]]] := 
         If[Part[$CellContext`pt$, 1] == Part[$CellContext`pt2$, 1], 0, 
           If[
            Switch[
            FE`numbervals$$6, $CellContext`allvals, 
             False, $CellContext`fractionvals, True, $CellContext`integervals,
              True], (Part[$CellContext`pt2$, 2] - 
             Part[$CellContext`pt$, 2])/(Part[$CellContext`pt2$, 1] - 
            Part[$CellContext`pt$, 1]), 
            
            Round[(Part[$CellContext`pt2$, 2] - Part[$CellContext`pt$, 2])/(
             Part[$CellContext`pt2$, 1] - Part[$CellContext`pt$, 1]), 
             0.001]]], 
         FE`numbervals$$6 = $CellContext`integervals, $CellContext`grtck = \
{-5, -4, -3, -2, -1, 0, 1, 2, 3, 4, 5}, $CellContext`usefractions = 
         True, $CellContext`b[
           Pattern[$CellContext`pt, 
            Blank[]], 
           Pattern[$CellContext`pt2, 
            
            Blank[]]] := (-$CellContext`slpm[$CellContext`pt, \
$CellContext`pt2]) Part[$CellContext`pt, 1] + 
          Part[$CellContext`pt, 2], $CellContext`frac[
           Pattern[$CellContext`val, 
            Blank[]]] := If[$CellContext`usefractions, 
           
           Rationalize[$CellContext`val], $CellContext`val]}; \
{$CellContext`frac[
            Pattern[$CellContext`val, 
             Blank[]]] := If[$CellContext`usefractions, 
            Rationalize[$CellContext`val], $CellContext`val]; Null}}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->278901642],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Lines: Two Points",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LinesTwoPoints/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/LinesTwoPoints/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/LinesTwoPoints/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LinesTwoPoints/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/LinesTwoPoints/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->126169831],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
LinesTwoPoints"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Lines: Two Points - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 209, 4, 70, "Section"],
Cell[802, 29, 27395, 633, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[28212, 665, 16937, 357, 70, "Output",
 CellID->278901642],
Cell[CellGroupData[{
Cell[45174, 1026, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[45550, 1037, 864, 24, 70, "Text"],
Cell[46417, 1063, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[46757, 1074, 362, 13, 70, "Text",
 CellID->126169831],
Cell[CellGroupData[{
Cell[47144, 1091, 829, 24, 70, "Text"],
Cell[47976, 1117, 1190, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature MT4UdSgsHkZzFBDoS1HqZBwg *)
