(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     52967,       1237]
NotebookOptionsPosition[     51854,       1196]
NotebookOutlinePosition[     52487,       1220]
CellTagsIndexPosition[     52444,       1217]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Parallel Lines: Angles with a Transversal", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"DynamicModule", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0.25"}], "}"}]}], ",", 
       RowBox[{"b", "=", 
        RowBox[{"{", 
         RowBox[{"1", ",", "ptb"}], "}"}]}], ",", 
       RowBox[{"c", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", 
          RowBox[{"-", "0.25"}]}], "}"}]}], ",", 
       RowBox[{"d", "=", 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"ptb", "-", "0.5"}]}], "}"}]}], ",", 
       RowBox[{"e", "=", 
        RowBox[{"{", 
         RowBox[{"pte", ",", "1"}], "}"}]}], ",", 
       RowBox[{"f", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.25"}], ",", 
          RowBox[{"-", "1"}]}], "}"}]}], ",", "g", ",", "h"}], "}"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"angle", "[", 
        RowBox[{"pt1_", ",", "pt2_", ",", "pt3_"}], "]"}], ":=", 
       RowBox[{"SetAccuracy", "[", 
        RowBox[{
         RowBox[{"Round", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ArcCos", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"pt1", "-", "pt2"}], ")"}], ".", 
               RowBox[{"(", 
                RowBox[{"pt3", "-", "pt2"}], ")"}]}], "/", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Norm", "[", 
                 RowBox[{"(", 
                  RowBox[{"pt1", "-", "pt2"}], ")"}], "]"}], "*", 
                RowBox[{"Norm", "[", 
                 RowBox[{"(", 
                  RowBox[{"pt3", "-", "pt2"}], ")"}], "]"}]}], ")"}]}], "]"}],
             "*", 
            RowBox[{"180", "/", "Pi"}]}], ",", "0.01"}], "]"}], ",", "3"}], 
        "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"linetwo", "[", 
        RowBox[{"pt1_", ",", "pt2_"}], "]"}], ":=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"y", "-", 
          RowBox[{"pt1", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], ")"}], "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"pt2", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "-", 
            RowBox[{"pt1", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"pt2", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "-", 
            RowBox[{"pt1", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], 
         RowBox[{"(", 
          RowBox[{"x", "-", 
           RowBox[{"pt1", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}]}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"intsec", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"pt1_", ",", "pt2_"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"pt3_", ",", "pt4_"}], "}"}]}], "]"}], ":=", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], "/.", 
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"linetwo", "[", 
              RowBox[{"pt1", ",", "pt2"}], "]"}], ",", 
             RowBox[{"linetwo", "[", 
              RowBox[{"pt3", ",", "pt4"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"angletext", "[", 
        RowBox[{
        "e_", ",", "g_", ",", "b_", ",", "color_", ",", "adj_", ",", "adj2_", 
         ",", "num_"}], "]"}], ":=", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{"Rotate", "[", 
          RowBox[{
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"num", "===", "0"}], ",", 
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"angle", "[", 
                    RowBox[{"e", ",", "g", ",", "b"}], "]"}], ",", 
                    "\"\<\[Degree]\>\""}], "}"}], "]"}], ",", "num"}], "]"}], 
               ",", "14", ",", "\"\<Label\>\"", ",", "color"}], "]"}], ",", 
             RowBox[{"g", "+", 
              RowBox[{"0.2", 
               RowBox[{"Through", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"Cos", ",", "Sin"}], "}"}], "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"adj2", "\[Equal]", "Pi"}], ",", 
                    RowBox[{"-", "1"}], ",", "1"}], "]"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sign", "[", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                    RowBox[{"g", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], 
                    RowBox[{"angle", "[", 
                    RowBox[{"b", ",", "g", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"g", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], ")"}],
                    
                   RowBox[{"Pi", "/", "180"}]}], "+", 
                  RowBox[{"adj", "*", 
                   RowBox[{"Pi", "/", "10"}]}], "+", "adj2"}], "]"}], 
                "]"}]}]}]}], "]"}], ",", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"adj2", "\[Equal]", "Pi"}], ",", 
              RowBox[{"-", "1"}], ",", "1"}], "]"}], "*", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Sign", "[", 
               RowBox[{
                RowBox[{"b", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "-", 
                RowBox[{"g", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], "]"}], 
              RowBox[{"angle", "[", 
               RowBox[{"b", ",", "g", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"b", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{"g", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], ")"}], 
            
            RowBox[{"Pi", "/", "180"}]}]}], "]"}], "}"}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
       RowBox[{"Grid", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"LocatorPane", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                 "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f"}], 
                 "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"a", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "}"}]}], ";", 
                   "\[IndentingNewLine]", 
                   RowBox[{"b", "=", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "2"}], "]"}], "]"}]}], "}"}]}], ";", 
                   RowBox[{"c", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", 
                    RowBox[{"Min", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"3", ",", "2"}], "]"}], "]"}], ",", 
                    RowBox[{"a", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "}"}]}],
                    ";", 
                   RowBox[{"d", "=", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"a", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                    RowBox[{"c", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}]}], "}"}]}], ";",
                    
                   RowBox[{"e", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"5", ",", "1"}], "]"}], "]"}], ",", "1"}], 
                    "}"}]}], ";", 
                   RowBox[{"f", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"5", ",", "1"}], "]"}], "]"}], "\[Equal]", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"6", ",", "1"}], "]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"6", ",", "1"}], "]"}], "]"}], "+", ".001"}], ",",
                     
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"6", ",", "1"}], "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"-", "1"}]}], "}"}]}]}], ")"}], "&"}]}], "]"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"Dynamic", "[", 
               RowBox[{"Refresh", "[", 
                RowBox[{
                 RowBox[{"Show", "[", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"Plot", "[", 
                    RowBox[{"2", ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"Graphics", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.3"}], "]"}], ",", "Thick", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a", ",", "b"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"c", ",", "d"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"e", ",", "f"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                    "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                   
                   RowBox[{"Graphics", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "0.025", "]"}], ",", "Black", 
                    ",", 
                    RowBox[{"Opacity", "[", "0", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"g", "=", 
                    RowBox[{"intsec", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a", ",", "b"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"e", ",", "f"}], "}"}]}], "]"}]}], "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"h", "=", 
                    RowBox[{"intsec", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"c", ",", "d"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"e", ",", "f"}], "}"}]}], "]"}]}], "]"}]}], "}"}],
                     "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]",
                    
                   RowBox[{
                    RowBox[{
                    RowBox[{"ang2", "[", 
                    RowBox[{"clr_", ",", "num_"}], "]"}], ":=", 
                    RowBox[{"angletext", "[", 
                    RowBox[{
                    "e", ",", "g", ",", "b", ",", "clr", ",", "1", ",", "0", 
                    ",", "num"}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"ang6", "[", 
                    RowBox[{"clr_", ",", "num_"}], "]"}], ":=", 
                    RowBox[{"angletext", "[", 
                    RowBox[{
                    "e", ",", "h", ",", "d", ",", "clr", ",", "1", ",", "0", 
                    ",", "num"}], "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"ang3", "[", 
                    RowBox[{"clr_", ",", "num_"}], "]"}], ":=", 
                    RowBox[{"angletext", "[", 
                    RowBox[{
                    "f", ",", "g", ",", "a", ",", "clr", ",", "1", ",", "Pi", 
                    ",", "num"}], "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"ang7", "[", 
                    RowBox[{"clr_", ",", "num_"}], "]"}], ":=", 
                    RowBox[{"angletext", "[", 
                    RowBox[{
                    "f", ",", "h", ",", "c", ",", "clr", ",", "1", ",", "Pi", 
                    ",", "num"}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"ang4", "[", 
                    RowBox[{"clr_", ",", "num_"}], "]"}], ":=", 
                    RowBox[{"angletext", "[", 
                    RowBox[{"f", ",", "g", ",", "b", ",", "clr", ",", 
                    RowBox[{"-", "1"}], ",", "0", ",", "num"}], "]"}]}], ";", 
                    
                    RowBox[{
                    RowBox[{"ang8", "[", 
                    RowBox[{"clr_", ",", "num_"}], "]"}], ":=", 
                    RowBox[{"angletext", "[", 
                    RowBox[{"f", ",", "h", ",", "d", ",", "clr", ",", 
                    RowBox[{"-", "1"}], ",", "0", ",", "num"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"ang1", "[", 
                    RowBox[{"clr_", ",", "num_"}], "]"}], ":=", 
                    RowBox[{"angletext", "[", 
                    RowBox[{"e", ",", "g", ",", "a", ",", "clr", ",", 
                    RowBox[{"-", "1"}], ",", "Pi", ",", "num"}], "]"}]}], ";",
                     
                    RowBox[{
                    RowBox[{"ang5", "[", 
                    RowBox[{"clr_", ",", "num_"}], "]"}], ":=", 
                    RowBox[{"angletext", "[", 
                    RowBox[{"e", ",", "h", ",", "c", ",", "clr", ",", 
                    RowBox[{"-", "1"}], ",", "Pi", ",", "num"}], "]"}]}], ";",
                     "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"angletypes", "===", "none"}], ",", 
                    RowBox[{"{", "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}]}], ",", "\[IndentingNewLine]",
                    
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"angletypes", "===", "numbers"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"ang1", "[", 
                    RowBox[{"Black", ",", "1"}], "]"}], ",", 
                    RowBox[{"ang4", "[", 
                    RowBox[{"Black", ",", "4"}], "]"}], ",", 
                    RowBox[{"ang2", "[", 
                    RowBox[{"Black", ",", "2"}], "]"}], ",", 
                    RowBox[{"ang3", "[", 
                    RowBox[{"Black", ",", "3"}], "]"}], ",", 
                    RowBox[{"ang5", "[", 
                    RowBox[{"Black", ",", "5"}], "]"}], ",", 
                    RowBox[{"ang8", "[", 
                    RowBox[{"Black", ",", "8"}], "]"}], ",", 
                    RowBox[{"ang6", "[", 
                    RowBox[{"Black", ",", "6"}], "]"}], ",", 
                    RowBox[{"ang7", "[", 
                    RowBox[{"Black", ",", "7"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"angletypes", "===", "altext"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"ang1", "[", 
                    RowBox[{"Red", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang8", "[", 
                    RowBox[{"Red", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang2", "[", 
                    RowBox[{"Blue", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang7", "[", 
                    RowBox[{"Blue", ",", "0"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"angletypes", "===", "altint"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"ang4", "[", 
                    RowBox[{"Red", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang5", "[", 
                    RowBox[{"Red", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang3", "[", 
                    RowBox[{"Blue", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang6", "[", 
                    RowBox[{"Blue", ",", "0"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"angletypes", "===", "consecext"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"ang1", "[", 
                    RowBox[{"Red", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang7", "[", 
                    RowBox[{"Red", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang2", "[", 
                    RowBox[{"Blue", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang8", "[", 
                    RowBox[{"Blue", ",", "0"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"angletypes", "===", "consecint"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"ang3", "[", 
                    RowBox[{"Red", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang5", "[", 
                    RowBox[{"Red", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang4", "[", 
                    RowBox[{"Blue", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang6", "[", 
                    RowBox[{"Blue", ",", "0"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"angletypes", "===", "corresp"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"ang1", "[", 
                    RowBox[{"Red", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang5", "[", 
                    RowBox[{"Red", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang2", "[", 
                    RowBox[{"Purple", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang6", "[", 
                    RowBox[{"Purple", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang3", "[", 
                    RowBox[{"Blue", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang7", "[", 
                    RowBox[{"Blue", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang4", "[", 
                    RowBox[{"Orange", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang8", "[", 
                    RowBox[{"Orange", ",", "0"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"angletypes", "===", "vert"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"ang1", "[", 
                    RowBox[{"Red", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang4", "[", 
                    RowBox[{"Red", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang2", "[", 
                    RowBox[{"Blue", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang3", "[", 
                    RowBox[{"Blue", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang5", "[", 
                    RowBox[{"Orange", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang8", "[", 
                    RowBox[{"Orange", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang6", "[", 
                    RowBox[{"Purple", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang7", "[", 
                    RowBox[{"Purple", ",", "0"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"angletypes", "===", "allequal"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"ang1", "[", 
                    RowBox[{"Red", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang4", "[", 
                    RowBox[{"Red", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang2", "[", 
                    RowBox[{"Blue", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang3", "[", 
                    RowBox[{"Blue", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang5", "[", 
                    RowBox[{"Red", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang8", "[", 
                    RowBox[{"Red", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang6", "[", 
                    RowBox[{"Blue", ",", "0"}], "]"}], ",", 
                    RowBox[{"ang7", "[", 
                    RowBox[{"Blue", ",", "0"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", 
                   RowBox[{"Graphics", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "#", ",", "Italic", ",", "14", ",", "Bold", ",", 
                    "\"\<Label\>\""}], "]"}], "&"}], "/@", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<A\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1.1"}], ",", 
                    RowBox[{"a", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<B\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"1.1", ",", 
                    RowBox[{"b", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<C\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1.1"}], ",", 
                    RowBox[{"c", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<D\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"1.1", ",", 
                    RowBox[{
                    RowBox[{"b", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"a", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                    RowBox[{"c", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}]}], "}"}]}], 
                    "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<E\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"e", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "1.1"}], "}"}]}], 
                    "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<F\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"-", "1.1"}]}], "}"}]}], "]"}]}], "}"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "0.05", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.75", "]"}], ",", "White", ",", 
                    
                    RowBox[{"Point", "[", "g", "]"}]}], "}"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "#", ",", "Italic", ",", "14", ",", "Bold", ",", 
                    "\"\<Label\>\""}], "]"}], "&"}], "@", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<G\>\"", ",", "g"}], "]"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "0.05", "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.75", "]"}], ",", "White", ",", 
                    
                    RowBox[{"Point", "[", "h", "]"}]}], "}"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "#", ",", "Italic", ",", "14", ",", "Bold", ",", 
                    "\"\<Label\>\""}], "]"}], "&"}], "@", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<H\>\"", ",", "h"}], "]"}]}]}], "}"}]}], 
                    "}"}], "]"}], ",", "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", 
                   RowBox[{"PlotRange", "\[Rule]", "1"}], ",", 
                   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                   RowBox[{"ImagePadding", "\[Rule]", "20"}], ",", 
                   RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
                   RowBox[{"PlotRangeClipping", "\[Rule]", "False"}], ",", 
                   RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
                  RowBox[{"{", 
                   RowBox[{
                   "angletypes", ",", "a", ",", "b", ",", "c", ",", "d", ",", 
                    "e", ",", "f"}], "}"}]}]}], "]"}], "]"}], ",", 
              RowBox[{"Appearance", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                "Automatic", ",", "Automatic", ",", "Automatic", ",", "None", 
                 ",", "Automatic"}], "}"}]}]}], "\[IndentingNewLine]", "]"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"Column", "[", 
             RowBox[{"{", 
              RowBox[{"\"\<\>\"", ",", "\"\<\>\""}], "\[IndentingNewLine]", 
              "}"}], "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
           "}"}], "}"}], ",", 
         RowBox[{"ItemSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<Columns\>\"", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"27", ",", "0"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"Alignment", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<Rows\>\"", "\[Rule]", 
            RowBox[{"{", "Top", "}"}]}], "}"}]}]}], "]"}], 
       "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pte", ",", "0.25"}], "}"}], ",", 
     RowBox[{"-", "1"}], ",", "1", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ptb", ",", "0.25"}], "}"}], ",", 
     RowBox[{"-", "1"}], ",", "1", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<\>\"", ",", "\"\<\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"angletypes", ",", "none", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"none", "\[Rule]", "\"\<no angle labels\>\""}], ",", 
       RowBox[{"numbers", "\[Rule]", "\"\<angle numbers\>\""}], ",", 
       RowBox[{"altext", "\[Rule]", "\"\<alternate exterior\>\""}], ",", 
       RowBox[{"altint", "\[Rule]", "\"\<alternate interior\>\""}], ",", 
       RowBox[{"consecext", "\[Rule]", "\"\<consecutive exterior\>\""}], ",", 
       
       RowBox[{"consecint", "\[Rule]", "\"\<consecutive interior\>\""}], ",", 
       
       RowBox[{"corresp", "\[Rule]", "\"\<corresponding\>\""}], ",", 
       RowBox[{"vert", "\[Rule]", "\"\<vertical angles\>\""}], ",", 
       RowBox[{"allequal", "\[Rule]", "\"\<congruent angles\>\""}]}], "}"}], 
     ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Vertical\>\""}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Right"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"pte", ",", "ptb", ",", "angletypes"}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.373828774964537*^9, {3.374885503375*^9, 
   3.374885504296875*^9}, {3.38238872604945*^9, 3.382388799545131*^9}, {
   3.3823889650831633`*^9, 3.382388993443944*^9}, {3.382482832432525*^9, 
   3.3824828327830296`*^9}},
 CellID->547004193]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`angletypes$$ = $CellContext`none, \
$CellContext`ptb$$ = 0.25, $CellContext`pte$$ = 0.25, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`pte$$], 0.25}, -1, 1}, {{
       Hold[$CellContext`ptb$$], 0.25}, -1, 1}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`angletypes$$], $CellContext`none, 
       ""}, {$CellContext`none -> "no angle labels", $CellContext`numbers -> 
       "angle numbers", $CellContext`altext -> 
       "alternate exterior", $CellContext`altint -> 
       "alternate interior", $CellContext`consecext -> 
       "consecutive exterior", $CellContext`consecint -> 
       "consecutive interior", $CellContext`corresp -> 
       "corresponding", $CellContext`vert -> 
       "vertical angles", $CellContext`allequal -> "congruent angles"}}}, 
    Typeset`size$$ = {348., {172.5, 177.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`pte$13803$$ = 0, $CellContext`ptb$13804$$ = 
    0, $CellContext`angletypes$13805$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`angletypes$$ = $CellContext`none, \
$CellContext`ptb$$ = 0.25, $CellContext`pte$$ = 0.25}, 
      "ControllerVariables" :> {
        Hold[$CellContext`pte$$, $CellContext`pte$13803$$, 0], 
        Hold[$CellContext`ptb$$, $CellContext`ptb$13804$$, 0], 
        Hold[$CellContext`angletypes$$, $CellContext`angletypes$13805$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      DynamicModule[{$CellContext`a = {-1, 0.25}, $CellContext`b = {
          1, $CellContext`ptb$$}, $CellContext`c = {-1, -0.25}, \
$CellContext`d = {
          1, $CellContext`ptb$$ - 0.5}, $CellContext`e = {$CellContext`pte$$, 
           1}, $CellContext`f = {-0.25, -1}, $CellContext`g, $CellContext`h}, \
$CellContext`angle[
           Pattern[$CellContext`pt1, 
            Blank[]], 
           Pattern[$CellContext`pt2, 
            Blank[]], 
           Pattern[$CellContext`pt3, 
            Blank[]]] := SetAccuracy[
           Round[
           ArcCos[Dot[$CellContext`pt1 - $CellContext`pt2, $CellContext`pt3 - \
$CellContext`pt2]/(Norm[$CellContext`pt1 - $CellContext`pt2] 
              Norm[$CellContext`pt3 - $CellContext`pt2])] (180/Pi), 0.01], 
           3]; $CellContext`linetwo[
           Pattern[$CellContext`pt1, 
            Blank[]], 
           Pattern[$CellContext`pt2, 
            Blank[]]] := $CellContext`y - 
           Part[$CellContext`pt1, 
            2] == ((Part[$CellContext`pt2, 2] - Part[$CellContext`pt1, 2])/(
            Part[$CellContext`pt2, 1] - 
            Part[$CellContext`pt1, 1])) ($CellContext`x - 
            Part[$CellContext`pt1, 1]); $CellContext`intsec[{
            Pattern[$CellContext`pt1, 
             Blank[]], 
            Pattern[$CellContext`pt2, 
             Blank[]]}, {
            Pattern[$CellContext`pt3, 
             Blank[]], 
            Pattern[$CellContext`pt4, 
             Blank[]]}] := Flatten[
           ReplaceAll[{$CellContext`x, $CellContext`y}, 
            Solve[{
              $CellContext`linetwo[$CellContext`pt1, $CellContext`pt2], 
              $CellContext`linetwo[$CellContext`pt3, $CellContext`pt4]}, \
{$CellContext`x, $CellContext`y}]]]; $CellContext`angletext[
           Pattern[$CellContext`e, 
            Blank[]], 
           Pattern[$CellContext`g, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`color, 
            Blank[]], 
           Pattern[$CellContext`adj, 
            Blank[]], 
           Pattern[$CellContext`adj2, 
            Blank[]], 
           Pattern[$CellContext`num, 
            Blank[]]] := Graphics[{
            Rotate[
             Text[
              Style[
               If[$CellContext`num === 0, 
                Row[{
                  $CellContext`angle[$CellContext`e, $CellContext`g, \
$CellContext`b], "\[Degree]"}], $CellContext`num], 14, 
               "Label", $CellContext`color], $CellContext`g + 0.2 Through[
                 {
                 Cos, Sin}[(
                    If[$CellContext`adj2 == Pi, -1, 1] (
                    Sign[Part[$CellContext`b, 2] - 
                    Part[$CellContext`g, 
                    2]] $CellContext`angle[$CellContext`b, $CellContext`g, {
                    Part[$CellContext`b, 1], 
                    Part[$CellContext`g, 2]}])) (Pi/180) + $CellContext`adj (
                    Pi/10) + $CellContext`adj2]]], (
              If[$CellContext`adj2 == Pi, -1, 1] (
               Sign[Part[$CellContext`b, 2] - 
                 Part[$CellContext`g, 
                  2]] $CellContext`angle[$CellContext`b, $CellContext`g, {
                  Part[$CellContext`b, 1], 
                  Part[$CellContext`g, 2]}])) (Pi/180)]}]; Deploy[
          Grid[{{
             LocatorPane[
              
              Dynamic[{$CellContext`a, $CellContext`b, $CellContext`c, \
$CellContext`d, $CellContext`e, $CellContext`f}, ($CellContext`a = {-1, 
                  Part[#, 1, 2]}; $CellContext`b = {1, 
                  Part[#, 2, 2]}; $CellContext`c = {-1, 
                  Min[{
                    Part[#, 3, 2], 
                    Part[$CellContext`a, 2]}]}; $CellContext`d = {
                 1, Part[$CellContext`b, 2] - (Part[$CellContext`a, 2] - 
                  Part[$CellContext`c, 2])}; $CellContext`e = {
                  Part[#, 5, 1], 1}; $CellContext`f = {
                  If[Part[#, 5, 1] == Part[#, 6, 1], Part[#, 6, 1] + 0.001, 
                   Part[#, 6, 1]], -1})& ], 
              Dynamic[
               Refresh[
                Show[
                 Plot[2, {$CellContext`x, -1, 1}], 
                 Graphics[{
                   Darker[Green, 0.3], Thick, 
                   
                   Line[{{$CellContext`a, $CellContext`b}, {$CellContext`c, \
$CellContext`d}, {$CellContext`e, $CellContext`f}}]}], 
                 Graphics[{
                   PointSize[0.025], Black, 
                   Opacity[0], 
                   
                   Point[$CellContext`g = \
$CellContext`intsec[{$CellContext`a, $CellContext`b}, {$CellContext`e, \
$CellContext`f}]], 
                   
                   Point[$CellContext`h = \
$CellContext`intsec[{$CellContext`c, $CellContext`d}, {$CellContext`e, \
$CellContext`f}]]}], $CellContext`ang2[
                    Pattern[$CellContext`clr, 
                    Blank[]], 
                    Pattern[$CellContext`num, 
                    
                    Blank[]]] := $CellContext`angletext[$CellContext`e, \
$CellContext`g, $CellContext`b, $CellContext`clr, 1, 
                    0, $CellContext`num]; $CellContext`ang6[
                    Pattern[$CellContext`clr, 
                    Blank[]], 
                    Pattern[$CellContext`num, 
                    
                    Blank[]]] := $CellContext`angletext[$CellContext`e, \
$CellContext`h, $CellContext`d, $CellContext`clr, 1, 
                    0, $CellContext`num]; $CellContext`ang3[
                    Pattern[$CellContext`clr, 
                    Blank[]], 
                    Pattern[$CellContext`num, 
                    
                    Blank[]]] := $CellContext`angletext[$CellContext`f, \
$CellContext`g, $CellContext`a, $CellContext`clr, 1, 
                    Pi, $CellContext`num]; $CellContext`ang7[
                    Pattern[$CellContext`clr, 
                    Blank[]], 
                    Pattern[$CellContext`num, 
                    
                    Blank[]]] := $CellContext`angletext[$CellContext`f, \
$CellContext`h, $CellContext`c, $CellContext`clr, 1, 
                    Pi, $CellContext`num]; $CellContext`ang4[
                    Pattern[$CellContext`clr, 
                    Blank[]], 
                    Pattern[$CellContext`num, 
                    
                    Blank[]]] := $CellContext`angletext[$CellContext`f, \
$CellContext`g, $CellContext`b, $CellContext`clr, -1, 
                    0, $CellContext`num]; $CellContext`ang8[
                    Pattern[$CellContext`clr, 
                    Blank[]], 
                    Pattern[$CellContext`num, 
                    
                    Blank[]]] := $CellContext`angletext[$CellContext`f, \
$CellContext`h, $CellContext`d, $CellContext`clr, -1, 
                    0, $CellContext`num]; $CellContext`ang1[
                    Pattern[$CellContext`clr, 
                    Blank[]], 
                    Pattern[$CellContext`num, 
                    
                    Blank[]]] := $CellContext`angletext[$CellContext`e, \
$CellContext`g, $CellContext`a, $CellContext`clr, -1, 
                    Pi, $CellContext`num]; $CellContext`ang5[
                    Pattern[$CellContext`clr, 
                    Blank[]], 
                    Pattern[$CellContext`num, 
                    
                    Blank[]]] := $CellContext`angletext[$CellContext`e, \
$CellContext`h, $CellContext`c, $CellContext`clr, -1, Pi, $CellContext`num]; 
                 If[$CellContext`angletypes$$ === $CellContext`none, {}, {}], 
                 
                 If[$CellContext`angletypes$$ === $CellContext`numbers, {
                   $CellContext`ang1[Black, 1], 
                   $CellContext`ang4[Black, 4], 
                   $CellContext`ang2[Black, 2], 
                   $CellContext`ang3[Black, 3], 
                   $CellContext`ang5[Black, 5], 
                   $CellContext`ang8[Black, 8], 
                   $CellContext`ang6[Black, 6], 
                   $CellContext`ang7[Black, 7]}, {}], 
                 If[$CellContext`angletypes$$ === $CellContext`altext, {
                   $CellContext`ang1[Red, 0], 
                   $CellContext`ang8[Red, 0], 
                   $CellContext`ang2[Blue, 0], 
                   $CellContext`ang7[Blue, 0]}, {}], 
                 If[$CellContext`angletypes$$ === $CellContext`altint, {
                   $CellContext`ang4[Red, 0], 
                   $CellContext`ang5[Red, 0], 
                   $CellContext`ang3[Blue, 0], 
                   $CellContext`ang6[Blue, 0]}, {}], 
                 If[$CellContext`angletypes$$ === $CellContext`consecext, {
                   $CellContext`ang1[Red, 0], 
                   $CellContext`ang7[Red, 0], 
                   $CellContext`ang2[Blue, 0], 
                   $CellContext`ang8[Blue, 0]}, {}], 
                 If[$CellContext`angletypes$$ === $CellContext`consecint, {
                   $CellContext`ang3[Red, 0], 
                   $CellContext`ang5[Red, 0], 
                   $CellContext`ang4[Blue, 0], 
                   $CellContext`ang6[Blue, 0]}, {}], 
                 If[$CellContext`angletypes$$ === $CellContext`corresp, {
                   $CellContext`ang1[Red, 0], 
                   $CellContext`ang5[Red, 0], 
                   $CellContext`ang2[Purple, 0], 
                   $CellContext`ang6[Purple, 0], 
                   $CellContext`ang3[Blue, 0], 
                   $CellContext`ang7[Blue, 0], 
                   $CellContext`ang4[Orange, 0], 
                   $CellContext`ang8[Orange, 0]}, {}], 
                 If[$CellContext`angletypes$$ === $CellContext`vert, {
                   $CellContext`ang1[Red, 0], 
                   $CellContext`ang4[Red, 0], 
                   $CellContext`ang2[Blue, 0], 
                   $CellContext`ang3[Blue, 0], 
                   $CellContext`ang5[Orange, 0], 
                   $CellContext`ang8[Orange, 0], 
                   $CellContext`ang6[Purple, 0], 
                   $CellContext`ang7[Purple, 0]}, {}], 
                 If[$CellContext`angletypes$$ === $CellContext`allequal, {
                   $CellContext`ang1[Red, 0], 
                   $CellContext`ang4[Red, 0], 
                   $CellContext`ang2[Blue, 0], 
                   $CellContext`ang3[Blue, 0], 
                   $CellContext`ang5[Red, 0], 
                   $CellContext`ang8[Red, 0], 
                   $CellContext`ang6[Blue, 0], 
                   $CellContext`ang7[Blue, 0]}, {}], 
                 Graphics[{
                   Map[Style[#, Italic, 14, Bold, "Label"]& , {
                    Text["A", {-1.1, 
                    Part[$CellContext`a, 2]}], 
                    Text["B", {1.1, 
                    Part[$CellContext`b, 2]}], 
                    Text["C", {-1.1, 
                    Part[$CellContext`c, 2]}], 
                    Text[
                    "D", {1.1, Part[$CellContext`b, 2] - (
                    Part[$CellContext`a, 2] - Part[$CellContext`c, 2])}], 
                    Text["E", {
                    Part[$CellContext`e, 1], 1.1}], 
                    Text["F", {
                    Part[$CellContext`f, 1], -1.1}]}], {{
                    PointSize[0.05], 
                    Opacity[0.75], White, 
                    Point[$CellContext`g]}, 
                    (Style[#, Italic, 14, Bold, "Label"]& )[
                    Text["G", $CellContext`g]]}, {{
                    PointSize[0.05], 
                    Opacity[0.75], White, 
                    Point[$CellContext`h]}, 
                    (Style[#, Italic, 14, Bold, "Label"]& )[
                    Text["H", $CellContext`h]]}}], PlotRange -> 1, 
                 AspectRatio -> Automatic, ImagePadding -> 20, ImageSize -> 
                 350, PlotRangeClipping -> False, Axes -> False], 
                TrackedSymbols :> {$CellContext`angletypes$$, $CellContext`a, \
$CellContext`b, $CellContext`c, $CellContext`d, $CellContext`e, \
$CellContext`f}]], 
              Appearance -> {
               Automatic, Automatic, Automatic, None, Automatic}], 
             Column[{"", ""}]}}, ItemSize -> {"Columns" -> {27, 0}}, 
           Alignment -> {"Rows" -> {Top}}]]], 
      "Specifications" :> {{{$CellContext`pte$$, 0.25}, -1, 1, ControlType -> 
         None}, {{$CellContext`ptb$$, 0.25}, -1, 1, ControlType -> None}, "", 
        "", {{$CellContext`angletypes$$, $CellContext`none, 
          ""}, {$CellContext`none -> "no angle labels", $CellContext`numbers -> 
          "angle numbers", $CellContext`altext -> 
          "alternate exterior", $CellContext`altint -> 
          "alternate interior", $CellContext`consecext -> 
          "consecutive exterior", $CellContext`consecint -> 
          "consecutive interior", $CellContext`corresp -> 
          "corresponding", $CellContext`vert -> 
          "vertical angles", $CellContext`allequal -> "congruent angles"}, 
         ControlType -> RadioButtonBar, Appearance -> "Vertical"}}, 
      "Options" :> {
       ControlPlacement -> Right, 
        TrackedSymbols :> {$CellContext`pte$$, $CellContext`ptb$$, \
$CellContext`angletypes$$}}, "DefaultOptions" :> {ControllerLinking -> True}],
     
     ImageSizeCache->{505., {200., 205.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->78949219],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Parallel Lines: Angles with a Transversal",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ParallelLinesAnglesWithATransversal/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ParallelLinesAnglesWithATransversal/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
ParallelLinesAnglesWithATransversal/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ParallelLinesAnglesWithATransversal/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ParallelLinesAnglesWithATransversal/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->1082392],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ParallelLinesAnglesWithATransversal"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Parallel Lines: Angles with a Transversal - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 233, 4, 70, "Section"],
Cell[826, 29, 31124, 704, 70, "Input",
 CellID->547004193]
}, Open  ]],
Cell[31965, 736, 15682, 323, 70, "Output",
 CellID->78949219],
Cell[CellGroupData[{
Cell[47672, 1063, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[48048, 1074, 1007, 29, 70, "Text"],
Cell[49058, 1105, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[49398, 1116, 360, 13, 70, "Text",
 CellID->1082392],
Cell[CellGroupData[{
Cell[49783, 1133, 829, 24, 70, "Text"],
Cell[50615, 1159, 1211, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature cR4giHxS7u#gsDpx9bjPrMWD *)
