(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     18327,        508]
NotebookOptionsPosition[     17229,        467]
NotebookOutlinePosition[     17838,        491]
CellTagsIndexPosition[     17795,        488]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Products of Lines", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"slope", "[", 
    RowBox[{"pt1_", ",", "pt2_"}], "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"First", "[", "pt1", "]"}], "\[NotEqual]", 
      RowBox[{"First", "[", "pt2", "]"}]}], ",", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Last", "[", "pt2", "]"}], "-", 
        RowBox[{"Last", "[", "pt1", "]"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"First", "[", "pt2", "]"}], "-", 
        RowBox[{"First", "[", "pt1", "]"}]}], ")"}]}], ",", " ", "Infinity"}],
     "]"}]}], ";"}]], "Input",
 CellID->61579017],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Quiet", "@", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"slope", "[", 
           RowBox[{"p1", ",", "p2"}], "]"}], "*", "x"}], "+", 
         RowBox[{"Last", "[", "p1", "]"}], "-", 
         RowBox[{
          RowBox[{"slope", "[", 
           RowBox[{"p1", ",", "p2"}], "]"}], "*", 
          RowBox[{"First", "[", "p1", "]"}]}]}], ",", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"slope", "[", 
           RowBox[{"p3", ",", "p4"}], "]"}], "*", "x"}], "+", 
         RowBox[{"Last", "[", "p3", "]"}], "-", 
         RowBox[{
          RowBox[{"slope", "[", 
           RowBox[{"p3", ",", "p4"}], "]"}], "*", 
          RowBox[{"First", "[", "p3", "]"}]}]}], ",", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"slope", "[", 
             RowBox[{"p1", ",", "p2"}], "]"}], "*", "x"}], "+", 
           RowBox[{"Last", "[", "p1", "]"}], "-", 
           RowBox[{
            RowBox[{"slope", "[", 
             RowBox[{"p1", ",", "p2"}], "]"}], "*", 
            RowBox[{"First", "[", "p1", "]"}]}]}], ")"}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"slope", "[", 
             RowBox[{"p3", ",", "p4"}], "]"}], "*", "x"}], "+", 
           RowBox[{"Last", "[", "p3", "]"}], "-", 
           RowBox[{
            RowBox[{"slope", "[", 
             RowBox[{"p3", ",", "p4"}], "]"}], "*", 
            RowBox[{"First", "[", "p3", "]"}]}]}], ")"}]}]}], "}"}], ",", " ",
       
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", " ", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "20"}], ",", "20"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"Epilog", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"First", "[", "p1", "]"}], "\[Equal]", 
            RowBox[{"First", "[", "p2", "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"Blue", ",", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"First", "[", "p1", "]"}], ",", 
                  RowBox[{"-", "20"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"First", "[", "p1", "]"}], ",", "20"}], "}"}]}], 
               "}"}], "]"}]}], "}"}], ",", 
           RowBox[{"Text", "[", "\"\<\>\"", "]"}]}], "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"First", "[", "p3", "]"}], "\[Equal]", 
            RowBox[{"First", "[", "p4", "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"Purple", ",", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"First", "[", "p3", "]"}], ",", 
                  RowBox[{"-", "20"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"First", "[", "p3", "]"}], ",", "20"}], "}"}]}], 
               "}"}], "]"}]}], "}"}], ",", 
           RowBox[{"Text", "[", "\"\<\>\"", "]"}]}], "]"}]}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "10"}], ",", 
       RowBox[{"-", "10"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "10"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<\[FilledCircle]\>\"", ",", "Small"}], "]"}]}]}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p2", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "10"}], ",", 
       RowBox[{"-", "10"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "10"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<\[FilledCircle]\>\"", ",", "Small"}], "]"}]}]}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p3", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "10"}], ",", 
       RowBox[{"-", "10"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "10"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<\[FilledCircle]\>\"", ",", "Small"}], "]"}]}]}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p4", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "10"}], ",", 
       RowBox[{"-", "10"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "10"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<\[FilledCircle]\>\"", ",", "Small"}], "]"}]}]}], "}"}], 
   ",", " ", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.393858340026*^9, 3.393858362262*^9}, {
   3.3938585596099997`*^9, 3.393858589984*^9}, {3.393858871611*^9, 
   3.393858873282*^9}, {3.3938616733181744`*^9, 3.3938617210668335`*^9}, {
   3.393950990324091*^9, 3.393950992562248*^9}, {3.393956664656*^9, 
   3.393956711769*^9}, {3.3939570347279997`*^9, 3.393957080468*^9}, {
   3.3939571105179996`*^9, 3.393957174267*^9}, {3.3939572145559998`*^9, 
   3.3939572323310003`*^9}, {3.393957694502*^9, 3.393957744824*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`p1$$ = {-1., -10}, $CellContext`p2$$ = {
    0.5099999999999998, -4.25}, $CellContext`p3$$ = {
    1, -1}, $CellContext`p4$$ = {1.1099999999999994`, 2.8000000000000007`}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`p1$$], {1, 1}}, {-10, -10}, {10, 10}}, {{
       Hold[$CellContext`p2$$], {-1, -1}}, {-10, -10}, {10, 10}}, {{
       Hold[$CellContext`p3$$], {1, -1}}, {-10, -10}, {10, 10}}, {{
       Hold[$CellContext`p4$$], {-1, 1}}, {-10, -10}, {10, 10}}}, 
    Typeset`size$$ = {600., {189., 194.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`p1$275$$ = {0, 0}, $CellContext`p2$276$$ = {0, 
    0}, $CellContext`p3$277$$ = {0, 0}, $CellContext`p4$278$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`p1$$ = {1, 
         1}, $CellContext`p2$$ = {-1, -1}, $CellContext`p3$$ = {
         1, -1}, $CellContext`p4$$ = {-1, 1}}, "ControllerVariables" :> {
        Hold[$CellContext`p1$$, $CellContext`p1$275$$, {0, 0}], 
        Hold[$CellContext`p2$$, $CellContext`p2$276$$, {0, 0}], 
        Hold[$CellContext`p3$$, $CellContext`p3$277$$, {0, 0}], 
        Hold[$CellContext`p4$$, $CellContext`p4$278$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Quiet[
        Plot[{$CellContext`slope[$CellContext`p1$$, $CellContext`p2$$] \
$CellContext`x + 
          Last[$CellContext`p1$$] - $CellContext`slope[$CellContext`p1$$, \
$CellContext`p2$$] 
          First[$CellContext`p1$$], $CellContext`slope[$CellContext`p3$$, \
$CellContext`p4$$] $CellContext`x + 
          Last[$CellContext`p3$$] - $CellContext`slope[$CellContext`p3$$, \
$CellContext`p4$$] 
          First[$CellContext`p3$$], ($CellContext`slope[$CellContext`p1$$, \
$CellContext`p2$$] $CellContext`x + 
           Last[$CellContext`p1$$] - $CellContext`slope[$CellContext`p1$$, \
$CellContext`p2$$] 
           First[$CellContext`p1$$]) ($CellContext`slope[$CellContext`p3$$, \
$CellContext`p4$$] $CellContext`x + 
           Last[$CellContext`p3$$] - $CellContext`slope[$CellContext`p3$$, \
$CellContext`p4$$] First[$CellContext`p3$$])}, {$CellContext`x, -5, 5}, 
         PlotRange -> {{-5, 5}, {-20, 20}}, Epilog -> {
           If[First[$CellContext`p1$$] == First[$CellContext`p2$$], {Blue, 
             Line[{{
                First[$CellContext`p1$$], -20}, {
                First[$CellContext`p1$$], 20}}]}, 
            Text[""]], 
           If[First[$CellContext`p3$$] == First[$CellContext`p4$$], {Purple, 
             Line[{{
                First[$CellContext`p3$$], -20}, {
                First[$CellContext`p3$$], 20}}]}, 
            Text[""]]}, ImageSize -> 600]], 
      "Specifications" :> {{{$CellContext`p1$$, {1, 1}}, {-10, -10}, {10, 10},
          ControlType -> Locator, Appearance -> 
         Style["\[FilledCircle]", 
           Small]}, {{$CellContext`p2$$, {-1, -1}}, {-10, -10}, {10, 10}, 
         ControlType -> Locator, Appearance -> 
         Style["\[FilledCircle]", Small]}, {{$CellContext`p3$$, {
          1, -1}}, {-10, -10}, {10, 10}, ControlType -> Locator, Appearance -> 
         Style["\[FilledCircle]", Small]}, {{$CellContext`p4$$, {-1, 
          1}}, {-10, -10}, {10, 10}, ControlType -> Locator, Appearance -> 
         Style["\[FilledCircle]", Small]}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{644., {216., 221.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`slope[
          Pattern[$CellContext`pt1, 
           Blank[]], 
          Pattern[$CellContext`pt2, 
           Blank[]]] := 
        If[First[$CellContext`pt1] != 
          First[$CellContext`pt2], (Last[$CellContext`pt2] - 
           Last[$CellContext`pt1])/(First[$CellContext`pt2] - 
          First[$CellContext`pt1]), Infinity], 
        Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`slope[
            Pattern[$CellContext`pt1, 
             Blank[]], 
            Pattern[$CellContext`pt2, 
             Blank[]]] := 
          If[First[$CellContext`pt1] != 
            First[$CellContext`pt2], (Last[$CellContext`pt2] - 
             Last[$CellContext`pt1])/(First[$CellContext`pt2] - 
            First[$CellContext`pt1]), Infinity]; Null}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->98746283],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Products of Lines",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ProductsOfLines/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ProductsOfLines/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ProductsOfLines/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ProductsOfLines/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ProductsOfLines/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Chris Boucher",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ProductsOfLines"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Products of Lines - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 209, 4, 70, "Section"],
Cell[802, 29, 644, 20, 70, "Input",
 CellID->61579017],
Cell[1449, 51, 6487, 180, 70, "Input"]
}, Open  ]],
Cell[7951, 234, 5153, 100, 70, "Output",
 CellID->98746283],
Cell[CellGroupData[{
Cell[13129, 338, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13505, 349, 869, 24, 70, "Text"],
Cell[14377, 375, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[14717, 386, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[15178, 404, 829, 24, 70, "Text"],
Cell[16010, 430, 1191, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature wTzTbhRVC1rs9Dp@ZB@PspdG *)
