(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     56668,       1353]
NotebookOptionsPosition[     55584,       1314]
NotebookOutlinePosition[     56226,       1338]
CellTagsIndexPosition[     56183,       1335]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Shortest Distance between a Point and a Line in 2D", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"DynamicModule", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Lambda]", ",", 
       RowBox[{"size", "=", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"imagesize", "\[Equal]", "L"}], ",", "Large", ",", 
          "Medium"}], "]"}]}], ",", "AB", ",", "normAB", ",", "r", ",", 
       "sign", ",", "fontsize", ",", "OBRounded", ",", "OPRounded", ",", 
       RowBox[{"pt", "=", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], ",", "OARounded", ",", "ABRounded",
        ",", "rRounded", ",", "sol1", ",", "sol2", ",", "OQ", ",", "t", ",", 
       "normal", ",", "parallel", ",", "scalar", ",", "distance", ",", 
       "offset1", ",", "offset2"}], "}"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "OBRounded", ",", "OARounded", ",", "ABRounded", ",", "rRounded", ",",
          "OPRounded"}], "}"}], "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Round", "[", 
           RowBox[{"#", ",", "0.1"}], "]"}], "&"}], ",", 
         RowBox[{"{", 
          RowBox[{"OB", ",", "OA", ",", "AB", ",", "r", ",", "OP"}], "}"}]}], 
        " ", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"AB", "=", 
       RowBox[{"OB", "-", "OA"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"normAB", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Norm", "[", "AB", "]"}], "\[NotEqual]", "0"}], ",", 
         RowBox[{"Norm", "[", "AB", "]"}], ",", "1"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"offset1", "=", 
       RowBox[{
        RowBox[{"Boole", "[", "showvectors", "]"}], "*", ".3"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"offset2", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Boole", "[", "showscalar", "]"}], "*", ".2"}], "+", 
        "offset1"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"fontsize", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"size", "\[Equal]", "Large"}], ",", "17", ",", "12", ",", 
         "11"}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"sol2", "=", 
       RowBox[{"Flatten", "[", 
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"OA", "+", " ", 
              RowBox[{"t", " ", "AB"}], "-", "OP"}], ")"}], ".", "AB"}], 
           "\[Equal]", "0"}], ",", "t"}], "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"OQ", "=", 
       RowBox[{
        RowBox[{"OA", " ", "+", " ", 
         RowBox[{"t", " ", "AB"}]}], " ", "/.", "sol2"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{"findclosest", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"r", "=", "OQ"}], ",", 
          RowBox[{"\[Lambda]", "=", 
           RowBox[{"t", " ", "/.", "sol2"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Lambda]", "=", "slider"}], ",", 
          RowBox[{"r", "=", 
           RowBox[{"OA", "+", 
            RowBox[{"\[Lambda]", " ", "AB"}]}]}]}], "}"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"sign", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"\[Lambda]", "\[GreaterEqual]", "0"}], ",", "\"\<+\>\"", 
         ",", "\"\<-\>\""}], "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"normal", "=", 
       RowBox[{"0.4", 
        RowBox[{"Normalize", "[", 
         RowBox[{"OP", "-", "OQ"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"parallel", "=", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}], ".", "normal"}]}],
       ";", "\[IndentingNewLine]", 
      RowBox[{"scalar", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"r", "-", "OP"}], ")"}], ".", "AB"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"distance", "=", 
       RowBox[{"Norm", "[", 
        RowBox[{"OP", "-", "r"}], "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Column", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{"Blue", ",", 
             RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
             RowBox[{"Point", "[", "r", "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"Dashed", ",", 
               RowBox[{"Thickness", "[", "0.004", "]"}], ",", "Black", ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"OA", "-", 
                   RowBox[{"50", "AB"}]}], ",", "OA", ",", "OB", ",", 
                  RowBox[{"OB", "+", 
                   RowBox[{"50", "AB"}]}]}], "}"}], "]"}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Arrowheads", "\[Rule]", "Large"}], ",", 
             RowBox[{"Thickness", "[", "0.009", "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"showOA", ",", 
               RowBox[{"{", 
                RowBox[{"Red", ",", 
                 RowBox[{"Arrow", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", "OA"}], "}"}], 
                  "]"}]}], "}"}], ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"showAB", ",", 
               RowBox[{"{", 
                RowBox[{"Blue", ",", 
                 RowBox[{"Arrow", "[", 
                  RowBox[{"{", 
                   RowBox[{"r", ",", 
                    RowBox[{"r", "+", "AB"}]}], "}"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"showOB", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Darker", "[", "Green", "]"}], ",", 
                 RowBox[{"Arrow", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", "OB"}], "}"}], 
                  "]"}]}], "}"}], ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"showOP", ",", 
               RowBox[{"{", 
                RowBox[{"Magenta", ",", 
                 RowBox[{"Arrow", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", "OP"}], "}"}], 
                  "]"}]}], "}"}], ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"showPX", ",", 
               RowBox[{"{", 
                RowBox[{"Pink", ",", 
                 RowBox[{"Arrow", "[", 
                  RowBox[{"{", 
                   RowBox[{"OP", ",", "r"}], "}"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"showOX", ",", 
               RowBox[{"{", 
                RowBox[{"Orange", ",", 
                 RowBox[{"Arrow", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", "r"}], "}"}], 
                  "]"}]}], "}"}], ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", "Red", ",", "\[IndentingNewLine]", 
             RowBox[{"Text", "[", 
              RowBox[{"\"\<A\>\"", ",", 
               RowBox[{"OA", "+", 
                RowBox[{"0.5", 
                 RowBox[{
                  RowBox[{"(", " ", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "1"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ".", "AB"}], 
                   ")"}], "/", "normAB"}]}]}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Text", "[", 
              RowBox[{"\"\<B\>\"", ",", 
               RowBox[{"OB", "+", 
                RowBox[{"0.5", 
                 RowBox[{
                  RowBox[{"(", " ", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "1"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ".", "AB"}], 
                   ")"}], "/", "normAB"}]}]}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Text", "[", 
              RowBox[{"\"\<X\>\"", ",", 
               RowBox[{"r", "+", 
                RowBox[{"0.5", 
                 RowBox[{
                  RowBox[{"(", " ", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "1"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ".", "AB"}], 
                   ")"}], "/", "normAB"}]}]}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Text", "[", 
              RowBox[{"\"\<P\>\"", ",", 
               RowBox[{"OP", "+", 
                RowBox[{"0.5", 
                 RowBox[{
                  RowBox[{"(", " ", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "1"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ".", "AB"}], 
                   ")"}], "/", "normAB"}]}]}]}], "]"}], ",", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"Orange", ",", 
               RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
               RowBox[{"Point", "[", "r", "]"}]}], "}"}], ",", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"shownormal", ",", 
               RowBox[{"{", 
                RowBox[{"Dotted", ",", "Gray", ",", 
                 RowBox[{"Thickness", "[", "0.003", "]"}], ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{"OP", ",", "OQ", ",", 
                    RowBox[{"OQ", "+", "normal"}], " ", ",", 
                    RowBox[{"OQ", "+", "normal", "+", "parallel"}], ",", 
                    RowBox[{
                    "OQ", "+", "normal", "+", "parallel", "-", "normal"}]}], 
                   "}"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Norm", "[", 
                 RowBox[{"OQ", "-", "r"}], "]"}], "<", "0.02"}], ",", 
               RowBox[{"{", 
                RowBox[{"Black", ",", "Dotted", ",", 
                 RowBox[{"Thickness", "[", "0.004", "]"}], ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{"OP", ",", "OQ", ",", 
                    RowBox[{"OQ", "+", "normal"}], " ", ",", 
                    RowBox[{"OQ", "+", "normal", "+", "parallel"}], ",", 
                    RowBox[{
                    "OQ", "+", "normal", "+", "parallel", "-", "normal"}]}], 
                   "}"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", "}"}]}], "]"}]}], "}"}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Axes", "\[Rule]", "True"}], ",", 
           RowBox[{"AxesStyle", "\[Rule]", "Blue"}], ",", 
           RowBox[{"Ticks", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Range", "[", 
               RowBox[{
                RowBox[{"-", "6"}], ",", "6", ",", "1"}], "]"}], ",", 
              RowBox[{"Range", "[", 
               RowBox[{
                RowBox[{"-", "6"}], ",", "6", ",", "1"}], "]"}]}], "}"}]}], 
           ",", 
           RowBox[{"GridLines", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Range", "[", 
               RowBox[{
                RowBox[{"-", "6"}], ",", "6", ",", "1"}], "]"}], ",", 
              RowBox[{"Range", "[", 
               RowBox[{
                RowBox[{"-", "6"}], ",", "6", ",", "1"}], "]"}]}], "}"}]}], 
           ",", 
           RowBox[{"GridLinesStyle", "\[Rule]", "Dotted"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"ImageSize", "\[Rule]", "size"}]}], "]"}], ",", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         
         RowBox[{"Graphics", "[", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{"showvectors", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Text", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"StringForm", "[", 
                    RowBox[{
                    "\"\<\!\(\*OverscriptBox[\(OA\), \(\[RightVector]\)]\) = \
``    \>\"", ",", 
                    RowBox[{"MatrixForm", "[", "OARounded", "]"}], ",", 
                    RowBox[{"MatrixForm", "[", "OBRounded", "]"}]}], "]"}], 
                    ",", "fontsize", ",", "Red"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0.5", ",", ".85"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"Text", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"StringForm", "[", 
                    RowBox[{
                    "\"\<\!\(\*OverscriptBox[\(OB\), \(\[RightVector]\)]\) = \
`` \>\"", ",", 
                    RowBox[{"MatrixForm", "[", "OBRounded", "]"}]}], "]"}], 
                    ",", "fontsize", ",", 
                    RowBox[{"Darker", "[", "Green", "]"}]}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"1.2", ",", ".85"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"Text", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"StringForm", "[", 
                    RowBox[{
                    "\"\<\!\(\*OverscriptBox[\(OP\), \(\[RightVector]\)]\) = \
`` \>\"", ",", 
                    RowBox[{"MatrixForm", "[", "OPRounded", "]"}]}], "]"}], 
                    ",", "fontsize", ",", "Magenta"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"1.9", ",", ".85"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}]}], "}"}], 
               ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"showscalar", ",", "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"OPRounded", "\[Equal]", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                 "\[IndentingNewLine]", "  ", 
                 RowBox[{"Text", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"StringForm", "[", 
                    RowBox[{"\"\<``\[CenterDot]`` = ``\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\!\(\*OverscriptBox[\(OX\), \
\(\[RightVector]\)]\)\>\"", ",", "Orange"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\!\(\*OverscriptBox[\(AB\), \
\(\[RightVector]\)]\)\>\"", ",", "Blue"}], "]"}], ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"scalar", ",", ".1"}], "]"}]}], "]"}], ",", 
                    RowBox[{"fontsize", "+", "2"}], ",", "Black"}], "]"}], 
                   ",", 
                   RowBox[{"{", 
                    RowBox[{".3", ",", 
                    RowBox[{".8", "-", "offset1"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
                 "\[IndentingNewLine]", "  ", 
                 RowBox[{"Text", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"StringForm", "[", 
                    RowBox[{"\"\<(``-``)\[CenterDot]`` = ``\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\!\(\*OverscriptBox[\(OX\), \
\(\[RightVector]\)]\)\>\"", ",", "Orange"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\!\(\*OverscriptBox[\(OP\), \
\(\[RightVector]\)]\)\>\"", ",", "Magenta"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\!\(\*OverscriptBox[\(AB\), \
\(\[RightVector]\)]\)\>\"", ",", "Blue"}], "]"}], ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"scalar", ",", ".1"}], "]"}]}], "]"}], ",", 
                    RowBox[{"fontsize", "+", "2"}], ",", "Black"}], "]"}], 
                   ",", 
                   RowBox[{"{", 
                    RowBox[{".3", ",", 
                    RowBox[{".8", "-", "offset1"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}]}], "]"}], 
               ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"showdistance", ",", "\[IndentingNewLine]", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"StringForm", "[", 
                    RowBox[{"\"\<d = ``\>\"", ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"distance", ",", ".01"}], "]"}]}], "]"}], ",", 
                   RowBox[{"fontsize", "+", "2"}], ",", "Black"}], "]"}], ",",
                  
                 RowBox[{"{", 
                  RowBox[{"0.6", ",", 
                   RowBox[{".8", "-", "offset2"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{"showequations", ",", "\[IndentingNewLine]", 
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Text", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"StringForm", "[", 
                    RowBox[{"\"\<`` = `` + \[Lambda] ``\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"MatrixForm", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}], "]"}], 
                    ",", "Orange"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"MatrixForm", "[", "OARounded", "]"}], ",", 
                    "Red"}], "]"}], ",", "  ", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"MatrixForm", "[", "ABRounded", "]"}], ",", 
                    "Blue"}], "]"}]}], "]"}], ",", "fontsize"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"1.5", ",", 
                    RowBox[{".85", "-", "offset1"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"Text", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"StringForm", "[", 
                    RowBox[{"\"\<When \[Lambda] = ``\>\"", ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"\[Lambda]", ",", "0.01"}], "]"}]}], "]"}], ",", 
                    "fontsize", ",", "Black"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"1.8", ",", 
                    RowBox[{".6", "-", "offset1"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"Text", "[", 
                  RowBox[{
                   RowBox[{"StringForm", "[", 
                    RowBox[{"\"\<`` = `` `` `` `` = ``\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"MatrixForm", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}], "]"}], 
                    ",", "fontsize", ",", "Orange"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"MatrixForm", "[", "OARounded", "]"}], ",", 
                    "fontsize", ",", "Red"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"sign", ",", "fontsize"}], "]"}], ",", " ", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Abs", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{"\[Lambda]", ",", "0.01"}], "]"}], "]"}], ",", 
                    "fontsize"}], "]"}], " ", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"MatrixForm", "[", "ABRounded", "]"}], ",", 
                    "fontsize", ",", "Blue"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"MatrixForm", "[", "rRounded", "]"}], ",", 
                    "fontsize", ",", "Orange"}], "]"}]}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"1.5", ",", 
                    RowBox[{".4", "-", "offset1"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}]}], "}"}], 
               ",", "Black"}], "]"}]}], "\[IndentingNewLine]", 
            "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "3.2"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"ImageSize", "\[Rule]", "size"}]}], "]"}]}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], "]"}]}]}], "]"}],
    ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"slider", ",", "3.5", ",", "\"\<parameter \[Lambda]\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", "0.01", ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"OA", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "3"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "6"}], ",", 
       RowBox[{"-", "6"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "6"}], "}"}], ",", "Locator"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"OB", ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "6"}], ",", 
       RowBox[{"-", "6"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "6"}], "}"}], ",", "Locator"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"OP", ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", 
         RowBox[{"-", "3"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "6"}], ",", 
       RowBox[{"-", "6"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "6"}], "}"}], ",", "Locator"}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "Delimiter", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "findclosest", ",", "False", ",", "\"\<find closest point\>\""}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showOA", ",", "False", ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<show\>\"", ",", 
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\< \!\(\*OverscriptBox[\(\(OA\)\(\\\ \)\), \
\(\[RightVector]\)]\)\>\"", ",", "Red"}], "]"}]}], "}"}], "]"}]}], "}"}], ",",
      
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showOB", ",", "False", ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<show\>\"", ",", 
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\< \!\(\*OverscriptBox[\(OB\), \(\[RightVector]\)]\) \>\"", ",",
             
            RowBox[{"Darker", "[", "Green", "]"}]}], "]"}]}], "}"}], "]"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showAB", ",", "False", ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<show\>\"", ",", 
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\< \!\(\*OverscriptBox[\(AB\), \(\[RightVector]\)]\) \>\"", ",",
             "Blue"}], "]"}]}], "}"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showOP", ",", "True", ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<show\>\"", ",", 
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\< \!\(\*OverscriptBox[\(OP\), \(\[RightVector]\)]\) \>\"", ",",
             "Magenta"}], "]"}]}], "}"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showPX", ",", "True", ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<show\>\"", ",", 
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\< \!\(\*OverscriptBox[\(PX\), \(\[RightVector]\)]\) \>\"", ",",
             "Pink"}], "]"}]}], "}"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showOX", ",", "True", ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<show\>\"", ",", 
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\< \!\(\*OverscriptBox[\(OX\), \(\[RightVector]\)]\)\>\"", ",", 
            "Orange"}], "]"}]}], "}"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "Delimiter", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"shownormal", ",", "True", ",", "\"\<show normal\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showvectors", ",", "False", ",", "\"\<column vectors\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showequations", ",", "False", ",", "\"\<show equation\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showscalar", ",", "False", ",", "\"\<show dot product\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showdistance", ",", "True", ",", "\"\<show distance\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"imagesize", ",", "M", ",", "\"\<size\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"M", ",", "L"}], "}"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.388952484125284*^9, {3.3894643069832735`*^9, 
   3.3894643707336817`*^9}, {3.3894648405179386`*^9, 3.389464842486701*^9}, {
   3.3895357698318157`*^9, 3.389535771654437*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`findclosest$$ = 
    False, $CellContext`imagesize$$ = $CellContext`M, $CellContext`OA$$ = {1, 
    3}, $CellContext`OB$$ = {2, 1}, $CellContext`OP$$ = {
    2, -3}, $CellContext`showAB$$ = False, $CellContext`showdistance$$ = 
    True, $CellContext`showequations$$ = False, $CellContext`shownormal$$ = 
    True, $CellContext`showOA$$ = False, $CellContext`showOB$$ = 
    False, $CellContext`showOP$$ = True, $CellContext`showOX$$ = 
    True, $CellContext`showPX$$ = True, $CellContext`showscalar$$ = 
    False, $CellContext`showvectors$$ = False, $CellContext`slider$$ = 3.5, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`slider$$], 3.5, "parameter \[Lambda]"}, -10, 10, 
      0.01}, {{
       Hold[$CellContext`OA$$], {1, 3}}, {-6, -6}, {6, 6}}, {{
       Hold[$CellContext`OB$$], {2, 1}}, {-6, -6}, {6, 6}}, {{
       Hold[$CellContext`OP$$], {2, -3}}, {-6, -6}, {6, 6}}, {{
       Hold[$CellContext`findclosest$$], False, "find closest point"}, {
      False, True}}, {{
       Hold[$CellContext`showOA$$], False, 
       Row[{"show", 
         Style[
         " \!\(\*OverscriptBox[\(\(OA\)\(\\ \)\), \(\[RightVector]\)]\)", 
          RGBColor[1, 0, 0]]}]}, {False, True}}, {{
       Hold[$CellContext`showOB$$], False, 
       Row[{"show", 
         Style[" \!\(\*OverscriptBox[\(OB\), \(\[RightVector]\)]\) ", 
          RGBColor[0, 
           Rational[2, 3], 0]]}]}, {False, True}}, {{
       Hold[$CellContext`showAB$$], False, 
       Row[{"show", 
         Style[" \!\(\*OverscriptBox[\(AB\), \(\[RightVector]\)]\) ", 
          RGBColor[0, 0, 1]]}]}, {False, True}}, {{
       Hold[$CellContext`showOP$$], True, 
       Row[{"show", 
         Style[" \!\(\*OverscriptBox[\(OP\), \(\[RightVector]\)]\) ", 
          RGBColor[1, 0, 1]]}]}, {False, True}}, {{
       Hold[$CellContext`showPX$$], True, 
       Row[{"show", 
         Style[" \!\(\*OverscriptBox[\(PX\), \(\[RightVector]\)]\) ", 
          RGBColor[1, 0.5, 0.5]]}]}, {False, True}}, {{
       Hold[$CellContext`showOX$$], True, 
       Row[{"show", 
         Style[" \!\(\*OverscriptBox[\(OX\), \(\[RightVector]\)]\)", 
          RGBColor[1, 0.5, 0]]}]}, {False, True}}, {{
       Hold[$CellContext`shownormal$$], True, "show normal"}, {
      False, True}}, {{
       Hold[$CellContext`showvectors$$], False, "column vectors"}, {
      False, True}}, {{
       Hold[$CellContext`showequations$$], False, "show equation"}, {
      False, True}}, {{
       Hold[$CellContext`showscalar$$], False, "show dot product"}, {
      False, True}}, {{
       Hold[$CellContext`showdistance$$], True, "show distance"}, {
      False, True}}, {{
       Hold[$CellContext`imagesize$$], $CellContext`M, 
       "size"}, {$CellContext`M, $CellContext`L}}}, Typeset`size$$ = {
    360., {238.5, 243.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`slider$7161$$ = 
    0, $CellContext`OA$7162$$ = {0, 0}, $CellContext`OB$7163$$ = {0, 
    0}, $CellContext`OP$7164$$ = {0, 0}, $CellContext`findclosest$7165$$ = 
    False, $CellContext`showOA$7166$$ = False, $CellContext`showOB$7167$$ = 
    False, $CellContext`showAB$7168$$ = False, $CellContext`showOP$7169$$ = 
    False, $CellContext`showPX$7170$$ = False, $CellContext`showOX$7171$$ = 
    False, $CellContext`shownormal$7172$$ = 
    False, $CellContext`showvectors$7173$$ = 
    False, $CellContext`showequations$7174$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`findclosest$$ = 
        False, $CellContext`imagesize$$ = $CellContext`M, $CellContext`OA$$ = \
{1, 3}, $CellContext`OB$$ = {2, 1}, $CellContext`OP$$ = {
         2, -3}, $CellContext`showAB$$ = False, $CellContext`showdistance$$ = 
        True, $CellContext`showequations$$ = False, $CellContext`shownormal$$ = 
        True, $CellContext`showOA$$ = False, $CellContext`showOB$$ = 
        False, $CellContext`showOP$$ = True, $CellContext`showOX$$ = 
        True, $CellContext`showPX$$ = True, $CellContext`showscalar$$ = 
        False, $CellContext`showvectors$$ = False, $CellContext`slider$$ = 
        3.5}, "ControllerVariables" :> {
        Hold[$CellContext`slider$$, $CellContext`slider$7161$$, 0], 
        Hold[$CellContext`OA$$, $CellContext`OA$7162$$, {0, 0}], 
        Hold[$CellContext`OB$$, $CellContext`OB$7163$$, {0, 0}], 
        Hold[$CellContext`OP$$, $CellContext`OP$7164$$, {0, 0}], 
        Hold[$CellContext`findclosest$$, $CellContext`findclosest$7165$$, 
         False], 
        Hold[$CellContext`showOA$$, $CellContext`showOA$7166$$, False], 
        Hold[$CellContext`showOB$$, $CellContext`showOB$7167$$, False], 
        Hold[$CellContext`showAB$$, $CellContext`showAB$7168$$, False], 
        Hold[$CellContext`showOP$$, $CellContext`showOP$7169$$, False], 
        Hold[$CellContext`showPX$$, $CellContext`showPX$7170$$, False], 
        Hold[$CellContext`showOX$$, $CellContext`showOX$7171$$, False], 
        Hold[$CellContext`shownormal$$, $CellContext`shownormal$7172$$, 
         False], 
        Hold[$CellContext`showvectors$$, $CellContext`showvectors$7173$$, 
         False], 
        Hold[$CellContext`showequations$$, $CellContext`showequations$7174$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      DynamicModule[{$CellContext`\[Lambda], $CellContext`size = 
         If[$CellContext`imagesize$$ == $CellContext`L, Large, 
           Medium], $CellContext`AB, $CellContext`normAB, $CellContext`r, \
$CellContext`sign, $CellContext`fontsize, $CellContext`OBRounded, \
$CellContext`OPRounded, $CellContext`pt = {1, 
          0}, $CellContext`OARounded, $CellContext`ABRounded, \
$CellContext`rRounded, $CellContext`sol1, $CellContext`sol2, $CellContext`OQ, \
$CellContext`t, $CellContext`normal, $CellContext`parallel, \
$CellContext`scalar, $CellContext`distance, $CellContext`offset1, \
$CellContext`offset2}, {$CellContext`OBRounded, $CellContext`OARounded, \
$CellContext`ABRounded, $CellContext`rRounded, $CellContext`OPRounded} = 
         Map[Round[#, 
            0.1]& , {$CellContext`OB$$, $CellContext`OA$$, $CellContext`AB, \
$CellContext`r, $CellContext`OP$$}]; $CellContext`AB = $CellContext`OB$$ - \
$CellContext`OA$$; $CellContext`normAB = If[Norm[$CellContext`AB] != 0, 
           Norm[$CellContext`AB], 1]; $CellContext`offset1 = 
         Boole[$CellContext`showvectors$$] 0.3; $CellContext`offset2 = 
         Boole[$CellContext`showscalar$$] 
           0.2 + $CellContext`offset1; $CellContext`fontsize = 
         If[$CellContext`size == Large, 17, 12, 11]; $CellContext`sol2 = 
         Flatten[
           Solve[
           Dot[$CellContext`OA$$ + $CellContext`t $CellContext`AB - \
$CellContext`OP$$, $CellContext`AB] == 0, $CellContext`t]]; $CellContext`OQ = 
         ReplaceAll[$CellContext`OA$$ + $CellContext`t $CellContext`AB, \
$CellContext`sol2]; 
        If[$CellContext`findclosest$$, {$CellContext`r = $CellContext`OQ, \
$CellContext`\[Lambda] = 
           ReplaceAll[$CellContext`t, $CellContext`sol2]}, {$CellContext`\
\[Lambda] = $CellContext`slider$$, $CellContext`r = $CellContext`OA$$ + \
$CellContext`\[Lambda] $CellContext`AB}]; $CellContext`sign = 
         If[$CellContext`\[Lambda] >= 0, "+", "-"]; $CellContext`normal = 
         0.4 Normalize[$CellContext`OP$$ - $CellContext`OQ]; \
$CellContext`parallel = 
         Dot[{{0, 1}, {-1, 0}}, $CellContext`normal]; $CellContext`scalar = 
         Dot[$CellContext`r - $CellContext`OP$$, $CellContext`AB]; \
$CellContext`distance = Norm[$CellContext`OP$$ - $CellContext`r]; Column[{
           Graphics[{Blue, 
             PointSize[0.02], 
             Point[$CellContext`r], {Dashed, 
              Thickness[0.004], Black, 
              
              Line[{$CellContext`OA$$ - 
                50 $CellContext`AB, $CellContext`OA$$, $CellContext`OB$$, \
$CellContext`OB$$ + 50 $CellContext`AB}]}, Arrowheads -> Large, 
             Thickness[0.009], 
             If[$CellContext`showOA$$, {Red, 
               Arrow[{{0, 0}, $CellContext`OA$$}]}, {}], 
             If[$CellContext`showAB$$, {Blue, 
               
               Arrow[{$CellContext`r, $CellContext`r + $CellContext`AB}]}, \
{}], 
             If[$CellContext`showOB$$, {
               Darker[Green], 
               Arrow[{{0, 0}, $CellContext`OB$$}]}, {}], 
             If[$CellContext`showOP$$, {Magenta, 
               Arrow[{{0, 0}, $CellContext`OP$$}]}, {}], 
             If[$CellContext`showPX$$, {Pink, 
               Arrow[{$CellContext`OP$$, $CellContext`r}]}, {}], 
             If[$CellContext`showOX$$, {Orange, 
               Arrow[{{0, 0}, $CellContext`r}]}, {}], Red, 
             Text[
             "A", $CellContext`OA$$ + 
              0.5 (Dot[{{0, -1}, {1, 
                  0}}, $CellContext`AB]/$CellContext`normAB)], 
             Text[
             "B", $CellContext`OB$$ + 
              0.5 (Dot[{{0, -1}, {1, 
                  0}}, $CellContext`AB]/$CellContext`normAB)], 
             Text[
             "X", $CellContext`r + 
              0.5 (Dot[{{0, -1}, {1, 
                  0}}, $CellContext`AB]/$CellContext`normAB)], 
             Text[
             "P", $CellContext`OP$$ + 
              0.5 (Dot[{{0, -1}, {1, 
                  0}}, $CellContext`AB]/$CellContext`normAB)], {Orange, 
              PointSize[0.02], 
              Point[$CellContext`r]}, 
             If[$CellContext`shownormal$$, {Dotted, Gray, 
               Thickness[0.003], 
               
               Line[{$CellContext`OP$$, $CellContext`OQ, $CellContext`OQ + \
$CellContext`normal, $CellContext`OQ + $CellContext`normal + \
$CellContext`parallel, $CellContext`OQ + $CellContext`normal + \
$CellContext`parallel - $CellContext`normal}]}, {}], 
             If[
             Norm[$CellContext`OQ - $CellContext`r] < 0.02, {Black, Dotted, 
               Thickness[0.004], 
               
               Line[{$CellContext`OP$$, $CellContext`OQ, $CellContext`OQ + \
$CellContext`normal, $CellContext`OQ + $CellContext`normal + \
$CellContext`parallel, $CellContext`OQ + $CellContext`normal + \
$CellContext`parallel - $CellContext`normal}]}, {}]}, Axes -> True, AxesStyle -> 
            Blue, Ticks -> {
              Range[-6, 6, 1], 
              Range[-6, 6, 1]}, GridLines -> {
              Range[-6, 6, 1], 
              Range[-6, 6, 1]}, GridLinesStyle -> Dotted, 
            PlotRange -> {{-6, 6}, {-6, 6}}, ImageSize -> $CellContext`size], 
           
           Graphics[{
             If[$CellContext`showvectors$$, {
               Text[
                Style[
                 StringForm[
                 "\!\(\*OverscriptBox[\(OA\), \(\[RightVector]\)]\) = ``    ",
                   
                  MatrixForm[$CellContext`OARounded], 
                  MatrixForm[$CellContext`OBRounded]], $CellContext`fontsize, 
                 Red], {0.5, 0.85}, {-1, 0}], 
               Text[
                Style[
                 StringForm[
                 "\!\(\*OverscriptBox[\(OB\), \(\[RightVector]\)]\) = `` ", 
                  MatrixForm[$CellContext`OBRounded]], $CellContext`fontsize, 
                 
                 Darker[Green]], {1.2, 0.85}, {-1, 0}], 
               Text[
                Style[
                 StringForm[
                 "\!\(\*OverscriptBox[\(OP\), \(\[RightVector]\)]\) = `` ", 
                  MatrixForm[$CellContext`OPRounded]], $CellContext`fontsize, 
                 Magenta], {1.9, 0.85}, {-1, 0}]}, {}], 
             If[$CellContext`showscalar$$, 
              If[$CellContext`OPRounded == {0, 0}, 
               Text[
                Style[
                 StringForm["``\[CenterDot]`` = ``", 
                  Style[
                  "\!\(\*OverscriptBox[\(OX\), \(\[RightVector]\)]\)", 
                   Orange], 
                  Style[
                  "\!\(\*OverscriptBox[\(AB\), \(\[RightVector]\)]\)", Blue], 
                  
                  Round[$CellContext`scalar, 0.1]], $CellContext`fontsize + 2,
                  Black], {0.3, 0.8 - $CellContext`offset1}, {-1, 0}], 
               Text[
                Style[
                 StringForm["(``-``)\[CenterDot]`` = ``", 
                  Style[
                  "\!\(\*OverscriptBox[\(OX\), \(\[RightVector]\)]\)", 
                   Orange], 
                  Style[
                  "\!\(\*OverscriptBox[\(OP\), \(\[RightVector]\)]\)", 
                   Magenta], 
                  Style[
                  "\!\(\*OverscriptBox[\(AB\), \(\[RightVector]\)]\)", Blue], 
                  
                  Round[$CellContext`scalar, 0.1]], $CellContext`fontsize + 2,
                  Black], {0.3, 0.8 - $CellContext`offset1}, {-1, 0}]], {}], 
             If[$CellContext`showdistance$$, 
              Text[
               Style[
                StringForm["d = ``", 
                 Round[$CellContext`distance, 0.01]], $CellContext`fontsize + 
                2, Black], {0.6, 0.8 - $CellContext`offset2}, {-1, 0}], {}], 
             If[$CellContext`showequations$$, {
               Text[
                Style[
                 StringForm["`` = `` + \[Lambda] ``", 
                  Style[
                   MatrixForm[{"x", "y"}], Orange], 
                  Style[
                   MatrixForm[$CellContext`OARounded], Red], 
                  Style[
                   MatrixForm[$CellContext`ABRounded], 
                   Blue]], $CellContext`fontsize], {
                1.5, 0.85 - $CellContext`offset1}, {-1, 0}], 
               Text[
                Style[
                 StringForm["When \[Lambda] = ``", 
                  Round[$CellContext`\[Lambda], 0.01]], $CellContext`fontsize,
                  Black], {1.8, 0.6 - $CellContext`offset1}, {-1, 0}], 
               Text[
                StringForm["`` = `` `` `` `` = ``", 
                 Style[
                  MatrixForm[{"x", "y"}], $CellContext`fontsize, Orange], 
                 Style[
                  MatrixForm[$CellContext`OARounded], $CellContext`fontsize, 
                  Red], 
                 Style[$CellContext`sign, $CellContext`fontsize], 
                 Style[
                  Abs[
                   
                   Round[$CellContext`\[Lambda], 
                    0.01]], $CellContext`fontsize], 
                 Style[
                  MatrixForm[$CellContext`ABRounded], $CellContext`fontsize, 
                  Blue], 
                 Style[
                  MatrixForm[$CellContext`rRounded], $CellContext`fontsize, 
                  Orange]], {1.5, 0.4 - $CellContext`offset1}, {-1, 0}]}, 
              Black]}, PlotRange -> {{0, 3.2}, {0, 1}}, 
            ImageSize -> $CellContext`size]}]], 
      "Specifications" :> {{{$CellContext`slider$$, 3.5, 
          "parameter \[Lambda]"}, -10, 10, 0.01, ControlType -> 
         VerticalSlider, ImageSize -> Small}, 
        Delimiter, {{$CellContext`OA$$, {1, 3}}, {-6, -6}, {6, 6}, 
         ControlType -> Locator}, {{$CellContext`OB$$, {2, 1}}, {-6, -6}, {6, 
         6}, ControlType -> 
         Locator}, {{$CellContext`OP$$, {2, -3}}, {-6, -6}, {6, 6}, 
         ControlType -> Locator}, 
        Delimiter, {{$CellContext`findclosest$$, False, 
          "find closest point"}, {False, True}}, 
        Delimiter, {{$CellContext`showOA$$, False, 
          Row[{"show", 
            Style[
            " \!\(\*OverscriptBox[\(\(OA\)\(\\ \)\), \(\[RightVector]\)]\)", 
             RGBColor[1, 0, 0]]}]}, {
         False, True}}, {{$CellContext`showOB$$, False, 
          Row[{"show", 
            Style[" \!\(\*OverscriptBox[\(OB\), \(\[RightVector]\)]\) ", 
             RGBColor[0, 
              Rational[2, 3], 0]]}]}, {
         False, True}}, {{$CellContext`showAB$$, False, 
          Row[{"show", 
            Style[" \!\(\*OverscriptBox[\(AB\), \(\[RightVector]\)]\) ", 
             RGBColor[0, 0, 1]]}]}, {
         False, True}}, {{$CellContext`showOP$$, True, 
          Row[{"show", 
            Style[" \!\(\*OverscriptBox[\(OP\), \(\[RightVector]\)]\) ", 
             RGBColor[1, 0, 1]]}]}, {
         False, True}}, {{$CellContext`showPX$$, True, 
          Row[{"show", 
            Style[" \!\(\*OverscriptBox[\(PX\), \(\[RightVector]\)]\) ", 
             RGBColor[1, 0.5, 0.5]]}]}, {
         False, True}}, {{$CellContext`showOX$$, True, 
          Row[{"show", 
            Style[" \!\(\*OverscriptBox[\(OX\), \(\[RightVector]\)]\)", 
             RGBColor[1, 0.5, 0]]}]}, {False, True}}, 
        Delimiter, {{$CellContext`shownormal$$, True, "show normal"}, {
         False, True}}, {{$CellContext`showvectors$$, False, 
          "column vectors"}, {
         False, True}}, {{$CellContext`showequations$$, False, 
          "show equation"}, {
         False, True}}, {{$CellContext`showscalar$$, False, 
          "show dot product"}, {
         False, True}}, {{$CellContext`showdistance$$, True, 
          "show distance"}, {False, True}}, 
        Delimiter, {{$CellContext`imagesize$$, $CellContext`M, 
          "size"}, {$CellContext`M, $CellContext`L}}}, 
      "Options" :> {ControlPlacement -> Left, AutorunSequencing -> {1, 2, 3}},
       "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{524., {266., 271.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->49911841],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Shortest Distance between a Point and a Line in 2D",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ShortestDistanceBetweenAPointAndALineIn2D/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
ShortestDistanceBetweenAPointAndALineIn2D/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
ShortestDistanceBetweenAPointAndALineIn2D/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ShortestDistanceBetweenAPointAndALineIn2D/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
ShortestDistanceBetweenAPointAndALineIn2D/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Sergio Hannibal Mej\[IAcute]a",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Sergio+Hannibal+\
Mej%EDa"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Sergio+Hannibal+Mej%\
EDa"],
 " (Yokohama International School)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ShortestDistanceBetweenAPointAndALineIn2D"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Shortest Distance between a Point and a Line in 2D - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 242, 4, 70, "Section"],
Cell[835, 29, 32291, 781, 70, "Input"]
}, Open  ]],
Cell[33141, 813, 18039, 359, 70, "Output",
 CellID->49911841],
Cell[CellGroupData[{
Cell[51205, 1176, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[51581, 1187, 1050, 31, 70, "Text"],
Cell[52634, 1220, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[52974, 1231, 508, 16, 70, "Text"],
Cell[CellGroupData[{
Cell[53507, 1251, 829, 24, 70, "Text"],
Cell[54339, 1277, 1217, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature ZTz2Kd4ULYYhKAD@809pRa45 *)
