(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     32016,        763]
NotebookOptionsPosition[     30943,        723]
NotebookOutlinePosition[     31562,        747]
CellTagsIndexPosition[     31519,        744]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Two Points Determine a Line", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"temp", "=", 
     RowBox[{"{", 
      RowBox[{"p1", ",", "p2"}], "}"}]}], ";", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"grid", "===", "Integer"}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"p1", ",", "p2"}], "}"}], "=", 
       RowBox[{"Round", "[", "temp", "]"}]}]}], "]"}], ";", 
    RowBox[{"lineArrow", "=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"showLineArrow", "===", "True"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
         RowBox[{"Arrowheads", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".05"}], ",", ".05"}], "}"}], "]"}], ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"p1", ",", "p2"}], "}"}], ",", 
           RowBox[{"-", 
            FractionBox[
             RowBox[{"2", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"p2", "-", "p1"}], ")"}], ".", 
                 RowBox[{"(", 
                  RowBox[{"p2", "-", "p1"}], ")"}]}], ")"}], 
               RowBox[{"1", "/", "2"}]]}], "3"]}]}], "]"}]}], "}"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], "]"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Text", "@", 
         RowBox[{"Switch", "[", 
          RowBox[{"showEq", ",", "False", ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<\>\"", ",", "14"}], "]"}], ",", 
           "\[IndentingNewLine]", "True", ",", "\[IndentingNewLine]", 
           RowBox[{"Which", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"p1", "\[Equal]", "p2"}], ",", "\[IndentingNewLine]", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x", ",", "y"}], "}"}], "\[Equal]", "p1"}], "]"}],
                   ",", "14"}], "]"}], ",", 
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<.  Coinciding points; no line.\>\"", ",", "14"}], 
                 "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
              "p1", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
              "\[Equal]", 
              RowBox[{
              "p2", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"x", "\[Equal]", 
                    RowBox[{
                    "p1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}], ",", "14"}], "]"}], 
                ",", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<. \>\"", ",", "14"}], "]"}], ",", 
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<Every value of y satisfies the equation.\>\"", ",", 
                  "14"}], "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"p1", "\[NotEqual]", "p2"}], ",", "\[IndentingNewLine]", 
             
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                  "\"\< = \>\"", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"TraditionalForm", "[", 
                    RowBox[{"Switch", "[", 
                    RowBox[{"coeffs", ",", "Rational", ",", 
                    RowBox[{"Rationalize", "[", 
                    RowBox[{
                    RowBox[{"Expand", "[", 
                    RowBox[{
                    RowBox[{
                    FractionBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "p2", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    "p1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "p2", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    "p1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ")"}]], 
                    RowBox[{"(", 
                    RowBox[{"x", "-", 
                    RowBox[{
                    "p1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ")"}]}], "+", 
                    RowBox[{
                    "p1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "]"}], ",", ".0005"}], "]"}],
                     ",", "Decimal", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"(", 
                    FractionBox[
                    RowBox[{"Round", "[", 
                    RowBox[{"1000", 
                    FractionBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "p2", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    "p1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "p2", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    "p1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ")"}]]}], "]"}], "1000"], 
                    ")"}], "]"}], "x"}], "+", 
                    RowBox[{"N", "[", 
                    FractionBox[
                    RowBox[{"Round", "[", 
                    RowBox[{"1000", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "p1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    FractionBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "p2", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    "p1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "p2", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    "p1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ")"}]], " ", ")"}], 
                    RowBox[{
                    "p1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}]}], ")"}]}], "]"}], "1000"], 
                    "]"}]}]}], "]"}], "]"}], "]"}]}], "}"}], "]"}], ",", 
               "14"}], "]"}]}], "\[IndentingNewLine]", "]"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"lineArrow", ",", 
            RowBox[{"Text", "[", 
             RowBox[{"p1", ",", 
              RowBox[{"p1", "+", ".5"}], ",", 
              RowBox[{"Background", "\[Rule]", 
               RowBox[{"Lighter", "[", 
                RowBox[{"Yellow", ",", ".7"}], "]"}]}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{"p2", ",", 
              RowBox[{"p2", "-", ".5"}], ",", 
              RowBox[{"Background", "\[Rule]", 
               RowBox[{"Lighter", "[", 
                RowBox[{"Yellow", ",", ".7"}], "]"}]}]}], "]"}]}], "}"}], ",",
           
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}], ",", 
          RowBox[{"GridLines", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "5"}], ",", "5"}], "]"}], ",", 
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "5"}], ",", "5"}], "]"}]}], "}"}]}], ",", 
          RowBox[{"Axes", "\[Rule]", "True"}], ",", 
          RowBox[{"AxesOrigin", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}], ",", 
          RowBox[{"AxesStyle", "\[Rule]", "Thick"}], ",", 
          RowBox[{"BaseStyle", "\[Rule]", 
           RowBox[{"{", "14", "}"}]}], ",", 
          RowBox[{"Ticks", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "5"}], ",", "5"}], "]"}], ",", 
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "5"}], ",", "5"}], "]"}]}], "}"}]}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}]}], "}"}]}], ",", 
          RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}]}], "}"}], ",", 
      RowBox[{"ItemSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"33", ",", 
         RowBox[{"{", 
          RowBox[{"3", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "6"}], ",", 
       RowBox[{"-", "6"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "6"}], "}"}], ",", "Locator"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p2", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2"}], ",", 
         RowBox[{"-", "2"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "6"}], ",", 
       RowBox[{"-", "6"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "6"}], "}"}], ",", "Locator"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showLineArrow", ",", "True", ",", "\"\<show line\>\""}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showEq", ",", "True", ",", "\"\<show equation\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"coeffs", ",", "Rational", ",", "\"\<coefficients\>\""}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Rational", "\[Rule]", "\"\<rational\>\""}], ",", 
       RowBox[{"Decimal", "\[Rule]", "\"\<decimal\>\""}]}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"grid", ",", "Open", ",", "\"\<grid\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Open", "\[Rule]", "\"\<open\>\""}], ",", 
       RowBox[{"Integer", "\[Rule]", "\"\<integer\>\""}]}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4078846619995317`*^9, 3.407884709766074*^9}, {
   3.4078847674234314`*^9, 3.4078847730329137`*^9}, {3.407886484648713*^9, 
   3.4078865243992214`*^9}, {3.407886576540514*^9, 3.4078866879169397`*^9}, 
   3.4078867752461824`*^9, {3.4078868750287094`*^9, 3.407886963123587*^9}, {
   3.4078870078272843`*^9, 3.4078870127335973`*^9}, {3.407887415879382*^9, 
   3.4078874295045567`*^9}, {3.4078874799895782`*^9, 3.407887489427199*^9}, {
   3.4078875471154375`*^9, 3.4078875857409315`*^9}, {3.407887662804418*^9, 
   3.40788787994774*^9}, {3.4078882957629013`*^9, 3.407888309325488*^9}, {
   3.407888368575867*^9, 3.407888408341747*^9}, {3.4078884692327614`*^9, 
   3.4078884975141926`*^9}, {3.407888528686267*^9, 3.4078885308269053`*^9}, {
   3.4078898959606423`*^9, 3.407889969632989*^9}, {3.4078900440865903`*^9, 
   3.407890062196081*^9}, {3.4078900925556507`*^9, 3.4078901132901583`*^9}, {
   3.4078902086501436`*^9, 3.407890210025152*^9}, {3.407890256853577*^9, 
   3.4078902669942675`*^9}, {3.407890297353836*^9, 3.4078903187602234`*^9}, {
   3.407926810046875*^9, 3.407926910671875*^9}, {3.40792695075*^9, 
   3.40792695834375*^9}, {3.407927284984375*^9, 3.407927446984375*^9}, 
   3.4079274885*^9, {3.407927654171875*^9, 3.407927676734375*^9}, {
   3.4079278213125*^9, 3.407927822734375*^9}, {3.407934077109375*^9, 
   3.407934091796875*^9}, {3.40793413521875*^9, 3.40793413771875*^9}, {
   3.4079352233125*^9, 3.407935243453125*^9}, {3.407935277578125*^9, 
   3.407935326015625*^9}, {3.407935376640625*^9, 3.4079354125*^9}, 
   3.4079354660625*^9, 3.4079356396875*^9, 3.40793572396875*^9, {
   3.4079358421875*^9, 3.407935844703125*^9}, {3.407935930421875*^9, 
   3.40793594971875*^9}, {3.407938727859375*^9, 3.407938739390625*^9}, {
   3.407938798921875*^9, 3.4079388228125*^9}, 3.407938904328125*^9, {
   3.407938957859375*^9, 3.407938962265625*^9}, {3.407939033421875*^9, 
   3.4079390469375*^9}, {3.4079393666875*^9, 3.407939391140625*^9}, {
   3.407940008734375*^9, 3.40794007134375*^9}, {3.4079415185625*^9, 
   3.40794152496875*^9}, {3.4079417843125*^9, 3.407941795875*^9}, {
   3.407941859890625*^9, 3.407941866390625*^9}, {3.407942005625*^9, 
   3.407942041578125*^9}, {3.407942089015625*^9, 3.40794215103125*^9}, {
   3.407942255359375*^9, 3.407942255609375*^9}, {3.40794229025*^9, 
   3.407942293875*^9}, 3.40794235440625*^9, {3.40794270884375*^9, 
   3.407942765140625*^9}, {3.407944250375*^9, 3.407944432359375*^9}, {
   3.407944464546875*^9, 3.407944473*^9}, {3.40794461571875*^9, 
   3.407944632921875*^9}, {3.407944734140625*^9, 3.407944755015625*^9}, {
   3.40794478896875*^9, 3.40794480046875*^9}, {3.407945193625*^9, 
   3.407945208640625*^9}, {3.407945273609375*^9, 3.40794527509375*^9}, {
   3.40794536175*^9, 3.407945442671875*^9}, {3.4079454825*^9, 
   3.407945516421875*^9}, {3.407945583140625*^9, 3.407945585*^9}, {
   3.40794566709375*^9, 3.407945685375*^9}, {3.407945833953125*^9, 
   3.4079459368125*^9}, {3.40794650753125*^9, 3.407946679984375*^9}, {
   3.407946967953125*^9, 3.40794697878125*^9}, {3.40794703971875*^9, 
   3.407947040546875*^9}, {3.407947210109375*^9, 3.40794722840625*^9}, {
   3.407947316875*^9, 3.40794732490625*^9}, {3.40794751871875*^9, 
   3.40794752953125*^9}, {3.407947666625*^9, 3.40794767640625*^9}, {
   3.407948199125*^9, 3.40794820328125*^9}, {3.40794825990625*^9, 
   3.407948260828125*^9}, {3.407948322265625*^9, 3.407948323703125*^9}, {
   3.40794906853125*^9, 3.407949082046875*^9}, {3.407949142203125*^9, 
   3.407949193265625*^9}, {3.407949376578125*^9, 3.4079494751875*^9}, {
   3.407949546234375*^9, 3.40794955478125*^9}, 3.407949592421875*^9, {
   3.407949807125*^9, 3.4079498925*^9}, {3.407950212265625*^9, 
   3.40795026971875*^9}, {3.407950374015625*^9, 3.407950375734375*^9}, 
   3.4079505074375*^9, {3.407950826578125*^9, 3.407951005671875*^9}, {
   3.407952247828125*^9, 3.4079523454375*^9}, {3.40795242484375*^9, 
   3.407952443265625*^9}, {3.40795325765625*^9, 3.407953379515625*^9}, {
   3.407953456234375*^9, 3.407953474203125*^9}, {3.4079549454375*^9, 
   3.40795496675*^9}, {3.407955004984375*^9, 3.407955076859375*^9}, {
   3.407955358453125*^9, 3.407955440859375*^9}, {3.407955666296875*^9, 
   3.407955671125*^9}, {3.40795588184375*^9, 3.407955899640625*^9}, {
   3.40795612628125*^9, 3.407956219046875*^9}, {3.407957536703125*^9, 
   3.407957566109375*^9}, {3.40796050909375*^9, 3.407960542125*^9}, {
   3.40796081546875*^9, 3.40796082375*^9}, {3.4079610914375*^9, 
   3.4079611803125*^9}, {3.407961516671875*^9, 3.40796152075*^9}, {
   3.40796171609375*^9, 3.4079617161875*^9}, {3.407961861703125*^9, 
   3.40796186184375*^9}, {3.40796200521875*^9, 3.40796200634375*^9}, {
   3.407962087984375*^9, 3.4079621471875*^9}, {3.407962449359375*^9, 
   3.407962459625*^9}, {3.407962637671875*^9, 3.407962658046875*^9}, {
   3.4079626988125*^9, 3.407962777421875*^9}, {3.4079634709869556`*^9, 
   3.4079634899433556`*^9}, {3.407963567550514*^9, 3.407963706152585*^9}, {
   3.407963754067114*^9, 3.4079637797277966`*^9}, {3.4079644548932915`*^9, 
   3.4079644841317825`*^9}, {3.4079665260135183`*^9, 3.407966539827344*^9}, {
   3.407966570111501*^9, 3.4079666227103004`*^9}, {3.4079667061558104`*^9, 
   3.4079667312050896`*^9}, {3.4084775360047407`*^9, 3.408477641489115*^9}, {
   3.4084777881609907`*^9, 3.408477824582865*^9}, {3.4084778708172407`*^9, 
   3.4084779331609907`*^9}, {3.4084779693797407`*^9, 3.408477989020365*^9}, {
   3.4084780308484907`*^9, 3.408478039989115*^9}, {3.4084783221922407`*^9, 
   3.408478380957865*^9}, {3.4084942774865437`*^9, 3.408494278908428*^9}, {
   3.408585251640625*^9, 3.408585279546875*^9}, {3.408585336828125*^9, 
   3.408585451515625*^9}, {3.408585493296875*^9, 3.408585610890625*^9}, {
   3.408585647375*^9, 3.408585872484375*^9}},
 CellID->50358071]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`coeffs$$ = Rational, $CellContext`grid$$ = 
    Open, $CellContext`p1$$ = {2, 
    2}, $CellContext`p2$$ = {-2, -2}, $CellContext`showEq$$ = 
    True, $CellContext`showLineArrow$$ = True, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`p1$$], {2, 2}}, {-6, -6}, {6, 6}}, {{
       Hold[$CellContext`p2$$], {-2, -2}}, {-6, -6}, {6, 6}}, {{
       Hold[$CellContext`showLineArrow$$], True, "show line"}, {
      True, False}}, {{
       Hold[$CellContext`showEq$$], True, "show equation"}, {True, False}}, {{
      
       Hold[$CellContext`coeffs$$], Rational, "coefficients"}, {
      Rational -> "rational", Decimal -> "decimal"}}, {{
       Hold[$CellContext`grid$$], Open, "grid"}, {
      Open -> "open", Integer -> "integer"}}}, Typeset`size$$ = {
    415., {215., 220.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`p1$2320839$$ = {0, 
    0}, $CellContext`p2$2320840$$ = {0, 
    0}, $CellContext`showLineArrow$2320841$$ = 
    False, $CellContext`showEq$2320842$$ = 
    False, $CellContext`coeffs$2320843$$ = 
    False, $CellContext`grid$2320844$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`coeffs$$ = Rational, $CellContext`grid$$ = 
        Open, $CellContext`p1$$ = {2, 
         2}, $CellContext`p2$$ = {-2, -2}, $CellContext`showEq$$ = 
        True, $CellContext`showLineArrow$$ = True}, 
      "ControllerVariables" :> {
        Hold[$CellContext`p1$$, $CellContext`p1$2320839$$, {0, 0}], 
        Hold[$CellContext`p2$$, $CellContext`p2$2320840$$, {0, 0}], 
        Hold[$CellContext`showLineArrow$$, \
$CellContext`showLineArrow$2320841$$, False], 
        Hold[$CellContext`showEq$$, $CellContext`showEq$2320842$$, False], 
        Hold[$CellContext`coeffs$$, $CellContext`coeffs$2320843$$, False], 
        Hold[$CellContext`grid$$, $CellContext`grid$2320844$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`temp = {$CellContext`p1$$, $CellContext`p2$$}; 
       If[$CellContext`grid$$ === 
         Integer, {$CellContext`p1$$, $CellContext`p2$$} = 
         Round[$CellContext`temp]]; $CellContext`lineArrow = 
        If[$CellContext`showLineArrow$$ === True, {
           Thickness[0.01], 
           RGBColor[1, 0.47, 0], 
           Arrowheads[{-0.05, 0.05}], 
           
           Arrow[{$CellContext`p1$$, $CellContext`p2$$}, -(
             2 (Dot[$CellContext`p2$$ - $CellContext`p1$$, $CellContext`p2$$ - \
$CellContext`p1$$]^(1/2)/3))]}, 
          Point[{0, 0}]]; Column[{
          Text[
           Switch[$CellContext`showEq$$, False, 
            Style["", 14], True, 
            Which[$CellContext`p1$$ == $CellContext`p2$$, 
             Row[{
               Style[
                
                TraditionalForm[{$CellContext`x, $CellContext`y} == \
$CellContext`p1$$], 14], 
               Style[".  Coinciding points; no line.", 14]}], 
             Part[$CellContext`p1$$, 1] == Part[$CellContext`p2$$, 1], 
             Row[{
               Style[
                TraditionalForm[$CellContext`x == Part[$CellContext`p1$$, 1]],
                 14], 
               Style[". ", 14], 
               Style[
               "Every value of y satisfies the equation.", 
                14]}], $CellContext`p1$$ != $CellContext`p2$$, 
             Style[
              Row[{
                Style["y", Italic], " = ", 
                Style[
                 TraditionalForm[
                  Switch[$CellContext`coeffs$$, Rational, 
                   Rationalize[
                    
                    Expand[((Part[$CellContext`p2$$, 2] - 
                    Part[$CellContext`p1$$, 2])/(Part[$CellContext`p2$$, 1] - 
                    Part[$CellContext`p1$$, 1])) ($CellContext`x - 
                    Part[$CellContext`p1$$, 1]) + Part[$CellContext`p1$$, 2]],
                     0.0005], Decimal, 
                   N[Round[
                    1000 ((Part[$CellContext`p2$$, 2] - 
                    Part[$CellContext`p1$$, 2])/(Part[$CellContext`p2$$, 1] - 
                    Part[$CellContext`p1$$, 1]))]/1000] $CellContext`x + 
                   N[Round[
                    1000 (Part[$CellContext`p1$$, 2] - ((
                    Part[$CellContext`p2$$, 2] - Part[$CellContext`p1$$, 2])/(
                    Part[$CellContext`p2$$, 1] - Part[$CellContext`p1$$, 1])) 
                    Part[$CellContext`p1$$, 1])]/1000]]]]}], 14]]]], 
          Graphics[{$CellContext`lineArrow, 
            
            Text[$CellContext`p1$$, $CellContext`p1$$ + 0.5, Background -> 
             Lighter[Yellow, 0.7]], 
            
            Text[$CellContext`p2$$, $CellContext`p2$$ - 0.5, Background -> 
             Lighter[Yellow, 0.7]]}, PlotRange -> {{-6, 6}, {-6, 6}}, 
           GridLines -> {
             Range[-5, 5], 
             Range[-5, 5]}, Axes -> True, AxesOrigin -> {0, 0}, AxesStyle -> 
           Thick, BaseStyle -> {14}, Ticks -> {
             Range[-5, 5], 
             Range[-5, 5]}, AxesLabel -> {
             Style["x", Italic], 
             Style["y", Italic]}, AspectRatio -> Automatic, 
           ImageSize -> {400, 400}]}, ItemSize -> {33, {3, Automatic}}, 
         Alignment -> Top]), 
      "Specifications" :> {{{$CellContext`p1$$, {2, 2}}, {-6, -6}, {6, 6}, 
         ControlType -> Locator}, {{$CellContext`p2$$, {-2, -2}}, {-6, -6}, {
         6, 6}, ControlType -> 
         Locator}, {{$CellContext`showLineArrow$$, True, "show line"}, {
         True, False}, ControlPlacement -> 
         Left}, {{$CellContext`showEq$$, True, "show equation"}, {
         True, False}, ControlPlacement -> 
         Left}, {{$CellContext`coeffs$$, Rational, "coefficients"}, {
         Rational -> "rational", Decimal -> "decimal"}, ControlPlacement -> 
         Left}, {{$CellContext`grid$$, Open, "grid"}, {
         Open -> "open", Integer -> "integer"}, ControlPlacement -> Left}}, 
      "Options" :> {
       TrackedSymbols -> Manipulate, AutorunSequencing -> {1, 2}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{617., {242., 247.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->437304096],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Two Points Determine a Line",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TwoPointsDetermineALine/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TwoPointsDetermineALine/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TwoPointsDetermineALine/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TwoPointsDetermineALine/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TwoPointsDetermineALine/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["George Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=George+Brown"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=George+Brown"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TwoPointsDetermineALine"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Two Points Determine a Line - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 219, 4, 70, "Section"],
Cell[812, 29, 18996, 417, 70, "Input",
 CellID->50358071]
}, Open  ]],
Cell[19823, 449, 6940, 141, 70, "Output",
 CellID->437304096],
Cell[CellGroupData[{
Cell[26788, 594, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[27164, 605, 919, 24, 70, "Text"],
Cell[28086, 631, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[28426, 642, 433, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[28884, 660, 829, 24, 70, "Text"],
Cell[29716, 686, 1199, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature US4fZy4XykCSXDTw3RMMorBh *)
