(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     10991,        316]
NotebookOptionsPosition[      9961,        277]
NotebookOutlinePosition[     10567,        301]
CellTagsIndexPosition[     10524,        298]
WindowTitle->Conic Section - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Conic Section", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ParametricPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Cos", "[", "\[Phi]", "]"}], "*", 
        RowBox[{"p", "/", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"e", "*", 
            RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{"Sin", "[", "\[Phi]", "]"}], "*", 
        RowBox[{"p", "/", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"e", "*", 
            RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}], ")"}]}]}]}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"\[Phi]", ",", "0", ",", 
       RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"450", ",", "450"}], "}"}]}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "25"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "5"}]}], "]"}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", "1", ",", "\"\<semilatus rectum\>\""}], "}"}], ",", 
     "0", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"e", ",", "1", ",", "\"\<eccentricity\>\""}], "}"}], ",", "0", 
     ",", "2", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.455385321236868*^9, 3.455385440097868*^9}, {
   3.4553854799178677`*^9, 3.455385495826868*^9}, {3.4553855293378677`*^9, 
   3.455385585227868*^9}, {3.4553856609508677`*^9, 3.455385822647868*^9}, {
   3.4553862564148684`*^9, 3.455386264257868*^9}, {3.4553862955028677`*^9, 
   3.455386375005868*^9}, {3.455704619146453*^9, 3.455704623629746*^9}, {
   3.455704680982422*^9, 3.455704758097518*^9}, {3.455704935634649*^9, 
   3.455704937832513*^9}, {3.455705421965772*^9, 3.455705441381994*^9}, {
   3.455705475854106*^9, 3.4557054770277*^9}, 3.455705892014607*^9, {
   3.455706517001362*^9, 3.45570651950368*^9}, {3.455706709388153*^9, 
   3.455706783474377*^9}, {3.455706814595286*^9, 3.455706817560359*^9}, {
   3.455907373535348*^9, 3.455907400611055*^9}, {3.4559077684568357`*^9, 
   3.4559078094579353`*^9}, {3.455908224116397*^9, 3.4559082359835835`*^9}, 
   3.4559736395584464`*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`e$$ = 1, $CellContext`p$$ = 1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`p$$], 1, "semilatus rectum"}, 0, 1}, {{
       Hold[$CellContext`e$$], 1, "eccentricity"}, 0, 2}}, Typeset`size$$ = {
    450., {223., 227.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`p$1990$$ = 
    0, $CellContext`e$1991$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`e$$ = 1, $CellContext`p$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`p$$, $CellContext`p$1990$$, 0], 
        Hold[$CellContext`e$$, $CellContext`e$1991$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      ParametricPlot[{
        Cos[$CellContext`\[Phi]] ($CellContext`p$$/(
          1 + $CellContext`e$$ Cos[$CellContext`\[Phi]])), 
         Sin[$CellContext`\[Phi]] ($CellContext`p$$/(
          1 + $CellContext`e$$ 
           Cos[$CellContext`\[Phi]]))}, {$CellContext`\[Phi], 0, 2 Pi}, 
        AxesLabel -> {
          Style["x", Italic], 
          Style["y", Italic]}, ImageSize -> {450, 450}, ImagePadding -> 25, 
        PlotRange -> 5], 
      "Specifications" :> {{{$CellContext`p$$, 1, "semilatus rectum"}, 0, 1, 
         Appearance -> "Labeled"}, {{$CellContext`e$$, 1, "eccentricity"}, 0, 
         2, Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{495., {281., 286.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->146795502],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Conic Section",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSection/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ConicSection/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ConicSection/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSection/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ConicSection/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Roberto Contrisciani",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Roberto+\
Contrisciani"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Roberto+Contrisciani"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ConicSection"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Conic Section - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[603, 23, 205, 4, 70, "Section"],
Cell[811, 29, 2715, 65, 70, "Input"]
}, Open  ]],
Cell[3541, 97, 2281, 47, 70, "Output",
 CellID->146795502],
Cell[CellGroupData[{
Cell[5847, 148, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[6223, 159, 850, 24, 70, "Text"],
Cell[7076, 185, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[7416, 196, 454, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[7895, 214, 847, 24, 70, "Text"],
Cell[8745, 240, 1188, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature ZRz9ozXVxiRGNCTUPCQHVHeU *)
