(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     62033,       1465]
NotebookOptionsPosition[     60938,       1424]
NotebookOutlinePosition[     61550,       1448]
CellTagsIndexPosition[     61507,       1445]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Conic Section Curves", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"DynamicModule", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"h", ",", "k", ",", "type", ",", "label"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"h", ":=", 
       RowBox[{"center", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"k", ":=", 
       RowBox[{"center", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"type", ":=", 
       RowBox[{"Evaluate", "[", 
        RowBox[{"Switch", "[", 
         RowBox[{"conictype", ",", "\[IndentingNewLine]", "ellipse", ",", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "h"}], ")"}], "^", "2"}], "/", 
             RowBox[{"a", "^", "2"}]}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "k"}], ")"}], "^", "2"}], "/", 
             RowBox[{"b", "^", "2"}]}]}], "\[Equal]", "1"}], ",", 
          "\[IndentingNewLine]", "parabolax", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"y", "-", "k"}], ")"}], "^", "2"}], "\[Equal]", 
           RowBox[{"4", " ", "c", 
            RowBox[{"(", 
             RowBox[{"x", "-", "h"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
          "parabolay", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"x", "-", "h"}], ")"}], "^", "2"}], "\[Equal]", 
           RowBox[{"4", " ", "c", 
            RowBox[{"(", 
             RowBox[{"y", "-", "k"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
          "hyperbolax", ",", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "h"}], ")"}], "^", "2"}], "/", 
             RowBox[{"a", "^", "2"}]}], "-", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "k"}], ")"}], "^", "2"}], "/", 
             RowBox[{"b", "^", "2"}]}]}], "\[Equal]", "1"}], ",", 
          "\[IndentingNewLine]", "hyperbolay", ",", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"x", "-", "h"}], ")"}], "^", "2"}]}], "/", 
             RowBox[{"a", "^", "2"}]}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "k"}], ")"}], "^", "2"}], "/", 
             RowBox[{"b", "^", "2"}]}]}], "\[Equal]", "1"}]}], 
         "\[IndentingNewLine]", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"label", ":=", 
       RowBox[{"Evaluate", "[", 
        RowBox[{"Switch", "[", 
         RowBox[{"conictype", ",", "\[IndentingNewLine]", "ellipse", ",", 
          RowBox[{"HoldForm", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"x", "-", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
               "2"}], "/", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], "^", "2"}]}], 
             "+", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"y", "-", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
               "2"}], "/", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], "^", "2"}]}]}], 
            "=", "1"}], "]"}], ",", "\[IndentingNewLine]", "parabolax", ",", 
          RowBox[{"HoldForm", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"y", "-", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
             "2"}], "=", 
            RowBox[{"4", " ", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<c\>\"", ",", "Italic"}], "]"}], 
             RowBox[{"(", 
              RowBox[{"x", "-", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}]}], ")"}]}]}], 
           "]"}], ",", "\[IndentingNewLine]", "parabolay", ",", 
          RowBox[{"HoldForm", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"x", "-", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
             "2"}], "=", 
            RowBox[{"4", " ", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<c\>\"", ",", "Italic"}], "]"}], 
             RowBox[{"(", 
              RowBox[{"y", "-", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}]}], ")"}]}]}], 
           "]"}], ",", "\[IndentingNewLine]", "hyperbolax", ",", 
          RowBox[{"HoldForm", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"x", "-", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
               "2"}], "/", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], "^", "2"}]}], 
             "-", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"y", "-", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
               "2"}], "/", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], "^", "2"}]}]}], 
            "=", "1"}], "]"}], ",", "\[IndentingNewLine]", "hyperbolay", ",", 
          
          RowBox[{"HoldForm", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"-", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"x", "-", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
                "2"}]}], "/", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], "^", "2"}]}], 
             "+", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"y", "-", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
               "2"}], "/", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], "^", "2"}]}]}], 
            "=", "1"}], "]"}]}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"a", "\[Equal]", "b"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"b", "\[Equal]", "6"}], ",", 
          RowBox[{"b", "=", 
           RowBox[{
            RowBox[{"b", ".."}], "01"}]}], ",", 
          RowBox[{"b", "=", 
           RowBox[{"b", "+", ".01"}]}]}], "]"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
       RowBox[{"Grid", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Text", "@", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"TraditionalForm", "[", 
                RowBox[{"Evaluate", "[", "label", "]"}], "]"}], ",", "20", 
               ",", 
               RowBox[{"Darker", "[", 
                RowBox[{"Blue", ",", "0.3"}], "]"}]}], "]"}]}], "}"}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"conictype", "===", "parabolax"}], "||", 
              RowBox[{"conictype", "===", "parabolay"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", "c", ",", "\"\<;    \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", "h", ",", "\"\<,  \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", "k"}], "}"}], "]"}], ",", "Gray"}], 
                "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", "a", ",", "\"\<,  \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", "b", ",", "\"\<;    \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", "h", ",", "\"\<,  \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", "k"}], "}"}], "]"}], ",", "Gray"}], 
                "]"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"Dynamic", "[", 
             RowBox[{"Show", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"ContourPlot", "[", 
                RowBox[{
                 RowBox[{"Evaluate", "[", "type", "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x", ",", 
                   RowBox[{"-", "7"}], ",", "7"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"y", ",", 
                   RowBox[{"-", "7"}], ",", "7"}], "}"}], ",", 
                 RowBox[{"MaxRecursion", "\[Rule]", "2"}], ",", 
                 RowBox[{"ImagePadding", "\[Rule]", "0"}]}], "]"}], ",", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"showasymp", "&&", 
                  RowBox[{"Or", "[", 
                   RowBox[{
                    RowBox[{"conictype", "===", "hyperbolax"}], ",", 
                    RowBox[{"conictype", "===", "hyperbolay"}]}], "]"}]}], 
                 ",", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Dashing", "[", "Medium", "]"}], ",", "Orange", 
                    ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1000", "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"1000", "b"}], "+", "k"}]}], "}"}]}], "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"1000", "b"}], "+", "k"}]}], "}"}]}], "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1000", "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "b"}], "+", "k"}]}], "}"}]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "b"}], "+", "k"}]}], "}"}]}], 
                    "}"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{"showcenter", ",", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{"{", 
                   RowBox[{"Red", ",", 
                    RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], "]"}]}], "}"}], "]"}], 
                 ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{"showfoci", ",", "\[IndentingNewLine]", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{"{", 
                   RowBox[{"Purple", ",", 
                    RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Switch", "[", 
                    RowBox[{
                    "conictype", ",", "\[IndentingNewLine]", "hyperbolax", 
                    ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}], "+", "h"}], ",", "k"}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "k"}], "}"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    "hyperbolay", ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}], "+", "k"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"h", ",", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                     "}"}], "]"}], ",", "\[IndentingNewLine]", "ellipse", ",",
                     
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"a", "\[GreaterEqual]", "b"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}], "+", "h"}], ",", "k"}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "k"}], "}"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}], "+", "k"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"h", ",", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                     "}"}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
                    "parabolax", ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"c", "+", "h"}], ",", "k"}], "}"}], "]"}], ",", 
                    "parabolay", ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"h", ",", 
                    RowBox[{"c", "+", "k"}]}], "}"}], "]"}]}], "]"}]}], 
                   "\[IndentingNewLine]", "}"}], "]"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{"showdirect", ",", "\[IndentingNewLine]", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.2"}], "]"}], ",", 
                    RowBox[{"Dashing", "[", "Medium", "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Switch", "[", 
                    RowBox[{
                    "conictype", ",", "\[IndentingNewLine]", "hyperbolax", 
                    ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"a", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"a", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "10"}], "}"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "10"}], "}"}]}], "}"}]}], "}"}], "]"}], ",", 
                    "\[IndentingNewLine]", "hyperbolay", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"b", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"b", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                     "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                     "}"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    "ellipse", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"a", "\[GreaterEqual]", "b"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"a", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"a", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "10"}], "}"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "10"}], "}"}]}], "}"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"b", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"b", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                     "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                     "}"}]}], "}"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "parabolax", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"h", "-", "c"}], ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"h", "-", "c"}], ",", "10"}], "}"}]}], "}"}], 
                    "]"}], ",", "parabolay", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{"k", "-", "c"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", 
                    RowBox[{"k", "-", "c"}]}], "}"}]}], "}"}], "]"}]}], 
                    "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"Frame", "\[Rule]", "False"}], ",", 
               RowBox[{"Axes", "\[Rule]", "True"}], ",", 
               RowBox[{"PlotRange", "\[Rule]", "7"}], ",", 
               RowBox[{"GridLines", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", " ", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "7"}], ",", "7", ",", "1"}], "}"}]}], "]"}], 
                  ",", 
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "7"}], ",", "7", ",", "1"}], "}"}]}], 
                   "]"}]}], "}"}]}], ",", 
               RowBox[{"BaseStyle", "\[Rule]", 
                RowBox[{"{", "12", "}"}]}], ",", 
               RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
               RowBox[{"PlotRangePadding", "\[Rule]", ".05"}]}], "]"}], "]"}],
             "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Checkbox", "[", 
                RowBox[{
                 RowBox[{"Dynamic", "[", "showcenter", "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"False", ",", "True"}], "}"}]}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\< center         \>\"", ",", "\"\<Label\>\""}], 
                "]"}], ",", 
               RowBox[{"Checkbox", "[", 
                RowBox[{
                 RowBox[{"Dynamic", "[", "showfoci", "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"False", ",", "True"}], "}"}]}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\< foci            \>\"", ",", "\"\<Label\>\""}], 
                "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"Checkbox", "[", 
                RowBox[{
                 RowBox[{"Dynamic", "[", "showdirect", "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"False", ",", "True"}], "}"}]}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\< directrices       \>\"", ",", "\"\<Label\>\""}],
                 "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"Checkbox", "[", 
                RowBox[{
                 RowBox[{"Dynamic", "[", "showasymp", "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"False", ",", "True"}], "}"}]}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"conictype", "===", "hyperbolax"}], "||", 
                    RowBox[{"conictype", "===", "hyperbolay"}]}], ",", 
                   "\"\< asymptotes\>\"", ",", "\"\< --------\>\""}], "]"}], 
                 ",", "\"\<Label\>\""}], "]"}]}], "}"}], "]"}], "}"}]}], 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], ",", 
         RowBox[{"Alignment", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Center", ",", "Top"}], "}"}]}], ",", 
         RowBox[{"ItemSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<Rows\>\"", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"4", ",", "0.5", ",", "Automatic"}], "}"}]}], "}"}]}]}], 
        "]"}], "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", "]"}],
    ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"conictype", ",", "ellipse", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"ellipse", "\[Rule]", "\"\<ellipse\>\""}], ",", 
       RowBox[{"parabolax", "\[Rule]", "\"\<parabola-x\>\""}], ",", 
       RowBox[{"parabolay", "\[Rule]", "\"\<parabola-y\>\""}], ",", 
       RowBox[{"hyperbolax", "\[Rule]", "\"\<hyperbola-x\>\""}], ",", 
       RowBox[{"hyperbolay", "\[Rule]", "\"\<hyperbola-y\>\""}]}], "}"}], ",",
      
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Vertical\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "2", ",", "\"\<                             a\>\""}], 
      "}"}], ",", "0.01", ",", "6", ",", 
     RowBox[{"ControlType", "\[Rule]", "Slider"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"Not", "[", 
       RowBox[{"Or", "[", 
        RowBox[{
         RowBox[{"conictype", "===", "parabolax"}], ",", 
         RowBox[{"conictype", "===", "parabolay"}]}], "]"}], "]"}]}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "3"}], "}"}], ",", "0.01", ",", "6", ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"Not", "[", 
       RowBox[{"Or", "[", 
        RowBox[{
         RowBox[{"conictype", "===", "parabolax"}], ",", 
         RowBox[{"conictype", "===", "parabolay"}]}], "]"}], "]"}]}], ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Right"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<\>\"", ",", "25"}], "]"}], ",", "\[IndentingNewLine]", 
   "\"\<            (h, k)\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"center", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Slider2D"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "1"}], "}"}], ",", 
     RowBox[{"-", "6"}], ",", "6", ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"Or", "[", 
       RowBox[{
        RowBox[{"conictype", "===", "parabolax"}], ",", 
        RowBox[{"conictype", "===", "parabolay"}]}], "]"}]}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Right"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showcenter", ",", "False", ",", "\"\<center\>\""}], "}"}], ",",
      
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showfoci", ",", "False", ",", "\"\<foci\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showdirect", ",", "False", ",", "\"\<directrices\>\""}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showasymp", ",", "False", ",", "\"\<asymptotes\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "1", ",", "2", ",", "3", ",", "4", ",", "6", ",", "7", ",", "8"}], 
     "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{
     "a", ",", "b", ",", "c", ",", "center", ",", "conictype", ",", 
      "showcenter", ",", "showfoci", ",", "showdirect", ",", "showasymp"}], 
     "}"}]}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, 3.36260098856371*^9, 3.36260126833601*^9, {
   3.36260151174601*^9, 3.36260153283634*^9}, 3.36260193103893*^9, {
   3.36260216251177*^9, 3.3626021639939*^9}, {3.36907620174715*^9, 
   3.3690762027586*^9}, {3.36926335601601*^9, 3.36926335903035*^9}, {
   3.373827855440267*^9, 3.37382792032142*^9}, {3.383670013459155*^9, 
   3.383670013865405*^9}, {3.383841380140625*^9, 3.38384138571875*^9}, {
   3.383841472703125*^9, 3.38384148721875*^9}, {3.383841518125*^9, 
   3.383841518390625*^9}, {3.3838415545625*^9, 3.3838415910625*^9}, {
   3.383841639890625*^9, 3.383841682921875*^9}, {3.383841716984375*^9, 
   3.38384176596875*^9}, {3.383841806640625*^9, 3.383841845484375*^9}, {
   3.383841878703125*^9, 3.383841879171875*^9}, {3.38686209596875*^9, 
   3.386862100859375*^9}, {3.38686217790625*^9, 3.386862237703125*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 2, $CellContext`b$$ = 
    3, $CellContext`c$$ = 1, $CellContext`center$$ = {0, 
    0}, $CellContext`conictype$$ = $CellContext`ellipse, \
$CellContext`showasymp$$ = False, $CellContext`showcenter$$ = 
    False, $CellContext`showdirect$$ = False, $CellContext`showfoci$$ = False,
     Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`conictype$$], $CellContext`ellipse, 
       ""}, {$CellContext`ellipse -> "ellipse", $CellContext`parabolax -> 
       "parabola-x", $CellContext`parabolay -> 
       "parabola-y", $CellContext`hyperbolax -> 
       "hyperbola-x", $CellContext`hyperbolay -> "hyperbola-y"}}, {{
       Hold[$CellContext`a$$], 2, "                             a"}, 0.01, 
      6}, {{
       Hold[$CellContext`b$$], 3}, 0.01, 6}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["", 25]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold["            (h, k)"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`center$$], {0, 0}, ""}, {-2, -2}, {2, 2}}, {{
       Hold[$CellContext`c$$], 1}, -6, 6}, {{
       Hold[$CellContext`showcenter$$], False, "center"}, {True, False}}, {{
       Hold[$CellContext`showfoci$$], False, "foci"}, {True, False}}, {{
       Hold[$CellContext`showdirect$$], False, "directrices"}, {
      True, False}}, {{
       Hold[$CellContext`showasymp$$], False, "asymptotes"}, {True, False}}}, 
    Typeset`size$$ = {350., {214., 219.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`conictype$109121$$ = False, $CellContext`a$109122$$ = 
    0, $CellContext`b$109123$$ = 0, $CellContext`center$109124$$ = {0, 
    0}, $CellContext`c$109125$$ = 0, $CellContext`showcenter$109126$$ = 
    False, $CellContext`showfoci$109127$$ = 
    False, $CellContext`showdirect$109128$$ = 
    False, $CellContext`showasymp$109129$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 2, $CellContext`b$$ = 
        3, $CellContext`c$$ = 
        1, $CellContext`center$$ = {0, 
         0}, $CellContext`conictype$$ = $CellContext`ellipse, \
$CellContext`showasymp$$ = False, $CellContext`showcenter$$ = 
        False, $CellContext`showdirect$$ = False, $CellContext`showfoci$$ = 
        False}, "ControllerVariables" :> {
        Hold[$CellContext`conictype$$, $CellContext`conictype$109121$$, 
         False], 
        Hold[$CellContext`a$$, $CellContext`a$109122$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$109123$$, 0], 
        Hold[$CellContext`center$$, $CellContext`center$109124$$, {0, 0}], 
        Hold[$CellContext`c$$, $CellContext`c$109125$$, 0], 
        Hold[$CellContext`showcenter$$, $CellContext`showcenter$109126$$, 
         False], 
        Hold[$CellContext`showfoci$$, $CellContext`showfoci$109127$$, False], 
        
        Hold[$CellContext`showdirect$$, $CellContext`showdirect$109128$$, 
         False], 
        Hold[$CellContext`showasymp$$, $CellContext`showasymp$109129$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      DynamicModule[{$CellContext`h, $CellContext`k, $CellContext`type, \
$CellContext`label}, $CellContext`h := 
         Part[$CellContext`center$$, 1]; $CellContext`k := 
         Part[$CellContext`center$$, 2]; $CellContext`type := Evaluate[
           
           Switch[$CellContext`conictype$$, $CellContext`ellipse, \
($CellContext`x - $CellContext`h)^2/$CellContext`a$$^2 + ($CellContext`y - \
$CellContext`k)^2/$CellContext`b$$^2 == 
            1, $CellContext`parabolax, ($CellContext`y - $CellContext`k)^2 == \
(4 $CellContext`c$$) ($CellContext`x - $CellContext`h), \
$CellContext`parabolay, ($CellContext`x - $CellContext`h)^2 == (
              4 $CellContext`c$$) ($CellContext`y - $CellContext`k), \
$CellContext`hyperbolax, ($CellContext`x - \
$CellContext`h)^2/$CellContext`a$$^2 - ($CellContext`y - \
$CellContext`k)^2/$CellContext`b$$^2 == 
            1, $CellContext`hyperbolay, (-($CellContext`x - \
$CellContext`h)^2)/$CellContext`a$$^2 + ($CellContext`y - \
$CellContext`k)^2/$CellContext`b$$^2 == 1]]; $CellContext`label := Evaluate[
           Switch[$CellContext`conictype$$, $CellContext`ellipse, 
            
            HoldForm[($CellContext`x - Style["h", Italic])^2/
               Style["a", Italic]^2 + ($CellContext`y - Style["k", Italic])^2/
               Style["b", Italic]^2 = 1], $CellContext`parabolax, 
            
            HoldForm[($CellContext`y - Style["k", Italic])^2 = (4 
               Style["c", Italic]) ($CellContext`x - Style[
               "h", Italic])], $CellContext`parabolay, 
            
            HoldForm[($CellContext`x - Style["h", Italic])^2 = (4 
               Style["c", Italic]) ($CellContext`y - Style[
               "k", Italic])], $CellContext`hyperbolax, 
            
            HoldForm[($CellContext`x - Style["h", Italic])^2/
               Style["a", Italic]^2 - ($CellContext`y - Style["k", Italic])^2/
              Style["b", Italic]^2 = 1], $CellContext`hyperbolay, 
            
            HoldForm[(-($CellContext`x - Style["h", Italic])^2)/
               Style["a", Italic]^2 + ($CellContext`y - Style["k", Italic])^2/
               Style["b", Italic]^2 = 1]]]; 
        If[$CellContext`a$$ == $CellContext`b$$, 
          
          If[$CellContext`b$$ == 6, $CellContext`b$$ = 
           Repeated[$CellContext`b$$] 1, $CellContext`b$$ = $CellContext`b$$ + 
            0.01]]; Deploy[
          Grid[{{
             Text[
              Style[
               TraditionalForm[
                Evaluate[$CellContext`label]], 20, 
               Darker[Blue, 0.3]]]}, 
            If[
             
             Or[$CellContext`conictype$$ === $CellContext`parabolax, \
$CellContext`conictype$$ === $CellContext`parabolay], {
              Text[
               Style[
                Row[{
                  Style["c", Italic], " = ", $CellContext`c$$, ";    ", 
                  Style["h", Italic], " = ", $CellContext`h, ",  ", 
                  Style["k", Italic], " = ", $CellContext`k}], Gray]]}, {
              Text[
               Style[
                Row[{
                  Style["a", Italic], " = ", $CellContext`a$$, ",  ", 
                  Style["b", Italic], " = ", $CellContext`b$$, ";    ", 
                  Style["h", Italic], " = ", $CellContext`h, ",  ", 
                  Style["k", Italic], " = ", $CellContext`k}], Gray]]}], {
             Dynamic[
              Show[
               ContourPlot[
                
                Evaluate[$CellContext`type], {$CellContext`x, -7, 
                 7}, {$CellContext`y, -7, 7}, MaxRecursion -> 2, ImagePadding -> 
                0], 
               If[
                And[$CellContext`showasymp$$, 
                 
                 Or[$CellContext`conictype$$ === $CellContext`hyperbolax, \
$CellContext`conictype$$ === $CellContext`hyperbolay]], 
                Graphics[{
                  Dashing[Medium], Orange, 
                  
                  Line[{{{$CellContext`h, $CellContext`k}, {
                    1000 $CellContext`a$$ + $CellContext`h, 
                    1000 $CellContext`b$$ + $CellContext`k}}, \
{{$CellContext`h, $CellContext`k}, {(-1000) $CellContext`a$$ + $CellContext`h,
                     1000 $CellContext`b$$ + $CellContext`k}}, \
{{$CellContext`h, $CellContext`k}, {
                    1000 $CellContext`a$$ + $CellContext`h, (-1000) \
$CellContext`b$$ + $CellContext`k}}, {{$CellContext`h, $CellContext`k}, \
{(-1000) $CellContext`a$$ + $CellContext`h, (-1000) $CellContext`b$$ + \
$CellContext`k}}}]}], {}], 
               If[$CellContext`showcenter$$, 
                Graphics[{Red, 
                  PointSize[0.02], 
                  Point[{$CellContext`h, $CellContext`k}]}], {}], 
               If[$CellContext`showfoci$$, 
                Graphics[{Purple, 
                  PointSize[0.02], 
                  Switch[$CellContext`conictype$$, $CellContext`hyperbolax, 
                   
                   Point[{{
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h, $CellContext`k}, {-
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h, $CellContext`k}}], $CellContext`hyperbolay, 
                   
                   Point[{{$CellContext`h, 
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k}, {$CellContext`h, -
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k}}], $CellContext`ellipse, 
                   If[$CellContext`a$$ >= $CellContext`b$$, 
                    
                    Point[{{
                    Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h, $CellContext`k}, {-
                    Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h, $CellContext`k}}], 
                    
                    Point[{{$CellContext`h, 
                    Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k}, {$CellContext`h, -
                    Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k}}]], $CellContext`parabolax, 
                   
                   Point[{$CellContext`c$$ + $CellContext`h, \
$CellContext`k}], $CellContext`parabolay, 
                   
                   Point[{$CellContext`h, $CellContext`c$$ + \
$CellContext`k}]]}], {}], 
               If[$CellContext`showdirect$$, 
                Graphics[{
                  Darker[Green, 0.2], 
                  Dashing[Medium], 
                  Switch[$CellContext`conictype$$, $CellContext`hyperbolax, 
                   
                   Line[{{{(-$CellContext`a$$^2)/
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h, -10}, {(-$CellContext`a$$^2)/
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h, 10}}, {{$CellContext`a$$^2/
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h, -10}, {$CellContext`a$$^2/
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h, 10}}}], $CellContext`hyperbolay, 
                   
                   Line[{{{-10, (-$CellContext`b$$^2)/
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k}, {10, (-$CellContext`b$$^2)/
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k}}, {{-10, $CellContext`b$$^2/
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k}, {10, $CellContext`b$$^2/
                    Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k}}}], $CellContext`ellipse, 
                   If[$CellContext`a$$ >= $CellContext`b$$, 
                    
                    Line[{{{(-$CellContext`a$$^2)/
                    Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h, -10}, {(-$CellContext`a$$^2)/
                    Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h, 10}}, {{$CellContext`a$$^2/
                    Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h, -10}, {$CellContext`a$$^2/
                    Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h, 10}}}], 
                    
                    Line[{{{-10, (-$CellContext`b$$^2)/
                    Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k}, {10, (-$CellContext`b$$^2)/
                    Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k}}, {{-10, $CellContext`b$$^2/
                    Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k}, {10, $CellContext`b$$^2/
                    Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k}}}]], $CellContext`parabolax, 
                   
                   Line[{{$CellContext`h - $CellContext`c$$, -10}, \
{$CellContext`h - $CellContext`c$$, 10}}], $CellContext`parabolay, 
                   
                   Line[{{-10, $CellContext`k - $CellContext`c$$}, {
                    10, $CellContext`k - $CellContext`c$$}}]]}], {}], Frame -> 
               False, Axes -> True, PlotRange -> 7, GridLines -> {
                 Table[{$CellContext`n, 
                   Lighter[Gray, 0.7]}, {$CellContext`n, -7, 7, 1}], 
                 Table[{$CellContext`n, 
                   Lighter[Gray, 0.7]}, {$CellContext`n, -7, 7, 1}]}, 
               BaseStyle -> {12}, ImageSize -> 350, PlotRangePadding -> 
               0.05]]}, {
             Row[{
               Checkbox[
                Dynamic[$CellContext`showcenter$$], {False, True}], 
               Style[" center         ", "Label"], 
               Checkbox[
                Dynamic[$CellContext`showfoci$$], {False, True}], 
               Style[" foci            ", "Label"], 
               Checkbox[
                Dynamic[$CellContext`showdirect$$], {False, True}], 
               Style[" directrices       ", "Label"], 
               Checkbox[
                Dynamic[$CellContext`showasymp$$], {False, True}], 
               Style[
                If[
                 
                 Or[$CellContext`conictype$$ === $CellContext`hyperbolax, \
$CellContext`conictype$$ === $CellContext`hyperbolay], " asymptotes", 
                 " --------"], "Label"]}]}}, Alignment -> {Center, Top}, 
           ItemSize -> {"Rows" -> {4, 0.5, Automatic}}]]], 
      "Specifications" :> {{{$CellContext`conictype$$, $CellContext`ellipse, 
          ""}, {$CellContext`ellipse -> "ellipse", $CellContext`parabolax -> 
          "parabola-x", $CellContext`parabolay -> 
          "parabola-y", $CellContext`hyperbolax -> 
          "hyperbola-x", $CellContext`hyperbolay -> "hyperbola-y"}, 
         ControlType -> RadioButtonBar, ControlPlacement -> Left, Appearance -> 
         "Vertical"}, {{$CellContext`a$$, 2, 
          "                             a"}, 0.01, 6, ControlType -> Slider, 
         ImageSize -> 350, Enabled -> Dynamic[
           Not[
            
            Or[$CellContext`conictype$$ === $CellContext`parabolax, \
$CellContext`conictype$$ === $CellContext`parabolay]]], ControlPlacement -> 
         Top}, {{$CellContext`b$$, 3}, 0.01, 6, Enabled -> Dynamic[
           Not[
            
            Or[$CellContext`conictype$$ === $CellContext`parabolax, \
$CellContext`conictype$$ === $CellContext`parabolay]]], ControlType -> 
         VerticalSlider, ControlPlacement -> Right}, "", "", "", 
        Style["", 25], 
        "            (h, k)", {{$CellContext`center$$, {0, 0}, 
          ""}, {-2, -2}, {2, 2}, ControlType -> Slider2D, ControlPlacement -> 
         Left}, {{$CellContext`c$$, 1}, -6, 6, Enabled -> Dynamic[
           
           Or[$CellContext`conictype$$ === $CellContext`parabolax, \
$CellContext`conictype$$ === $CellContext`parabolay]], ControlPlacement -> 
         Right, ControlType -> 
         VerticalSlider}, {{$CellContext`showcenter$$, False, "center"}, {
         True, False}, ControlPlacement -> Left, ControlType -> 
         None}, {{$CellContext`showfoci$$, False, "foci"}, {True, False}, 
         ControlPlacement -> Left, ControlType -> 
         None}, {{$CellContext`showdirect$$, False, "directrices"}, {
         True, False}, ControlPlacement -> Left, ControlType -> 
         None}, {{$CellContext`showasymp$$, False, "asymptotes"}, {
         True, False}, ControlPlacement -> Left, ControlType -> None}}, 
      "Options" :> {
       ControlPlacement -> Left, AutorunSequencing -> {1, 2, 3, 4, 6, 7, 8}, 
        TrackedSymbols :> {$CellContext`a$$, $CellContext`b$$, \
$CellContext`c$$, $CellContext`center$$, $CellContext`conictype$$, \
$CellContext`showcenter$$, $CellContext`showfoci$$, \
$CellContext`showdirect$$, $CellContext`showasymp$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{522., {257., 262.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->315752566],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Conic Section Curves",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSectionCurves/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ConicSectionCurves/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ConicSectionCurves/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSectionCurves/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ConicSectionCurves/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->297918864],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ConicSectionCurves"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Conic Section Curves - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 212, 4, 70, "Section"],
Cell[805, 29, 39243, 931, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[40063, 963, 16803, 329, 70, "Output",
 CellID->315752566],
Cell[CellGroupData[{
Cell[56891, 1296, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[57267, 1307, 887, 24, 70, "Text"],
Cell[58157, 1333, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[58497, 1344, 362, 13, 70, "Text",
 CellID->297918864],
Cell[CellGroupData[{
Cell[58884, 1361, 829, 24, 70, "Text"],
Cell[59716, 1387, 1194, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature MS4YZ@eITcx#sDp0Nixa7YF7 *)
