(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     66712,       1645]
NotebookOptionsPosition[     65507,       1600]
NotebookOutlinePosition[     66136,       1624]
CellTagsIndexPosition[     66093,       1621]
WindowTitle->Conic Sections: Equations and Graphs - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Conic Sections: Equations and Graphs", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "h", ",", "k", ",", "type", ",", "label", ",", "label2", ",", " ", 
       "label3", ",", " ", "label4"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"h", "=", 
       RowBox[{"Rationalize", "[", 
        RowBox[{"center", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      
      RowBox[{"k", "=", 
       RowBox[{"Rationalize", "[", 
        RowBox[{"center", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"type", "=", 
       RowBox[{"Evaluate", "[", 
        RowBox[{"Switch", "[", 
         RowBox[{"conictype", ",", "\[IndentingNewLine]", "ellipse", ",", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "h"}], ")"}], "^", "2"}], "/", 
             RowBox[{"a", "^", "2"}]}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "k"}], ")"}], "^", "2"}], "/", 
             RowBox[{"b", "^", "2"}]}]}], "\[Equal]", "1"}], ",", 
          "\[IndentingNewLine]", "parabolax", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"y", "-", "k"}], ")"}], "^", "2"}], "\[Equal]", 
           RowBox[{"4", " ", "p", 
            RowBox[{"(", 
             RowBox[{"x", "-", "h"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
          "parabolay", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"x", "-", "h"}], ")"}], "^", "2"}], "\[Equal]", 
           RowBox[{"4", " ", "p", 
            RowBox[{"(", 
             RowBox[{"y", "-", "k"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
          "hyperbolax", ",", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "h"}], ")"}], "^", "2"}], "/", 
             RowBox[{"a", "^", "2"}]}], "-", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "k"}], ")"}], "^", "2"}], "/", 
             RowBox[{"b", "^", "2"}]}]}], "\[Equal]", "1"}], ",", 
          "\[IndentingNewLine]", "hyperbolay", ",", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"x", "-", "h"}], ")"}], "^", "2"}]}], "/", 
             RowBox[{"a", "^", "2"}]}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "k"}], ")"}], "^", "2"}], "/", 
             RowBox[{"b", "^", "2"}]}]}], "\[Equal]", "1"}]}], 
         "\[IndentingNewLine]", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"label", "=", 
       RowBox[{"Evaluate", "[", 
        RowBox[{"Switch", "[", 
         RowBox[{"conictype", ",", "\[IndentingNewLine]", "ellipse", ",", 
          RowBox[{"HoldForm", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
              "2"}], "/", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], "^", "2"}]}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
              "2"}], "/", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], "^", "2"}]}]}], 
           "]"}], ",", "\[IndentingNewLine]", "parabolax", ",", 
          RowBox[{"HoldForm", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"y", "-", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
            "2"}], "]"}], ",", "\[IndentingNewLine]", "parabolay", ",", 
          RowBox[{"HoldForm", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"x", "-", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
            "2"}], "]"}], ",", "\[IndentingNewLine]", "hyperbolax", ",", 
          RowBox[{"HoldForm", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
              "2"}], "/", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], "^", "2"}]}], "-", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
              "2"}], "/", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], "^", "2"}]}]}], 
           "]"}], ",", "\[IndentingNewLine]", "hyperbolay", ",", 
          RowBox[{"HoldForm", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
              "2"}], "/", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], "^", "2"}]}], "-", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
              "2"}], "/", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], "^", "2"}]}]}], 
           "]"}]}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"label2", "=", 
       RowBox[{"Evaluate", "[", 
        RowBox[{"Switch", "[", 
         RowBox[{
         "conictype", ",", "\[IndentingNewLine]", "ellipse", ",", "1", ",", 
          "\[IndentingNewLine]", "parabolax", ",", 
          RowBox[{"HoldForm", "[", 
           RowBox[{"\"\<4\>\"", " ", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<p\>\"", ",", "Italic"}], "]"}], 
            RowBox[{"(", 
             RowBox[{"x", "-", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}]}], ")"}]}], "]"}], 
          ",", "\[IndentingNewLine]", "parabolay", ",", 
          RowBox[{"HoldForm", "[", 
           RowBox[{"\"\<4\>\"", " ", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<p\>\"", ",", "Italic"}], "]"}], 
            RowBox[{"(", 
             RowBox[{"y", "-", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}]}], ")"}]}], "]"}], 
          ",", "\[IndentingNewLine]", "hyperbolax", ",", "1", ",", 
          "\[IndentingNewLine]", "hyperbolay", ",", "1"}], 
         "\[IndentingNewLine]", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"label3", "=", 
       RowBox[{"Evaluate", "[", 
        RowBox[{"Switch", "[", 
         RowBox[{"conictype", ",", "\[IndentingNewLine]", "ellipse", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "-", "h"}], 
               ")"}], "/", "a"}], ")"}], "^", "2"}], "+", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], "-", "k"}], 
              ")"}], "^", "2"}], "/", 
            RowBox[{
             RowBox[{"(", "b", ")"}], "^", "2"}]}]}], ",", 
          "\[IndentingNewLine]", "parabolax", ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], "-", "k"}], ")"}], 
           "^", "2"}], ",", "\[IndentingNewLine]", "parabolay", ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "-", "h"}], ")"}], 
           "^", "2"}], ",", "\[IndentingNewLine]", "hyperbolax", ",", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "/", "a"}], ")"}], "^", "2"}], " ", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "-", "h"}], 
              ")"}], "^", "2"}]}], "-", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "/", "b"}], ")"}], "^", "2"}], " ", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], "-", "k"}], 
              ")"}], "^", "2"}]}]}], ",", "\[IndentingNewLine]", "hyperbolay",
           ",", 
          RowBox[{
           RowBox[{
            RowBox[{"-", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "-", "h"}], 
               ")"}], "^", "2"}]}], "/", 
            RowBox[{"a", "^", "2"}]}], "+", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], "-", "k"}], 
              ")"}], "^", "2"}], "/", 
            RowBox[{"b", "^", "2"}]}]}]}], "\[IndentingNewLine]", "]"}], 
        "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"label4", "=", 
       RowBox[{"Evaluate", "[", 
        RowBox[{"Switch", "[", 
         RowBox[{
         "conictype", ",", "\[IndentingNewLine]", "ellipse", ",", "1", ",", 
          "\[IndentingNewLine]", "parabolax", ",", 
          RowBox[{"4", "p", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "-", "h"}], 
            ")"}]}], ",", "\[IndentingNewLine]", "parabolay", ",", 
          RowBox[{"4", " ", "p", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], "-", "k"}], 
            ")"}]}], ",", "\[IndentingNewLine]", "hyperbolax", ",", "1", ",", 
          "\[IndentingNewLine]", "hyperbolay", ",", "1"}], 
         "\[IndentingNewLine]", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"conictype", "===", "ellipse"}], "||", 
         RowBox[{"conictype", "===", "hyperbolax"}], " ", "||", 
         RowBox[{"conictype", "===", "hyperbolay"}]}], ",", 
        RowBox[{"showdirect", "=", "False"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"conictype", "===", "ellipse"}], "||", 
         RowBox[{"conictype", "===", "parabolax"}], " ", "||", 
         RowBox[{"conictype", "===", "parabolay"}]}], ",", 
        RowBox[{"showasymp", "=", "False"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Show", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ContourPlot", "[", 
         RowBox[{
          RowBox[{"Evaluate", "[", "type", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "7"}], ",", "7"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "7"}], ",", "7"}], "}"}], ",", 
          RowBox[{"MaxRecursion", "\[Rule]", "2"}], ",", 
          RowBox[{"ImagePadding", "\[Rule]", "0"}]}], "]"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"showasymp", "&&", 
           RowBox[{"Or", "[", 
            RowBox[{
             RowBox[{"conictype", "===", "hyperbolax"}], ",", 
             RowBox[{"conictype", "===", "hyperbolay"}]}], "]"}]}], ",", 
          RowBox[{"Graphics", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Dashing", "[", "Medium", "]"}], ",", "Orange", ",", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"h", ",", "k"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"1000", "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"1000", "b"}], "+", "k"}]}], "}"}]}], "}"}], ",", 
                
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"h", ",", "k"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"1000", "b"}], "+", "k"}]}], "}"}]}], "}"}], ",", 
                
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"h", ",", "k"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"1000", "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "b"}], "+", "k"}]}], "}"}]}], 
                 "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"h", ",", "k"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "b"}], "+", "k"}]}], "}"}]}], 
                 "}"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{"showcenter", ",", 
          RowBox[{"Graphics", "[", 
           RowBox[{"{", 
            RowBox[{"Red", ",", 
             RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{"h", ",", "k"}], "}"}], "]"}]}], "}"}], "]"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{"showfoci", ",", "\[IndentingNewLine]", 
          RowBox[{"Graphics", "[", 
           RowBox[{"{", 
            RowBox[{"Purple", ",", 
             RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Switch", "[", 
              RowBox[{
              "conictype", ",", "\[IndentingNewLine]", "hyperbolax", ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}], "+", "h"}], ",", "k"}], 
                   "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "k"}], "}"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
               "hyperbolay", ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"h", ",", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}], "+", "k"}]}], "}"}], 
                  ",", 
                  RowBox[{"{", 
                   RowBox[{"h", ",", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                  "}"}], "]"}], ",", "\[IndentingNewLine]", "ellipse", ",", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"a", "\[GreaterEqual]", "b"}], ",", 
                 RowBox[{"Point", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}], "+", "h"}], ",", "k"}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "k"}], "}"}]}], "}"}], "]"}], ",", 
                 RowBox[{"Point", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}], "+", "k"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"h", ",", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                    "}"}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
               "parabolax", ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"p", "+", "h"}], ",", "k"}], "}"}], "]"}], ",", 
               "parabolay", ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"h", ",", 
                  RowBox[{"p", "+", "k"}]}], "}"}], "]"}]}], "]"}]}], 
            "\[IndentingNewLine]", "}"}], "]"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{"showdirect", ",", "\[IndentingNewLine]", 
          RowBox[{"Graphics", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Darker", "[", 
              RowBox[{"Green", ",", "0.2"}], "]"}], ",", 
             RowBox[{"Dashing", "[", "Medium", "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Switch", "[", 
              RowBox[{
              "conictype", ",", "\[IndentingNewLine]", "hyperbolax", ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"a", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"a", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "10"}], "}"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "10"}], "}"}]}], "}"}]}], "}"}], "]"}], ",", 
               "\[IndentingNewLine]", "hyperbolay", ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"b", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"b", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                    "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "+", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                    "}"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
               "ellipse", ",", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"a", "\[GreaterEqual]", "b"}], ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"a", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"a", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "10"}], "}"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"a", "^", "2"}], "-", 
                    RowBox[{"b", "^", "2"}]}], "]"}]}], "+", "h"}], ",", 
                    "10"}], "}"}]}], "}"}]}], "}"}], "]"}], ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"b", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"b", "^", "2"}]}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                     "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"b", "^", "2"}], "-", 
                    RowBox[{"a", "^", "2"}]}], "]"}]}], "+", "k"}]}], "}"}]}],
                     "}"}]}], "}"}], "]"}]}], "]"}], ",", 
               "\[IndentingNewLine]", "parabolax", ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"h", "-", "p"}], ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"h", "-", "p"}], ",", "10"}], "}"}]}], "}"}], 
                "]"}], ",", "parabolay", ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{"k", "-", "p"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"10", ",", 
                    RowBox[{"k", "-", "p"}]}], "}"}]}], "}"}], "]"}]}], 
              "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"Graphics", "[", 
         RowBox[{"Tooltip", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{"h", ",", "k"}], "}"}], "]"}], "}"}], ",", 
           RowBox[{"TraditionalForm", "[", 
            RowBox[{"{", 
             RowBox[{"h", ",", "k"}], "}"}], "]"}]}], "]"}], "]"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Frame", "\[Rule]", "False"}], ",", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", "7"}], ",", 
        RowBox[{"GridLines", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"n", " ", ",", 
               RowBox[{"Lighter", "[", 
                RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"n", ",", 
               RowBox[{"-", "7"}], ",", "7", ",", "1"}], "}"}]}], "]"}], ",", 
           
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"n", ",", 
               RowBox[{"Lighter", "[", 
                RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"n", ",", 
               RowBox[{"-", "7"}], ",", "7", ",", "1"}], "}"}]}], "]"}]}], 
          "}"}]}], ",", 
        RowBox[{"BaseStyle", "\[Rule]", 
         RowBox[{"{", "12", "}"}]}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"465", ",", "400"}], "}"}]}], ",", 
        RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", 
         RowBox[{"Grid", "[", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Text", "@", 
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"Evaluate", "[", "label", "]"}], "]"}], ",", "14", 
                  ",", 
                  RowBox[{"Darker", "[", 
                   RowBox[{"Blue", ",", "0.3"}], "]"}]}], "]"}]}], ",", 
               RowBox[{"Text", "@", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<=\>\"", ",", "14", ",", 
                  RowBox[{"Darker", "[", 
                   RowBox[{"Blue", ",", "0.3"}], "]"}]}], "]"}]}], ",", 
               RowBox[{"Text", "@", 
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"Evaluate", "[", "label2", "]"}], "]"}], ",", "14",
                   ",", 
                  RowBox[{"Darker", "[", 
                   RowBox[{"Blue", ",", "0.3"}], "]"}]}], "]"}]}]}], "}"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Text", "@", 
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"Evaluate", "[", "label3", "]"}], "]"}], ",", "14",
                   ",", 
                  RowBox[{"Darker", "[", 
                   RowBox[{"Blue", ",", " ", "0.3"}], "]"}]}], "]"}]}], ",", 
               RowBox[{"Text", "@", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<=\>\"", ",", "14", ",", 
                  RowBox[{"Darker", "[", 
                   RowBox[{"Blue", ",", "0.3"}], "]"}]}], "]"}]}], ",", 
               RowBox[{"Text", "@", 
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"Evaluate", "[", "label4", "]"}], "]"}], ",", "14",
                   ",", 
                  RowBox[{"Darker", "[", 
                   RowBox[{"Blue", ",", " ", "0.3"}], "]"}]}], "]"}]}]}], 
              "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}]}], "]"}]}]}],
     "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Control", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"a", ",", "2", ",", "\"\<a\>\""}], "}"}], ",", 
          RowBox[{"1", "/", "5"}], ",", "6", ",", 
          RowBox[{"1", "/", "10"}], ",", 
          RowBox[{"ControlType", "\[Rule]", "Slider"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
          RowBox[{"Enabled", "\[Rule]", 
           RowBox[{"Not", "[", 
            RowBox[{"Or", "[", 
             RowBox[{
              RowBox[{"conictype", "===", "parabolax"}], ",", 
              RowBox[{"conictype", "===", "parabolay"}]}], "]"}], "]"}]}], 
          ",", 
          RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], "]"}], ",", 
       RowBox[{"Control", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"b", ",", "3", ",", "\"\<b\>\""}], "}"}], ",", 
          RowBox[{"1", "/", "5"}], ",", "6", ",", 
          RowBox[{"1", "/", "10"}], ",", 
          RowBox[{"ControlType", "\[Rule]", "Slider"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
          RowBox[{"Enabled", "\[Rule]", 
           RowBox[{"Not", "[", 
            RowBox[{"Or", "[", 
             RowBox[{
              RowBox[{"conictype", "===", "parabolax"}], ",", 
              RowBox[{"conictype", "===", "parabolay"}]}], "]"}], "]"}]}], 
          ",", 
          RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], "]"}], ",", 
       RowBox[{"Control", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"p", ",", "1", ",", "\"\<p\>\""}], "}"}], ",", 
          RowBox[{"-", "6"}], ",", "6", ",", 
          RowBox[{"1", "/", "16"}], ",", 
          RowBox[{"ControlType", "\[Rule]", "Slider"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
          RowBox[{"Enabled", "\[Rule]", 
           RowBox[{"Or", "[", 
            RowBox[{
             RowBox[{"conictype", "===", "parabolax"}], ",", 
             RowBox[{"conictype", "===", "parabolay"}]}], "]"}]}], ",", 
          RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], "]"}]}], 
      "}"}], ",", 
     RowBox[{"Spacer", "[", "5", "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"conictype", ",", "hyperbolax", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"ellipse", "\[Rule]", "\"\<ellipse\>\""}], ",", 
       RowBox[{"parabolax", "\[Rule]", "\"\<parabola-x\>\""}], ",", 
       RowBox[{"parabolay", "\[Rule]", "\"\<parabola-y\>\""}], ",", 
       RowBox[{"hyperbolax", "\[Rule]", "\"\<hyperbola-x\>\""}], ",", 
       RowBox[{"hyperbolay", "\[Rule]", "\"\<hyperbola-y\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Vertical\>\""}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"center", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "21"}], "/", "4"}], ",", 
       RowBox[{
        RowBox[{"-", "21"}], "/", "4"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"21", "/", "4"}], ",", 
       RowBox[{"21", "/", "4"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "/", "4"}], ",", 
       RowBox[{"1", "/", "4"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Locator"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showfoci", ",", "True", ",", "\"\<foci\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Checkbox"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showcenter", ",", "True", ",", "\"\<center\>\""}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Checkbox"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showdirect", ",", "False", ",", "\"\<directrix\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Checkbox"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", " ", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"Or", "[", 
       RowBox[{
        RowBox[{"conictype", "===", "parabolax"}], ",", 
        RowBox[{"conictype", "===", "parabolay"}]}], "]"}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showasymp", ",", "True", ",", "\"\<asymptotes\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Checkbox"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"Or", "[", 
       RowBox[{
        RowBox[{"conictype", "===", "hyperbolax"}], ",", 
        RowBox[{"conictype", "===", "hyperbolay"}]}], "]"}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Top"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "4", ",", "1", ",", "2", ",", " ", "5", ",", "6", ",", "7", ",", "9"}], 
     "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{
     "a", ",", "b", ",", "p", ",", "center", ",", "conictype", ",", 
      "showcenter", ",", "showfoci", ",", "showdirect", ",", "showasymp"}], 
     "}"}]}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4579662664808903`*^9, 3.4579664129975405`*^9}, {
   3.4579664461998606`*^9, 3.457966479550195*^9}, {3.4579688735865746`*^9, 
   3.4579688973729534`*^9}, {3.4579845742536106`*^9, 
   3.4579845748475094`*^9}, {3.4579846788273325`*^9, 3.457984689531416*^9}, {
   3.457984725394004*^9, 3.457984769960497*^9}, {3.4579848399355164`*^9, 
   3.457984872641571*^9}, 3.457985085679121*^9},
 CellID->89791530]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 2, $CellContext`b$$ = 
    3, $CellContext`center$$ = {0, 
    0}, $CellContext`conictype$$ = $CellContext`hyperbolax, $CellContext`p$$ =
     1, $CellContext`showasymp$$ = True, $CellContext`showcenter$$ = 
    True, $CellContext`showdirect$$ = False, $CellContext`showfoci$$ = True, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 2, "a"}, 
      Rational[1, 5], 6, 
      Rational[1, 10]}, {{
       Hold[$CellContext`b$$], 3, "b"}, 
      Rational[1, 5], 6, 
      Rational[1, 10]}, {{
       Hold[$CellContext`p$$], 1, "p"}, -6, 6, 
      Rational[1, 16]}, {
      Hold[
       Row[{
         Manipulate`Place[1], 
         Manipulate`Place[2], 
         Manipulate`Place[3]}, 
        Spacer[5]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`conictype$$], $CellContext`hyperbolax, 
       ""}, {$CellContext`ellipse -> "ellipse", $CellContext`parabolax -> 
       "parabola-x", $CellContext`parabolay -> 
       "parabola-y", $CellContext`hyperbolax -> 
       "hyperbola-x", $CellContext`hyperbolay -> "hyperbola-y"}}, {{
       Hold[$CellContext`center$$], {0, 0}, ""}, {
       Rational[-21, 4], 
       Rational[-21, 4]}, {
       Rational[21, 4], 
       Rational[21, 4]}, {
       Rational[1, 4], 
       Rational[1, 4]}}, {{
       Hold[$CellContext`showfoci$$], True, "foci"}, {False, True}}, {{
       Hold[$CellContext`showcenter$$], True, "center"}, {False, True}}, {{
       Hold[$CellContext`showdirect$$], False, "directrix"}, {False, True}}, {{
       Hold[$CellContext`showasymp$$], True, "asymptotes"}, {False, True}}}, 
    Typeset`size$$ = {465., {197., 203.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True, $CellContext`a$1719$$ =
     0, $CellContext`b$1720$$ = 0, $CellContext`p$1721$$ = 
    0, $CellContext`conictype$1722$$ = False, $CellContext`center$1723$$ = {0,
     0}, $CellContext`showfoci$1724$$ = 
    False, $CellContext`showcenter$1725$$ = 
    False, $CellContext`showdirect$1726$$ = 
    False, $CellContext`showasymp$1727$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 2, $CellContext`b$$ = 
        3, $CellContext`center$$ = {0, 
         0}, $CellContext`conictype$$ = $CellContext`hyperbolax, \
$CellContext`p$$ = 1, $CellContext`showasymp$$ = 
        True, $CellContext`showcenter$$ = True, $CellContext`showdirect$$ = 
        False, $CellContext`showfoci$$ = True}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$1719$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$1720$$, 0], 
        Hold[$CellContext`p$$, $CellContext`p$1721$$, 0], 
        Hold[$CellContext`conictype$$, $CellContext`conictype$1722$$, False], 
        
        Hold[$CellContext`center$$, $CellContext`center$1723$$, {0, 0}], 
        Hold[$CellContext`showfoci$$, $CellContext`showfoci$1724$$, False], 
        Hold[$CellContext`showcenter$$, $CellContext`showcenter$1725$$, 
         False], 
        Hold[$CellContext`showdirect$$, $CellContext`showdirect$1726$$, 
         False], 
        Hold[$CellContext`showasymp$$, $CellContext`showasymp$1727$$, False]},
       "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`h$, $CellContext`k$, $CellContext`type$, \
$CellContext`label$, $CellContext`label2$, $CellContext`label3$, \
$CellContext`label4$}, $CellContext`h$ = Rationalize[
           Part[$CellContext`center$$, 1]]; $CellContext`k$ = Rationalize[
           Part[$CellContext`center$$, 2]]; $CellContext`type$ = Evaluate[
           
           Switch[$CellContext`conictype$$, $CellContext`ellipse, \
($CellContext`x - $CellContext`h$)^2/$CellContext`a$$^2 + ($CellContext`y - \
$CellContext`k$)^2/$CellContext`b$$^2 == 
            1, $CellContext`parabolax, ($CellContext`y - $CellContext`k$)^2 == 
            4 $CellContext`p$$ ($CellContext`x - $CellContext`h$), \
$CellContext`parabolay, ($CellContext`x - $CellContext`h$)^2 == 
            4 $CellContext`p$$ ($CellContext`y - $CellContext`k$), \
$CellContext`hyperbolax, ($CellContext`x - \
$CellContext`h$)^2/$CellContext`a$$^2 - ($CellContext`y - \
$CellContext`k$)^2/$CellContext`b$$^2 == 
            1, $CellContext`hyperbolay, (-($CellContext`x - \
$CellContext`h$)^2)/$CellContext`a$$^2 + ($CellContext`y - \
$CellContext`k$)^2/$CellContext`b$$^2 == 1]]; $CellContext`label$ = Evaluate[
           Switch[$CellContext`conictype$$, $CellContext`ellipse, 
            
            HoldForm[($CellContext`x - Style["h", Italic])^2/
              Style["a", Italic]^2 + ($CellContext`y - Style["k", Italic])^2/
              Style["b", Italic]^2], $CellContext`parabolax, 
            
            HoldForm[($CellContext`y - Style[
              "k", Italic])^2], $CellContext`parabolay, 
            
            HoldForm[($CellContext`x - Style[
              "h", Italic])^2], $CellContext`hyperbolax, 
            
            HoldForm[($CellContext`x - Style["h", Italic])^2/
              Style["a", Italic]^2 - ($CellContext`y - Style["k", Italic])^2/
             Style["b", Italic]^2], $CellContext`hyperbolay, 
            
            HoldForm[($CellContext`y - Style["k", Italic])^2/
              Style["b", Italic]^2 - ($CellContext`x - Style["h", Italic])^2/
             Style["a", Italic]^2]]]; $CellContext`label2$ = Evaluate[
           
           Switch[$CellContext`conictype$$, $CellContext`ellipse, 
            1, $CellContext`parabolax, 
            HoldForm[
            "4" Style["p", Italic] ($CellContext`x - Style[
              "h", Italic])], $CellContext`parabolay, 
            HoldForm[
            "4" Style["p", Italic] ($CellContext`y - Style[
              "k", Italic])], $CellContext`hyperbolax, 
            1, $CellContext`hyperbolay, 1]]; $CellContext`label3$ = Evaluate[
           Switch[$CellContext`conictype$$, $CellContext`ellipse, ((
               Style["x", Italic] - $CellContext`h$)/$CellContext`a$$)^2 + (
               Style["y", 
                 Italic] - $CellContext`k$)^2/$CellContext`b$$^2, \
$CellContext`parabolax, (
             Style["y", 
               Italic] - $CellContext`k$)^2, $CellContext`parabolay, (
             Style["x", 
               Italic] - $CellContext`h$)^2, $CellContext`hyperbolax, (
               1/$CellContext`a$$)^2 (
               Style["x", Italic] - $CellContext`h$)^2 - (
              1/$CellContext`b$$)^2 (
              Style["y", 
                Italic] - $CellContext`k$)^2, $CellContext`hyperbolay, (-(
                Style["x", 
                  Italic] - $CellContext`h$)^2)/$CellContext`a$$^2 + (
               Style["y", 
                 Italic] - $CellContext`k$)^2/$CellContext`b$$^2]]; \
$CellContext`label4$ = Evaluate[
           
           Switch[$CellContext`conictype$$, $CellContext`ellipse, 
            1, $CellContext`parabolax, 
            4 $CellContext`p$$ (
             Style["x", Italic] - $CellContext`h$), $CellContext`parabolay, 
            4 $CellContext`p$$ (
             Style["y", Italic] - $CellContext`k$), $CellContext`hyperbolax, 
            1, $CellContext`hyperbolay, 1]]; If[
          
          Or[$CellContext`conictype$$ === $CellContext`ellipse, \
$CellContext`conictype$$ === $CellContext`hyperbolax, \
$CellContext`conictype$$ === $CellContext`hyperbolay], \
$CellContext`showdirect$$ = False]; If[
          
          Or[$CellContext`conictype$$ === $CellContext`ellipse, \
$CellContext`conictype$$ === $CellContext`parabolax, $CellContext`conictype$$ === \
$CellContext`parabolay], $CellContext`showasymp$$ = False]; Show[
          ContourPlot[
           
           Evaluate[$CellContext`type$], {$CellContext`x, -7, 
            7}, {$CellContext`y, -7, 7}, MaxRecursion -> 2, ImagePadding -> 
           0], 
          If[
           And[$CellContext`showasymp$$, 
            
            Or[$CellContext`conictype$$ === $CellContext`hyperbolax, \
$CellContext`conictype$$ === $CellContext`hyperbolay]], 
           Graphics[{
             Dashing[Medium], Orange, 
             
             Line[{{{$CellContext`h$, $CellContext`k$}, {
                1000 $CellContext`a$$ + $CellContext`h$, 
                 
                 1000 $CellContext`b$$ + $CellContext`k$}}, \
{{$CellContext`h$, $CellContext`k$}, {(-1000) $CellContext`a$$ + \
$CellContext`h$, 
                 1000 $CellContext`b$$ + $CellContext`k$}}, \
{{$CellContext`h$, $CellContext`k$}, {
                1000 $CellContext`a$$ + $CellContext`h$, (-1000) \
$CellContext`b$$ + $CellContext`k$}}, {{$CellContext`h$, $CellContext`k$}, \
{(-1000) $CellContext`a$$ + $CellContext`h$, (-1000) $CellContext`b$$ + \
$CellContext`k$}}}]}], {}], 
          If[$CellContext`showcenter$$, 
           Graphics[{Red, 
             PointSize[0.02], 
             Point[{$CellContext`h$, $CellContext`k$}]}], {}], 
          If[$CellContext`showfoci$$, 
           Graphics[{Purple, 
             PointSize[0.02], 
             Switch[$CellContext`conictype$$, $CellContext`hyperbolax, 
              
              Point[{{Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h$, $CellContext`k$}, {-
                  Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h$, $CellContext`k$}}], $CellContext`hyperbolay, 
              
              Point[{{$CellContext`h$, 
                 Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k$}, {$CellContext`h$, -
                  Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k$}}], $CellContext`ellipse, 
              If[$CellContext`a$$ >= $CellContext`b$$, 
               
               Point[{{
                 Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h$, $CellContext`k$}, {-
                   Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h$, $CellContext`k$}}], 
               
               Point[{{$CellContext`h$, 
                  Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k$}, {$CellContext`h$, -
                   Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k$}}]], $CellContext`parabolax, 
              
              Point[{$CellContext`p$$ + $CellContext`h$, $CellContext`k$}], \
$CellContext`parabolay, 
              
              Point[{$CellContext`h$, $CellContext`p$$ + \
$CellContext`k$}]]}], {}], 
          If[$CellContext`showdirect$$, 
           Graphics[{
             Darker[Green, 0.2], 
             Dashing[Medium], 
             Switch[$CellContext`conictype$$, $CellContext`hyperbolax, 
              
              Line[{{{(-$CellContext`a$$^2)/
                   Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h$, -10}, {(-$CellContext`a$$^2)/
                   Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h$, 10}}, {{$CellContext`a$$^2/
                   Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h$, -10}, {$CellContext`a$$^2/
                   Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`h$, 10}}}], $CellContext`hyperbolay, 
              
              Line[{{{-10, (-$CellContext`b$$^2)/
                   Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k$}, {
                 10, (-$CellContext`b$$^2)/
                   Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k$}}, {{-10, $CellContext`b$$^2/
                   Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k$}, {
                 10, $CellContext`b$$^2/
                   Sqrt[$CellContext`a$$^2 + $CellContext`b$$^2] + \
$CellContext`k$}}}], $CellContext`ellipse, 
              If[$CellContext`a$$ >= $CellContext`b$$, 
               
               Line[{{{(-$CellContext`a$$^2)/
                    Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h$, -10}, {(-$CellContext`a$$^2)/
                    Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h$, 10}}, {{$CellContext`a$$^2/
                    Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h$, -10}, {$CellContext`a$$^2/
                    Sqrt[$CellContext`a$$^2 - $CellContext`b$$^2] + \
$CellContext`h$, 10}}}], 
               
               Line[{{{-10, (-$CellContext`b$$^2)/
                    Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k$}, {
                  10, (-$CellContext`b$$^2)/
                    Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k$}}, {{-10, $CellContext`b$$^2/
                    Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k$}, {
                  10, $CellContext`b$$^2/
                    Sqrt[$CellContext`b$$^2 - $CellContext`a$$^2] + \
$CellContext`k$}}}]], $CellContext`parabolax, 
              
              Line[{{$CellContext`h$ - $CellContext`p$$, -10}, \
{$CellContext`h$ - $CellContext`p$$, 10}}], $CellContext`parabolay, 
              
              Line[{{-10, $CellContext`k$ - $CellContext`p$$}, {
                10, $CellContext`k$ - $CellContext`p$$}}]]}], {}], 
          Graphics[
           Tooltip[{
             Point[{$CellContext`h$, $CellContext`k$}]}, 
            TraditionalForm[{$CellContext`h$, $CellContext`k$}]]], Frame -> 
          False, Axes -> True, PlotRange -> 7, GridLines -> {
            Table[{DemonstrationsTools`n, 
              Lighter[Gray, 0.7]}, {DemonstrationsTools`n, -7, 7, 1}], 
            Table[{DemonstrationsTools`n, 
              Lighter[Gray, 0.7]}, {DemonstrationsTools`n, -7, 7, 1}]}, 
          BaseStyle -> {12}, ImageSize -> {465, 400}, ImagePadding -> 10, 
          PlotLabel -> Grid[{{
              Text[
               Style[
                TraditionalForm[
                 Evaluate[$CellContext`label$]], 14, 
                Darker[Blue, 0.3]]], 
              Text[
               Style["=", 14, 
                Darker[Blue, 0.3]]], 
              Text[
               Style[
                TraditionalForm[
                 Evaluate[$CellContext`label2$]], 14, 
                Darker[Blue, 0.3]]]}, {
              Text[
               Style[
                TraditionalForm[
                 Evaluate[$CellContext`label3$]], 14, 
                Darker[Blue, 0.3]]], 
              Text[
               Style["=", 14, 
                Darker[Blue, 0.3]]], 
              Text[
               Style[
                TraditionalForm[
                 Evaluate[$CellContext`label4$]], 14, 
                Darker[Blue, 0.3]]]}}, Alignment -> Center]]], 
      "Specifications" :> {{{$CellContext`a$$, 2, "a"}, 
         Rational[1, 5], 6, 
         Rational[1, 10], ControlType -> Slider, ImageSize -> Tiny, Enabled -> 
         Dynamic[
           Not[
            
            Or[$CellContext`conictype$$ === $CellContext`parabolax, \
$CellContext`conictype$$ === $CellContext`parabolay]]], ControlPlacement -> 
         1}, {{$CellContext`b$$, 3, "b"}, 
         Rational[1, 5], 6, 
         Rational[1, 10], ControlType -> Slider, ImageSize -> Tiny, Enabled -> 
         Dynamic[
           Not[
            
            Or[$CellContext`conictype$$ === $CellContext`parabolax, \
$CellContext`conictype$$ === $CellContext`parabolay]]], ControlPlacement -> 
         2}, {{$CellContext`p$$, 1, "p"}, -6, 6, 
         Rational[1, 16], ControlType -> Slider, ImageSize -> Tiny, Enabled -> 
         Dynamic[
           
           Or[$CellContext`conictype$$ === $CellContext`parabolax, \
$CellContext`conictype$$ === $CellContext`parabolay]], ControlPlacement -> 3}, 
        Row[{
          Manipulate`Place[1], 
          Manipulate`Place[2], 
          Manipulate`Place[3]}, 
         Spacer[
         5]], {{$CellContext`conictype$$, $CellContext`hyperbolax, 
          ""}, {$CellContext`ellipse -> "ellipse", $CellContext`parabolax -> 
          "parabola-x", $CellContext`parabolay -> 
          "parabola-y", $CellContext`hyperbolax -> 
          "hyperbola-x", $CellContext`hyperbolay -> "hyperbola-y"}, 
         ControlType -> RadioButtonBar, Appearance -> "Vertical", 
         ControlPlacement -> Left}, {{$CellContext`center$$, {0, 0}, ""}, {
          Rational[-21, 4], 
          Rational[-21, 4]}, {
          Rational[21, 4], 
          Rational[21, 4]}, {
          Rational[1, 4], 
          Rational[1, 4]}, ControlType -> Locator, Appearance -> 
         None}, {{$CellContext`showfoci$$, True, "foci"}, {False, True}, 
         ControlType -> Checkbox, ControlPlacement -> 
         Left}, {{$CellContext`showcenter$$, True, "center"}, {False, True}, 
         ControlType -> Checkbox, ControlPlacement -> 
         Left}, {{$CellContext`showdirect$$, False, "directrix"}, {
         False, True}, ControlType -> Checkbox, ControlPlacement -> Left, 
         Enabled -> Dynamic[
           
           Or[$CellContext`conictype$$ === $CellContext`parabolax, \
$CellContext`conictype$$ === $CellContext`parabolay]]}, \
{{$CellContext`showasymp$$, True, "asymptotes"}, {False, True}, ControlType -> 
         Checkbox, ControlPlacement -> Left, Enabled -> Dynamic[
           
           Or[$CellContext`conictype$$ === $CellContext`hyperbolax, \
$CellContext`conictype$$ === $CellContext`hyperbolay]]}}, 
      "Options" :> {
       ControlPlacement -> Top, AutorunSequencing -> {4, 1, 2, 5, 6, 7, 9}, 
        TrackedSymbols :> {$CellContext`a$$, $CellContext`b$$, \
$CellContext`p$$, $CellContext`center$$, $CellContext`conictype$$, \
$CellContext`showcenter$$, $CellContext`showfoci$$, \
$CellContext`showdirect$$, $CellContext`showasymp$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{649., {241., 246.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->277604284],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Conic Sections: Equations and Graphs",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSectionsEquationsAndGraphs/"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ConicSectionsEquationsAndGraphs/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ConicSectionsEquationsAndGraphs/\
",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSectionsEquationsAndGraphs/"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ConicSectionsEquationsAndGraphs/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Kelly Deckelman",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Kelly+\
Deckelman"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Kelly+Deckelman"],
 ", ",
 ButtonBox["Kathleen Feltz",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Kathleen+Feltz"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Kathleen+Feltz"],
 ", ",
 ButtonBox["Jenn Mount",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jenn+Mount"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jenn+Mount"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->133911322],

Cell[TextData[{
 "Based on a program by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Abby+Brown"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->625388380]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ConicSectionsEquationsAndGraphs"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Conic Sections: Equations and Graphs - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[626, 23, 228, 4, 70, "Section"],
Cell[857, 29, 40909, 1007, 70, "Input",
 CellID->89791530]
}, Open  ]],
Cell[41781, 1039, 18429, 386, 70, "Output",
 CellID->277604284],
Cell[CellGroupData[{
Cell[60235, 1429, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[60611, 1440, 988, 29, 70, "Text"],
Cell[61602, 1471, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[61964, 1484, 964, 31, 70, "Text",
 CellID->133911322],
Cell[62931, 1517, 454, 15, 70, "Text",
 CellID->625388380]
}, Open  ]],
Cell[CellGroupData[{
Cell[63422, 1537, 847, 24, 70, "Text"],
Cell[64272, 1563, 1207, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature gS47zdI7y3UV1BTtXYxsp4wy *)
