(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     56134,       1354]
NotebookOptionsPosition[     55034,       1313]
NotebookOutlinePosition[     55651,       1337]
CellTagsIndexPosition[     55608,       1334]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Conic Sections: Move Foci", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"foc1", "===", "foc2"}], ",", 
      RowBox[{"foc1", "=", 
       RowBox[{"foc1", "+", ".01"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"dist", "[", 
      RowBox[{"pt1_", ",", "pt2_"}], "]"}], ":=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"pt1", "-", "pt2"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"pt1", "-", "pt2"}], ")"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"midpt", "[", 
      RowBox[{"pt1_", ",", "pt2_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"pt1", "+", "pt2"}], ")"}], "/", "2"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"labsty", "[", "str_", "]"}], ":=", 
     RowBox[{"Style", "[", 
      RowBox[{"str", ",", "Italic", ",", "20", ",", "Bold"}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"h", ",", "k"}], "}"}], "=", 
     RowBox[{"midpt", "[", 
      RowBox[{"foc1", ",", "foc2"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"cntr", "=", 
     RowBox[{"{", 
      RowBox[{"h", ",", "k"}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"c", "=", 
     RowBox[{"dist", "[", 
      RowBox[{"cntr", ",", "foc1"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"a", ":=", 
     RowBox[{"Switch", "[", 
      RowBox[{"conictype", ",", "ellipse", ",", 
       RowBox[{"c", "*", "amult"}], ",", "hyperbola", ",", 
       RowBox[{"c", "/", "amult"}], ",", "parabola", ",", "c"}], "]"}]}], ";",
     "\[IndentingNewLine]", 
    RowBox[{"b", ":=", 
     RowBox[{"Switch", "[", 
      RowBox[{"conictype", ",", "ellipse", ",", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"a", "^", "2"}], "-", 
         RowBox[{"c", "^", "2"}]}], "]"}], ",", "hyperbola", ",", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"c", "^", "2"}], "-", 
         RowBox[{"a", "^", "2"}]}], "]"}], ",", "parabola", ",", "c"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"ang", "=", 
     RowBox[{"ArcTan", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"foc1", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "-", "h"}], ",", 
       RowBox[{
        RowBox[{"foc1", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "-", "k"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"vert1", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"h", ",", "k"}], "}"}], "+", 
      RowBox[{"a", "*", 
       RowBox[{"Normalize", "[", 
        RowBox[{"(", 
         RowBox[{"foc1", "-", "cntr"}], ")"}], "]"}]}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vert2", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"h", ",", "k"}], "}"}], "+", 
      RowBox[{"a", "*", 
       RowBox[{"Normalize", "[", 
        RowBox[{"(", 
         RowBox[{"foc2", "-", "cntr"}], ")"}], "]"}]}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"bvert1", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"h", ",", "k"}], "}"}], "+", 
      RowBox[{"b", "*", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}], ".", 
        RowBox[{"Normalize", "[", 
         RowBox[{"(", 
          RowBox[{"foc1", "-", "cntr"}], ")"}], "]"}]}]}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"bvert2", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"h", ",", "k"}], "}"}], "+", 
      RowBox[{"b", "*", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}], ".", 
        RowBox[{"Normalize", "[", 
         RowBox[{"(", 
          RowBox[{"foc2", "-", "cntr"}], ")"}], "]"}]}]}]}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"type", ":=", 
     RowBox[{"Evaluate", "[", 
      RowBox[{"Switch", "[", 
       RowBox[{"conictype", ",", "\[IndentingNewLine]", "ellipse", ",", 
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", " ", 
            RowBox[{"Cos", "[", "t", "]"}]}], ",", 
           RowBox[{"b", " ", 
            RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}], "}"}], ",", 
        "\[IndentingNewLine]", "hyperbola", ",", 
        RowBox[{"ControlActive", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", " ", 
              RowBox[{"Sec", "[", "t", "]"}]}], ",", 
             RowBox[{"b", " ", 
              RowBox[{"Tan", "[", "t", "]"}]}]}], "}"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"a", " ", 
               RowBox[{"Cosh", "[", "t", "]"}]}], ",", 
              RowBox[{"b", " ", 
               RowBox[{"Sinh", "[", "t", "]"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "a"}], " ", 
               RowBox[{"Cosh", "[", "t", "]"}]}], ",", 
              RowBox[{"b", " ", 
               RowBox[{"Sinh", "[", "t", "]"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"a", " ", 
               RowBox[{"Cosh", "[", "t", "]"}]}], ",", 
              RowBox[{
               RowBox[{"-", "b"}], " ", 
               RowBox[{"Sinh", "[", "t", "]"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "a"}], " ", 
               RowBox[{"Cosh", "[", "t", "]"}]}], ",", 
              RowBox[{
               RowBox[{"-", "b"}], " ", 
               RowBox[{"Sinh", "[", "t", "]"}]}]}], "}"}]}], "}"}]}], "]"}], 
        ",", "\[IndentingNewLine]", "parabola", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"c", " ", 
             RowBox[{"t", "^", "2"}]}], ",", 
            RowBox[{"2", " ", "c", " ", "t"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"c", " ", 
             RowBox[{"t", "^", "2"}]}], ",", 
            RowBox[{
             RowBox[{"-", "2"}], " ", "c", " ", "t"}]}], "}"}]}], "}"}]}], 
       "\[IndentingNewLine]", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
     RowBox[{"Column", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Text", "@", 
          RowBox[{"Style", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Column", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Switch", "[", 
                    RowBox[{
                    "conictype", ",", "ellipse", ",", "\"\<ellipse\>\"", ",", 
                    "hyperbola", ",", "\"\<hyperbola\>\"", ",", "parabola", 
                    ",", "\"\<parabola\>\""}], "]"}], ",", "\"\< :  \>\"", 
                   ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<e\>\"", ",", "Italic", ",", "16"}], "]"}], 
                   ",", "\"\< = \>\"", ",", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"conictype", "===", "parabola"}], ",", "\"\<\>\"",
                     ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", "\"\</\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<a\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", "\"\< = \>\""}], "}"}], "]"}]}], "]"}], ",", 
                   RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{"c", "/", "a"}], ",", "0.01"}], "]"}]}], "}"}], 
                 "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"conictype", "===", "parabola"}], ",", 
                  RowBox[{"Row", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<a\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    "^", "2"}], "-", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    "^", "2"}]}], "]"}], ",", "White"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", "\"\< = \>\"", ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"c", ",", "0.01"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"showmeas", ",", 
                    RowBox[{"{", 
                    RowBox[{"Purple", ",", "Bold"}], "}"}], ",", "Gray"}], 
                    "]"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<a\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    "^", "2"}], "-", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    "^", "2"}]}], "]"}], ",", "White"}], "]"}]}], "}"}], 
                   "]"}], ",", 
                  RowBox[{"Row", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", "\"\< = \>\"", ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"c", ",", "0.01"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"showmeas", ",", 
                    RowBox[{"{", 
                    RowBox[{"Purple", ",", "Bold"}], "}"}], ",", "Gray"}], 
                    "]"}]}], "]"}], ",", "\"\<,    \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<a\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", "\"\< = \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", 
                    RowBox[{"Switch", "[", 
                    RowBox[{
                    "conictype", ",", "ellipse", ",", "\"\< \[Times] \>\"", 
                    ",", "hyperbola", ",", "\"\< / \>\"", ",", "parabola", 
                    ",", "\"\<\>\""}], "]"}], ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"amult", ",", "0.01"}], "]"}], ",", "\"\< = \>\"",
                     ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"a", ",", "0.01"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"showmeas", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Bold"}], 
                    "}"}], ",", "Gray"}], "]"}]}], "]"}], ",", 
                    "\"\<,    \>\"", ",", "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<b\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", "\"\< = \>\"", ",", 
                    RowBox[{"Switch", "[", 
                    RowBox[{"conictype", ",", "ellipse", ",", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<a\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    "^", "2"}], "-", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    "^", "2"}]}], "]"}], ",", "hyperbola", ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    "^", "2"}], "-", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<a\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    "^", "2"}]}], "]"}], "]"}], ",", "parabola", ",", 
                    "\"\<\>\""}], "]"}], ",", "\"\< = \>\"", ",", 
                    RowBox[{"Round", "[", 
                    RowBox[{"b", ",", "0.01"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"showmeas", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Blue", ",", "0.3"}], "]"}], ",", "Bold"}], "}"}],
                     ",", "Gray"}], "]"}]}], "]"}]}], "}"}], "]"}]}], "]"}]}],
                "\[IndentingNewLine]", "}"}], ",", 
              RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], ",", 
            "Gray", ",", "14"}], "]"}]}], ",", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"Show", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"ParametricPlot", "[", 
            RowBox[{
             RowBox[{"Map", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Take", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RotationTransform", "[", 
                    RowBox[{"ang", ",", "cntr"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ".", 
                   RowBox[{"Evaluate", "[", "#", "]"}]}], "+", 
                  RowBox[{"{", 
                   RowBox[{"h", ",", "k"}], "}"}]}], ")"}], "&"}], ",", 
               "type"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"t", ",", "0", ",", 
               RowBox[{"2", "Pi"}]}], "}"}], ",", 
             RowBox[{"MaxRecursion", "\[Rule]", 
              RowBox[{"ControlActive", "[", 
               RowBox[{"0", ",", "1"}], "]"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"conictype", "===", "hyperbola"}], "&&", "showasymp"}], 
             ",", 
             RowBox[{"Graphics", "[", 
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Dashing", "[", "Medium", "]"}], ",", "Orange", 
                    ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Take", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RotationTransform", "[", 
                    RowBox[{"ang", ",", "cntr"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"10", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", 
                    RowBox[{"10", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}], "+", 
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}]}]}], "}"}], "]"}]}], "}"}],
                   ")"}], "&"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"a", ",", "b"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "a"}], ",", "b"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"a", ",", 
                    RowBox[{"-", "b"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "a"}], ",", 
                    RowBox[{"-", "b"}]}], "}"}]}], "}"}]}], "]"}], "]"}], ",",
              
             RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"conictype", "===", "parabola"}], "&&", "showdirect"}], 
             ",", 
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Dashing", "[", "Medium", "]"}], ",", 
                RowBox[{"Darker", "[", 
                 RowBox[{"Green", ",", "0.2"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"foc2", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"foc1", "-", "foc2"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"foc1", "-", "foc2"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ")"}], "20"}], 
                    "+", "foc2"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"foc2", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"foc1", "-", "foc2"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", 
                    RowBox[{"-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"foc1", "-", "foc2"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}], ")"}], "20"}], 
                    "+", "foc2"}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], 
             ",", 
             RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{"showmeas", ",", 
             RowBox[{"Graphics", "[", 
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"conictype", "===", "parabola"}], ",", 
                  RowBox[{"{", "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thin", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{"cntr", ",", "vert1"}], "}"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{"cntr", ",", "vert2"}], "}"}], "]"}]}], "}"}]}], 
                    "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"labsty", "[", "\"\<a\>\"", "]"}], ",", 
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.2"}], "]"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"midpt", "[", 
                    RowBox[{"vert1", ",", "cntr"}], "]"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "0.4"}]}], "}"}]}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"labsty", "[", "\"\<a\>\"", "]"}], ",", 
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.2"}], "]"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"midpt", "[", 
                    RowBox[{"vert2", ",", "cntr"}], "]"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "0.4"}]}], "}"}]}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.2"}], "]"}], ",", 
                    RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                    RowBox[{"Point", "[", "vert1", "]"}], ",", 
                    RowBox[{"Point", "[", "vert2", "]"}]}], "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Blue", ",", "0.2"}], "]"}], ",", "Thin", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{"cntr", ",", "bvert1"}], "}"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{"cntr", ",", "bvert2"}], "}"}], "]"}]}], "}"}]}], 
                    "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"labsty", "[", "\"\<b\>\"", "]"}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Blue", ",", "0.3"}], "]"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"midpt", "[", 
                    RowBox[{"bvert1", ",", "cntr"}], "]"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0.4", ",", "0"}], "}"}]}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"labsty", "[", "\"\<b\>\"", "]"}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Blue", ",", "0.3"}], "]"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"midpt", "[", 
                    RowBox[{"bvert2", ",", "cntr"}], "]"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0.4", ",", "0"}], "}"}]}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Blue", ",", "0.3"}], "]"}], ",", 
                    RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                    RowBox[{"Point", "[", "bvert1", "]"}], ",", 
                    RowBox[{"Point", "[", "bvert2", "]"}]}], "}"}]}], "}"}]}],
                  "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"Purple", ",", "Thick", ",", 
                  RowBox[{"Dashing", "[", "Small", "]"}], ",", 
                  RowBox[{"Line", "[", 
                   RowBox[{"{", 
                    RowBox[{"foc1", ",", "foc2"}], "}"}], "]"}]}], "}"}], ",",
                 "\[IndentingNewLine]", 
                RowBox[{"Text", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{
                    RowBox[{"labsty", "[", "\"\<c\>\"", "]"}], ",", 
                    "Purple"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"midpt", "[", 
                    RowBox[{"foc1", ",", "cntr"}], "]"}], "+", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0.4"}], "}"}]}]}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Text", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{
                    RowBox[{"labsty", "[", "\"\<c\>\"", "]"}], ",", 
                    "Purple"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"midpt", "[", 
                    RowBox[{"foc2", ",", "cntr"}], "]"}], "+", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0.4"}], "}"}]}]}], "]"}]}], "}"}], 
              "]"}], ",", 
             RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"Graphics", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"Purple", ",", 
                RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                RowBox[{"Point", "[", "foc1", "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"Purple", ",", 
                RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                RowBox[{"Point", "[", "foc2", "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
                RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{"h", ",", "k"}], "}"}], "]"}]}], "}"}]}], 
             "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"Frame", "\[Rule]", "False"}], ",", 
           RowBox[{"Axes", "\[Rule]", "True"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", "7"}], ",", 
           RowBox[{"GridLines", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"n", " ", ",", 
                  RowBox[{"Lighter", "[", 
                   RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"n", ",", 
                  RowBox[{"-", "7"}], ",", "7", ",", "1"}], "}"}]}], "]"}], 
              ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"n", ",", 
                  RowBox[{"Lighter", "[", 
                   RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"n", ",", 
                  RowBox[{"-", "7"}], ",", "7", ",", "1"}], "}"}]}], "]"}]}], 
             "}"}]}], ",", 
           RowBox[{"BaseStyle", "\[Rule]", 
            RowBox[{"{", "12", "}"}]}], ",", 
           RowBox[{"ImageSize", "\[Rule]", "350"}]}], "\[IndentingNewLine]", 
          "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
       RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], 
     "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"conictype", ",", "ellipse", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"ellipse", "\[Rule]", "\"\<ellipse\>\""}], ",", 
       RowBox[{"hyperbola", "\[Rule]", "\"\<hyperbola\>\""}], ",", 
       RowBox[{"parabola", "\[Rule]", "\"\<parabola\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Vertical\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showmeas", ",", "False", ",", "\"\<measurements\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Right"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showasymp", ",", "True", ",", "\"\<asymptotes\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Right"}], ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"conictype", "===", "hyperbola"}], ",", "True", ",", 
        "False"}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showdirect", ",", "True", ",", "\"\<directrix\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Right"}], ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"conictype", "===", "parabola"}], ",", "True", ",", "False"}],
        "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"foc1", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "6"}], ",", 
       RowBox[{"-", "6"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "6"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<\[FilledCircle]\>\"", ",", 
        RowBox[{"Opacity", "[", "0", "]"}]}], "]"}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"foc2", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "6"}], ",", 
       RowBox[{"-", "6"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "6"}], "}"}], ",", "Locator"}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"amult", ",", "1.5", ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<         \>\"", ",", "\"\<adjust  \>\"", ",", 
          RowBox[{"Text", "@", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<a\>\"", ",", "Italic", ",", "14"}], "]"}]}]}], "}"}],
         "]"}]}], "}"}], ",", "1", ",", "3", ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"conictype", "===", "parabola"}], ",", "False", ",", "True"}],
        "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{
     "foc1", ",", "foc2", ",", "amult", ",", "conictype", ",", "showasymp", 
      ",", "showdirect", ",", "showmeas"}], "}"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, 3.36363019932028*^9, {3.36363424648561*^9, 
   3.36363424796774*^9}, {3.36907661288834*^9, 3.36907661435044*^9}, {
   3.36926360756773*^9, 3.36926361060209*^9}, {3.373837421299697*^9, 
   3.373837436623436*^9}, {3.3738374777997427`*^9, 3.373837515779442*^9}, {
   3.373837907134166*^9, 3.373837938091316*^9}, {3.374881844765625*^9, 
   3.374881849703125*^9}, {3.374881889421875*^9, 3.37488189321875*^9}, {
   3.3829929425110435`*^9, 3.3829929429525967`*^9}, {3.382993021689561*^9, 
   3.3829930220508313`*^9}, {3.38299332659208*^9, 3.382993336547098*^9}, {
   3.383663687610505*^9, 3.38366369356363*^9}, {3.399917029291162*^9, 
   3.3999170432130365`*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`amult$$ = 
    1.5, $CellContext`conictype$$ = $CellContext`ellipse, $CellContext`foc1$$ \
= {1, 0}, $CellContext`foc2$$ = {-1, 0}, $CellContext`showasymp$$ = 
    True, $CellContext`showdirect$$ = True, $CellContext`showmeas$$ = False, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`conictype$$], $CellContext`ellipse, 
       ""}, {$CellContext`ellipse -> "ellipse", $CellContext`hyperbola -> 
       "hyperbola", $CellContext`parabola -> "parabola"}}, {{
       Hold[$CellContext`showmeas$$], False, "measurements"}, {
      True, False}}, {{
       Hold[$CellContext`showasymp$$], True, "asymptotes"}, {True, False}}, {{
      
       Hold[$CellContext`showdirect$$], True, "directrix"}, {True, False}}, {{
      
       Hold[$CellContext`foc1$$], {1, 0}}, {-6, -6}, {6, 6}}, {{
       Hold[$CellContext`foc2$$], {-1, 0}}, {-6, -6}, {6, 6}}, {{
       Hold[$CellContext`amult$$], 1.5, 
       Row[{"         ", "adjust  ", 
         Text[
          Style["a", Italic, 14]]}]}, 1, 3}}, Typeset`size$$ = {
    350., {198.5, 203.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`conictype$1519840$$ = 
    False, $CellContext`showmeas$1519841$$ = 
    False, $CellContext`showasymp$1519842$$ = 
    False, $CellContext`showdirect$1519843$$ = 
    False, $CellContext`foc1$1519844$$ = {0, 
    0}, $CellContext`foc2$1519845$$ = {0, 0}, $CellContext`amult$1519846$$ = 
    0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`amult$$ = 
        1.5, $CellContext`conictype$$ = $CellContext`ellipse, \
$CellContext`foc1$$ = {1, 0}, $CellContext`foc2$$ = {-1, 
         0}, $CellContext`showasymp$$ = True, $CellContext`showdirect$$ = 
        True, $CellContext`showmeas$$ = False}, "ControllerVariables" :> {
        Hold[$CellContext`conictype$$, $CellContext`conictype$1519840$$, 
         False], 
        Hold[$CellContext`showmeas$$, $CellContext`showmeas$1519841$$, False],
         
        Hold[$CellContext`showasymp$$, $CellContext`showasymp$1519842$$, 
         False], 
        Hold[$CellContext`showdirect$$, $CellContext`showdirect$1519843$$, 
         False], 
        Hold[$CellContext`foc1$$, $CellContext`foc1$1519844$$, {0, 0}], 
        Hold[$CellContext`foc2$$, $CellContext`foc2$1519845$$, {0, 0}], 
        Hold[$CellContext`amult$$, $CellContext`amult$1519846$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`foc1$$ === $CellContext`foc2$$, $CellContext`foc1$$ = \
$CellContext`foc1$$ + 0.01]; $CellContext`dist[
          Pattern[$CellContext`pt1, 
           Blank[]], 
          Pattern[$CellContext`pt2, 
           Blank[]]] := Sqrt[
          
          Dot[$CellContext`pt1 - $CellContext`pt2, $CellContext`pt1 - \
$CellContext`pt2]]; $CellContext`midpt[
          Pattern[$CellContext`pt1, 
           Blank[]], 
          Pattern[$CellContext`pt2, 
           Blank[]]] := ($CellContext`pt1 + $CellContext`pt2)/
         2; $CellContext`labsty[
          Pattern[$CellContext`str, 
           Blank[]]] := 
        Style[$CellContext`str, Italic, 20, 
          Bold]; {$CellContext`h, $CellContext`k} = \
$CellContext`midpt[$CellContext`foc1$$, $CellContext`foc2$$]; \
$CellContext`cntr = {$CellContext`h, $CellContext`k}; $CellContext`c = \
$CellContext`dist[$CellContext`cntr, $CellContext`foc1$$]; $CellContext`a := 
        Switch[$CellContext`conictype$$, $CellContext`ellipse, $CellContext`c \
$CellContext`amult$$, $CellContext`hyperbola, \
$CellContext`c/$CellContext`amult$$, $CellContext`parabola, $CellContext`c]; \
$CellContext`b := Switch[$CellContext`conictype$$, $CellContext`ellipse, 
          Sqrt[$CellContext`a^2 - $CellContext`c^2], $CellContext`hyperbola, 
          
          Sqrt[$CellContext`c^2 - $CellContext`a^2], $CellContext`parabola, \
$CellContext`c]; $CellContext`ang = 
        ArcTan[Part[$CellContext`foc1$$, 1] - $CellContext`h, 
          Part[$CellContext`foc1$$, 
            2] - $CellContext`k]; $CellContext`vert1 = {$CellContext`h, \
$CellContext`k} + $CellContext`a 
          Normalize[$CellContext`foc1$$ - $CellContext`cntr]; \
$CellContext`vert2 = {$CellContext`h, $CellContext`k} + $CellContext`a 
          Normalize[$CellContext`foc2$$ - $CellContext`cntr]; \
$CellContext`bvert1 = {$CellContext`h, $CellContext`k} + $CellContext`b 
          Dot[{{0, 1}, {-1, 0}}, 
            
            Normalize[$CellContext`foc1$$ - $CellContext`cntr]]; \
$CellContext`bvert2 = {$CellContext`h, $CellContext`k} + $CellContext`b 
          Dot[{{0, 1}, {-1, 0}}, 
            
            Normalize[$CellContext`foc2$$ - $CellContext`cntr]]; \
$CellContext`type := Evaluate[
          
          Switch[$CellContext`conictype$$, $CellContext`ellipse, \
{{$CellContext`a Cos[$CellContext`t], $CellContext`b 
             Sin[$CellContext`t]}}, $CellContext`hyperbola, 
           
           ControlActive[{{$CellContext`a Sec[$CellContext`t], $CellContext`b 
              Tan[$CellContext`t]}}, {{$CellContext`a 
              Cosh[$CellContext`t], $CellContext`b 
              Sinh[$CellContext`t]}, {(-$CellContext`a) 
              Cosh[$CellContext`t], $CellContext`b 
              Sinh[$CellContext`t]}, {$CellContext`a 
              Cosh[$CellContext`t], (-$CellContext`b) 
              Sinh[$CellContext`t]}, {(-$CellContext`a) 
              Cosh[$CellContext`t], (-$CellContext`b) 
              Sinh[$CellContext`t]}}], $CellContext`parabola, \
{{$CellContext`c $CellContext`t^2, 
             2 $CellContext`c $CellContext`t}, {$CellContext`c \
$CellContext`t^2, (-2) $CellContext`c $CellContext`t}}]]; Deploy[
         Column[{
           Text[
            Style[
             Column[{
               Row[{
                 
                 Switch[$CellContext`conictype$$, $CellContext`ellipse, 
                  "ellipse", $CellContext`hyperbola, 
                  "hyperbola", $CellContext`parabola, "parabola"], " :  ", 
                 Style["e", Italic, 16], " = ", 
                 If[$CellContext`conictype$$ === $CellContext`parabola, "", 
                  Row[{
                    Style["c", Italic, 16], "/", 
                    Style["a", Italic, 16], " = "}]], 
                 Round[$CellContext`c/$CellContext`a, 0.01]}], 
               If[$CellContext`conictype$$ === $CellContext`parabola, 
                Row[{
                  Style[
                   Sqrt[Style["a", Italic, 16]^2 - Style["c", Italic, 16]^2], 
                   White], 
                  Style[
                   Row[{
                    Style["c", Italic, 16], " = ", 
                    Round[$CellContext`c, 0.01]}], 
                   If[$CellContext`showmeas$$, {Purple, Bold}, Gray]], 
                  Style[
                   Sqrt[Style["a", Italic, 16]^2 - Style["c", Italic, 16]^2], 
                   White]}], 
                Row[{
                  Style[
                   Row[{
                    Style["c", Italic, 16], " = ", 
                    Round[$CellContext`c, 0.01]}], 
                   If[$CellContext`showmeas$$, {Purple, Bold}, Gray]], 
                  ",    ", 
                  Style[
                   Row[{
                    Style["a", Italic, 16], " = ", 
                    Style["c", Italic, 16], 
                    
                    Switch[$CellContext`conictype$$, $CellContext`ellipse, 
                    " \[Times] ", $CellContext`hyperbola, 
                    " / ", $CellContext`parabola, ""], 
                    Round[$CellContext`amult$$, 0.01], " = ", 
                    Round[$CellContext`a, 0.01]}], 
                   If[$CellContext`showmeas$$, {
                    Darker[Green, 0.2], Bold}, Gray]], ",    ", 
                  Style[
                   Row[{
                    Style["b", Italic, 16], " = ", 
                    Switch[$CellContext`conictype$$, $CellContext`ellipse, 
                    Sqrt[
                    Style["a", Italic, 16]^2 - 
                    Style["c", Italic, 16]^2], $CellContext`hyperbola, 
                    TraditionalForm[
                    Sqrt[
                    Style["c", Italic, 16]^2 - 
                    Style["a", Italic, 16]^2]], $CellContext`parabola, ""], 
                    " = ", 
                    Round[$CellContext`b, 0.01]}], 
                   If[$CellContext`showmeas$$, {
                    Lighter[Blue, 0.3], Bold}, Gray]]}]]}, Alignment -> 
              Center], Gray, 14]], 
           Show[
            ParametricPlot[
             Map[Dot[
                Take[
                 Part[
                  RotationTransform[$CellContext`ang, $CellContext`cntr], 
                  1], {1, 2}, {1, 2}], 
                
                Evaluate[#]] + {$CellContext`h, $CellContext`k}& , \
$CellContext`type], {$CellContext`t, 0, 2 Pi}, MaxRecursion -> 
             ControlActive[0, 1]], 
            If[
             
             And[$CellContext`conictype$$ === $CellContext`hyperbola, \
$CellContext`showasymp$$], 
             Graphics[
              Map[{
                Dashing[Medium], Orange, 
                Line[{{$CellContext`h, $CellContext`k}, Dot[
                    Take[
                    Part[
                    RotationTransform[$CellContext`ang, $CellContext`cntr], 
                    1], {1, 2}, {1, 2}], {
                    10 Part[#, 1], 10 
                    Part[#, 
                    2]}] + {$CellContext`h, $CellContext`k}}]}& , \
{{$CellContext`a, $CellContext`b}, {-$CellContext`a, $CellContext`b}, \
{$CellContext`a, -$CellContext`b}, {-$CellContext`a, -$CellContext`b}}]], {}],
             
            If[
             
             And[$CellContext`conictype$$ === $CellContext`parabola, \
$CellContext`showdirect$$], 
             Graphics[{
               Dashing[Medium], 
               Darker[Green, 0.2], 
               
               Line[{{$CellContext`foc2$$, {-
                    Part[$CellContext`foc1$$ - $CellContext`foc2$$, 2], 
                    Part[$CellContext`foc1$$ - $CellContext`foc2$$, 1]} 
                   20 + $CellContext`foc2$$}, {$CellContext`foc2$$, {
                    Part[$CellContext`foc1$$ - $CellContext`foc2$$, 2], -
                    Part[$CellContext`foc1$$ - $CellContext`foc2$$, 1]} 
                   20 + $CellContext`foc2$$}}]}], {}], 
            If[$CellContext`showmeas$$, 
             Graphics[{
               If[$CellContext`conictype$$ === $CellContext`parabola, {}, {{
                  Darker[Green, 0.2], Thin, {
                   Line[{$CellContext`cntr, $CellContext`vert1}], 
                   Line[{$CellContext`cntr, $CellContext`vert2}]}}, 
                 Text[
                  Style[
                   $CellContext`labsty["a"], 
                   Darker[
                   Green, 0.2]], $CellContext`midpt[$CellContext`vert1, \
$CellContext`cntr] + {0, -0.4}], 
                 Text[
                  Style[
                   $CellContext`labsty["a"], 
                   Darker[
                   Green, 0.2]], $CellContext`midpt[$CellContext`vert2, \
$CellContext`cntr] + {0, -0.4}], {
                  Darker[Green, 0.2], 
                  PointSize[0.02], 
                  Point[$CellContext`vert1], 
                  Point[$CellContext`vert2]}, {
                  Lighter[Blue, 0.2], Thin, {
                   Line[{$CellContext`cntr, $CellContext`bvert1}], 
                   Line[{$CellContext`cntr, $CellContext`bvert2}]}}, 
                 Text[
                  Style[
                   $CellContext`labsty["b"], 
                   Lighter[
                   Blue, 0.3]], $CellContext`midpt[$CellContext`bvert1, \
$CellContext`cntr] + {0.4, 0}], 
                 Text[
                  Style[
                   $CellContext`labsty["b"], 
                   Lighter[
                   Blue, 0.3]], $CellContext`midpt[$CellContext`bvert2, \
$CellContext`cntr] + {0.4, 0}], {
                  Lighter[Blue, 0.3], 
                  PointSize[0.02], 
                  Point[$CellContext`bvert1], 
                  Point[$CellContext`bvert2]}}], {Purple, Thick, 
                Dashing[Small], 
                Line[{$CellContext`foc1$$, $CellContext`foc2$$}]}, 
               Text[
                Style[
                 $CellContext`labsty["c"], 
                 Purple], $CellContext`midpt[$CellContext`foc1$$, \
$CellContext`cntr] + {0, 0.4}], 
               Text[
                Style[
                 $CellContext`labsty["c"], 
                 Purple], $CellContext`midpt[$CellContext`foc2$$, \
$CellContext`cntr] + {0, 0.4}]}], {}], 
            Graphics[{{Purple, 
               PointSize[0.02], 
               Point[$CellContext`foc1$$]}, {Purple, 
               PointSize[0.02], 
               Point[$CellContext`foc2$$]}, {
               RGBColor[1, 0.47, 0], 
               PointSize[0.015], 
               Point[{$CellContext`h, $CellContext`k}]}}], Frame -> False, 
            Axes -> True, PlotRange -> 7, GridLines -> {
              Table[{$CellContext`n, 
                Lighter[Gray, 0.7]}, {$CellContext`n, -7, 7, 1}], 
              Table[{$CellContext`n, 
                Lighter[Gray, 0.7]}, {$CellContext`n, -7, 7, 1}]}, 
            BaseStyle -> {12}, ImageSize -> 350]}, Alignment -> Center]]), 
      "Specifications" :> {{{$CellContext`conictype$$, $CellContext`ellipse, 
          ""}, {$CellContext`ellipse -> "ellipse", $CellContext`hyperbola -> 
          "hyperbola", $CellContext`parabola -> "parabola"}, ControlType -> 
         RadioButtonBar, ControlPlacement -> Left, Appearance -> 
         "Vertical"}, {{$CellContext`showmeas$$, False, "measurements"}, {
         True, False}, ControlPlacement -> 
         Right}, {{$CellContext`showasymp$$, True, "asymptotes"}, {
         True, False}, ControlPlacement -> Right, Enabled -> Dynamic[
           
           If[$CellContext`conictype$$ === $CellContext`hyperbola, True, 
            False]]}, {{$CellContext`showdirect$$, True, "directrix"}, {
         True, False}, ControlPlacement -> Right, Enabled -> Dynamic[
           If[$CellContext`conictype$$ === $CellContext`parabola, True, False]
           ]}, {{$CellContext`foc1$$, {1, 0}}, {-6, -6}, {6, 6}, ControlType -> 
         Locator, Appearance -> Style["\[FilledCircle]", 
           Opacity[0]]}, {{$CellContext`foc2$$, {-1, 0}}, {-6, -6}, {6, 6}, 
         ControlType -> Locator}, {{$CellContext`amult$$, 1.5, 
          Row[{"         ", "adjust  ", 
            Text[
             Style["a", Italic, 14]]}]}, 1, 3, Enabled -> Dynamic[
           
           If[$CellContext`conictype$$ === $CellContext`parabola, False, 
            True]]}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`foc1$$, $CellContext`foc2$$, \
$CellContext`amult$$, $CellContext`conictype$$, $CellContext`showasymp$$, \
$CellContext`showdirect$$, $CellContext`showmeas$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{549., {242., 247.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->475099804],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Conic Sections: Move Foci",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSectionsMoveFoci/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ConicSectionsMoveFoci/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ConicSectionsMoveFoci/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSectionsMoveFoci/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ConicSectionsMoveFoci/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->159715216],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ConicSectionsMoveFoci"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Conic Sections: Move Foci - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 217, 4, 70, "Section"],
Cell[810, 29, 34290, 817, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[35115, 849, 15824, 332, 70, "Output",
 CellID->475099804],
Cell[CellGroupData[{
Cell[50964, 1185, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[51340, 1196, 907, 24, 70, "Text"],
Cell[52250, 1222, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[52590, 1233, 362, 13, 70, "Text",
 CellID->159715216],
Cell[CellGroupData[{
Cell[52977, 1250, 829, 24, 70, "Text"],
Cell[53809, 1276, 1197, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 1S4jT4x6FSIGoBpLDY5Dp9sV *)
