(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     31029,        783]
NotebookOptionsPosition[     29951,        743]
NotebookOutlinePosition[     30574,        767]
CellTagsIndexPosition[     30531,        764]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Conic Sections: Polar Equations", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"DynamicModule", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c", ",", "h", ",", "k", ",", "r"}], "}"}], 
     ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"theta", "\[Equal]", "Pi"}], "&&", 
         RowBox[{"e", "==", "1"}]}], ",", " ", 
        RowBox[{"theta", "=", 
         RowBox[{"Pi", "+", ".01"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"e", ">", "1"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"a", ":=", 
          RowBox[{"d", "*", 
           RowBox[{"e", "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"e", "^", "2"}]}], ")"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"b", ":=", 
          RowBox[{"d", "*", 
           RowBox[{"e", "/", 
            RowBox[{"Sqrt", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"e", "^", "2"}]}], "]"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"c", ":=", 
          RowBox[{"d", "*", 
           RowBox[{
            RowBox[{"e", "^", "2"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"e", "^", "2"}]}], ")"}]}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"h", ":=", 
          RowBox[{"c", "*", 
           RowBox[{"Cos", "[", "theta", "]"}]}]}], ";", "\[IndentingNewLine]",
          
         RowBox[{"k", ":=", 
          RowBox[{"c", "*", 
           RowBox[{"Sin", "[", "theta", "]"}]}]}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"a", ":=", "0"}]}], "]"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"r", "[", "t_", "]"}], ":=", 
       RowBox[{"e", "*", 
        RowBox[{"d", "/", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"e", " ", 
            RowBox[{"Cos", "[", "t", "]"}]}]}], ")"}]}]}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
       RowBox[{"Column", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Text", "@", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"TraditionalForm", "[", 
                  RowBox[{"HoldForm", "[", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<r\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<t\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<)\>\""}], "}"}], "]"}], ",", "16"}], "]"}], "==", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<e\>\"", ",", "Italic"}], "]"}], "*", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<d\>\"", ",", "Italic"}], "]"}], "/", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<1 + \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<e\>\"", ",", "Italic"}], "]"}], " ", ",", 
                    "\"\< cos(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<t\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< - \>\"", ",", 
                    RowBox[{"Style", "[", "\"\<\[Theta]\>\"", "]"}], ",", 
                    "\"\<)\>\""}], "}"}], "]"}]}]}]}], "]"}], "]"}], ",", 
                 "20", ",", 
                 RowBox[{"Darker", "[", 
                  RowBox[{"Blue", ",", "0.3"}], "]"}]}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"e", ">", "1"}], ",", 
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{"\"\<   \>\"", ",", 
                    RowBox[{"Checkbox", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", "showasymp", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"False", ",", "True"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\< asymptotes\>\"", ",", "\"\<Label\>\""}], 
                    "]"}]}], "}"}], "]"}], ",", "\"\<\>\""}], "]"}]}], "}"}], 
             "]"}]}], ",", "\[IndentingNewLine]", "\"\<\>\"", ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Text", "@", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Which", "[", 
                  RowBox[{
                   RowBox[{"e", "<", "1"}], ",", "\"\<ellipse\>\"", ",", 
                   RowBox[{"e", "\[Equal]", "1"}], ",", "\"\<parabola\>\"", 
                   ",", 
                   RowBox[{"e", ">", "1"}], ",", "\"\<hyperbola\>\""}], "]"}],
                  ",", "\"\<:  \>\"", ",", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<e\>\"", ",", "Italic"}], "]"}], ",", 
                 "\"\< = \>\"", ",", 
                 RowBox[{"Round", "[", 
                  RowBox[{"e", ",", "0.01"}], "]"}], ",", "\"\<,  \>\"", ",", 
                 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<d\>\"", ",", "Italic"}], "]"}], ",", 
                 "\"\< = \>\"", ",", 
                 RowBox[{"Round", "[", 
                  RowBox[{"d", ",", "0.01"}], "]"}], ",", "\"\<,  \>\"", ",", 
                 "\"\<\[Theta]\>\"", ",", "\"\< = \>\"", ",", 
                 RowBox[{"Round", "[", 
                  RowBox[{
                   RowBox[{"theta", " ", "*", 
                    RowBox[{"180", "/", "Pi"}]}], ",", "0.01"}], "]"}], ",", 
                 "\"\<\[Degree]\>\""}], "}"}], "]"}], ",", "Gray", ",", 
              "\"\<Label\>\"", ",", "14"}], "]"}]}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Show", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ParametricPlot", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"r", "[", 
                   RowBox[{"t", "-", "theta"}], "]"}], 
                  RowBox[{"Cos", "[", "t", "]"}]}], ",", 
                 RowBox[{
                  RowBox[{"r", "[", 
                   RowBox[{"t", "-", "theta"}], "]"}], 
                  RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"t", ",", "0", ",", 
                 RowBox[{"2", "Pi"}]}], "}"}], ",", 
               RowBox[{"MaxRecursion", "\[Rule]", 
                RowBox[{"ControlActive", "[", 
                 RowBox[{"0", ",", "1"}], "]"}]}]}], "]"}], ",", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"e", ">", "1"}], ",", 
               RowBox[{"ControlActive", "[", 
                RowBox[{
                 RowBox[{"{", "}"}], ",", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{"{", 
                   RowBox[{"White", ",", 
                    RowBox[{"Thickness", "[", 
                    RowBox[{
                    RowBox[{"Abs", "[", "c", "]"}], "/", "50"}], "]"}], ",", 
                    RowBox[{"Rotate", "[", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1000", "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"1000", "b"}], "+", "k"}]}], "}"}]}], "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"1000", "b"}], "+", "k"}]}], "}"}]}], "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1000", "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "b"}], "+", "k"}]}], "}"}]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "b"}], "+", "k"}]}], "}"}]}], 
                    "}"}]}], "}"}], "]"}], ",", "theta"}], "]"}]}], "}"}], 
                  "]"}]}], "]"}], ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"e", ">", "1"}], "&&", "showasymp"}], ",", 
               RowBox[{"ControlActive", "[", 
                RowBox[{
                 RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Dashing", "[", "Medium", "]"}], ",", "Orange", 
                    ",", 
                    RowBox[{"Rotate", "[", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1000", "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"1000", "b"}], "+", "k"}]}], "}"}]}], "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"1000", "b"}], "+", "k"}]}], "}"}]}], "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1000", "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "b"}], "+", "k"}]}], "}"}]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"h", ",", "k"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "a"}], "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1000"}], "b"}], "+", "k"}]}], "}"}]}], 
                    "}"}]}], "}"}], "]"}], ",", "theta"}], "]"}]}], "}"}], 
                  "]"}]}], "]"}], ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"Purple", ",", 
                  RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                  RowBox[{"Point", "[", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], "]"}]}], "}"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Darker", "[", 
                   RowBox[{"Green", ",", "0.3"}], "]"}], ",", 
                  RowBox[{"Dashing", "[", "Medium", "]"}], ",", 
                  RowBox[{"Rotate", "[", 
                   RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"d", ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"d", ",", "10"}], "}"}]}], "}"}], "]"}], ",", 
                    "theta", ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], "]"}]}], "}"}]}], "}"}],
               "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"PlotRange", "\[Rule]", "2"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
             RowBox[{"GridLines", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"n", " ", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"-", "3"}], ",", "3", ",", "0.5"}], "}"}]}], 
                 "]"}], ",", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"-", "3"}], ",", "3", ",", "0.5"}], "}"}]}], 
                 "]"}]}], "}"}]}]}], "\[IndentingNewLine]", "]"}]}], 
          "\[IndentingNewLine]", "}"}], ",", 
         RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], "]"}]}]}], 
    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"e", ",", "1.1", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<              e\>\"", ",", "14"}], "]"}]}], "}"}], ",", 
     "0", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", "0.5", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<d\>\"", ",", "14"}], "]"}]}], "}"}], ",", 
     RowBox[{"-", "1"}], ",", "1", ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"theta", ",", "Pi", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<\[Theta]\>\"", ",", "14"}], "]"}]}], "}"}], ",", "0", 
     ",", 
     RowBox[{"2", "Pi"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showasymp", ",", "True"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"e", ",", "d", ",", "theta", ",", "showasymp"}], "}"}]}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.3847864517192273`*^9, {3.3847867119534254`*^9, 
   3.3847867124140882`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`d$$ = 0.5, $CellContext`e$$ = 
    1.1, $CellContext`showasymp$$ = True, $CellContext`theta$$ = Pi, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`e$$], 1.1, 
       Style["              e", 14]}, 0, 2}, {{
       Hold[$CellContext`d$$], 0.5, 
       Style["d", 14]}, -1, 1}, {{
       Hold[$CellContext`theta$$], Pi, 
       Style["\[Theta]", 14]}, 0, 2 Pi}, {{
       Hold[$CellContext`showasymp$$], True}, {True, False}}}, 
    Typeset`size$$ = {350., {209., 214.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True, $CellContext`e$8100$$ =
     0, $CellContext`d$8101$$ = 0, $CellContext`theta$8102$$ = 
    0, $CellContext`showasymp$8103$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`d$$ = 0.5, $CellContext`e$$ = 
        1.1, $CellContext`showasymp$$ = True, $CellContext`theta$$ = Pi}, 
      "ControllerVariables" :> {
        Hold[$CellContext`e$$, $CellContext`e$8100$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$8101$$, 0], 
        Hold[$CellContext`theta$$, $CellContext`theta$8102$$, 0], 
        Hold[$CellContext`showasymp$$, $CellContext`showasymp$8103$$, False]},
       "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      DynamicModule[{$CellContext`a, $CellContext`b, $CellContext`c, \
$CellContext`h, $CellContext`k, $CellContext`r}, If[
          
          And[$CellContext`theta$$ == Pi, $CellContext`e$$ == 
           1], $CellContext`theta$$ = Pi + 0.01]; 
        If[$CellContext`e$$ > 
          1, $CellContext`a := $CellContext`d$$ ($CellContext`e$$/(-1 + \
$CellContext`e$$^2)); $CellContext`b := $CellContext`d$$ ($CellContext`e$$/
             Sqrt[-1 + $CellContext`e$$^2]); $CellContext`c := \
$CellContext`d$$ ($CellContext`e$$^2/(-1 + $CellContext`e$$^2)); \
$CellContext`h := $CellContext`c 
            Cos[$CellContext`theta$$]; $CellContext`k := $CellContext`c 
            Sin[$CellContext`theta$$], $CellContext`a := 0]; $CellContext`r[
           Pattern[$CellContext`t$, 
            Blank[]]] := $CellContext`e$$ ($CellContext`d$$/(
           1 + $CellContext`e$$ Cos[$CellContext`t$])); Deploy[
          Column[{
            Text[
             Row[{
               Style[
                TraditionalForm[
                 HoldForm[Style[
                    Row[{
                    Style["r", Italic], "(", 
                    Style["t", Italic], ")"}], 16] == 
                  Style["e", Italic] (Style["d", Italic]/Row[{"1 + ", 
                    Style["e", Italic], " cos(", 
                    Style["t", Italic], " - ", 
                    Style["\[Theta]"], ")"}])]], 20, 
                Darker[Blue, 0.3]], 
               If[$CellContext`e$$ > 1, 
                Row[{"   ", 
                  Checkbox[
                   Dynamic[$CellContext`showasymp$$], {False, True}], 
                  Style[" asymptotes", "Label"]}], ""]}]], "", 
            Text[
             Style[
              Row[{
                
                Which[$CellContext`e$$ < 1, "ellipse", $CellContext`e$$ == 1, 
                 "parabola", $CellContext`e$$ > 1, "hyperbola"], ":  ", 
                Style["e", Italic], " = ", 
                Round[$CellContext`e$$, 0.01], ",  ", 
                Style["d", Italic], " = ", 
                Round[$CellContext`d$$, 0.01], ",  ", "\[Theta]", " = ", 
                Round[$CellContext`theta$$ (180/Pi), 0.01], "\[Degree]"}], 
              Gray, "Label", 14]], 
            Show[
             
             ParametricPlot[{$CellContext`r[$CellContext`t - \
$CellContext`theta$$] 
               Cos[$CellContext`t], $CellContext`r[$CellContext`t - \
$CellContext`theta$$] Sin[$CellContext`t]}, {$CellContext`t, 0, 2 Pi}, 
              MaxRecursion -> ControlActive[0, 1]], 
             If[$CellContext`e$$ > 1, 
              ControlActive[{}, 
               Graphics[{White, 
                 Thickness[Abs[$CellContext`c]/50], 
                 Rotate[
                  
                  Line[{{{$CellContext`h, $CellContext`k}, {
                    1000 $CellContext`a + $CellContext`h, 
                    1000 $CellContext`b + $CellContext`k}}, {{$CellContext`h, \
$CellContext`k}, {(-1000) $CellContext`a + $CellContext`h, 
                    1000 $CellContext`b + $CellContext`k}}, {{$CellContext`h, \
$CellContext`k}, {
                    1000 $CellContext`a + $CellContext`h, (-1000) \
$CellContext`b + $CellContext`k}}, {{$CellContext`h, $CellContext`k}, \
{(-1000) $CellContext`a + $CellContext`h, (-1000) $CellContext`b + \
$CellContext`k}}}], $CellContext`theta$$]}]], {}], 
             If[
              And[$CellContext`e$$ > 1, $CellContext`showasymp$$], 
              ControlActive[{}, 
               Graphics[{
                 Dashing[Medium], Orange, 
                 Rotate[
                  
                  Line[{{{$CellContext`h, $CellContext`k}, {
                    1000 $CellContext`a + $CellContext`h, 
                    1000 $CellContext`b + $CellContext`k}}, {{$CellContext`h, \
$CellContext`k}, {(-1000) $CellContext`a + $CellContext`h, 
                    1000 $CellContext`b + $CellContext`k}}, {{$CellContext`h, \
$CellContext`k}, {
                    1000 $CellContext`a + $CellContext`h, (-1000) \
$CellContext`b + $CellContext`k}}, {{$CellContext`h, $CellContext`k}, \
{(-1000) $CellContext`a + $CellContext`h, (-1000) $CellContext`b + \
$CellContext`k}}}], $CellContext`theta$$]}]], {}], 
             Graphics[{{Purple, 
                PointSize[0.02], 
                Point[{0, 0}]}, {
                Darker[Green, 0.3], 
                Dashing[Medium], 
                Rotate[
                 
                 Line[{{$CellContext`d$$, -10}, {$CellContext`d$$, 
                    10}}], $CellContext`theta$$, {0, 0}]}}], PlotRange -> 2, 
             ImageSize -> 350, GridLines -> {
               Table[{$CellContext`n, 
                 Lighter[Gray, 0.7]}, {$CellContext`n, -3, 3, 0.5}], 
               Table[{$CellContext`n, 
                 Lighter[Gray, 0.7]}, {$CellContext`n, -3, 3, 0.5}]}]}, 
           Alignment -> Center]]], 
      "Specifications" :> {{{$CellContext`e$$, 1.1, 
          Style["              e", 14]}, 0, 2}, {{$CellContext`d$$, 0.5, 
          Style["d", 14]}, -1, 1, ControlType -> VerticalSlider, 
         ControlPlacement -> Left}, {{$CellContext`theta$$, Pi, 
          Style["\[Theta]", 14]}, 0, 2 Pi, ControlType -> VerticalSlider, 
         ControlPlacement -> Left}, {{$CellContext`showasymp$$, True}, {
         True, False}, ControlType -> None}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`e$$, $CellContext`d$$, \
$CellContext`theta$$, $CellContext`showasymp$$}, 
        AutorunSequencing -> {1, 2, 3}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{434., {252., 257.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->884896006],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Conic Sections: Polar Equations",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSectionsPolarEquations/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ConicSectionsPolarEquations/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ConicSectionsPolarEquations/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSectionsPolarEquations/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ConicSectionsPolarEquations/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->251931471],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ConicSectionsPolarEquations"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Conic Sections: Polar Equations - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 223, 4, 70, "Section"],
Cell[816, 29, 17299, 418, 70, "Input"]
}, Open  ]],
Cell[18130, 450, 7666, 157, 70, "Output",
 CellID->884896006],
Cell[CellGroupData[{
Cell[25821, 611, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[26197, 622, 961, 28, 70, "Text"],
Cell[27161, 652, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[27501, 663, 362, 13, 70, "Text",
 CellID->251931471],
Cell[CellGroupData[{
Cell[27888, 680, 829, 24, 70, "Text"],
Cell[28720, 706, 1203, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 3S4YNRFeJd1otBTlv83XU8wq *)
