(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     14896,        405]
NotebookOptionsPosition[     13689,        360]
NotebookOutlinePosition[     14310,        384]
CellTagsIndexPosition[     14267,        381]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Conic Sections: The Double Cone", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"plane", "[", "\[Alpha]_", "]"}], ":=", 
  RowBox[{"ParametricPlot3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"s", " ", 
       RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], ",", "y", ",", 
      RowBox[{"1", "-", 
       RowBox[{"s", " ", 
        RowBox[{"Sin", "[", "\[Alpha]", "]"}]}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"s", ",", 
      RowBox[{"-", "7"}], ",", "7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "7"}], ",", "7"}], "}"}], ",", 
    RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
    RowBox[{"Axes", "\[Rule]", "False"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "5"}], ",", 
    RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.35973577142188*^9, 3.35973579571875*^9}, {
  3.3597358645625*^9, 3.359735969125*^9}, {3.35973602364063*^9, 
  3.35973602764063*^9}, {3.35973675740625*^9, 3.35973675785938*^9}, {
  3.35973679423438*^9, 3.3597367946875*^9}, {3.35973798898438*^9, 
  3.35973802079688*^9}, {3.35973844514063*^9, 3.35973845721875*^9}, {
  3.3599657214375*^9, 3.35996572626563*^9}, {3.36012686396875*^9, 
  3.360126872625*^9}, {3.36118977879688*^9, 3.3611897819375*^9}},
 CellID->275926387],

Cell[BoxData[
 RowBox[{
  RowBox[{"doubleConeWithIntersection", "[", "\[Alpha]_", "]"}], ":=", 
  RowBox[{"ParametricPlot3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"z", " ", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ",", 
      RowBox[{"z", " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", "z"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Theta]", ",", "0", ",", 
      RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", 
      RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
    RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
    RowBox[{"Axes", "\[Rule]", "False"}], ",", 
    RowBox[{"Mesh", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"{", "0.", "}"}], "}"}]}], ",", 
    RowBox[{"MeshFunctions", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Function", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "z", ",", "\[Theta]", ",", "zz"}], "}"}],
         ",", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "z"}], ")"}], 
          RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], "-", 
         RowBox[{"x", " ", 
          RowBox[{"Sin", "[", "\[Alpha]", "]"}]}]}]}], "]"}], "}"}]}], ",", 
    RowBox[{"MeshStyle", "\[Rule]", 
     RowBox[{"AbsoluteThickness", "[", "2", "]"}]}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "50"}], ",", 
    RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "5"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.35973566134375*^9, 3.35973576607813*^9}, {
  3.35973676503125*^9, 3.35973676826563*^9}, {3.35973679973438*^9, 
  3.35973680248438*^9}, {3.3599657109375*^9, 3.35996571434375*^9}, {
  3.35996721039063*^9, 3.35996728901563*^9}, {3.35996802607813*^9, 
  3.3599680265625*^9}, {3.36058141664063*^9, 3.36058142303125*^9}, {
  3.370521915*^9, 3.37052192878125*^9}, {3.370522030609375*^9, 
  3.370522031015625*^9}},
 CellID->695346442],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"doubleConeWithIntersection", "[", "\[Alpha]", "]"}], ",", 
       RowBox[{"plane", "[", "\[Alpha]", "]"}]}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "400"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]", ",", "0", ",", "\"\<inclination\>\""}], "}"}], ",", 
     "0", ",", "\[Pi]", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.35973643301563*^9, 3.3597365515*^9}, {
   3.35973813251563*^9, 3.35973816490625*^9}, {3.3597412899375*^9, 
   3.35974129135938*^9}, 3.3599674414375*^9, {3.35996747375*^9, 
   3.35996751051563*^9}, {3.35996957160938*^9, 3.35996957428125*^9}, {
   3.371546641045201*^9, 3.37154665173853*^9}, {3.3787562697224073`*^9, 
   3.378756275769283*^9}, {3.3800317132552896`*^9, 3.380031744255091*^9}, {
   3.380032480611595*^9, 3.38003248853347*^9}, {3.380736504203125*^9, 
   3.380736504390625*^9}},
 CellID->211751615]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[Alpha]$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Alpha]$$], 0, "inclination"}, 0, Pi}}, 
    Typeset`size$$ = {500., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`\[Alpha]$94694$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`\[Alpha]$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Alpha]$$, $CellContext`\[Alpha]$94694$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[{
         $CellContext`doubleConeWithIntersection[$CellContext`\[Alpha]$$], 
         $CellContext`plane[$CellContext`\[Alpha]$$]}, 
        ImageSize -> {500, 400}], 
      "Specifications" :> {{{$CellContext`\[Alpha]$$, 0, "inclination"}, 0, 
         Pi, Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {241., 246.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`doubleConeWithIntersection[
          Pattern[$CellContext`\[Alpha], 
           Blank[]]] := 
        ParametricPlot3D[{$CellContext`z 
           Cos[$CellContext`\[Theta]], $CellContext`z 
           Sin[$CellContext`\[Theta]], $CellContext`z}, \
{$CellContext`\[Theta], 0, 2 Pi}, {$CellContext`z, -5, 5}, Boxed -> False, 
          Axes -> False, Mesh -> {{0.}}, MeshFunctions -> {
            
            Function[{$CellContext`x, $CellContext`y, $CellContext`z, \
$CellContext`\[Theta], $CellContext`zz}, (1 - $CellContext`z) 
              Cos[$CellContext`\[Alpha]] - $CellContext`x 
             Sin[$CellContext`\[Alpha]]]}, MeshStyle -> AbsoluteThickness[2], 
          PlotPoints -> 50, SphericalRegion -> True, PlotRange -> 
          5], $CellContext`plane[
          Pattern[$CellContext`\[Alpha], 
           Blank[]]] := 
        ParametricPlot3D[{$CellContext`s 
           Cos[$CellContext`\[Alpha]], $CellContext`y, 1 - $CellContext`s 
           Sin[$CellContext`\[Alpha]]}, {$CellContext`s, -7, 
           7}, {$CellContext`y, -7, 7}, Boxed -> False, Axes -> False, 
          PlotRange -> 5, Mesh -> None]}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`plane[
           Pattern[$CellContext`\[Alpha], 
            Blank[]]] := 
         ParametricPlot3D[{$CellContext`s 
            Cos[$CellContext`\[Alpha]], $CellContext`y, 1 - $CellContext`s 
            Sin[$CellContext`\[Alpha]]}, {$CellContext`s, -7, 
            7}, {$CellContext`y, -7, 7}, Boxed -> False, Axes -> False, 
           PlotRange -> 5, Mesh -> 
           None], $CellContext`doubleConeWithIntersection[
           Pattern[$CellContext`\[Alpha], 
            Blank[]]] := 
         ParametricPlot3D[{$CellContext`z 
            Cos[$CellContext`\[Theta]], $CellContext`z 
            Sin[$CellContext`\[Theta]], $CellContext`z}, {$CellContext`\
\[Theta], 0, 2 Pi}, {$CellContext`z, -5, 5}, Boxed -> False, Axes -> False, 
           Mesh -> {{0.}}, MeshFunctions -> {
             
             Function[{$CellContext`x, $CellContext`y, $CellContext`z, \
$CellContext`\[Theta], $CellContext`zz}, (1 - $CellContext`z) 
               Cos[$CellContext`\[Alpha]] - $CellContext`x 
              Sin[$CellContext`\[Alpha]]]}, MeshStyle -> AbsoluteThickness[2],
            PlotPoints -> 50, SphericalRegion -> True, PlotRange -> 5]}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->86181815],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Conic Sections: The Double Cone",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSectionsTheDoubleCone/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ConicSectionsTheDoubleCone/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ConicSectionsTheDoubleCone/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ConicSectionsTheDoubleCone/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ConicSectionsTheDoubleCone/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Phil Ramsden",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Phil+Ramsden"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Phil+Ramsden"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->77196414],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ConicSectionsTheDoubleCone"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Conic Sections: The Double Cone - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 223, 4, 70, "Section"],
Cell[816, 29, 1244, 29, 70, "Input",
 CellID->275926387],
Cell[2063, 60, 1951, 48, 70, "Input",
 CellID->695346442],
Cell[4017, 110, 1215, 27, 70, "Input",
 CellID->211751615]
}, Open  ]],
Cell[5247, 140, 4203, 82, 70, "Output",
 CellID->86181815],
Cell[CellGroupData[{
Cell[9475, 226, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9851, 237, 956, 28, 70, "Text"],
Cell[10810, 267, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[11150, 278, 452, 15, 70, "Text",
 CellID->77196414],
Cell[CellGroupData[{
Cell[11627, 297, 829, 24, 70, "Text"],
Cell[12459, 323, 1202, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 2RNHzjnUjhjmqDTKJaE@E2#f *)
