(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     12479,        361]
NotebookOptionsPosition[     11409,        322]
NotebookOutlinePosition[     12052,        346]
CellTagsIndexPosition[     12009,        343]
WindowTitle->Ellipses and Hyperbolas with the Same Focal Points - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Ellipses and Hyperbolas with the Same Focal Points", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"ParametricPlot", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"1", "/", "e1"}], "  ", 
           RowBox[{"Cos", "[", "u", "]"}]}], ",", 
          RowBox[{
           RowBox[{"Sqrt", "[", 
            RowBox[{
             RowBox[{"1", "/", 
              RowBox[{"e1", "^", "2"}]}], "-", "1"}], "]"}], " ", 
           RowBox[{"Sin", "[", "u", "]"}]}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"1", "/", "e2"}], " ", 
           RowBox[{"Cosh", "[", "u", "]"}]}], ",", 
          RowBox[{
           RowBox[{"Sqrt", "[", 
            RowBox[{"1", "-", 
             RowBox[{"1", "/", 
              RowBox[{"e2", "^", "2"}]}]}], "]"}], " ", 
           RowBox[{"Sinh", "[", "u", "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"-", "1"}], "/", "e2"}], "  ", 
           RowBox[{"Cosh", "[", "u", "]"}]}], ",", 
          RowBox[{
           RowBox[{"Sqrt", "[", 
            RowBox[{"1", "-", 
             RowBox[{"1", "/", 
              RowBox[{"e2", "^", "2"}]}]}], "]"}], " ", 
           RowBox[{"Sinh", "[", "u", "]"}]}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "+", 
           RowBox[{
            RowBox[{"1", "/", "20"}], " ", 
            RowBox[{"Cos", "[", "u", "]"}]}]}], ",", 
          RowBox[{
           RowBox[{"1", "/", "20"}], " ", 
           RowBox[{"Sin", "[", "u", "]"}]}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{
            RowBox[{"1", "/", "20"}], " ", 
            RowBox[{"Cos", "[", "u", "]"}]}]}], ",", 
          RowBox[{
           RowBox[{"1", "/", "20"}], " ", 
           RowBox[{"Sin", "[", "u", "]"}]}]}], "}"}]}], "\[IndentingNewLine]",
        "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"u", ",", 
        RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", 
      RowBox[{"Axes", "\[Rule]", "True"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "e1", ",", ".5", ",", "\"\<\!\(\*SubscriptBox[\(e\), \(1\)]\)\>\""}], 
       "}"}], ",", 
      RowBox[{"1", "/", "2"}], ",", "1", ",", 
      RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "e2", ",", "1.5", ",", "\"\<\!\(\*SubscriptBox[\(e\), \(2\)]\)\>\""}], 
       "}"}], ",", "1", ",", "3", ",", 
      RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4580172250625*^9, 3.4580172295625*^9}, {
   3.45851170964846*^9, 3.4585117403828354`*^9}, {3.45851182039846*^9, 
   3.4585119137578354`*^9}, {3.4585119523515854`*^9, 3.45851195249221*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`e1$$ = 0.5, $CellContext`e2$$ = 1.545, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`e1$$], 0.5, "\!\(\*SubscriptBox[\(e\), \(1\)]\)"}, 
      Rational[1, 2], 1}, {{
       Hold[$CellContext`e2$$], 1.5, "\!\(\*SubscriptBox[\(e\), \(2\)]\)"}, 1,
       3}}, Typeset`size$$ = {360., {180., 184.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`e1$1034666$$ = 0, $CellContext`e2$1034667$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`e1$$ = 0.5, $CellContext`e2$$ = 1.5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`e1$$, $CellContext`e1$1034666$$, 0], 
        Hold[$CellContext`e2$$, $CellContext`e2$1034667$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      ParametricPlot[{{(1/$CellContext`e1$$) Cos[$CellContext`u], 
          Sqrt[1/$CellContext`e1$$^2 - 1] 
          Sin[$CellContext`u]}, {(1/$CellContext`e2$$) Cosh[$CellContext`u], 
          Sqrt[1 - 1/$CellContext`e2$$^2] 
          Sinh[$CellContext`u]}, {((-1)/$CellContext`e2$$) 
          Cosh[$CellContext`u], Sqrt[1 - 1/$CellContext`e2$$^2] 
          Sinh[$CellContext`u]}, {
         1 + (1/20) Cos[$CellContext`u], (1/20) 
          Sin[$CellContext`u]}, {-1 + (1/20) Cos[$CellContext`u], (1/20) 
          Sin[$CellContext`u]}}, {$CellContext`u, -Pi, Pi}, Axes -> True, 
        PlotRange -> {{-2, 2}, {-2, 2}}, PlotStyle -> Black], 
      "Specifications" :> {{{$CellContext`e1$$, 0.5, 
          "\!\(\*SubscriptBox[\(e\), \(1\)]\)"}, 
         Rational[1, 2], 1, Appearance -> 
         "Labeled"}, {{$CellContext`e2$$, 1.5, 
          "\!\(\*SubscriptBox[\(e\), \(2\)]\)"}, 1, 3, Appearance -> 
         "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{405., {238., 243.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->296887588],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Ellipses and Hyperbolas with the Same Focal Points",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
EllipsesAndHyperbolasWithTheSameFocalPoints/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
EllipsesAndHyperbolasWithTheSameFocalPoints/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
EllipsesAndHyperbolasWithTheSameFocalPoints/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
EllipsesAndHyperbolasWithTheSameFocalPoints/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
EllipsesAndHyperbolasWithTheSameFocalPoints/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Erik Stig Larsen",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Erik+Stig+\
Larsen"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Erik+Stig+Larsen"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
EllipsesAndHyperbolasWithTheSameFocalPoints"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Ellipses and Hyperbolas with the Same Focal Points - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[640, 23, 242, 4, 70, "Section"],
Cell[885, 29, 3469, 98, 70, "Input"]
}, Open  ]],
Cell[4369, 130, 2672, 52, 70, "Output",
 CellID->296887588],
Cell[CellGroupData[{
Cell[7066, 186, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[7442, 197, 1060, 31, 70, "Text"],
Cell[8505, 230, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[8845, 241, 442, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[9312, 259, 847, 24, 70, "Text"],
Cell[10162, 285, 1219, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature bSzWa2JzxbE7tATYc3XUg6S# *)
