(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16211,        460]
NotebookOptionsPosition[     14823,        409]
NotebookOutlinePosition[     15452,        433]
CellTagsIndexPosition[     15409,        430]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Five Points Determine a Conic Section", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"makeRow", "[", 
   RowBox[{"{", 
    RowBox[{"x_", ",", "y_"}], "}"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    SuperscriptBox["x", "2"], ",", 
    RowBox[{"x", " ", "y"}], ",", 
    SuperscriptBox["y", "2"], ",", "x", ",", "y", ",", "1"}], 
   "}"}]}]], "Input",
 CellChangeTimes->{
  3.416106747295074*^9, {3.41610855403436*^9, 3.416108554955532*^9}, {
   3.416264781811369*^9, 3.416264783829411*^9}},
 CellID->1272171575],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Conic", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "[", "pts_", "]"}], ":=", 
  RowBox[{"Det", "[", 
   RowBox[{"makeRow", "/@", 
    RowBox[{"Join", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], "}"}], ",", "pts"}], "]"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.416262552869493*^9, 3.416262575006143*^9}, {
  3.416268057285461*^9, 3.416268084679463*^9}, {3.416268133784149*^9, 
  3.4162681358491993`*^9}, {3.416268174148377*^9, 3.416268175740375*^9}},
 CellID->245045330],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
   "One", " ", "could", " ", "compute", " ", "the", " ", "determinant", " ", 
    "symbolically", " ", "for", " ", "arbitrary", " ", "points"}], ",", " ", 
   RowBox[{
   "but", " ", "it", " ", "should", " ", "be", " ", "comparably", " ", 
    "efficient", " ", "to", " ", "compute", " ", "the", " ", "determinant", 
    " ", "each", " ", "time", " ", "for", " ", "numerical", " ", "point", " ",
     
    RowBox[{"values", "."}]}]}], "*)"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.416270147855979*^9, 3.416270148373949*^9}, {
   3.416270417728671*^9, 3.416270493675613*^9}, {3.416270863980804*^9, 
   3.416270909980658*^9}, {3.416692509109375*^9, 3.4166925115625*^9}},
 CellID->980688841],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
   "I", " ", "have", " ", "used", " ", "ContourPlot", " ", "instead", " ", 
    "of", " ", "Plot"}], ",", " ", 
   RowBox[{
   "which", " ", "has", " ", "the", " ", "advantages", " ", "that", " ", 
    "the", " ", "equation", " ", "of", " ", "the", " ", "conic", " ", "is", 
    " ", "automatically", " ", "displayed", " ", "as", " ", "a", " ", 
    "Tooltip", " ", "and", " ", "the", " ", "conic", " ", "is", " ", "not", 
    " ", "broken", " ", "into", " ", "two", " ", 
    RowBox[{"branches", ".", " ", "Also"}]}], ",", " ", 
   RowBox[{"the", " ", "code", " ", "is", " ", 
    RowBox[{"simpler", ".", " ", "A"}], " ", "further", " ", "enhancement", 
    " ", "would", " ", "be", " ", "to", " ", "display", " ", "each", " ", 
    "focus", " ", "and", " ", 
    RowBox[{"directrix", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.416270147855979*^9, 3.416270148373949*^9}, {
   3.416270417728671*^9, 3.416270493675613*^9}, {3.416270863980804*^9, 
   3.416270909980658*^9}, {3.4166544500291195`*^9, 3.4166544655988345`*^9}, {
   3.416692513109375*^9, 3.416692515109375*^9}},
 CellID->153489620],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ContourPlot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"Thread", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Conic", "[", 
          RowBox[{"x", ",", "y"}], "]"}], "/@", 
         RowBox[{"Subsets", "[", 
          RowBox[{"r", ",", 
           RowBox[{"{", "5", "}"}]}], "]"}]}], "\[LongEqual]", "0"}], "]"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
     RowBox[{"PlotPoints", "\[Rule]", "50"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"600", ",", "490"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{"RandomReal", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "2"}], "}"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", "Locator", ",", 
     RowBox[{"LocatorAutoCreate", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"5", ",", "6"}], "}"}]}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4162682057084837`*^9, 3.416268235318902*^9}, {
   3.416268462896914*^9, 3.416268536942585*^9}, {3.416268569327133*^9, 
   3.4162685783184557`*^9}, {3.416268652856097*^9, 3.4162686576756763`*^9}, 
   3.416268699166246*^9, {3.4162687406397457`*^9, 3.416268771981387*^9}, {
   3.416268939352356*^9, 3.416268978456306*^9}, {3.416269063769278*^9, 
   3.416269122952526*^9}, {3.416269183825532*^9, 3.416269184034986*^9}, {
   3.416269245146948*^9, 3.416269245558378*^9}, {3.4162701367591553`*^9, 
   3.4162701428756027`*^9}},
 CellID->1750710011]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r$$ = {{
    0.06257161812061529, -0.5086240788538028}, {-0.15184449349954576`, 
    0.3379782960550055}, {0.399875243444332, 0.150536319087605}, {
    0.6669669066484798, -0.3759389049113411}, {0.9559829997329996, 
    0.18813066935769918`}}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`r$$], {{
       0.06257161812061529, -0.5086240788538028}, {-0.15184449349954576`, 
       0.3379782960550055}, {0.399875243444332, 0.150536319087605}, {
       0.6669669066484798, -0.3759389049113411}, {0.9559829997329996, 
       0.18813066935769918`}}}, {-2, -2}, {2, 2}}}, Typeset`size$$ = {
    600., {243., 247.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`r$2212$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`r$$ = {{
         0.06257161812061529, -0.5086240788538028}, {-0.15184449349954576`, 
         0.3379782960550055}, {0.399875243444332, 0.150536319087605}, {
         0.6669669066484798, -0.3759389049113411}, {0.9559829997329996, 
         0.18813066935769918`}}}, "ControllerVariables" :> {
        Hold[$CellContext`r$$, $CellContext`r$2212$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ContourPlot[
        Evaluate[
         Thread[Map[
            $CellContext`Conic[$CellContext`x, $CellContext`y], 
            Subsets[$CellContext`r$$, {5}]] == 0]], {$CellContext`x, -2, 
         2}, {$CellContext`y, -2, 2}, PlotPoints -> 50, 
        ImageSize -> {600, 490}], 
      "Specifications" :> {{{$CellContext`r$$, {{
          0.06257161812061529, -0.5086240788538028}, {-0.15184449349954576`, 
          0.3379782960550055}, {0.399875243444332, 0.150536319087605}, {
          0.6669669066484798, -0.3759389049113411}, {0.9559829997329996, 
          0.18813066935769918`}}}, {-2, -2}, {2, 2}, ControlType -> Locator, 
         LocatorAutoCreate -> {5, 6}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{644., {270., 275.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`Conic[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`y, 
           Blank[]]][
          Pattern[$CellContext`pts, 
           Blank[]]] := Det[
          Map[$CellContext`makeRow, 
           
           Join[{{$CellContext`x, $CellContext`y}}, $CellContext`pts]]], \
$CellContext`makeRow[{
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            
            Blank[]]}] := {$CellContext`x^2, $CellContext`x $CellContext`y, \
$CellContext`y^2, $CellContext`x, $CellContext`y, 1}}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`makeRow[{
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`y, 
             
             Blank[]]}] := {$CellContext`x^2, $CellContext`x $CellContext`y, \
$CellContext`y^2, $CellContext`x, $CellContext`y, 1}, $CellContext`Conic[
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]][
           Pattern[$CellContext`pts, 
            Blank[]]] := Det[
           Map[$CellContext`makeRow, 
            Join[{{$CellContext`x, $CellContext`y}}, $CellContext`pts]]], 
         Null, Null}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->205425610],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Five Points Determine a Conic Section",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FivePointsDetermineAConicSection/"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/FivePointsDetermineAConicSection/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
FivePointsDetermineAConicSection/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FivePointsDetermineAConicSection/"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/FivePointsDetermineAConicSection/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ed Pegg Jr",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "Modified by: ",
 ButtonBox["Paul Abbott",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Paul+Abbott"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Paul+Abbott"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
FivePointsDetermineAConicSection"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Five Points Determine a Conic Section - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 229, 4, 70, "Section"],
Cell[822, 29, 464, 14, 70, "Input",
 CellID->1272171575],
Cell[1289, 45, 583, 16, 70, "Input",
 CellID->245045330],
Cell[1875, 63, 759, 16, 70, "Input",
 CellID->980688841],
Cell[2637, 81, 1182, 23, 70, "Input",
 CellID->153489620],
Cell[3822, 106, 2106, 55, 70, "Input",
 CellID->1750710011]
}, Open  ]],
Cell[5943, 164, 4164, 88, 70, "Output",
 CellID->205425610],
Cell[CellGroupData[{
Cell[10132, 256, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10508, 267, 988, 29, 70, "Text"],
Cell[11499, 298, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[11861, 311, 427, 14, 70, "Text"],
Cell[12291, 327, 427, 14, 70, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12755, 346, 829, 24, 70, "Text"],
Cell[13587, 372, 1208, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature gRNzozOCURyWuCpXbaL5T7Vm *)
