(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     23698,        618]
NotebookOptionsPosition[     22620,        579]
NotebookOutlinePosition[     23262,        603]
CellTagsIndexPosition[     23219,        600]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["How Does the Vertex Location of a Parabola Change?", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{"reset", ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "b", ",", "c", ",", "reset"}], "}"}], "=", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0", ",", "False"}], "}"}]}]}], "]"}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"xMin", "=", 
         RowBox[{"-", "10"}]}], ",", 
        RowBox[{"xMax", "=", "10"}], ",", 
        RowBox[{"yMin", "=", 
         RowBox[{"-", "10"}]}], ",", 
        RowBox[{"yMax", "=", "10"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"a", " ", 
            SuperscriptBox["x", "2"]}], "+", 
           RowBox[{"b", " ", "x"}], "+", "c"}], ",", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"show", "&&", 
             RowBox[{
              RowBox[{"Abs", "[", "b", "]"}], ">", "0.01"}]}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Abs", "[", "a", "]"}], ">", "0.01"}], ",", 
              RowBox[{
               RowBox[{
                FractionBox["b", "2"], "x"}], "+", "c"}], ",", "0"}], "]"}], 
            ",", "11"}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"show", "&&", 
             RowBox[{
              RowBox[{"Abs", "[", "a", "]"}], ">", "0.01"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "a"}], " ", 
              RowBox[{"x", "^", "2"}]}], "+", "c"}], ",", "11"}], "]"}]}], 
         "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"x", ",", "xMin", ",", "xMax"}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"yMin", ",", "yMax"}], "}"}]}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"BaseStyle", "\[Rule]", "13"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"450", ",", "450"}], "}"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"GridLines", "\[Rule]", 
         RowBox[{"If", "[", 
          RowBox[{"grid", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Range", "[", 
              RowBox[{"xMin", ",", "xMax"}], "]"}], ",", 
             RowBox[{"Range", "[", 
              RowBox[{"yMin", ",", "yMax"}], "]"}]}], "}"}], ",", "None"}], 
          "]"}]}], ",", 
        RowBox[{"GridLinesStyle", "\[Rule]", 
         RowBox[{"GrayLevel", "[", "0.9", "]"}]}], ",", "\[IndentingNewLine]",
         
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Thick", ",", "Blue"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Dashed", ",", "Gray"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Dashed", ",", "Red"}], "}"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PlotLabel", "\[Rule]", 
         RowBox[{"If", "[", 
          RowBox[{"label", ",", "\[IndentingNewLine]", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"y", ",", "Italic"}], "]"}], ",", "\"\< = \>\"", ",",
                 
                RowBox[{
                 RowBox[{
                  RowBox[{"Rationalize", "[", "a", "]"}], 
                  SuperscriptBox["x", "2"]}], "+", 
                 RowBox[{
                  RowBox[{"Rationalize", "[", "b", "]"}], " ", "x"}], "+", 
                 RowBox[{"Rationalize", "[", "c", "]"}]}], ",", 
                RowBox[{"Column", "[", 
                 RowBox[{
                  RowBox[{"{", "\"\< \>\"", "}"}], ",", 
                  RowBox[{"ItemSize", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"Automatic", ",", "3"}], "}"}]}]}], "]"}]}], 
               "}"}], "]"}], ",", "Blue"}], "]"}], ",", 
           RowBox[{"Column", "[", 
            RowBox[{
             RowBox[{"{", "\"\< \>\"", "}"}], ",", 
             RowBox[{"ItemSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"Automatic", ",", "3"}], "}"}]}]}], "]"}]}], "]"}]}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"Epilog", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Black", ",", 
           RowBox[{"AbsolutePointSize", "[", "6", "]"}], ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"show", "&&", 
              RowBox[{
               RowBox[{"Abs", "[", "a", "]"}], ">", "0.01"}]}], ",", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "b"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"2", "a"}], ")"}]}], ",", 
                RowBox[{"c", "-", 
                 RowBox[{
                  RowBox[{"b", "^", "2"}], "/", 
                  RowBox[{"(", 
                   RowBox[{"4", "a"}], ")"}]}]}]}], "}"}], "]"}], ",", 
             "Black"}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"show", "&&", "label"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Abs", "[", "a", "]"}], ">", "0.01"}], ",", 
                 RowBox[{"Text", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"y", ",", "Italic"}], "]"}], ",", "\"\< = \>\"", 
                    ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Rationalize", "[", "a", "]"}]}], " ", 
                    SuperscriptBox["x", "2"]}], "+", 
                    RowBox[{"Rationalize", "[", "c", "]"}]}]}], "}"}], "]"}], 
                    ",", "16", ",", "Red"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xMin", "+", "3"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"a", ">", "0"}], ",", 
                    RowBox[{"yMin", "+", "2"}], ",", 
                    RowBox[{"yMax", "-", "2"}]}], "]"}]}], "}"}]}], "]"}], 
                 ",", "Black"}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Abs", "[", "b", "]"}], ">", "0.01"}], ",", 
                 RowBox[{"Text", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"y", ",", "Italic"}], "]"}], ",", "\"\< = \>\"", 
                    ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Rationalize", "[", 
                    RowBox[{"b", "/", "2"}], "]"}], "x"}], "+", 
                    RowBox[{"Rationalize", "[", "c", "]"}]}]}], "}"}], "]"}], 
                    ",", "16", ",", "Gray"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xMax", "-", "3"}], ",", 
                    RowBox[{
                    RowBox[{"Sign", "[", "b", "]"}], 
                    RowBox[{"Min", "[", 
                    RowBox[{
                    RowBox[{"Abs", "[", 
                    RowBox[{"yMax", " ", 
                    RowBox[{"b", "/", "2"}]}], "]"}], ",", 
                    RowBox[{"yMax", "-", "2"}]}], "]"}]}]}], "}"}]}], "]"}], 
                 ",", "Black"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
             "Black"}], "]"}]}], "}"}]}]}], "]"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   "\"\<plot  y = a \!\(\*SuperscriptBox[\(x\), \(2\)]\) + b x + c\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "1"}], "}"}], ",", 
     RowBox[{"-", "3"}], ",", "3", ",", ".1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "0"}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "0"}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"show", ",", "False"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"label", ",", "False"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"grid", ",", "False"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"reset", ",", "False"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "3"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.400162513867877*^9, 3.4001625349999104`*^9}, {
   3.4001625751605377`*^9, 3.400162586918487*^9}, {3.400176954203125*^9, 
   3.400176956625*^9}, 3.400188536831463*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`b$$ = 
    0, $CellContext`c$$ = 0, $CellContext`grid$$ = 
    False, $CellContext`label$$ = False, $CellContext`reset$$ = 
    False, $CellContext`show$$ = False, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold["plot  y = a \!\(\*SuperscriptBox[\(x\), \(2\)]\) + b x + c"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`a$$], 1}, -3, 3, 0.1}, {{
       Hold[$CellContext`b$$], 0}, -10, 10, 0.1}, {{
       Hold[$CellContext`c$$], 0}, -10, 10, 0.1}, {{
       Hold[$CellContext`show$$], False}, {False, True}}, {{
       Hold[$CellContext`label$$], False}, {False, True}}, {{
       Hold[$CellContext`grid$$], False}, {False, True}}, {{
       Hold[$CellContext`reset$$], False}, {False, True}}}, Typeset`size$$ = {
    450., {222., 228.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$47128$$ = 
    0, $CellContext`b$47129$$ = 0, $CellContext`c$47130$$ = 
    0, $CellContext`show$47131$$ = False, $CellContext`label$47132$$ = 
    False, $CellContext`grid$47133$$ = False, $CellContext`reset$47134$$ = 
    False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 1, $CellContext`b$$ = 
        0, $CellContext`c$$ = 0, $CellContext`grid$$ = 
        False, $CellContext`label$$ = False, $CellContext`reset$$ = 
        False, $CellContext`show$$ = False}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$47128$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$47129$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$47130$$, 0], 
        Hold[$CellContext`show$$, $CellContext`show$47131$$, False], 
        Hold[$CellContext`label$$, $CellContext`label$47132$$, False], 
        Hold[$CellContext`grid$$, $CellContext`grid$47133$$, False], 
        Hold[$CellContext`reset$$, $CellContext`reset$47134$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`reset$$, {$CellContext`a$$, $CellContext`b$$, \
$CellContext`c$$, $CellContext`reset$$} = {1, 0, 0, False}]; 
       With[{$CellContext`xMin$ = -10, $CellContext`xMax$ = 
          10, $CellContext`yMin$ = -10, $CellContext`yMax$ = 10}, 
         Plot[{$CellContext`a$$ $CellContext`x^2 + $CellContext`b$$ \
$CellContext`x + $CellContext`c$$, 
           If[
            And[$CellContext`show$$, Abs[$CellContext`b$$] > 0.01], 
            If[
            Abs[$CellContext`a$$] > 
             0.01, ($CellContext`b$$/2) $CellContext`x + $CellContext`c$$, 0],
             11], 
           If[
            
            And[$CellContext`show$$, Abs[$CellContext`a$$] > 
             0.01], (-$CellContext`a$$) $CellContext`x^2 + $CellContext`c$$, 
            11]}, {$CellContext`x, $CellContext`xMin$, $CellContext`xMax$}, 
          PlotRange -> {$CellContext`yMin$, $CellContext`yMax$}, AspectRatio -> 
          Automatic, BaseStyle -> 13, ImageSize -> {450, 450}, GridLines -> 
          If[$CellContext`grid$$, {
             Range[$CellContext`xMin$, $CellContext`xMax$], 
             Range[$CellContext`yMin$, $CellContext`yMax$]}, None], 
          GridLinesStyle -> GrayLevel[0.9], 
          PlotStyle -> {{Thick, Blue}, {Dashed, Gray}, {Dashed, Red}}, 
          PlotLabel -> If[$CellContext`label$$, 
            Style[
             Row[{
               Style[$CellContext`y, Italic], " = ", 
               Rationalize[$CellContext`a$$] $CellContext`x^2 + 
               Rationalize[$CellContext`b$$] $CellContext`x + 
               Rationalize[$CellContext`c$$], 
               Column[{" "}, ItemSize -> {Automatic, 3}]}], Blue], 
            Column[{" "}, ItemSize -> {Automatic, 3}]], Epilog -> {Black, 
            AbsolutePointSize[6], 
            If[
             And[$CellContext`show$$, Abs[$CellContext`a$$] > 0.01], 
             
             Point[{(-$CellContext`b$$)/(
               2 $CellContext`a$$), $CellContext`c$$ - $CellContext`b$$^2/(
               4 $CellContext`a$$)}], Black], 
            If[
             And[$CellContext`show$$, $CellContext`label$$], {
              If[Abs[$CellContext`a$$] > 0.01, 
               Text[
                Style[
                 Row[{
                   Style[$CellContext`y, Italic], 
                   " = ", (-Rationalize[$CellContext`a$$]) $CellContext`x^2 + 
                   Rationalize[$CellContext`c$$]}], 16, 
                 Red], {$CellContext`xMin$ + 3, 
                 
                 If[$CellContext`a$$ > 0, $CellContext`yMin$ + 
                  2, $CellContext`yMax$ - 2]}], Black], 
              If[Abs[$CellContext`b$$] > 0.01, 
               Text[
                Style[
                 Row[{
                   Style[$CellContext`y, Italic], " = ", 
                   Rationalize[$CellContext`b$$/2] $CellContext`x + 
                   Rationalize[$CellContext`c$$]}], 16, 
                 Gray], {$CellContext`xMax$ - 3, Sign[$CellContext`b$$] Min[
                   
                   Abs[$CellContext`yMax$ ($CellContext`b$$/
                    2)], $CellContext`yMax$ - 2]}], Black]}, Black]}]]), 
      "Specifications" :> {
       "plot  y = a \!\(\*SuperscriptBox[\(x\), \(2\)]\) + b x + c", \
{{$CellContext`a$$, 1}, -3, 3, 0.1, ImageSize -> 
         Small}, {{$CellContext`b$$, 0}, -10, 10, 0.1, ImageSize -> 
         Small}, {{$CellContext`c$$, 0}, -10, 10, 0.1, ImageSize -> Small}, 
        Delimiter, {{$CellContext`show$$, False}, {
         False, True}}, {{$CellContext`label$$, False}, {
         False, True}}, {{$CellContext`grid$$, False}, {
         False, True}}, {{$CellContext`reset$$, False}, {False, True}}}, 
      "Options" :> {
       ControlPlacement -> Left, 
        AutorunSequencing -> {{1, 3}, {2, 3}, {3, 3}}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{639., {250., 255.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->121129079],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["How Does the Vertex Location of a Parabola Change?",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
HowDoesTheVertexLocationOfAParabolaChange/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
HowDoesTheVertexLocationOfAParabolaChange/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
HowDoesTheVertexLocationOfAParabolaChange/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
HowDoesTheVertexLocationOfAParabolaChange/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
HowDoesTheVertexLocationOfAParabolaChange/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Eric Schulz",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Eric+Schulz"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Eric+Schulz"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
HowDoesTheVertexLocationOfAParabolaChange"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"How Does the Vertex Location of a Parabola Change? - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 242, 4, 70, "Section"],
Cell[835, 29, 10782, 276, 70, "Input"]
}, Open  ]],
Cell[11632, 308, 6662, 131, 70, "Output",
 CellID->121129079],
Cell[CellGroupData[{
Cell[18319, 443, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[18695, 454, 1050, 31, 70, "Text"],
Cell[19748, 487, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[20088, 498, 430, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[20543, 516, 829, 24, 70, "Text"],
Cell[21375, 542, 1217, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature WRj5kUxI9@KsSATPaHRbh8fA *)
