(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     29401,        759]
NotebookOptionsPosition[     28272,        718]
NotebookOutlinePosition[     28905,        742]
CellTagsIndexPosition[     28862,        739]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Intersecting a Rotating Cone with a Plane", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"LinePlaneIntersection", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x1_", ",", "y1_", ",", "z1_"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x2_", ",", "y2_", ",", "z2_"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x3_", ",", "y3_", ",", "z3_"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x4_", ",", "y4_", ",", "z4_"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x5_", ",", "y5_", ",", "z5_"}], "}"}]}], "}"}]}], "]"}], ":=",
   
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t", "=", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Det", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x1", ",", "x2", ",", "x3", ",", "x4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y1", ",", "y2", ",", "y3", ",", "y4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"z1", ",", "z2", ",", "z3", ",", "z4"}], "}"}]}], "}"}], 
         "]"}]}], "/", 
       RowBox[{"Det", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"x1", ",", "x2", ",", "x3", ",", 
            RowBox[{"x5", "-", "x4"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y1", ",", "y2", ",", "y3", ",", 
            RowBox[{"y5", "-", "y4"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"z1", ",", "z2", ",", "z3", ",", 
            RowBox[{"z5", "-", "z4"}]}], "}"}]}], "}"}], "]"}]}]}], "}"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"Point", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x4", "+", 
        RowBox[{"t", 
         RowBox[{"(", 
          RowBox[{"x5", "-", "x4"}], ")"}]}]}], ",", 
       RowBox[{"y4", "+", 
        RowBox[{"t", 
         RowBox[{"(", 
          RowBox[{"y5", "-", "y4"}], ")"}]}]}], ",", 
       RowBox[{"z4", "+", 
        RowBox[{"t", 
         RowBox[{"(", 
          RowBox[{"z5", "-", "z4"}], ")"}]}]}]}], "}"}], "]"}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.3949935148062215`*^9, 3.3949935156990695`*^9}},
 CellID->277434154],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"preborder", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", 
         RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", 
         RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"lines", "=", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Map", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "height"}], "}"}], "+", 
           RowBox[{
            RowBox[{"RotationMatrix", "[", " ", 
             RowBox[{"angle", ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], ".", 
            "#"}]}], "&"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Cos", "[", "a", "]"}], ",", 
             RowBox[{"Sin", "[", "a", "]"}], ",", 
             RowBox[{"-", "2"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"a", "+", "Pi"}], "]"}], ",", 
             RowBox[{"Sin", "[", 
              RowBox[{"a", "+", "Pi"}], "]"}], ",", "2"}], "}"}]}], "}"}]}], 
        "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "0", ",", 
         RowBox[{"2", "Pi"}], ",", ".1"}], "}"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"a", "=", 
     RowBox[{"ArcTan", "[", 
      RowBox[{"1", "/", "2."}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Opacity", "[", ".8", "]"}], ",", 
          RowBox[{"Polygon", "[", 
           RowBox[{"2", "preborder"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{".3", ",", "1", ",", ".2"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Line", "[", 
         RowBox[{"2", "preborder"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{".3", ",", ".2", ",", "1"}], "]"}], ",", 
        RowBox[{"Line", "/@", "lines"}], ",", "\[IndentingNewLine]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", ".2", ",", ".3"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PointSize", "[", ".015", "]"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"LinePlaneIntersection", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}], ",", "#"}], 
           "]"}], "&"}], "/@", "lines"}], ",", "\[IndentingNewLine]", 
        RowBox[{"If", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"height", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"PointSize", "[", ".02", "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0"}], "}"}], "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", "}"}]}], "\[IndentingNewLine]", "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"height", "\[Equal]", "0"}], "&&", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"3", "/", "2"}], "Pi"}], "-", "a"}], "==", "angle"}], 
             "||", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"1", " ", "/", "2"}], "Pi"}], "-", "a"}], "==", 
              "angle"}], "||", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"3", "/", "2"}], "Pi"}], "-", "a"}], "==", "angle"}], 
             "||", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"3", "/", "2"}], "Pi"}], "+", "a"}], "==", 
              "angle"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Dashed", ",", 
            RowBox[{"Thickness", "[", ".01", "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "3"}], ",", "0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "0", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
           "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", "}"}]}], "\[IndentingNewLine]", "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"height", "\[Equal]", "0"}], "&&", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Pi", "/", "2"}], "-", "a"}], "<", "angle", "<", 
              RowBox[{
               RowBox[{"Pi", "/", "2"}], "+", "a"}]}], "||", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"3", "/", "2"}], "Pi"}], "-", "a"}], "<", "angle", 
              "<", 
              RowBox[{
               RowBox[{
                RowBox[{"3", "/", "2"}], "Pi"}], "+", "a"}]}]}], ")"}]}], ",",
           "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Sort", "[", 
            RowBox[{"lines", ",", "3"}], "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"Dashed", ",", 
             RowBox[{"Thickness", "[", ".01", "]"}], ",", 
             RowBox[{"Map", "[", 
              RowBox[{"Line", ",", 
               RowBox[{
                RowBox[{"3", "/", "2"}], 
                RowBox[{"Take", "[", 
                 RowBox[{
                  RowBox[{"Sort", "[", 
                   RowBox[{"lines", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Abs", "@", 
                    RowBox[{"#1", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "3"}], "]"}], "]"}]}], "<", 
                    RowBox[{"Abs", "@", 
                    RowBox[{"#2", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "3"}], "]"}], "]"}]}]}], "&"}]}], "]"}],
                   ",", "2"}], "]"}]}]}], "]"}]}], "}"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", "}"}]}], "\[IndentingNewLine]", "]"}]}], 
       "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"400", ",", "400"}], "}"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"angle", ",", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"Pi", "/", "2"}], "-", 
         RowBox[{"ArcTan", "[", 
          RowBox[{"1", "/", "2"}], "]"}], "+", ".5"}], "]"}]}], "}"}], ",", 
     "0", ",", 
     RowBox[{"2", "Pi"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"height", ",", "0"}], "}"}], ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", "Manipulate"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.3950027840985003`*^9, {3.3950030668908844`*^9, 
   3.3950030784868684`*^9}, 3.395003128206208*^9, {3.3950032246367903`*^9, 
   3.3950033803876886`*^9}, {3.3950042690546503`*^9, 3.3950043273151183`*^9}, 
   3.3950043853417964`*^9, {3.3950048603637404`*^9, 3.3950049028597946`*^9}, 
   3.395048716118908*^9, {3.3950487652269278`*^9, 3.395048767190625*^9}, {
   3.3950487981889915`*^9, 3.395048801041028*^9}, {3.3950489107164407`*^9, 
   3.3950489503092527`*^9}, {3.3950490215443316`*^9, 3.395049051155409*^9}, {
   3.3950490915781183`*^9, 3.3950491070389075`*^9}, {3.3950491468063664`*^9, 
   3.3950492623247004`*^9}, {3.3950493257113976`*^9, 
   3.3950493821383543`*^9}, {3.3950494608489656`*^9, 3.395049487486359*^9}, {
   3.3950495210834937`*^9, 3.3950495475350785`*^9}, 3.3950495830547895`*^9, {
   3.3950496278445835`*^9, 3.395049731376115*^9}, {3.3950498181309805`*^9, 
   3.395049898145688*^9}, {3.3950504945880995`*^9, 3.3950505075105295`*^9}, {
   3.3950509423184557`*^9, 3.395050944222498*^9}, {3.3950509994564023`*^9, 
   3.3950510166046963`*^9}, {3.395051053801365*^9, 3.3950510749057455`*^9}, {
   3.395052189988265*^9, 3.3950522054149837`*^9}, {3.3950639096850643`*^9, 
   3.3950639681675677`*^9}, {3.3950658252157745`*^9, 3.3950658866220245`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`angle$$ = 
    1.6071487177940904`, $CellContext`height$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`angle$$], 1.6071487177940904`}, 0, 2 Pi}, {{
       Hold[$CellContext`height$$], 0}, -1, 1}}, Typeset`size$$ = {
    400., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`angle$1725518$$ = 
    0, $CellContext`height$1725519$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`angle$$ = 
        1.6071487177940904`, $CellContext`height$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`angle$$, $CellContext`angle$1725518$$, 0], 
        Hold[$CellContext`height$$, $CellContext`height$1725519$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`preborder = {{-1, -1, 0}, {1, -1, 0}, {1, 1, 
         0}, {-1, 1, 0}, {-1, -1, 0}}; $CellContext`lines = Table[
          Map[{0, 0, $CellContext`height$$} + Dot[
             RotationMatrix[$CellContext`angle$$, {0, 1, 0}], #]& , {{
             Cos[$CellContext`a], 
             Sin[$CellContext`a], -2}, {
             Cos[$CellContext`a + Pi], 
             Sin[$CellContext`a + Pi], 2}}], {$CellContext`a, 0, 2 Pi, 
           0.1}]; $CellContext`a = ArcTan[1/2.]; Graphics3D[{{
           Opacity[0.8], 
           Polygon[2 $CellContext`preborder]}, 
          RGBColor[0.3, 1, 0.2], 
          Line[2 $CellContext`preborder], 
          RGBColor[0.3, 0.2, 1], 
          Map[Line, $CellContext`lines], 
          RGBColor[1, 0.2, 0.3], 
          PointSize[0.015], 
          
          Map[$CellContext`LinePlaneIntersection[{{0, 0, 0}, {1, 0, 0}, {0, 1,
             0}}, #]& , $CellContext`lines], 
          If[$CellContext`height$$ == 0, {
            PointSize[0.02], 
            Point[{0, 0, 0}]}, {}], 
          If[
           And[$CellContext`height$$ == 0, 
            
            Or[(3/2) Pi - $CellContext`a == $CellContext`angle$$, (1/2) 
               Pi - $CellContext`a == $CellContext`angle$$, (3/2) 
               Pi - $CellContext`a == $CellContext`angle$$, (3/2) 
               Pi + $CellContext`a == $CellContext`angle$$]], {Dashed, 
            Thickness[0.01], 
            Line[{{-3, 0, 0}, {3, 0, 0}}]}, {}], 
          If[
           And[$CellContext`height$$ == 0, 
            Or[
            Pi/2 - $CellContext`a < $CellContext`angle$$ < 
             Pi/2 + $CellContext`a, (3/2) 
               Pi - $CellContext`a < $CellContext`angle$$ < (3/2) 
               Pi + $CellContext`a]], Sort[$CellContext`lines, 3]; {Dashed, 
             Thickness[0.01], 
             Map[Line, (3/2) Take[
                Sort[$CellContext`lines, Abs[
                   Part[#, 1, 3]] < Abs[
                   Part[#2, 1, 3]]& ], 2]]}, {}]}, 
         PlotRange -> {{-3, 3}, {-2, 2}, {-3, 3}}, Boxed -> False, 
         ImageSize -> {400, 400}]), 
      "Specifications" :> {{{$CellContext`angle$$, 1.6071487177940904`}, 0, 2 
         Pi}, {{$CellContext`height$$, 0}, -1, 1}}, 
      "Options" :> {TrackedSymbols :> Manipulate}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {255., 260.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`preborder = {{-1, -1, 0}, {1, -1, 0}, {1, 
         1, 0}, {-1, 1, 0}, {-1, -1, 
         0}}, $CellContext`lines = CompressedData["
1:eJw11mdUVVcWB/ALxALYYHQAUSkKGKQKBETJviAqGGMsgC1MHAuoIIpdNCBG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         
         "], $CellContext`a = 
        0.4636476090008061, $CellContext`LinePlaneIntersection[{{
            Pattern[$CellContext`x1, 
             Blank[]], 
            Pattern[$CellContext`y1, 
             Blank[]], 
            Pattern[$CellContext`z1, 
             Blank[]]}, {
            Pattern[$CellContext`x2, 
             Blank[]], 
            Pattern[$CellContext`y2, 
             Blank[]], 
            Pattern[$CellContext`z2, 
             Blank[]]}, {
            Pattern[$CellContext`x3, 
             Blank[]], 
            Pattern[$CellContext`y3, 
             Blank[]], 
            Pattern[$CellContext`z3, 
             Blank[]]}}, {{
            Pattern[$CellContext`x4, 
             Blank[]], 
            Pattern[$CellContext`y4, 
             Blank[]], 
            Pattern[$CellContext`z4, 
             Blank[]]}, {
            Pattern[$CellContext`x5, 
             Blank[]], 
            Pattern[$CellContext`y5, 
             Blank[]], 
            Pattern[$CellContext`z5, 
             Blank[]]}}] := 
        Module[{$CellContext`t = -(
             Det[{{1, 1, 1, 
                1}, {$CellContext`x1, $CellContext`x2, $CellContext`x3, \
$CellContext`x4}, {$CellContext`y1, $CellContext`y2, $CellContext`y3, \
$CellContext`y4}, {$CellContext`z1, $CellContext`z2, $CellContext`z3, \
$CellContext`z4}}]/
             Det[{{1, 1, 1, 
               0}, {$CellContext`x1, $CellContext`x2, $CellContext`x3, \
$CellContext`x5 - $CellContext`x4}, {$CellContext`y1, $CellContext`y2, \
$CellContext`y3, $CellContext`y5 - $CellContext`y4}, {$CellContext`z1, \
$CellContext`z2, $CellContext`z3, $CellContext`z5 - $CellContext`z4}}])}, 
          
          Point[{$CellContext`x4 + $CellContext`t ($CellContext`x5 - \
$CellContext`x4), $CellContext`y4 + $CellContext`t ($CellContext`y5 - \
$CellContext`y4), $CellContext`z4 + $CellContext`t ($CellContext`z5 - \
$CellContext`z4)}]], Attributes[PlotRange] = {ReadProtected}}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`LinePlaneIntersection[{{
             Pattern[$CellContext`x1, 
              Blank[]], 
             Pattern[$CellContext`y1, 
              Blank[]], 
             Pattern[$CellContext`z1, 
              Blank[]]}, {
             Pattern[$CellContext`x2, 
              Blank[]], 
             Pattern[$CellContext`y2, 
              Blank[]], 
             Pattern[$CellContext`z2, 
              Blank[]]}, {
             Pattern[$CellContext`x3, 
              Blank[]], 
             Pattern[$CellContext`y3, 
              Blank[]], 
             Pattern[$CellContext`z3, 
              Blank[]]}}, {{
             Pattern[$CellContext`x4, 
              Blank[]], 
             Pattern[$CellContext`y4, 
              Blank[]], 
             Pattern[$CellContext`z4, 
              Blank[]]}, {
             Pattern[$CellContext`x5, 
              Blank[]], 
             Pattern[$CellContext`y5, 
              Blank[]], 
             Pattern[$CellContext`z5, 
              Blank[]]}}] := 
         Module[{$CellContext`t = (-
              Det[{{1, 1, 1, 
                 1}, {$CellContext`x1, $CellContext`x2, $CellContext`x3, \
$CellContext`x4}, {$CellContext`y1, $CellContext`y2, $CellContext`y3, \
$CellContext`y4}, {$CellContext`z1, $CellContext`z2, $CellContext`z3, \
$CellContext`z4}}])/
             Det[{{1, 1, 1, 
               0}, {$CellContext`x1, $CellContext`x2, $CellContext`x3, \
$CellContext`x5 - $CellContext`x4}, {$CellContext`y1, $CellContext`y2, \
$CellContext`y3, $CellContext`y5 - $CellContext`y4}, {$CellContext`z1, \
$CellContext`z2, $CellContext`z3, $CellContext`z5 - $CellContext`z4}}]}, 
           
           Point[{$CellContext`x4 + $CellContext`t ($CellContext`x5 - \
$CellContext`x4), $CellContext`y4 + $CellContext`t ($CellContext`y5 - \
$CellContext`y4), $CellContext`z4 + $CellContext`t ($CellContext`z5 - \
$CellContext`z4)}]]}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->132413374],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Intersecting a Rotating Cone with a Plane",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
IntersectingARotatingConeWithAPlane/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/IntersectingARotatingConeWithAPlane/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
IntersectingARotatingConeWithAPlane/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
IntersectingARotatingConeWithAPlane/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/IntersectingARotatingConeWithAPlane/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["George Beck",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=George+Beck"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=George+Beck"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
IntersectingARotatingConeWithAPlane"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Intersecting a Rotating Cone with a Plane - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 233, 4, 70, "Section"],
Cell[826, 29, 2379, 69, 70, "Input",
 CellID->277434154],
Cell[3208, 100, 9962, 248, 70, "Input"]
}, Open  ]],
Cell[13185, 351, 10810, 229, 70, "Output",
 CellID->132413374],
Cell[CellGroupData[{
Cell[24020, 584, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[24396, 595, 1007, 29, 70, "Text"],
Cell[25406, 626, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[25746, 637, 430, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[26201, 655, 829, 24, 70, "Text"],
Cell[27033, 681, 1211, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature zQNktRXf7GQhWDDVzKTgMCrk *)
