(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     21450,        561]
NotebookOptionsPosition[     20369,        521]
NotebookOutlinePosition[     20996,        545]
CellTagsIndexPosition[     20953,        542]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Intersection of a Line and a Circle", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"s", "=", 
        RowBox[{"DistanceFromLineToCircleCenter", "[", 
         RowBox[{"m", ",", "b", ",", "xp", ",", "yp"}], "]"}]}], ",", "pts"}],
       "}"}], ",", 
     RowBox[{
      RowBox[{"pts", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"s", "\[LessEqual]", "r"}], ",", 
         RowBox[{"Block", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x", ",", "y"}], "}"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}], "/.", 
            RowBox[{"NSolve", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"x", "-", "xp"}], ")"}], "2"], "+", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"y", "-", "yp"}], ")"}], "2"]}], "\[Equal]", 
                 SuperscriptBox["r", "2"]}], ",", 
                RowBox[{"y", "\[Equal]", 
                 RowBox[{
                  RowBox[{"m", " ", "x"}], "+", "b"}]}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}]}], "]"}], ",", 
         RowBox[{"{", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"m", " ", "x"}], " ", "+", "b"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
        RowBox[{"Epilog", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
           RowBox[{"Circle", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"xp", ",", "yp"}], "}"}], ",", "r"}], "]"}], ",", 
           "Black", ",", 
           RowBox[{"AbsolutePointSize", "[", "5", "]"}], ",", 
           RowBox[{"Point", "[", "pts", "]"}]}], "}"}]}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"400", ",", "400"}], "}"}]}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", 
         RowBox[{"Which", "[", 
          RowBox[{
           RowBox[{"s", ">", "r"}], ",", "\"\<There is no intersection.\>\"", 
           ",", 
           RowBox[{"s", "\[Equal]", "r"}], ",", 
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
             "\"\<There is one intersection point: \>\"", ",", "\"\<(\>\"", 
              ",", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"pts", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], ",", "\"\<,\>\"", 
              ",", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"pts", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], ",", "\"\<)\>\"", 
              ",", "\"\<.\>\""}], "}"}], "]"}], ",", 
           RowBox[{"s", "<", "r"}], ",", 
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
             "\"\<There are two intersection points: \>\"", ",", "\"\<(\>\"", 
              ",", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"pts", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], ",", "\"\<,\>\"", 
              ",", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"pts", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], ",", "\"\<)\>\"", 
              ",", "\"\< and \>\"", ",", "\"\<(\>\"", ",", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"pts", "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], ",", "\"\<,\>\"", 
              ",", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"pts", "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "2"}], "]"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], ",", "\"\<)\>\"", 
              ",", "\"\<.\>\""}], "}"}], "]"}]}], "]"}]}]}], "]"}]}]}], "]"}],
    ",", "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<line\>\"", ",", "Bold"}], "]"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "1.25", ",", "\"\<slope\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "7.3", ",", "\"\<y intercept\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", "Delimiter", ",",
    "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<circle\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", "\"\<     center coordinates\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xp", ",", ".63", ",", "\"\<x\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"yp", ",", "2.22", ",", "\"\<y\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "5.36", ",", "\"\<radius r\>\""}], "}"}], ",", "1", 
     ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"DistanceFromLineToCircleCenter", "[", 
       RowBox[{"m_", ",", "b_", ",", "xp_", ",", "yp_"}], "]"}], ":=", 
      RowBox[{"Block", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "pt"}], "}"}], ",", 
        RowBox[{
         RowBox[{"pt", "=", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x", ",", "y"}], "}"}], "/.", 
           RowBox[{
            RowBox[{"NSolve", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"m", 
                  RowBox[{"(", 
                   RowBox[{"yp", "-", "y"}], ")"}]}], "\[Equal]", 
                 RowBox[{"x", "-", "xp"}]}], ",", 
                RowBox[{"y", "==", 
                 RowBox[{
                  RowBox[{"m", " ", "x"}], " ", "+", "b"}]}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}]}], ";", 
         RowBox[{"EuclideanDistance", "[", 
          RowBox[{"pt", ",", 
           RowBox[{"{", 
            RowBox[{"xp", ",", "yp"}], "}"}]}], "]"}]}]}], "]"}]}], ")"}]}]}],
   "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4094991360974035`*^9, 3.4094991364880333`*^9}, {
   3.4094998256463957`*^9, 3.4094998448025227`*^9}, {3.409500753586857*^9, 
   3.4095007565868955`*^9}, {3.4095009660427017`*^9, 
   3.4095009672927175`*^9}, {3.409501107466387*^9, 3.409501122919709*^9}, {
   3.409693749027842*^9, 3.4096937811649704`*^9}, {3.4096944124571176`*^9, 
   3.4096944195818896`*^9}, {3.4096944544089003`*^9, 3.40969450659473*^9}, {
   3.409699830421875*^9, 3.409699835*^9}, {3.40969987315625*^9, 
   3.409699919578125*^9}, {3.409701216778463*^9, 3.409701262919088*^9}, {
   3.409701296778463*^9, 3.409701300450338*^9}, {3.409701359403463*^9, 
   3.409701370731588*^9}},
 CellID->423694867]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`b$$ = 7.3, $CellContext`m$$ = 
    1.25, $CellContext`r$$ = 5.36, $CellContext`xp$$ = 
    0.63, $CellContext`yp$$ = 2.22, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Style["line", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`m$$], 1.25, "slope"}, -10, 10, 0.01}, {{
       Hold[$CellContext`b$$], 7.3, "y intercept"}, -10, 10, 0.01}, {
      Hold[
       Style["circle", Bold]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold["     center coordinates"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`xp$$], 0.63, "x"}, -10, 10, 0.01}, {{
       Hold[$CellContext`yp$$], 2.22, "y"}, -10, 10, 0.01}, {{
       Hold[$CellContext`r$$], 5.36, "radius r"}, 1, 10, 0.01}}, 
    Typeset`size$$ = {400., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`m$88194$$ = 0, $CellContext`b$88195$$ = 
    0, $CellContext`xp$88196$$ = 0, $CellContext`yp$88197$$ = 
    0, $CellContext`r$88198$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`b$$ = 7.3, $CellContext`m$$ = 
        1.25, $CellContext`r$$ = 5.36, $CellContext`xp$$ = 
        0.63, $CellContext`yp$$ = 2.22}, "ControllerVariables" :> {
        Hold[$CellContext`m$$, $CellContext`m$88194$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$88195$$, 0], 
        Hold[$CellContext`xp$$, $CellContext`xp$88196$$, 0], 
        Hold[$CellContext`yp$$, $CellContext`yp$88197$$, 0], 
        Hold[$CellContext`r$$, $CellContext`r$88198$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`s$ = \
$CellContext`DistanceFromLineToCircleCenter[$CellContext`m$$, \
$CellContext`b$$, $CellContext`xp$$, $CellContext`yp$$], $CellContext`pts$}, \
$CellContext`pts$ = If[$CellContext`s$ <= $CellContext`r$$, 
           Block[{$CellContext`x, $CellContext`y}, 
            ReplaceAll[{$CellContext`x, $CellContext`y}, 
             
             NSolve[{($CellContext`x - $CellContext`xp$$)^2 + ($CellContext`y - \
$CellContext`yp$$)^2 == $CellContext`r$$^2, $CellContext`y == \
$CellContext`m$$ $CellContext`x + $CellContext`b$$}, {$CellContext`x, \
$CellContext`y}]]], {}]; 
        Plot[{$CellContext`m$$ $CellContext`x + $CellContext`b$$}, \
{$CellContext`x, -10, 10}, Epilog -> {
            RGBColor[1, 0.47, 0], 
            Circle[{$CellContext`xp$$, $CellContext`yp$$}, $CellContext`r$$], 
            Black, 
            AbsolutePointSize[5], 
            Point[$CellContext`pts$]}, AspectRatio -> 1, 
          ImageSize -> {400, 400}, PlotRange -> {{-10, 10}, {-10, 10}}, 
          PlotLabel -> 
          Which[$CellContext`s$ > $CellContext`r$$, 
            "There is no intersection.", $CellContext`s$ == $CellContext`r$$, 
            
            Row[{"There is one intersection point: ", "(", 
              NumberForm[
               Part[$CellContext`pts$, 1, 1], {3, 2}], ",", 
              NumberForm[
               Part[$CellContext`pts$, 1, 2], {3, 2}], ")", 
              "."}], $CellContext`s$ < $CellContext`r$$, 
            Row[{"There are two intersection points: ", "(", 
              NumberForm[
               Part[$CellContext`pts$, 1, 1], {3, 2}], ",", 
              NumberForm[
               Part[$CellContext`pts$, 1, 2], {3, 2}], ")", " and ", "(", 
              NumberForm[
               Part[$CellContext`pts$, 2, 1], {3, 2}], ",", 
              NumberForm[
               Part[$CellContext`pts$, 2, 2], {3, 2}], ")", "."}]]]], 
      "Specifications" :> {
        Style[
        "line", Bold], {{$CellContext`m$$, 1.25, "slope"}, -10, 10, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`b$$, 7.3, "y intercept"}, -10, 10, 0.01, 
         Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        Style["circle", Bold], 
        "     center coordinates", {{$CellContext`xp$$, 0.63, "x"}, -10, 10, 
         0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`yp$$, 2.22, "y"}, -10, 10, 0.01, Appearance -> 
         "Labeled", ImageSize -> Tiny}, {{$CellContext`r$$, 5.36, "radius r"},
          1, 10, 0.01, Appearance -> "Labeled", ImageSize -> Tiny}}, 
      "Options" :> {ControlPlacement -> Left}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{619., {225., 230.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>($CellContext`DistanceFromLineToCircleCenter[
        Pattern[$CellContext`m, 
         Blank[]], 
        Pattern[$CellContext`b, 
         Blank[]], 
        Pattern[$CellContext`xp, 
         Blank[]], 
        Pattern[$CellContext`yp, 
         Blank[]]] := 
      Block[{$CellContext`x, $CellContext`y, $CellContext`pt}, \
$CellContext`pt = ReplaceAll[{$CellContext`x, $CellContext`y}, 
           Part[
            
            NSolve[{$CellContext`m ($CellContext`yp - $CellContext`y) == \
$CellContext`x - $CellContext`xp, $CellContext`y == $CellContext`m \
$CellContext`x + $CellContext`b}, {$CellContext`x, $CellContext`y}], 1]]; 
        EuclideanDistance[$CellContext`pt, {$CellContext`xp, \
$CellContext`yp}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->468790102],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Intersection of a Line and a Circle",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/IntersectionOfALineAndACircle/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/IntersectionOfALineAndACircle/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/IntersectionOfALineAndACircle/",
  
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/IntersectionOfALineAndACircle/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/IntersectionOfALineAndACircle/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Jay Warendorff",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jay+Warendorff"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jay+Warendorff"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
IntersectionOfALineAndACircle"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Intersection of a Line and a Circle - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 227, 4, 70, "Section"],
Cell[820, 29, 9334, 232, 70, "Input",
 CellID->423694867]
}, Open  ]],
Cell[10169, 264, 5952, 119, 70, "Output",
 CellID->468790102],
Cell[CellGroupData[{
Cell[16146, 387, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16522, 398, 978, 29, 70, "Text"],
Cell[17503, 429, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[17843, 440, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[18304, 458, 829, 24, 70, "Text"],
Cell[19136, 484, 1205, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature nTjomc08QciJlDTOUvTJyEQX *)
