(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     33831,        844]
NotebookOptionsPosition[     32667,        801]
NotebookOutlinePosition[     33278,        825]
CellTagsIndexPosition[     33235,        822]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Parabolic Function Game", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"\n", 
  RowBox[{
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "0.5"}], ",", ".5", ",", "1", ",", "2"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "0.5"}], ",", "0", ",", ".5", ",", "1"}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"c", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", ".5"}], ",", "0", ",", ".5", ",", "1"}], "}"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.42262001525*^9, 3.422620087546875*^9}, {
   3.422624534296875*^9, 3.4226246445625*^9}, 3.4226250368125*^9, 
   3.4229599316875*^9, 3.422959976359375*^9, {3.428375031953125*^9, 
   3.428375179515625*^9}, {3.428375242984375*^9, 3.428375295375*^9}, 
   3.4284049817324195`*^9},
 CellID->120827126],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Tabcd", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"b", "[", 
          RowBox[{"[", "j", "]"}], "]"}], ",", 
         RowBox[{"c", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "6"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "5"}], "}"}]}], "]"}], ",", "2"}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"RandomKsublist", "[", 
    RowBox[{"set_", ",", "k_", ",", "sr_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"sub", "=", 
        RowBox[{"{", "}"}]}], ",", 
       RowBox[{"rest", "=", "set"}], ",", "new"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"SeedRandom", "[", "sr", "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"new", "=", 
          RowBox[{"rest", "[", 
           RowBox[{"[", 
            RowBox[{"RandomInteger", "[", 
             RowBox[{"{", 
              RowBox[{"1", ",", 
               RowBox[{"Length", "[", "rest", "]"}]}], "}"}], "]"}], "]"}], 
           "]"}]}], ";", 
         RowBox[{"sub", "=", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"sub", ",", "new"}], "]"}]}], ";", 
         RowBox[{"rest", "=", 
          RowBox[{"Complement", "[", 
           RowBox[{"rest", ",", 
            RowBox[{"{", "new", "}"}]}], "]"}]}]}], ",", 
        RowBox[{"{", "k", "}"}]}], "]"}], ";", "sub"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Randompermut", "[", 
    RowBox[{"k_", ",", "sr_"}], "]"}], ":=", 
   RowBox[{"RandomKsublist", "[", 
    RowBox[{
     RowBox[{"Range", "[", "k", "]"}], ",", "k", ",", "sr"}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Inversepermut", "[", "permut_", "]"}], ":=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Position", "[", 
       RowBox[{"permut", ",", "i"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "permut", "]"}]}], "}"}]}], "]"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.42262001525*^9, 3.422620087546875*^9}, {
   3.422624534296875*^9, 3.4226246445625*^9}, 3.4226250368125*^9, 
   3.4229599316875*^9, 3.422959976359375*^9, {3.428375031953125*^9, 
   3.428375179515625*^9}, {3.428375242984375*^9, 3.428375295375*^9}, {
   3.4284049817324195`*^9, 3.42840498283753*^9}, {3.4284050158088264`*^9, 
   3.428405040398286*^9}, {3.4284054271689587`*^9, 3.428405430744316*^9}, {
   3.428405483516593*^9, 3.42840548368861*^9}},
 CellID->45290973],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"per2", "=", 
     RowBox[{"Randompermut", "[", 
      RowBox[{"5", ",", "sr"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"izbor", "=", 
     RowBox[{"RandomKsublist", "[", 
      RowBox[{
       RowBox[{"Range", "[", "150", "]"}], ",", "5", ",", "sr"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"per3", "=", 
        RowBox[{"Inversepermut", "[", "per2", "]"}]}], "}"}], ",", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"fun", "=", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Tabcd", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"izbor", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], ",", "1"}], "]"}], "]"}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"x", "-", 
                 RowBox[{"Tabcd", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"izbor", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], ",", "2"}], "]"}], 
                  "]"}]}], ")"}], "^", "2"}]}], "+", 
             RowBox[{"Tabcd", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"izbor", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], ",", "3"}], "]"}], "]"}]}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", "5"}], "}"}]}], "]"}]}], "}"}], ",", 
        "\n", "\n", 
        RowBox[{"Grid", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Graphics", "[", 
              RowBox[{
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"TableForm", "[", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"StringJoin", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", "i", "]"}], ",", "\"\<.\>\""}], 
                    "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "1", ",", "5"}], "}"}]}], "]"}], ",", 
                    RowBox[{"fun", "[", 
                    RowBox[{"[", "per2", "]"}], "]"}]}], "}"}], "]"}], "]"}], 
                   ",", "14"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", 
               RowBox[{"ImageSize", "\[Rule]", 
                RowBox[{"{", "250", "}"}]}]}], "]"}], ",", 
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{"Evaluate", "[", "fun", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
               RowBox[{"AxesOrigin", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}]}], ",", 
               RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
               RowBox[{"PlotRange", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "}"}]}], ",", 
               RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
               RowBox[{"PlotStyle", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"RGBColor", "[", 
                   RowBox[{
                   "0.941176", ",", " ", "0.227451", ",", " ", "0.0509804"}], 
                   "]"}], ",", 
                  RowBox[{"RGBColor", "[", 
                   RowBox[{
                   "0.0941176", ",", " ", "0.0941176", ",", " ", "0.894118"}],
                    "]"}], ",", 
                  RowBox[{"RGBColor", "[", 
                   RowBox[{
                   "0.180392", ",", " ", "0.827451", ",", " ", "0.160784"}], 
                   "]"}], ",", 
                  RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
                  RowBox[{"RGBColor", "[", 
                   RowBox[{"1", ",", ".71", ",", "0"}], "]"}]}], "}"}]}], ",",
                
               RowBox[{"ImageSize", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"200", ",", "300"}], "}"}]}], ",", 
               RowBox[{"PlotRangeClipping", "\[Rule]", "False"}]}], "]"}], 
             ",", 
             RowBox[{"Graphics", "[", 
              RowBox[{"Text", "[", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"TableForm", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"red", "\[Equal]", 
                    RowBox[{"per3", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.941176", ",", " ", "0.227451", ",", " ", "0.0509804"}],
                     "]"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"blue", "\[Equal]", 
                    RowBox[{"per3", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.0941176", ",", " ", "0.0941176", ",", " ", 
                    "0.894118"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"green", "\[Equal]", 
                    RowBox[{"per3", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.180392", ",", " ", "0.827451", ",", " ", "0.160784"}], 
                    "]"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"black", "\[Equal]", 
                    RowBox[{"per3", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], ",", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"yellow", "\[Equal]", 
                    RowBox[{"per3", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", ".71", ",", "0"}], "]"}]}], "]"}]}], 
                   "}"}], "]"}], ",", "14"}], "]"}], "]"}], "]"}]}], "}"}], 
           "}"}], ",", 
          RowBox[{"Frame", "\[Rule]", "All"}], ",", 
          RowBox[{"ItemSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"12", ",", "20", ",", "5"}], "}"}], ",", "Automatic"}], 
            "}"}]}]}], "]"}]}], "]"}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"red", ",", "0"}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "6", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"blue", ",", "0"}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "6", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"green", ",", "0"}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "6", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"black", ",", "0"}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "6", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"yellow", ",", "0"}], "}"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "6", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sr", ",", "1287", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Button", "[", 
       RowBox[{"\"\<try again\>\"", ",", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"sr", "=", " ", 
           RowBox[{"RandomInteger", "[", 
            RowBox[{"{", 
             RowBox[{"1", ",", "123456"}], "}"}], "]"}]}], ";", 
          RowBox[{"red", "=", "0"}], ";", 
          RowBox[{"blue", "=", "0"}], ";", 
          RowBox[{"green", "=", "0"}], ";", 
          RowBox[{"black", "=", "0"}], ";", 
          RowBox[{"yellow", "=", "0"}], ";"}], ")"}]}], "]"}], "&"}]}], "}"}],
    ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"izbor", ",", 
       RowBox[{"{", 
        RowBox[{"11", ",", "76", ",", "134", ",", "16", ",", "144"}], "}"}]}],
       "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"per2", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "3", ",", "4", ",", "2", ",", "5"}], "}"}]}], "}"}],
      ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}]}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.42837738959375*^9, 3.42837739390625*^9}, {
   3.428404566137864*^9, 3.4284047041746664`*^9}, 3.42840474041329*^9, {
   3.428404772935542*^9, 3.42840492542979*^9}, {3.428405051762422*^9, 
   3.428405180475292*^9}, {3.4284052674209857`*^9, 3.428405292245468*^9}, {
   3.428405357007943*^9, 3.4284053614683895`*^9}, {3.4284054413663783`*^9, 
   3.4284055252627673`*^9}, {3.4286669038311615`*^9, 
   3.4286669386676445`*^9}, {3.428948195909149*^9, 3.4289482072432823`*^9}, {
   3.429035608578125*^9, 3.42903561178125*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`black$$ = 0, $CellContext`blue$$ = 
    0, $CellContext`green$$ = 0, $CellContext`izbor$$ = {11, 76, 134, 16, 
    144}, $CellContext`per2$$ = {1, 3, 4, 2, 5}, $CellContext`red$$ = 
    0, $CellContext`sr$$ = 1287, $CellContext`yellow$$ = 0, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`red$$], 0}, {0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`blue$$], 0}, {0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`green$$], 0}, {0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`black$$], 0}, {0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`yellow$$], 0}, {0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`sr$$], 1287, ""}, 
      Dynamic[
      Button["try again", $CellContext`sr$$ = 
         RandomInteger[{1, 123456}]; $CellContext`red$$ = 
         0; $CellContext`blue$$ = 0; $CellContext`green$$ = 
         0; $CellContext`black$$ = 0; $CellContext`yellow$$ = 0; Null]& ]}, {{
      
       Hold[$CellContext`izbor$$], {11, 76, 134, 16, 144}}}, {{
       Hold[$CellContext`per2$$], {1, 3, 4, 2, 5}}}}, Typeset`size$$ = {
    494., {150.5, 155.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`red$1041$$ = 
    0, $CellContext`blue$1042$$ = 0, $CellContext`green$1043$$ = 
    0, $CellContext`black$1044$$ = 0, $CellContext`yellow$1045$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`black$$ = 0, $CellContext`blue$$ = 
        0, $CellContext`green$$ = 
        0, $CellContext`izbor$$ = {11, 76, 134, 16, 
         144}, $CellContext`per2$$ = {1, 3, 4, 2, 5}, $CellContext`red$$ = 
        0, $CellContext`sr$$ = 1287, $CellContext`yellow$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`red$$, $CellContext`red$1041$$, 0], 
        Hold[$CellContext`blue$$, $CellContext`blue$1042$$, 0], 
        Hold[$CellContext`green$$, $CellContext`green$1043$$, 0], 
        Hold[$CellContext`black$$, $CellContext`black$1044$$, 0], 
        Hold[$CellContext`yellow$$, $CellContext`yellow$1045$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`per2$$ = $CellContext`Randompermut[
         5, $CellContext`sr$$]; $CellContext`izbor$$ = \
$CellContext`RandomKsublist[
          Range[150], 5, $CellContext`sr$$]; 
       With[{$CellContext`per3$ = \
$CellContext`Inversepermut[$CellContext`per2$$]}, 
         With[{$CellContext`fun$ = Table[Part[$CellContext`Tabcd, 
                Part[$CellContext`izbor$$, $CellContext`i], 
                1] ($CellContext`x - Part[$CellContext`Tabcd, 
                 Part[$CellContext`izbor$$, $CellContext`i], 2])^2 + 
             Part[$CellContext`Tabcd, 
               Part[$CellContext`izbor$$, $CellContext`i], 
               3], {$CellContext`i, 1, 5}]}, 
          Grid[{{
             Graphics[
              Text[
               Style[
                TableForm[
                 Transpose[{
                   Table[
                    StringJoin[
                    ToString[$CellContext`i], "."], {$CellContext`i, 1, 5}], 
                   Part[$CellContext`fun$, $CellContext`per2$$]}]], 14], {1, 
               0}, {0, 0}], ImageSize -> {250}], 
             Plot[
              Evaluate[$CellContext`fun$], {$CellContext`x, -2, 2}, 
              AxesOrigin -> {0, 0}, AspectRatio -> Automatic, 
              PlotRange -> {{-2, 2}, {-3, 3}}, GridLines -> Automatic, 
              PlotStyle -> {
                RGBColor[0.941176, 0.227451, 0.0509804], 
                RGBColor[0.0941176, 0.0941176, 0.894118], 
                RGBColor[0.180392, 0.827451, 0.160784], 
                GrayLevel[0], 
                RGBColor[1, 0.71, 0]}, ImageSize -> {200, 300}, 
              PlotRangeClipping -> False], 
             Graphics[
              Text[
               Style[
                TableForm[{
                  Style[$CellContext`red$$ == Part[$CellContext`per3$, 1], 
                   RGBColor[0.941176, 0.227451, 0.0509804]], 
                  Style[$CellContext`blue$$ == Part[$CellContext`per3$, 2], 
                   RGBColor[0.0941176, 0.0941176, 0.894118]], 
                  Style[$CellContext`green$$ == Part[$CellContext`per3$, 3], 
                   RGBColor[0.180392, 0.827451, 0.160784]], 
                  Style[$CellContext`black$$ == Part[$CellContext`per3$, 4], 
                   GrayLevel[0]], 
                  
                  Style[$CellContext`yellow$$ == Part[$CellContext`per3$, 5], 
                   
                   RGBColor[1, 0.71, 0]]}], 14]]]}}, Frame -> All, 
           ItemSize -> {{12, 20, 5}, Automatic}]]]), 
      "Specifications" :> {{{$CellContext`red$$, 0}, {0, 1, 2, 3, 4, 
         5}}, {{$CellContext`blue$$, 0}, {0, 1, 2, 3, 4, 
         5}}, {{$CellContext`green$$, 0}, {0, 1, 2, 3, 4, 
         5}}, {{$CellContext`black$$, 0}, {0, 1, 2, 3, 4, 
         5}}, {{$CellContext`yellow$$, 0}, {0, 1, 2, 3, 4, 
         5}}, {{$CellContext`sr$$, 1287, ""}, 
         Dynamic[
         Button["try again", $CellContext`sr$$ = 
            RandomInteger[{1, 123456}]; $CellContext`red$$ = 
            0; $CellContext`blue$$ = 0; $CellContext`green$$ = 
            0; $CellContext`black$$ = 0; $CellContext`yellow$$ = 0; 
           Null]& ]}, {{$CellContext`izbor$$, {11, 76, 134, 16, 144}}, 
         ControlType -> None}, {{$CellContext`per2$$, {1, 3, 4, 2, 5}}, 
         ControlType -> None}}, 
      "Options" :> {
       AutorunSequencing -> {1, 2, 3, 4, 5}, ControlPlacement -> Left}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{629., {178., 183.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`Randompermut[
          Pattern[$CellContext`k, 
           Blank[]]] := $CellContext`RandomKsublist[
          Range[$CellContext`k], $CellContext`k], $CellContext`Randompermut[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`sr, 
           Blank[]]] := $CellContext`RandomKsublist[
          
          Range[$CellContext`k], $CellContext`k, $CellContext`sr], \
$CellContext`RandomKsublist[
          Pattern[$CellContext`set, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]] := 
        Module[{$CellContext`sub = {}, $CellContext`rest = $CellContext`set, \
$CellContext`new}, Do[$CellContext`new = Part[$CellContext`rest, 
               RandomInteger[{1, 
                 Length[$CellContext`rest]}]]; $CellContext`sub = 
             AppendTo[$CellContext`sub, $CellContext`new]; $CellContext`rest = 
             Complement[$CellContext`rest, {$CellContext`new}], \
{$CellContext`k}]; $CellContext`sub], $CellContext`RandomKsublist[
          Pattern[$CellContext`set, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`sr, 
           Blank[]]] := 
        Module[{$CellContext`sub = {}, $CellContext`rest = $CellContext`set, \
$CellContext`new}, SeedRandom[$CellContext`sr]; 
          Do[$CellContext`new = Part[$CellContext`rest, 
               RandomInteger[{1, 
                 Length[$CellContext`rest]}]]; $CellContext`sub = 
             AppendTo[$CellContext`sub, $CellContext`new]; $CellContext`rest = 
             Complement[$CellContext`rest, {$CellContext`new}], \
{$CellContext`k}]; $CellContext`sub], $CellContext`Inversepermut[
          Pattern[$CellContext`permut, 
           Blank[]]] := Flatten[
          Table[
           
           Position[$CellContext`permut, $CellContext`i], {$CellContext`i, 1, 
            
            
            Length[$CellContext`permut]}]], $CellContext`Tabcd = {{-2, -1, \
-1}, {-2, -1, -0.5}, {-2, -1, 0}, {-2, -1, 0.5}, {-2, -1, 
          1}, {-2, -0.5, -1}, {-2, -0.5, -0.5}, {-2, -0.5, 0}, {-2, -0.5, 
           0.5}, {-2, -0.5, 1}, {-2, 0, -1}, {-2, 0, -0.5}, {-2, 0, 
          0}, {-2, 0, 0.5}, {-2, 0, 
          1}, {-2, 0.5, -1}, {-2, 0.5, -0.5}, {-2, 0.5, 0}, {-2, 0.5, 
           0.5}, {-2, 0.5, 1}, {-2, 1, -1}, {-2, 1, -0.5}, {-2, 1, 
          0}, {-2, 1, 0.5}, {-2, 1, 1}, {-1, -1, -1}, {-1, -1, -0.5}, {-1, -1,
           0}, {-1, -1, 0.5}, {-1, -1, 
          1}, {-1, -0.5, -1}, {-1, -0.5, -0.5}, {-1, -0.5, 0}, {-1, -0.5, 
           0.5}, {-1, -0.5, 1}, {-1, 0, -1}, {-1, 0, -0.5}, {-1, 0, 
          0}, {-1, 0, 0.5}, {-1, 0, 
          1}, {-1, 0.5, -1}, {-1, 0.5, -0.5}, {-1, 0.5, 0}, {-1, 0.5, 
           0.5}, {-1, 0.5, 1}, {-1, 1, -1}, {-1, 1, -0.5}, {-1, 1, 
          0}, {-1, 1, 0.5}, {-1, 1, 
          1}, {-0.5, -1, -1}, {-0.5, -1, -0.5}, {-0.5, -1, 0}, {-0.5, -1, 
           0.5}, {-0.5, -1, 
           1}, {-0.5, -0.5, -1}, {-0.5, -0.5, -0.5}, {-0.5, -0.5, 
           0}, {-0.5, -0.5, 
          0.5}, {-0.5, -0.5, 1}, {-0.5, 0, -1}, {-0.5, 0, -0.5}, {-0.5, 0, 
           0}, {-0.5, 0, 0.5}, {-0.5, 0, 1}, {-0.5, 0.5, -1}, {-0.5, 
          0.5, -0.5}, {-0.5, 0.5, 0}, {-0.5, 0.5, 
          0.5}, {-0.5, 0.5, 1}, {-0.5, 1, -1}, {-0.5, 1, -0.5}, {-0.5, 1, 
           0}, {-0.5, 1, 0.5}, {-0.5, 1, 1}, {0.5, -1, -1}, {0.5, -1, -0.5}, {
          0.5, -1, 0}, {0.5, -1, 0.5}, {0.5, -1, 1}, {0.5, -0.5, -1}, {
          0.5, -0.5, -0.5}, {0.5, -0.5, 0}, {0.5, -0.5, 0.5}, {
          0.5, -0.5, 1}, {0.5, 0, -1}, {0.5, 0, -0.5}, {0.5, 0, 0}, {
          0.5, 0, 0.5}, {0.5, 0, 1}, {0.5, 0.5, -1}, {0.5, 0.5, -0.5}, {
          0.5, 0.5, 0}, {0.5, 0.5, 0.5}, {0.5, 0.5, 1}, {0.5, 1, -1}, {
          0.5, 1, -0.5}, {0.5, 1, 0}, {0.5, 1, 0.5}, {0.5, 1, 1}, {
          1, -1, -1}, {1, -1, -0.5}, {1, -1, 0}, {1, -1, 0.5}, {1, -1, 1}, {
          1, -0.5, -1}, {1, -0.5, -0.5}, {1, -0.5, 0}, {1, -0.5, 0.5}, {
          1, -0.5, 1}, {1, 0, -1}, {1, 0, -0.5}, {1, 0, 0}, {1, 0, 0.5}, {1, 
          0, 1}, {1, 0.5, -1}, {1, 0.5, -0.5}, {1, 0.5, 0}, {1, 0.5, 0.5}, {
          1, 0.5, 1}, {1, 1, -1}, {1, 1, -0.5}, {1, 1, 0}, {1, 1, 0.5}, {1, 1,
           1}, {2, -1, -1}, {2, -1, -0.5}, {2, -1, 0}, {2, -1, 0.5}, {2, -1, 
          1}, {2, -0.5, -1}, {2, -0.5, -0.5}, {2, -0.5, 0}, {2, -0.5, 0.5}, {
          2, -0.5, 1}, {2, 0, -1}, {2, 0, -0.5}, {2, 0, 0}, {2, 0, 0.5}, {2, 
          0, 1}, {2, 0.5, -1}, {2, 0.5, -0.5}, {2, 0.5, 0}, {2, 0.5, 0.5}, {
          2, 0.5, 1}, {2, 1, -1}, {2, 1, -0.5}, {2, 1, 0}, {2, 1, 0.5}, {2, 1,
           1}}, Attributes[PlotRange] = {ReadProtected}}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{($CellContext`a = {-2, -1, -0.5, 0.5, 1, 2}; 
          Null) ($CellContext`b = {-1, -0.5, 0, 0.5, 1}; 
          Null) ($CellContext`c = {-1, -0.5, 0, 0.5, 1}; Null), {
          HoldComplete[$CellContext`Tabcd = Flatten[
              Table[{
                Part[$CellContext`a, $CellContext`i], 
                Part[$CellContext`b, $CellContext`j], 
                Part[$CellContext`c, $CellContext`k]}, {$CellContext`i, 1, 
                6}, {$CellContext`j, 1, 5}, {$CellContext`k, 1, 5}], 2]; 
           Null], 
          HoldComplete[Null], 
          HoldComplete[$CellContext`RandomKsublist[
              Pattern[$CellContext`set, 
               Blank[]], 
              Pattern[$CellContext`k, 
               Blank[]], 
              Pattern[$CellContext`sr, 
               Blank[]]] := 
            Module[{$CellContext`sub = {}, $CellContext`rest = \
$CellContext`set, $CellContext`new}, SeedRandom[$CellContext`sr]; 
              Do[$CellContext`new = Part[$CellContext`rest, 
                   RandomInteger[{1, 
                    Length[$CellContext`rest]}]]; $CellContext`sub = 
                 AppendTo[$CellContext`sub, $CellContext`new]; \
$CellContext`rest = 
                 Complement[$CellContext`rest, {$CellContext`new}], \
{$CellContext`k}]; $CellContext`sub]; Null], 
          HoldComplete[Null], 
          HoldComplete[$CellContext`Randompermut[
              Pattern[$CellContext`k, 
               Blank[]], 
              Pattern[$CellContext`sr, 
               Blank[]]] := $CellContext`RandomKsublist[
              Range[$CellContext`k], $CellContext`k, $CellContext`sr]; Null], 
          
          HoldComplete[Null], 
          HoldComplete[$CellContext`Inversepermut[
              Pattern[$CellContext`permut, 
               Blank[]]] := Flatten[
              Table[
               
               Position[$CellContext`permut, $CellContext`i], {$CellContext`i,
                 1, 
                Length[$CellContext`permut]}]]; Null]}}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->262145896],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Parabolic Function Game",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ParabolicFunctionGame/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ParabolicFunctionGame/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ParabolicFunctionGame/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ParabolicFunctionGame/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ParabolicFunctionGame/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ParabolicFunctionGame"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Parabolic Function Game - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 215, 4, 70, "Section"],
Cell[808, 29, 987, 30, 70, "Input",
 CellID->120827126],
Cell[1798, 61, 2940, 83, 70, "Input",
 CellID->45290973],
Cell[4741, 146, 10575, 264, 70, "Input"]
}, Open  ]],
Cell[15331, 413, 13169, 255, 70, "Output",
 CellID->262145896],
Cell[CellGroupData[{
Cell[28525, 672, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[28901, 683, 905, 24, 70, "Text"],
Cell[29809, 709, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[30149, 720, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[30610, 738, 829, 24, 70, "Text"],
Cell[31442, 764, 1197, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature qQjolloiAuNxbB0TyvooclDg *)
