(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     19412,        517]
NotebookOptionsPosition[     18328,        476]
NotebookOutlinePosition[     18938,        500]
CellTagsIndexPosition[     18895,        497]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Quadratic Equation", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Grid", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Graphics", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"PointSize", "[", ".6", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"RGBColor", "[", 
                   RowBox[{".6", ",", ".7", ",", ".3"}], "]"}], ",", 
                  RowBox[{"Point", "[", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], "]"}]}], "}"}]}], "}"}], 
              ",", 
              RowBox[{"ImageSize", "\[Rule]", "20"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<Zeros\>\"", ",", "\"\<Label\>\"", ",", "14"}], 
              "]"}], "]"}], ",", 
            RowBox[{"Spacer", "[", "5", "]"}], ",", "\"\<|\>\"", ",", 
            RowBox[{"Spacer", "[", "5", "]"}], ",", 
            RowBox[{"Graphics", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"PointSize", "[", ".6", "]"}], ",", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", ".5", ",", ".1"}], "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}], "]"}]}], "}"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "20"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<Critical Points\>\"", ",", "\"\<Label\>\"", ",", "14"}], 
              "]"}], "]"}]}], "}"}], "}"}], ",", 
         RowBox[{"Alignment", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Center", ",", "Center"}], "}"}]}]}], "]"}], ",", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"a2", " ", 
           RowBox[{"x", "^", "2"}]}], "+", 
          RowBox[{"a1", " ", "x"}], "+", "a0"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "10"}], ",", "10"}], "}"}]}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"Thickness", "[", ".005", "]"}]}], ",", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"TraditionalForm", "[", 
           RowBox[{"NumberForm", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"a2", " ", 
               RowBox[{"x", "^", "\"\<2\>\""}]}], "+", 
              RowBox[{"a1", " ", "x"}], "+", "a0"}], ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", "1"}], "}"}], ",", 
             RowBox[{"ExponentFunction", "\[Rule]", 
              RowBox[{"(", 
               RowBox[{"Null", "&"}], ")"}]}], ",", 
             RowBox[{"NumberPadding", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"\"\<\>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}], 
           "]"}]}], ",", 
         RowBox[{"Epilog", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"PointSize", "[", ".025", "]"}], 
            RowBox[{"(*", "key", "*)"}], ",", 
            RowBox[{"{", 
             RowBox[{"(*", "zeros", "*)"}], 
             RowBox[{
              RowBox[{"RGBColor", "[", 
               RowBox[{".6", ",", ".7", ",", ".3"}], "]"}], ",", 
              RowBox[{
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Flatten", "[", "#", "]"}], "===", 
                   RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"{", "}"}], ",", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"Function", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{
                    RowBox[{"a2", " ", 
                    RowBox[{"x", "^", "2"}]}], "+", 
                    RowBox[{"a1", " ", "x"}], "+", "a0"}]}], "]"}], "[", "#", 
                    "]"}]}], "}"}], "]"}], "&"}], "/@", 
                   RowBox[{"(", 
                    RowBox[{"x", "/.", "#"}], ")"}]}]}], "]"}], "&"}], "[", 
               RowBox[{"{", 
                RowBox[{"ToRules", "[", 
                 RowBox[{"Quiet", "@", 
                  RowBox[{"Reduce", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"a2", " ", 
                    RowBox[{"x", "^", "2"}]}], "+", 
                    RowBox[{"a1", " ", "x"}], "+", "a0"}], "\[Equal]", "0"}], 
                    ",", "x", ",", "Reals"}], "]"}]}], "]"}], "}"}], "]"}], 
              ",", 
              RowBox[{"(*", 
               RowBox[{"inflection", " ", "points"}], "*)"}], 
              RowBox[{"RGBColor", "[", 
               RowBox[{"1", ",", ".5", ",", ".1"}], "]"}], ",", 
              RowBox[{
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Flatten", "[", "#", "]"}], "===", 
                   RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"{", "}"}], ",", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"Function", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{
                    RowBox[{"a2", " ", 
                    RowBox[{"x", "^", "2"}]}], "+", 
                    RowBox[{"a1", " ", "x"}], "+", "a0"}]}], "]"}], "[", "#", 
                    "]"}]}], "}"}], "]"}], "&"}], "/@", 
                   RowBox[{"(", 
                    RowBox[{"x", "/.", "#"}], ")"}]}]}], "]"}], "&"}], "[", 
               RowBox[{"{", 
                RowBox[{"ToRules", "[", 
                 RowBox[{"Quiet", "@", 
                  RowBox[{"Reduce", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"2", " ", "a2", " ", "x"}], "+", "a1"}], 
                    "\[Equal]", "0"}], ",", "x", ",", "Reals"}], "]"}]}], 
                 "]"}], "}"}], "]"}]}], "}"}]}], "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"500", ",", "350"}], "}"}]}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "20"}]}], "]"}]}], "}"}], ",", 
     "Center"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a2", ",", 
       RowBox[{"-", "5."}], ",", 
       "\"\<\!\(\*SubscriptBox[\(a\), \(2\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "5."}], ",", "5."}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a1", ",", 
       RowBox[{"-", "5."}], ",", 
       "\"\<\!\(\*SubscriptBox[\(a\), \(1\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "5."}], ",", "5."}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a0", ",", 
       RowBox[{"-", "5."}], ",", 
       "\"\<\!\(\*SubscriptBox[\(a\), \(0\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "5."}], ",", "5."}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.35739168161769*^9, 3.35739183910366*^9}, {
   3.3573918960973*^9, 3.35739226869541*^9}, {3.35739232159192*^9, 
   3.35739245404554*^9}, {3.35739248830318*^9, 3.35739252181909*^9}, {
   3.35739258266512*^9, 3.35739274213649*^9}, {3.35739288266011*^9, 
   3.35739290874248*^9}, {3.35739301407614*^9, 3.35739314501344*^9}, {
   3.3573931918381*^9, 3.3573933851684*^9}, {3.35739342979722*^9, 
   3.35739351684193*^9}, {3.35739378817331*^9, 3.35739383267155*^9}, {
   3.35809908997388*^9, 3.35809912505631*^9}, {3.35818712306586*^9, 
   3.35818714731524*^9}, 3.35825024380027*^9, {3.35827530453659*^9, 
   3.3582753282892*^9}, {3.35843580490625*^9, 3.35843581589063*^9}, {
   3.35843704521875*^9, 3.3584370506875*^9}, {3.36301497895836*^9, 
   3.36301501686436*^9}, 3.36301506698904*^9, {3.3630151397542*^9, 
   3.36301515151975*^9}, 3.36841625095415*^9, {3.36948351837893*^9, 
   3.36948355981803*^9}, {3.3718438073754997`*^9, 3.3718438125731077`*^9}, {
   3.371843867837674*^9, 3.3718438682974625`*^9}, {3.371843928880396*^9, 
   3.3718439439740543`*^9}, {3.372449685412822*^9, 3.372449760699821*^9}, {
   3.3724498048494806`*^9, 3.372449881419667*^9}, {3.3907484464221907`*^9, 
   3.390748449486597*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a0$$ = -5., $CellContext`a1$$ = -5., \
$CellContext`a2$$ = -5., Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a2$$], -5., 
       "\!\(\*SubscriptBox[\(a\), \(2\)]\)"}, -5., 5.}, {{
       Hold[$CellContext`a1$$], -5., 
       "\!\(\*SubscriptBox[\(a\), \(1\)]\)"}, -5., 5.}, {{
       Hold[$CellContext`a0$$], -5., 
       "\!\(\*SubscriptBox[\(a\), \(0\)]\)"}, -5., 5.}}, Typeset`size$$ = {
    500., {185.5, 190.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a2$663$$ = 
    0, $CellContext`a1$664$$ = 0, $CellContext`a0$665$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a0$$ = -5., $CellContext`a1$$ = -5., \
$CellContext`a2$$ = -5.}, "ControllerVariables" :> {
        Hold[$CellContext`a2$$, $CellContext`a2$663$$, 0], 
        Hold[$CellContext`a1$$, $CellContext`a1$664$$, 0], 
        Hold[$CellContext`a0$$, $CellContext`a0$665$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Grid[{{
            Graphics[{
              PointSize[0.6], {
               RGBColor[0.6, 0.7, 0.3], 
               Point[{0, 0}]}}, ImageSize -> 20], 
            Text[
             Style["Zeros", "Label", 14]], 
            Spacer[5], "|", 
            Spacer[5], 
            Graphics[{
              PointSize[0.6], 
              RGBColor[1, 0.5, 0.1], 
              Point[{0, 0}]}, ImageSize -> 20], 
            Text[
             Style["Critical Points", "Label", 14]]}}, 
          Alignment -> {Center, Center}], 
         Plot[$CellContext`a2$$ $CellContext`x^2 + $CellContext`a1$$ \
$CellContext`x + $CellContext`a0$$, {$CellContext`x, -2, 2}, 
          PlotRange -> {-10, 10}, PlotStyle -> Thickness[0.005], PlotLabel -> 
          TraditionalForm[
            
            NumberForm[$CellContext`a2$$ $CellContext`x^
               "2" + $CellContext`a1$$ $CellContext`x + $CellContext`a0$$, {2,
              1}, ExponentFunction -> (Null& ), NumberPadding -> {"", "0"}]], 
          Epilog -> {
            PointSize[0.025], {
             RGBColor[0.6, 0.7, 0.3], 
             (If[Flatten[#] === {}, {}, 
              Map[Point[{#, 
                 
                 Function[$CellContext`x$, $CellContext`a2$$ \
$CellContext`x$^2 + $CellContext`a1$$ $CellContext`x$ + \
$CellContext`a0$$][#]}]& , 
               ReplaceAll[$CellContext`x, #]]]& )[{
               ToRules[
                Quiet[
                 
                 Reduce[$CellContext`a2$$ $CellContext`x^2 + \
$CellContext`a1$$ $CellContext`x + $CellContext`a0$$ == 0, $CellContext`x, 
                  Reals]]]}], 
             RGBColor[1, 0.5, 0.1], 
             (If[Flatten[#] === {}, {}, 
              Map[Point[{#, 
                 
                 Function[$CellContext`x$, $CellContext`a2$$ \
$CellContext`x$^2 + $CellContext`a1$$ $CellContext`x$ + \
$CellContext`a0$$][#]}]& , 
               ReplaceAll[$CellContext`x, #]]]& )[{
               ToRules[
                Quiet[
                 
                 Reduce[(
                    2 $CellContext`a2$$) $CellContext`x + $CellContext`a1$$ == 
                  0, $CellContext`x, Reals]]]}]}}, ImageSize -> {500, 350}, 
          ImagePadding -> 20]}, Center], 
      "Specifications" :> {{{$CellContext`a2$$, -5., 
          "\!\(\*SubscriptBox[\(a\), \(2\)]\)"}, -5., 
         5.}, {{$CellContext`a1$$, -5., 
          "\!\(\*SubscriptBox[\(a\), \(1\)]\)"}, -5., 
         5.}, {{$CellContext`a0$$, -5., 
          "\!\(\*SubscriptBox[\(a\), \(0\)]\)"}, -5., 5.}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {256., 261.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->668311128],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Quadratic Equation",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/QuadraticEquation/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/QuadraticEquation/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/QuadraticEquation/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/QuadraticEquation/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/QuadraticEquation/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Eric W. Weisstein",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Eric+W.+\
Weisstein"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Eric+W.+Weisstein"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->250177984],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
QuadraticEquation"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Quadratic Equation - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 210, 4, 70, "Section"],
Cell[803, 29, 8849, 210, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[9667, 242, 4494, 100, 70, "Output",
 CellID->668311128],
Cell[CellGroupData[{
Cell[14186, 346, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[14562, 357, 880, 24, 70, "Text"],
Cell[15445, 383, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15785, 394, 465, 15, 70, "Text",
 CellID->250177984],
Cell[CellGroupData[{
Cell[16275, 413, 829, 24, 70, "Text"],
Cell[17107, 439, 1193, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature dS4bEMiG9b#ozDpxBTEzP0y8 *)
