(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16085,        464]
NotebookOptionsPosition[     14928,        420]
NotebookOutlinePosition[     15543,        444]
CellTagsIndexPosition[     15500,        441]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["The Multiplication Parabola", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{"Gray", ",", "\[IndentingNewLine]", 
       RowBox[{"Point", "[", 
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"p", ",", "q"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"p", ",", 
              RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"q", ",", "0", ",", "9"}], "}"}]}], "]"}], ",", "1"}], 
         "]"}], "]"}], ",", "\[IndentingNewLine]", "Black", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"First", "[", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"x", "^", "2"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "3.5"}], ",", "3.5"}], "}"}]}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "3"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"3", ",", "0"}], "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"-", ".2"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "9"}], "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"a", ",", 
              RowBox[{"a", "^", "2"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"b", ",", 
              RowBox[{"b", "^", "2"}]}], "}"}]}], "}"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"AbsolutePointSize", "[", "5", "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"a", ",", 
            RowBox[{"a", "^", "2"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", 
            RowBox[{"b", "^", "2"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{
             RowBox[{"-", "a"}], " ", "b"}]}], "}"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Text", "[", 
            RowBox[{"#", ",", 
             RowBox[{"{", 
              RowBox[{"#", ",", 
               RowBox[{"-", ".2"}]}], "}"}]}], "]"}], ",", "12"}], "]"}], 
         "&"}], "/@", 
        RowBox[{"{", 
         RowBox[{"a", ",", "b"}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "a"}], " ", "b"}], ",", 
           RowBox[{"{", 
            RowBox[{".4", ",", 
             RowBox[{
              RowBox[{"-", "a"}], " ", "b"}]}], "}"}]}], "]"}], ",", "12"}], 
        "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<-\>\"", ",", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", 
              "\"\< \[Times] \>\"", ",", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], ",", 
              "\"\< = \>\"", ",", 
              RowBox[{"ToString", "[", 
               RowBox[{"-", "a"}], "]"}], ",", "\"\< \[Times] \>\"", ",", 
              RowBox[{"ToString", "[", "b", "]"}], ",", "\"\< = \>\"", ",", 
              RowBox[{"ToString", "[", 
               RowBox[{
                RowBox[{"-", "a"}], " ", "b"}], "]"}]}], "}"}], "]"}], ",", 
           " ", 
           RowBox[{"{", 
            RowBox[{"1.3", ",", "8.5"}], "}"}]}], "]"}], ",", "12"}], "]"}], 
       ",", "\[IndentingNewLine]", "Dashed", ",", "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"a", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"a", ",", 
              RowBox[{"a", "^", "2"}]}], "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"b", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"b", ",", 
              RowBox[{"b", "^", "2"}]}], "}"}]}], "}"}]}], "}"}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], ",", " ", 
     RowBox[{"PlotRange", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3.5"}], ",", "3.5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".3"}], ",", "9"}], "}"}]}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"-", "1.0"}]}], "}"}], ",", 
     RowBox[{"-", "2.8"}], ",", 
     RowBox[{"-", ".1"}], ",", ".1", ",", 
     RowBox[{"Appearance", "\[Rule]", " ", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "2.0"}], "}"}], ",", ".1", ",", "2.8", ",", ".1", ",",
      
     RowBox[{"Appearance", "\[Rule]", " ", "\"\<Labeled\>\""}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.431620707125*^9, 3.431620780671875*^9}, {
   3.431620821140625*^9, 3.431620979171875*^9}, {3.431621020390625*^9, 
   3.4316210973125*^9}, {3.431621147046875*^9, 3.4316214108125*^9}, {
   3.431621448765625*^9, 3.431621536859375*^9}, {3.43162158421875*^9, 
   3.431621650390625*^9}, {3.4316216969375*^9, 3.43162185790625*^9}, {
   3.4316220496875*^9, 3.431622507109375*^9}, 3.43162267928125*^9, {
   3.43162271884375*^9, 3.431622723671875*^9}, 3.431622756171875*^9, {
   3.4316230198125*^9, 3.43162323925*^9}, {3.431623506859375*^9, 
   3.431623547671875*^9}, {3.4326489998359947`*^9, 3.4326490551115217`*^9}, {
   3.432667183194332*^9, 3.4326672221388755`*^9}, 3.4326672715840855`*^9, {
   3.4330101461346865`*^9, 3.4330102744095135`*^9}},
 CellID->278489221]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = -1., $CellContext`b$$ = 2., 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], -1.}, -2.8, -0.1, 0.1}, {{
       Hold[$CellContext`b$$], 2.}, 0.1, 2.8, 0.1}}, Typeset`size$$ = {
    325., {214., 218.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$4276$$ = 
    0, $CellContext`b$4277$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = -1., $CellContext`b$$ = 2.}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$4276$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$4277$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Gray, 
         Point[
          Flatten[
           
           Table[{$CellContext`p, $CellContext`q}, {$CellContext`p, -3, 
             3}, {$CellContext`q, 0, 9}], 1]], Black, 
         First[
          Plot[$CellContext`x^2, {$CellContext`x, -3.5, 3.5}]], 
         Line[{{{-3, 0}, {3, 
           0}}, {{0, -0.2}, {0, 
            9}}, {{$CellContext`a$$, $CellContext`a$$^2}, {$CellContext`b$$, \
$CellContext`b$$^2}}}], 
         AbsolutePointSize[5], 
         Point[{{$CellContext`a$$, $CellContext`a$$^2}, {$CellContext`b$$, \
$CellContext`b$$^2}, {0, (-$CellContext`a$$) $CellContext`b$$}}], 
         Map[Style[
           Text[#, {#, -0.2}], 12]& , {$CellContext`a$$, $CellContext`b$$}], 
         Style[
          
          Text[(-$CellContext`a$$) $CellContext`b$$, {
           0.4, (-$CellContext`a$$) $CellContext`b$$}], 12], 
         Style[
          Text[
           Row[{"-", 
             Style["a", Italic], " \[Times] ", 
             Style["b", Italic], " = ", 
             ToString[-$CellContext`a$$], " \[Times] ", 
             ToString[$CellContext`b$$], " = ", 
             ToString[(-$CellContext`a$$) $CellContext`b$$]}], {1.3, 8.5}], 
          12], Dashed, 
         Line[{{{$CellContext`a$$, 
             0}, {$CellContext`a$$, $CellContext`a$$^2}}, {{$CellContext`b$$, 
             0}, {$CellContext`b$$, $CellContext`b$$^2}}}]}, 
        PlotRange -> {{-3.5, 3.5}, {-0.3, 9}}], 
      "Specifications" :> {{{$CellContext`a$$, -1.}, -2.8, -0.1, 0.1, 
         Appearance -> "Labeled"}, {{$CellContext`b$$, 2.}, 0.1, 2.8, 0.1, 
         Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{369., {271., 276.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->51013178],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["The Multiplication Parabola",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheMultiplicationParabola/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/TheMultiplicationParabola/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TheMultiplicationParabola/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheMultiplicationParabola/"], 
    None},
  ButtonNote->"http://demonstrations.wolfram.com/TheMultiplicationParabola/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ed Pegg Jr",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell["Suggested by: Dan Pritikin", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->536080378]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TheMultiplicationParabola"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"The Multiplication Parabola - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 219, 4, 70, "Section"],
Cell[812, 29, 6507, 173, 70, "Input",
 CellID->278489221]
}, Open  ]],
Cell[7334, 205, 3241, 70, 70, "Output",
 CellID->51013178],
Cell[CellGroupData[{
Cell[10600, 279, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10976, 290, 943, 27, 70, "Text"],
Cell[11922, 319, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[12284, 332, 342, 12, 70, "Text"],
Cell[12629, 346, 201, 6, 70, "Text",
 CellID->536080378]
}, Open  ]],
Cell[CellGroupData[{
Cell[12867, 357, 829, 24, 70, "Text"],
Cell[13699, 383, 1201, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature #Tz2jsNbD8Ld9BTfkWXgBc#p *)
