(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     24559,        658]
NotebookOptionsPosition[     23506,        619]
NotebookOutlinePosition[     24124,        643]
CellTagsIndexPosition[     24081,        640]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Two Lines Determine a Circle", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"build", " ", "circle"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"\[Theta]", "\[Equal]", "previousTheta"}], ",", "Null", ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"AppendTo", "[", 
        RowBox[{"path", ",", "pt"}], "]"}], ";", 
       RowBox[{"previousTheta", "=", "\[Theta]"}]}]}], "\[IndentingNewLine]", 
     "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Graphics", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"Background", " ", "shading"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Polygon", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "18"}], ",", 
              RowBox[{"-", "18"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"8", ",", 
              RowBox[{"-", "18"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"8", ",", "8"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "18"}], ",", "18"}], "}"}]}], "}"}], ",", 
          RowBox[{"VertexColors", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Lighter", "[", 
              RowBox[{"Black", ",", "0."}], "]"}], ",", 
             RowBox[{"Lighter", "[", 
              RowBox[{"Black", ",", "0."}], "]"}], ",", 
             RowBox[{"Lighter", "[", 
              RowBox[{"Blue", ",", "0.77"}], "]"}], ",", 
             RowBox[{"Lighter", "[", 
              RowBox[{"Blue", ",", "0.65"}], "]"}]}], "}"}]}]}], "]"}], ",", 
        "\[IndentingNewLine]", "Yellow", ",", 
        RowBox[{"Opacity", "[", "0.75", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", "2", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "\[Theta]"}], "}"}]}], "]"}], ",", " ", 
        RowBox[{"(*", " ", 
         RowBox[{"left", " ", 
          RowBox[{"line", "'"}], "s", " ", "progress"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"2", ",", "0"}], "}"}], ",", "2", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "\[Theta]"}], "}"}]}], "]"}], ",", " ", 
        RowBox[{"(*", " ", 
         RowBox[{"right", " ", 
          RowBox[{"line", "'"}], "s", " ", "progress"}], " ", "*)"}], 
        "\[IndentingNewLine]", "Blue", ",", 
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"2", ",", "0"}], "}"}], ",", "2", ",", 
          RowBox[{"{", 
           RowBox[{"\[Theta]", ",", 
            RowBox[{"\[Theta]", "+", "\[Phi]"}]}], "}"}]}], "]"}], ",", " ", 
        RowBox[{"(*", " ", 
         RowBox[{"right", " ", 
          RowBox[{"line", "'"}], "s", " ", "phase", " ", "relation", " ", 
          "to", " ", "left", " ", "line"}], " ", "*)"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"AbsoluteThickness", "[", "1", "]"}], ",", "Gray", ",", 
        RowBox[{"Opacity", "[", "0.5", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"-", "10"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "10"}], "}"}]}], "}"}], "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "10"}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"10", ",", "0"}], "}"}]}], "}"}], "]"}], ",", "  ", 
          RowBox[{"xy", "-", "axis"}]}], " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"AbsolutePointSize", "[", "9", "]"}], ",", "Cyan", ",", 
        RowBox[{"Opacity", "[", "0.5", "]"}], ",", "\[IndentingNewLine]", 
        "path", ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"AbsoluteThickness", "[", "4", "]"}], ",", 
        RowBox[{"Opacity", "[", "0.5", "]"}], ",", "\[IndentingNewLine]", " ",
         
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{
          "Left", " ", "line", " ", "and", " ", "pivot", " ", "point"}], " ", 
          "=", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2"}], ",", "0"}], "}"}]}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"Lighter", "[", 
         RowBox[{"Red", ",", "0."}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "2"}], "-", 
              RowBox[{"20", 
               RowBox[{"Cos", "[", 
                StyleBox["\[Theta]",
                 Background->GrayLevel[1]], "]"}]}]}], ",", 
             RowBox[{
              RowBox[{"-", "20"}], 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "2"}], "+", 
              RowBox[{"20", 
               RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}], ",", 
             RowBox[{"20", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}]}], "}"}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"AbsoluteDashing", "[", 
         RowBox[{"{", "20", "}"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "2"}], "-", 
              RowBox[{"20", 
               RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}], ",", 
             RowBox[{
              RowBox[{"-", "20"}], 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}]}], "}"}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{
          "Right", " ", "line", " ", "and", " ", "pivot", " ", "point"}], " ",
           "=", " ", 
          RowBox[{"{", 
           RowBox[{"2", ",", "0"}], "}"}]}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"Lighter", "[", 
         RowBox[{"Blue", ",", "0."}], "]"}], ",", 
        RowBox[{"AbsoluteDashing", "[", 
         RowBox[{"{", "}"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2", "-", 
              RowBox[{"20", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Phi]", "+", " ", "\[Theta]"}], "]"}]}]}], ",", 
             RowBox[{
              RowBox[{"-", "20"}], 
              RowBox[{"Sin", "[", 
               RowBox[{"\[Phi]", "+", " ", "\[Theta]"}], "]"}]}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2", "+", 
              RowBox[{"20", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Phi]", "+", " ", "\[Theta]"}], "]"}]}]}], ",", 
             RowBox[{"20", 
              RowBox[{"Sin", "[", 
               RowBox[{"\[Phi]", "+", " ", "\[Theta]"}], "]"}]}]}], "}"}]}], 
          "}"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"AbsoluteDashing", "[", 
         RowBox[{"{", "20", "}"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"2", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2", "-", 
              RowBox[{"20", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Phi]", "+", " ", "\[Theta]"}], "]"}]}]}], ",", 
             RowBox[{
              RowBox[{"-", "20"}], 
              RowBox[{"Sin", "[", 
               RowBox[{"\[Phi]", "+", " ", "\[Theta]"}], "]"}]}]}], "}"}]}], 
          "}"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"Red", " ", "Dots", " ", "mark", " ", "pivot", " ", "pts"}], 
         " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"Opacity", "[", "1", "]"}], ",", "Red", ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2"}], ",", "0"}], "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"2", ",", "0"}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
        " ", 
        RowBox[{"(*", " ", "intersection", " ", "*)"}], "\[IndentingNewLine]",
         "Cyan", ",", 
        RowBox[{"pt", "=", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}], "]"}], "/.", 
           RowBox[{"NSolve", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"y", "\[Equal]", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"x", "+", "2"}], ")"}], 
                 RowBox[{"Tan", "[", "\[Theta]", "]"}]}]}], ",", 
               RowBox[{"y", "\[Equal]", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"x", "-", "2"}], ")"}], 
                 RowBox[{"Tan", "[", " ", 
                  RowBox[{"\[Theta]", "+", "\[Phi]"}], "]"}]}]}]}], "}"}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}], ")"}]}]}], 
       "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", "6"}], ",", 
      RowBox[{"AspectRatio", "\[Rule]", "1.0"}], ",", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"Background", "\[Rule]", 
         RowBox[{"Lighter", "[", 
          RowBox[{"Green", ",", "0.8"}], "]"}]}], ","}], "*)"}], 
      RowBox[{"Frame", "\[Rule]", "False"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "400"}]}], "\[IndentingNewLine]", 
     "]"}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "controls", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Theta]", ",", "0.001", ",", "\"\<rotate lines\>\""}], "}"}], 
     ",", "0.001", ",", "6.28"}], "}"}], ",", "\[IndentingNewLine]", 
   "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Phi]", ",", 
       RowBox[{"\[Pi]", "/", "2."}], ",", "\"\<phase relation of lines\>\""}],
       "}"}], ",", "0.001", ",", "6.28"}], "}"}], ",", "\[IndentingNewLine]", 
   "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"clear", ",", "1", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Button", "[", 
       RowBox[{"\"\<Clear\>\"", ",", 
        RowBox[{"path", "=", 
         RowBox[{"{", "}"}]}]}], "]"}], "&"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"dynamic", " ", "variables"}], " ", "*)"}], "\[IndentingNewLine]",
    
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"path", ",", 
       RowBox[{"{", "}"}], ",", "\"\<\>\""}], "}"}], ",", "_", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pt", ",", 
       RowBox[{"{", "}"}], ",", "\"\<\>\""}], "}"}], ",", "_", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"previousTheta", ",", 
       RowBox[{"\[Pi]", "/", "4."}], ",", "\"\<\>\""}], "}"}], ",", "_", ",", 
     
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "options", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.388208684714925*^9, 3.3882086929788837`*^9}, {
   3.38996633920088*^9, 3.3899663507790794`*^9}, {3.3902399406264405`*^9, 
   3.3902399572207985`*^9}, {3.3903221982506*^9, 3.390322198510324*^9}, {
   3.3907349611596003`*^9, 3.3907349644943953`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`clear$$ = 
    1, $CellContext`path$$ = {{}}, $CellContext`previousTheta$$ = 
    0.001, $CellContext`pt$$ = {
     Point[{1.9999960000013335`, 
      0.0039999973333338665`}]}, $CellContext`\[Theta]$$ = 
    0.001, $CellContext`\[Phi]$$ = 1.5707963267948966`, Typeset`show$$ = True,
     Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Theta]$$], 0.001, "rotate lines"}, 0.001, 6.28}, {{
      
       Hold[$CellContext`\[Phi]$$], 1.5707963267948966`, 
       "phase relation of lines"}, 0.001, 6.28}, {{
       Hold[$CellContext`clear$$], 1, ""}, 
      Dynamic[Button["Clear", $CellContext`path$$ = {}]& ]}, {{
       Hold[$CellContext`path$$], {{}}, ""}, 
      Blank[]}, {{
       Hold[$CellContext`pt$$], {
        Point[{1.9999960000013335`, 0.0039999973333338665`}]}, ""}, 
      Blank[]}, {{
       Hold[$CellContext`previousTheta$$], 0.001, ""}, 
      Blank[]}}, Typeset`size$$ = {400., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`\[Theta]$573$$ = 0, $CellContext`\[Phi]$574$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`clear$$ = 
        1, $CellContext`path$$ = {{}}, $CellContext`previousTheta$$ = 
        0.001, $CellContext`pt$$ = {
          
          Point[{1.9999960000013335`, 
           0.0039999973333338665`}]}, $CellContext`\[Theta]$$ = 
        0.001, $CellContext`\[Phi]$$ = 1.5707963267948966`}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Theta]$$, $CellContext`\[Theta]$573$$, 0], 
        Hold[$CellContext`\[Phi]$$, $CellContext`\[Phi]$574$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`\[Theta]$$ == $CellContext`previousTheta$$, Null, 
         AppendTo[$CellContext`path$$, $CellContext`pt$$]; \
$CellContext`previousTheta$$ = $CellContext`\[Theta]$$]; Graphics[{
          
          Polygon[{{-18, -18}, {8, -18}, {8, 8}, {-18, 18}}, 
           VertexColors -> {
             Lighter[Black, 0.], 
             Lighter[Black, 0.], 
             Lighter[Blue, 0.77], 
             Lighter[Blue, 0.65]}], Yellow, 
          Opacity[0.75], 
          Disk[{-2, 0}, 2, {0, $CellContext`\[Theta]$$}], 
          Disk[{2, 0}, 2, {0, $CellContext`\[Theta]$$}], Blue, 
          
          Disk[{2, 0}, 
           2, {$CellContext`\[Theta]$$, $CellContext`\[Theta]$$ + \
$CellContext`\[Phi]$$}], 
          AbsoluteThickness[1], Gray, 
          Opacity[0.5], 
          AbsolutePointSize[9], Cyan, 
          Opacity[0.5], $CellContext`path$$, 
          AbsoluteThickness[4], 
          Opacity[0.5], 
          Lighter[Red, 0.], 
          
          Line[{{-2 - 20 Cos[$CellContext`\[Theta]$$], (-20) 
             Sin[$CellContext`\[Theta]$$]}, {-2 + 
             20 Cos[$CellContext`\[Theta]$$], 20 
             Sin[$CellContext`\[Theta]$$]}}], 
          AbsoluteDashing[{20}], 
          
          Line[{{-2, 
            0}, {-2 - 20 Cos[$CellContext`\[Theta]$$], (-20) 
             Sin[$CellContext`\[Theta]$$]}}], 
          Lighter[Blue, 0.], 
          AbsoluteDashing[{}], 
          
          Line[{{2 - 20 
             Cos[$CellContext`\[Phi]$$ + $CellContext`\[Theta]$$], (-20) 
             Sin[$CellContext`\[Phi]$$ + $CellContext`\[Theta]$$]}, {
            2 + 20 Cos[$CellContext`\[Phi]$$ + $CellContext`\[Theta]$$], 20 
             Sin[$CellContext`\[Phi]$$ + $CellContext`\[Theta]$$]}}], 
          AbsoluteDashing[{20}], 
          
          Line[{{2, 0}, {
            2 - 20 Cos[$CellContext`\[Phi]$$ + $CellContext`\[Theta]$$], (-20)
               Sin[$CellContext`\[Phi]$$ + $CellContext`\[Theta]$$]}}], 
          Opacity[1], Red, 
          Point[{-2, 0}], 
          Point[{2, 0}], Cyan, $CellContext`pt$$ = ReplaceAll[
            Point[{$CellContext`x, $CellContext`y}], 
            
            NSolve[{$CellContext`y == ($CellContext`x + 2) 
               Tan[$CellContext`\[Theta]$$], $CellContext`y == \
($CellContext`x - 2) 
               Tan[$CellContext`\[Theta]$$ + $CellContext`\[Phi]$$]}, \
{$CellContext`x, $CellContext`y}]]}, PlotRange -> 6, AspectRatio -> 1., Frame -> 
         False, ImageSize -> 400]), 
      "Specifications" :> {{{$CellContext`\[Theta]$$, 0.001, "rotate lines"}, 
         0.001, 6.28}, 
        Delimiter, {{$CellContext`\[Phi]$$, 1.5707963267948966`, 
          "phase relation of lines"}, 0.001, 6.28}, 
        Delimiter, {{$CellContext`clear$$, 1, ""}, 
         Dynamic[
         Button["Clear", $CellContext`path$$ = {}]& ]}, \
{{$CellContext`path$$, {{}}, ""}, 
         Blank[], ControlType -> None}, {{$CellContext`pt$$, {
           Point[{1.9999960000013335`, 0.0039999973333338665`}]}, ""}, 
         Blank[], ControlType -> 
         None}, {{$CellContext`previousTheta$$, 0.001, ""}, 
         Blank[], ControlType -> None}}, 
      "Options" :> {AutorunSequencing -> {1, 2}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {283., 288.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->876453487],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Two Lines Determine a Circle",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TwoLinesDetermineACircle/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/TwoLinesDetermineACircle/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TwoLinesDetermineACircle/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TwoLinesDetermineACircle/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/TwoLinesDetermineACircle/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["John Kiehl",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=John+Kiehl"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=John+Kiehl"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TwoLinesDetermineACircle"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Two Lines Determine a Circle - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 220, 4, 70, "Section"],
Cell[813, 29, 12700, 324, 70, "Input"]
}, Open  ]],
Cell[13528, 356, 5791, 128, 70, "Output",
 CellID->876453487],
Cell[CellGroupData[{
Cell[19344, 488, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[19720, 499, 931, 26, 70, "Text"],
Cell[20654, 527, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[20994, 538, 427, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[21446, 556, 829, 24, 70, "Text"],
Cell[22278, 582, 1200, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature GRzfkuztRckqVApKci6BG8Yx *)
