(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20993,        579]
NotebookOptionsPosition[     19806,        536]
NotebookOutlinePosition[     20441,        560]
CellTagsIndexPosition[     20398,        557]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["A Fifth-Degree Polynomial and Its Derivatives", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"SDM", "[", 
   RowBox[{
   "f_", ",", "n_", ",", "a_", ",", "b_", ",", " ", "c_", ",", " ", "d_", ",",
     " ", "s_", ",", " ", "e_"}], "]"}], " ", ":=", " ", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"r", " ", "=", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"d", "-", "c"}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "}"}], ",", "\[IndentingNewLine]",
     " ", 
    RowBox[{"Show", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Take", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"f", "[", "x", "]"}], ",", 
             RowBox[{
              RowBox[{"f", "'"}], "[", "x", "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"f", "'"}], "'"}], "[", "x", "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"f", "'"}], "'"}], "'"}], "[", "x", "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"f", "'"}], "'"}], "'"}], "'"}], "[", "x", "]"}]}], 
            "}"}], ",", " ", "n"}], "]"}], " ", "//", " ", "Evaluate"}], ",", 
        
        RowBox[{"{", 
         RowBox[{"x", ",", "a", ",", "e"}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"a", ",", "b"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"c", ",", "d"}], "}"}]}], "}"}]}], ",", " ", 
        RowBox[{"AspectRatio", "\[Rule]", "r"}], ",", "\[IndentingNewLine]", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"ColorData", "[", 
            RowBox[{"\"\<HTML\>\"", ",", " ", "\"\<SlateBlue\>\""}], "]"}], 
           ",", " ", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", " ", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".48", ",", ".11", ",", ".56"}], "]"}]}], "}"}]}]}], 
       "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"Take", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<f\>\"", ",", 
               RowBox[{"ColorData", "[", 
                RowBox[{"\"\<HTML\>\"", ",", " ", "\"\<SlateBlue\>\""}], 
                "]"}], ",", " ", "14", ",", "Italic"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "3.9"}], ",", "1"}], "}"}]}], "]"}], ",", " ", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<f'\>\"", ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", "  ", "14", 
               ",", "Italic"}], "]"}], ",", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "3.75"}], ",", "2.2"}], "}"}]}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<f''\>\"", ",", " ", 
               RowBox[{"RGBColor", "[", 
                RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", " ", "14",
                ",", "Italic"}], "]"}], ",", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "3"}], ",", 
               RowBox[{"-", "2"}]}], "}"}]}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<f'''\>\"", ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", "14", ",", 
               "Italic"}], "]"}], ",", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1.9"}], ",", "2.2"}], "}"}]}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<f''''\>\"", ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{".48", ",", ".11", ",", ".56"}], "]"}], ",", " ", 
               "14", ",", "Italic"}], "]"}], ",", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "2.6"}], ",", 
               RowBox[{"-", "3.8"}]}], "}"}]}], "]"}]}], "}"}], ",", " ", 
         "n"}], "]"}], "]"}], ",", 
      RowBox[{"ImageSize", " ", "\[Rule]", " ", 
       RowBox[{"{", 
        RowBox[{"450", ",", "400"}], "}"}]}]}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4190971534375*^9, 3.419097213421875*^9}, {
   3.419460491538209*^9, 3.419460574491334*^9}, {3.419460606022584*^9, 
   3.419460620460084*^9}, {3.419460652241334*^9, 3.419460701272584*^9}, {
   3.419460731710084*^9, 3.419460799569459*^9}, {3.42028048225*^9, 
   3.420280488984375*^9}, {3.420280592984375*^9, 3.420280602453125*^9}, 
   3.420283509484375*^9, {3.4202926186934614`*^9, 3.4202926926188536`*^9}, {
   3.420292726057197*^9, 3.420292770684659*^9}, {3.4202928160621967`*^9, 
   3.4202928784594355`*^9}, {3.4202929120107903`*^9, 3.4202929126108503`*^9}},
 
 CellID->288629274],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], ":=", 
  RowBox[{
   RowBox[{"-", ".5"}], "+", 
   RowBox[{".5", "x"}], "+", 
   RowBox[{".2", " ", 
    RowBox[{"x", "^", "2"}]}], "-", 
   RowBox[{".21", " ", 
    RowBox[{"x", "^", "3"}]}], "-", 
   RowBox[{".015", 
    RowBox[{"x", "^", "4"}]}], "+", 
   RowBox[{".01", " ", 
    RowBox[{"x", "^", "5", " "}]}]}]}]], "Input",
 CellID->10689816],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"SDM", "[", 
    RowBox[{"f", ",", 
     RowBox[{"n", "+", "1"}], ",", 
     RowBox[{"-", "4"}], ",", "4", ",", 
     RowBox[{"-", "4"}], ",", "4", ",", "500", ",", "p"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "2", ",", "\"\<number of derivatives\>\""}], "}"}], 
     ",", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", "4"}], "]"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButton"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", "2", ",", "\"\<from x = -4 to 4\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"-", "4"}], "+", "0.001`"}], ",", "4"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", "2", "}"}]}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.419458311569459*^9, 3.419459008475709*^9, {
   3.419459999538209*^9, 3.419460022350709*^9}, {3.42028358103125*^9, 
   3.4202836225*^9}, {3.420283772265625*^9, 3.420283796796875*^9}, {
   3.4202924595835524`*^9, 3.4202925994385366`*^9}, {3.420379790510438*^9, 
   3.420379791853572*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 2, $CellContext`p$$ = 2, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 2, "number of derivatives"}, {0, 1, 2, 3, 
      4}}, {{
       Hold[$CellContext`p$$], 2, "from x = -4 to 4"}, -3.999, 4}}, 
    Typeset`size$$ = {450., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`n$174586$$ = 0, $CellContext`p$174587$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`n$$ = 2, $CellContext`p$$ = 2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$174586$$, 0], 
        Hold[$CellContext`p$$, $CellContext`p$174587$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`SDM[$CellContext`f, $CellContext`n$$ + 1, -4, 
        4, -4, 4, 500, $CellContext`p$$], 
      "Specifications" :> {{{$CellContext`n$$, 2, "number of derivatives"}, {
         0, 1, 2, 3, 4}, ControlType -> 
         RadioButton}, {{$CellContext`p$$, 2, "from x = -4 to 4"}, -3.999, 
         4}}, "Options" :> {AutorunSequencing -> {2}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {251., 256.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`SDM[
          Pattern[$CellContext`f, 
           Blank[]], 
          Pattern[$CellContext`n, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]], 
          Pattern[$CellContext`s, 
           Blank[]], 
          Pattern[$CellContext`e, 
           Blank[]]] := 
        Module[{$CellContext`r = ($CellContext`d - \
$CellContext`c)/($CellContext`b - $CellContext`a)}, 
          Show[
           Plot[
            Evaluate[
             Take[{
               $CellContext`f[$CellContext`x], 
               Derivative[1][$CellContext`f][$CellContext`x], 
               Derivative[1][
                Derivative[1][$CellContext`f]][$CellContext`x], 
               Derivative[1][
                Derivative[1][
                 Derivative[1][$CellContext`f]]][$CellContext`x], 
               Derivative[1][
                Derivative[1][
                 Derivative[1][
                  Derivative[
                  1][$CellContext`f]]]][$CellContext`x]}, $CellContext`n]], \
{$CellContext`x, $CellContext`a, $CellContext`e}, 
            PlotRange -> {{$CellContext`a, $CellContext`b}, {$CellContext`c, \
$CellContext`d}}, AspectRatio -> $CellContext`r, PlotStyle -> {
              ColorData["HTML", "SlateBlue"], 
              RGBColor[1, 0.47, 0], 
              RGBColor[0.6, 0.73, 0.36], 
              RGBColor[0.49, 0, 0], 
              RGBColor[0.48, 0.11, 0.56]}], 
           Graphics[
            Take[{
              Text[
               Style["f", 
                ColorData["HTML", "SlateBlue"], 14, Italic], {-3.9, 1}], 
              Text[
               Style["f'", 
                RGBColor[1, 0.47, 0], 14, Italic], {-3.75, 2.2}], 
              Text[
               Style["f''", 
                RGBColor[0.6, 0.73, 0.36], 14, Italic], {-3, -2}], 
              Text[
               Style["f'''", 
                RGBColor[0.49, 0, 0], 14, Italic], {-1.9, 2.2}], 
              Text[
               Style["f''''", 
                RGBColor[0.48, 0.11, 0.56], 14, 
                Italic], {-2.6, -3.8}]}, $CellContext`n]], 
           ImageSize -> {450, 400}]], $CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]]] := -0.5 + 0.5 $CellContext`x + 0.2 $CellContext`x^2 - 
         0.21 $CellContext`x^3 - 0.015 $CellContext`x^4 + 
         0.01 $CellContext`x^5, $CellContext`r := (4 + 0)/(4 + 0), 
        Attributes[Derivative] = {NHoldAll, ReadProtected}, 
        Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`SDM[
           Pattern[$CellContext`f, 
            Blank[]], 
           Pattern[$CellContext`n, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]], 
           Pattern[$CellContext`s, 
            Blank[]], 
           Pattern[$CellContext`e, 
            Blank[]]] := 
         Module[{$CellContext`r = ($CellContext`d - \
$CellContext`c)/($CellContext`b - $CellContext`a)}, 
           Show[
            Plot[
             Evaluate[
              Take[{
                $CellContext`f[$CellContext`x], 
                Derivative[1][$CellContext`f][$CellContext`x], 
                Derivative[1][
                 Derivative[1][$CellContext`f]][$CellContext`x], 
                Derivative[1][
                 Derivative[1][
                  Derivative[1][$CellContext`f]]][$CellContext`x], 
                Derivative[1][
                 Derivative[1][
                  Derivative[1][
                   Derivative[
                   1][$CellContext`f]]]][$CellContext`x]}, $CellContext`n]], \
{$CellContext`x, $CellContext`a, $CellContext`e}, 
             PlotRange -> {{$CellContext`a, $CellContext`b}, {$CellContext`c, \
$CellContext`d}}, AspectRatio -> $CellContext`r, PlotStyle -> {
               ColorData["HTML", "SlateBlue"], 
               RGBColor[1, 0.47, 0], 
               RGBColor[0.6, 0.73, 0.36], 
               RGBColor[0.49, 0, 0], 
               RGBColor[0.48, 0.11, 0.56]}], 
            Graphics[
             Take[{
               Text[
                Style["f", 
                 ColorData["HTML", "SlateBlue"], 14, Italic], {-3.9, 1}], 
               Text[
                Style["f'", 
                 RGBColor[1, 0.47, 0], 14, Italic], {-3.75, 2.2}], 
               Text[
                Style["f''", 
                 RGBColor[0.6, 0.73, 0.36], 14, Italic], {-3, -2}], 
               Text[
                Style["f'''", 
                 RGBColor[0.49, 0, 0], 14, Italic], {-1.9, 2.2}], 
               Text[
                Style["f''''", 
                 RGBColor[0.48, 0.11, 0.56], 14, 
                 Italic], {-2.6, -3.8}]}, $CellContext`n]], 
            ImageSize -> {450, 400}]], $CellContext`f[
           Pattern[$CellContext`x, 
            Blank[]]] := -0.5 + 0.5 $CellContext`x + 0.2 $CellContext`x^2 - 
          0.21 $CellContext`x^3 - 0.015 $CellContext`x^4 + 
          0.01 $CellContext`x^5}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->253417874],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["A Fifth-Degree Polynomial and Its Derivatives",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
AFifthDegreePolynomialAndItsDerivatives/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/AFifthDegreePolynomialAndItsDerivatives/\
"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
AFifthDegreePolynomialAndItsDerivatives/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
AFifthDegreePolynomialAndItsDerivatives/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/AFifthDegreePolynomialAndItsDerivatives/\
"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Charles Wells",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Charles+Wells"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Charles+Wells"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
AFifthDegreePolynomialAndItsDerivatives"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"A Fifth-Degree Polynomial and Its Derivatives - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 237, 4, 70, "Section"],
Cell[830, 29, 5551, 138, 70, "Input",
 CellID->288629274],
Cell[6384, 169, 405, 14, 70, "Input",
 CellID->10689816],
Cell[6792, 185, 1297, 32, 70, "Input"]
}, Open  ]],
Cell[8104, 220, 7387, 176, 70, "Output",
 CellID->253417874],
Cell[CellGroupData[{
Cell[15516, 400, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15892, 411, 1035, 31, 70, "Text"],
Cell[16930, 444, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[17270, 455, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[17731, 473, 829, 24, 70, "Text"],
Cell[18563, 499, 1215, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature JSNAKy#tagsaXBD9e0F6w5Im *)
