(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     14733,        416]
NotebookOptionsPosition[     13590,        372]
NotebookOutlinePosition[     14224,        397]
CellTagsIndexPosition[     14181,        394]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Annotated Quadratic Polynomial", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", "=", 
       RowBox[{
        RowBox[{"a", " ", 
         RowBox[{"x", "^", "2"}]}], "+", 
        RowBox[{"b", " ", "x"}], "+", "c"}]}], "}"}], ",", 
     RowBox[{"Labeled", "[", 
      RowBox[{
       RowBox[{"Plot", "[", 
        RowBox[{"p", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
         RowBox[{"AxesOrigin", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], ",", 
         RowBox[{"Epilog", "\[Rule]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"a", "\[Equal]", "0"}], "&&", 
             RowBox[{"b", "\[Equal]", "0"}]}], ",", 
            RowBox[{"{", "}"}], ",", 
            RowBox[{"With", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"s", "=", 
                RowBox[{"Select", "[", 
                 RowBox[{
                  RowBox[{"Flatten", "[", 
                   RowBox[{"x", "/.", 
                    RowBox[{"Solve", "[", 
                    RowBox[{
                    RowBox[{"p", "\[Equal]", "0"}], ",", "x"}], "]"}]}], 
                   "]"}], ",", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Im", "[", "#", "]"}], "\[Equal]", "0"}], "&"}]}],
                  "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"Text", "[", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"#", ",", "14"}], "]"}], ",", 
                    RowBox[{"N", "@", 
                    RowBox[{"{", 
                    RowBox[{"#", ",", "0"}], "}"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "2"}]}], "}"}]}], "]"}], "&"}], "/@", "s"}], 
                ",", "Red", ",", 
                RowBox[{"PointSize", "[", ".01", "]"}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Point", "[", 
                   RowBox[{"N", "@", 
                    RowBox[{"{", 
                    RowBox[{"#", ",", "0"}], "}"}]}], "]"}], "&"}], "/@", 
                 "s"}]}], "}"}]}], "]"}]}], "]"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"500", ",", "344"}], "}"}]}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"20", ",", "20"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"20", ",", "20"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"PlotRangePadding", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "3"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"PlotRangeClipping", "\[Rule]", "False"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"TraditionalForm", "[", "p", "]"}], ",", "14"}], "]"}], 
        "]"}], ",", "Top"}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"-", "5"}], ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<coefficient of \>\"", ",", 
          RowBox[{"x", "^", "2"}]}], "}"}], "]"}]}], "}"}], ",", 
     RowBox[{"-", "5"}], ",", "5", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", 
       RowBox[{"-", "5"}], ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<coefficient of \>\"", ",", "x"}], "}"}], "]"}]}], "}"}],
      ",", 
     RowBox[{"-", "5"}], ",", "5", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"-", "5"}], ",", "\"\<constant term\>\""}], "}"}], ",", 
     RowBox[{"-", "5"}], ",", "5", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35264275560501*^9, {3.36304240275*^9, 3.36304258009375*^9}, 
   3.36304264296875*^9, {3.36304282842188*^9, 3.36304289285938*^9}, {
   3.3630429896875*^9, 3.36304299759375*^9}, {3.363043452875*^9, 
   3.36304345826563*^9}, {3.36304351146875*^9, 3.36304352089063*^9}, {
   3.371438052906623*^9, 3.371438155767973*^9}, {3.382889822695561*^9, 
   3.38288982277967*^9}, {3.382889880054904*^9, 3.3828898956072598`*^9}, {
   3.382890028067954*^9, 3.382890083394684*^9}, {3.3828901216303043`*^9, 
   3.382890154363042*^9}, {3.3828902462581663`*^9, 3.382890280610484*^9}, {
   3.385995213946783*^9, 3.385995289447863*^9}, {3.392672482055181*^9, 
   3.392672539703784*^9}, {3.392675031744773*^9, 3.3926750927607884`*^9}},
 CellID->1496021318],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`b$$ = 
    0, $CellContext`c$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], -5, 
       Row[{"coefficient of ", $CellContext`x^2}]}, -5, 5, 1}, {{
       Hold[$CellContext`b$$], -5, 
       Row[{"coefficient of ", $CellContext`x}]}, -5, 5, 1}, {{
       Hold[$CellContext`c$$], -5, "constant term"}, -5, 5, 1}}, 
    Typeset`size$$ = {750., {253., 291.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$493895$$ = 0, $CellContext`b$493896$$ = 
    0, $CellContext`c$493897$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = -5, $CellContext`b$$ = -5, \
$CellContext`c$$ = -5}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$493895$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$493896$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$493897$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`p$ = $CellContext`a$$ $CellContext`x^2 + \
$CellContext`b$$ $CellContext`x + $CellContext`c$$}, 
        Labeled[
         Plot[$CellContext`p$, {$CellContext`x, -3, 3}, AxesOrigin -> {0, 0}, 
          Epilog -> If[
            And[$CellContext`a$$ == 0, $CellContext`b$$ == 0], {}, 
            With[{$CellContext`s = Select[
                Flatten[
                 ReplaceAll[$CellContext`x, 
                  Solve[$CellContext`p$ == 0, $CellContext`x]]], Im[#] == 
                0& ]}, {
              Map[Text[
                Style[#, 14], 
                N[{#, 0}], {0, -2}]& , $CellContext`s], Red, 
              PointSize[0.01], 
              Map[Point[
                N[{#, 0}]]& , $CellContext`s]}]], ImageSize -> {500, 344}, 
          ImagePadding -> {{20, 20}, {20, 20}}, 
          PlotRangePadding -> {{0, 0}, {0, 3}}, PlotRangeClipping -> False], 
         Text[
          Style[
           TraditionalForm[$CellContext`p$], 14]], Top]], 
      "Specifications" :> {{{$CellContext`a$$, -5, 
          Row[{"coefficient of ", $CellContext`x^2}]}, -5, 5, 1, Appearance -> 
         "Labeled"}, {{$CellContext`b$$, -5, 
          Row[{"coefficient of ", $CellContext`x}]}, -5, 5, 1, Appearance -> 
         "Labeled"}, {{$CellContext`c$$, -5, "constant term"}, -5, 5, 1, 
         Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{799., {377.5, 384.5}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->697144204]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Annotated Quadratic Polynomial",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AnnotatedQuadraticPolynomial/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/AnnotatedQuadraticPolynomial/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/AnnotatedQuadraticPolynomial/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AnnotatedQuadraticPolynomial/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/AnnotatedQuadraticPolynomial/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Stephen Wolfram",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Stephen+\
Wolfram"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Stephen+Wolfram"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->143076911],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
AnnotatedQuadraticPolynomial"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{963, 885},
WindowMargins->{{29, Automatic}, {-2, Automatic}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Annotated Quadratic Polynomial - Source",
DockedCells->{},
CellContext->Notebook,
Magnification->1.5,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 222, 4, 105, "Section"],
Cell[CellGroupData[{
Cell[837, 31, 5184, 131, 368, "Input",
 CellID->1496021318],
Cell[6024, 164, 3285, 68, 787, "Output",
 CellID->697144204]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9358, 238, 373, 9, 75, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9734, 249, 965, 28, 51, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10736, 282, 337, 9, 75, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[11076, 293, 459, 15, 27, "Text",
 CellID->143076911],
Cell[11538, 310, 829, 24, 149, "Text"],
Cell[12370, 336, 1204, 33, 153, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature iSzg7xWUXgiwaCptuvLtElOk *)
