(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20207,        552]
NotebookOptionsPosition[     19092,        509]
NotebookOutlinePosition[     19696,        533]
CellTagsIndexPosition[     19653,        530]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Cubic Equation", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"a3", " ", 
       RowBox[{"x", "^", "3"}]}], "+", 
      RowBox[{"a2", " ", 
       RowBox[{"x", "^", "2"}]}], "+", 
      RowBox[{"a1", " ", "x"}], "+", "a0"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "10"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"TraditionalForm", "[", 
       RowBox[{
        RowBox[{"a3", " ", 
         RowBox[{"x", "^", "3"}]}], "+", 
        RowBox[{"a2", " ", 
         RowBox[{"x", "^", "2"}]}], "+", 
        RowBox[{"a1", " ", "x"}], "+", "a0"}], "]"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Thickness", "[", ".005", "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"PointSize", "[", ".015", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", "key", " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"RGBColor", "[", 
           RowBox[{"1", ",", ".26", ",", ".0"}], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"1.2", ",", "7"}], "}"}], "]"}]}], "}"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<zeros\>\"", ",", "12", ",", "Italic"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.3", ",", "7"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"RGBColor", "[", 
           RowBox[{".12", ",", ".61", ",", ".78"}], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"1.2", ",", "6"}], "}"}], "]"}]}], "}"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<critical points\>\"", ",", "12", ",", "Italic"}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.3", ",", "6"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"RGBColor", "[", 
           RowBox[{".67", ",", ".75", ",", ".15"}], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"1.2", ",", "5"}], "}"}], "]"}]}], "}"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<inflection points\>\"", ",", "12", ",", "Italic"}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.3", ",", "5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", "zeros", " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", ".26", ",", ".0"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Flatten", "[", "#", "]"}], "===", 
             RowBox[{"{", "}"}]}], ",", 
            RowBox[{"{", "}"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"#", ",", 
                 RowBox[{
                  RowBox[{"Function", "[", 
                   RowBox[{"x", ",", 
                    RowBox[{
                    RowBox[{"a3", " ", 
                    RowBox[{"x", "^", "3"}]}], "+", 
                    RowBox[{"a2", " ", 
                    RowBox[{"x", "^", "2"}]}], "+", 
                    RowBox[{"a1", " ", "x"}], "+", "a0"}]}], "]"}], "[", "#", 
                  "]"}]}], "}"}], "]"}], "&"}], "/@", 
             RowBox[{"(", 
              RowBox[{"x", "/.", "#"}], ")"}]}]}], "]"}], "&"}], "[", 
         RowBox[{"{", 
          RowBox[{"ToRules", "[", 
           RowBox[{"Quiet", "@", 
            RowBox[{"Reduce", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"a3", " ", 
                 RowBox[{"x", "^", "3"}]}], "+", 
                RowBox[{"a2", " ", 
                 RowBox[{"x", "^", "2"}]}], "+", 
                RowBox[{"a1", " ", "x"}], "+", "a0"}], "\[Equal]", "0"}], ",",
               "x", ",", "Reals"}], "]"}]}], "]"}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"inflection", " ", "points"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{".12", ",", ".61", ",", ".78"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Flatten", "[", "#", "]"}], "===", 
             RowBox[{"{", "}"}]}], ",", 
            RowBox[{"{", "}"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"#", ",", 
                 RowBox[{
                  RowBox[{"Function", "[", 
                   RowBox[{"x", ",", 
                    RowBox[{
                    RowBox[{"a3", " ", 
                    RowBox[{"x", "^", "3"}]}], "+", 
                    RowBox[{"a2", " ", 
                    RowBox[{"x", "^", "2"}]}], "+", 
                    RowBox[{"a1", " ", "x"}], "+", "a0"}]}], "]"}], "[", "#", 
                  "]"}]}], "}"}], "]"}], "&"}], "/@", 
             RowBox[{"(", 
              RowBox[{"x", "/.", "#"}], ")"}]}]}], "]"}], "&"}], "[", 
         RowBox[{"{", 
          RowBox[{"ToRules", "[", 
           RowBox[{"Quiet", "@", 
            RowBox[{"Reduce", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"3", 
                 RowBox[{"x", "^", "2"}], " ", "a3"}], "+", 
                RowBox[{"2", "a2", " ", "x"}], "+", "a1"}], " ", "\[Equal]", 
               "0"}], ",", "x", ",", "Reals"}], "]"}]}], "]"}], "}"}], "]"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{".67", ",", ".75", ",", ".15"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Flatten", "[", "#", "]"}], "===", 
             RowBox[{"{", "}"}]}], ",", 
            RowBox[{"{", "}"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"#", ",", 
                 RowBox[{
                  RowBox[{"Function", "[", 
                   RowBox[{"x", ",", 
                    RowBox[{
                    RowBox[{"a3", " ", 
                    RowBox[{"x", "^", "3"}]}], "+", 
                    RowBox[{"a2", " ", 
                    RowBox[{"x", "^", "2"}]}], "+", 
                    RowBox[{"a1", " ", "x"}], "+", "a0"}]}], "]"}], "[", "#", 
                  "]"}]}], "}"}], "]"}], "&"}], "/@", 
             RowBox[{"(", 
              RowBox[{"x", "/.", "#"}], ")"}]}]}], "]"}], "&"}], "[", 
         RowBox[{"{", 
          RowBox[{"ToRules", "[", 
           RowBox[{"Quiet", "@", 
            RowBox[{"Reduce", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"6", "x", " ", "a3"}], "+", 
                RowBox[{"2", "a2"}]}], " ", "\[Equal]", "0"}], ",", "x", ",", 
              "Reals"}], "]"}]}], "]"}], "}"}], "]"}]}], 
       "\[IndentingNewLine]", "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "400"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"a3", ",", 
     RowBox[{"-", "5."}], ",", "5."}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a2", ",", 
     RowBox[{"-", "5."}], ",", "5."}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a1", ",", 
     RowBox[{"-", "5."}], ",", "5."}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a0", ",", 
     RowBox[{"-", "5."}], ",", "5."}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.35739168161769*^9, 3.35739183910366*^9}, {
   3.3573918960973*^9, 3.35739226869541*^9}, {3.35739232159192*^9, 
   3.35739245404554*^9}, {3.35739248830318*^9, 3.35739252181909*^9}, {
   3.35739258266512*^9, 3.35739274213649*^9}, {3.35739288266011*^9, 
   3.35739290874248*^9}, {3.35739301407614*^9, 3.35739314501344*^9}, {
   3.3573931918381*^9, 3.3573933851684*^9}, {3.35739342979722*^9, 
   3.35739351684193*^9}, {3.35809974814917*^9, 3.35809975595652*^9}, {
   3.35809981197542*^9, 3.35809981986172*^9}, {3.35818689816608*^9, 
   3.35818690054799*^9}, {3.35842277740625*^9, 3.35842282507813*^9}, {
   3.36948335724775*^9, 3.36948339888997*^9}, {3.384708836532608*^9, 
   3.384708893354314*^9}, {3.390749088054813*^9, 3.3907490898574047`*^9}, {
   3.4190211454375*^9, 3.4190211555*^9}},
 CellID->1496021318],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a0$$ = -5., $CellContext`a1$$ = -5., \
$CellContext`a2$$ = -5., $CellContext`a3$$ = -5., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`a3$$], -5., 5.}, {
      Hold[$CellContext`a2$$], -5., 5.}, {
      Hold[$CellContext`a1$$], -5., 5.}, {
      Hold[$CellContext`a0$$], -5., 5.}}, Typeset`size$$ = {
    500., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a3$568$$ = 
    0, $CellContext`a2$569$$ = 0, $CellContext`a1$570$$ = 
    0, $CellContext`a0$571$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a0$$ = -5., $CellContext`a1$$ = -5., \
$CellContext`a2$$ = -5., $CellContext`a3$$ = -5.}, "ControllerVariables" :> {
        Hold[$CellContext`a3$$, $CellContext`a3$568$$, 0], 
        Hold[$CellContext`a2$$, $CellContext`a2$569$$, 0], 
        Hold[$CellContext`a1$$, $CellContext`a1$570$$, 0], 
        Hold[$CellContext`a0$$, $CellContext`a0$571$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[$CellContext`a3$$ $CellContext`x^3 + $CellContext`a2$$ \
$CellContext`x^2 + $CellContext`a1$$ $CellContext`x + $CellContext`a0$$, \
{$CellContext`x, -2, 2}, PlotRange -> 10, PlotLabel -> 
        TraditionalForm[$CellContext`a3$$ $CellContext`x^3 + \
$CellContext`a2$$ $CellContext`x^2 + $CellContext`a1$$ $CellContext`x + \
$CellContext`a0$$], PlotStyle -> Thickness[0.005], Epilog -> {
          PointSize[0.015], {
           RGBColor[1, 0.26, 0.], 
           Point[{1.2, 7}]}, 
          Text[
           Style["zeros", 12, Italic], {1.3, 7}, {-1, 0}], {
           RGBColor[0.12, 0.61, 0.78], 
           Point[{1.2, 6}]}, 
          Text[
           Style["critical points", 12, Italic], {1.3, 6}, {-1, 0}], {
           RGBColor[0.67, 0.75, 0.15], 
           Point[{1.2, 5}]}, 
          Text[
           Style["inflection points", 12, Italic], {1.3, 5}, {-1, 0}], 
          RGBColor[1, 0.26, 0.], 
          (If[Flatten[#] === {}, {}, 
           Map[Point[{#, 
              
              Function[$CellContext`x$, $CellContext`a3$$ $CellContext`x$^3 + \
$CellContext`a2$$ $CellContext`x$^2 + $CellContext`a1$$ $CellContext`x$ + \
$CellContext`a0$$][#]}]& , 
            ReplaceAll[$CellContext`x, #]]]& )[{
            ToRules[
             Quiet[
              
              Reduce[$CellContext`a3$$ $CellContext`x^3 + $CellContext`a2$$ \
$CellContext`x^2 + $CellContext`a1$$ $CellContext`x + $CellContext`a0$$ == 
               0, $CellContext`x, Reals]]]}], 
          RGBColor[0.12, 0.61, 0.78], 
          (If[Flatten[#] === {}, {}, 
           Map[Point[{#, 
              
              Function[$CellContext`x$, $CellContext`a3$$ $CellContext`x$^3 + \
$CellContext`a2$$ $CellContext`x$^2 + $CellContext`a1$$ $CellContext`x$ + \
$CellContext`a0$$][#]}]& , 
            ReplaceAll[$CellContext`x, #]]]& )[{
            ToRules[
             Quiet[
              
              Reduce[(3 $CellContext`x^2) $CellContext`a3$$ + (
                  2 $CellContext`a2$$) $CellContext`x + $CellContext`a1$$ == 
               0, $CellContext`x, Reals]]]}], 
          RGBColor[0.67, 0.75, 0.15], 
          (If[Flatten[#] === {}, {}, 
           Map[Point[{#, 
              
              Function[$CellContext`x$, $CellContext`a3$$ $CellContext`x$^3 + \
$CellContext`a2$$ $CellContext`x$^2 + $CellContext`a1$$ $CellContext`x$ + \
$CellContext`a0$$][#]}]& , 
            ReplaceAll[$CellContext`x, #]]]& )[{
            ToRules[
             Quiet[
              
              Reduce[(6 $CellContext`x) $CellContext`a3$$ + 
                2 $CellContext`a2$$ == 0, $CellContext`x, Reals]]]}]}, 
        ImageSize -> {500, 400}], 
      "Specifications" :> {{$CellContext`a3$$, -5., 
         5.}, {$CellContext`a2$$, -5., 5.}, {$CellContext`a1$$, -5., 
         5.}, {$CellContext`a0$$, -5., 5.}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {294., 299.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->437620031]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Cubic Equation",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CubicEquation/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/CubicEquation/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/CubicEquation/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CubicEquation/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/CubicEquation/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Eric W. Weisstein",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Eric+W.+\
Weisstein"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Eric+W.+Weisstein"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->2115879909],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
CubicEquation"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Cubic Equation - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 206, 4, 71, "Section"],
Cell[CellGroupData[{
Cell[821, 31, 9307, 236, 572, "Input",
 CellID->1496021318],
Cell[10131, 269, 4797, 104, 610, "Output",
 CellID->437620031]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[14977, 379, 373, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15353, 390, 856, 24, 34, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16246, 419, 337, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16586, 430, 466, 15, 18, "Text",
 CellID->2115879909],
Cell[17055, 447, 829, 24, 99, "Text"],
Cell[17887, 473, 1189, 33, 88, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 7RzXyqiDU5FqEBp11Axl6MZs *)
