(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15452,        415]
NotebookOptionsPosition[     14324,        372]
NotebookOutlinePosition[     14964,        397]
CellTagsIndexPosition[     14921,        394]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["End Behavior of Polynomial Functions", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"func", " ", "=", " ", 
       RowBox[{
        RowBox[{"a", "*", 
         RowBox[{"x", "^", "5"}]}], " ", "+", " ", 
        RowBox[{"b", " ", 
         RowBox[{"x", "^", "4"}]}], " ", "+", " ", 
        RowBox[{"c", " ", 
         RowBox[{"x", "^", "3"}]}], " ", "+", " ", 
        RowBox[{"d", " ", 
         RowBox[{"x", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"e", " ", "x"}], " ", "+", " ", "f"}]}], "}"}], ",", 
     RowBox[{"Plot", "[", 
      RowBox[{"func", ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "n"}], ",", "n"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "func"}], ",", " ", 
       RowBox[{"ImageSize", "\[Rule]", " ", "350"}], ",", 
       RowBox[{"ImagePadding", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"10", ",", "10"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"10", ",", "35"}], "}"}]}], "}"}]}]}], "]"}]}], "]"}], ",",
    "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "5", ",", "\"\<range\>\""}], "}"}], ",", "1", ",", 
     "120", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   "\"\<coefficients of:\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "a", ",", "0", ",", "\"\<\!\(\*SuperscriptBox[\(x\), \(5\)]\)\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "100"}], ",", "100", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "b", ",", "0", ",", "\"\<\!\(\*SuperscriptBox[\(x\), \(4\)]\)\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "100"}], ",", "100", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "c", ",", "0", ",", "\"\<\!\(\*SuperscriptBox[\(x\), \(3\)]\)\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "100"}], ",", "100", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "d", ",", "1", ",", "\"\<\!\(\*SuperscriptBox[\(x\), \(2\)]\)\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "100"}], ",", "100", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "e", ",", "1", ",", "\"\<\!\(\*SuperscriptBox[\(x\), \(1\)]\)\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "100"}], ",", "100", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "f", ",", "41", ",", "\"\<\!\(\*SuperscriptBox[\(x\), \(0\)]\)\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "100"}], ",", "100", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}], ",", 
     RowBox[{"Exclusions", "\[Rule]", "0"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", " ", "Left"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.38046983746875*^9, {3.380470615359375*^9, 
   3.380470651703125*^9}, {3.38047088434375*^9, 3.380470920421875*^9}, {
   3.3810013815933647`*^9, 3.381001526895477*^9}, {3.3810016540786448`*^9, 
   3.381001654869909*^9}, {3.381001703968341*^9, 3.381001727215477*^9}, 
   3.3816709677726016`*^9, {3.3816710007569766`*^9, 3.3816710026476016`*^9}, {
   3.3816711063194766`*^9, 3.3816711171944766`*^9}, 3.3876453580441732`*^9, {
   3.3876454127160482`*^9, 3.3876454174191732`*^9}, {3.3876454776222982`*^9, 
   3.3876454796066732`*^9}, {3.390059442307927*^9, 3.3900595413922577`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0, $CellContext`b$$ = 
    0, $CellContext`c$$ = 8, $CellContext`d$$ = -65, $CellContext`e$$ = 
    0, $CellContext`f$$ = 1, $CellContext`n$$ = 5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 5, "range"}, 1, 120, 1}, {
      Hold["coefficients of:"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`a$$], 0, 
       "\!\(\*SuperscriptBox[\(x\), \(5\)]\)"}, -100, 100, 1}, {{
       Hold[$CellContext`b$$], 0, 
       "\!\(\*SuperscriptBox[\(x\), \(4\)]\)"}, -100, 100, 1}, {{
       Hold[$CellContext`c$$], 0, 
       "\!\(\*SuperscriptBox[\(x\), \(3\)]\)"}, -100, 100, 1}, {{
       Hold[$CellContext`d$$], 1, 
       "\!\(\*SuperscriptBox[\(x\), \(2\)]\)"}, -100, 100, 1}, {{
       Hold[$CellContext`e$$], 1, 
       "\!\(\*SuperscriptBox[\(x\), \(1\)]\)"}, -100, 100, 1}, {{
       Hold[$CellContext`f$$], 41, 
       "\!\(\*SuperscriptBox[\(x\), \(0\)]\)"}, -100, 100, 1}}, 
    Typeset`size$$ = {525., {182., 191.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$165624$$ = 0, $CellContext`a$165625$$ = 
    0, $CellContext`b$165626$$ = 0, $CellContext`c$165627$$ = 
    0, $CellContext`d$165628$$ = 0, $CellContext`e$165629$$ = 
    0, $CellContext`f$165630$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 0, $CellContext`b$$ = 
        0, $CellContext`c$$ = 0, $CellContext`d$$ = 1, $CellContext`e$$ = 
        1, $CellContext`f$$ = 41, $CellContext`n$$ = 5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$165624$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$165625$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$165626$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$165627$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$165628$$, 0], 
        Hold[$CellContext`e$$, $CellContext`e$165629$$, 0], 
        Hold[$CellContext`f$$, $CellContext`f$165630$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`func$ = $CellContext`a$$ $CellContext`x^5 + \
$CellContext`b$$ $CellContext`x^4 + $CellContext`c$$ $CellContext`x^3 + \
$CellContext`d$$ $CellContext`x^2 + $CellContext`e$$ $CellContext`x + \
$CellContext`f$$}, 
        Plot[$CellContext`func$, {$CellContext`x, -$CellContext`n$$, \
$CellContext`n$$}, PlotRange -> All, PlotLabel -> $CellContext`func$, 
         ImageSize -> 350, ImagePadding -> {{10, 10}, {10, 35}}]], 
      "Specifications" :> {{{$CellContext`n$$, 5, "range"}, 1, 120, 1, 
         Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        "coefficients of:", {{$CellContext`a$$, 0, 
          "\!\(\*SuperscriptBox[\(x\), \(5\)]\)"}, -100, 100, 1, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`b$$, 0, 
          "\!\(\*SuperscriptBox[\(x\), \(4\)]\)"}, -100, 100, 1, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`c$$, 0, 
          "\!\(\*SuperscriptBox[\(x\), \(3\)]\)"}, -100, 100, 1, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`d$$, 1, 
          "\!\(\*SuperscriptBox[\(x\), \(2\)]\)"}, -100, 100, 1, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`e$$, 1, 
          "\!\(\*SuperscriptBox[\(x\), \(1\)]\)"}, -100, 100, 1, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`f$$, 41, 
          "\!\(\*SuperscriptBox[\(x\), \(0\)]\)"}, -100, 100, 1, Appearance -> 
         "Labeled", ImageSize -> Tiny, Exclusions -> 0}}, 
      "Options" :> {ControlPlacement -> Left}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{830., {213.5, 220.5}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->73546283]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["End Behavior of Polynomial Functions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/EndBehaviorOfPolynomialFunctions/"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/EndBehaviorOfPolynomialFunctions/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
EndBehaviorOfPolynomialFunctions/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/EndBehaviorOfPolynomialFunctions/"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/EndBehaviorOfPolynomialFunctions/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ed Pegg Jr",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->20212186],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
EndBehaviorOfPolynomialFunctions"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{1005, 910},
WindowMargins->{{2, Automatic}, {-5, Automatic}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"End Behavior of Polynomial Functions - Source",
DockedCells->{},
CellContext->Notebook,
Magnification->1.5,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 228, 4, 105, "Section"],
Cell[CellGroupData[{
Cell[843, 31, 4639, 112, 440, "Input"],
Cell[5485, 145, 4545, 86, 459, "Output",
 CellID->73546283]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10079, 237, 373, 9, 75, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10455, 248, 987, 29, 51, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11479, 282, 337, 9, 75, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[11819, 293, 446, 15, 27, "Text",
 CellID->20212186],
Cell[12268, 310, 829, 24, 149, "Text"],
Cell[13100, 336, 1208, 33, 131, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature uTNUdC5KT6eFHDTMbEZpwCDw *)
