(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     39841,        988]
NotebookOptionsPosition[     38775,        949]
NotebookOutlinePosition[     39404,        973]
CellTagsIndexPosition[     39361,        970]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Mapping an Interval by a Cubic Polynomial", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"discr", "=", 
       RowBox[{
        RowBox[{"4", 
         RowBox[{"b", "^", "2"}]}], "-", 
        RowBox[{"12", "c"}]}]}], "}"}], ",", 
     RowBox[{"Show", "[", 
      RowBox[{
       RowBox[{"Plot", "[", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "^", "3"}], "+", 
          RowBox[{"b", " ", 
           RowBox[{"x", "^", "2"}]}], "+", 
          RowBox[{"c", " ", "x"}], "+", "d"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "1"}], ",", "1.3"}], "}"}], ",", 
         RowBox[{"AxesOrigin", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"f", "[", "x", "]"}], ",", "\"\< = \>\"", ",", 
               RowBox[{
                RowBox[{"x", "^", "3"}], "+", 
                RowBox[{"b", " ", 
                 RowBox[{"x", "^", "2"}]}], "+", 
                RowBox[{"c", " ", "x"}], "+", "d"}]}], "}"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "0.5"}], ",", "1.1"}], "}"}]}], "]"}], ",", 
          RowBox[{"RGBColor", "[", 
           RowBox[{"1", ",", " ", "0.501961", ",", " ", "0.501961"}], "]"}], 
          ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<\!\(\*SubscriptBox[\(y\), \(0\)]\)\>\"", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "0.1"}], ",", " ", 
              RowBox[{
               RowBox[{"x0", "^", "3"}], "+", 
               RowBox[{"b", " ", 
                RowBox[{"x0", "^", "2"}]}], "+", 
               RowBox[{"c", " ", "x0"}], "+", "d"}]}], "}"}]}], "]"}], ",", 
          RowBox[{"RGBColor", "[", 
           RowBox[{"0", ",", " ", "0.666667", ",", " ", "0"}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\)\>\"", ",", 
            RowBox[{"{", 
             RowBox[{"x0", ",", 
              RowBox[{"-", "0.1"}]}], "}"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\)+\[Delta]\>\"", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x0", "+", "\[Delta]"}], ",", 
              RowBox[{"-", "0.15"}]}], "}"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\)-\[Delta]\>\"", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x0", "-", "\[Delta]"}], ",", 
              RowBox[{"-", "0.15"}]}], "}"}]}], "]"}], ",", 
          RowBox[{"RGBColor", "[", 
           RowBox[{"0", ",", " ", "0.501961", ",", " ", "0"}], "]"}], ",", 
          RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"x0", ",", " ", 
             RowBox[{
              RowBox[{"x0", "^", "3"}], "+", 
              RowBox[{"b", " ", 
               RowBox[{"x0", "^", "2"}]}], "+", 
              RowBox[{"c", " ", "x0"}], "+", "d"}]}], "}"}], "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"x0", ",", " ", 
               RowBox[{
                RowBox[{"x0", "^", "3"}], "+", 
                RowBox[{"b", " ", 
                 RowBox[{"x0", "^", "2"}]}], "+", 
                RowBox[{"c", " ", "x0"}], "+", "d"}]}], "}"}]}], "}"}], "]"}],
           ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                RowBox[{"b", 
                 RowBox[{
                  RowBox[{"(", " ", 
                   RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "2"}]}], "+", 
                
                RowBox[{"c", 
                 RowBox[{"(", " ", 
                  RowBox[{"x0", "-", "\[Delta]"}], ")"}]}], "+", "d"}]}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "-", "\[Delta]"}], ",", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                RowBox[{"b", 
                 RowBox[{
                  RowBox[{"(", " ", 
                   RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "2"}]}], "+", 
                
                RowBox[{"c", 
                 RowBox[{"(", " ", 
                  RowBox[{"x0", "-", "\[Delta]"}], ")"}]}], "+", "d"}]}], 
              "}"}]}], "}"}], "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                RowBox[{"b", 
                 RowBox[{
                  RowBox[{"(", " ", 
                   RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "2"}]}], "+", 
                
                RowBox[{"c", 
                 RowBox[{"(", " ", 
                  RowBox[{"x0", "+", "\[Delta]"}], ")"}]}], "+", "d"}]}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "+", "\[Delta]"}], ",", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                RowBox[{"b", 
                 RowBox[{
                  RowBox[{"(", " ", 
                   RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "2"}]}], "+", 
                
                RowBox[{"c", 
                 RowBox[{"(", " ", 
                  RowBox[{"x0", "+", "\[Delta]"}], ")"}]}], "+", "d"}]}], 
              "}"}]}], "}"}], "]"}], ",", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x0", ",", " ", 
               RowBox[{
                RowBox[{"x0", "^", "3"}], "+", 
                RowBox[{"b", " ", 
                 RowBox[{"x0", "^", "2"}]}], "+", 
                RowBox[{"c", " ", "x0"}], "+", "d"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", " ", 
               RowBox[{
                RowBox[{"x0", "^", "3"}], "+", 
                RowBox[{"b", " ", 
                 RowBox[{"x0", "^", "2"}]}], "+", 
                RowBox[{"c", " ", "x0"}], "+", "d"}]}], "}"}]}], "}"}], "]"}],
           ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "+", "\[Delta]"}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "+", "\[Delta]"}], ",", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                RowBox[{"b", 
                 RowBox[{
                  RowBox[{"(", " ", 
                   RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "2"}]}], "+", 
                
                RowBox[{"c", 
                 RowBox[{"(", " ", 
                  RowBox[{"x0", "+", "\[Delta]"}], ")"}]}], "+", "d"}]}], 
              "}"}]}], "}"}], "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "-", "\[Delta]"}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "-", "\[Delta]"}], ",", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                RowBox[{"b", 
                 RowBox[{
                  RowBox[{"(", " ", 
                   RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "2"}]}], "+", 
                
                RowBox[{"c", 
                 RowBox[{"(", " ", 
                  RowBox[{"x0", "-", "\[Delta]"}], ")"}]}], "+", "d"}]}], 
              "}"}]}], "}"}], "]"}], ",", 
          RowBox[{"Thickness", "[", "0.015", "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "-", "\[Delta]"}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "+", "\[Delta]"}], ",", " ", "0"}], "}"}]}], 
            "}"}], "]"}], ",", 
          RowBox[{"RGBColor", "[", 
           RowBox[{"1", ",", " ", "0.501961", ",", " ", "0.501961"}], "]"}], 
          ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"discr", "\[LessEqual]", "0"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                  RowBox[{"b", 
                   RowBox[{
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "2"}]}], "+",
                   
                  RowBox[{"c", 
                   RowBox[{"(", " ", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}]}], "+", "d"}]}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                  RowBox[{"b", 
                   RowBox[{
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "2"}]}], "+",
                   
                  RowBox[{"c", 
                   RowBox[{"(", " ", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}]}], "+", "d"}]}], 
                "}"}]}], "}"}], "]"}], ",", 
            RowBox[{"With", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"x1", "=", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], "b"}], "-", 
                    RowBox[{"Sqrt", "[", "discr", "]"}]}], ")"}], "/", 
                  "6."}]}], ",", 
                RowBox[{"x2", "=", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], "b"}], "+", 
                    RowBox[{"Sqrt", "[", "discr", "]"}]}], ")"}], "/", 
                  "6."}]}]}], "}"}], ",", 
              RowBox[{"Which", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"x0", "+", "\[Delta]"}], "\[LessEqual]", "x1"}], ",",
                 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                    RowBox[{"b", 
                    RowBox[{
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "2"}]}], "+",
                     
                    RowBox[{"c", 
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}]}], "+", "d"}]}], 
                    "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                    RowBox[{"b", 
                    RowBox[{
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "2"}]}], "+",
                     
                    RowBox[{"c", 
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}]}], "+", "d"}]}], 
                    "}"}]}], "}"}], "]"}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"x0", "-", "\[Delta]"}], "\[LessEqual]", "x1"}], "&&",
                  
                 RowBox[{
                  RowBox[{"x0", "+", "\[Delta]"}], ">", "x1"}]}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"Min", "[", 
                    RowBox[{"{", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                    RowBox[{"b", 
                    RowBox[{
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "2"}]}], "+",
                     
                    RowBox[{"c", 
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}]}], "+", "d"}], ",",
                     
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                    RowBox[{"b", 
                    RowBox[{
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "2"}]}], "+",
                     
                    RowBox[{"c", 
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}]}], "+", "d"}]}], 
                    "}"}], "]"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", "x1", ")"}], "^", "3"}], "+", 
                    RowBox[{"b", 
                    RowBox[{
                    RowBox[{"(", " ", "x1", ")"}], "^", "2"}]}], "+", 
                    RowBox[{"c", 
                    RowBox[{"(", " ", "x1", ")"}]}], "+", "d"}]}], "}"}]}], 
                  "}"}], "]"}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"x0", "-", "\[Delta]"}], ">", "x1"}], "&&", 
                 RowBox[{
                  RowBox[{"x0", "+", "\[Delta]"}], "<=", "x2"}]}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                    RowBox[{"b", 
                    RowBox[{
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "2"}]}], "+",
                     
                    RowBox[{"c", 
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}]}], "+", "d"}]}], 
                    "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                    RowBox[{"b", 
                    RowBox[{
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "2"}]}], "+",
                     
                    RowBox[{"c", 
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}]}], "+", "d"}]}], 
                    "}"}]}], "}"}], "]"}], ",", 
                RowBox[{
                 RowBox[{"x1", "<", 
                  RowBox[{"x0", "-", "\[Delta]"}], "\[LessEqual]", "x2"}], "&&",
                  
                 RowBox[{
                  RowBox[{"x0", "+", "\[Delta]"}], ">", "x2"}]}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"Max", "[", 
                    RowBox[{"{", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                    RowBox[{"b", 
                    RowBox[{
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "2"}]}], "+",
                     
                    RowBox[{"c", 
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}]}], "+", "d"}], ",",
                     
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                    RowBox[{"b", 
                    RowBox[{
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "2"}]}], "+",
                     
                    RowBox[{"c", 
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}]}], "+", "d"}]}], 
                    "}"}], "]"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", "x2", ")"}], "^", "3"}], "+", 
                    RowBox[{"b", 
                    RowBox[{
                    RowBox[{"(", " ", "x2", ")"}], "^", "2"}]}], "+", 
                    RowBox[{"c", 
                    RowBox[{"(", " ", "x2", ")"}]}], "+", "d"}]}], "}"}]}], 
                  "}"}], "]"}], ",", 
                RowBox[{
                 RowBox[{"x0", "+", "\[Delta]"}], ">=", "x2"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                    RowBox[{"b", 
                    RowBox[{
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}], "^", "2"}]}], "+",
                     
                    RowBox[{"c", 
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "-", "\[Delta]"}], ")"}]}], "+", "d"}]}], 
                    "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "3"}], "+", 
                    RowBox[{"b", 
                    RowBox[{
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}], "^", "2"}]}], "+",
                     
                    RowBox[{"c", 
                    RowBox[{"(", " ", 
                    RowBox[{"x0", "+", "\[Delta]"}], ")"}]}], "+", "d"}]}], 
                    "}"}]}], "}"}], "]"}]}], "]"}]}], "]"}]}], "]"}]}], "}"}],
         "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1.3"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".9"}], ",", "1.3"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"b", ",", 
     RowBox[{"-", "1"}], ",", "1", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"c", ",", 
     RowBox[{"-", "1"}], ",", "1", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"d", ",", ".5", ",", ".9", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", "0.2", ",", 
       RowBox[{"Subscript", "[", 
        RowBox[{"\"\<x\>\"", ",", "0"}], "]"}]}], "}"}], ",", 
     RowBox[{"-", "1"}], ",", "1.3", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Delta]", ",", "0.2"}], "}"}], ",", "0.001", ",", ".8", ",", 
     ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.431866102958943*^9, 3.431866106896443*^9}, {
   3.4318671768895683`*^9, 3.4318673464645243`*^9}, {3.4319707067428827`*^9, 
   3.4319707864144263`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`b$$ = -1, $CellContext`c$$ = -1, \
$CellContext`d$$ = 0.5, $CellContext`x0$$ = 0.2, $CellContext`\[Delta]$$ = 
    0.2, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`b$$], -1, 1, 0.01}, {
      Hold[$CellContext`c$$], -1, 1, 0.01}, {
      Hold[$CellContext`d$$], 0.5, 0.9, 0.01}, {{
       Hold[$CellContext`x0$$], 0.2, 
       Subscript["x", 0]}, -1, 1.3, 0.01}, {{
       Hold[$CellContext`\[Delta]$$], 0.2}, 0.001, 0.8, 0.01}}, 
    Typeset`size$$ = {400., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`b$27201$$ = 0, $CellContext`c$27202$$ = 
    0, $CellContext`d$27203$$ = 0, $CellContext`x0$27204$$ = 
    0, $CellContext`\[Delta]$27205$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`b$$ = -1, $CellContext`c$$ = -1, \
$CellContext`d$$ = 0.5, $CellContext`x0$$ = 0.2, $CellContext`\[Delta]$$ = 
        0.2}, "ControllerVariables" :> {
        Hold[$CellContext`b$$, $CellContext`b$27201$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$27202$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$27203$$, 0], 
        Hold[$CellContext`x0$$, $CellContext`x0$27204$$, 0], 
        Hold[$CellContext`\[Delta]$$, $CellContext`\[Delta]$27205$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`discr$ = 4 $CellContext`b$$^2 - 12 $CellContext`c$$},
         
        Show[
         Plot[$CellContext`x^3 + $CellContext`b$$ $CellContext`x^2 + \
$CellContext`c$$ $CellContext`x + $CellContext`d$$, {$CellContext`x, -1, 1.3},
           AxesOrigin -> {0, 0}, AspectRatio -> Automatic], 
         Graphics[{
           Text[
            Row[{
              $CellContext`f[$CellContext`x], 
              " = ", $CellContext`x^3 + $CellContext`b$$ $CellContext`x^2 + \
$CellContext`c$$ $CellContext`x + $CellContext`d$$}], {-0.5, 1.1}], 
           RGBColor[1, 0.501961, 0.501961], 
           Text[
           "\!\(\*SubscriptBox[\(y\), \(0\)]\)", {-0.1, $CellContext`x0$$^3 + \
$CellContext`b$$ $CellContext`x0$$^2 + $CellContext`c$$ $CellContext`x0$$ + \
$CellContext`d$$}], 
           RGBColor[0, 0.666667, 0], 
           Text[
           "\!\(\*SubscriptBox[\(x\), \(0\)]\)", {$CellContext`x0$$, -0.1}], 
           Text[
           "\!\(\*SubscriptBox[\(x\), \(0\)]\)+\[Delta]", {$CellContext`x0$$ + \
$CellContext`\[Delta]$$, -0.15}], 
           Text[
           "\!\(\*SubscriptBox[\(x\), \(0\)]\)-\[Delta]", {$CellContext`x0$$ - \
$CellContext`\[Delta]$$, -0.15}], 
           RGBColor[0, 0.501961, 0], 
           PointSize[0.02], 
           
           Point[{$CellContext`x0$$, $CellContext`x0$$^3 + $CellContext`b$$ \
$CellContext`x0$$^2 + $CellContext`c$$ $CellContext`x0$$ + $CellContext`d$$}],
            
           
           Line[{{$CellContext`x0$$, 
              0}, {$CellContext`x0$$, $CellContext`x0$$^3 + $CellContext`b$$ \
$CellContext`x0$$^2 + $CellContext`c$$ $CellContext`x0$$ + \
$CellContext`d$$}}], 
           
           Line[{{0, ($CellContext`x0$$ - $CellContext`\[Delta]$$)^3 + \
$CellContext`b$$ ($CellContext`x0$$ - $CellContext`\[Delta]$$)^2 + \
$CellContext`c$$ ($CellContext`x0$$ - $CellContext`\[Delta]$$) + \
$CellContext`d$$}, {$CellContext`x0$$ - $CellContext`\[Delta]$$, \
($CellContext`x0$$ - $CellContext`\[Delta]$$)^3 + $CellContext`b$$ \
($CellContext`x0$$ - $CellContext`\[Delta]$$)^2 + $CellContext`c$$ \
($CellContext`x0$$ - $CellContext`\[Delta]$$) + $CellContext`d$$}}], 
           
           Line[{{0, ($CellContext`x0$$ + $CellContext`\[Delta]$$)^3 + \
$CellContext`b$$ ($CellContext`x0$$ + $CellContext`\[Delta]$$)^2 + \
$CellContext`c$$ ($CellContext`x0$$ + $CellContext`\[Delta]$$) + \
$CellContext`d$$}, {$CellContext`x0$$ + $CellContext`\[Delta]$$, \
($CellContext`x0$$ + $CellContext`\[Delta]$$)^3 + $CellContext`b$$ \
($CellContext`x0$$ + $CellContext`\[Delta]$$)^2 + $CellContext`c$$ \
($CellContext`x0$$ + $CellContext`\[Delta]$$) + $CellContext`d$$}}], 
           
           Arrow[{{$CellContext`x0$$, $CellContext`x0$$^3 + $CellContext`b$$ \
$CellContext`x0$$^2 + $CellContext`c$$ $CellContext`x0$$ + $CellContext`d$$}, \
{0, $CellContext`x0$$^3 + $CellContext`b$$ $CellContext`x0$$^2 + \
$CellContext`c$$ $CellContext`x0$$ + $CellContext`d$$}}], 
           
           Line[{{$CellContext`x0$$ + $CellContext`\[Delta]$$, 
              0}, {$CellContext`x0$$ + $CellContext`\[Delta]$$, \
($CellContext`x0$$ + $CellContext`\[Delta]$$)^3 + $CellContext`b$$ \
($CellContext`x0$$ + $CellContext`\[Delta]$$)^2 + $CellContext`c$$ \
($CellContext`x0$$ + $CellContext`\[Delta]$$) + $CellContext`d$$}}], 
           
           Line[{{$CellContext`x0$$ - $CellContext`\[Delta]$$, 
              0}, {$CellContext`x0$$ - $CellContext`\[Delta]$$, \
($CellContext`x0$$ - $CellContext`\[Delta]$$)^3 + $CellContext`b$$ \
($CellContext`x0$$ - $CellContext`\[Delta]$$)^2 + $CellContext`c$$ \
($CellContext`x0$$ - $CellContext`\[Delta]$$) + $CellContext`d$$}}], 
           Thickness[0.015], 
           
           Line[{{$CellContext`x0$$ - $CellContext`\[Delta]$$, 
              0}, {$CellContext`x0$$ + $CellContext`\[Delta]$$, 0}}], 
           RGBColor[1, 0.501961, 0.501961], 
           If[$CellContext`discr$ <= 0, 
            
            Line[{{0, ($CellContext`x0$$ - $CellContext`\[Delta]$$)^3 + \
$CellContext`b$$ ($CellContext`x0$$ - $CellContext`\[Delta]$$)^2 + \
$CellContext`c$$ ($CellContext`x0$$ - $CellContext`\[Delta]$$) + \
$CellContext`d$$}, {
              0, ($CellContext`x0$$ + $CellContext`\[Delta]$$)^3 + \
$CellContext`b$$ ($CellContext`x0$$ + $CellContext`\[Delta]$$)^2 + \
$CellContext`c$$ ($CellContext`x0$$ + $CellContext`\[Delta]$$) + \
$CellContext`d$$}}], 
            
            With[{$CellContext`x1$ = ((-2) $CellContext`b$$ - 
                Sqrt[$CellContext`discr$])/
               6., $CellContext`x2$ = ((-2) $CellContext`b$$ + 
                Sqrt[$CellContext`discr$])/6.}, 
             
             Which[$CellContext`x0$$ + $CellContext`\[Delta]$$ <= \
$CellContext`x1$, 
              
              Line[{{0, ($CellContext`x0$$ - $CellContext`\[Delta]$$)^3 + \
$CellContext`b$$ ($CellContext`x0$$ - $CellContext`\[Delta]$$)^2 + \
$CellContext`c$$ ($CellContext`x0$$ - $CellContext`\[Delta]$$) + \
$CellContext`d$$}, {
                0, ($CellContext`x0$$ + $CellContext`\[Delta]$$)^3 + \
$CellContext`b$$ ($CellContext`x0$$ + $CellContext`\[Delta]$$)^2 + \
$CellContext`c$$ ($CellContext`x0$$ + $CellContext`\[Delta]$$) + \
$CellContext`d$$}}], 
              
              And[$CellContext`x0$$ - $CellContext`\[Delta]$$ <= \
$CellContext`x1$, $CellContext`x0$$ + $CellContext`\[Delta]$$ > \
$CellContext`x1$], 
              Line[{{0, 
                 
                 Min[{($CellContext`x0$$ - $CellContext`\[Delta]$$)^3 + \
$CellContext`b$$ ($CellContext`x0$$ - $CellContext`\[Delta]$$)^2 + \
$CellContext`c$$ ($CellContext`x0$$ - $CellContext`\[Delta]$$) + \
$CellContext`d$$, ($CellContext`x0$$ + $CellContext`\[Delta]$$)^3 + \
$CellContext`b$$ ($CellContext`x0$$ + $CellContext`\[Delta]$$)^2 + \
$CellContext`c$$ ($CellContext`x0$$ + $CellContext`\[Delta]$$) + \
$CellContext`d$$}]}, {
                0, $CellContext`x1$^3 + $CellContext`b$$ $CellContext`x1$^2 + \
$CellContext`c$$ $CellContext`x1$ + $CellContext`d$$}}], 
              
              And[$CellContext`x0$$ - $CellContext`\[Delta]$$ > \
$CellContext`x1$, $CellContext`x0$$ + $CellContext`\[Delta]$$ <= \
$CellContext`x2$], 
              
              Line[{{0, ($CellContext`x0$$ - $CellContext`\[Delta]$$)^3 + \
$CellContext`b$$ ($CellContext`x0$$ - $CellContext`\[Delta]$$)^2 + \
$CellContext`c$$ ($CellContext`x0$$ - $CellContext`\[Delta]$$) + \
$CellContext`d$$}, {
                0, ($CellContext`x0$$ + $CellContext`\[Delta]$$)^3 + \
$CellContext`b$$ ($CellContext`x0$$ + $CellContext`\[Delta]$$)^2 + \
$CellContext`c$$ ($CellContext`x0$$ + $CellContext`\[Delta]$$) + \
$CellContext`d$$}}], 
              And[
               
               Inequality[$CellContext`x1$, 
                Less, $CellContext`x0$$ - $CellContext`\[Delta]$$, 
                LessEqual, $CellContext`x2$], $CellContext`x0$$ + \
$CellContext`\[Delta]$$ > $CellContext`x2$], 
              Line[{{0, 
                 
                 Max[{($CellContext`x0$$ - $CellContext`\[Delta]$$)^3 + \
$CellContext`b$$ ($CellContext`x0$$ - $CellContext`\[Delta]$$)^2 + \
$CellContext`c$$ ($CellContext`x0$$ - $CellContext`\[Delta]$$) + \
$CellContext`d$$, ($CellContext`x0$$ + $CellContext`\[Delta]$$)^3 + \
$CellContext`b$$ ($CellContext`x0$$ + $CellContext`\[Delta]$$)^2 + \
$CellContext`c$$ ($CellContext`x0$$ + $CellContext`\[Delta]$$) + \
$CellContext`d$$}]}, {
                0, $CellContext`x2$^3 + $CellContext`b$$ $CellContext`x2$^2 + \
$CellContext`c$$ $CellContext`x2$ + $CellContext`d$$}}], $CellContext`x0$$ + \
$CellContext`\[Delta]$$ >= $CellContext`x2$, 
              
              Line[{{0, ($CellContext`x0$$ - $CellContext`\[Delta]$$)^3 + \
$CellContext`b$$ ($CellContext`x0$$ - $CellContext`\[Delta]$$)^2 + \
$CellContext`c$$ ($CellContext`x0$$ - $CellContext`\[Delta]$$) + \
$CellContext`d$$}, {
                0, ($CellContext`x0$$ + $CellContext`\[Delta]$$)^3 + \
$CellContext`b$$ ($CellContext`x0$$ + $CellContext`\[Delta]$$)^2 + \
$CellContext`c$$ ($CellContext`x0$$ + $CellContext`\[Delta]$$) + \
$CellContext`d$$}}]]]]}], PlotRange -> {{-1, 1.3}, {-0.9, 1.3}}, 
         ImageSize -> {400, 400}]], 
      "Specifications" :> {{$CellContext`b$$, -1, 1, 0.01, Appearance -> 
         "Labeled", ImageSize -> Tiny}, {$CellContext`c$$, -1, 1, 0.01, 
         Appearance -> "Labeled", ImageSize -> Tiny}, {$CellContext`d$$, 0.5, 
         0.9, 0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`x0$$, 0.2, 
          Subscript["x", 0]}, -1, 1.3, 0.01, Appearance -> "Labeled", 
         ImageSize -> Tiny}, {{$CellContext`\[Delta]$$, 0.2}, 0.001, 0.8, 
         0.01, Appearance -> "Labeled", ImageSize -> Tiny}}, 
      "Options" :> {ControlPlacement -> Left}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{582., {225., 230.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->636727454],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Mapping an Interval by a Cubic Polynomial",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
MappingAnIntervalByACubicPolynomial/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/MappingAnIntervalByACubicPolynomial/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
MappingAnIntervalByACubicPolynomial/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
MappingAnIntervalByACubicPolynomial/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/MappingAnIntervalByACubicPolynomial/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
MappingAnIntervalByACubicPolynomial"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{762, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Mapping an Interval by a Cubic Polynomial - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 233, 4, 70, "Section"],
Cell[826, 29, 22677, 567, 70, "Input"]
}, Open  ]],
Cell[23518, 599, 10974, 212, 70, "Output",
 CellID->636727454],
Cell[CellGroupData[{
Cell[34517, 815, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[34893, 826, 1007, 29, 70, "Text"],
Cell[35903, 857, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[36243, 868, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[36704, 886, 829, 24, 70, "Text"],
Cell[37536, 912, 1211, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature NQzY7OvoE8t8RCT82QvAnsTH *)
