(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     29646,        781]
NotebookOptionsPosition[     28045,        723]
NotebookOutlinePosition[     28680,        747]
CellTagsIndexPosition[     28637,        744]
WindowTitle->Parameters for Plotting a Cubic Polynomial - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Parameters for Plotting a Cubic Polynomial", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"a3", "[", 
   RowBox[{"h_", ",", " ", "\[Delta]_"}], "]"}], " ", ":=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "h"}], "/", "2"}], "/", 
   RowBox[{"\[Delta]", "^", "3"}]}]}]], "Input",
 InitializationCell->True,
 CellID->872869235],

Cell[BoxData[
 RowBox[{
  RowBox[{"a2", "[", 
   RowBox[{"h_", ",", " ", "\[Delta]_", ",", " ", "xN_"}], "]"}], " ", ":=", 
  " ", 
  RowBox[{"3", "*", "h", "*", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"xN", "/", "2"}], "/", 
     RowBox[{"\[Delta]", "^", "3"}]}], ")"}]}]}]], "Input",
 InitializationCell->True,
 CellID->217106778],

Cell[BoxData[
 RowBox[{
  RowBox[{"a1", "[", 
   RowBox[{"h_", ",", " ", "\[Delta]_", ",", " ", "xN_"}], "]"}], " ", ":=", 
  " ", 
  RowBox[{"3", "*", "h", "*", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"xN", "^", "2"}]}], " ", "+", " ", 
        RowBox[{"\[Delta]", "^", "2"}]}], ")"}], "/", "2"}], "/", 
     RowBox[{"\[Delta]", "^", "3"}]}], ")"}]}]}]], "Input",
 InitializationCell->True,
 CellID->336036039],

Cell[BoxData[
 RowBox[{
  RowBox[{"a0", "[", 
   RowBox[{"h_", ",", " ", "\[Delta]_", ",", " ", "xN_", ",", " ", "yN_"}], 
   "]"}], " ", ":=", " ", 
  RowBox[{
   RowBox[{"h", "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"xN", "^", "3"}], "/", "2"}], "/", 
      RowBox[{"\[Delta]", "^", "3"}]}], ")"}]}], " ", "-", " ", 
   RowBox[{"3", "*", "h", "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"xN", "/", "2"}], "/", "\[Delta]"}], ")"}]}], " ", "+", " ", 
   "yN"}]}]], "Input",
 InitializationCell->True,
 CellID->30971613],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{
   "h_", ",", " ", "\[Delta]_", ",", " ", "xN_", ",", " ", "yN_", ",", " ", 
    "x_"}], "]"}], " ", ":=", 
  RowBox[{"Re", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"a3", "[", 
      RowBox[{"h", ",", " ", "\[Delta]"}], "]"}], "*", 
     RowBox[{"x", "^", "3"}]}], " ", "+", " ", 
    RowBox[{
     RowBox[{"a2", "[", 
      RowBox[{"h", ",", " ", "\[Delta]", ",", " ", "xN"}], "]"}], "*", 
     RowBox[{"x", "^", "2"}]}], " ", "+", " ", 
    RowBox[{
     RowBox[{"a1", "[", 
      RowBox[{"h", ",", " ", "\[Delta]", ",", " ", "xN"}], "]"}], "*", "x"}], 
    " ", "+", " ", 
    RowBox[{"a0", "[", 
     RowBox[{"h", ",", " ", "\[Delta]", ",", " ", "xN", ",", " ", "yN"}], 
     "]"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellID->189717733],

Cell[BoxData[
 RowBox[{
  RowBox[{"mN", "[", 
   RowBox[{"h_", ",", "\[Delta]_", ",", "xN_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"a2", "[", 
     RowBox[{"h", ",", "\[Delta]", ",", "xN"}], "]"}], " ", "xN"}], "+", 
   RowBox[{"a1", "[", 
    RowBox[{"h", ",", "\[Delta]", ",", "xN"}], "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.452093582550215*^9, 3.452093650548656*^9}, 
   3.45209374148887*^9},
 CellID->314612053],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"If", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Delta]", "!=", "0"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"h", ",", "\[Delta]", ",", "xN", ",", "yN", ",", "xx"}], 
        "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"xx", ",", 
         RowBox[{"xN", "-", 
          RowBox[{"Abs", "[", "dx", "]"}]}], ",", 
         RowBox[{"xN", "+", 
          RowBox[{"Abs", "[", "dx", "]"}]}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"xN", "-", 
             RowBox[{"Abs", "[", "dx", "]"}]}], ",", 
            RowBox[{"xN", "+", 
             RowBox[{"Abs", "[", "dx", "]"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"yN", "-", 
             RowBox[{"Abs", "[", "dy", "]"}]}], ",", 
            RowBox[{"yN", "+", 
             RowBox[{"Abs", "[", "dy", "]"}]}]}], "}"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"390", ",", "390"}], "}"}]}], ",", 
       RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", "x", "}"}]}], ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Text", "@", 
         RowBox[{"TraditionalForm", "[", 
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"f", "[", "x", "]"}], ",", "\"\< = \>\"", ",", 
             RowBox[{
              RowBox[{
               SubscriptBox["a", "3"], 
               SuperscriptBox["x", "3"]}], "+", 
              RowBox[{
               SubscriptBox["a", "2"], 
               SuperscriptBox["x", "2"]}], "+", 
              RowBox[{
               SubscriptBox["a", "1"], "x"}], "+", 
              SubscriptBox["a", "0"]}]}], "}"}], "]"}], "]"}]}]}], ",", 
       RowBox[{"ImagePadding", "\[Rule]", "20"}]}], "]"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Style", "[", 
      RowBox[{
      "\"\<Note that \[Delta] must not be zero!\>\"", ",", "Bold", ",", "18", 
       ",", "Red"}], "]"}]}], "\[IndentingNewLine]", "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<parameters:\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "xN", ",", "2", ",", 
       "\"\<point of inflection \!\(\*SubscriptBox[\(x\), \(N\)]\)\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "yN", ",", "1", ",", 
       "\"\<point of inflection \!\(\*SubscriptBox[\(y\), \(N\)]\)\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"h", ",", 
       RowBox[{"-", "0.4"}], ",", "\"\< height h\>\""}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Delta]", ",", "0.5", ",", "\"\<width \[Delta]\>\""}], "}"}], 
     ",", 
     RowBox[{"-", "2"}], ",", "2", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Exclusions", "\[Rule]", "0"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<plot range:\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dx", ",", "2", ",", "\"\<dx\>\""}], "}"}], ",", 
     RowBox[{"-", "5"}], ",", "5", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dy", ",", "2", ",", "\"\<dy\>\""}], "}"}], ",", 
     RowBox[{"-", "5"}], ",", "5", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<cubic coefficients:\>\"", ",", "Bold"}], "]"}], ",", 
   RowBox[{"Grid", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(a\), \(3\)]\)\>\"", ",", "\"\< = \>\"", ",", 
        
        RowBox[{"Dynamic", "[", 
         RowBox[{"a3", "[", 
          RowBox[{"h", ",", "\[Delta]"}], "]"}], "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(a\), \(2\)]\)\>\"", ",", "\"\< = \>\"", ",", 
        
        RowBox[{"Dynamic", "[", 
         RowBox[{"a2", "[", 
          RowBox[{"h", ",", "\[Delta]", ",", "xN"}], "]"}], "]"}]}], "}"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(a\), \(1\)]\)\>\"", ",", "\"\< = \>\"", ",", 
        
        RowBox[{"Dynamic", "[", 
         RowBox[{"a1", "[", 
          RowBox[{"h", ",", "\[Delta]", ",", "xN"}], "]"}], "]"}]}], "}"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(a\), \(0\)]\)\>\"", ",", "\"\< = \>\"", ",", 
        
        RowBox[{"Dynamic", "[", 
         RowBox[{"a0", "[", 
          RowBox[{"h", ",", "\[Delta]", ",", "xN", ",", "yN"}], "]"}], 
         "]"}]}], "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<slope \!\(\*SubscriptBox[\(m\), \(N\)]\)\>\"", ",", "\"\< = \>\"",
         ",", 
        RowBox[{"Dynamic", "[", 
         RowBox[{"mN", "[", 
          RowBox[{"h", ",", "\[Delta]", ",", "xN"}], "]"}], "]"}]}], "}"}]}], 
     "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.452092976127521*^9, {3.452093671821986*^9, 
   3.452093714894722*^9}, {3.452093746705082*^9, 3.452093747649667*^9}, {
   3.45209410861811*^9, 3.452094156049397*^9}, {3.452094195981437*^9, 
   3.452094242623794*^9}, {3.452094708219018*^9, 3.452094714021078*^9}, {
   3.452096800056244*^9, 3.45209687513197*^9}, {3.452096931606374*^9, 
   3.452097070568197*^9}, {3.452097294889803*^9, 3.45209729549853*^9}, {
   3.452097330729019*^9, 3.45209734223487*^9}, {3.452097441842062*^9, 
   3.452097465810046*^9}, {3.452099768942569*^9, 3.452099785119105*^9}, {
   3.452157489155013*^9, 3.4521575340732*^9}, {3.4522811190130606`*^9, 
   3.4522811850295305`*^9}, {3.452281223295645*^9, 3.452281497408529*^9}, {
   3.4522815455810204`*^9, 3.452281550799837*^9}, {3.4522815984879475`*^9, 
   3.45228161547254*^9}, {3.452281654910545*^9, 3.452281720145755*^9}, {
   3.4522817590993786`*^9, 3.45228176349006*^9}, {3.4522818574600124`*^9, 
   3.4522819118513336`*^9}, {3.452282032351207*^9, 3.452282100303897*^9}, {
   3.452282135319298*^9, 3.452282232521801*^9}, {3.4522823173659286`*^9, 
   3.4522823209597015`*^9}, {3.4525116188997674`*^9, 
   3.4525116222801056`*^9}, {3.452511653171194*^9, 3.45251165832971*^9}, {
   3.4525197176895747`*^9, 3.4525197484626517`*^9}},
 CellID->1763531469]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`dx$$ = 2, $CellContext`dy$$ = 
    2, $CellContext`h$$ = -0.4, $CellContext`xN$$ = 2, $CellContext`yN$$ = 
    1, $CellContext`\[Delta]$$ = 0.5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Style["parameters:", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`xN$$], 2, 
       "point of inflection \!\(\*SubscriptBox[\(x\), \(N\)]\)"}, -2, 2, 
      0.01}, {{
       Hold[$CellContext`yN$$], 1, 
       "point of inflection \!\(\*SubscriptBox[\(y\), \(N\)]\)"}, -2, 2, 
      0.01}, {{
       Hold[$CellContext`h$$], -0.4, " height h"}, -2, 2, 0.01}, {{
       Hold[$CellContext`\[Delta]$$], 0.5, "width \[Delta]"}, -2, 2, 0.01}, {
      Hold[
       Style["plot range:", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`dx$$], 2, "dx"}, -5, 5, 0.01}, {{
       Hold[$CellContext`dy$$], 2, "dy"}, -5, 5, 0.01}, {
      Hold[
       Style["cubic coefficients:", Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Grid[{{"\!\(\*SubscriptBox[\(a\), \(3\)]\)", " = ", 
          Dynamic[
           $CellContext`a3[$CellContext`h$$, $CellContext`\[Delta]$$]]}, {
         "\!\(\*SubscriptBox[\(a\), \(2\)]\)", " = ", 
          Dynamic[
           $CellContext`a2[$CellContext`h$$, $CellContext`\[Delta]$$, \
$CellContext`xN$$]]}, {"\!\(\*SubscriptBox[\(a\), \(1\)]\)", " = ", 
          Dynamic[
           $CellContext`a1[$CellContext`h$$, $CellContext`\[Delta]$$, \
$CellContext`xN$$]]}, {"\!\(\*SubscriptBox[\(a\), \(0\)]\)", " = ", 
          Dynamic[
           $CellContext`a0[$CellContext`h$$, $CellContext`\[Delta]$$, \
$CellContext`xN$$, $CellContext`yN$$]]}, {}, {
         "slope \!\(\*SubscriptBox[\(m\), \(N\)]\)", " = ", 
          Dynamic[
           $CellContext`mN[$CellContext`h$$, $CellContext`\[Delta]$$, \
$CellContext`xN$$]]}}]], Manipulate`Dump`ThisIsNotAControl}}, 
    Typeset`size$$ = {390., {193., 197.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`xN$6778$$ = 0, $CellContext`yN$6779$$ = 
    0, $CellContext`h$6780$$ = 0, $CellContext`\[Delta]$6781$$ = 
    0, $CellContext`dx$6782$$ = 0, $CellContext`dy$6783$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`dx$$ = 2, $CellContext`dy$$ = 
        2, $CellContext`h$$ = -0.4, $CellContext`xN$$ = 2, $CellContext`yN$$ = 
        1, $CellContext`\[Delta]$$ = 0.5}, "ControllerVariables" :> {
        Hold[$CellContext`xN$$, $CellContext`xN$6778$$, 0], 
        Hold[$CellContext`yN$$, $CellContext`yN$6779$$, 0], 
        Hold[$CellContext`h$$, $CellContext`h$6780$$, 0], 
        Hold[$CellContext`\[Delta]$$, $CellContext`\[Delta]$6781$$, 0], 
        Hold[$CellContext`dx$$, $CellContext`dx$6782$$, 0], 
        Hold[$CellContext`dy$$, $CellContext`dy$6783$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> If[$CellContext`\[Delta]$$ != 0, 
        Plot[
         $CellContext`f[$CellContext`h$$, $CellContext`\[Delta]$$, \
$CellContext`xN$$, $CellContext`yN$$, $CellContext`xx], {$CellContext`xx, \
$CellContext`xN$$ - Abs[$CellContext`dx$$], $CellContext`xN$$ + 
          Abs[$CellContext`dx$$]}, 
         PlotRange -> {{$CellContext`xN$$ - 
            Abs[$CellContext`dx$$], $CellContext`xN$$ + 
            Abs[$CellContext`dx$$]}, {$CellContext`yN$$ - 
            Abs[$CellContext`dy$$], $CellContext`yN$$ + 
            Abs[$CellContext`dy$$]}}, ImageSize -> {390, 390}, AspectRatio -> 
         1, AxesLabel -> {$CellContext`x}, AxesOrigin -> {0, 0}, PlotLabel -> 
         Text[
           TraditionalForm[
            Row[{
              $CellContext`f[$CellContext`x], " = ", 
              Subscript[$CellContext`a, 3] $CellContext`x^3 + 
              Subscript[$CellContext`a, 2] $CellContext`x^2 + 
              Subscript[$CellContext`a, 1] $CellContext`x + 
              Subscript[$CellContext`a, 0]}]]], ImagePadding -> 20], 
        Style["Note that \[Delta] must not be zero!", Bold, 18, Red]], 
      "Specifications" :> {
        Style[
        "parameters:", 
         Bold], {{$CellContext`xN$$, 2, 
          "point of inflection \!\(\*SubscriptBox[\(x\), \(N\)]\)"}, -2, 2, 
         0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`yN$$, 1, 
          "point of inflection \!\(\*SubscriptBox[\(y\), \(N\)]\)"}, -2, 2, 
         0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`h$$, -0.4, " height h"}, -2, 2, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`\[Delta]$$, 0.5, "width \[Delta]"}, -2, 2, 
         0.01, Appearance -> "Labeled", ImageSize -> Tiny, Exclusions -> 0}, 
        Delimiter, 
        Style[
        "plot range:", Bold], {{$CellContext`dx$$, 2, "dx"}, -5, 5, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`dy$$, 2, "dy"}, -5, 5, 0.01, Appearance -> 
         "Labeled", ImageSize -> Tiny}, Delimiter, 
        Style["cubic coefficients:", Bold], 
        Grid[{{"\!\(\*SubscriptBox[\(a\), \(3\)]\)", " = ", 
           Dynamic[
            $CellContext`a3[$CellContext`h$$, $CellContext`\[Delta]$$]]}, {
          "\!\(\*SubscriptBox[\(a\), \(2\)]\)", " = ", 
           Dynamic[
            $CellContext`a2[$CellContext`h$$, $CellContext`\[Delta]$$, \
$CellContext`xN$$]]}, {"\!\(\*SubscriptBox[\(a\), \(1\)]\)", " = ", 
           Dynamic[
            $CellContext`a1[$CellContext`h$$, $CellContext`\[Delta]$$, \
$CellContext`xN$$]]}, {"\!\(\*SubscriptBox[\(a\), \(0\)]\)", " = ", 
           Dynamic[
            $CellContext`a0[$CellContext`h$$, $CellContext`\[Delta]$$, \
$CellContext`xN$$, $CellContext`yN$$]]}, {}, {
          "slope \!\(\*SubscriptBox[\(m\), \(N\)]\)", " = ", 
           Dynamic[
            $CellContext`mN[$CellContext`h$$, $CellContext`\[Delta]$$, \
$CellContext`xN$$]]}}]}, "Options" :> {ControlPlacement -> Left}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{660., {222., 227.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`f[
          Pattern[$CellContext`h, 
           Blank[]], 
          Pattern[$CellContext`\[Delta], 
           Blank[]], 
          Pattern[$CellContext`xN, 
           Blank[]], 
          Pattern[$CellContext`yN, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]]] := 
        Re[$CellContext`a3[$CellContext`h, $CellContext`\[Delta]] \
$CellContext`x^3 + $CellContext`a2[$CellContext`h, $CellContext`\[Delta], \
$CellContext`xN] $CellContext`x^2 + $CellContext`a1[$CellContext`h, \
$CellContext`\[Delta], $CellContext`xN] $CellContext`x + \
$CellContext`a0[$CellContext`h, $CellContext`\[Delta], $CellContext`xN, \
$CellContext`yN]], $CellContext`a3[
          Pattern[$CellContext`h, 
           Blank[]], 
          Pattern[$CellContext`\[Delta], 
           Blank[]]] := -($CellContext`h/(
          2 $CellContext`\[Delta]^3)), $CellContext`a2[
          Pattern[$CellContext`h, 
           Blank[]], 
          Pattern[$CellContext`\[Delta], 
           Blank[]], 
          Pattern[$CellContext`xN, 
           Blank[]]] := (3 $CellContext`h) ($CellContext`xN/(
          2 $CellContext`\[Delta]^3)), $CellContext`a1[
          Pattern[$CellContext`h, 
           Blank[]], 
          Pattern[$CellContext`\[Delta], 
           Blank[]], 
          Pattern[$CellContext`xN, 
           Blank[]]] := (
          3 $CellContext`h) ((-$CellContext`xN^2 + $CellContext`\[Delta]^2)/(
          2 $CellContext`\[Delta]^3)), $CellContext`a0[
          Pattern[$CellContext`h, 
           Blank[]], 
          Pattern[$CellContext`\[Delta], 
           Blank[]], 
          Pattern[$CellContext`xN, 
           Blank[]], 
          Pattern[$CellContext`yN, 
           Blank[]]] := $CellContext`h ($CellContext`xN^3/(
           2 $CellContext`\[Delta]^3)) - (3 $CellContext`h) ($CellContext`xN/(
          2 $CellContext`\[Delta])) + $CellContext`yN, 
        Attributes[Subscript] = {NHoldRest}, $CellContext`mN[
          Pattern[$CellContext`h, 
           Blank[]], 
          Pattern[$CellContext`\[Delta], 
           Blank[]], 
          Pattern[$CellContext`xN, 
           
           Blank[]]] := $CellContext`a2[$CellContext`h, \
$CellContext`\[Delta], $CellContext`xN] $CellContext`xN + \
$CellContext`a1[$CellContext`h, $CellContext`\[Delta], $CellContext`xN]}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`a3[
           Pattern[$CellContext`h, 
            Blank[]], 
           Pattern[$CellContext`\[Delta], 
            Blank[]]] := ((-$CellContext`h)/
           2)/$CellContext`\[Delta]^3, $CellContext`a2[
           Pattern[$CellContext`h, 
            Blank[]], 
           Pattern[$CellContext`\[Delta], 
            Blank[]], 
           Pattern[$CellContext`xN, 
            Blank[]]] := 
         3 $CellContext`h (($CellContext`xN/
            2)/$CellContext`\[Delta]^3), $CellContext`a1[
           Pattern[$CellContext`h, 
            Blank[]], 
           Pattern[$CellContext`\[Delta], 
            Blank[]], 
           Pattern[$CellContext`xN, 
            Blank[]]] := 
         3 $CellContext`h (((-$CellContext`xN^2 + $CellContext`\[Delta]^2)/
            2)/$CellContext`\[Delta]^3), $CellContext`a0[
           Pattern[$CellContext`h, 
            Blank[]], 
           Pattern[$CellContext`\[Delta], 
            Blank[]], 
           Pattern[$CellContext`xN, 
            Blank[]], 
           Pattern[$CellContext`yN, 
            
            Blank[]]] := $CellContext`h (($CellContext`xN^3/
             2)/$CellContext`\[Delta]^3) - 
          3 $CellContext`h (($CellContext`xN/
            2)/$CellContext`\[Delta]) + $CellContext`yN, $CellContext`f[
           Pattern[$CellContext`h, 
            Blank[]], 
           Pattern[$CellContext`\[Delta], 
            Blank[]], 
           Pattern[$CellContext`xN, 
            Blank[]], 
           Pattern[$CellContext`yN, 
            Blank[]], 
           Pattern[$CellContext`x, 
            Blank[]]] := 
         Re[$CellContext`a3[$CellContext`h, $CellContext`\[Delta]] \
$CellContext`x^3 + $CellContext`a2[$CellContext`h, $CellContext`\[Delta], \
$CellContext`xN] $CellContext`x^2 + $CellContext`a1[$CellContext`h, \
$CellContext`\[Delta], $CellContext`xN] $CellContext`x + \
$CellContext`a0[$CellContext`h, $CellContext`\[Delta], $CellContext`xN, \
$CellContext`yN]], $CellContext`mN[
           Pattern[$CellContext`h, 
            Blank[]], 
           Pattern[$CellContext`\[Delta], 
            Blank[]], 
           Pattern[$CellContext`xN, 
            
            Blank[]]] := $CellContext`a2[$CellContext`h, \
$CellContext`\[Delta], $CellContext`xN] $CellContext`xN + \
$CellContext`a1[$CellContext`h, $CellContext`\[Delta], $CellContext`xN]}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->43952485],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Parameters for Plotting a Cubic Polynomial",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ParametersForPlottingACubicPolynomial/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ParametersForPlottingACubicPolynomial/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
ParametersForPlottingACubicPolynomial/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ParametersForPlottingACubicPolynomial/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ParametersForPlottingACubicPolynomial/"]\

}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Thomas Mueller",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Thomas+Mueller"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Thomas+Mueller"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ParametersForPlottingACubicPolynomial"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Parameters for Plotting a Cubic Polynomial - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[632, 23, 234, 4, 70, "Section"],
Cell[869, 29, 272, 9, 70, "Input",
 InitializationCell->True,
 CellID->872869235],
Cell[1144, 40, 336, 11, 70, "Input",
 InitializationCell->True,
 CellID->217106778],
Cell[1483, 53, 491, 16, 70, "Input",
 InitializationCell->True,
 CellID->336036039],
Cell[1977, 71, 554, 18, 70, "Input",
 InitializationCell->True,
 CellID->30971613],
Cell[2534, 91, 819, 24, 70, "Input",
 InitializationCell->True,
 CellID->189717733],
Cell[3356, 117, 482, 14, 70, "Input",
 InitializationCell->True,
 CellID->314612053],
Cell[3841, 133, 8262, 197, 70, "Input",
 CellID->1763531469]
}, Open  ]],
Cell[12118, 333, 11611, 251, 70, "Output",
 CellID->43952485],
Cell[CellGroupData[{
Cell[23754, 588, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[24130, 599, 1020, 30, 70, "Text"],
Cell[25153, 631, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[25493, 642, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[25954, 660, 847, 24, 70, "Text"],
Cell[26804, 686, 1213, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature NTjxgkB9ExGInApsZGc1rvnI *)
