(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     50961,       1336]
NotebookOptionsPosition[     48839,       1260]
NotebookOutlinePosition[     49465,       1284]
CellTagsIndexPosition[     49422,       1281]
WindowTitle->Parameters for Plotting a Quartic - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Parameters for Plotting a Quartic", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"F", "[", 
   RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_", ",", "e_", ",", "x_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"a", " ", 
    RowBox[{"x", "^", "4"}]}], "+", 
   RowBox[{"b", " ", 
    RowBox[{"x", "^", "3"}]}], "+", 
   RowBox[{"c", " ", 
    RowBox[{"x", "^", "2"}]}], "+", 
   RowBox[{"d", " ", "x"}], "+", "e"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, 3.454679196736687*^9, {3.45527835648692*^9, 
   3.455278356709632*^9}},
 CellID->59095764],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"F", "'"}], "[", 
   RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_", ",", "x_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"4", "a", " ", 
    RowBox[{"x", "^", "3"}]}], "+", 
   RowBox[{"3", "b", " ", 
    RowBox[{"x", "^", "2"}]}], "+", 
   RowBox[{"2", "c", " ", "x"}], "+", "d"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, 3.454679196747999*^9, {3.455278358441607*^9, 
   3.455278358545591*^9}},
 CellID->712548041],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["x", "Nf"], "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"-", "b"}], "/", 
   RowBox[{"(", 
    RowBox[{"4", "a"}], ")"}]}]}]], "Input",
 InitializationCell->True,
 CellID->1502272282],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["y", "Nf"], "[", 
   RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_", ",", "e_"}], "]"}], ":=", 
  RowBox[{"F", "[", 
   RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e", ",", 
    RowBox[{
     SubscriptBox["x", "Nf"], "[", 
     RowBox[{"a", ",", "b"}], "]"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.455622892642349*^9, 3.455622892825372*^9}},
 CellID->776346956],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["y", 
    RowBox[{"Nf", "'"}]], "[", 
   RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_", ",", "e_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"F", "'"}], "[", 
   RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", 
    RowBox[{
     SubscriptBox["x", "Nf"], "[", 
     RowBox[{"a", ",", "b"}], "]"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.455622897285613*^9, 3.455622897488039*^9}},
 CellID->890535341],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Epsilon]\.b2", "[", 
   RowBox[{"a_", ",", "b_", ",", "c_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"3", 
      RowBox[{"b", "^", "2"}]}], "-", 
     RowBox[{"8", "a", " ", "c"}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{"48", " ", 
     RowBox[{"a", "^", "2"}]}], ")"}]}]}]], "Input",
 InitializationCell->True,
 CellID->1554105896],

Cell[BoxData[
 RowBox[{
  RowBox[{"Z", "[", 
   RowBox[{"a_", ",", "eps2_", ",", "y1_", ",", "y2_", ",", "x_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"a", " ", 
    RowBox[{"x", "^", "4"}]}], "-", 
   RowBox[{"6", "a", " ", "eps2", " ", 
    RowBox[{"x", "^", "2"}]}], "+", 
   RowBox[{"y1", " ", "x"}], "+", "y2"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.454599841130077*^9, 3.454599987974988*^9}, {
   3.455278407433182*^9, 3.455278425446655*^9}},
 CellID->1808377448],

Cell[BoxData[
 RowBox[{
  RowBox[{"Z1", "[", 
   RowBox[{"a_", ",", "eps2_", ",", "y1_", ",", "x_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"4", "a", " ", 
    RowBox[{"x", "^", "3"}]}], "-", 
   RowBox[{"12", "a", " ", "eps2", " ", "x"}], "+", "y1"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.45460001097214*^9, 3.45460003808648*^9}, {
   3.454600071656608*^9, 3.454600071733593*^9}, {3.454677789620362*^9, 
   3.454677789683957*^9}, {3.455278436423005*^9, 3.455278463973376*^9}},
 CellID->1263643147],

Cell[BoxData[
 RowBox[{
  RowBox[{"Z2", "[", 
   RowBox[{"a_", ",", "eps2_", ",", "x_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"12", "a", " ", 
    RowBox[{"x", "^", "2"}]}], "-", 
   RowBox[{"12", "a", " ", "eps2", " "}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.454677786440394*^9, 3.454677826131771*^9}, {
   3.454678082053846*^9, 3.454678082099555*^9}, {3.454678127501886*^9, 
   3.454678128079959*^9}, {3.454678183077724*^9, 3.454678185215535*^9}, {
   3.455278455510717*^9, 3.455278465674621*^9}},
 CellID->272139517],

Cell[BoxData[
 RowBox[{
  RowBox[{"R", "[", 
   RowBox[{"a_", ",", "eps2_", ",", "y1_", ",", "y2_", ",", "x_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"x", "^", "3"}], "-", 
   RowBox[{"3", " ", "eps2", " ", 
    RowBox[{"x", "^", "2"}]}], "+", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"9", "a", " ", 
        RowBox[{"eps2", "^", "2"}]}], "-", "y2"}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"4", "a"}], ")"}]}], "x"}], "-", 
   RowBox[{
    RowBox[{"y1", "^", "2"}], "/", 
    RowBox[{"(", 
     RowBox[{"64", 
      RowBox[{"a", "^", "2"}]}], ")"}]}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.455279211999084*^9, 3.455279263748871*^9}, {
   3.455283407480622*^9, 3.455283410667767*^9}, {3.455283794534988*^9, 
   3.455283802013816*^9}, {3.455283922780797*^9, 3.455283927232418*^9}},
 CellID->1191299265],

Cell[BoxData[
 RowBox[{
  RowBox[{"R1", "[", 
   RowBox[{"a_", ",", "eps2_", ",", "y2_", ",", "x_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"3", 
    RowBox[{"x", "^", "2"}]}], "-", 
   RowBox[{"6", "eps2", " ", "x"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"9", "a", " ", 
       RowBox[{"eps2", "^", "2"}]}], "-", "y2"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"4", "a"}], ")"}]}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.456636080841203*^9, 3.456636104562314*^9}},
 CellID->2098982495],

Cell[BoxData[
 RowBox[{
  RowBox[{"R2", "[", 
   RowBox[{"a_", ",", "eps2_", ",", "x_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"6", "x"}], "-", 
   RowBox[{"6", "eps2"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.456636110281331*^9, 3.456636121321945*^9}},
 CellID->2060421650],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Switch", "[", 
    RowBox[{
    "showGraphs", ",", "\[IndentingNewLine]", "1", ",", "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"Z", "[", 
          RowBox[{"aa", ",", "eq", ",", "y1", ",", "y2", ",", "x"}], "]"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "xm", ",", "xp"}], "}"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Black", ",", "Thick"}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"xm", ",", "xp"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"ym", ",", "yp"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"AxesOrigin", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], ",", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"TraditionalForm", "[", 
           RowBox[{"HoldForm", "[", 
            RowBox[{
             RowBox[{"Z", "[", "x", "]"}], "==", 
             RowBox[{
              RowBox[{"a", " ", 
               SuperscriptBox["x", "4"]}], "-", 
              RowBox[{"6", "a", " ", 
               SuperscriptBox["\[Epsilon]", "2"], 
               SuperscriptBox["x", "2"]}], "+", 
              RowBox[{
               SubscriptBox["y", 
                RowBox[{"Nz", "'"}]], "x"}], "+", 
              SubscriptBox["y", "Nz"]}]}], "]"}], "]"}]}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "20"}]}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"If", "[", 
         RowBox[{"show1", ",", 
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{"Z1", "[", 
             RowBox[{"aa", ",", "eq", ",", "y1", ",", "x"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "xm", ",", "xp"}], "}"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", "Red", "}"}]}]}], "]"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"If", "[", 
         RowBox[{"show2", ",", 
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{"Z2", "[", 
             RowBox[{"aa", ",", "eq", ",", "x"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "xm", ",", "xp"}], "}"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", "Blue", "}"}]}]}], "]"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"350", ",", "350"}], "}"}]}]}], "]"}], ",", 
     "\[IndentingNewLine]", "2", ",", "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"R", "[", 
          RowBox[{"aa", ",", "eq", ",", "y1", ",", "y2", ",", "x"}], "]"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "xm", ",", "xp"}], "}"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Black", ",", "Thick"}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"xm", ",", "xp"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"ym", ",", "yp"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"AxesOrigin", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], ",", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"TraditionalForm", "[", 
           RowBox[{"HoldForm", "[", 
            RowBox[{
             RowBox[{"R", "[", "x", "]"}], "==", 
             RowBox[{
              SuperscriptBox["x", "3"], "-", 
              RowBox[{"3", 
               SuperscriptBox["\[Epsilon]", "2"], 
               SuperscriptBox["x", "2"]}], "+", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"9", "a", " ", 
                   SuperscriptBox["\[Epsilon]", "4"]}], "-", 
                  SubscriptBox["y", "Nz"]}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"4", "a"}], ")"}]}], "x"}], "-", 
              RowBox[{
               SubscriptBox["y", 
                RowBox[{"Nz", "'"}]], "/", 
               RowBox[{"(", 
                RowBox[{"64", 
                 SuperscriptBox["a", "2"]}], ")"}]}]}]}], "]"}], "]"}]}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "20"}]}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"If", "[", 
         RowBox[{"show1", ",", 
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{"R1", "[", 
             RowBox[{"aa", ",", "eq", ",", "y2", ",", "x"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "xm", ",", "xp"}], "}"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", "Red", "}"}]}]}], "]"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"If", "[", 
         RowBox[{"show2", ",", 
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{"R2", "[", 
             RowBox[{"aa", ",", "eq", ",", "x"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "xm", ",", "xp"}], "}"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", "Blue", "}"}]}]}], "]"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"350", ",", "350"}], "}"}]}]}], "]"}], ",", 
     "\[IndentingNewLine]", "3", ",", "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"R", "[", 
          RowBox[{"aa", ",", "eq", ",", "y1", ",", "y2", ",", 
           RowBox[{"x", "^", "2"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "xm", ",", "xp"}], "}"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Black", ",", "Thick"}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"xm", ",", "xp"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"ym", ",", "yp"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"AxesOrigin", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], ",", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"TraditionalForm", "[", 
           RowBox[{"HoldForm", "[", 
            RowBox[{
             RowBox[{"R", "[", 
              SuperscriptBox["x", "2"], "]"}], "==", 
             RowBox[{
              SuperscriptBox["x", "6"], "-", 
              RowBox[{"3", 
               SuperscriptBox["\[Epsilon]", "2"], 
               SuperscriptBox["x", "4"]}], "+", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"9", "a", " ", 
                   SuperscriptBox["\[Epsilon]", "4"]}], "-", 
                  SubscriptBox["y", "Nz"]}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"4", "a"}], ")"}]}], 
               SuperscriptBox["x", "2"]}], "-", 
              RowBox[{
               SubscriptBox["y", 
                RowBox[{"Nz", "'"}]], "/", 
               RowBox[{"(", 
                RowBox[{"64", 
                 SuperscriptBox["a", "2"]}], ")"}]}]}]}], "]"}], "]"}]}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "None"}]}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"If", "[", 
         RowBox[{"show1", ",", 
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{"R1", "[", 
             RowBox[{"aa", ",", "eq", ",", "y2", ",", 
              RowBox[{"x", "^", "2"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "xm", ",", "xp"}], "}"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", "Red", "}"}]}]}], "]"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"If", "[", 
         RowBox[{"show2", ",", 
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{"R2", "[", 
             RowBox[{"aa", ",", "eq", ",", 
              RowBox[{"x", "^", "2"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "xm", ",", "xp"}], "}"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", "Blue", "}"}]}]}], "]"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"350", ",", "350"}], "}"}]}]}], "]"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showGraphs", ",", "1", ",", "\"\<function:\>\""}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\<Z(x)\>\""}], ",", 
       RowBox[{"2", "\[Rule]", "\"\<R(x)\>\""}], ",", 
       RowBox[{
       "3", "\[Rule]", "\"\<R(\!\(\*SuperscriptBox[\(x\), \(2\)]\))\>\""}]}], 
      "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<parameters:\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"aa", ",", "1", ",", "\"\<a\>\""}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "eq", ",", "2", ",", 
       "\"\<\!\(\*SuperscriptBox[\(\[Epsilon]\), \(2\)]\)\>\""}], "}"}], ",", 
     
     RowBox[{"-", "3"}], ",", "3", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"y1", ",", 
       RowBox[{"-", "10"}], ",", 
       "\"\<\!\(\*SubscriptBox[\(y\), SubscriptBox[\(N\), \(z'\)]]\)\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "20"}], ",", "20", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "y2", ",", "5", ",", 
       "\"\<\!\(\*SubscriptBox[\(y\), SubscriptBox[\(N\), \(z\)]]\)\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<show derivatives:\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "show1", ",", "False", ",", 
       "\"\<\!\(\*FractionBox[\(\[DifferentialD]\), \
\(\[DifferentialD]x\)]\)\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "show2", ",", "False", ",", 
       "\"\<\!\(\*FractionBox[SuperscriptBox[\(\[DifferentialD]\), \(2\)], \(\
\[DifferentialD]\*SuperscriptBox[\(x\), \(2\)]\)]\)\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<\\n x range:\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xm", ",", 
       RowBox[{"-", "4"}], ",", 
       "\"\<\!\(\*SubscriptBox[\(x\), \(min\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "15"}], ",", "0", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "xp", ",", "4.5", ",", "\"\<\!\(\*SubscriptBox[\(x\), \(max\)]\)\>\""}],
       "}"}], ",", "1", ",", "15", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<\\n y range\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ym", ",", 
       RowBox[{"-", "60"}], ",", 
       "\"\<\!\(\*SubscriptBox[\(y\), \(min\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "300"}], ",", 
     RowBox[{"-", "1"}], ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "yp", ",", "40", ",", "\"\<\!\(\*SubscriptBox[\(y\), \(max\)]\)\>\""}], 
      "}"}], ",", "1", ",", "300", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "6", ",", "7"}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.454598231667835*^9, 3.454598236357671*^9}, {
   3.45459830063029*^9, 3.454598376845959*^9}, {3.454598416754676*^9, 
   3.454598689815214*^9}, {3.454598722065711*^9, 3.454598770044852*^9}, {
   3.454598800766844*^9, 3.454598905180228*^9}, {3.454599074547434*^9, 
   3.454599159767655*^9}, 3.454599195111037*^9, {3.454599228724588*^9, 
   3.454599263241218*^9}, {3.454599333289474*^9, 3.454599334110138*^9}, {
   3.454599552335465*^9, 3.454599558694817*^9}, {3.454599593515852*^9, 
   3.454599695114971*^9}, {3.454599732619149*^9, 3.454599747827994*^9}, {
   3.454600041757418*^9, 3.45460010898952*^9}, {3.454600139040104*^9, 
   3.454600149331734*^9}, {3.454600240696464*^9, 3.454600242018901*^9}, {
   3.454600393498425*^9, 3.454600513538074*^9}, {3.454600552643767*^9, 
   3.454600590316811*^9}, {3.454600637032002*^9, 3.454600687718786*^9}, {
   3.454600747917338*^9, 3.454600789824879*^9}, {3.454600839815993*^9, 
   3.454600866780941*^9}, {3.454600966236403*^9, 3.454600984484992*^9}, {
   3.45467783377125*^9, 3.454677881930648*^9}, {3.454677935694699*^9, 
   3.454677945616854*^9}, {3.454677992120325*^9, 3.454678016497667*^9}, {
   3.454678644985302*^9, 3.454678868685232*^9}, {3.454678942761306*^9, 
   3.454678977083122*^9}, {3.454679250523614*^9, 3.454679253515268*^9}, {
   3.45467941412329*^9, 3.454679414295554*^9}, {3.454679458210364*^9, 
   3.454679458498314*^9}, {3.454679639713332*^9, 3.454679639878327*^9}, {
   3.455278475538711*^9, 3.455278578369983*^9}, {3.455279280361329*^9, 
   3.45527928051748*^9}, {3.455279326193069*^9, 3.45527935026338*^9}, {
   3.455279514698509*^9, 3.455279646919275*^9}, {3.455279682626051*^9, 
   3.45527972094496*^9}, {3.455279763495563*^9, 3.455280171736296*^9}, {
   3.455280565167644*^9, 3.455280565293129*^9}, {3.455283627012246*^9, 
   3.455283627884048*^9}, {3.455283815582656*^9, 3.455283825700327*^9}, {
   3.455283862055919*^9, 3.455283885124098*^9}, {3.455283933988948*^9, 
   3.455283938618243*^9}, {3.455283968836079*^9, 3.455284061711323*^9}, {
   3.455620395924027*^9, 3.455620406693363*^9}, {3.455620442047273*^9, 
   3.455620442579624*^9}, {3.455620493969156*^9, 3.455620518066634*^9}, {
   3.455620617636493*^9, 3.455620633719741*^9}, {3.455620959988177*^9, 
   3.455620981315491*^9}, {3.45562110444802*^9, 3.455621112426367*^9}, {
   3.455621222523474*^9, 3.455621290846516*^9}, {3.455621455566756*^9, 
   3.455621455724381*^9}, {3.456031717698777*^9, 3.456031849927913*^9}, {
   3.4560318805112*^9, 3.456031904091805*^9}, {3.456248100192151*^9, 
   3.4562483570098305`*^9}, {3.4562485049816265`*^9, 
   3.4562485595210795`*^9}, {3.4562485952056475`*^9, 
   3.4562485977639036`*^9}, {3.4565227057091603`*^9, 3.456522712568535*^9}, {
   3.456522922162285*^9, 3.4565229629279103`*^9}, {3.456523954849785*^9, 
   3.4565239676779103`*^9}, {3.456636167786481*^9, 3.456636185179954*^9}, {
   3.456636215532807*^9, 3.456636217121586*^9}, {3.456636256413735*^9, 
   3.456636352707221*^9}, {3.456636421957217*^9, 3.456636424793725*^9}, {
   3.4577134930472193`*^9, 3.4577135377906933`*^9}},
 CellID->112853557]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`aa$$ = 1, $CellContext`eq$$ = 
    2, $CellContext`show1$$ = False, $CellContext`show2$$ = 
    False, $CellContext`showGraphs$$ = 
    1, $CellContext`xm$$ = -4, $CellContext`xp$$ = 
    4.5, $CellContext`y1$$ = -10, $CellContext`y2$$ = 
    5, $CellContext`ym$$ = -60, $CellContext`yp$$ = 40, Typeset`show$$ = True,
     Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`showGraphs$$], 1, "function:"}, {
      1 -> "Z(x)", 2 -> "R(x)", 3 -> 
       "R(\!\(\*SuperscriptBox[\(x\), \(2\)]\))"}}, {
      Hold[
       Style["parameters:", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`aa$$], 1, "a"}, -2, 2, 0.01}, {{
       Hold[$CellContext`eq$$], 2, 
       "\!\(\*SuperscriptBox[\(\[Epsilon]\), \(2\)]\)"}, -3, 3, 0.01}, {{
       Hold[$CellContext`y1$$], -10, 
       "\!\(\*SubscriptBox[\(y\), SubscriptBox[\(N\), \(z'\)]]\)"}, -20, 20, 
      0.01}, {{
       Hold[$CellContext`y2$$], 5, 
       "\!\(\*SubscriptBox[\(y\), SubscriptBox[\(N\), \(z\)]]\)"}, -10, 10, 
      0.01}, {
      Hold[
       Style["show derivatives:", Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`show1$$], False, 
       "\!\(\*FractionBox[\(\[DifferentialD]\), \(\[DifferentialD]x\)]\)"}, {
      True, False}}, {{
       Hold[$CellContext`show2$$], False, 
       "\!\(\*FractionBox[SuperscriptBox[\(\[DifferentialD]\), \(2\)], \(\
\[DifferentialD]\*SuperscriptBox[\(x\), \(2\)]\)]\)"}, {True, False}}, {
      Hold[
       Style["\n x range:", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`xm$$], -4, 
       "\!\(\*SubscriptBox[\(x\), \(min\)]\)"}, -15, 0, 0.01}, {{
       Hold[$CellContext`xp$$], 4.5, "\!\(\*SubscriptBox[\(x\), \(max\)]\)"}, 
      1, 15, 0.01}, {
      Hold[
       Style["\n y range", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`ym$$], -60, 
       "\!\(\*SubscriptBox[\(y\), \(min\)]\)"}, -300, -1, 0.01}, {{
       Hold[$CellContext`yp$$], 40, "\!\(\*SubscriptBox[\(y\), \(max\)]\)"}, 
      1, 300, 0.01}}, Typeset`size$$ = {350., {173., 177.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`showGraphs$54631$$ = False, $CellContext`aa$54632$$ = 
    0, $CellContext`eq$54633$$ = 0, $CellContext`y1$54634$$ = 
    0, $CellContext`y2$54635$$ = 0, $CellContext`show1$54636$$ = 
    False, $CellContext`show2$54637$$ = False, $CellContext`xm$54638$$ = 
    0, $CellContext`xp$54639$$ = 0, $CellContext`ym$54640$$ = 
    0, $CellContext`yp$54641$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`aa$$ = 1, $CellContext`eq$$ = 
        2, $CellContext`show1$$ = False, $CellContext`show2$$ = 
        False, $CellContext`showGraphs$$ = 
        1, $CellContext`xm$$ = -4, $CellContext`xp$$ = 
        4.5, $CellContext`y1$$ = -10, $CellContext`y2$$ = 
        5, $CellContext`ym$$ = -60, $CellContext`yp$$ = 40}, 
      "ControllerVariables" :> {
        Hold[$CellContext`showGraphs$$, $CellContext`showGraphs$54631$$, 
         False], 
        Hold[$CellContext`aa$$, $CellContext`aa$54632$$, 0], 
        Hold[$CellContext`eq$$, $CellContext`eq$54633$$, 0], 
        Hold[$CellContext`y1$$, $CellContext`y1$54634$$, 0], 
        Hold[$CellContext`y2$$, $CellContext`y2$54635$$, 0], 
        Hold[$CellContext`show1$$, $CellContext`show1$54636$$, False], 
        Hold[$CellContext`show2$$, $CellContext`show2$54637$$, False], 
        Hold[$CellContext`xm$$, $CellContext`xm$54638$$, 0], 
        Hold[$CellContext`xp$$, $CellContext`xp$54639$$, 0], 
        Hold[$CellContext`ym$$, $CellContext`ym$54640$$, 0], 
        Hold[$CellContext`yp$$, $CellContext`yp$54641$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Switch[$CellContext`showGraphs$$, 1, 
        Show[
         Plot[
          $CellContext`Z[$CellContext`aa$$, $CellContext`eq$$, \
$CellContext`y1$$, $CellContext`y2$$, $CellContext`x], {$CellContext`x, \
$CellContext`xm$$, $CellContext`xp$$}, PlotStyle -> {Black, Thick}, 
          PlotRange -> {{$CellContext`xm$$, $CellContext`xp$$}, \
{$CellContext`ym$$, $CellContext`yp$$}}, AxesOrigin -> {0, 0}, PlotLabel -> 
          TraditionalForm[
            
            HoldForm[$CellContext`Z[$CellContext`x] == $CellContext`a \
$CellContext`x^4 - 
              6 $CellContext`a $CellContext`\[Epsilon]^2 $CellContext`x^2 + 
              Subscript[$CellContext`y, 
                 Derivative[1][$CellContext`Nz]] $CellContext`x + 
              Subscript[$CellContext`y, $CellContext`Nz]]], ImagePadding -> 
          20], 
         Graphics[
          If[$CellContext`show1$$, 
           Plot[
            $CellContext`Z1[$CellContext`aa$$, $CellContext`eq$$, \
$CellContext`y1$$, $CellContext`x], {$CellContext`x, $CellContext`xm$$, \
$CellContext`xp$$}, PlotStyle -> {Red}], {}]], 
         Graphics[
          If[$CellContext`show2$$, 
           Plot[
            $CellContext`Z2[$CellContext`aa$$, $CellContext`eq$$, \
$CellContext`x], {$CellContext`x, $CellContext`xm$$, $CellContext`xp$$}, 
            PlotStyle -> {Blue}], {}]], ImageSize -> {350, 350}], 2, 
        Show[
         Plot[
          $CellContext`R[$CellContext`aa$$, $CellContext`eq$$, \
$CellContext`y1$$, $CellContext`y2$$, $CellContext`x], {$CellContext`x, \
$CellContext`xm$$, $CellContext`xp$$}, PlotStyle -> {Black, Thick}, 
          PlotRange -> {{$CellContext`xm$$, $CellContext`xp$$}, \
{$CellContext`ym$$, $CellContext`yp$$}}, AxesOrigin -> {0, 0}, PlotLabel -> 
          TraditionalForm[
            
            HoldForm[$CellContext`R[$CellContext`x] == $CellContext`x^3 - 
              3 $CellContext`\[Epsilon]^2 $CellContext`x^2 + ((
                 9 $CellContext`a $CellContext`\[Epsilon]^4 - 
                 Subscript[$CellContext`y, $CellContext`Nz])/(
                4 $CellContext`a)) $CellContext`x - 
              Subscript[$CellContext`y, 
                Derivative[1][$CellContext`Nz]]/(64 $CellContext`a^2)]], 
          ImagePadding -> 20], 
         Graphics[
          If[$CellContext`show1$$, 
           Plot[
            $CellContext`R1[$CellContext`aa$$, $CellContext`eq$$, \
$CellContext`y2$$, $CellContext`x], {$CellContext`x, $CellContext`xm$$, \
$CellContext`xp$$}, PlotStyle -> {Red}], {}]], 
         Graphics[
          If[$CellContext`show2$$, 
           Plot[
            $CellContext`R2[$CellContext`aa$$, $CellContext`eq$$, \
$CellContext`x], {$CellContext`x, $CellContext`xm$$, $CellContext`xp$$}, 
            PlotStyle -> {Blue}], {}]], ImageSize -> {350, 350}], 3, 
        Show[
         Plot[
          $CellContext`R[$CellContext`aa$$, $CellContext`eq$$, \
$CellContext`y1$$, $CellContext`y2$$, $CellContext`x^2], {$CellContext`x, \
$CellContext`xm$$, $CellContext`xp$$}, PlotStyle -> {Black, Thick}, 
          PlotRange -> {{$CellContext`xm$$, $CellContext`xp$$}, \
{$CellContext`ym$$, $CellContext`yp$$}}, AxesOrigin -> {0, 0}, PlotLabel -> 
          TraditionalForm[
            
            HoldForm[$CellContext`R[$CellContext`x^2] == $CellContext`x^6 - 
              3 $CellContext`\[Epsilon]^2 $CellContext`x^4 + ((
                 9 $CellContext`a $CellContext`\[Epsilon]^4 - 
                 Subscript[$CellContext`y, $CellContext`Nz])/(
                4 $CellContext`a)) $CellContext`x^2 - 
              Subscript[$CellContext`y, 
                Derivative[1][$CellContext`Nz]]/(64 $CellContext`a^2)]], 
          ImagePadding -> None], 
         Graphics[
          If[$CellContext`show1$$, 
           Plot[
            $CellContext`R1[$CellContext`aa$$, $CellContext`eq$$, \
$CellContext`y2$$, $CellContext`x^2], {$CellContext`x, $CellContext`xm$$, \
$CellContext`xp$$}, PlotStyle -> {Red}], {}]], 
         Graphics[
          If[$CellContext`show2$$, 
           Plot[
            $CellContext`R2[$CellContext`aa$$, $CellContext`eq$$, \
$CellContext`x^2], {$CellContext`x, $CellContext`xm$$, $CellContext`xp$$}, 
            PlotStyle -> {Blue}], {}]], ImageSize -> {350, 350}]], 
      "Specifications" :> {{{$CellContext`showGraphs$$, 1, "function:"}, {
         1 -> "Z(x)", 2 -> "R(x)", 3 -> 
          "R(\!\(\*SuperscriptBox[\(x\), \(2\)]\))"}}, 
        Style[
        "parameters:", Bold], {{$CellContext`aa$$, 1, "a"}, -2, 2, 0.01, 
         ImageSize -> Small, Appearance -> 
         "Labeled"}, {{$CellContext`eq$$, 2, 
          "\!\(\*SuperscriptBox[\(\[Epsilon]\), \(2\)]\)"}, -3, 3, 0.01, 
         ImageSize -> Small, Appearance -> 
         "Labeled"}, {{$CellContext`y1$$, -10, 
          "\!\(\*SubscriptBox[\(y\), SubscriptBox[\(N\), \(z'\)]]\)"}, -20, 
         20, 0.01, ImageSize -> Small, Appearance -> 
         "Labeled"}, {{$CellContext`y2$$, 5, 
          "\!\(\*SubscriptBox[\(y\), SubscriptBox[\(N\), \(z\)]]\)"}, -10, 10,
          0.01, ImageSize -> Small, Appearance -> "Labeled"}, 
        Style[
        "show derivatives:", 
         Bold], {{$CellContext`show1$$, False, 
          "\!\(\*FractionBox[\(\[DifferentialD]\), \
\(\[DifferentialD]x\)]\)"}, {
         True, False}}, {{$CellContext`show2$$, False, 
          "\!\(\*FractionBox[SuperscriptBox[\(\[DifferentialD]\), \(2\)], \(\
\[DifferentialD]\*SuperscriptBox[\(x\), \(2\)]\)]\)"}, {True, False}}, 
        Style[
        "\n x range:", 
         Bold], {{$CellContext`xm$$, -4, 
          "\!\(\*SubscriptBox[\(x\), \(min\)]\)"}, -15, 0, 0.01, ImageSize -> 
         Small, Appearance -> 
         "Labeled"}, {{$CellContext`xp$$, 4.5, 
          "\!\(\*SubscriptBox[\(x\), \(max\)]\)"}, 1, 15, 0.01, ImageSize -> 
         Small, Appearance -> "Labeled"}, 
        Style[
        "\n y range", 
         Bold], {{$CellContext`ym$$, -60, 
          "\!\(\*SubscriptBox[\(y\), \(min\)]\)"}, -300, -1, 0.01, ImageSize -> 
         Small, Appearance -> 
         "Labeled"}, {{$CellContext`yp$$, 40, 
          "\!\(\*SubscriptBox[\(y\), \(max\)]\)"}, 1, 300, 0.01, ImageSize -> 
         Small, Appearance -> "Labeled"}}, 
      "Options" :> {AutorunSequencing -> {1, 2, 3, 6, 7}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{595., {202., 207.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`Z[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`eps2, 
           Blank[]], 
          Pattern[$CellContext`y1, 
           Blank[]], 
          Pattern[$CellContext`y2, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`a $CellContext`x^4 - 
         6 $CellContext`a $CellContext`eps2 $CellContext`x^2 + \
$CellContext`y1 $CellContext`x + $CellContext`y2, 
        Attributes[PlotRange] = {ReadProtected}, 
        Attributes[Subscript] = {NHoldRest}, 
        Subscript[$CellContext`x, $CellContext`Nf][
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := -($CellContext`b/(4 $CellContext`a)), 
        Subscript[$CellContext`y, $CellContext`Nf][
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]], 
          Pattern[$CellContext`e, 
           
           Blank[]]] := $CellContext`F[$CellContext`a, $CellContext`b, \
$CellContext`c, $CellContext`d, $CellContext`e, 
          
          Subscript[$CellContext`x, $CellContext`Nf][$CellContext`a, \
$CellContext`b]], Subscript[$CellContext`y, 
          Derivative[1][$CellContext`Nf]][
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]], 
          Pattern[$CellContext`e, 
           Blank[]]] := 
        Derivative[
         1][$CellContext`F][$CellContext`a, $CellContext`b, $CellContext`c, \
$CellContext`d, 
          
          Subscript[$CellContext`x, $CellContext`Nf][$CellContext`a, \
$CellContext`b]], $CellContext`F[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]], 
          Pattern[$CellContext`e, 
           Blank[]], 
          Pattern[$CellContext`x, 
           
           Blank[]]] := $CellContext`a $CellContext`x^4 + $CellContext`b \
$CellContext`x^3 + $CellContext`c $CellContext`x^2 + $CellContext`d \
$CellContext`x + $CellContext`e, 
        Attributes[Derivative] = {NHoldAll, ReadProtected}, $CellContext`Z1[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`eps2, 
           Blank[]], 
          Pattern[$CellContext`y1, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]]] := 
        4 $CellContext`a $CellContext`x^3 - 
         12 $CellContext`a $CellContext`eps2 $CellContext`x + \
$CellContext`y1, $CellContext`Z2[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`eps2, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]]] := 
        12 $CellContext`a $CellContext`x^2 - 
         12 $CellContext`a $CellContext`eps2, $CellContext`R[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`eps2, 
           Blank[]], 
          Pattern[$CellContext`y1, 
           Blank[]], 
          Pattern[$CellContext`y2, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x^3 - 
         3 $CellContext`eps2 $CellContext`x^2 + ((
            9 $CellContext`a $CellContext`eps2^2 - $CellContext`y2)/(
           4 $CellContext`a)) $CellContext`x - $CellContext`y1^2/(
         64 $CellContext`a^2), $CellContext`R1[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`eps2, 
           Blank[]], 
          Pattern[$CellContext`y2, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]]] := 
        3 $CellContext`x^2 - 
         6 $CellContext`eps2 $CellContext`x + (
           9 $CellContext`a $CellContext`eps2^2 - $CellContext`y2)/(
          4 $CellContext`a), $CellContext`R2[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`eps2, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]]] := 6 $CellContext`x - 6 $CellContext`eps2}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`F[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]], 
           Pattern[$CellContext`e, 
            Blank[]], 
           Pattern[$CellContext`x, 
            
            Blank[]]] := $CellContext`a $CellContext`x^4 + $CellContext`b \
$CellContext`x^3 + $CellContext`c $CellContext`x^2 + $CellContext`d \
$CellContext`x + $CellContext`e, Derivative[1][$CellContext`F][
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]], 
           Pattern[$CellContext`x, 
            Blank[]]] := 
         4 $CellContext`a $CellContext`x^3 + 
          3 $CellContext`b $CellContext`x^2 + 
          2 $CellContext`c $CellContext`x + $CellContext`d, 
         Subscript[$CellContext`x, $CellContext`Nf][
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := (-$CellContext`b)/(4 $CellContext`a), 
         Subscript[$CellContext`y, $CellContext`Nf][
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]], 
           Pattern[$CellContext`e, 
            
            Blank[]]] := $CellContext`F[$CellContext`a, $CellContext`b, \
$CellContext`c, $CellContext`d, $CellContext`e, 
           
           Subscript[$CellContext`x, $CellContext`Nf][$CellContext`a, \
$CellContext`b]], Subscript[$CellContext`y, 
           Derivative[1][$CellContext`Nf]][
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]], 
           Pattern[$CellContext`e, 
            Blank[]]] := 
         Derivative[
          1][$CellContext`F][$CellContext`a, $CellContext`b, $CellContext`c, \
$CellContext`d, 
           
           Subscript[$CellContext`x, $CellContext`Nf][$CellContext`a, \
$CellContext`b]], $CellContext`\[Epsilon]\.b2[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]]] := (3 $CellContext`b^2 - 
           8 $CellContext`a $CellContext`c)/(
          48 $CellContext`a^2), $CellContext`Z[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`eps2, 
            Blank[]], 
           Pattern[$CellContext`y1, 
            Blank[]], 
           Pattern[$CellContext`y2, 
            Blank[]], 
           Pattern[$CellContext`x, 
            Blank[]]] := $CellContext`a $CellContext`x^4 - 
          6 $CellContext`a $CellContext`eps2 $CellContext`x^2 + \
$CellContext`y1 $CellContext`x + $CellContext`y2, $CellContext`Z1[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`eps2, 
            Blank[]], 
           Pattern[$CellContext`y1, 
            Blank[]], 
           Pattern[$CellContext`x, 
            Blank[]]] := 
         4 $CellContext`a $CellContext`x^3 - 
          12 $CellContext`a $CellContext`eps2 $CellContext`x + \
$CellContext`y1, $CellContext`Z2[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`eps2, 
            Blank[]], 
           Pattern[$CellContext`x, 
            Blank[]]] := 
         12 $CellContext`a $CellContext`x^2 - 
          12 $CellContext`a $CellContext`eps2, $CellContext`R[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`eps2, 
            Blank[]], 
           Pattern[$CellContext`y1, 
            Blank[]], 
           Pattern[$CellContext`y2, 
            Blank[]], 
           Pattern[$CellContext`x, 
            Blank[]]] := $CellContext`x^3 - 
          3 $CellContext`eps2 $CellContext`x^2 + ((
             9 $CellContext`a $CellContext`eps2^2 - $CellContext`y2)/(
            4 $CellContext`a)) $CellContext`x - $CellContext`y1^2/(
          64 $CellContext`a^2), $CellContext`R1[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`eps2, 
            Blank[]], 
           Pattern[$CellContext`y2, 
            Blank[]], 
           Pattern[$CellContext`x, 
            Blank[]]] := 
         3 $CellContext`x^2 - 
          6 $CellContext`eps2 $CellContext`x + (
            9 $CellContext`a $CellContext`eps2^2 - $CellContext`y2)/(
           4 $CellContext`a), $CellContext`R2[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`eps2, 
            Blank[]], 
           Pattern[$CellContext`x, 
            Blank[]]] := 6 $CellContext`x - 6 $CellContext`eps2}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->183357617],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Parameters for Plotting a Quartic",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ParametersForPlottingAQuartic/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ParametersForPlottingAQuartic/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ParametersForPlottingAQuartic/",
  
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ParametersForPlottingAQuartic/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ParametersForPlottingAQuartic/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Thomas Mueller",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Thomas+Mueller"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Thomas+Mueller"],
 " and ",
 ButtonBox["R.W.D. Nickalls",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=R.W.D.+\
Nickalls"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=R.W.D.+Nickalls"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ParametersForPlottingAQuartic"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{775, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Parameters for Plotting a Quartic - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[623, 23, 225, 4, 70, "Section"],
Cell[851, 29, 537, 17, 70, "Input",
 InitializationCell->True,
 CellID->59095764],
Cell[1391, 48, 499, 15, 70, "Input",
 InitializationCell->True,
 CellID->712548041],
Cell[1893, 65, 262, 10, 70, "Input",
 InitializationCell->True,
 CellID->1502272282],
Cell[2158, 77, 472, 13, 70, "Input",
 InitializationCell->True,
 CellID->776346956],
Cell[2633, 92, 501, 15, 70, "Input",
 InitializationCell->True,
 CellID->890535341],
Cell[3137, 109, 403, 14, 70, "Input",
 InitializationCell->True,
 CellID->1554105896],
Cell[3543, 125, 515, 14, 70, "Input",
 InitializationCell->True,
 CellID->1808377448],
Cell[4061, 141, 544, 13, 70, "Input",
 InitializationCell->True,
 CellID->1263643147],
Cell[4608, 156, 568, 14, 70, "Input",
 InitializationCell->True,
 CellID->272139517],
Cell[5179, 172, 890, 26, 70, "Input",
 InitializationCell->True,
 CellID->1191299265],
Cell[6072, 200, 563, 18, 70, "Input",
 InitializationCell->True,
 CellID->2098982495],
Cell[6638, 220, 321, 10, 70, "Input",
 InitializationCell->True,
 CellID->2060421650],
Cell[6962, 232, 16874, 401, 70, "Input",
 CellID->112853557]
}, Open  ]],
Cell[23851, 636, 20461, 478, 70, "Output",
 CellID->183357617],
Cell[CellGroupData[{
Cell[44337, 1118, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[44713, 1129, 976, 29, 70, "Text"],
Cell[45692, 1160, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[46032, 1171, 699, 22, 70, "Text"],
Cell[CellGroupData[{
Cell[46756, 1197, 847, 24, 70, "Text"],
Cell[47606, 1223, 1205, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature FQjZjYbnWpa7WD0vCXQZjfel *)
