(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15233,        413]
NotebookOptionsPosition[     14145,        372]
NotebookOutlinePosition[     14762,        396]
CellTagsIndexPosition[     14719,        393]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Plot a Quintic Polynomial", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", "=", 
       RowBox[{
        RowBox[{"a", 
         RowBox[{"x", "^", "5"}]}], "+", 
        RowBox[{"b", 
         RowBox[{"x", "^", "4"}]}], "+", 
        RowBox[{"c", 
         RowBox[{"x", "^", "3"}]}], "+", 
        RowBox[{"d", 
         RowBox[{"x", "^", "2"}]}], "+", 
        RowBox[{"e", "x"}], "+", "f"}]}], "}"}], ",", 
     RowBox[{"Plot", "[", 
      RowBox[{"p", ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
       RowBox[{"Filling", "\[Rule]", "0"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"NumberForm", "[", 
          RowBox[{
           RowBox[{"y", "==", 
            RowBox[{
             RowBox[{"a", " ", 
              RowBox[{"x", "^", "\"\<5\>\""}]}], "+", 
             RowBox[{"b", " ", 
              RowBox[{"x", "^", "\"\<4\>\""}]}], "+", 
             RowBox[{"c", " ", 
              RowBox[{"x", "^", "\"\<3\>\""}]}], "+", 
             RowBox[{"d", " ", 
              RowBox[{"x", "^", "\"\<2\>\""}]}], "+", 
             RowBox[{"e", " ", "x"}], "+", "f"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", "1"}], "}"}], ",", 
           RowBox[{"ExponentFunction", "\[Rule]", 
            RowBox[{"(", 
             RowBox[{"Null", " ", "&"}], ")"}]}], ",", 
           RowBox[{"NumberPadding", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"\"\<\>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}], 
         "]"}]}]}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"-", "2"}], ",", 
       "\"\<\!\(\*SuperscriptBox[\(x\), \(5\)]\) coefficient\>\""}], "}"}], 
     ",", 
     RowBox[{"-", "2"}], ",", "2", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", 
       RowBox[{"-", "2"}], ",", 
       "\"\<\!\(\*SuperscriptBox[\(x\), \(4\)]\) coefficient\>\""}], "}"}], 
     ",", 
     RowBox[{"-", "2"}], ",", "2", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"-", "2"}], ",", 
       "\"\<\!\(\*SuperscriptBox[\(x\), \(3\)]\) coefficient\>\""}], "}"}], 
     ",", 
     RowBox[{"-", "2"}], ",", "2", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", 
       RowBox[{"-", "2"}], ",", 
       "\"\<\!\(\*SuperscriptBox[\(x\), \(2\)]\) coefficient\>\""}], "}"}], 
     ",", 
     RowBox[{"-", "2"}], ",", "2", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"e", ",", 
       RowBox[{"-", "2"}], ",", 
       "\"\<\!\(\*SuperscriptBox[\(x\), \(1\)]\) coefficient\>\""}], "}"}], 
     ",", 
     RowBox[{"-", "2"}], ",", "2", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"-", "2"}], ",", "\"\<constant term\>\""}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35264723808458*^9, {3.35445913739435*^9, 3.3544591443667*^9}, {
   3.3544592022748*^9, 3.35445920488943*^9}, {3.35445927470202*^9, 
   3.35445927684126*^9}, {3.35445943402832*^9, 3.35445947960949*^9}, {
   3.36304066228125*^9, 3.363040723*^9}, {3.36304093946875*^9, 
   3.36304101407813*^9}, {3.36304119879688*^9, 3.3630412115*^9}, {
   3.363041250875*^9, 3.36304125096875*^9}, {3.363041287125*^9, 
   3.36304136928125*^9}, {3.372536235441247*^9, 3.3725363069294453`*^9}, {
   3.372536450647929*^9, 3.3725364674021187`*^9}, {3.372536503843378*^9, 
   3.3725365049870367`*^9}, {3.372536586747316*^9, 3.3725367162989397`*^9}, {
   3.372536970183058*^9, 3.3725370537916718`*^9}, 3.372537192573292*^9, {
   3.372537264919218*^9, 3.372537269903084*^9}, {3.380290875427876*^9, 
   3.380290911663912*^9}, {3.3802909568246927`*^9, 3.380291022399334*^9}, {
   3.380291067000741*^9, 3.3802911103828373`*^9}, {3.3802914216631002`*^9, 
   3.380291428853812*^9}, {3.380291512902486*^9, 3.380291513234295*^9}, {
   3.381847909483868*^9, 3.381847987218243*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = -2, $CellContext`b$$ = -2, \
$CellContext`c$$ = -2, $CellContext`d$$ = -2, $CellContext`e$$ = -2, \
$CellContext`f$$ = -2, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], -2, 
       "\!\(\*SuperscriptBox[\(x\), \(5\)]\) coefficient"}, -2, 2}, {{
       Hold[$CellContext`b$$], -2, 
       "\!\(\*SuperscriptBox[\(x\), \(4\)]\) coefficient"}, -2, 2}, {{
       Hold[$CellContext`c$$], -2, 
       "\!\(\*SuperscriptBox[\(x\), \(3\)]\) coefficient"}, -2, 2}, {{
       Hold[$CellContext`d$$], -2, 
       "\!\(\*SuperscriptBox[\(x\), \(2\)]\) coefficient"}, -2, 2}, {{
       Hold[$CellContext`e$$], -2, 
       "\!\(\*SuperscriptBox[\(x\), \(1\)]\) coefficient"}, -2, 2}, {{
       Hold[$CellContext`f$$], -2, "constant term"}, -2, 2}}, 
    Typeset`size$$ = {360., {120., 124.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$16401$$ = 0, $CellContext`b$16402$$ = 
    0, $CellContext`c$16403$$ = 0, $CellContext`d$16404$$ = 
    0, $CellContext`e$16405$$ = 0, $CellContext`f$16406$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = -2, $CellContext`b$$ = -2, \
$CellContext`c$$ = -2, $CellContext`d$$ = -2, $CellContext`e$$ = -2, \
$CellContext`f$$ = -2}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$16401$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$16402$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$16403$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$16404$$, 0], 
        Hold[$CellContext`e$$, $CellContext`e$16405$$, 0], 
        Hold[$CellContext`f$$, $CellContext`f$16406$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`p$ = $CellContext`a$$ $CellContext`x^5 + \
$CellContext`b$$ $CellContext`x^4 + $CellContext`c$$ $CellContext`x^3 + \
$CellContext`d$$ $CellContext`x^2 + $CellContext`e$$ $CellContext`x + \
$CellContext`f$$}, 
        Plot[$CellContext`p$, {$CellContext`x, -2, 2}, Filling -> 0, 
         PlotRange -> {{-2, 2}, {-4, 4}}, PlotLabel -> TraditionalForm[
           
           NumberForm[$CellContext`y == $CellContext`a$$ $CellContext`x^
               "5" + $CellContext`b$$ $CellContext`x^
               "4" + $CellContext`c$$ $CellContext`x^
               "3" + $CellContext`d$$ $CellContext`x^
               "2" + $CellContext`e$$ $CellContext`x + $CellContext`f$$, {2, 
            1}, ExponentFunction -> (Null& ), NumberPadding -> {"", "0"}]]]], 
      "Specifications" :> {{{$CellContext`a$$, -2, 
          "\!\(\*SuperscriptBox[\(x\), \(5\)]\) coefficient"}, -2, 2, 
         Appearance -> 
         "Labeled"}, {{$CellContext`b$$, -2, 
          "\!\(\*SuperscriptBox[\(x\), \(4\)]\) coefficient"}, -2, 2, 
         Appearance -> 
         "Labeled"}, {{$CellContext`c$$, -2, 
          "\!\(\*SuperscriptBox[\(x\), \(3\)]\) coefficient"}, -2, 2, 
         Appearance -> 
         "Labeled"}, {{$CellContext`d$$, -2, 
          "\!\(\*SuperscriptBox[\(x\), \(2\)]\) coefficient"}, -2, 2, 
         Appearance -> 
         "Labeled"}, {{$CellContext`e$$, -2, 
          "\!\(\*SuperscriptBox[\(x\), \(1\)]\) coefficient"}, -2, 2, 
         Appearance -> 
         "Labeled"}, {{$CellContext`f$$, -2, "constant term"}, -2, 2, 
         Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{404., {231., 236.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->588904788],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Plot a Quintic Polynomial",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PlotAQuinticPolynomial/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PlotAQuinticPolynomial/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/PlotAQuinticPolynomial/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PlotAQuinticPolynomial/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PlotAQuinticPolynomial/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Stephen Wolfram",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Stephen+\
Wolfram"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Stephen+Wolfram"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->17397850],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PlotAQuinticPolynomial"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Plot a Quintic Polynomial - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 217, 4, 70, "Section"],
Cell[810, 29, 4869, 125, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[5694, 157, 4254, 81, 70, "Output",
 CellID->588904788],
Cell[CellGroupData[{
Cell[9973, 242, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10349, 253, 912, 24, 70, "Text"],
Cell[11264, 279, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[11604, 290, 458, 15, 70, "Text",
 CellID->17397850],
Cell[CellGroupData[{
Cell[12087, 309, 829, 24, 70, "Text"],
Cell[12919, 335, 1198, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature WRjCfk5BrlzolATemfHZBRAm *)
