(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20744,        560]
NotebookOptionsPosition[     19609,        516]
NotebookOutlinePosition[     20232,        541]
CellTagsIndexPosition[     20189,        538]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Polynomial Fitter", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"poly", "=", 
        RowBox[{"Plus", "@@", 
         RowBox[{"{", 
          RowBox[{"var0", ",", 
           RowBox[{"var1", "*", "x"}], ",", 
           RowBox[{"var2", "*", 
            RowBox[{"x", "^", "2"}]}], ",", 
           RowBox[{"var3", "*", 
            RowBox[{"x", "^", "3"}]}]}], "}"}]}]}], ",", 
       RowBox[{"randpoly", "=", 
        RowBox[{"Plus", "@@", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"SeedRandom", "[", 
                RowBox[{"ToString", "[", 
                 RowBox[{"N", "[", 
                  RowBox[{
                   RowBox[{"s", "+", "i"}], ",", "3"}], "]"}], "]"}], "]"}], 
               ";", "RandomReal"}], ")"}], "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
              RowBox[{"WorkingPrecision", "\[Rule]", "3"}]}], "]"}], " ", 
            RowBox[{"x", "^", "i"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", "3"}], "}"}]}], "]"}]}]}]}], "}"}], 
     ",", 
     RowBox[{"Text", "@", 
      RowBox[{"Column", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<Guess: \>\"", ",", "14", ",", "Black", ",", 
              "\"\<Label\>\""}], "]"}], ",", 
            RowBox[{"TraditionalForm", "@", 
             RowBox[{"Text", "@", 
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"Plus", "@@", 
                 RowBox[{"MapThread", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"#1", "*", 
                    RowBox[{"x", "^", "#2"}]}], "&"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"4", ",", "2"}], "}"}], ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\>\"", ",", "\"\<0\>\""}], "}"}]}], ",", 
                    RowBox[{"ExponentFunction", "\[Rule]", 
                    RowBox[{"(", 
                    RowBox[{"Null", "&"}], ")"}]}]}], "]"}], "&"}], "/@", 
                    RowBox[{"{", 
                    RowBox[{"var0", ",", "var1", ",", "var2", ",", "var3"}], 
                    "}"}]}], "]"}], ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"0", ",", "3"}], "]"}]}], "}"}]}], "]"}]}], ",", 
                "12", ",", 
                RowBox[{"GrayLevel", "[", ".3", "]"}], ",", "\"\<Label\>\""}],
                "]"}]}]}]}], "}"}], "]"}], ",", "\"\<\>\"", ",", 
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Text", "@", 
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<Actual: \>\"", ",", "14", ",", "Black", ",", 
               "\"\<Label\>\""}], "]"}]}], ",", 
            RowBox[{"TraditionalForm", "@", 
             RowBox[{"Text", "@", 
              RowBox[{"Style", "[", 
               RowBox[{"randpoly", ",", "12", ",", 
                RowBox[{"If", "[", 
                 RowBox[{"showans", ",", 
                  RowBox[{"GrayLevel", "[", ".3", "]"}], ",", "White"}], 
                 "]"}], ",", "\"\<Label\>\""}], "]"}]}]}]}], "}"}], "]"}], 
         ",", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"Evaluate", "[", 
            RowBox[{"{", 
             RowBox[{"poly", ",", "randpoly"}], "}"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "100"}], ",", "100"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"FillingStyle", "\[Rule]", 
            RowBox[{"Directive", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Opacity", "[", ".3", "]"}], ",", "Blue"}], "}"}], 
             "]"}]}], ",", 
           RowBox[{"Filling", "\[Rule]", 
            RowBox[{"{", "2", "}"}]}], ",", 
           RowBox[{"ImageSize", "\[Rule]", "400"}]}], "]"}]}], "}"}], 
       "]"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"var0", ",", "0", ",", 
       RowBox[{"TraditionalForm", "@", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Superscript", "[", 
           RowBox[{"x", ",", "0"}], "]"}], ",", "14"}], "]"}]}]}], "}"}], ",",
      
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"var1", ",", "0", ",", 
       RowBox[{"TraditionalForm", "@", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Superscript", "[", 
           RowBox[{"x", ",", "1"}], "]"}], ",", "14"}], "]"}]}]}], "}"}], ",",
      
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"var2", ",", "0", ",", 
       RowBox[{"TraditionalForm", "@", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Superscript", "[", 
           RowBox[{"x", ",", "2"}], "]"}], ",", "14"}], "]"}]}]}], "}"}], ",",
      
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"var3", ",", "0", ",", 
       RowBox[{"TraditionalForm", "@", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Superscript", "[", 
           RowBox[{"x", ",", "3"}], "]"}], ",", "14"}], "]"}]}]}], "}"}], ",",
      
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showans", ",", "False", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<show answer\>\"", ",", "12", ",", "\"\<Label\>\""}], 
        "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"s", ",", "1", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<new polynomial\>\"", ",", "12", ",", "\"\<Label\>\""}], 
        "]"}]}], "}"}], ",", "1", ",", "10"}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "Left", ",", "Left", ",", "Left", ",", "Left", ",", "Top", ",", "Top"}], 
     "}"}]}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35377069935836*^9, {3.35575629812634*^9, 3.35575630758995*^9}, {
   3.3557563448335*^9, 3.35575642958537*^9}, 3.35575651087225*^9, {
   3.35575659384156*^9, 3.35575666426282*^9}, {3.35575678870175*^9, 
   3.35575685797136*^9}, {3.35738848680919*^9, 3.35738855472573*^9}, {
   3.35853748731357*^9, 3.35853752247396*^9}, {3.35854319409884*^9, 
   3.35854321278029*^9}, {3.35870397577435*^9, 3.35870398696047*^9}, {
   3.35921667380236*^9, 3.35921667395096*^9}, {3.36318970746875*^9, 
   3.36318975607813*^9}, {3.36319021482813*^9, 3.36319021489063*^9}, {
   3.3703721428844633`*^9, 3.3703722152433753`*^9}, 3.370372253368131*^9, {
   3.370372286774167*^9, 3.37037243636696*^9}, {3.370372471335486*^9, 
   3.370372585147258*^9}, {3.3703727603492613`*^9, 3.370372782692868*^9}, {
   3.37037309653461*^9, 3.370373137003101*^9}, {3.37037319729959*^9, 
   3.370373235268097*^9}, {3.37037423562107*^9, 3.370374245371007*^9}, {
   3.3703750793656693`*^9, 3.3703750826625233`*^9}, {3.3725459001913595`*^9, 
   3.372545901589875*^9}, {3.3735804057287493`*^9, 3.3735804475300946`*^9}, 
   3.3735810035350847`*^9, {3.373581095295601*^9, 3.373581245243269*^9}, {
   3.373581400753091*^9, 3.3735814305782657`*^9}, 3.377981057275175*^9, 
   3.3793591444921837`*^9, {3.3907485467063923`*^9, 3.390748576459174*^9}},
 CellID->1496021318],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`s$$ = 
    2.1799999999999997`, $CellContext`showans$$ = 
    True, $CellContext`var0$$ = -1.5099999999999998`, $CellContext`var1$$ = 
    3.24, $CellContext`var2$$ = -8.85, $CellContext`var3$$ = 
    8.850000000000001, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`var0$$], 0, 
       TraditionalForm[
        Style[
         Superscript[$CellContext`x, 0], 14]]}, -10, 10, 0.01}, {{
       Hold[$CellContext`var1$$], 0, 
       TraditionalForm[
        Style[
         Superscript[$CellContext`x, 1], 14]]}, -10, 10, 0.01}, {{
       Hold[$CellContext`var2$$], 0, 
       TraditionalForm[
        Style[
         Superscript[$CellContext`x, 2], 14]]}, -10, 10, 0.01}, {{
       Hold[$CellContext`var3$$], 0, 
       TraditionalForm[
        Style[
         Superscript[$CellContext`x, 3], 14]]}, -10, 10, 0.01}, {{
       Hold[$CellContext`showans$$], False, 
       Style["show answer", 12, "Label"]}, {True, False}}, {{
       Hold[$CellContext`s$$], 1, 
       Style["new polynomial", 12, "Label"]}, 1, 10}}, Typeset`size$$ = {
    600., {224., 233.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`var0$1180$$ = 
    0, $CellContext`var1$1181$$ = 0, $CellContext`var2$1182$$ = 
    0, $CellContext`var3$1183$$ = 0, $CellContext`showans$1184$$ = 
    False, $CellContext`s$1185$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`s$$ = 1, $CellContext`showans$$ = 
        False, $CellContext`var0$$ = 0, $CellContext`var1$$ = 
        0, $CellContext`var2$$ = 0, $CellContext`var3$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`var0$$, $CellContext`var0$1180$$, 0], 
        Hold[$CellContext`var1$$, $CellContext`var1$1181$$, 0], 
        Hold[$CellContext`var2$$, $CellContext`var2$1182$$, 0], 
        Hold[$CellContext`var3$$, $CellContext`var3$1183$$, 0], 
        Hold[$CellContext`showans$$, $CellContext`showans$1184$$, False], 
        Hold[$CellContext`s$$, $CellContext`s$1185$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`poly$ = 
         Apply[Plus, {$CellContext`var0$$, $CellContext`var1$$ \
$CellContext`x, $CellContext`var2$$ $CellContext`x^2, $CellContext`var3$$ \
$CellContext`x^3}], $CellContext`randpoly$ = Apply[Plus, 
           Table[(SeedRandom[
               ToString[
                N[$CellContext`s$$ + $CellContext`i, 3]]]; 
             RandomReal)[{-10, 10}, WorkingPrecision -> 
              3] $CellContext`x^$CellContext`i, {$CellContext`i, 0, 3}]]}, 
        Text[
         Column[{
           Row[{
             Style["Guess: ", 14, Black, "Label"], 
             TraditionalForm[
              Text[
               Style[
                Apply[Plus, 
                 MapThread[# $CellContext`x^#2& , {
                   Evaluate[
                    Map[
                    NumberForm[#, {4, 2}, NumberPadding -> {"", "0"}, 
                    ExponentFunction -> (
                    Null& )]& , {$CellContext`var0$$, $CellContext`var1$$, \
$CellContext`var2$$, $CellContext`var3$$}]], 
                   Range[0, 3]}]], 12, 
                GrayLevel[0.3], "Label"]]]}], "", 
           Row[{
             Text[
              Style["Actual: ", 14, Black, "Label"]], 
             TraditionalForm[
              Text[
               Style[$CellContext`randpoly$, 12, 
                If[$CellContext`showans$$, 
                 GrayLevel[0.3], White], "Label"]]]}], 
           Plot[
            
            Evaluate[{$CellContext`poly$, $CellContext`randpoly$}], \
{$CellContext`x, -10, 10}, PlotRange -> {{-10, 10}, {-100, 100}}, 
            FillingStyle -> Directive[{
               Opacity[0.3], Blue}], Filling -> {2}, ImageSize -> 400]}]]], 
      "Specifications" :> {{{$CellContext`var0$$, 0, 
          TraditionalForm[
           Style[
            Superscript[$CellContext`x, 0], 14]]}, -10, 10, 0.01, ImageSize -> 
         Small}, {{$CellContext`var1$$, 0, 
          TraditionalForm[
           Style[
            Superscript[$CellContext`x, 1], 14]]}, -10, 10, 0.01, ImageSize -> 
         Small}, {{$CellContext`var2$$, 0, 
          TraditionalForm[
           Style[
            Superscript[$CellContext`x, 2], 14]]}, -10, 10, 0.01, ImageSize -> 
         Small}, {{$CellContext`var3$$, 0, 
          TraditionalForm[
           Style[
            Superscript[$CellContext`x, 3], 14]]}, -10, 10, 0.01, ImageSize -> 
         Small}, {{$CellContext`showans$$, False, 
          Style["show answer", 12, "Label"]}, {
         True, False}}, {{$CellContext`s$$, 1, 
          Style["new polynomial", 12, "Label"]}, 1, 10}}, 
      "Options" :> {
       TrackedSymbols -> Automatic, 
        ControlPlacement -> {Left, Left, Left, Left, Top, Top}, 
        AutorunSequencing -> {1, 2, 3, 4, 5}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{853., {297.5, 304.5}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->294812076]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Polynomial Fitter",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolynomialFitter/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PolynomialFitter/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/PolynomialFitter/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolynomialFitter/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PolynomialFitter/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Rob Morris",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Rob+Morris"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Rob+Morris"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->530024104],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PolynomialFitter"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{1014, 924},
WindowMargins->{{-11, Automatic}, {-4, Automatic}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Polynomial Fitter - Source",
DockedCells->{},
CellContext->Notebook,
Magnification->1.5,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 209, 4, 105, "Section"],
Cell[CellGroupData[{
Cell[824, 31, 8868, 220, 935, "Input",
 CellID->1496021318],
Cell[9695, 253, 5748, 127, 627, "Output",
 CellID->294812076]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15492, 386, 373, 9, 75, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15868, 397, 874, 24, 51, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16779, 426, 337, 9, 75, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[17119, 437, 447, 15, 27, "Text",
 CellID->530024104],
Cell[17569, 454, 829, 24, 149, "Text"],
Cell[18401, 480, 1192, 33, 153, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature RQjPkZIHpXnHyBT4odkzfEcN *)
