(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     13528,        388]
NotebookOptionsPosition[     12425,        347]
NotebookOutlinePosition[     13043,        371]
CellTagsIndexPosition[     13000,        368]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Polynomial Graph Generator", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f1", "=", 
   RowBox[{"2", 
    SuperscriptBox["x", "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f2", "=", 
   RowBox[{".25", "x", 
    RowBox[{"(", 
     RowBox[{"x", "-", "3"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"x", "+", "3"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f3", "=", 
   RowBox[{".25", 
    RowBox[{"(", 
     RowBox[{"x", "-", "3"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"x", "-", "1"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"x", "+", "1"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"x", "+", "2"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f4", "=", 
   RowBox[{".25", 
    RowBox[{"(", 
     RowBox[{"x", "-", "3"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"x", "-", "1"}], ")"}], "x", 
    RowBox[{"(", 
     RowBox[{"x", "+", "2"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"x", "+", "3"}], ")"}]}]}], ";"}]}], "Input",
 CellID->187766941],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "*", "func"}], "+", "b"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "15"}], ",", "15"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Medium", ",", 
        RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}]}], "}"}]}], 
     ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
        RowBox[{"Hue", "[", ".6", "]"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "300"}], "}"}]}], ",", 
     RowBox[{"Background", "\[Rule]", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"1.", ",", " ", "1.", ",", " ", "0.8"}], "]"}]}]}], "]"}], ",",
    
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "1", ",", "\"\<vertical stretch\>\""}], "}"}], ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "0", ",", "\"\<vertical shift\>\""}], "}"}], ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"func", ",", "f1", ",", "\"\<curve\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"f1", "\[Rule]", "\"\<quadratic\>\""}], ",", 
       RowBox[{"f2", "\[Rule]", "\"\<cubic\>\""}], ",", 
       RowBox[{"f3", "\[Rule]", "\"\<quartic\>\""}], ",", 
       RowBox[{"f4", "\[Rule]", "\"\<quintic\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", "Manipulate"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.396703656880313*^9, 3.3967036581017036`*^9}, {
   3.396726063644435*^9, 3.3967260700135937`*^9}, {3.3967261342259264`*^9, 
   3.396726159081667*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`b$$ = 
    0, $CellContext`func$$ = 2 $CellContext`x^2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 1, "vertical stretch"}, -4, 4}, {{
       Hold[$CellContext`b$$], 0, "vertical shift"}, -5, 5}, {{
       Hold[$CellContext`func$$], 2 $CellContext`x^2, "curve"}, {
      2 $CellContext`x^2 -> 
       "quadratic", ((0.25 (-3 + $CellContext`x)) $CellContext`x) (
         3 + $CellContext`x) -> 
       "cubic", (((0.25 (-3 + $CellContext`x)) (-1 + $CellContext`x)) (
          1 + $CellContext`x)) (2 + $CellContext`x) -> 
       "quartic", ((((
            0.25 (-3 + $CellContext`x)) (-1 + $CellContext`x)) \
$CellContext`x) (2 + $CellContext`x)) (3 + $CellContext`x) -> "quintic"}}}, 
    Typeset`size$$ = {500., {147., 153.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$18334$$ = 0, $CellContext`b$18335$$ = 
    0, $CellContext`func$18336$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 1, $CellContext`b$$ = 
        0, $CellContext`func$$ = 2 $CellContext`x^2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$18334$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$18335$$, 0], 
        Hold[$CellContext`func$$, $CellContext`func$18336$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[$CellContext`a$$ $CellContext`func$$ + $CellContext`b$$, \
{$CellContext`x, -4, 4}, PlotRange -> {-15, 15}, 
        BaseStyle -> {Medium, FontFamily -> "Helvetica"}, 
        AxesLabel -> {$CellContext`x, $CellContext`y}, PlotStyle -> {
          Thickness[0.005], 
          Hue[0.6]}, ImageSize -> {500, 300}, Background -> 
        RGBColor[1., 1., 0.8]], 
      "Specifications" :> {{{$CellContext`a$$, 1, "vertical stretch"}, -4, 
         4}, {{$CellContext`b$$, 0, "vertical shift"}, -5, 
         5}, {{$CellContext`func$$, 2 $CellContext`x^2, "curve"}, {
         2 $CellContext`x^2 -> 
          "quadratic", ((0.25 (-3 + $CellContext`x)) $CellContext`x) (
            3 + $CellContext`x) -> 
          "cubic", (((0.25 (-3 + $CellContext`x)) (-1 + $CellContext`x)) (
             1 + $CellContext`x)) (2 + $CellContext`x) -> 
          "quartic", ((((
               0.25 (-3 + $CellContext`x)) (-1 + $CellContext`x)) \
$CellContext`x) (2 + $CellContext`x)) (3 + $CellContext`x) -> "quintic"}, 
         ControlType -> SetterBar}}, 
      "Options" :> {TrackedSymbols :> Manipulate}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {217., 222.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(ReleaseHold[{{
         HoldComplete[$CellContext`f1 = 2 $CellContext`x^2; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`f2 = 
           0.25 $CellContext`x ($CellContext`x - 3) ($CellContext`x + 3); 
          Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`f3 = 
           0.25 ($CellContext`x - 3) ($CellContext`x - 1) ($CellContext`x + 
             1) ($CellContext`x + 2); Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`f4 = 
           0.25 ($CellContext`x - 3) ($CellContext`x - 
             1) $CellContext`x ($CellContext`x + 2) ($CellContext`x + 3); 
          Null]}}]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->527016178],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Polynomial Graph Generator",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolynomialGraphGenerator/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/PolynomialGraphGenerator/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/PolynomialGraphGenerator/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolynomialGraphGenerator/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/PolynomialGraphGenerator/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ed Zaborowski",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ed+Zaborowski"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ed+Zaborowski"],
 " (Franklin Road Academy)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PolynomialGraphGenerator"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Polynomial Graph Generator - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 218, 4, 70, "Section"],
Cell[811, 29, 960, 34, 70, "Input",
 CellID->187766941],
Cell[1774, 65, 2272, 61, 70, "Input"]
}, Open  ]],
Cell[4061, 129, 4141, 82, 70, "Output",
 CellID->527016178],
Cell[CellGroupData[{
Cell[8227, 215, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[8603, 226, 929, 26, 70, "Text"],
Cell[9535, 254, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9875, 265, 465, 15, 70, "Text"],
Cell[CellGroupData[{
Cell[10365, 284, 829, 24, 70, "Text"],
Cell[11197, 310, 1200, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature gQzIyGBK3pc8cDDMoT6x6xJm *)
