(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     36763,        950]
NotebookOptionsPosition[     35469,        903]
NotebookOutlinePosition[     36134,        928]
CellTagsIndexPosition[     36091,        925]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Tangent Lines to Exponential and Logarithmic Functions through the Origin\
\>", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
   RowBox[{"a", "^", "x"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.41672689971875*^9, 3.416726899890625*^9}, {
   3.416726974125*^9, 3.4167269955*^9}, 3.418545505609375*^9, {
   3.4185759888360434`*^9, 3.4185759999765973`*^9}},
 CellID->553451779],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"a", "^", 
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"Log", "[", "a", "]"}]}], ")"}]}], 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{
       RowBox[{"Log", "[", "a", "]"}], 
       RowBox[{"(", 
        RowBox[{"x", "-", 
         RowBox[{"(", 
          RowBox[{"1", "/", 
           RowBox[{"Log", "[", "a", "]"}]}], ")"}]}], ")"}]}]}], ")"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.41672689971875*^9, 3.416726899890625*^9}, {
   3.416726974125*^9, 3.4167269955*^9}, 3.418545505609375*^9, {
   3.4185759888360434`*^9, 3.41857599794536*^9}},
 CellID->52447768],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"h", "[", 
    RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
   RowBox[{"x", "/", 
    RowBox[{"(", 
     RowBox[{"E", " ", 
      RowBox[{"Log", "[", "a", "]"}]}], ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.41672689971875*^9, 3.416726899890625*^9}, {
   3.416726974125*^9, 3.4167269955*^9}, 3.418545505609375*^9, {
   3.4185759888360434`*^9, 3.418575995211003*^9}},
 CellID->185828551],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Grid", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"f", "[", 
             RowBox[{"\[Alpha]1", ",", "x"}], "]"}], ",", 
            RowBox[{"g", "[", 
             RowBox[{"\[Alpha]1", ",", "x"}], "]"}], ",", "E"}], "}"}], " ", 
          ",", " ", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "2"}], "}"}], ",", 
          RowBox[{"AxesOrigin", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}], ",", " ", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "1.6"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "4"}], "}"}]}], "}"}]}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", ".006", "]"}], ",", 
               RowBox[{"ColorData", "[", 
                RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}]}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", ".006", "]"}], ",", "Dashed", ",", 
               "Orange"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"RGBColor", "[", 
               RowBox[{".48", ",", ".11", ",", ".56"}], "]"}], "}"}]}], 
            "}"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"295", ",", "125"}], "}"}]}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"Prolog", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<y = e\>\"", ",", "14", ",", "Italic", ",", "Black"}], 
                "]"}], ",", 
               RowBox[{"{", 
                RowBox[{".2", ",", "3"}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", ".015", "]"}], ",", 
               RowBox[{"ColorData", "[", 
                RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], 
               ",", " ", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"1", "/", 
                   RowBox[{"Log", "[", "\[Alpha]1", "]"}]}], ",", "E"}], 
                 "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"RGBColor", "[", 
                RowBox[{".48", ",", ".11", ",", ".56"}], "]"}], ",", 
               RowBox[{"Thickness", "[", "0.004", "]"}], ",", " ", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"E", ",", 
                    RowBox[{"-", "5"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"E", ",", "10"}], "}"}]}], "}"}], "]"}]}], "}"}]}],
             "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"f", "[", 
             RowBox[{"\[Alpha]2", ",", "x"}], "]"}], ",", 
            RowBox[{"g", "[", 
             RowBox[{"\[Alpha]2", ",", "x"}], "]"}], ",", "E"}], "}"}], " ", 
          ",", " ", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "10"}], ",", "0"}], "}"}], ",", 
          RowBox[{"AxesOrigin", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}], ",", " ", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "10"}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "4"}], "}"}]}], "}"}]}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", ".006", "]"}], ",", 
               RowBox[{"ColorData", "[", 
                RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}]}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", ".006", "]"}], ",", "Dashed", ",", 
               "Orange"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"RGBColor", "[", 
               RowBox[{".48", ",", ".11", ",", ".56"}], "]"}], "}"}]}], 
            "}"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"295", ",", "125"}], "}"}]}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"Prolog", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<y = e\>\"", ",", "14", ",", "Italic", ",", "Black"}], 
                "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "7"}], ",", "3"}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", ".015", "]"}], ",", 
               RowBox[{"ColorData", "[", 
                RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], 
               ",", " ", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"1", "/", 
                   RowBox[{"Log", "[", "\[Alpha]2", "]"}]}], ",", "E"}], 
                 "}"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"RGBColor", "[", 
                RowBox[{".48", ",", ".11", ",", ".56"}], "]"}], ",", 
               RowBox[{"Thickness", "[", "0.004", "]"}], ",", " ", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"E", ",", 
                    RowBox[{"-", "5"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"E", ",", "10"}], "}"}]}], "}"}], "]"}]}], "}"}]}],
             "}"}]}]}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", ",", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Superscript", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
              "\"\<, with \>\"", ",", " ", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", 
              "\"\< > 1\>\""}], "}"}], "]"}], ",", "15", ",", 
           RowBox[{"Darker", "[", 
            RowBox[{"ColorData", "[", 
             RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], 
            "]"}]}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Superscript", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
              ",", "\"\<, with \>\"", ",", " ", "\"\<0 < \>\"", ",", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", 
              "\"\< < 1\>\""}], "}"}], "]"}], ",", "15", ",", 
           RowBox[{"Darker", "[", 
            RowBox[{"ColorData", "[", 
             RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], 
            "]"}]}], "]"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", ",", "}"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Log", "[", 
             RowBox[{"\[Beta]1", ",", "x"}], "]"}], ",", 
            RowBox[{"h", "[", 
             RowBox[{"\[Beta]1", ",", "x"}], "]"}]}], " ", "}"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "3"}], "}"}], ",", 
          RowBox[{"AxesOrigin", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}], ",", " ", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "3"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "1.6"}], "}"}]}], "}"}]}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", ".006", "]"}], ",", 
               RowBox[{"ColorData", "[", 
                RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}]}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", ".006", "]"}], ",", "Dashed", ",", 
               "Orange"}], "}"}]}], "}"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"295", ",", "125"}], "}"}]}], ",", 
          RowBox[{"Prolog", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<x = e\>\"", ",", "14", ",", "Italic", ",", "Black"}], 
                "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"2.5", ",", ".3"}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", ".015", "]"}], ",", 
               RowBox[{"ColorData", "[", 
                RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], 
               ",", " ", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"E", ",", 
                  RowBox[{"Log", "[", 
                   RowBox[{"\[Beta]1", ",", "E"}], "]"}]}], "}"}], "]"}]}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"RGBColor", "[", 
                RowBox[{".48", ",", ".11", ",", ".56"}], "]"}], ",", 
               RowBox[{"Thickness", "[", "0.004", "]"}], ",", " ", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"E", ",", 
                    RowBox[{"-", "5"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"E", ",", "10"}], "}"}]}], "}"}], "]"}]}], "}"}]}],
             "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Log", "[", 
             RowBox[{"\[Beta]2", ",", "x"}], "]"}], ",", 
            RowBox[{"h", "[", 
             RowBox[{"\[Beta]2", ",", "x"}], "]"}]}], "}"}], ",", " ", " ", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "4"}], "}"}], ",", " ", 
          RowBox[{"AxesOrigin", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}], ",", " ", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "4"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "10"}], ",", "0"}], "}"}]}], "}"}]}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", ".006", "]"}], ",", 
               RowBox[{"ColorData", "[", 
                RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}]}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", ".006", "]"}], ",", "Dashed", ",", 
               "Orange"}], "}"}]}], "}"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"295", ",", "125"}], "}"}]}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"Prolog", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<x = e\>\"", ",", "14", ",", "Italic", ",", "Black"}], 
                "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", 
                 RowBox[{"-", "6"}]}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", ".015", "]"}], ",", 
               RowBox[{"ColorData", "[", 
                RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], 
               ",", " ", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"E", ",", 
                  RowBox[{"Log", "[", 
                   RowBox[{"\[Beta]2", ",", "E"}], "]"}]}], "}"}], "]"}]}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"RGBColor", "[", 
                RowBox[{".48", ",", ".11", ",", ".56"}], "]"}], ",", 
               RowBox[{"Thickness", "[", "0.004", "]"}], ",", " ", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"E", ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"E", ",", "10"}], "}"}]}], "}"}], "]"}]}], "}"}]}],
             "}"}]}]}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"{", ",", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Subscript", "[", 
               RowBox[{"\"\<log\>\"", ",", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
              "\"\<(\>\"", ",", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "\"\<)\>\"", 
              ",", "\"\<, with \>\"", ",", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], ",", 
              "\"\< > 1\>\""}], "}"}], "]"}], ",", "15", ",", 
           RowBox[{"Darker", "[", 
            RowBox[{"ColorData", "[", 
             RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], 
            "]"}]}], "]"}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Subscript", "[", 
               RowBox[{"\"\<log\>\"", ",", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
              "\"\<(\>\"", ",", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "\"\<)\>\"", 
              ",", "\"\<, with \>\"", ",", "\"\<0 < \>\"", ",", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], ",", 
              "\"\< < 1\>\""}], "}"}], "]"}], ",", "15", ",", 
           RowBox[{"Darker", "[", 
            RowBox[{"ColorData", "[", 
             RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], 
            "]"}]}], "]"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", ",", "}"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]",
      "}"}], "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]1", ",", "5", ",", " ", "\"\<a > 1\>\""}], "}"}], ",", 
     "2", ",", "5", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]2", ",", ".9", ",", " ", "\"\<0 < a < 1\>\""}], "}"}], 
     ",", ".1", ",", ".9", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Beta]1", ",", "5", ",", " ", "\"\<b > 1\>\""}], "}"}], ",", 
     "2", ",", "5", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Beta]2", ",", ".9", ",", " ", "\"\<0 < b < 1\>\""}], "}"}], 
     ",", ".1", ",", ".9", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", "\[IndentingNewLine]",
    
   RowBox[{"TrackedSymbols", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\[Alpha]1", ",", "\[Beta]1", ",", "\[Alpha]2", ",", "\[Beta]2"}], 
     "}"}]}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.418576026992049*^9, 3.418576035523245*^9}, {
   3.4185762344282217`*^9, 3.418576235631339*^9}, {3.418576286365389*^9, 
   3.418576305693391*^9}, {3.418596083294943*^9, 3.4185962197471952`*^9}, {
   3.418596263825038*^9, 3.418596266278147*^9}, {3.4186497250131855`*^9, 
   3.418649789510296*^9}, {3.418791076928214*^9, 3.418791128121827*^9}, {
   3.418791166747368*^9, 3.41879129607333*^9}, {3.4187913294112673`*^9, 
   3.418791455592707*^9}, {3.418791494869184*^9, 3.418791528868072*^9}, {
   3.418815347328125*^9, 3.418815375171875*^9}},
 CellID->178720648]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[Alpha]1$$ = 5, $CellContext`\[Alpha]2$$ = 
    0.9, $CellContext`\[Beta]1$$ = 5, $CellContext`\[Beta]2$$ = 0.9, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Alpha]1$$], 5, "a > 1"}, 2, 5}, {{
       Hold[$CellContext`\[Alpha]2$$], 0.9, "0 < a < 1"}, 0.1, 0.9}, {{
       Hold[$CellContext`\[Beta]1$$], 5, "b > 1"}, 2, 5}, {{
       Hold[$CellContext`\[Beta]2$$], 0.9, "0 < b < 1"}, 0.1, 0.9}}, 
    Typeset`size$$ = {598., {177., 182.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`\[Alpha]1$835235$$ = 
    0, $CellContext`\[Alpha]2$835236$$ = 0, $CellContext`\[Beta]1$835237$$ = 
    0, $CellContext`\[Beta]2$835238$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`\[Alpha]1$$ = 5, $CellContext`\[Alpha]2$$ = 
        0.9, $CellContext`\[Beta]1$$ = 5, $CellContext`\[Beta]2$$ = 0.9}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Alpha]1$$, $CellContext`\[Alpha]1$835235$$, 0], 
        Hold[$CellContext`\[Alpha]2$$, $CellContext`\[Alpha]2$835236$$, 0], 
        Hold[$CellContext`\[Beta]1$$, $CellContext`\[Beta]1$835237$$, 0], 
        Hold[$CellContext`\[Beta]2$$, $CellContext`\[Beta]2$835238$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Grid[{{
          Plot[{
            $CellContext`f[$CellContext`\[Alpha]1$$, $CellContext`x], 
            $CellContext`g[$CellContext`\[Alpha]1$$, $CellContext`x], 
            E}, {$CellContext`x, 0, 2}, AxesOrigin -> {0, 0}, 
           PlotRange -> {{0, 1.6}, {0, 4}}, PlotStyle -> {{
              Thickness[0.006], 
              ColorData["HTML", "SlateBlue"]}, {
              Thickness[0.006], Dashed, Orange}, {
              RGBColor[0.48, 0.11, 0.56]}}, ImageSize -> {295, 125}, 
           Prolog -> {
             Text[
              Style["y = e", 14, Italic, Black], {0.2, 3}], {
              PointSize[0.015], 
              ColorData["HTML", "SlateBlue"], 
              Point[{1/Log[$CellContext`\[Alpha]1$$], E}]}, {
              RGBColor[0.48, 0.11, 0.56], 
              Thickness[0.004], 
              Line[{{E, -5}, {E, 10}}]}}], 
          Plot[{
            $CellContext`f[$CellContext`\[Alpha]2$$, $CellContext`x], 
            $CellContext`g[$CellContext`\[Alpha]2$$, $CellContext`x], 
            E}, {$CellContext`x, -10, 0}, AxesOrigin -> {0, 0}, 
           PlotRange -> {{-10, 0}, {0, 4}}, PlotStyle -> {{
              Thickness[0.006], 
              ColorData["HTML", "SlateBlue"]}, {
              Thickness[0.006], Dashed, Orange}, {
              RGBColor[0.48, 0.11, 0.56]}}, ImageSize -> {295, 125}, 
           Prolog -> {
             Text[
              Style["y = e", 14, Italic, Black], {-7, 3}], {
              PointSize[0.015], 
              ColorData["HTML", "SlateBlue"], 
              Point[{1/Log[$CellContext`\[Alpha]2$$], E}]}, {
              RGBColor[0.48, 0.11, 0.56], 
              Thickness[0.004], 
              Line[{{E, -5}, {E, 10}}]}}]}, {Null, Null}, {
          Text[
           Style[
            Row[{
              Superscript[
               Style["a", Italic], 
               Style["x", Italic]], ", with ", 
              Style["a", Italic], " > 1"}], 15, 
            Darker[
             ColorData["HTML", "SlateBlue"]]]], 
          Text[
           Style[
            Row[{
              Superscript[
               Style["a", Italic], 
               Style["x", Italic]], Null, ", with ", "0 < ", 
              Style["a", Italic], " < 1"}], 15, 
            Darker[
             ColorData["HTML", "SlateBlue"]]]]}, {Null, Null}, {
          Plot[{
            Log[$CellContext`\[Beta]1$$, $CellContext`x], 
            $CellContext`h[$CellContext`\[Beta]1$$, $CellContext`x]}, \
{$CellContext`x, 0, 3}, AxesOrigin -> {0, 0}, PlotRange -> {{0, 3}, {0, 1.6}},
            PlotStyle -> {{
              Thickness[0.006], 
              ColorData["HTML", "SlateBlue"]}, {
              Thickness[0.006], Dashed, Orange}}, ImageSize -> {295, 125}, 
           Prolog -> {
             Text[
              Style["x = e", 14, Italic, Black], {2.5, 0.3}], {
              PointSize[0.015], 
              ColorData["HTML", "SlateBlue"], 
              Point[{E, 
                Log[$CellContext`\[Beta]1$$, E]}]}, {
              RGBColor[0.48, 0.11, 0.56], 
              Thickness[0.004], 
              Line[{{E, -5}, {E, 10}}]}}], 
          Plot[{
            Log[$CellContext`\[Beta]2$$, $CellContext`x], 
            $CellContext`h[$CellContext`\[Beta]2$$, $CellContext`x]}, \
{$CellContext`x, 0, 4}, AxesOrigin -> {0, 0}, PlotRange -> {{0, 4}, {-10, 0}},
            PlotStyle -> {{
              Thickness[0.006], 
              ColorData["HTML", "SlateBlue"]}, {
              Thickness[0.006], Dashed, Orange}}, ImageSize -> {295, 125}, 
           Prolog -> {
             Text[
              Style["x = e", 14, Italic, Black], {3, -6}], {
              PointSize[0.015], 
              ColorData["HTML", "SlateBlue"], 
              Point[{E, 
                Log[$CellContext`\[Beta]2$$, E]}]}, {
              RGBColor[0.48, 0.11, 0.56], 
              Thickness[0.004], 
              Line[{{E, -10}, {E, 10}}]}}]}, {Null, Null}, {
          Text[
           Style[
            Row[{
              Subscript["log", 
               Style["b", Italic]], "(", 
              Style["x", Italic], ")", ", with ", 
              Style["b", Italic], " > 1"}], 15, 
            Darker[
             ColorData["HTML", "SlateBlue"]]]], 
          Text[
           Style[
            Row[{
              Subscript["log", 
               Style["b", Italic]], "(", 
              Style["x", Italic], ")", ", with ", "0 < ", 
              Style["b", Italic], " < 1"}], 15, 
            Darker[
             ColorData["HTML", "SlateBlue"]]]]}, {Null, Null}}], 
      "Specifications" :> {{{$CellContext`\[Alpha]1$$, 5, "a > 1"}, 2, 5, 
         Appearance -> 
         "Labeled"}, {{$CellContext`\[Alpha]2$$, 0.9, "0 < a < 1"}, 0.1, 0.9, 
         Appearance -> "Labeled"}, {{$CellContext`\[Beta]1$$, 5, "b > 1"}, 2, 
         5, Appearance -> 
         "Labeled"}, {{$CellContext`\[Beta]2$$, 0.9, "0 < b < 1"}, 0.1, 0.9, 
         Appearance -> "Labeled"}}, 
      "Options" :> {
       TrackedSymbols -> {$CellContext`\[Alpha]1$$, $CellContext`\[Beta]1$$, \
$CellContext`\[Alpha]2$$, $CellContext`\[Beta]2$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{642., {261., 266.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x^3 + $CellContext`x^2 - 
         10 $CellContext`x + 25, $CellContext`f[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`a^$CellContext`x, $CellContext`g[
          Pattern[$CellContext`x, 
           Blank[]]] := 
        Button[Log, Inherited, BaseStyle -> "Link", ButtonData -> 
          "paclet:ref/Log"][$CellContext`b, $CellContext`x], $CellContext`g[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`a^(1/Log[$CellContext`a]) (1 + 
          Log[$CellContext`a] ($CellContext`x - 1/Log[$CellContext`a])), 
        Attributes[PlotRange] = {ReadProtected}, 
        Attributes[Superscript] = {NHoldRest, ReadProtected}, $CellContext`h[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x/(E Log[$CellContext`a]), 
        Attributes[Subscript] = {NHoldRest}}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`f[
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`x, 
             Blank[]]] := $CellContext`a^$CellContext`x; 
         Null, $CellContext`g[
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`x, 
             Blank[]]] := $CellContext`a^(1/Log[$CellContext`a]) (1 + 
            Log[$CellContext`a] ($CellContext`x - 1/Log[$CellContext`a])); 
         Null, $CellContext`h[
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`x, 
             Blank[]]] := $CellContext`x/(E Log[$CellContext`a]); Null}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->212716738],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Tangent Lines to Exponential and Logarithmic Functions through \
the Origin",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
TangentLinesToExponentialAndLogarithmicFunctionsThroughTheOr/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
TangentLinesToExponentialAndLogarithmicFunctionsThroughTheOr/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
TangentLinesToExponentialAndLogarithmicFunctionsThroughTheOr/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
TangentLinesToExponentialAndLogarithmicFunctionsThroughTheOr/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
TangentLinesToExponentialAndLogarithmicFunctionsThroughTheOr/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Soledad Mar\[IAcute]a S\[AAcute]ez Mart\[IAcute]nez",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Soledad+Mar%EDa+\
S%E1ez+Mart%EDnez"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Soledad+Mar%EDa+S%\
E1ez+Mart%EDnez"],
 " and ",
 ButtonBox["F\[EAcute]lix Mart\[IAcute]nez de la Rosa",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%\
EDnez+de+la+Rosa"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%EDnez+\
de+la+Rosa"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TangentLinesToExponentialAndLogarithmicFunctionsThroughTheOr"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Tangent Lines to Exponential and Logarithmic Functions through \
the Origin - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 273, 6, 70, "Section"],
Cell[866, 31, 375, 10, 70, "Input",
 CellID->553451779],
Cell[1244, 43, 747, 24, 70, "Input",
 CellID->52447768],
Cell[1994, 69, 458, 13, 70, "Input",
 CellID->185828551],
Cell[2455, 84, 18949, 463, 70, "Input",
 CellID->178720648]
}, Open  ]],
Cell[21419, 550, 9183, 202, 70, "Output",
 CellID->212716738],
Cell[CellGroupData[{
Cell[30627, 756, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[31003, 767, 1170, 32, 70, "Text"],
Cell[32176, 801, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[32516, 812, 832, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[33373, 840, 829, 24, 70, "Text"],
Cell[34205, 866, 1236, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature JSz@N#s1OuKHvBDs#k32U#rb *)
