(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     61098,       1460]
NotebookOptionsPosition[     59964,       1418]
NotebookOutlinePosition[     60574,       1442]
CellTagsIndexPosition[     60531,       1439]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Geometry of Logarithms", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"tickMark", "[", 
    RowBox[{"x_", ",", 
     RowBox[{"{", 
      RowBox[{"below_", ",", "above_"}], "}"}], ",", 
     RowBox[{"label_:", "\"\<\>\""}], ",", 
     RowBox[{"size_:", "Medium"}], ",", 
     RowBox[{"verticalPosition_:", "-", "0.4"}]}], "]"}], ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", "=", 
       RowBox[{"Log", "[", "x", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"label", "\[Equal]", "\"\<\>\""}], ",", "\[IndentingNewLine]", 
       
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"t", ",", 
            RowBox[{"-", "below"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"t", ",", "above"}], "}"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"t", ",", 
              RowBox[{"-", "below"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"t", ",", "above"}], "}"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"label", ",", 
             RowBox[{"FontSize", "\[Rule]", "size"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", "verticalPosition"}], "}"}]}], "]"}]}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"t", ",", 
              RowBox[{"-", "below"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"t", ",", "above"}], "}"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"label", ",", 
             RowBox[{"FontSize", "\[Rule]", "size"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", "verticalPosition"}], "}"}]}], "]"}]}], "}"}]}],
       "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"tickSet", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_"}], "}"}], ",", "config_"}], "]"}], ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Lambda]", "=", 
        RowBox[{
         RowBox[{"Log", "[", "#", "]"}], "&"}]}], ",", "s"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"s", "=", 
       RowBox[{"0.03", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[Lambda]", "[", "b", "]"}], "-", 
          RowBox[{"\[Lambda]", "[", "a", "]"}]}], ")"}]}]}], " ", 
      RowBox[{"(*", 
       RowBox[{
       "reference", " ", "tick", " ", "size", " ", "is", " ", "3", "%", " ", 
        "of", " ", "line", " ", "length"}], " ", "*)"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Lambda]", "[", "a", "]"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Lambda]", "[", "b", "]"}], ",", "0"}], "}"}]}], "}"}],
          "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"tickMark", "[", 
            RowBox[{
             RowBox[{"ToExpression", "[", "#", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"1.3", "s"}], ",", "0"}], "}"}], ",", "#", ",", "14", 
             ",", 
             RowBox[{"-", "1"}]}], "]"}], "&"}], ",", 
          RowBox[{
          "config", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"tickMark", "[", 
            RowBox[{
             RowBox[{"ToExpression", "[", "#", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{".85", "s"}], ",", "0"}], "}"}], ",", "#", ",", "14", 
             ",", 
             RowBox[{"-", "1"}]}], "]"}], "&"}], ",", 
          RowBox[{
          "config", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"tickMark", "[", 
            RowBox[{"#", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{".85", "s"}], ",", "0"}], "}"}]}], "]"}], "&"}], ",", 
          RowBox[{
          "config", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"tickMark", "[", 
            RowBox[{"#", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{".5", "s"}], ",", "0"}], "}"}]}], "]"}], "&"}], ",", 
          RowBox[{
          "config", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}]}], 
         "]"}]}], "\[IndentingNewLine]", "}"}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"fig", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      ".001", ",", ".01", ",", "1", ",", " ", "0.1", ",", "10", ",", "100", 
       ",", "1000"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0.2`", ",", "0.5`", ",", "2", ",", "5", ",", "20", ",", "50"}],
       "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      ".0005", ",", ".002", ",", ".005", ",", "0.02`", ",", "0.05`", ",", 
       "200", ",", "500"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      ".003", ",", ".004", ",", ".006", ",", ".007", ",", ".008", ",", ".009",
        ",", "0.03`", ",", "0.04`", ",", "0.06`", ",", "0.07`", ",", "0.08`", 
       ",", "0.09`", ",", "0.3`", ",", "0.4`", ",", "0.6`", ",", "0.7`", ",", 
       "0.8`", ",", "0.9`", ",", "3", ",", "4", ",", "6", ",", "7", ",", "8", 
       ",", "9", ",", "30", ",", "40", ",", "60", ",", "70", ",", "80", ",", 
       "90", ",", "300", ",", "400", ",", "600", ",", "700", ",", "800", ",", 
       "900", ",", "2000"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"logticks", "=", 
    RowBox[{"tickSet", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{".0005", ",", "2000"}], "}"}], ",", "fig"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"xmin", "=", "0.0005"}], ";", 
  RowBox[{"xmax", "=", "2000"}], ";", 
  RowBox[{"tmin", "=", 
   RowBox[{"Log", "[", "xmin", "]"}]}], ";", 
  RowBox[{"tmax", "=", 
   RowBox[{"Log", "[", "xmax", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"bColor", "[", "b_", "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"b", ">", "1"}], ",", "Blue", ",", "Blue", ",", "Gray"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tColor", "=", "Black"}], ";", 
  RowBox[{"xColor", "=", "Black"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xExtentColor", "[", "x_", "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"x", ">", "1"}], ",", "Black", ",", "Red", ",", "Gray"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"q", "=", 
   RowBox[{"1", "/", 
    RowBox[{"Log", "[", 
     RowBox[{"xmax", "/", "xmin"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"logSlider", "[", 
    RowBox[{
     RowBox[{"Dynamic", "[", "x_", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"xmin_", ",", "xmax_"}], "}"}]}], "]"}], ":=", 
   RowBox[{"Slider", "[", 
    RowBox[{"Dynamic", "[", 
     RowBox[{
      RowBox[{"q", "*", 
       RowBox[{"Log", "[", 
        RowBox[{"x", "/", "xmin"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", "=", 
         RowBox[{"xmin", "*", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"#", "/", "q"}]]}]}], ")"}], "&"}]}], "]"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.424782274860861*^9, {3.424805475989726*^9, 3.424805476386036*^9}, {
   3.4250409634707823`*^9, 3.425041023352139*^9}, {3.425041109667104*^9, 
   3.425041143249991*^9}, 3.4250411833638077`*^9, {3.425041216265594*^9, 
   3.425041292414377*^9}, {3.4250413255942497`*^9, 3.425041390271562*^9}, {
   3.42504143985273*^9, 3.425041492439075*^9}, {3.425041582999095*^9, 
   3.425041626784658*^9}, {3.4250416742029457`*^9, 3.425041675134557*^9}, {
   3.4250428435295143`*^9, 3.425042843837871*^9}, {3.42504309743791*^9, 
   3.4250431975453997`*^9}, {3.4250432819460363`*^9, 3.42504328834799*^9}, {
   3.4250433414455137`*^9, 3.425043353105774*^9}, {3.425043387515493*^9, 
   3.425043398544595*^9}, {3.425043463972315*^9, 3.425043510051003*^9}, {
   3.425043563268342*^9, 3.425043599617798*^9}, {3.425091896328452*^9, 
   3.4250918973778152`*^9}, 3.425299219234467*^9, {3.4253898743131075`*^9, 
   3.4253898751051865`*^9}, {3.425472849036503*^9, 3.4254728516340113`*^9}, {
   3.425473403724719*^9, 3.425473413336638*^9}, {3.425473476753759*^9, 
   3.42547347715973*^9}, {3.425474225293252*^9, 3.425474246812915*^9}, {
   3.4254863940574703`*^9, 3.425486396781932*^9}, {3.4256495495668993`*^9, 
   3.425649549938936*^9}, {3.425999510514098*^9, 3.42599953027621*^9}, {
   3.425999743197474*^9, 3.4259997464150543`*^9}, {3.425999811659127*^9, 
   3.425999833894291*^9}, {3.426000213493896*^9, 3.426000239806644*^9}, {
   3.4260005785147142`*^9, 3.426000581489381*^9}},
 CellID->370448438],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"logticks", ",", 
         RowBox[{"Thickness", "[", ".002", "]"}], ",", "Black"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"-", ".7"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", ".7"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<x\>\"", ",", "xColor", ",", "Italic"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Log", "[", "x", "]"}], ",", 
           RowBox[{"-", "2"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]",
        
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Log", "[", "x", "]"}], ",", 
            RowBox[{"-", "1.5"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Log", "[", "x", "]"}], ",", ".25"}], "}"}]}], "}"}], 
        "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"bColor", "[", "b", "]"}], ",", 
         RowBox[{"Thickness", "[", ".002", "]"}], ",", "\[IndentingNewLine]", 
         
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Log", "[", "b", "]"}], ",", 
             RowBox[{"-", "2.5"}]}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Log", "[", "b", "]"}], ",", 
              RowBox[{"-", "1.5"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Log", "[", "b", "]"}], ",", ".25"}], "}"}]}], "}"}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Rectangle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", ".15"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Log", "[", "b", "]"}], ",", ".30"}], "}"}]}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"t", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"t", ",", ".25"}], "}"}]}], "}"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", "0", ",", "tmax", ",", 
             RowBox[{"Abs", "[", 
              RowBox[{"Log", "[", "b", "]"}], "]"}]}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"t", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"t", ",", ".25"}], "}"}]}], "}"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", "0", ",", "tmin", ",", 
             RowBox[{"-", 
              RowBox[{"Abs", "[", 
               RowBox[{"Log", "[", "b", "]"}], "]"}]}]}], "}"}]}], "]"}]}], 
        "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Rectangle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", ".30"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Log", "[", "x", "]"}], ",", ".45"}], "}"}]}], "]"}], 
         ",", 
         RowBox[{"xExtentColor", "[", "x", "]"}]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1.1", "tmin"}], ",", 
          RowBox[{"1.1", "tmax"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"600", ",", "400"}], "}"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Subscript", "[", 
            RowBox[{"\"\<log\>\"", ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"N", "@", "b"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"5", ",", "2"}], "}"}], ",", 
                 RowBox[{"NumberPadding", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"\"\<\>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}], 
               ",", 
               RowBox[{"bColor", "[", "b", "]"}], ",", "12"}], "]"}]}], "]"}],
            ",", " ", "\"\<(\>\"", ",", 
           RowBox[{"Style", "[", 
            RowBox[{"x", ",", 
             RowBox[{"xExtentColor", "[", "x", "]"}]}], "]"}], ",", 
           "\[IndentingNewLine]", "\"\<) \>\"", ",", " ", "\"\<= \>\"", ",", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"N", "[", 
              RowBox[{"Log", "[", 
               RowBox[{"b", ",", "x"}], "]"}], "]"}], ",", "tColor"}], 
            "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", "14"}], 
       "]"}]}]}], "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", ".1"}], "}"}], ",", "xmin", ",", "xmax", ",", 
     "None"}], "}"}], ",", 
   RowBox[{"(*", 
    RowBox[{
    "these", " ", "are", " ", "only", " ", "needed", " ", "for", " ", "the", 
     " ", "autorun"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "2"}], "}"}], ",", ".01", ",", "100", ",", "None"}], 
    "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<x \>\"", ",", "xColor"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"logSlider", "[", 
       RowBox[{
        RowBox[{"Dynamic", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"xmin", ",", "xmax"}], "}"}]}], "]"}], ",", "\"\<  \>\"", 
      ",", "\[IndentingNewLine]", 
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"Dynamic", "@", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Round", "[", 
              RowBox[{"x", ",", ".0001"}], "]"}], ",", "Medium"}], "]"}]}], 
          "}"}], "}"}], ",", 
        RowBox[{"ItemSize", "\[Rule]", "7"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}]}], "]"}], ",", "\"\<  \>\"", 
      ",", "\[IndentingNewLine]", 
      RowBox[{"PopupMenu", "[", 
       RowBox[{
        RowBox[{"Dynamic", "@", "x"}], ",", 
        RowBox[{"Reverse", "@", 
         RowBox[{"{", 
          RowBox[{
          ".001", ",", ".01", ",", ".02", ",", ".05", ",", ".1", ",", ".2", 
           ",", ".5", ",", "1", ",", "2", ",", "\[ExponentialE]", ",", "3", 
           ",", "\[Pi]", ",", "4", ",", "5", ",", "8", ",", "10", ",", "16", 
           ",", "20", ",", "32", ",", "100", ",", "1000"}], "}"}]}]}], 
       "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Dynamic", "@", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<b \>\"", ",", 
         RowBox[{"bColor", "[", "b", "]"}]}], "]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Slider", "[", 
       RowBox[{
        RowBox[{"Dynamic", "[", 
         RowBox[{"b", ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"b", "=", 
             RowBox[{"Round", "[", 
              RowBox[{"#", ",", ".01"}], "]"}]}], ")"}], "&"}]}], "]"}], ",", 
        
        RowBox[{"{", 
         RowBox[{".01", ",", "100"}], "}"}], ",", 
        RowBox[{"Exclusions", "\[Rule]", 
         RowBox[{"{", "1.", "}"}]}]}], "]"}], ",", "\"\<  \>\"", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"Dynamic", "@", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Round", "[", 
              RowBox[{"b", ",", ".01"}], "]"}], ",", "Medium"}], "]"}]}], 
          "}"}], "}"}], ",", 
        RowBox[{"ItemSize", "\[Rule]", "7"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}]}], "]"}], ",", "\"\<  \>\"", 
      ",", "\[IndentingNewLine]", 
      RowBox[{"PopupMenu", "[", 
       RowBox[{
        RowBox[{"Dynamic", "@", "b"}], ",", 
        RowBox[{"Reverse", "@", 
         RowBox[{"{", 
          RowBox[{
          ".01", ",", ".1", ",", ".2", ",", ".5", ",", "2", ",", 
           "\[ExponentialE]", ",", "3", ",", "4", ",", "5", ",", "8", ",", 
           "10", ",", "12", ",", "16"}], "}"}]}]}], "]"}]}], "}"}], "]"}], 
   ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Bookmarks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(log\), \(2\)]\)(128)\>\"", "\[RuleDelayed]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"b", "=", "2"}], ",", 
         RowBox[{"x", "=", "128"}]}], "}"}]}], ",", 
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(log\), \(10\)]\)(1/2)\>\"", "\[RuleDelayed]", 
       
       RowBox[{"{", 
        RowBox[{
         RowBox[{"b", "=", "10"}], ",", 
         RowBox[{"x", "=", "0.5"}]}], "}"}]}], ",", 
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(log\), \(10\)]\)(0.01)\>\"", "\[RuleDelayed]",
        
       RowBox[{"{", 
        RowBox[{
         RowBox[{"b", "=", "10"}], ",", 
         RowBox[{"x", "=", "0.01"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
      "\"\<\!\(\*SuperscriptBox[\(2\), \(\[Pi]\)]\)\[TildeTilde]\
\[VeryThinSpace]8.825\>\"", "\[RuleDelayed]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"b", "=", "2"}], ",", 
         RowBox[{"x", "=", "8.82498"}]}], "}"}]}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "8"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "4"}], "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.424447669810945*^9, 3.4244481006447487`*^9, {3.4244484240807877`*^9, 
   3.42444847677839*^9}, {3.424448549200981*^9, 3.4244485956831083`*^9}, {
   3.424569969038701*^9, 3.4245699700522327`*^9}, {3.424742722719817*^9, 
   3.4247427496998997`*^9}, {3.424742884419385*^9, 3.42474294748109*^9}, {
   3.4247429905707083`*^9, 3.4247429930474243`*^9}, {3.424743056452409*^9, 
   3.424743109241357*^9}, {3.424743305659605*^9, 3.424743334710619*^9}, {
   3.424743402337714*^9, 3.4247434145770693`*^9}, {3.424743483387285*^9, 
   3.424743544138888*^9}, {3.42474362033412*^9, 3.4247436848845673`*^9}, {
   3.424743733235401*^9, 3.424743782966125*^9}, {3.424743850120277*^9, 
   3.424743855703409*^9}, {3.4247439315624447`*^9, 3.424743990376161*^9}, {
   3.424744041964644*^9, 3.4247441113452187`*^9}, 3.424744234048283*^9, {
   3.4247442649874477`*^9, 3.424744288935904*^9}, {3.424744328885953*^9, 
   3.4247443312261143`*^9}, {3.4247443619461317`*^9, 
   3.4247443906971416`*^9}, {3.4247444261473227`*^9, 3.424744542796092*^9}, {
   3.424744573545804*^9, 3.4247446626780033`*^9}, {3.424744755642828*^9, 
   3.424744801806966*^9}, 3.42474484877915*^9, 3.424744941537483*^9, {
   3.424745025049849*^9, 3.424745135348413*^9}, {3.42474519367688*^9, 
   3.424745257873736*^9}, {3.424745400693996*^9, 3.424745439559105*^9}, {
   3.424745478687931*^9, 3.4247455951924963`*^9}, {3.4247456324425087`*^9, 
   3.424745705285956*^9}, {3.424745822092493*^9, 3.424745830405411*^9}, {
   3.4247458844694757`*^9, 3.424745919873744*^9}, 3.424745973312438*^9, {
   3.424746009977065*^9, 3.4247460121545877`*^9}, {3.424746097025079*^9, 
   3.424746260833735*^9}, {3.42474631137018*^9, 3.424746377480823*^9}, {
   3.424746476660578*^9, 3.42474650600119*^9}, {3.4247465744329567`*^9, 
   3.424746608006398*^9}, {3.4247466548928556`*^9, 3.424746664289423*^9}, {
   3.4247467020608892`*^9, 3.424746705938142*^9}, {3.424746741295105*^9, 
   3.4247468259742727`*^9}, {3.424746860015839*^9, 3.424746903814576*^9}, {
   3.424746978591792*^9, 3.424746985936933*^9}, 3.424747095162571*^9, {
   3.424747163445754*^9, 3.424747207332625*^9}, {3.424747244458273*^9, 
   3.424747270151223*^9}, {3.424747301192218*^9, 3.4247473027376842`*^9}, {
   3.42474740650348*^9, 3.424747410322874*^9}, {3.424747483450324*^9, 
   3.42474749166926*^9}, {3.4247475583307657`*^9, 3.424747595365574*^9}, {
   3.424747642735289*^9, 3.4247479193630123`*^9}, {3.424747989199965*^9, 
   3.424748102481079*^9}, {3.424748193984768*^9, 3.424748196874606*^9}, {
   3.424748269727248*^9, 3.424748291858341*^9}, 3.424748328422945*^9, 
   3.424748362219005*^9, {3.424748416869019*^9, 3.424748418451003*^9}, 
   3.424748473508658*^9, {3.424748511097962*^9, 3.4247485382485723`*^9}, {
   3.42477949464712*^9, 3.424779495037019*^9}, {3.424779531876793*^9, 
   3.424779572872013*^9}, {3.424779731845093*^9, 3.42477978507021*^9}, {
   3.4247799342519073`*^9, 3.424779937831148*^9}, {3.424781986026013*^9, 
   3.424782096993911*^9}, {3.4247821356268883`*^9, 3.424782155223344*^9}, {
   3.424782410284912*^9, 3.424782560887704*^9}, {3.4247827845941973`*^9, 
   3.424782933882844*^9}, {3.424782996045095*^9, 3.424783002239547*^9}, {
   3.424783504083962*^9, 3.424783522523374*^9}, {3.424783572392621*^9, 
   3.424783594014329*^9}, {3.424783694577948*^9, 3.424783856282415*^9}, {
   3.424783986564352*^9, 3.4247839967912083`*^9}, {3.4247840606656523`*^9, 
   3.4247840727745113`*^9}, {3.424784105187887*^9, 3.424784119789823*^9}, {
   3.424784151269289*^9, 3.4247843630691433`*^9}, {3.424784417742096*^9, 
   3.4247844803659277`*^9}, {3.4247850727264214`*^9, 3.424785073142974*^9}, {
   3.424785389321412*^9, 3.42478540000039*^9}, {3.424785449423286*^9, 
   3.4247854770364447`*^9}, {3.4247855804526043`*^9, 3.424785713100903*^9}, {
   3.4247857535362997`*^9, 3.424785890653215*^9}, {3.42478597443913*^9, 
   3.424786034164442*^9}, {3.4248009036412687`*^9, 3.42480090402801*^9}, {
   3.4248010927606688`*^9, 3.424801180607407*^9}, {3.424801287200734*^9, 
   3.4248013048594923`*^9}, {3.4248016503621187`*^9, 3.424801683182784*^9}, 
   3.424801714818674*^9, {3.4248017867883587`*^9, 3.424801856737425*^9}, {
   3.424801890951796*^9, 3.4248019349617147`*^9}, {3.424802120527114*^9, 
   3.424802212719674*^9}, {3.424802271863575*^9, 3.424802329651342*^9}, {
   3.424802546779202*^9, 3.424802596904345*^9}, {3.4248026441334257`*^9, 
   3.424802687747747*^9}, {3.424802786431466*^9, 3.424802859438387*^9}, {
   3.424802947922205*^9, 3.42480304918557*^9}, {3.424803230696464*^9, 
   3.424803244181427*^9}, 3.424803345544921*^9, {3.424803377983925*^9, 
   3.424803427977624*^9}, {3.4248034950252037`*^9, 3.424803513387271*^9}, {
   3.424803565202237*^9, 3.4248035787066298`*^9}, {3.424803630749547*^9, 
   3.4248036361746893`*^9}, {3.424803906060286*^9, 3.4248039146783247`*^9}, {
   3.424803950651719*^9, 3.424803955242223*^9}, {3.424804046672933*^9, 
   3.4248040829597187`*^9}, {3.4248041794053*^9, 3.42480418187188*^9}, {
   3.424804273319685*^9, 3.424804283816044*^9}, {3.424804330910005*^9, 
   3.4248043370581217`*^9}, {3.4248043701397457`*^9, 3.424804385809483*^9}, {
   3.4248044466089*^9, 3.4248045269400663`*^9}, {3.4248046035320997`*^9, 
   3.424804620665719*^9}, {3.424804681391642*^9, 3.424804732757341*^9}, {
   3.424804971646138*^9, 3.424804978488019*^9}, {3.424805116267437*^9, 
   3.42480512369267*^9}, {3.424805205469029*^9, 3.424805219889113*^9}, {
   3.424805321071805*^9, 3.424805324913344*^9}, {3.4248054516757317`*^9, 
   3.424805456714991*^9}, {3.424808936512656*^9, 3.424808944418932*^9}, {
   3.424809065704705*^9, 3.424809069780004*^9}, {3.424809206662871*^9, 
   3.424809321135325*^9}, {3.4248093690789127`*^9, 3.424809376816502*^9}, {
   3.424809424989812*^9, 3.424809449611484*^9}, {3.424809511078045*^9, 
   3.424809513621415*^9}, {3.424809553258917*^9, 3.4248095692746572`*^9}, {
   3.424809673850075*^9, 3.424809710314543*^9}, {3.4248259952857103`*^9, 
   3.424825997417218*^9}, {3.424826093670063*^9, 3.424826114598971*^9}, {
   3.424826349991766*^9, 3.4248263506898603`*^9}, {3.424826437169093*^9, 
   3.424826484444827*^9}, {3.424826517558977*^9, 3.424826523976416*^9}, {
   3.4248265959480658`*^9, 3.4248266164517508`*^9}, {3.4248266467971354`*^9, 
   3.4248266535564127`*^9}, {3.424826720456504*^9, 3.42482684737383*^9}, {
   3.424826909184293*^9, 3.4248269443006163`*^9}, {3.424826982023539*^9, 
   3.424827033379875*^9}, {3.424827085845684*^9, 3.4248271074430304`*^9}, {
   3.424827232531698*^9, 3.424827292011078*^9}, {3.42482733928934*^9, 
   3.424827339780061*^9}, {3.424827420186696*^9, 3.4248274624625063`*^9}, {
   3.424827510870541*^9, 3.424827542621516*^9}, {3.424827639507023*^9, 
   3.4248276910577106`*^9}, {3.4248278277331038`*^9, 
   3.4248278291377573`*^9}, {3.424827868055356*^9, 3.424827870885933*^9}, {
   3.42482790204769*^9, 3.4248279654474363`*^9}, {3.424828043004119*^9, 
   3.424828050953713*^9}, 3.42482810138111*^9, {3.42482825616982*^9, 
   3.424828284866323*^9}, {3.425091509218906*^9, 3.4250915196436167`*^9}, {
   3.425092139641046*^9, 3.4250921731015453`*^9}, {3.425092203898199*^9, 
   3.425092287821598*^9}, {3.425175351850205*^9, 3.425175355105959*^9}, {
   3.425175432706664*^9, 3.4251754902786617`*^9}, {3.425175617477261*^9, 
   3.425175654085217*^9}, 3.4251757118743973`*^9, {3.425175776726036*^9, 
   3.425175777762246*^9}, {3.425175848125996*^9, 3.4251758569725018`*^9}, {
   3.425175959951724*^9, 3.42517597714645*^9}, {3.4251760172164307`*^9, 
   3.425176053627391*^9}, {3.425176138161433*^9, 3.425176187799424*^9}, {
   3.425176223068675*^9, 3.425176225508141*^9}, {3.425176256438159*^9, 
   3.425176267649786*^9}, {3.4251763262746162`*^9, 3.425176332768654*^9}, {
   3.425176406985675*^9, 3.425176498513666*^9}, {3.425176532914648*^9, 
   3.425176541104624*^9}, {3.425176571660828*^9, 3.425176571757844*^9}, {
   3.425176670904189*^9, 3.425176690271056*^9}, {3.425176789120007*^9, 
   3.425176823697682*^9}, {3.4251768591190853`*^9, 3.4251769356784773`*^9}, {
   3.425177005248619*^9, 3.425177035680565*^9}, {3.425177123631648*^9, 
   3.425177149384112*^9}, {3.425177202657756*^9, 3.42517721809758*^9}, {
   3.425177251028754*^9, 3.4251772548944283`*^9}, {3.4251773368546343`*^9, 
   3.425177337240844*^9}, {3.425177382758844*^9, 3.425177383924473*^9}, {
   3.42517744154461*^9, 3.4251774915566883`*^9}, {3.425177535442053*^9, 
   3.4251775998391733`*^9}, {3.425177673111433*^9, 3.4251777486631517`*^9}, {
   3.425177809355742*^9, 3.425177833415125*^9}, {3.425177883882777*^9, 
   3.4251779057762337`*^9}, {3.425177978684106*^9, 3.425178012330434*^9}, {
   3.425178056392673*^9, 3.4251780883397427`*^9}, {3.425178156416925*^9, 
   3.425178156901547*^9}, {3.4251782046467667`*^9, 3.425178218461028*^9}, {
   3.425178281434414*^9, 3.425178315069529*^9}, {3.4251783799784327`*^9, 
   3.4251783801505747`*^9}, {3.425178462185008*^9, 3.4251785252506037`*^9}, 
   3.425178589342444*^9, {3.425178625434331*^9, 3.4251787036319637`*^9}, {
   3.4251787596920023`*^9, 3.425178769617634*^9}, {3.425178806042507*^9, 
   3.425178993775443*^9}, {3.425179073670134*^9, 3.425179079182435*^9}, {
   3.425179120461508*^9, 3.425179122993855*^9}, 3.4251791572230873`*^9, {
   3.425179199196136*^9, 3.425179217987267*^9}, {3.425179278033078*^9, 
   3.4251793052566347`*^9}, {3.425179348030315*^9, 3.4251793546389933`*^9}, {
   3.4251793976034317`*^9, 3.425179413982542*^9}, {3.425179552347343*^9, 
   3.425179557277508*^9}, {3.4251798671855173`*^9, 3.425179956926111*^9}, {
   3.425179997882205*^9, 3.4251800527299833`*^9}, {3.425180088587452*^9, 
   3.4251801627095346`*^9}, {3.425180233768919*^9, 3.4251802360152493`*^9}, {
   3.425180344487831*^9, 3.4251803855052137`*^9}, {3.425180532483704*^9, 
   3.4251805638643103`*^9}, {3.425180594519351*^9, 3.425180640603428*^9}, {
   3.4251807538404016`*^9, 3.425180755623363*^9}, {3.4251807989323*^9, 
   3.4251808013545523`*^9}, {3.4251809935903063`*^9, 3.425181042599334*^9}, {
   3.425181114578417*^9, 3.4251811173878517`*^9}, {3.425181209111806*^9, 
   3.425181249070878*^9}, {3.425181280610093*^9, 3.425181358979453*^9}, {
   3.42518157313341*^9, 3.425181580190341*^9}, {3.425181629083206*^9, 
   3.425181635734858*^9}, {3.42518170734793*^9, 3.425181751600399*^9}, {
   3.425181831652419*^9, 3.425181873905818*^9}, {3.4251820019390383`*^9, 
   3.4251820475138693`*^9}, 3.425182088901936*^9, {3.4251821478144903`*^9, 
   3.425182174119089*^9}, {3.4251822195520763`*^9, 3.425182223260943*^9}, {
   3.42518227131006*^9, 3.425182307220211*^9}, {3.425182339549201*^9, 
   3.425182362286057*^9}, {3.425182392787105*^9, 3.4251823995729733`*^9}, {
   3.425182467828754*^9, 3.4251824859890013`*^9}, 3.4251825177088203`*^9, {
   3.4251825525702553`*^9, 3.4251825569795427`*^9}, {3.425182676770638*^9, 
   3.4251826835751343`*^9}, {3.425182720188538*^9, 3.425182724197834*^9}, {
   3.425182759312586*^9, 3.425182827478795*^9}, {3.4252013642766323`*^9, 
   3.425201446823188*^9}, {3.425201485558457*^9, 3.425201488538661*^9}, 
   3.425201760194696*^9, {3.425201970251906*^9, 3.4252019945604467`*^9}, {
   3.42520217112669*^9, 3.42520217335635*^9}, {3.425202297542878*^9, 
   3.42520230237573*^9}, {3.425205589551777*^9, 3.4252056310356627`*^9}, {
   3.4252056859005337`*^9, 3.425205701570547*^9}, 3.425205924515643*^9, 
   3.425216059373437*^9, 3.425216117531117*^9, {3.4252162279680443`*^9, 
   3.425216250818283*^9}, {3.425223332801815*^9, 3.425223344852479*^9}, {
   3.425223577355249*^9, 3.425223598450322*^9}, {3.42522363827808*^9, 
   3.425223642781044*^9}, {3.4252236948931503`*^9, 3.425223836148385*^9}, {
   3.425224181832591*^9, 3.4252242350287447`*^9}, {3.425224310943129*^9, 
   3.42522433806001*^9}, {3.4252444780436*^9, 3.425244579126376*^9}, {
   3.425244645809635*^9, 3.425244730803461*^9}, 3.4253003716330767`*^9, {
   3.425300541529467*^9, 3.425300545965591*^9}, 3.425300581932294*^9, {
   3.425300628074177*^9, 3.425300642429036*^9}, 3.425300695459745*^9, {
   3.425300726371003*^9, 3.425300730619576*^9}, {3.425300763640019*^9, 
   3.425300784564975*^9}, {3.425389897290405*^9, 3.4253900781264863`*^9}, {
   3.425390129827656*^9, 3.425390131125786*^9}, {3.425404797546096*^9, 
   3.425404806875952*^9}, {3.425405083334273*^9, 3.425405083943726*^9}, {
   3.425467684390793*^9, 3.425467689150124*^9}, {3.425467998993555*^9, 
   3.425468018702414*^9}, {3.4254689775788*^9, 3.4254689808663473`*^9}, {
   3.4254691635338297`*^9, 3.425469167116662*^9}, {3.425469449094926*^9, 
   3.425469452608128*^9}, {3.4254695224388638`*^9, 3.4254695789168453`*^9}, {
   3.42546961755952*^9, 3.425469635839465*^9}, {3.425469830980147*^9, 
   3.425469868699396*^9}, {3.425470041820668*^9, 3.425470080232122*^9}, {
   3.425470310845394*^9, 3.4254703190463552`*^9}, {3.425470355921424*^9, 
   3.425470416693787*^9}, {3.4254704503428583`*^9, 3.425470500719269*^9}, {
   3.425470535230185*^9, 3.425470557017411*^9}, {3.425470592376336*^9, 
   3.425470607207543*^9}, {3.425471038558114*^9, 3.425471063565727*^9}, {
   3.425471125901568*^9, 3.4254711548535624`*^9}, 3.425471347398322*^9, 
   3.425472926347166*^9, {3.425472962840252*^9, 3.425473008496307*^9}, {
   3.4254733708247766`*^9, 3.4254733720756197`*^9}, {3.4254734214003353`*^9, 
   3.425473424169723*^9}, {3.4254734632572117`*^9, 3.425473466003098*^9}, {
   3.425473502027862*^9, 3.425473523784966*^9}, {3.425473588030036*^9, 
   3.425473620978526*^9}, {3.4254742762592087`*^9, 3.4254742764157867`*^9}, {
   3.425484941374593*^9, 3.425484998970909*^9}, {3.425485096418357*^9, 
   3.425485113073111*^9}, {3.425485198994369*^9, 3.425485201999833*^9}, 
   3.425485488974935*^9, {3.425485654494011*^9, 3.425485738550702*^9}, 
   3.425485798387871*^9, {3.425485859406509*^9, 3.42548587330285*^9}, {
   3.425485908032113*^9, 3.4254859082675457`*^9}, {3.425485947101149*^9, 
   3.425485980776359*^9}, {3.425486703297653*^9, 3.4254867183832607`*^9}, {
   3.42559564147857*^9, 3.425595674392105*^9}, {3.425649521392082*^9, 
   3.425649521726115*^9}, {3.4256495573136735`*^9, 3.4256495695869007`*^9}, {
   3.425737893430398*^9, 3.4257379292919836`*^9}, {3.4257381485339055`*^9, 
   3.4257381500240545`*^9}, {3.4257382034163933`*^9, 
   3.4257382656616173`*^9}, {3.425997751114767*^9, 3.425997791009322*^9}, {
   3.4259978524384212`*^9, 3.4259978566268806`*^9}, {3.425997914884077*^9, 
   3.425997943394226*^9}, {3.425997978872601*^9, 3.425997983230267*^9}, {
   3.425999841770927*^9, 3.425999859588646*^9}, {3.4259998924786377`*^9, 
   3.425999973515192*^9}, {3.4260000521964827`*^9, 3.4260000828798532`*^9}, {
   3.426000132835999*^9, 3.42600013601572*^9}, {3.426000258292322*^9, 
   3.4260002948736553`*^9}, 3.4260005256097107`*^9, {3.426271575263858*^9, 
   3.4262715887839127`*^9}, {3.426435553464918*^9, 3.4264355989364643`*^9}, {
   3.426509769999916*^9, 3.426509781183034*^9}},
 CellID->333452540]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`b$$ = 2, $CellContext`x$$ = 0.1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {
    "\"\\!\\(\\*SubscriptBox[\\(log\\), \\(2\\)]\\)(128)\"" :> \
{$CellContext`b$$ = 2, $CellContext`x$$ = 128}, 
     "\"\\!\\(\\*SubscriptBox[\\(log\\), \\(10\\)]\\)(1/2)\"" :> \
{$CellContext`b$$ = 10, $CellContext`x$$ = 0.5}, 
     "\"\\!\\(\\*SubscriptBox[\\(log\\), \\(10\\)]\\)(0.01)\"" :> \
{$CellContext`b$$ = 10, $CellContext`x$$ = 0.01}, 
     "\"\\!\\(\\*SuperscriptBox[\\(2\\), \\(\[Pi]\\)]\\)\[TildeTilde]\
\[VeryThinSpace]8.825\"" :> {$CellContext`b$$ = 2, $CellContext`x$$ = 
       8.82498}}, Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, 
    Typeset`animvar$$ = 1, Typeset`name$$ = "\"untitled\"", 
    Typeset`specs$$ = {{{
       Hold[$CellContext`x$$], 0.1}, 0.0005, 2000}, {{
       Hold[$CellContext`b$$], 2}, 0.01, 100}, {
      Hold[
       Row[{
         Style["x ", 
          GrayLevel[0]], 
         Slider[
          
          Dynamic[$CellContext`q 
           Log[$CellContext`x$$/0.0005], ($CellContext`x$$ = 
           0.0005 E^(#/$CellContext`q))& ]], "  ", 
         Grid[{{
            Dynamic[
             Style[
              Round[$CellContext`x$$, 0.0001], Medium]]}}, ItemSize -> 7, 
          Alignment -> Left], "  ", 
         PopupMenu[
          Dynamic[$CellContext`x$$], {
          1000, 100, 32, 20, 16, 10, 8, 5, 4, Pi, 3, E, 2, 1, 0.5, 0.2, 0.1, 
           0.05, 0.02, 0.01, 0.001}]}]], Manipulate`Dump`ThisIsNotAControl}, {
     
      Hold[
       Row[{
         Dynamic[
          Style["b ", 
           $CellContext`bColor[$CellContext`b$$]]], 
         Slider[
          Dynamic[$CellContext`b$$, ($CellContext`b$$ = Round[#, 0.01])& ], {
          0.01, 100}, Exclusions -> {1.}], "  ", 
         Grid[{{
            Dynamic[
             Style[
              Round[$CellContext`b$$, 0.01], Medium]]}}, ItemSize -> 7, 
          Alignment -> Left], "  ", 
         PopupMenu[
          Dynamic[$CellContext`b$$], {
          16, 12, 10, 8, 5, 4, 3, E, 2, 0.5, 0.2, 0.1, 0.01}]}]], 
      Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    600., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`x$71431$$ = 
    0, $CellContext`b$71432$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`b$$ = 2, $CellContext`x$$ = 0.1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$71431$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$71432$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{
         Style[$CellContext`logticks, 
          Thickness[0.002], Black], {Thick, 
          Line[{{0, -0.7}, {0, 0.7}}]}, 
         Text[
          Style["x", $CellContext`xColor, Italic], {
           Log[$CellContext`x$$], -2}, {1, 0}], 
         Line[{{
            Log[$CellContext`x$$], -1.5}, {
            Log[$CellContext`x$$], 0.25}}], {
          $CellContext`bColor[$CellContext`b$$], 
          Thickness[0.002], 
          Text[
           Style["b", Italic], {
            Log[$CellContext`b$$], -2.5}], 
          Line[{{
             Log[$CellContext`b$$], -1.5}, {
             Log[$CellContext`b$$], 0.25}}], 
          Rectangle[{0, 0.15}, {
            Log[$CellContext`b$$], 0.3}], 
          Table[
           
           Line[{{$CellContext`t, 0}, {$CellContext`t, 
              0.25}}], {$CellContext`t, 0, $CellContext`tmax, 
            Abs[
             Log[$CellContext`b$$]]}], 
          Table[
           
           Line[{{$CellContext`t, 0}, {$CellContext`t, 
              0.25}}], {$CellContext`t, 0, $CellContext`tmin, -Abs[
              Log[$CellContext`b$$]]}]}, 
         Style[
          Rectangle[{0, 0.3}, {
            Log[$CellContext`x$$], 0.45}], 
          $CellContext`xExtentColor[$CellContext`x$$]]}, 
        PlotRange -> {{1.1 $CellContext`tmin, 1.1 $CellContext`tmax}, {-5, 
          5}}, ImageSize -> {600, 400}, PlotLabel -> Style[
          Row[{
            Subscript["log", 
             Style[
              NumberForm[
               N[$CellContext`b$$], {5, 2}, NumberPadding -> {"", "0"}], 
              $CellContext`bColor[$CellContext`b$$], 12]], "(", 
            Style[$CellContext`x$$, 
             $CellContext`xExtentColor[$CellContext`x$$]], ") ", "= ", 
            Style[
             N[
              
              Log[$CellContext`b$$, $CellContext`x$$]], \
$CellContext`tColor]}], 14]], 
      "Specifications" :> {{{$CellContext`x$$, 0.1}, 0.0005, 2000, 
         ControlType -> None}, {{$CellContext`b$$, 2}, 0.01, 100, ControlType -> 
         None}, 
        Row[{
          Style["x ", 
           GrayLevel[0]], 
          Slider[
           
           Dynamic[$CellContext`q 
            Log[$CellContext`x$$/0.0005], ($CellContext`x$$ = 
            0.0005 E^(#/$CellContext`q))& ]], "  ", 
          Grid[{{
             Dynamic[
              Style[
               Round[$CellContext`x$$, 0.0001], Medium]]}}, ItemSize -> 7, 
           Alignment -> Left], "  ", 
          PopupMenu[
           Dynamic[$CellContext`x$$], {
           1000, 100, 32, 20, 16, 10, 8, 5, 4, Pi, 3, E, 2, 1, 0.5, 0.2, 0.1, 
            0.05, 0.02, 0.01, 0.001}]}], 
        Row[{
          Dynamic[
           Style["b ", 
            $CellContext`bColor[$CellContext`b$$]]], 
          Slider[
           Dynamic[$CellContext`b$$, ($CellContext`b$$ = Round[#, 0.01])& ], {
           0.01, 100}, Exclusions -> {1.}], "  ", 
          Grid[{{
             Dynamic[
              Style[
               Round[$CellContext`b$$, 0.01], Medium]]}}, ItemSize -> 7, 
           Alignment -> Left], "  ", 
          PopupMenu[
           Dynamic[$CellContext`b$$], {
           16, 12, 10, 8, 5, 4, 3, E, 2, 0.5, 0.2, 0.1, 0.01}]}]}, 
      "Options" :> {AutorunSequencing -> {{1, 8}, {2, 4}}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{644., {256., 261.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`logticks = {
          Line[{{-7.600902459542082, 0}, {
             Log[2000], 0}}], {{
            
            Line[{{-6.907755278982137, -0.5928703918442825}, \
{-6.907755278982137, 0}}], 
            Text[
             Style[0.001, FontSize -> 14], {-6.907755278982137, -1}]}, {
            
            Line[{{-4.605170185988091, -0.5928703918442825}, \
{-4.605170185988091, 0}}], 
            Text[
             Style[0.01, FontSize -> 14], {-4.605170185988091, -1}]}, {
            Line[{{0, -0.5928703918442825}, {0, 0}}], 
            Text[
             Style[1, FontSize -> 14], {0, -1}]}, {
            
            Line[{{-2.3025850929940455`, -0.5928703918442825}, \
{-2.3025850929940455`, 0}}], 
            Text[
             Style[0.1, FontSize -> 14], {-2.3025850929940455`, -1}]}, {
            Line[{{
               Log[10], -0.5928703918442825}, {
               Log[10], 0}}], 
            Text[
             Style[10, FontSize -> 14], {
              Log[10], -1}]}, {
            Line[{{
               Log[100], -0.5928703918442825}, {
               Log[100], 0}}], 
            Text[
             Style[100, FontSize -> 14], {
              Log[100], -1}]}, {
            Line[{{
               Log[1000], -0.5928703918442825}, {
               Log[1000], 0}}], 
            Text[
             Style[1000, FontSize -> 14], {
              Log[1000], -1}]}}, {{
            
            Line[{{-1.6094379124341003`, -0.38764602543664617`}, \
{-1.6094379124341003`, 0}}], 
            Text[
             Style[0.2, FontSize -> 14], {-1.6094379124341003`, -1}]}, {
            
            Line[{{-0.6931471805599453, -0.38764602543664617`}, \
{-0.6931471805599453, 0}}], 
            Text[
             Style[0.5, FontSize -> 14], {-0.6931471805599453, -1}]}, {
            Line[{{
               Log[2], -0.38764602543664617`}, {
               Log[2], 0}}], 
            Text[
             Style[2, FontSize -> 14], {
              Log[2], -1}]}, {
            Line[{{
               Log[5], -0.38764602543664617`}, {
               Log[5], 0}}], 
            Text[
             Style[5, FontSize -> 14], {
              Log[5], -1}]}, {
            Line[{{
               Log[20], -0.38764602543664617`}, {
               Log[20], 0}}], 
            Text[
             Style[20, FontSize -> 14], {
              Log[20], -1}]}, {
            Line[{{
               Log[50], -0.38764602543664617`}, {
               Log[50], 0}}], 
            Text[
             Style[50, FontSize -> 14], {
              Log[50], -1}]}}, {
           
           Line[{{-7.600902459542082, -0.38764602543664617`}, \
{-7.600902459542082, 0}}], 
           
           Line[{{-6.214608098422191, -0.38764602543664617`}, \
{-6.214608098422191, 0}}], 
           
           Line[{{-5.298317366548036, -0.38764602543664617`}, \
{-5.298317366548036, 0}}], 
           
           Line[{{-3.912023005428146, -0.38764602543664617`}, \
{-3.912023005428146, 0}}], 
           
           Line[{{-2.995732273553991, -0.38764602543664617`}, \
{-2.995732273553991, 0}}], 
           Line[{{
              Log[200], -0.38764602543664617`}, {
              Log[200], 0}}], 
           Line[{{
              Log[500], -0.38764602543664617`}, {
              Log[500], 0}}]}, {
           
           Line[{{-5.809142990314028, -0.22802707378626247`}, \
{-5.809142990314028, 0}}], 
           
           Line[{{-5.521460917862246, -0.22802707378626247`}, \
{-5.521460917862246, 0}}], 
           
           Line[{{-5.115995809754082, -0.22802707378626247`}, \
{-5.115995809754082, 0}}], 
           
           Line[{{-4.961845129926823, -0.22802707378626247`}, \
{-4.961845129926823, 0}}], 
           
           Line[{{-4.8283137373023015`, -0.22802707378626247`}, \
{-4.8283137373023015`, 0}}], 
           
           Line[{{-4.710530701645918, -0.22802707378626247`}, \
{-4.710530701645918, 0}}], 
           
           Line[{{-3.506557897319982, -0.22802707378626247`}, \
{-3.506557897319982, 0}}], 
           
           Line[{{-3.2188758248682006`, -0.22802707378626247`}, \
{-3.2188758248682006`, 0}}], 
           
           Line[{{-2.8134107167600364`, -0.22802707378626247`}, \
{-2.8134107167600364`, 0}}], 
           
           Line[{{-2.659260036932778, -0.22802707378626247`}, \
{-2.659260036932778, 0}}], 
           
           Line[{{-2.5257286443082556`, -0.22802707378626247`}, \
{-2.5257286443082556`, 0}}], 
           
           Line[{{-2.4079456086518722`, -0.22802707378626247`}, \
{-2.4079456086518722`, 0}}], 
           
           Line[{{-1.2039728043259361`, -0.22802707378626247`}, \
{-1.2039728043259361`, 0}}], 
           
           Line[{{-0.916290731874155, -0.22802707378626247`}, \
{-0.916290731874155, 0}}], 
           
           Line[{{-0.5108256237659907, -0.22802707378626247`}, \
{-0.5108256237659907, 0}}], 
           
           Line[{{-0.35667494393873245`, -0.22802707378626247`}, \
{-0.35667494393873245`, 0}}], 
           
           Line[{{-0.2231435513142097, -0.22802707378626247`}, \
{-0.2231435513142097, 0}}], 
           
           Line[{{-0.10536051565782628`, -0.22802707378626247`}, \
{-0.10536051565782628`, 0}}], 
           Line[{{
              Log[3], -0.22802707378626247`}, {
              Log[3], 0}}], 
           Line[{{
              Log[4], -0.22802707378626247`}, {
              Log[4], 0}}], 
           Line[{{
              Log[6], -0.22802707378626247`}, {
              Log[6], 0}}], 
           Line[{{
              Log[7], -0.22802707378626247`}, {
              Log[7], 0}}], 
           Line[{{
              Log[8], -0.22802707378626247`}, {
              Log[8], 0}}], 
           Line[{{
              Log[9], -0.22802707378626247`}, {
              Log[9], 0}}], 
           Line[{{
              Log[30], -0.22802707378626247`}, {
              Log[30], 0}}], 
           Line[{{
              Log[40], -0.22802707378626247`}, {
              Log[40], 0}}], 
           Line[{{
              Log[60], -0.22802707378626247`}, {
              Log[60], 0}}], 
           Line[{{
              Log[70], -0.22802707378626247`}, {
              Log[70], 0}}], 
           Line[{{
              Log[80], -0.22802707378626247`}, {
              Log[80], 0}}], 
           Line[{{
              Log[90], -0.22802707378626247`}, {
              Log[90], 0}}], 
           Line[{{
              Log[300], -0.22802707378626247`}, {
              Log[300], 0}}], 
           Line[{{
              Log[400], -0.22802707378626247`}, {
              Log[400], 0}}], 
           Line[{{
              Log[600], -0.22802707378626247`}, {
              Log[600], 0}}], 
           Line[{{
              Log[700], -0.22802707378626247`}, {
              Log[700], 0}}], 
           Line[{{
              Log[800], -0.22802707378626247`}, {
              Log[800], 0}}], 
           Line[{{
              Log[900], -0.22802707378626247`}, {
              Log[900], 0}}], 
           Line[{{
              Log[2000], -0.22802707378626247`}, {
              Log[2000], 0}}]}}, $CellContext`xColor = 
        GrayLevel[0], $CellContext`bColor[
          Pattern[$CellContext`b, 
           Blank[]]] := 
        If[$CellContext`b > 1, Blue, Blue, Gray], $CellContext`t = 
        0.0004999999999999947, $CellContext`tmax = 
        Log[2000], $CellContext`tmin = -7.600902459542082, \
$CellContext`xExtentColor[
          Pattern[$CellContext`x, 
           Blank[]]] := If[$CellContext`x > 1, Black, Red, Gray], 
        Attributes[PlotRange] = {ReadProtected}, 
        Attributes[Subscript] = {NHoldRest}, $CellContext`tColor = 
        GrayLevel[0], $CellContext`q = 0.06578166246197595}; 
      Typeset`initDone$$ = True); ReleaseHold[{{
         HoldComplete[$CellContext`tickMark[
             Pattern[$CellContext`x, 
              Blank[]], {
              Pattern[$CellContext`below, 
               Blank[]], 
              Pattern[$CellContext`above, 
               Blank[]]}, 
             Optional[
              Pattern[$CellContext`label, 
               Blank[]], ""], 
             Optional[
              Pattern[$CellContext`size, 
               Blank[]], Medium], 
             Optional[
              Pattern[$CellContext`verticalPosition, 
               Blank[]], -0.4]] := 
           With[{$CellContext`t = Log[$CellContext`x]}, 
             If[$CellContext`label == "", 
              
              Line[{{$CellContext`t, -$CellContext`below}, {$CellContext`t, \
$CellContext`above}}], {
               
               Line[{{$CellContext`t, -$CellContext`below}, {$CellContext`t, \
$CellContext`above}}], 
               Text[
                
                Style[$CellContext`label, 
                 FontSize -> $CellContext`size], {$CellContext`t, \
$CellContext`verticalPosition}]}, {
               
               Line[{{$CellContext`t, -$CellContext`below}, {$CellContext`t, \
$CellContext`above}}], 
               Text[
                
                Style[$CellContext`label, 
                 FontSize -> $CellContext`size], {$CellContext`t, \
$CellContext`verticalPosition}]}]]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`tickSet[{
              Pattern[$CellContext`a, 
               Blank[]], 
              Pattern[$CellContext`b, 
               Blank[]]}, 
             Pattern[$CellContext`config, 
              Blank[]]] := 
           Module[{$CellContext`\[Lambda] = 
              Log[#]& , $CellContext`s}, $CellContext`s = 
              0.03 ($CellContext`\[Lambda][$CellContext`b] - $CellContext`\
\[Lambda][$CellContext`a]); {
               Line[{{
                  $CellContext`\[Lambda][$CellContext`a], 0}, {
                  $CellContext`\[Lambda][$CellContext`b], 0}}], 
               Map[$CellContext`tickMark[
                 ToExpression[#], {1.3 $CellContext`s, 0}, #, 14, -1]& , 
                Part[$CellContext`config, 1]], 
               Map[$CellContext`tickMark[
                 ToExpression[#], {0.85 $CellContext`s, 0}, #, 14, -1]& , 
                Part[$CellContext`config, 2]], 
               Map[$CellContext`tickMark[#, {0.85 $CellContext`s, 0}]& , 
                Part[$CellContext`config, 3]], 
               Map[$CellContext`tickMark[#, {0.5 $CellContext`s, 0}]& , 
                Part[$CellContext`config, 4]]}]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`fig = {{
             0.001, 0.01, 1, 0.1, 10, 100, 1000}, {0.2, 0.5, 2, 5, 20, 50}, {
             0.0005, 0.002, 0.005, 0.02, 0.05, 200, 500}, {
             0.003, 0.004, 0.006, 0.007, 0.008, 0.009, 0.03, 0.04, 0.06, 0.07,
               0.08, 0.09, 0.3, 0.4, 0.6, 0.7, 0.8, 0.9, 3, 4, 6, 7, 8, 9, 30,
               40, 60, 70, 80, 90, 300, 400, 600, 700, 800, 900, 2000}}; 
          Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`logticks = $CellContext`tickSet[{
             0.0005, 2000}, $CellContext`fig]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`xmin = 0.0005; $CellContext`xmax = 
           2000; $CellContext`tmin = 
           Log[$CellContext`xmin]; $CellContext`tmax = Log[$CellContext`xmax]; 
          Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`bColor[
             Pattern[$CellContext`b, 
              Blank[]]] := If[$CellContext`b > 1, Blue, Blue, Gray]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`tColor = Black; $CellContext`xColor = 
           Black; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`xExtentColor[
             Pattern[$CellContext`x, 
              Blank[]]] := If[$CellContext`x > 1, Black, Red, Gray]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`q = 
           1/Log[$CellContext`xmax/$CellContext`xmin]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`logSlider[
             Dynamic[
              Pattern[$CellContext`x, 
               Blank[]]], {
              Pattern[$CellContext`xmin, 
               Blank[]], 
              Pattern[$CellContext`xmax, 
               Blank[]]}] := Slider[
             
             Dynamic[$CellContext`q 
              Log[$CellContext`x/$CellContext`xmin], ($CellContext`x = \
$CellContext`xmin E^(#/$CellContext`q))& ]]; Null]}}]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->522235521],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Geometry of Logarithms",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/GeometryOfLogarithms/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/GeometryOfLogarithms/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/GeometryOfLogarithms/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/GeometryOfLogarithms/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/GeometryOfLogarithms/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Gerry Harnett",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Gerry+Harnett"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Gerry+Harnett"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
GeometryOfLogarithms"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Geometry of Logarithms - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 214, 4, 70, "Section"],
Cell[807, 29, 9905, 259, 70, "Input",
 CellID->370448438],
Cell[10715, 290, 26058, 504, 70, "Input",
 CellID->333452540]
}, Open  ]],
Cell[36788, 797, 19016, 488, 70, "Output",
 CellID->522235521],
Cell[CellGroupData[{
Cell[55829, 1289, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[56205, 1300, 899, 24, 70, "Text"],
Cell[57107, 1326, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[57447, 1337, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[57908, 1355, 829, 24, 70, "Text"],
Cell[58740, 1381, 1196, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 9S4NaU6R@qR#uATQnG0NOsDA *)
