(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     24668,        616]
NotebookOptionsPosition[     23513,        573]
NotebookOutlinePosition[     24134,        597]
CellTagsIndexPosition[     24091,        594]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Multiplication by Adding Logs", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"multiplyusinglogs", "[", 
   RowBox[{"x1_", ",", "x2_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Column", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"ToString", "[", "x1", "]"}], "<>", "\"\< \[Times] \>\"", "<>",
        
       RowBox[{"ToString", "[", "x2", "]"}], "<>", "\"\< = \>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"x1", " ", "x2"}], "]"}]}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Plot", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Log", "[", "x", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", 
          RowBox[{
           RowBox[{"Max", "[", 
            RowBox[{"x1", ",", "x2", ",", 
             RowBox[{"x1", " ", "x2"}]}], "]"}], "+", "1"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{
              RowBox[{"Max", "[", 
               RowBox[{"x1", ",", "x2", ",", 
                RowBox[{"x1", " ", "x2"}]}], "]"}], "+", "1"}]}], "}"}], ",", 
           
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"ImagePadding", "\[Rule]", 
         RowBox[{"30", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "1"}], "}"}]}], "}"}]}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Epilog", "\[Rule]", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"RGBColor", "[", 
              RowBox[{".67", ",", ".75", ",", ".15"}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Arrowheads", "[", ".02", "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x1", ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x1", ",", 
                  RowBox[{"Log", "[", "x1", "]"}]}], "}"}]}], "}"}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x2", ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x2", ",", 
                  RowBox[{"Log", "[", "x2", "]"}]}], "}"}]}], "}"}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Arrow", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x1", ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x2", ",", 
                  RowBox[{"Log", "[", "x2", "]"}]}], "}"}]}], "}"}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x2", ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x2", ",", 
                  RowBox[{"Log", "[", 
                   RowBox[{"x1", " ", "x2"}], "]"}]}], "}"}]}], "}"}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Arrow", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x1", ",", 
                  RowBox[{"Log", "[", "x1", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x2", ",", 
                  RowBox[{"Log", "[", 
                   RowBox[{"x1", " ", "x2"}], "]"}]}], "}"}]}], "}"}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x2", ",", 
                  RowBox[{"Log", "[", 
                   RowBox[{"x1", " ", "x2"}], "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"x1", " ", "x2"}], ",", 
                  RowBox[{"Log", "[", 
                   RowBox[{"x1", " ", "x2"}], "]"}]}], "}"}]}], "}"}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"x1", " ", "x2"}], ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"x1", " ", "x2"}], ",", 
                  RowBox[{"Log", "[", 
                   RowBox[{"x1", " ", "x2"}], "]"}]}], "}"}]}], "}"}], 
              "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"RGBColor", "[", 
              RowBox[{".67", ",", ".75", ",", ".15"}], "]"}], ",", 
             RowBox[{"PointSize", "[", ".01", "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{"x1", ",", 
                RowBox[{"Log", "[", "x1", "]"}]}], "}"}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"x1", " ", "x2"}], ",", 
                RowBox[{"Log", "[", 
                 RowBox[{"x1", " ", "x2"}], "]"}]}], "}"}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"RGBColor", "[", 
              RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
             RowBox[{"PointSize", "[", ".02", "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{"x1", ",", "0"}], "}"}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{"x2", ",", "0"}], "}"}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"RGBColor", "[", 
              RowBox[{".33", ",", ".26", ",", ".78"}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"x1", " ", "x2"}], ",", "0"}], "}"}], "]"}]}], 
            "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "}"}]}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"ImageSize", "\[Rule]", "500"}]}], "\[IndentingNewLine]", 
       "]"}]}], "}"}], ",", "\[IndentingNewLine]", "Center"}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.36517603783138*^9, 3.36517613937757*^9}, {
   3.3651777499372*^9, 3.36517775549639*^9}, {3.36517801804316*^9, 
   3.36517804249935*^9}, 3.36517811767771*^9, {3.365178340276*^9, 
   3.36517834041663*^9}, {3.36517870150126*^9, 3.36517872161282*^9}, {
   3.3651787558353*^9, 3.36517875666351*^9}, {3.3651789268539*^9, 
   3.36517893871458*^9}, {3.36517911012824*^9, 3.36517911134715*^9}, {
   3.36517917002691*^9, 3.36517918312242*^9}, {3.36517923886429*^9, 
   3.3651792502566*^9}, {3.36517981387573*^9, 3.36517982103686*^9}, {
   3.36517996137325*^9, 3.36518010605036*^9}, {3.36518018583515*^9, 
   3.36518020228208*^9}, {3.36518034783899*^9, 3.3651803511159*^9}, {
   3.36518039228043*^9, 3.3651804618328*^9}, {3.36518051769942*^9, 
   3.36518052774917*^9}, {3.3651806990478*^9, 3.36518070051473*^9}, {
   3.36518076281228*^9, 3.36518076299955*^9}, {3.3651808698667*^9, 
   3.36518089694242*^9}, {3.36518092807559*^9, 3.36518093425541*^9}, {
   3.36518099794194*^9, 3.36518102320757*^9}, {3.36518110337405*^9, 
   3.36518110765001*^9}, {3.36518116512581*^9, 3.36518128006179*^9}, {
   3.36518160277084*^9, 3.36518162798483*^9}, {3.36518167192426*^9, 
   3.36518167296369*^9}, {3.36518187547131*^9, 3.36518188493515*^9}, {
   3.36518191594768*^9, 3.36518192244525*^9}, {3.36518197932248*^9, 
   3.36518199190955*^9}, 3.36518238777768*^9, {3.3651826270571*^9, 
   3.3651827144532*^9}, {3.36518308655811*^9, 3.36518310908366*^9}, {
   3.36518341115681*^9, 3.36518342956224*^9}, {3.36518347870084*^9, 
   3.3651835204146*^9}, 3.36518365081485*^9, {3.36518494764293*^9, 
   3.36518495042363*^9}, {3.36518498874415*^9, 3.36518499052505*^9}, {
   3.36518587306113*^9, 3.36518587370174*^9}, {3.36931591464063*^9, 
   3.369315947875*^9}, {3.3706458829156466`*^9, 3.3706458864937716`*^9}, {
   3.371479590735202*^9, 3.371479623720422*^9}, {3.3714797120039315`*^9, 
   3.3714797134414682`*^9}, {3.371479760302043*^9, 3.371479818303528*^9}, {
   3.3714798501324673`*^9, 3.3714798515700045`*^9}, {3.371479941494181*^9, 
   3.3714799571664577`*^9}, {3.3714801008888865`*^9, 3.371480140811784*^9}, {
   3.371480474585953*^9, 3.3714805378531976`*^9}, {3.371480657668765*^9, 
   3.371480658653165*^9}, {3.3714807102326107`*^9, 3.3714807568744297`*^9}, {
   3.3714808779712796`*^9, 3.3714808792213116`*^9}, {3.371480910268981*^9, 
   3.3714809362383957`*^9}, {3.371481077663892*^9, 3.3714810802889585`*^9}, {
   3.3714811118991427`*^9, 3.3714811150085974`*^9}, {3.371481691388816*^9, 
   3.3714817284550753`*^9}, {3.3714819457415123`*^9, 3.371481978910203*^9}, {
   3.382208448446533*^9, 3.382208456774658*^9}, {3.382208501790283*^9, 
   3.382208528805908*^9}, {3.38410320344276*^9, 3.384103325018551*^9}, {
   3.3841034088763156`*^9, 3.3841034374538918`*^9}, {3.384103486077958*^9, 
   3.384103519936683*^9}},
 CellID->202730048],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"multiplyusinglogs", "[", 
    RowBox[{
     RowBox[{"First", "[", "u", "]"}], ",", 
     RowBox[{"First", "[", "v", "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{".01", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"100", ",", "0"}], "}"}], ",", "Locator"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"v", ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{".01", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"100", ",", "0"}], "}"}], ",", "Locator"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.36517793431177*^9, 3.36517793940249*^9}, {
  3.36517829323449*^9, 3.36517829376567*^9}, {3.36517836418347*^9, 
  3.36517841243594*^9}, {3.36517850464379*^9, 3.36517855405257*^9}, {
  3.36517879169857*^9, 3.36517879222988*^9}, {3.36517887687971*^9, 
  3.36517888656827*^9}, {3.36517902899233*^9, 3.36517903496189*^9}, {
  3.36518009470604*^9, 3.36518009486208*^9}, {3.36518056332902*^9, 
  3.36518059995443*^9}, {3.36518063996616*^9, 3.36518068778056*^9}, {
  3.36518081903926*^9, 3.36518082011605*^9}, {3.36518329661905*^9, 
  3.36518331237754*^9}, {3.36518429947651*^9, 3.36518430780824*^9}, {
  3.382208534087158*^9, 3.382208535884033*^9}},
 CellID->96746046]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`u$$ = {3, 0}, $CellContext`v$$ = {4., 0}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`u$$], {3, 0}}, {0.01, 0}, {100, 0}}, {{
       Hold[$CellContext`v$$], {4., 0}}, {0.01, 0}, {100, 0}}}, 
    Typeset`size$$ = {500., {171., 176.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`u$27823$$ = {0, 0}, $CellContext`v$27824$$ = {0, 0}}, 
    
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`u$$ = {3, 0}, $CellContext`v$$ = {4., 0}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`u$$, $CellContext`u$27823$$, {0, 0}], 
        Hold[$CellContext`v$$, $CellContext`v$27824$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`multiplyusinglogs[
        First[$CellContext`u$$], 
        First[$CellContext`v$$]], 
      "Specifications" :> {{{$CellContext`u$$, {3, 0}}, {0.01, 0}, {100, 0}, 
         ControlType -> Locator}, {{$CellContext`v$$, {4., 0}}, {0.01, 0}, {
         100, 0}, ControlType -> Locator}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {198., 203.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`multiplyusinglogs[
          Pattern[$CellContext`x1, 
           Blank[]], 
          Pattern[$CellContext`x2, 
           Blank[]]] := Column[{
           StringJoin[
            ToString[$CellContext`x1], " \[Times] ", 
            ToString[$CellContext`x2], " = ", 
            ToString[$CellContext`x1 $CellContext`x2]], 
           Plot[
            
            Log[$CellContext`x], {$CellContext`x, 0, 
             Max[$CellContext`x1, $CellContext`x2, $CellContext`x1 \
$CellContext`x2] + 1}, 
            PlotRange -> {{
              0, Max[$CellContext`x1, $CellContext`x2, $CellContext`x1 \
$CellContext`x2] + 1}, {-6, 6}}, ImagePadding -> 30 {{1, 1}, {1, 1}}, 
            Epilog -> {{
               RGBColor[0.67, 0.75, 0.15], 
               Arrowheads[0.02], 
               Line[{{$CellContext`x1, 0}, {$CellContext`x1, 
                  Log[$CellContext`x1]}}], 
               Line[{{$CellContext`x2, 0}, {$CellContext`x2, 
                  Log[$CellContext`x2]}}], 
               Arrow[{{$CellContext`x1, 0}, {$CellContext`x2, 
                  Log[$CellContext`x2]}}], 
               Line[{{$CellContext`x2, 0}, {$CellContext`x2, 
                  Log[$CellContext`x1 $CellContext`x2]}}], 
               Arrow[{{$CellContext`x1, 
                  Log[$CellContext`x1]}, {$CellContext`x2, 
                  Log[$CellContext`x1 $CellContext`x2]}}], 
               Line[{{$CellContext`x2, 
                  
                  Log[$CellContext`x1 $CellContext`x2]}, {$CellContext`x1 \
$CellContext`x2, 
                  Log[$CellContext`x1 $CellContext`x2]}}], 
               
               Line[{{$CellContext`x1 $CellContext`x2, 
                  0}, {$CellContext`x1 $CellContext`x2, 
                  Log[$CellContext`x1 $CellContext`x2]}}]}, {
               RGBColor[0.67, 0.75, 0.15], 
               PointSize[0.01], 
               Point[{$CellContext`x1, 
                 Log[$CellContext`x1]}], 
               Point[{$CellContext`x1 $CellContext`x2, 
                 Log[$CellContext`x1 $CellContext`x2]}], 
               RGBColor[1, 0.47, 0], 
               PointSize[0.02], 
               Point[{$CellContext`x1, 0}], 
               Point[{$CellContext`x2, 0}], 
               RGBColor[0.33, 0.26, 0.78], 
               Point[{$CellContext`x1 $CellContext`x2, 0}]}}, ImageSize -> 
            500]}, Center]}; Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`multiplyusinglogs[
           Pattern[$CellContext`x1, 
            Blank[]], 
           Pattern[$CellContext`x2, 
            Blank[]]] := Column[{
            StringJoin[
             ToString[$CellContext`x1], " \[Times] ", 
             ToString[$CellContext`x2], " = ", 
             ToString[$CellContext`x1 $CellContext`x2]], 
            Plot[
             
             Log[$CellContext`x], {$CellContext`x, 0, 
              Max[$CellContext`x1, $CellContext`x2, $CellContext`x1 \
$CellContext`x2] + 1}, 
             PlotRange -> {{
               0, Max[$CellContext`x1, $CellContext`x2, $CellContext`x1 \
$CellContext`x2] + 1}, {-6, 6}}, ImagePadding -> 30 {{1, 1}, {1, 1}}, 
             Epilog -> {{
                RGBColor[0.67, 0.75, 0.15], 
                Arrowheads[0.02], 
                Line[{{$CellContext`x1, 0}, {$CellContext`x1, 
                   Log[$CellContext`x1]}}], 
                Line[{{$CellContext`x2, 0}, {$CellContext`x2, 
                   Log[$CellContext`x2]}}], 
                Arrow[{{$CellContext`x1, 0}, {$CellContext`x2, 
                   Log[$CellContext`x2]}}], 
                Line[{{$CellContext`x2, 0}, {$CellContext`x2, 
                   Log[$CellContext`x1 $CellContext`x2]}}], 
                Arrow[{{$CellContext`x1, 
                   Log[$CellContext`x1]}, {$CellContext`x2, 
                   Log[$CellContext`x1 $CellContext`x2]}}], 
                Line[{{$CellContext`x2, 
                   
                   Log[$CellContext`x1 $CellContext`x2]}, {$CellContext`x1 \
$CellContext`x2, 
                   Log[$CellContext`x1 $CellContext`x2]}}], 
                
                Line[{{$CellContext`x1 $CellContext`x2, 
                   0}, {$CellContext`x1 $CellContext`x2, 
                   Log[$CellContext`x1 $CellContext`x2]}}]}, {
                RGBColor[0.67, 0.75, 0.15], 
                PointSize[0.01], 
                Point[{$CellContext`x1, 
                  Log[$CellContext`x1]}], 
                Point[{$CellContext`x1 $CellContext`x2, 
                  Log[$CellContext`x1 $CellContext`x2]}], 
                RGBColor[1, 0.47, 0], 
                PointSize[0.02], 
                Point[{$CellContext`x1, 0}], 
                Point[{$CellContext`x2, 0}], 
                RGBColor[0.33, 0.26, 0.78], 
                Point[{$CellContext`x1 $CellContext`x2, 0}]}}, ImageSize -> 
             500]}, Center]}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->317609433],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Multiplication by Adding Logs",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/MultiplicationByAddingLogs/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/MultiplicationByAddingLogs/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/MultiplicationByAddingLogs/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/MultiplicationByAddingLogs/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/MultiplicationByAddingLogs/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["George Beck",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=George+Beck"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=George+Beck"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->319691238],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
MultiplicationByAddingLogs"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Multiplication by Adding Logs - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 221, 4, 70, "Section"],
Cell[814, 29, 9838, 214, 70, "Input",
 CellID->202730048],
Cell[10655, 245, 1693, 41, 70, "Input",
 CellID->96746046]
}, Open  ]],
Cell[12363, 289, 6915, 146, 70, "Output",
 CellID->317609433],
Cell[CellGroupData[{
Cell[19303, 439, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[19679, 450, 954, 28, 70, "Text"],
Cell[20636, 480, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[20976, 491, 450, 15, 70, "Text",
 CellID->319691238],
Cell[CellGroupData[{
Cell[21451, 510, 829, 24, 70, "Text"],
Cell[22283, 536, 1202, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature JQjYU0UwDeSidBDZHEG@GrOk *)
