(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     18103,        484]
NotebookOptionsPosition[     16956,        441]
NotebookOutlinePosition[     17574,        465]
CellTagsIndexPosition[     17531,        462]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Plot, Log Plot, and Beyond", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"FunctionF", "[", 
    RowBox[{"x_", ",", "a_"}], "]"}], ":=", " ", 
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"Log", "[", 
      RowBox[{"a", " ", "x"}], "]"}], ",", 
     RowBox[{"a", " ", "x"}], ",", " ", 
     SqrtBox[
      RowBox[{"a", " ", "x"}]], ",", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"a", " ", "x"}], ")"}], "2"], ",", 
     SuperscriptBox["x", "a"], ",", 
     SuperscriptBox["a", "x"]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3835865822071743`*^9, 3.3835867028166504`*^9}, 
   3.3835870520797606`*^9},
 CellID->716280858],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"plottype", "\[Equal]", "1"}], ",", 
     RowBox[{"Grid", "[", 
      RowBox[{
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Tooltip", "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"FunctionF", "[", 
                RowBox[{"x", ",", "a"}], "]"}], "[", 
               RowBox[{"[", "fff", "]"}], "]"}], " ", ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "minx", ",", "maxx"}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"ImageSize", "\[Rule]", "250"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
              RowBox[{"Axes", "\[Rule]", "False"}], ",", 
              RowBox[{"Frame", "\[Rule]", "True"}], ",", 
              RowBox[{"ImagePadding", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"30", ",", "5"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"15", ",", "5"}], "}"}]}], "}"}]}]}], "]"}], ",", 
            RowBox[{"ToString", "[", "#", "]"}]}], "]"}], "&"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Plot", ",", "LogLinearPlot"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"LogPlot", ",", "LogLogPlot"}], "}"}]}], "}"}], ",", 
         RowBox[{"{", "2", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Grid", "[", 
      RowBox[{
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Tooltip", "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"FunctionF", "[", 
                  RowBox[{"x", ",", "a"}], "]"}], "[", 
                 RowBox[{"[", "fff", "]"}], "]"}], " ", ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "minx", ",", "maxx", ",", ".2"}], "}"}]}], 
               "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"ImageSize", "\[Rule]", "250"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
              RowBox[{"Axes", "\[Rule]", "False"}], ",", 
              RowBox[{"Frame", "\[Rule]", "True"}], ",", 
              RowBox[{"ImagePadding", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"30", ",", "5"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"15", ",", "5"}], "}"}]}], "}"}]}]}], "]"}], ",", 
            RowBox[{"ToString", "[", "#", "]"}]}], "]"}], "&"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"ListPlot", ",", "ListLogLinearPlot"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"ListLogPlot", ",", "ListLogLogPlot"}], "}"}]}], "}"}], 
         ",", 
         RowBox[{"{", "2", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fff", ",", "2", ",", "\"\<function\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\<a\>\""}], ",", 
       RowBox[{"2", "\[Rule]", "\"\<ln(a x)\>\""}], ",", 
       RowBox[{"3", "\[Rule]", "\"\<a x\>\""}], ",", 
       RowBox[{"4", "\[Rule]", "\"\<\!\(\*SqrtBox[\(a\\\ x\)]\)\>\""}], ",", 
       RowBox[{
       "5", "\[Rule]", "\"\<(a x\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], 
       ",", " ", 
       RowBox[{
       "6", "\[Rule]", " ", "\"\<\!\(\*SuperscriptBox[\(x\), \(a\)]\)\>\""}], 
       ",", 
       RowBox[{
       "7", "\[Rule]", " ", 
        "\"\<\!\(\*SuperscriptBox[\(a\), \(x\)]\)\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"minx", ",", "1", ",", "\"\<min x\>\""}], "}"}], ",", 
     RowBox[{"1", "/", "2"}], ",", "5", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"maxx", ",", "15", ",", "\"\<max x\>\""}], "}"}], ",", "6", ",",
      "20", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "1", ",", "\"\<a\>\""}], "}"}], ",", 
     RowBox[{"1", "/", "2"}], ",", "4", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"plottype", ",", "1", ",", "\"\<plot type\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\<continuous\>\""}], ",", 
       RowBox[{"2", "\[Rule]", "\"\<discrete\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3835867346743655`*^9, 3.383586805981166*^9}, {
   3.383586872881366*^9, 3.3835868745839157`*^9}, {3.3835869048592606`*^9, 
   3.3835869066118855`*^9}, {3.3835870570472007`*^9, 3.3835870787196608`*^9}},
 
 CellID->59725937]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 4., $CellContext`fff$$ = 
    4, $CellContext`maxx$$ = 20., $CellContext`minx$$ = 
    0.5, $CellContext`plottype$$ = 2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`fff$$], 2, "function"}, {
      1 -> "a", 2 -> "ln(a x)", 3 -> "a x", 4 -> "\!\(\*SqrtBox[\(a x\)]\)", 
       5 -> "(a x\!\(\*SuperscriptBox[\()\), \(2\)]\)", 6 -> 
       "\!\(\*SuperscriptBox[\(x\), \(a\)]\)", 7 -> 
       "\!\(\*SuperscriptBox[\(a\), \(x\)]\)"}}, {{
       Hold[$CellContext`minx$$], 0.5, "min x"}, 
      Rational[1, 2], 5}, {{
       Hold[$CellContext`maxx$$], 10.1, "max x"}, 6, 20}, {{
       Hold[$CellContext`a$$], 3.524, "a"}, 
      Rational[1, 2], 4}, {{
       Hold[$CellContext`plottype$$], 1, "plot type"}, {
      1 -> "continuous", 2 -> "discrete"}}}, Typeset`size$$ = {
    519., {156.5, 161.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`fff$270131$$ = 
    False, $CellContext`minx$270132$$ = 0, $CellContext`maxx$270133$$ = 
    0, $CellContext`a$270134$$ = 0, $CellContext`plottype$270135$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 3.524, $CellContext`fff$$ = 
        2, $CellContext`maxx$$ = 10.1, $CellContext`minx$$ = 
        0.5, $CellContext`plottype$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`fff$$, $CellContext`fff$270131$$, False], 
        Hold[$CellContext`minx$$, $CellContext`minx$270132$$, 0], 
        Hold[$CellContext`maxx$$, $CellContext`maxx$270133$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$270134$$, 0], 
        Hold[$CellContext`plottype$$, $CellContext`plottype$270135$$, False]},
       "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> If[$CellContext`plottype$$ == 1, 
        Grid[
         Map[Tooltip[
           #[
            Part[
             $CellContext`FunctionF[$CellContext`x, $CellContext`a$$], \
$CellContext`fff$$], {$CellContext`x, $CellContext`minx$$, \
$CellContext`maxx$$}, ImageSize -> 250, PlotRange -> All, Axes -> False, 
            Frame -> True, ImagePadding -> {{30, 5}, {15, 5}}], 
           ToString[#]]& , {{Plot, LogLinearPlot}, {LogPlot, LogLogPlot}}, {
          2}], Frame -> All], 
        Grid[
         Map[Tooltip[
           #[
            Table[
             Part[
              $CellContext`FunctionF[$CellContext`x, $CellContext`a$$], \
$CellContext`fff$$], {$CellContext`x, $CellContext`minx$$, \
$CellContext`maxx$$, 0.2}], ImageSize -> 250, PlotRange -> All, Axes -> False,
             Frame -> True, ImagePadding -> {{30, 5}, {15, 5}}], 
           ToString[#]]& , {{ListPlot, ListLogLinearPlot}, {
           ListLogPlot, ListLogLogPlot}}, {2}], Frame -> All]], 
      "Specifications" :> {{{$CellContext`fff$$, 2, "function"}, {
         1 -> "a", 2 -> "ln(a x)", 3 -> "a x", 4 -> 
          "\!\(\*SqrtBox[\(a x\)]\)", 5 -> 
          "(a x\!\(\*SuperscriptBox[\()\), \(2\)]\)", 6 -> 
          "\!\(\*SuperscriptBox[\(x\), \(a\)]\)", 7 -> 
          "\!\(\*SuperscriptBox[\(a\), \(x\)]\)"}, ControlType -> 
         Setter}, {{$CellContext`minx$$, 0.5, "min x"}, 
         Rational[1, 2], 5, Appearance -> 
         "Labeled"}, {{$CellContext`maxx$$, 10.1, "max x"}, 6, 20, Appearance -> 
         "Labeled"}, {{$CellContext`a$$, 3.524, "a"}, 
         Rational[1, 2], 4, Appearance -> 
         "Labeled"}, {{$CellContext`plottype$$, 1, "plot type"}, {
         1 -> "continuous", 2 -> "discrete"}, ControlType -> Setter}}, 
      "Options" :> {}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{563., {252., 257.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`FunctionF[
          Pattern[$CellContext`x, 
           Blank[]]] := {
          Sin[$CellContext`x], 
          Cos[$CellContext`x], $CellContext`x^2, 1/($CellContext`x^2 + 1), 
          Sqrt[1 + $CellContext`x^2], (1 - $CellContext`x)^2, 
          Abs[$CellContext`x], $CellContext`x^3}, $CellContext`FunctionF[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]]] := {$CellContext`a, 
          Log[$CellContext`a $CellContext`x], $CellContext`a $CellContext`x, 
          
          Sqrt[$CellContext`a $CellContext`x], ($CellContext`a \
$CellContext`x)^2, $CellContext`x^$CellContext`a, \
$CellContext`a^$CellContext`x}}; Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`FunctionF[
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`a, 
             Blank[]]] := {$CellContext`a, 
            
            Log[$CellContext`a $CellContext`x], $CellContext`a \
$CellContext`x, ($CellContext`a $CellContext`x)^
            Rational[
             1, 2], ($CellContext`a $CellContext`x)^2, \
$CellContext`x^$CellContext`a, $CellContext`a^$CellContext`x}; Null}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->91931697],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Plot, Log Plot, and Beyond",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PlotLogPlotAndBeyond/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PlotLogPlotAndBeyond/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/PlotLogPlotAndBeyond/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PlotLogPlotAndBeyond/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PlotLogPlotAndBeyond/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ed Pegg Jr",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->138166315],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PlotLogPlotAndBeyond"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{743, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Plot, Log Plot, and Beyond - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 218, 4, 70, "Section"],
Cell[811, 29, 647, 20, 70, "Input",
 CellID->716280858],
Cell[1461, 51, 5634, 140, 70, "Input",
 CellID->59725937]
}, Open  ]],
Cell[7110, 194, 5671, 113, 70, "Output",
 CellID->91931697],
Cell[CellGroupData[{
Cell[12806, 311, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13182, 322, 903, 24, 70, "Text"],
Cell[14088, 348, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[14428, 359, 447, 15, 70, "Text",
 CellID->138166315],
Cell[CellGroupData[{
Cell[14900, 378, 829, 24, 70, "Text"],
Cell[15732, 404, 1196, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature uS4MFFcrpy9@HCpVxzyJuy8y *)
