(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20384,        509]
NotebookOptionsPosition[     19311,        469]
NotebookOutlinePosition[     19933,        493]
CellTagsIndexPosition[     19890,        490]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Partial Fraction Decomposition", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frac", " ", "=", " ", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SubscriptBox["n", "3"], " ", 
           SuperscriptBox["x", "3"]}], " ", "+", " ", 
          RowBox[{
           SubscriptBox["n", "2"], " ", 
           SuperscriptBox["x", "2"]}], " ", "+", " ", 
          RowBox[{
           SubscriptBox["n", "1"], " ", "x"}], " ", "+", " ", 
          SubscriptBox["n", "0"]}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"Apply", "[", 
          RowBox[{"Times", ",", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"x", "-", "#"}], ")"}], "&"}], "/@", 
            RowBox[{"Take", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["d", "1"], ",", 
                SubscriptBox["d", "2"], ",", 
                SubscriptBox["d", "3"], ",", 
                SubscriptBox["d", "4"]}], "}"}], ",", "d"}], "]"}]}]}], "]"}],
          ")"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pane", "[", 
      RowBox[{
       RowBox[{"Text", "@", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Column", "[", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<The fraction\\n\>\"", ",", "16"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{"frac", ",", "24"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<\\ncan be decomposed into\\n\>\"", ",", "16"}], 
             "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"Apart", "[", "frac", "]"}], ",", "24"}], "]"}]}], 
           "}"}], "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"350", ",", "350"}], "}"}]}], "]"}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\"\<numerator coefficients:\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["n", "0"], ",", "1", ",", 
       "\"\<\!\(\*SubscriptBox[\(n\), \(0\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["n", "1"], ",", "5", ",", 
       "\"\<\!\(\*SubscriptBox[\(n\), \(1\)]\) x\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["n", "2"], ",", "0", ",", 
       "\"\<\!\(\*SubscriptBox[\(n\), \(2\)]\) \!\(\*SuperscriptBox[\(x\), \
\(2\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["n", "3"], ",", "0", ",", 
       "\"\<\!\(\*SubscriptBox[\(n\), \(3\)]\) \!\(\*SuperscriptBox[\(x\), \
\(3\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   "\"\<number of denominator roots:\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", "2", ",", "\"\<d\>\""}], "}"}], ",", "1", ",", "4", 
     ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<denominator roots:\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["d", "1"], ",", "1", ",", 
       "\"\<\!\(\*SubscriptBox[\(d\), \(1\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["d", "2"], ",", 
       RowBox[{"-", "2"}], ",", 
       "\"\<\!\(\*SubscriptBox[\(d\), \(2\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["d", "3"], ",", "0", ",", 
       "\"\<\!\(\*SubscriptBox[\(d\), \(3\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["d", "4"], ",", "0", ",", 
       "\"\<\!\(\*SubscriptBox[\(d\), \(4\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", " ", "Left"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3", ",", "4"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.38046983746875*^9, {3.380470615359375*^9, 
   3.380470651703125*^9}, {3.38047088434375*^9, 3.380470920421875*^9}, {
   3.3810013815933647`*^9, 3.381001526895477*^9}, {3.3810016540786448`*^9, 
   3.381001654869909*^9}, {3.381001703968341*^9, 3.381001727215477*^9}, 
   3.3816709677726016`*^9, {3.3816710007569766`*^9, 3.3816710026476016`*^9}, {
   3.3816711063194766`*^9, 3.3816711171944766`*^9}, {3.383655207431031*^9, 
   3.3836552759279566`*^9}, {3.383655484826289*^9, 3.3836555255930305`*^9}, {
   3.3836560013561974`*^9, 3.383656007564521*^9}, {3.3836561001695104`*^9, 
   3.383656231184127*^9}, {3.383656262485673*^9, 3.383656283629881*^9}, {
   3.3836563300868697`*^9, 3.383656340613921*^9}, {3.383656630732665*^9, 
   3.3836566531863766`*^9}, {3.3836567201607866`*^9, 
   3.3836567658416557`*^9}, {3.3836568289774895`*^9, 3.383656859820633*^9}, {
   3.3836569006394796`*^9, 3.3836569041022863`*^9}, {3.383657441629348*^9, 
   3.3836575422176547`*^9}, {3.3836575969793987`*^9, 
   3.3836577551575255`*^9}, {3.383657787321411*^9, 3.3836578103874254`*^9}, {
   3.3836582579680953`*^9, 3.3836583650514836`*^9}, {3.383659207413555*^9, 
   3.3836592271699934`*^9}, {3.3841001627742367`*^9, 3.384100181331661*^9}, {
   3.3841002146809454`*^9, 3.3841002861165137`*^9}, {3.384100367466734*^9, 
   3.384100380285678*^9}, {3.3906547443709955`*^9, 3.3906548611847887`*^9}, {
   3.390654903137205*^9, 3.3906549316396103`*^9}, {3.3906549700367365`*^9, 
   3.3906550143626842`*^9}, {3.390655050135907*^9, 3.3906551463490515`*^9}, {
   3.390655193789633*^9, 3.3906552493122387`*^9}, {3.390655444722967*^9, 
   3.390655547375692*^9}, {3.3906555835995855`*^9, 3.3906556796324615`*^9}, {
   3.3906557889851546`*^9, 3.3906558009429455`*^9}, {3.3906572282720294`*^9, 
   3.3906572456772304`*^9}, {3.3906572835520697`*^9, 3.390657481759053*^9}, {
   3.3906680975682826`*^9, 3.3906681065057826`*^9}, {3.3906681412401576`*^9, 
   3.3906681420995326`*^9}, {3.390672674453682*^9, 3.3906727171855955`*^9}, {
   3.3906727551209106`*^9, 3.390672758448844*^9}, {3.3906727899939013`*^9, 
   3.390672793274963*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`d$$ = 4, $CellContext`$33$$ = 
    1, $CellContext`$34$$ = 5, $CellContext`$35$$ = 0, $CellContext`$36$$ = 
    0, $CellContext`$37$$ = 1, $CellContext`$38$$ = -2, $CellContext`$39$$ = 
    0, $CellContext`$40$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold["numerator coefficients:"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`$33$$], 1, 
       "\!\(\*SubscriptBox[\(n\), \(0\)]\)"}, -12, 12, 1}, {{
       Hold[$CellContext`$34$$], 5, 
       "\!\(\*SubscriptBox[\(n\), \(1\)]\) x"}, -12, 12, 1}, {{
       Hold[$CellContext`$35$$], 0, 
       "\!\(\*SubscriptBox[\(n\), \(2\)]\) \!\(\*SuperscriptBox[\(x\), \(2\)]\
\)"}, -12, 12, 1}, {{
       Hold[$CellContext`$36$$], 0, 
       "\!\(\*SubscriptBox[\(n\), \(3\)]\) \!\(\*SuperscriptBox[\(x\), \(3\)]\
\)"}, -12, 12, 1}, {
      Hold["number of denominator roots:"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`d$$], 4, "d"}, 1, 4, 1}, {
      Hold["denominator roots:"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`$37$$], 1, 
       "\!\(\*SubscriptBox[\(d\), \(1\)]\)"}, -12, 12, 1}, {{
       Hold[$CellContext`$38$$], -2, 
       "\!\(\*SubscriptBox[\(d\), \(2\)]\)"}, -12, 12, 1}, {{
       Hold[$CellContext`$39$$], 0, 
       "\!\(\*SubscriptBox[\(d\), \(3\)]\)"}, -12, 12, 1}, {{
       Hold[$CellContext`$40$$], 0, 
       "\!\(\*SubscriptBox[\(d\), \(4\)]\)"}, -12, 12, 1}}, Typeset`size$$ = {
    350., {172.5, 177.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`$33$38848$$ = 
    0, $CellContext`$34$38849$$ = 0, $CellContext`$35$38850$$ = 
    0, $CellContext`$36$38851$$ = 0, $CellContext`d$38852$$ = 
    0, $CellContext`$37$38853$$ = 0, $CellContext`$38$38854$$ = 
    0, $CellContext`$39$38855$$ = 0, $CellContext`$40$38856$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`d$$ = 4, $CellContext`$33$$ = 
        1, $CellContext`$34$$ = 5, $CellContext`$35$$ = 0, $CellContext`$36$$ = 
        0, $CellContext`$37$$ = 
        1, $CellContext`$38$$ = -2, $CellContext`$39$$ = 
        0, $CellContext`$40$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`$33$$, $CellContext`$33$38848$$, 0], 
        Hold[$CellContext`$34$$, $CellContext`$34$38849$$, 0], 
        Hold[$CellContext`$35$$, $CellContext`$35$38850$$, 0], 
        Hold[$CellContext`$36$$, $CellContext`$36$38851$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$38852$$, 0], 
        Hold[$CellContext`$37$$, $CellContext`$37$38853$$, 0], 
        Hold[$CellContext`$38$$, $CellContext`$38$38854$$, 0], 
        Hold[$CellContext`$39$$, $CellContext`$39$38855$$, 0], 
        Hold[$CellContext`$40$$, $CellContext`$40$38856$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`frac = ($CellContext`$36$$ $CellContext`x^3 + \
$CellContext`$35$$ $CellContext`x^2 + $CellContext`$34$$ $CellContext`x + \
$CellContext`$33$$)/Apply[Times, 
           Map[$CellContext`x - #& , 
            
            Take[{$CellContext`$37$$, $CellContext`$38$$, $CellContext`$39$$, \
$CellContext`$40$$}, $CellContext`d$$]]]}, 
        Pane[
         Text[
          TraditionalForm[
           Column[{
             Style["The fraction\n", 16], 
             Style[$CellContext`frac, 24], 
             Style["\ncan be decomposed into\n", 16], 
             Style[
              Apart[$CellContext`frac], 24]}]]], {350, 350}]], 
      "Specifications" :> {
       "numerator coefficients:", {{$CellContext`$33$$, 1, 
          "\!\(\*SubscriptBox[\(n\), \(0\)]\)"}, -12, 12, 1, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$34$$, 5, 
          "\!\(\*SubscriptBox[\(n\), \(1\)]\) x"}, -12, 12, 1, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$35$$, 0, 
          "\!\(\*SubscriptBox[\(n\), \(2\)]\) \!\(\*SuperscriptBox[\(x\), \(2\
\)]\)"}, -12, 12, 1, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$36$$, 0, 
          "\!\(\*SubscriptBox[\(n\), \(3\)]\) \!\(\*SuperscriptBox[\(x\), \(3\
\)]\)"}, -12, 12, 1, Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        "number of denominator roots:", {{$CellContext`d$$, 4, "d"}, 1, 4, 1, 
         Appearance -> "Labeled", ImageSize -> Tiny}, 
        "denominator roots:", {{$CellContext`$37$$, 1, 
          "\!\(\*SubscriptBox[\(d\), \(1\)]\)"}, -12, 12, 1, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$38$$, -2, 
          "\!\(\*SubscriptBox[\(d\), \(2\)]\)"}, -12, 12, 1, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$39$$, 0, 
          "\!\(\*SubscriptBox[\(d\), \(3\)]\)"}, -12, 12, 1, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$40$$, 0, 
          "\!\(\*SubscriptBox[\(d\), \(4\)]\)"}, -12, 12, 1, Appearance -> 
         "Labeled", ImageSize -> Tiny}}, 
      "Options" :> {ControlPlacement -> Left, AutorunSequencing -> {2, 3, 4}},
       "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{546., {200., 205.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->37591146],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Partial Fraction Decomposition",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PartialFractionDecomposition/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/PartialFractionDecomposition/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/PartialFractionDecomposition/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PartialFractionDecomposition/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/PartialFractionDecomposition/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ed Pegg Jr",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->20212186],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PartialFractionDecomposition"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Partial Fraction Decomposition - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 222, 4, 70, "Section"],
Cell[815, 29, 8277, 184, 70, "Input"]
}, Open  ]],
Cell[9107, 216, 5960, 115, 70, "Output",
 CellID->37591146],
Cell[CellGroupData[{
Cell[15092, 335, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15468, 346, 965, 28, 70, "Text"],
Cell[16436, 376, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16776, 387, 446, 15, 70, "Text",
 CellID->20212186],
Cell[CellGroupData[{
Cell[17247, 406, 829, 24, 70, "Text"],
Cell[18079, 432, 1204, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature EQzO4EbkOB23pApgfh45FlfJ *)
