(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     40145,       1030]
NotebookOptionsPosition[     39093,        991]
NotebookOutlinePosition[     39709,       1015]
CellTagsIndexPosition[     39666,       1012]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Rational Function Graphs", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Off", "[", 
     RowBox[{
      RowBox[{"\[Infinity]", "::", "indet"}], ",", 
      RowBox[{"Power", "::", "infy"}], ",", 
      RowBox[{"Graphics", "::", "gptn"}]}], "]"}], ";", "\[IndentingNewLine]",
     
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"PolynomialQ", "[", 
        RowBox[{"p", ",", "x"}], "]"}], "&&", 
       RowBox[{"PolynomialQ", "[", 
        RowBox[{"q", ",", "x"}], "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"r", "=", ".01"}], ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"f1", "[", "x_", "]"}], ":=", 
          RowBox[{
           RowBox[{"Expand", "[", "p", "]"}], "/", 
           RowBox[{"Expand", "[", "q", "]"}]}]}], ";", "\[IndentingNewLine]", 
         
         RowBox[{
          RowBox[{"f2", "[", "x_", "]"}], ":=", 
          RowBox[{"Evaluate", "[", 
           RowBox[{"Together", "[", 
            RowBox[{"Cancel", "[", 
             RowBox[{"f1", "[", "x", "]"}], "]"}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"verasm", "=", 
          RowBox[{"Solve", "[", 
           RowBox[{"Reduce", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Denominator", "[", 
               RowBox[{"f2", "[", "x", "]"}], "]"}], "\[Equal]", "0"}], ",", 
             "Reals"}], "]"}], "]"}]}], ";", 
         RowBox[{"(*", 
          RowBox[{"Vertical", " ", "asymptotes"}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"removdis", "=", 
          RowBox[{"Solve", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Reduce", "[", 
              RowBox[{
               RowBox[{"q", "\[Equal]", "0"}], ",", "Reals"}], "]"}], "&&", 
             RowBox[{
              RowBox[{"Denominator", "[", 
               RowBox[{"f2", "[", "x", "]"}], "]"}], "\[NotEqual]", "0"}]}], 
            ",", "x"}], "]"}]}], ";", 
         RowBox[{"(*", 
          RowBox[{"Removable", " ", "discontinuities"}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
          "The", " ", "above", " ", "two", " ", "lines", " ", "restrict", " ",
            "solutions", " ", "to", " ", "real", " ", "numbers"}], "*)"}], 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"f2", "[", "x", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"zoom", "*", 
              RowBox[{"dom", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], ",", 
             RowBox[{"zoom", "*", 
              RowBox[{"dom", "[", 
               RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], ",", 
           RowBox[{"Exclusions", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Denominator", "[", 
               RowBox[{"f2", "[", "x", "]"}], "]"}], "\[Equal]", "0"}], 
             "}"}]}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"RGBColor", "[", 
             RowBox[{"0", ",", "0", ",", "0"}], "]"}]}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"zoom", "*", 
               RowBox[{"ran", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ",", 
              RowBox[{"zoom", "*", 
               RowBox[{"ran", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}], ",", 
           RowBox[{"ImageSize", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"400", ",", "250"}], "}"}]}]}], "]"}]}], ",", 
        RowBox[{"(*", 
         RowBox[{"Plot", " ", "the", " ", "basic", " ", "function"}], "*)"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"verasm", 
            StyleBox["\[NotEqual]", "OperatorCharacter"], 
            RowBox[{"{", "}"}]}], "&&", 
           RowBox[{"MemberQ", "[", 
            RowBox[{"optns", ",", "asymflg"}], "]"}]}], ",", 
          RowBox[{"Graphics", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Hue", "[", "0.7", "]"}], ",", 
              RowBox[{"Dashing", "[", 
               RowBox[{"{", 
                RowBox[{"0.02", ",", "0.02"}], "}"}], "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"x", ",", 
                   RowBox[{"zoom", "*", 
                    RowBox[{"ran", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x", ",", 
                   RowBox[{"zoom", "*", 
                    RowBox[{"ran", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}], "}"}], 
               "]"}]}], "}"}], "/.", "verasm"}], "]"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", 
        RowBox[{"(*", 
         RowBox[{"Plot", " ", "vertical", " ", "asymptotes"}], "*)"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"MemberQ", "[", 
            RowBox[{"optns", ",", "asymflg"}], "]"}], "&&", 
           RowBox[{"!", 
            RowBox[{"PolynomialQ", "[", 
             RowBox[{
              RowBox[{"f2", "[", "x", "]"}], ",", "x"}], "]"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"PolynomialQuotient", "[", 
              RowBox[{"p", ",", "q", ",", "x"}], "]"}], "//", "Evaluate"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"zoom", "*", 
               RowBox[{"dom", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ",", 
              RowBox[{"zoom", "*", 
               RowBox[{"dom", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Hue", "[", "0.7", "]"}], ",", 
               RowBox[{"Dashing", "[", 
                RowBox[{"{", 
                 RowBox[{"0.02", ",", "0.02"}], "}"}], "]"}]}], "}"}]}]}], 
           "]"}], ",", 
          RowBox[{"{", " ", "}"}]}], "]"}], ",", " ", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"Plot", " ", "non"}], "-", 
          RowBox[{"vertical", " ", "asymptotes"}]}], "*)"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"removdis", 
            StyleBox["\[NotEqual]", "OperatorCharacter"], 
            RowBox[{"{", "}"}]}], "&&", 
           RowBox[{"MemberQ", "[", 
            RowBox[{"optns", ",", "holeflg"}], "]"}]}], ",", 
          RowBox[{"Epilog", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"RGBColor", "[", 
              RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"GrayLevel", "[", "1", "]"}], ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"f2", "[", "x", "]"}]}], "}"}], ",", 
                    RowBox[{"Scaled", "[", 
                    RowBox[{"r", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "GoldenRatio"}], "}"}]}], "]"}]}], 
                   "]"}]}], "}"}], ",", 
                RowBox[{"Circle", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"x", ",", 
                    RowBox[{"f2", "[", "x", "]"}]}], "}"}], ",", 
                  RowBox[{"Scaled", "[", 
                   RowBox[{"r", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "GoldenRatio"}], "}"}]}], "]"}]}], 
                 "]"}]}], "}"}], "/.", "removdis"}]}], "}"}]}], ",", 
          RowBox[{"{", "}"}]}], "]"}]}], "]"}], " ", 
      RowBox[{"(*", 
       RowBox[{"Plot", " ", "holes"}], "*)"}], ",", 
      "\"\<p[x] and q[x] must both be polynomials in x.\>\"", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}], "]"}]}], " ", ",", 
   RowBox[{"(*", 
    RowBox[{"End", " ", "of", " ", "If"}], "*)"}], "\n", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", 
       RowBox[{
        RowBox[{"x", "^", "4"}], "-", 
        RowBox[{"3", 
         RowBox[{"x", "^", "2"}]}], "-", "4"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<p(x) = \>\"", ",", "Small"}], "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "1"}], ",", 
       RowBox[{
        RowBox[{"3", "x"}], "\[Rule]", 
        RowBox[{"3", "x"}]}], ",", 
       RowBox[{
        RowBox[{"x", "-", "1"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"x", "-", "1"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"2", 
          RowBox[{"x", "^", "2"}]}], "+", "x", "-", "6"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"2", 
           RowBox[{"x", "^", "2"}]}], "+", "x", "-", "6"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "^", "3"}], "-", "8"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"x", "^", "3"}], "-", "8"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"x", "^", "3"}], "-", "8"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"x", "+", "1"}], ")"}]}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"x", "^", "3"}], "-", "8"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"x", "+", "1"}], ")"}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "^", "4"}], "-", 
         RowBox[{"3", 
          RowBox[{"x", "^", "2"}]}], "-", "4"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"x", "^", "4"}], "-", 
          RowBox[{"3", 
           RowBox[{"x", "^", "2"}]}], "-", "4"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"3", 
            RowBox[{"x", "^", "3"}]}], "-", 
           RowBox[{"14", 
            RowBox[{"x", "^", "2"}]}], "+", 
           RowBox[{"17", "x"}], "-", "6"}], ")"}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "4"}], ")"}], "^", "2"}]}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3", 
             RowBox[{"x", "^", "3"}]}], "-", 
            RowBox[{"14", 
             RowBox[{"x", "^", "2"}]}], "+", 
            RowBox[{"17", "x"}], "-", "6"}], ")"}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x", "-", "4"}], ")"}], "^", "2"}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"3", 
          RowBox[{"x", "^", "4"}]}], "+", 
         RowBox[{"x", "^", "3"}], "-", 
         RowBox[{"5", 
          RowBox[{"x", "^", "2"}]}], "-", "x", "+", "2"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"3", 
           RowBox[{"x", "^", "4"}]}], "+", 
          RowBox[{"x", "^", "3"}], "-", 
          RowBox[{"5", 
           RowBox[{"x", "^", "2"}]}], "-", "x", "+", "2"}], "]"}]}]}], "}"}], 
     ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"q", ",", 
       RowBox[{
        RowBox[{"x", "^", "2"}], " ", "-", " ", "x", " ", "-", " ", "2"}], 
       " ", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<q(x) = \>\"", ",", "Small"}], "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "1"}], ",", 
       RowBox[{"x", "\[Rule]", "x"}], ",", 
       RowBox[{
        RowBox[{"x", "^", "2"}], "\[Rule]", 
        RowBox[{"x", "^", "2"}]}], ",", 
       RowBox[{
        RowBox[{"x", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "+", "1"}], ")"}], "^", "2"}]}], "\[Rule]", 
        RowBox[{"x", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "+", "1"}], ")"}], "^", "2"}]}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "^", "2"}], "-", "4"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "-", "4"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "^", "2"}], " ", "-", " ", "x", " ", "-", " ", "2"}], 
        "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"x", "^", "2"}], " ", "-", " ", "x", " ", "-", " ", "2"}], 
         "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "^", "3"}], "-", "8"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"x", "^", "3"}], "-", "8"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"x", "^", "2"}], "-", "1"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"x", "-", "3"}], ")"}]}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"x", "^", "2"}], "-", "1"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"x", "-", "3"}], ")"}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "^", "4"}], "-", 
         RowBox[{"3", 
          RowBox[{"x", "^", "2"}]}], "-", "4"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"x", "^", "4"}], "-", 
          RowBox[{"3", 
           RowBox[{"x", "^", "2"}]}], "-", "4"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"3", 
            RowBox[{"x", "^", "3"}]}], "-", 
           RowBox[{"14", 
            RowBox[{"x", "^", "2"}]}], "+", 
           RowBox[{"17", "x"}], "-", "6"}], ")"}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "4"}], ")"}], "^", "2"}]}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3", 
             RowBox[{"x", "^", "3"}]}], "-", 
            RowBox[{"14", 
             RowBox[{"x", "^", "2"}]}], "+", 
            RowBox[{"17", "x"}], "-", "6"}], ")"}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x", "-", "4"}], ")"}], "^", "2"}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"3", 
          RowBox[{"x", "^", "4"}]}], "+", 
         RowBox[{"x", "^", "3"}], "-", 
         RowBox[{"5", 
          RowBox[{"x", "^", "2"}]}], "-", "x", "+", "2"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"3", 
           RowBox[{"x", "^", "4"}]}], "+", 
          RowBox[{"x", "^", "3"}], "-", 
          RowBox[{"5", 
           RowBox[{"x", "^", "2"}]}], "-", "x", "+", "2"}], "]"}]}]}], "}"}], 
     ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "The", " ", "two", " ", "popup", " ", "menues", " ", "above", " ", "can",
       " ", "be", " ", "replaced", " ", "by", " ", "two", " ", "input", " ", 
      "field", " ", "controls", " ", 
      RowBox[{"{", 
       RowBox[{"p", ",", 
        RowBox[{
         RowBox[{"x", "^", "4"}], "-", 
         RowBox[{"3", 
          RowBox[{"x", "^", "2"}]}], "-", "4"}]}], "}"}], " ", "and", " ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"q", ",", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "-", "x", "-", "2"}]}], "}"}], ".", "  ", 
       "If"}], " ", "this", " ", "is", " ", "done"}], ",", " ", 
     RowBox[{
     "then", " ", "the", " ", 
      "\"\<If[PolynomialQ[p,x]&&PolynomialQ[q,x], ... ]\>\"", " ", 
      "conditional", " ", "insures", " ", "the", " ", "quotient", " ", "is", 
      " ", "a", " ", "rational", " ", 
      RowBox[{"function", "."}]}]}], "\[IndentingNewLine]", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dom", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", "   ", 
        RowBox[{"Tooltip", "[", 
         RowBox[{
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<domain \>\"", ",", 
             RowBox[{"zoom", "*", "dom"}]}], "}"}], "]"}], " ", ",", 
          "\"\<Adjust the minimum and maximum values for \!\(\*
StyleBox[\"x\",
FontSlant->\"Italic\"]\).\>\""}], "  ", "]"}], "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "20"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "20"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Slider"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ran", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", "\[IndentingNewLine]", 
       
       RowBox[{"Dynamic", "[", 
        RowBox[{"Tooltip", "[", 
         RowBox[{
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<range \>\"", ",", 
             RowBox[{"zoom", "*", "ran"}]}], "}"}], "]"}], ",", 
          "\"\<Adjust the minimum and maximum values for \!\(\*
StyleBox[\"y\",
FontSlant->\"Italic\"]\).\>\""}], "]"}], "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "40"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "40"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Slider"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"zoom", ",", "1", ",", 
       RowBox[{"Dynamic", "[", 
        RowBox[{"Tooltip", "[", 
         RowBox[{
          RowBox[{"StringForm", "[", 
           RowBox[{"\"\<zoom \[Times]  `` \>\"", ",", "zoom"}], "]"}], ",", 
          "\"\<Adjust perspective.\>\""}], "]"}], "]"}]}], "}"}], ",", "1", 
     ",", "20", ",", "1", ",", 
     RowBox[{"ControlType", "\[Rule]", "Slider"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"optns", ",", 
       RowBox[{"{", "}"}], ",", 
       RowBox[{"Tooltip", "[", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Spacer", "[", "40", "]"}], ",", 
            "\"\<graph options\>\""}], "}"}], "]"}], ",", 
         "\"\<Display asymptotes and removable discontinuities, if \
any.\>\""}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"asymflg", "\[Rule]", "\"\< show asymptotes\>\""}], ",", 
       RowBox[{"holeflg", "\[Rule]", "\"\< show holes\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "CheckboxBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "p", ",", "q", ",", "dom", ",", "ran", ",", "asymflg", ",", "holeflg", 
      ",", "optns", ",", "zoom"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.393333767109749*^9, {3.39333396828903*^9, 
   3.3933339743978148`*^9}, {3.3936735555251474`*^9, 3.393673556346328*^9}, {
   3.3938635268834705`*^9, 3.3938635295673294`*^9}, {3.3938636506814833`*^9, 
   3.393863655678669*^9}, {3.393863759477925*^9, 3.393863760138875*^9}, {
   3.3942163408182025`*^9, 3.3942163411987495`*^9}, {3.3945634627520704`*^9, 
   3.3945635369087024`*^9}, {3.3945635767760286`*^9, 3.3945636323759775`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`dom$$ = {-5, 
    5}, $CellContext`optns$$ = {}, $CellContext`p$$ = -4 - 
    3 $CellContext`x^2 + $CellContext`x^4, $CellContext`q$$ = -2 - \
$CellContext`x + $CellContext`x^2, $CellContext`ran$$ = {-10, 
    10}, $CellContext`zoom$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`p$$], -4 - 3 $CellContext`x^2 + $CellContext`x^4, 
       Style["p(x) = ", Small]}, {
      1 -> 1, 3 $CellContext`x -> 3 $CellContext`x, -1 + $CellContext`x -> 
       TraditionalForm[-1 + $CellContext`x], -6 + $CellContext`x + 
        2 $CellContext`x^2 -> 
       TraditionalForm[-6 + $CellContext`x + 
         2 $CellContext`x^2], -8 + $CellContext`x^3 -> 
       TraditionalForm[-8 + $CellContext`x^3], (
         1 + $CellContext`x) (-8 + $CellContext`x^3) -> 
       TraditionalForm[(1 + $CellContext`x) (-8 + $CellContext`x^3)], -4 - 
        3 $CellContext`x^2 + $CellContext`x^4 -> 
       TraditionalForm[-4 - 
         3 $CellContext`x^2 + $CellContext`x^4], (-4 + $CellContext`x)^2 (-6 + 
         17 $CellContext`x - 14 $CellContext`x^2 + 3 $CellContext`x^3) -> 
       TraditionalForm[(-4 + $CellContext`x)^2 (-6 + 17 $CellContext`x - 
          14 $CellContext`x^2 + 3 $CellContext`x^3)], 
       2 - $CellContext`x - 5 $CellContext`x^2 + $CellContext`x^3 + 
        3 $CellContext`x^4 -> 
       TraditionalForm[
        2 - $CellContext`x - 5 $CellContext`x^2 + $CellContext`x^3 + 
         3 $CellContext`x^4]}}, {{
       Hold[$CellContext`q$$], -2 - $CellContext`x + $CellContext`x^2, 
       Style["q(x) = ", Small]}, {
      1 -> 1, $CellContext`x -> $CellContext`x, $CellContext`x^2 -> \
$CellContext`x^2, $CellContext`x (1 + $CellContext`x)^2 -> $CellContext`x (
          1 + $CellContext`x)^2, -4 + $CellContext`x^2 -> 
       TraditionalForm[-4 + $CellContext`x^2], -2 - $CellContext`x + \
$CellContext`x^2 -> 
       TraditionalForm[-2 - $CellContext`x + $CellContext`x^2], -8 + \
$CellContext`x^3 -> 
       TraditionalForm[-8 + $CellContext`x^3], (-3 + $CellContext`x) (-1 + \
$CellContext`x^2) -> 
       TraditionalForm[(-3 + $CellContext`x) (-1 + $CellContext`x^2)], -4 - 
        3 $CellContext`x^2 + $CellContext`x^4 -> 
       TraditionalForm[-4 - 
         3 $CellContext`x^2 + $CellContext`x^4], (-4 + $CellContext`x)^2 (-6 + 
         17 $CellContext`x - 14 $CellContext`x^2 + 3 $CellContext`x^3) -> 
       TraditionalForm[(-4 + $CellContext`x)^2 (-6 + 17 $CellContext`x - 
          14 $CellContext`x^2 + 3 $CellContext`x^3)], 
       2 - $CellContext`x - 5 $CellContext`x^2 + $CellContext`x^3 + 
        3 $CellContext`x^4 -> 
       TraditionalForm[
        2 - $CellContext`x - 5 $CellContext`x^2 + $CellContext`x^3 + 
         3 $CellContext`x^4]}}, {{
       Hold[$CellContext`dom$$], {-5, 5}, 
       Dynamic[
        Tooltip[
         Row[{
          "domain ", $CellContext`zoom$$ $CellContext`dom$$}], (((
            "Adjust the minimum and maximum values for \!\(\*\nStyleBox[" \
$CellContext`x) ",\n FontSlant->") Italic) "]\)."]]}, {-20, 1}, {-1, 20}, {1, 
      1}}, {{
       Hold[$CellContext`ran$$], {-10, 10}, 
       Dynamic[
        Tooltip[
         Row[{
          "range ", $CellContext`zoom$$ $CellContext`ran$$}], (((
            "Adjust the minimum and maximum values for \!\(\*\nStyleBox[" \
$CellContext`y) ",\n FontSlant->") Italic) "]\)."]]}, {-40, 1}, {-1, 40}, {1, 
      1}}, {{
       Hold[$CellContext`zoom$$], 1, 
       Dynamic[
        Tooltip[
         StringForm["zoom \[Times]  `` ", $CellContext`zoom$$], 
         "Adjust perspective."]]}, 1, 20, 1}, {{
       Hold[$CellContext`optns$$], {}, 
       Tooltip[
        Row[{
          Spacer[40], "graph options"}], 
        "Display asymptotes and removable discontinuities, if any."]}, \
{$CellContext`asymflg -> " show asymptotes", $CellContext`holeflg -> 
       " show holes"}}}, Typeset`size$$ = {400., {123., 127.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`p$45245$$ = False, $CellContext`q$45246$$ = 
    False, $CellContext`dom$45247$$ = {0, 0}, $CellContext`ran$45248$$ = {0, 
    0}, $CellContext`zoom$45249$$ = 0, $CellContext`optns$45250$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`dom$$ = {-5, 
         5}, $CellContext`optns$$ = {}, $CellContext`p$$ = -4 - 
         3 $CellContext`x^2 + $CellContext`x^4, $CellContext`q$$ = -2 - \
$CellContext`x + $CellContext`x^2, $CellContext`ran$$ = {-10, 
         10}, $CellContext`zoom$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`p$$, $CellContext`p$45245$$, False], 
        Hold[$CellContext`q$$, $CellContext`q$45246$$, False], 
        Hold[$CellContext`dom$$, $CellContext`dom$45247$$, {0, 0}], 
        Hold[$CellContext`ran$$, $CellContext`ran$45248$$, {0, 0}], 
        Hold[$CellContext`zoom$$, $CellContext`zoom$45249$$, 0], 
        Hold[$CellContext`optns$$, $CellContext`optns$45250$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> (Off[
         MessageName[Infinity, "indet"], 
         MessageName[Power, "infy"], 
         MessageName[Graphics, "gptn"]]; If[
         And[
          PolynomialQ[$CellContext`p$$, $CellContext`x], 
          PolynomialQ[$CellContext`q$$, $CellContext`x]], 
         Show[$CellContext`r = 0.01; $CellContext`f1[
             Pattern[$CellContext`x$, 
              Blank[]]] := 
           Expand[$CellContext`p$$]/Expand[$CellContext`q$$]; $CellContext`f2[
            
             Pattern[$CellContext`x, 
              Blank[]]] := Evaluate[
             Together[
              Cancel[
               $CellContext`f1[$CellContext`x]]]]; $CellContext`verasm = 
           Solve[
             Reduce[Denominator[
                $CellContext`f2[$CellContext`x]] == 0, 
              Reals]]; $CellContext`removdis = Solve[
             And[
              Reduce[$CellContext`q$$ == 0, Reals], Denominator[
                $CellContext`f2[$CellContext`x]] != 0], $CellContext`x]; 
          Plot[
            $CellContext`f2[$CellContext`x], {$CellContext`x, \
$CellContext`zoom$$ Part[$CellContext`dom$$, 1], $CellContext`zoom$$ 
             Part[$CellContext`dom$$, 2]}, Exclusions -> {Denominator[
                $CellContext`f2[$CellContext`x]] == 0}, PlotStyle -> 
            RGBColor[0, 0, 0], 
            PlotRange -> {$CellContext`zoom$$ 
              Part[$CellContext`ran$$, 1], $CellContext`zoom$$ 
              Part[$CellContext`ran$$, 2]}, ImageSize -> {400, 250}], 
          If[
           And[$CellContext`verasm != {}, 
            MemberQ[$CellContext`optns$$, $CellContext`asymflg]], 
           Graphics[
            ReplaceAll[{
              Hue[0.7], 
              Dashing[{0.02, 0.02}], 
              
              Line[{{$CellContext`x, $CellContext`zoom$$ 
                 Part[$CellContext`ran$$, 
                   1]}, {$CellContext`x, $CellContext`zoom$$ 
                 Part[$CellContext`ran$$, 2]}}]}, $CellContext`verasm]], {}], 
          
          If[
           And[
            MemberQ[$CellContext`optns$$, $CellContext`asymflg], 
            Not[
             PolynomialQ[
              $CellContext`f2[$CellContext`x], $CellContext`x]]], 
           Plot[
            Evaluate[
             
             PolynomialQuotient[$CellContext`p$$, $CellContext`q$$, \
$CellContext`x]], {$CellContext`x, $CellContext`zoom$$ 
             Part[$CellContext`dom$$, 1], $CellContext`zoom$$ 
             Part[$CellContext`dom$$, 2]}, PlotStyle -> {
              Hue[0.7], 
              Dashing[{0.02, 0.02}]}], {}], 
          If[
           And[$CellContext`removdis != {}, 
            MemberQ[$CellContext`optns$$, $CellContext`holeflg]], Epilog -> {
             RGBColor[1, 0, 0], 
             ReplaceAll[{{
                GrayLevel[1], 
                Disk[{$CellContext`x, 
                  $CellContext`f2[$CellContext`x]}, 
                 Scaled[$CellContext`r {1, GoldenRatio}]]}, 
               Circle[{$CellContext`x, 
                 $CellContext`f2[$CellContext`x]}, 
                
                Scaled[$CellContext`r {
                  1, GoldenRatio}]]}, $CellContext`removdis]}, {}]], 
         "p[x] and q[x] must both be polynomials in x.", {0, 0}]), 
      "Specifications" :> {{{$CellContext`p$$, -4 - 
          3 $CellContext`x^2 + $CellContext`x^4, 
          Style["p(x) = ", Small]}, {
         1 -> 1, 3 $CellContext`x -> 3 $CellContext`x, -1 + $CellContext`x -> 
          TraditionalForm[-1 + $CellContext`x], -6 + $CellContext`x + 
           2 $CellContext`x^2 -> 
          TraditionalForm[-6 + $CellContext`x + 
            2 $CellContext`x^2], -8 + $CellContext`x^3 -> 
          TraditionalForm[-8 + $CellContext`x^3], (
            1 + $CellContext`x) (-8 + $CellContext`x^3) -> 
          TraditionalForm[(1 + $CellContext`x) (-8 + $CellContext`x^3)], -4 - 
           3 $CellContext`x^2 + $CellContext`x^4 -> 
          TraditionalForm[-4 - 
            3 $CellContext`x^2 + $CellContext`x^4], (-4 + $CellContext`x)^2 \
(-6 + 17 $CellContext`x - 14 $CellContext`x^2 + 3 $CellContext`x^3) -> 
          TraditionalForm[(-4 + $CellContext`x)^2 (-6 + 17 $CellContext`x - 
             14 $CellContext`x^2 + 3 $CellContext`x^3)], 
          2 - $CellContext`x - 5 $CellContext`x^2 + $CellContext`x^3 + 
           3 $CellContext`x^4 -> 
          TraditionalForm[
           2 - $CellContext`x - 5 $CellContext`x^2 + $CellContext`x^3 + 
            3 $CellContext`x^4]}, ControlType -> 
         PopupMenu}, {{$CellContext`q$$, -2 - $CellContext`x + \
$CellContext`x^2, 
          Style["q(x) = ", Small]}, {
         1 -> 1, $CellContext`x -> $CellContext`x, $CellContext`x^2 -> \
$CellContext`x^2, $CellContext`x (1 + $CellContext`x)^2 -> $CellContext`x (
             1 + $CellContext`x)^2, -4 + $CellContext`x^2 -> 
          TraditionalForm[-4 + $CellContext`x^2], -2 - $CellContext`x + \
$CellContext`x^2 -> 
          TraditionalForm[-2 - $CellContext`x + $CellContext`x^2], -8 + \
$CellContext`x^3 -> 
          TraditionalForm[-8 + $CellContext`x^3], (-3 + $CellContext`x) (-1 + \
$CellContext`x^2) -> 
          TraditionalForm[(-3 + $CellContext`x) (-1 + $CellContext`x^2)], -4 - 
           3 $CellContext`x^2 + $CellContext`x^4 -> 
          TraditionalForm[-4 - 
            3 $CellContext`x^2 + $CellContext`x^4], (-4 + $CellContext`x)^2 \
(-6 + 17 $CellContext`x - 14 $CellContext`x^2 + 3 $CellContext`x^3) -> 
          TraditionalForm[(-4 + $CellContext`x)^2 (-6 + 17 $CellContext`x - 
             14 $CellContext`x^2 + 3 $CellContext`x^3)], 
          2 - $CellContext`x - 5 $CellContext`x^2 + $CellContext`x^3 + 
           3 $CellContext`x^4 -> 
          TraditionalForm[
           2 - $CellContext`x - 5 $CellContext`x^2 + $CellContext`x^3 + 
            3 $CellContext`x^4]}, ControlType -> 
         PopupMenu}, {{$CellContext`dom$$, {-5, 5}, 
          Dynamic[
           Tooltip[
            
            Row[{"domain ", $CellContext`zoom$$ $CellContext`dom$$}], (((
               "Adjust the minimum and maximum values for \!\(\*\nStyleBox[" \
$CellContext`x) ",\n FontSlant->") Italic) "]\)."]]}, {-20, 1}, {-1, 20}, {1, 
         1}, ControlType -> Slider}, {{$CellContext`ran$$, {-10, 10}, 
          Dynamic[
           Tooltip[
            
            Row[{"range ", $CellContext`zoom$$ $CellContext`ran$$}], (((
               "Adjust the minimum and maximum values for \!\(\*\nStyleBox[" \
$CellContext`y) ",\n FontSlant->") Italic) "]\)."]]}, {-40, 1}, {-1, 40}, {1, 
         1}, ControlType -> Slider}, {{$CellContext`zoom$$, 1, 
          Dynamic[
           Tooltip[
            StringForm["zoom \[Times]  `` ", $CellContext`zoom$$], 
            "Adjust perspective."]]}, 1, 20, 1, ControlType -> 
         Slider}, {{$CellContext`optns$$, {}, 
          Tooltip[
           Row[{
             Spacer[40], "graph options"}], 
           "Display asymptotes and removable discontinuities, if any."]}, \
{$CellContext`asymflg -> " show asymptotes", $CellContext`holeflg -> 
          " show holes"}, ControlType -> CheckboxBar, ControlPlacement -> 
         Top}}, "Options" :> {
       TrackedSymbols -> {$CellContext`p$$, $CellContext`q$$, \
$CellContext`dom$$, $CellContext`ran$$, $CellContext`asymflg, \
$CellContext`holeflg, $CellContext`optns$$, $CellContext`zoom$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {226., 231.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->283918884],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Rational Function Graphs",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RationalFunctionGraphs/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/RationalFunctionGraphs/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/RationalFunctionGraphs/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RationalFunctionGraphs/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/RationalFunctionGraphs/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Charles E. Oelsner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Charles+E.+\
Oelsner"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Charles+E.+Oelsner"],\

 " (Manlius Pebble Hill School)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
RationalFunctionGraphs"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Rational Function Graphs - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 216, 4, 70, "Section"],
Cell[809, 29, 20827, 557, 70, "Input"]
}, Open  ]],
Cell[21651, 589, 13220, 267, 70, "Output",
 CellID->283918884],
Cell[CellGroupData[{
Cell[34896, 860, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[35272, 871, 911, 24, 70, "Text"],
Cell[36186, 897, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[36526, 908, 484, 16, 70, "Text"],
Cell[CellGroupData[{
Cell[37035, 928, 829, 24, 70, "Text"],
Cell[37867, 954, 1198, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature hQzFvl6vDz#6eBp9Eu#pn5Xt *)
