(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     35200,        902]
NotebookOptionsPosition[     33604,        844]
NotebookOutlinePosition[     34231,        868]
CellTagsIndexPosition[     34188,        865]
WindowTitle->Rational Functions of Small Degree - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Rational Functions of Small Degree", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"func", ",", 
       RowBox[{"exclude", " ", "=", " ", 
        RowBox[{"Union", "[", 
         RowBox[{"{", 
          RowBox[{"c", ",", "d"}], "}"}], "]"}]}], ",", " ", 
       RowBox[{"removes", " ", "=", " ", 
        RowBox[{"Union", "[", 
         RowBox[{"Flatten", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"MemberQ", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"a", ",", "b"}], "}"}], ",", "c"}], "]"}], ",", "c", 
              ",", 
              RowBox[{"{", "}"}]}], "]"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"MemberQ", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"a", ",", "b"}], "}"}], ",", "d"}], "]"}], ",", "d", 
              ",", 
              RowBox[{"{", "}"}]}], "]"}]}], "}"}], "]"}], "]"}]}]}], "}"}], 
     ",", 
     RowBox[{
      RowBox[{
       RowBox[{"func", "[", "x_", "]"}], ":=", 
       RowBox[{"kk", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"x", "-", "a"}], ")"}], "^", "k"}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"x", "-", "b"}], ")"}], "^", "l"}]}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"x", "-", "c"}], ")"}], "^", "m"}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"x", "-", "d"}], ")"}], "^", "n"}]}], ")"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"removetext", " ", "=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Length", "[", "removes", "]"}], ">", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Switch", "[", 
             RowBox[{
              RowBox[{"Length", "[", "removes", "]"}], ",", 
              "\[IndentingNewLine]", "1", ",", " ", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"\"\< when x \[NotEqual] \>\"", ",", 
                 RowBox[{"removes", "[", 
                  RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "]"}], ",", 
              "\[IndentingNewLine]", "2", ",", " ", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"\"\< when x \[NotEqual] \>\"", ",", 
                 RowBox[{"removes", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", " ", "\"\< or \>\"", 
                 ",", " ", 
                 RowBox[{"removes", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
            ",", "\"\< \>\""}], "]"}]}], "}"}], ",", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"func", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "dom"}], ",", "dom"}], "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "range"}], ",", "range"}], "}"}]}], ",", 
          RowBox[{"PlotLabel", "\[Rule]", 
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"func", "[", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "]"}], ",", 
              "removetext"}], "}"}], "]"}]}], ",", " ", 
          RowBox[{"ImageSize", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{"375", ",", "375"}], "}"}]}], ",", 
          RowBox[{"Exclusions", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"c", ",", "d"}], "}"}]}], ",", 
          RowBox[{"ImagePadding", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"5", ",", "5"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"5", ",", "45"}], "}"}]}], "}"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Prolog", "\[Rule]", " ", 
           RowBox[{"If", "[", 
            RowBox[{"asymptotes", ",", 
             RowBox[{"{", 
              RowBox[{"color", ",", "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"Not", "[", 
                  RowBox[{"MemberQ", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a", ",", "b"}], "}"}], ",", "c"}], "]"}], "]"}], 
                 ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"c", ",", 
                    RowBox[{"-", "range"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"c", ",", "range"}], "}"}]}], "}"}], "]"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"Not", "[", 
                  RowBox[{"MemberQ", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a", ",", "b"}], "}"}], ",", "d"}], "]"}], "]"}], 
                 ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"d", ",", 
                    RowBox[{"-", "range"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"d", ",", "range"}], "}"}]}], "}"}], "]"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"k", "+", "l"}], "<=", 
                  RowBox[{"m", "+", "n"}]}], ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "dom"}], ",", 
                    RowBox[{"Limit", "[", 
                    RowBox[{
                    RowBox[{"func", "[", "x", "]"}], ",", 
                    RowBox[{"x", "\[Rule]", " ", "Infinity"}]}], "]"}]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"dom", ",", 
                    RowBox[{"Limit", "[", 
                    RowBox[{
                    RowBox[{"func", "[", "x", "]"}], ",", 
                    RowBox[{"x", "\[Rule]", " ", "Infinity"}]}], "]"}]}], 
                    "}"}]}], "}"}], "]"}], ",", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"k", "+", "l"}], "\[Equal]", 
                    RowBox[{"m", "+", "n", "+", "1"}]}], ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "dom"}], ",", 
                    RowBox[{
                    RowBox[{"-", "dom"}], " ", "kk"}]}], " ", "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"dom", ",", 
                    RowBox[{"dom", " ", "kk"}]}], "}"}]}], "}"}], "]"}], ",", 
                   
                   RowBox[{"Line", "[", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"kk", " ", 
                    RowBox[{"x", "^", "2"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"-", "dom"}], ",", "dom", ",", 
                    RowBox[{"dom", "/", "100"}]}], "}"}]}], "]"}], "]"}]}], 
                  "]"}]}], "]"}]}], "}"}], ",", 
             RowBox[{"{", "}"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"Epilog", "\[Rule]", " ", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Length", "[", "removes", "]"}], ">", "0"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"White", ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{"func", "[", 
                    RowBox[{"#", "-", ".0001"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".2", ",", 
                    RowBox[{"range", "/", "40"}]}], "}"}]}], "]"}], ",", 
                  "\[IndentingNewLine]", "Blue", ",", 
                  RowBox[{"Circle", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{"func", "[", 
                    RowBox[{"#", "-", ".0001"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".2", ",", 
                    RowBox[{"range", "/", "40"}]}], "}"}]}], "]"}]}], "}"}], 
                "&"}], "/@", "removes"}], ",", 
              RowBox[{"{", "}"}]}], "]"}], "}"}]}]}], "]"}]}], "]"}]}]}], 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dom", ",", "10", ",", "\"\<domain\>\""}], "}"}], ",", "10", 
     ",", "100", ",", "10", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"range", ",", "20", ",", "\"\<range\>\""}], "}"}], ",", "2", 
     ",", "2000", ",", "10", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{"\"\< variables in \>\"", ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", "\"\<= \>\"", ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<K\>\"", ",", "Italic"}], "]"}], ",", 
      RowBox[{"TraditionalForm", "[", " ", 
       RowBox[{"HoldForm", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "-", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "-", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<l\>\"", ",", "Italic"}], "]"}]}]}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "-", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<c\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<m\>\"", ",", "Italic"}], "]"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "-", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<d\>\"", ",", "Italic"}], "]"}]}], ")"}], "^", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<n\>\"", ",", "Italic"}], "]"}]}]}], ")"}]}], "]"}], 
       "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "6", ",", "\"\<a\>\""}], "}"}], ",", 
     RowBox[{"-", "8"}], ",", "8", ",", ".5", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", "\"\<exponent k is 2\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Checkbox"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "5", ",", "\"\<b\>\""}], "}"}], ",", 
     RowBox[{"-", "8"}], ",", "8", ",", ".5", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"l", ",", "1", ",", "\"\<exponent l is 2\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Checkbox"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "4", ",", "\"\<c\>\""}], "}"}], ",", 
     RowBox[{"-", "8"}], ",", "8", ",", ".5", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "1", ",", "\"\<exponent m is 2\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Checkbox"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", "1", ",", "\"\<d\>\""}], "}"}], ",", 
     RowBox[{"-", "8"}], ",", "8", ",", ".4", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "\"\<exponent n is 2\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Checkbox"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"kk", ",", "1", ",", "\"\<K\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"asymptotes", ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"color", ",", "Yellow", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", " ", "Left"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.463917501981803*^9, {3.464358021691328*^9, 
   3.4643581369538536`*^9}, {3.4643582109402514`*^9, 
   3.4643582155867157`*^9}, {3.464358329228079*^9, 3.4643583321933756`*^9}, {
   3.4643583660627623`*^9, 3.4643583904411993`*^9}, 3.464358455801735*^9, {
   3.46436648262402*^9, 3.4643664839677525`*^9}, {3.464366547904434*^9, 
   3.4643666081849127`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 6, $CellContext`asymptotes$$ = 
    True, $CellContext`b$$ = 5, $CellContext`c$$ = 4, $CellContext`color$$ = 
    RGBColor[1, 1, 0], $CellContext`d$$ = 1, $CellContext`dom$$ = 
    10, $CellContext`k$$ = 1, $CellContext`kk$$ = 1, $CellContext`l$$ = 
    1, $CellContext`m$$ = 1, $CellContext`n$$ = 1, $CellContext`range$$ = 20, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`dom$$], 10, "domain"}, 10, 100, 10}, {{
       Hold[$CellContext`range$$], 20, "range"}, 2, 2000, 10}, {
      Hold[
       Row[{" variables in ", 
         Style["y", Italic], "= ", 
         Style["K", Italic], 
         TraditionalForm[
          
          HoldForm[((Style["x", Italic] - Style["a", Italic])^
             Style["k", Italic] (Style["x", Italic] - Style["b", Italic])^
             Style["l", Italic])/((Style["x", Italic] - Style["c", Italic])^
            Style["m", Italic] (Style["x", Italic] - Style["d", Italic])^
            Style["n", Italic])]]}]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`a$$], 6, "a"}, -8, 8, 0.5}, {{
       Hold[$CellContext`k$$], 1, "exponent k is 2"}, {1, 2}}, {{
       Hold[$CellContext`b$$], 5, "b"}, -8, 8, 0.5}, {{
       Hold[$CellContext`l$$], 1, "exponent l is 2"}, {1, 2}}, {{
       Hold[$CellContext`c$$], 4, "c"}, -8, 8, 0.5}, {{
       Hold[$CellContext`m$$], 1, "exponent m is 2"}, {1, 2}}, {{
       Hold[$CellContext`d$$], 1, "d"}, -8, 8, 0.4}, {{
       Hold[$CellContext`n$$], 1, "exponent n is 2"}, {1, 2}}, {{
       Hold[$CellContext`kk$$], 1, "K"}, -10, 10, 0.01}, {
      Hold[$CellContext`asymptotes$$], {True, False}}, {
      Hold[$CellContext`color$$], 
      RGBColor[1, 1, 0]}}, Typeset`size$$ = {375., {185., 190.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`dom$54856$$ = 0, $CellContext`range$54857$$ = 
    0, $CellContext`a$54858$$ = 0, $CellContext`k$54859$$ = 
    False, $CellContext`b$54860$$ = 0, $CellContext`l$54861$$ = 
    False, $CellContext`c$54862$$ = 0, $CellContext`m$54863$$ = 
    False, $CellContext`d$54864$$ = 0, $CellContext`n$54865$$ = 
    False, $CellContext`kk$54866$$ = 0, $CellContext`asymptotes$54867$$ = 
    False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 6, $CellContext`asymptotes$$ = 
        True, $CellContext`b$$ = 5, $CellContext`c$$ = 
        4, $CellContext`color$$ = RGBColor[1, 1, 0], $CellContext`d$$ = 
        1, $CellContext`dom$$ = 10, $CellContext`k$$ = 1, $CellContext`kk$$ = 
        1, $CellContext`l$$ = 1, $CellContext`m$$ = 1, $CellContext`n$$ = 
        1, $CellContext`range$$ = 20}, "ControllerVariables" :> {
        Hold[$CellContext`dom$$, $CellContext`dom$54856$$, 0], 
        Hold[$CellContext`range$$, $CellContext`range$54857$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$54858$$, 0], 
        Hold[$CellContext`k$$, $CellContext`k$54859$$, False], 
        Hold[$CellContext`b$$, $CellContext`b$54860$$, 0], 
        Hold[$CellContext`l$$, $CellContext`l$54861$$, False], 
        Hold[$CellContext`c$$, $CellContext`c$54862$$, 0], 
        Hold[$CellContext`m$$, $CellContext`m$54863$$, False], 
        Hold[$CellContext`d$$, $CellContext`d$54864$$, 0], 
        Hold[$CellContext`n$$, $CellContext`n$54865$$, False], 
        Hold[$CellContext`kk$$, $CellContext`kk$54866$$, 0], 
        Hold[$CellContext`asymptotes$$, $CellContext`asymptotes$54867$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`func$, $CellContext`exclude$ = 
         Union[{$CellContext`c$$, $CellContext`d$$}], $CellContext`removes$ = 
         Union[
           Flatten[{
             If[
              
              MemberQ[{$CellContext`a$$, $CellContext`b$$}, \
$CellContext`c$$], $CellContext`c$$, {}], 
             If[
              
              MemberQ[{$CellContext`a$$, $CellContext`b$$}, \
$CellContext`d$$], $CellContext`d$$, {}]}]]}, $CellContext`func$[
           Pattern[$CellContext`x$, 
            
            Blank[]]] := $CellContext`kk$$ ((($CellContext`x$ - \
$CellContext`a$$)^$CellContext`k$$ ($CellContext`x$ - \
$CellContext`b$$)^$CellContext`l$$)/(($CellContext`x$ - \
$CellContext`c$$)^$CellContext`m$$ ($CellContext`x$ - \
$CellContext`d$$)^$CellContext`n$$)); 
        With[{$CellContext`removetext$ = If[Length[$CellContext`removes$] > 0, 
             Switch[
              Length[$CellContext`removes$], 1, 
              Row[{" when x \[NotEqual] ", 
                Part[$CellContext`removes$, 1]}], 2, 
              Row[{" when x \[NotEqual] ", 
                Part[$CellContext`removes$, 1], " or ", 
                Part[$CellContext`removes$, 2]}]], " "]}, 
          Plot[
           $CellContext`func$[$CellContext`x], {$CellContext`x, \
-$CellContext`dom$$, $CellContext`dom$$}, 
           PlotRange -> {-$CellContext`range$$, $CellContext`range$$}, 
           PlotLabel -> Row[{
              $CellContext`func$[
               Style["x", Italic]], $CellContext`removetext$}], 
           ImageSize -> {375, 375}, 
           Exclusions -> {$CellContext`c$$, $CellContext`d$$}, 
           ImagePadding -> {{5, 5}, {5, 45}}, Prolog -> 
           If[$CellContext`asymptotes$$, {$CellContext`color$$, 
              If[
               Not[
                
                MemberQ[{$CellContext`a$$, $CellContext`b$$}, \
$CellContext`c$$]], 
               
               Line[{{$CellContext`c$$, -$CellContext`range$$}, \
{$CellContext`c$$, $CellContext`range$$}}], {}], 
              If[
               Not[
                
                MemberQ[{$CellContext`a$$, $CellContext`b$$}, \
$CellContext`d$$]], 
               
               Line[{{$CellContext`d$$, -$CellContext`range$$}, \
{$CellContext`d$$, $CellContext`range$$}}], {}], 
              
              If[$CellContext`k$$ + $CellContext`l$$ <= $CellContext`m$$ + \
$CellContext`n$$, 
               Line[{{-$CellContext`dom$$, 
                  Limit[
                   $CellContext`func$[$CellContext`x], $CellContext`x -> 
                   Infinity]}, {$CellContext`dom$$, 
                  Limit[
                   $CellContext`func$[$CellContext`x], $CellContext`x -> 
                   Infinity]}}], 
               
               If[$CellContext`k$$ + $CellContext`l$$ == $CellContext`m$$ + \
$CellContext`n$$ + 1, 
                
                Line[{{-$CellContext`dom$$, (-$CellContext`dom$$) \
$CellContext`kk$$}, {$CellContext`dom$$, $CellContext`dom$$ \
$CellContext`kk$$}}], 
                Line[
                 
                 Table[{$CellContext`x, $CellContext`kk$$ $CellContext`x^2}, \
{$CellContext`x, -$CellContext`dom$$, $CellContext`dom$$, $CellContext`dom$$/
                   100}]]]]}, {}], Epilog -> {
             If[Length[$CellContext`removes$] > 0, 
              Map[{White, 
                Disk[{#, 
                  $CellContext`func$[# - 0.0001]}, {
                 0.2, $CellContext`range$$/40}], Blue, 
                Circle[{#, 
                  $CellContext`func$[# - 0.0001]}, {
                 0.2, $CellContext`range$$/
                  40}]}& , $CellContext`removes$], {}]}]]], 
      "Specifications" :> {{{$CellContext`dom$$, 10, "domain"}, 10, 100, 10, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`range$$, 20, "range"}, 2, 2000, 10, Appearance -> 
         "Labeled", ImageSize -> Tiny}, Delimiter, 
        Row[{" variables in ", 
          Style["y", Italic], "= ", 
          Style["K", Italic], 
          TraditionalForm[
           
           HoldForm[((Style["x", Italic] - Style["a", Italic])^
              Style["k", Italic] (Style["x", Italic] - Style["b", Italic])^
              Style["l", Italic])/((Style["x", Italic] - Style["c", Italic])^
             Style["m", Italic] (Style["x", Italic] - Style["d", Italic])^
             Style["n", Italic])]]}], {{$CellContext`a$$, 6, "a"}, -8, 8, 0.5,
          Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`k$$, 1, "exponent k is 2"}, {1, 2}, 
         ControlType -> Checkbox}, {{$CellContext`b$$, 5, "b"}, -8, 8, 0.5, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`l$$, 1, "exponent l is 2"}, {1, 2}, 
         ControlType -> Checkbox}, {{$CellContext`c$$, 4, "c"}, -8, 8, 0.5, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`m$$, 1, "exponent m is 2"}, {1, 2}, 
         ControlType -> Checkbox}, {{$CellContext`d$$, 1, "d"}, -8, 8, 0.4, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`n$$, 1, "exponent n is 2"}, {1, 2}, 
         ControlType -> Checkbox}, {{$CellContext`kk$$, 1, "K"}, -10, 10, 
         0.01, Appearance -> "Labeled", ImageSize -> Tiny}, 
        Delimiter, {$CellContext`asymptotes$$, {
         True, False}}, {$CellContext`color$$, 
         RGBColor[1, 1, 0], ImageSize -> Small}}, 
      "Options" :> {ControlPlacement -> Left}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{622., {214., 219.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->357568722],

Cell[CellGroupData[{

Cell["Caption", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell["\<\
Graphing rational functions is an important topic in precalculus and calculus \
classes. This Demonstration illustrates the important features of the graphs \
of these functions, showing both vertical and horizontal asymptotes, as well \
as the behavior at infinity. It is limited to two roots and two vertical \
asymptotes, but each is allowed to be repeated. This Demonstration can be \
used to illustrate the difference between the behavior of a graph near single \
roots and double roots. \
\>", "Text"]
}, Close]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Details", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell["Snapshot 1: a slant asymptote", "Text"],

Cell["\<\
Snapshot 2: both a horizontal asymptote and where a factor in the numerator \
cancels a factor in the denominator\
\>", "Text"],

Cell[TextData[{
 "Snapshot 3: the degree of the numerator is two more than the denominator; \
you can highlight the endpoint behavior by increasing the domain until the \
red and blue graphs become superimposed, or highlight the differences for ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 " small by reducing the size of the domain"
}], "Text"]
}, Close]],

Cell["Snapshot 1: a slant asymptote", "Text"],

Cell["\<\
Snapshot 2: both a horizontal asymptote and where a factor in the numerator \
cancels a factor in the denominator\
\>", "Text"],

Cell[TextData[{
 "Snapshot 3: the degree of the numerator is two more than the denominator; \
you can highlight the endpoint behavior by increasing the domain until the \
red and blue graphs become superimposed, or highlight the differences for ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 " small by reducing the size of the domain"
}], "Text"],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Rational Functions of Small Degree",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RationalFunctionsOfSmallDegree/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/RationalFunctionsOfSmallDegree/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/RationalFunctionsOfSmallDegree/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RationalFunctionsOfSmallDegree/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/RationalFunctionsOfSmallDegree/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Donald Krug",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Donald+Krug"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Donald+Krug"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "Based on a program by: ",
 ButtonBox["Ed Pegg Jr",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->72123052]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
RationalFunctionsOfSmallDegree"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Rational Functions of Small Degree - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[624, 23, 226, 4, 70, "Section"],
Cell[853, 29, 15944, 395, 70, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16834, 429, 9898, 197, 70, "Output",
 CellID->357568722],
Cell[CellGroupData[{
Cell[26757, 630, 199, 4, 70, "Section"],
Cell[26959, 636, 517, 8, 70, "Text"]
}, Close]]
}, Open  ]],
Cell[CellGroupData[{
Cell[27524, 650, 199, 4, 70, "Section"],
Cell[27726, 656, 45, 0, 70, "Text"],
Cell[27774, 658, 137, 3, 70, "Text"],
Cell[27914, 663, 368, 7, 70, "Text"]
}, Close]],
Cell[28296, 673, 45, 0, 70, "Text"],
Cell[28344, 675, 137, 3, 70, "Text"],
Cell[28484, 680, 368, 7, 70, "Text"],
Cell[CellGroupData[{
Cell[28877, 691, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[29253, 702, 979, 28, 70, "Text"],
Cell[30235, 732, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[30597, 745, 430, 14, 70, "Text"],
Cell[31030, 761, 453, 15, 70, "Text",
 CellID->72123052]
}, Open  ]],
Cell[CellGroupData[{
Cell[31520, 781, 847, 24, 70, "Text"],
Cell[32370, 807, 1206, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature NQjXx@Pn1@XwTB0zZr9bfhMI *)
