(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     25423,        647]
NotebookOptionsPosition[     24323,        605]
NotebookOutlinePosition[     24936,        629]
CellTagsIndexPosition[     24893,        626]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Simple Rational Functions", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"func", ",", " ", 
       RowBox[{"exclude", " ", "=", " ", 
        RowBox[{"Union", "[", 
         RowBox[{"{", 
          RowBox[{"c", ",", "d"}], "}"}], "]"}]}], ",", " ", 
       RowBox[{"removes", " ", "=", " ", 
        RowBox[{"Union", "[", 
         RowBox[{"Flatten", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"MemberQ", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"a", ",", "b"}], "}"}], ",", "c"}], "]"}], ",", "c", 
              ",", 
              RowBox[{"{", "}"}]}], "]"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"MemberQ", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"a", ",", "b"}], "}"}], ",", "d"}], "]"}], ",", "d", 
              ",", 
              RowBox[{"{", "}"}]}], "]"}]}], "}"}], "]"}], "]"}]}]}], "}"}], 
     ",", 
     RowBox[{
      RowBox[{
       RowBox[{"func", "[", "x_", "]"}], ":=", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "a"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"x", "-", "b"}], ")"}]}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "c"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"x", "-", "d"}], ")"}]}], ")"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"removetext", " ", "=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Length", "[", "removes", "]"}], ">", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Switch", "[", 
             RowBox[{
              RowBox[{"Length", "[", "removes", "]"}], ",", 
              "\[IndentingNewLine]", "1", ",", " ", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"\"\< when x \[NotEqual] \>\"", ",", 
                 RowBox[{"removes", "[", 
                  RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "]"}], ",", 
              "\[IndentingNewLine]", "2", ",", " ", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"\"\< when x \[NotEqual] \>\"", ",", 
                 RowBox[{"removes", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", " ", "\"\< or \>\"", 
                 ",", " ", 
                 RowBox[{"removes", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
            ",", "\"\< \>\""}], "]"}]}], "}"}], ",", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"func", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "range"}], ",", "range"}], "}"}]}], ",", 
          RowBox[{"PlotLabel", "\[Rule]", 
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"func", "[", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "]"}], ",", 
              "removetext"}], "}"}], "]"}]}], ",", " ", 
          RowBox[{"ImageSize", "\[Rule]", " ", "350"}], ",", 
          RowBox[{"Exclusions", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"c", ",", "d"}], "}"}]}], ",", 
          RowBox[{"ImagePadding", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"5", ",", "5"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"5", ",", "45"}], "}"}]}], "}"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Prolog", "\[Rule]", " ", 
           RowBox[{"If", "[", 
            RowBox[{"asymptotes", ",", 
             RowBox[{"{", 
              RowBox[{"Yellow", ",", "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"Not", "[", 
                  RowBox[{"MemberQ", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a", ",", "b"}], "}"}], ",", "c"}], "]"}], "]"}], 
                 ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"c", ",", 
                    RowBox[{"-", "range"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"c", ",", "range"}], "}"}]}], "}"}], "]"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"Not", "[", 
                  RowBox[{"MemberQ", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a", ",", "b"}], "}"}], ",", "d"}], "]"}], "]"}], 
                 ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"d", ",", 
                    RowBox[{"-", "range"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"d", ",", "range"}], "}"}]}], "}"}], "]"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{"Limit", "[", 
                    RowBox[{
                    RowBox[{"func", "[", "x", "]"}], ",", 
                    RowBox[{"x", "\[Rule]", " ", "Infinity"}]}], "]"}]}], 
                   "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"10", ",", 
                    RowBox[{"Limit", "[", 
                    RowBox[{
                    RowBox[{"func", "[", "x", "]"}], ",", 
                    RowBox[{"x", "\[Rule]", " ", "Infinity"}]}], "]"}]}], 
                   "}"}]}], "}"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", "}"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"Epilog", "\[Rule]", " ", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Length", "[", "removes", "]"}], ">", "0"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"White", ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{"func", "[", 
                    RowBox[{"#", "-", ".0001"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".2", ",", 
                    RowBox[{"range", "/", "40"}]}], "}"}]}], "]"}], ",", 
                  "\[IndentingNewLine]", "Blue", ",", 
                  RowBox[{"Circle", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{"func", "[", 
                    RowBox[{"#", "-", ".0001"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".2", ",", 
                    RowBox[{"range", "/", "40"}]}], "}"}]}], "]"}]}], "}"}], 
                "&"}], "/@", "removes"}], ",", 
              RowBox[{"{", "}"}]}], "]"}], "}"}]}]}], "]"}]}], "]"}]}]}], 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"range", ",", "20", ",", "\"\<range\>\""}], "}"}], ",", "2", 
     ",", "500", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"Text", "[", 
    RowBox[{"\"\<variables in \>\"", 
     RowBox[{"TraditionalForm", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "-", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}]}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "-", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}]}], ")"}]}], ")"}], 
       "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "-", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<c\>\"", ",", "Italic"}], "]"}]}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "-", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<d\>\"", ",", "Italic"}], "]"}]}], ")"}]}], ")"}]}], 
      "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "6", ",", "\"\<a\>\""}], "}"}], ",", 
     RowBox[{"-", "8"}], ",", "8", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "5", ",", "\"\<b\>\""}], "}"}], ",", 
     RowBox[{"-", "8"}], ",", "8", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "4", ",", "\"\<c\>\""}], "}"}], ",", 
     RowBox[{"-", "8"}], ",", "8", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", "1", ",", "\"\<d\>\""}], "}"}], ",", 
     RowBox[{"-", "8"}], ",", "8", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"asymptotes", ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", " ", "Left"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.38046983746875*^9, {3.380470615359375*^9, 
   3.380470651703125*^9}, {3.38047088434375*^9, 3.380470920421875*^9}, {
   3.3810013815933647`*^9, 3.381001526895477*^9}, {3.3810016540786448`*^9, 
   3.381001654869909*^9}, {3.381001703968341*^9, 3.381001727215477*^9}, 
   3.3816709677726016`*^9, {3.3816710007569766`*^9, 3.3816710026476016`*^9}, {
   3.3816711063194766`*^9, 3.3816711171944766`*^9}, 3.3876453580441732`*^9, {
   3.3876454127160482`*^9, 3.3876454174191732`*^9}, {3.3876454776222982`*^9, 
   3.3876454796066732`*^9}, {3.3894509678632717`*^9, 3.389451143715788*^9}, {
   3.3894511869922757`*^9, 3.389451242924158*^9}, {3.3894512913719883`*^9, 
   3.389451298895745*^9}, {3.3894513428670387`*^9, 3.3894513476512747`*^9}, {
   3.3894555913843875`*^9, 3.38945560205015*^9}, {3.389463293405495*^9, 
   3.389463528958434*^9}, {3.389463933933811*^9, 3.3894640382189646`*^9}, {
   3.38954173640448*^9, 3.389541811085909*^9}, {3.389542094831278*^9, 
   3.3895421718959436`*^9}, {3.389542206242592*^9, 3.389542261687895*^9}, {
   3.389542367131103*^9, 3.3895425722396717`*^9}, {3.389545984864538*^9, 
   3.3895461058388395`*^9}, {3.389713572245515*^9, 3.3897135739876723`*^9}, {
   3.3897136196742535`*^9, 3.389713739312421*^9}, {3.389713773124296*^9, 
   3.3897137898950663`*^9}, {3.3897138330885596`*^9, 
   3.3897139178335133`*^9}, {3.3897141731096635`*^9, 
   3.3897142149815207`*^9}, {3.3897159324520626`*^9, 
   3.3897159786184464`*^9}, {3.389716036491664*^9, 3.3897161015552206`*^9}, {
   3.389718089413621*^9, 3.389718097304968*^9}, {3.390148187186112*^9, 
   3.3901482266027904`*^9}, {3.3901482876205297`*^9, 
   3.3901483137881565`*^9}, {3.3901607542725296`*^9, 3.3901607785574493`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 6, $CellContext`asymptotes$$ = 
    True, $CellContext`b$$ = 5, $CellContext`c$$ = 4, $CellContext`d$$ = 
    1, $CellContext`range$$ = 20, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`range$$], 20, "range"}, 2, 500, 1}, {
      Hold[
       Text[
       "variables in " 
        TraditionalForm[(-Style["a", Italic] + 
           Style["x", Italic]) (-Style["b", Italic] + 
           Style["x", Italic]) (-Style["c", Italic] + 
            Style["x", Italic])^(-1)/(-Style["d", Italic] + 
          Style["x", Italic])]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`a$$], 6, "a"}, -8, 8, 1}, {{
       Hold[$CellContext`b$$], 5, "b"}, -8, 8, 1}, {{
       Hold[$CellContext`c$$], 4, "c"}, -8, 8, 1}, {{
       Hold[$CellContext`d$$], 1, "d"}, -8, 8, 1}, {
      Hold[$CellContext`asymptotes$$], {True, False}}}, Typeset`size$$ = {
    350., {128., 132.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`range$260$$ = 
    0, $CellContext`a$261$$ = 0, $CellContext`b$262$$ = 
    0, $CellContext`c$263$$ = 0, $CellContext`d$264$$ = 
    0, $CellContext`asymptotes$265$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 6, $CellContext`asymptotes$$ = 
        True, $CellContext`b$$ = 5, $CellContext`c$$ = 4, $CellContext`d$$ = 
        1, $CellContext`range$$ = 20}, "ControllerVariables" :> {
        Hold[$CellContext`range$$, $CellContext`range$260$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$261$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$262$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$263$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$264$$, 0], 
        Hold[$CellContext`asymptotes$$, $CellContext`asymptotes$265$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`func$, $CellContext`exclude$ = 
         Union[{$CellContext`c$$, $CellContext`d$$}], $CellContext`removes$ = 
         Union[
           Flatten[{
             If[
              
              MemberQ[{$CellContext`a$$, $CellContext`b$$}, \
$CellContext`c$$], $CellContext`c$$, {}], 
             If[
              
              MemberQ[{$CellContext`a$$, $CellContext`b$$}, \
$CellContext`d$$], $CellContext`d$$, {}]}]]}, $CellContext`func$[
           Pattern[$CellContext`x$, 
            
            Blank[]]] := (($CellContext`x$ - $CellContext`a$$) \
($CellContext`x$ - $CellContext`b$$))/(($CellContext`x$ - $CellContext`c$$) \
($CellContext`x$ - $CellContext`d$$)); 
        With[{$CellContext`removetext$ = 
           If[Length[$CellContext`removes$] > 0, 
             Switch[
              Length[$CellContext`removes$], 1, 
              Row[{" when x \[NotEqual] ", 
                Part[$CellContext`removes$, 1]}], 2, 
              Row[{" when x \[NotEqual] ", 
                Part[$CellContext`removes$, 1], " or ", 
                Part[$CellContext`removes$, 2]}]], " "]}, 
          Plot[
           $CellContext`func$[$CellContext`x], {$CellContext`x, -10, 10}, 
           PlotRange -> {-$CellContext`range$$, $CellContext`range$$}, 
           PlotLabel -> Row[{
              $CellContext`func$[
               Style["x", Italic]], $CellContext`removetext$}], ImageSize -> 
           350, Exclusions -> {$CellContext`c$$, $CellContext`d$$}, 
           ImagePadding -> {{5, 5}, {5, 45}}, Prolog -> 
           If[$CellContext`asymptotes$$, {Yellow, 
              If[
               Not[
                
                MemberQ[{$CellContext`a$$, $CellContext`b$$}, \
$CellContext`c$$]], 
               
               Line[{{$CellContext`c$$, -$CellContext`range$$}, \
{$CellContext`c$$, $CellContext`range$$}}], {}], 
              If[
               Not[
                
                MemberQ[{$CellContext`a$$, $CellContext`b$$}, \
$CellContext`d$$]], 
               
               Line[{{$CellContext`d$$, -$CellContext`range$$}, \
{$CellContext`d$$, $CellContext`range$$}}], {}], 
              Line[{{-10, 
                 Limit[
                  $CellContext`func$[$CellContext`x], $CellContext`x -> 
                  Infinity]}, {10, 
                 Limit[
                  $CellContext`func$[$CellContext`x], $CellContext`x -> 
                  Infinity]}}]}, {}], Epilog -> {
             If[Length[$CellContext`removes$] > 0, 
              Map[{White, 
                Disk[{#, 
                  $CellContext`func$[# - 0.0001]}, {
                 0.2, $CellContext`range$$/40}], Blue, 
                Circle[{#, 
                  $CellContext`func$[# - 0.0001]}, {
                 0.2, $CellContext`range$$/
                  40}]}& , $CellContext`removes$], {}]}]]], 
      "Specifications" :> {{{$CellContext`range$$, 20, "range"}, 2, 500, 1, 
         Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        Text[
        "variables in " 
         TraditionalForm[(-Style["a", Italic] + 
            Style["x", Italic]) (-Style["b", Italic] + 
            Style["x", Italic]) (-Style["c", Italic] + 
             Style["x", Italic])^(-1)/(-Style["d", Italic] + 
           Style["x", Italic])]], {{$CellContext`a$$, 6, "a"}, -8, 8, 1, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`b$$, 5, "b"}, -8, 8, 1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, {{$CellContext`c$$, 4, "c"}, -8, 8, 1,
          Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`d$$, 1, "d"}, -8, 8, 1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, {$CellContext`asymptotes$$, {
         True, False}}}, "Options" :> {ControlPlacement -> Left}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{571., {155., 160.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->452527277]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Simple Rational Functions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SimpleRationalFunctions/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SimpleRationalFunctions/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/SimpleRationalFunctions/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SimpleRationalFunctions/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SimpleRationalFunctions/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Ed Pegg Jr", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->20212186],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
SimpleRationalFunctions"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{751, 646},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Simple Rational Functions - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 217, 4, 71, "Section"],
Cell[CellGroupData[{
Cell[832, 31, 12795, 303, 712, "Input"],
Cell[13630, 336, 6586, 139, 70, "Output",
 CellID->452527277]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[20265, 481, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[20641, 492, 917, 24, 70, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21595, 521, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[21935, 532, 200, 6, 70, "Text",
 CellID->20212186],
Cell[22138, 540, 967, 27, 70, "Text"],
Cell[23108, 569, 1199, 33, 70, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 9TN2k14JmXNhtDpOir2YH2Da *)
