(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     24821,        647]
NotebookOptionsPosition[     23728,        607]
NotebookOutlinePosition[     24365,        631]
CellTagsIndexPosition[     24322,        628]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["A Proof of the Difference Identity for Cosine", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{"reset", ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Alpha]", ",", "\[Beta]", ",", "reset"}], "}"}], "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"2", 
          RowBox[{"\[Pi]", "/", "3"}]}], ",", 
         RowBox[{"\[Pi]", "/", "5"}], ",", "False"}], "}"}]}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"p\[Beta]", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", "\[Beta]", "]"}], ",", 
       RowBox[{"Sin", "[", "\[Beta]", "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"p\[Alpha]\[Beta]", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", 
        RowBox[{"\[Alpha]", "-", "\[Beta]"}], "]"}], ",", 
       RowBox[{"Sin", "[", 
        RowBox[{"\[Alpha]", "-", "\[Beta]"}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"p\[Alpha]", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", "\[Alpha]", "]"}], ",", 
       RowBox[{"Sin", "[", "\[Alpha]", "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Graphics", "[", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Text", "[", 
            RowBox[{"\"\<\!\(\*SubscriptBox[\(P\), \(1\)]\)=(1,0)\>\"", ",", 
             RowBox[{"1.5", "p1"}]}], "]"}], ",", "Black"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Text", "[", 
            RowBox[{
            "\"\<\!\(\*SubscriptBox[\(P\), \
\(\[Beta]\)]\)=(\!\(\*SubscriptBox[\(x\), \(1\)]\),\!\(\*SubscriptBox[\(y\), \
\(1\)]\))\>\"", ",", 
             RowBox[{"1.5", "p\[Beta]"}]}], "]"}], ",", "Orange"}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Text", "[", 
            RowBox[{
            "\"\<\!\(\*SubscriptBox[\(P\), \(\[Alpha] - \
\[Beta]\)]\)=(\!\(\*SubscriptBox[\(x\), \(2\)]\),\!\(\*SubscriptBox[\(y\), \
\(2\)]\))\>\"", ",", 
             RowBox[{"1.5", "p\[Alpha]\[Beta]"}]}], "]"}], ",", 
           RowBox[{"Darker", "[", "Green", "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Text", "[", 
            RowBox[{
            "\"\<\!\(\*SubscriptBox[\(P\), \
\(\[Alpha]\)]\)=(\!\(\*SubscriptBox[\(x\), \(3\)]\),\!\(\*SubscriptBox[\(y\), \
\(3\)]\))\>\"", ",", 
             RowBox[{"1.5", "p\[Alpha]"}]}], "]"}], ",", "Purple"}], "]"}], 
         ",", "\[IndentingNewLine]", "Black", ",", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"AbsoluteThickness", "[", "2", "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Darker", "[", "Green", "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "1.05", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"\[Alpha]", "-", "\[Beta]"}]}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "0.95", ",", 
           RowBox[{"{", 
            RowBox[{"\[Beta]", ",", "\[Alpha]"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", "Purple", ",", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "1.10", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "\[Alpha]"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", "Orange", ",", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "1.15", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "\[Beta]"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", "Red", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{"p1", ",", "p\[Alpha]\[Beta]"}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", "Blue", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{"p\[Beta]", ",", "p\[Alpha]"}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"AbsoluteThickness", "[", "0.5", "]"}], ",", "Black", ",", 
         "Dashed", ",", 
         RowBox[{"AbsolutePointSize", "[", "7", "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Point", "[", "p1", "]"}], ",", "Purple", ",", 
         RowBox[{"Point", "[", "p\[Alpha]", "]"}], ",", "Orange", ",", 
         RowBox[{"Point", "[", "p\[Beta]", "]"}], ",", 
         RowBox[{"Darker", "[", "Green", "]"}], ",", 
         RowBox[{"Point", "[", "p\[Alpha]\[Beta]", "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Lighter", "[", "Red", "]"}], ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", "p1"}], "}"}], "]"}], ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", "p\[Alpha]\[Beta]"}], "}"}],
           "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Lighter", "[", "Blue", "]"}], ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", "p\[Alpha]"}], "}"}], "]"}],
          ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", "p\[Beta]"}], "}"}], 
          "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
      RowBox[{"Axes", "\[Rule]", "False"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "1.8"}], ",", "\[IndentingNewLine]", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"If", "[", 
         RowBox[{"large", ",", "16", ",", "13"}], "]"}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Ticks", "\[Rule]", "None"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"If", "[", 
        RowBox[{"large", ",", 
         RowBox[{"7", "*", "72"}], ",", 
         RowBox[{"4", "*", "72"}]}], "]"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]", ",", 
       RowBox[{"2", 
        RowBox[{"\[Pi]", "/", "3"}]}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<\[Alpha]\>\"", ",", "Purple"}], "]"}]}], "}"}], ",", 
     "\[Beta]", ",", 
     RowBox[{"2", "\[Pi]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Beta]", ",", 
       RowBox[{"\[Pi]", "/", "6"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<\[Beta]\>\"", ",", "Orange"}], "]"}]}], "}"}], ",", "0", 
     ",", "\[Alpha]", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p\[Beta]", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{"\[Pi]", "/", "6"}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{"\[Pi]", "/", "6"}], "]"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p\[Alpha]\[Beta]", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{
           RowBox[{"2", 
            RowBox[{"\[Pi]", "/", "3"}]}], "-", 
           RowBox[{"\[Pi]", "/", "6"}]}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{
           RowBox[{"2", 
            RowBox[{"\[Pi]", "/", "3"}]}], "-", 
           RowBox[{"\[Pi]", "/", "6"}]}], "]"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p\[Alpha]", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{"2", 
           RowBox[{"\[Pi]", "/", "3"}]}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", 
           RowBox[{"\[Pi]", "/", "3"}]}], "]"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"reset", ",", "False"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"large", ",", "False", ",", "\"\<large\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "3"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellFrame->None,
 CellChangeTimes->{{3.393005457306243*^9, 3.393005652599922*^9}, {
   3.3930056853634*^9, 3.3930058789884367`*^9}, {3.393005920296756*^9, 
   3.393006262373468*^9}, {3.39300632068544*^9, 3.393006595183136*^9}, {
   3.393007412667653*^9, 3.393007528215416*^9}, {3.393007658229629*^9, 
   3.3930076634452677`*^9}, {3.393007699478894*^9, 3.393007705699298*^9}, {
   3.3930078233935013`*^9, 3.393007839149633*^9}, 3.393007875134438*^9, {
   3.393007994190713*^9, 3.3930080838030567`*^9}, 3.393008157018486*^9, 
   3.393008387845562*^9, {3.393008935996109*^9, 3.393008960171319*^9}, {
   3.393154548529395*^9, 3.393154642642458*^9}, {3.393154680841195*^9, 
   3.39315470534557*^9}, {3.3931547677701397`*^9, 3.393154779665225*^9}, {
   3.393154888737399*^9, 3.393154956764784*^9}, {3.393155050546383*^9, 
   3.393155073062312*^9}, {3.393155127359742*^9, 3.393155229614676*^9}, {
   3.393155268773041*^9, 3.393155427647278*^9}, {3.393155570301207*^9, 
   3.393155570829199*^9}, {3.393155730146194*^9, 3.393155730779729*^9}, {
   3.393155815605937*^9, 3.393155817341083*^9}, {3.393155914814906*^9, 
   3.393155934728775*^9}, {3.393158342768911*^9, 3.393158473082835*^9}, {
   3.3931585138239527`*^9, 3.3931585167965813`*^9}, {3.4001652506768627`*^9, 
   3.400165319667186*^9}, {3.4020981932861767`*^9, 3.402098276557568*^9}, {
   3.4020987155171967`*^9, 3.402098874322707*^9}, {3.402143511609375*^9, 
   3.40214360225*^9}, 3.4024053882433195`*^9, {3.4024131041964445`*^9, 
   3.4024131188370695`*^9}, {3.4024132929151945`*^9, 
   3.4024133751339445`*^9}, {3.4024135898058195`*^9, 3.4024136370870695`*^9}},
 
 CellID->279465702]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`large$$ = False, $CellContext`p1$$ = {1, 
    0}, $CellContext`p\[Alpha]$$ = {
     Rational[-1, 2], Rational[1, 2] 
     3^Rational[1, 2]}, $CellContext`p\[Alpha]\[Beta]$$ = {0, 
    1}, $CellContext`p\[Beta]$$ = {Rational[1, 2] 3^Rational[1, 2], 
     Rational[1, 2]}, $CellContext`reset$$ = False, $CellContext`\[Alpha]$$ = 
    Rational[2, 3] Pi, $CellContext`\[Beta]$$ = Rational[1, 6] Pi, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Alpha]$$], Rational[2, 3] Pi, 
       Style["\[Alpha]", 
        RGBColor[0.5, 0, 0.5]]}, 
      Dynamic[$CellContext`\[Beta]$$], 2 Pi}, {{
       Hold[$CellContext`\[Beta]$$], Rational[1, 6] Pi, 
       Style["\[Beta]", 
        RGBColor[1, 0.5, 0]]}, 0, 
      Dynamic[$CellContext`\[Alpha]$$]}, {{
       Hold[$CellContext`p1$$], {1, 0}}}, {{
       Hold[$CellContext`p\[Beta]$$], {Rational[1, 2] 3^Rational[1, 2], 
        Rational[1, 2]}}}, {{
       Hold[$CellContext`p\[Alpha]\[Beta]$$], {0, 1}}}, {{
       Hold[$CellContext`p\[Alpha]$$], {
        Rational[-1, 2], Rational[1, 2] 3^Rational[1, 2]}}}, {{
       Hold[$CellContext`reset$$], False}, {True, False}}, {{
       Hold[$CellContext`large$$], False, "large"}, {True, False}}}, 
    Typeset`size$$ = {288., {141., 147.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`\[Alpha]$834$$ = 0, $CellContext`\[Beta]$835$$ = 
    0, $CellContext`reset$836$$ = False, $CellContext`large$837$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`large$$ = 
        False, $CellContext`p1$$ = {1, 0}, $CellContext`p\[Alpha]$$ = {
          Rational[-1, 2], Rational[1, 2] 
          3^Rational[1, 2]}, $CellContext`p\[Alpha]\[Beta]$$ = {0, 
         1}, $CellContext`p\[Beta]$$ = {Rational[1, 2] 3^Rational[1, 2], 
          Rational[1, 2]}, $CellContext`reset$$ = 
        False, $CellContext`\[Alpha]$$ = 
        Rational[2, 3] Pi, $CellContext`\[Beta]$$ = Rational[1, 6] Pi}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Alpha]$$, $CellContext`\[Alpha]$834$$, 0], 
        Hold[$CellContext`\[Beta]$$, $CellContext`\[Beta]$835$$, 0], 
        Hold[$CellContext`reset$$, $CellContext`reset$836$$, False], 
        Hold[$CellContext`large$$, $CellContext`large$837$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`reset$$, {$CellContext`\[Alpha]$$, \
$CellContext`\[Beta]$$, $CellContext`reset$$} = {
          2 (Pi/3), Pi/5, False}]; $CellContext`p\[Beta]$$ = {
          Cos[$CellContext`\[Beta]$$], 
          Sin[$CellContext`\[Beta]$$]}; $CellContext`p\[Alpha]\[Beta]$$ = {
          Cos[$CellContext`\[Alpha]$$ - $CellContext`\[Beta]$$], 
          
          Sin[$CellContext`\[Alpha]$$ - $CellContext`\[Beta]$$]}; \
$CellContext`p\[Alpha]$$ = {
          Cos[$CellContext`\[Alpha]$$], 
          Sin[$CellContext`\[Alpha]$$]}; Show[
         Graphics[{
           Style[
            Text[
            "\!\(\*SubscriptBox[\(P\), \(1\)]\)=(1,0)", 
             1.5 $CellContext`p1$$], Black], 
           Style[
            Text[
            "\!\(\*SubscriptBox[\(P\), \(\[Beta]\)]\)=(\!\(\*SubscriptBox[\(x\
\), \(1\)]\),\!\(\*SubscriptBox[\(y\), \(1\)]\))", 
             1.5 $CellContext`p\[Beta]$$], Orange], 
           Style[
            Text[
            "\!\(\*SubscriptBox[\(P\), \(\[Alpha] - \
\[Beta]\)]\)=(\!\(\*SubscriptBox[\(x\), \(2\)]\),\!\(\*SubscriptBox[\(y\), \
\(2\)]\))", 1.5 $CellContext`p\[Alpha]\[Beta]$$], 
            Darker[Green]], 
           Style[
            Text[
            "\!\(\*SubscriptBox[\(P\), \
\(\[Alpha]\)]\)=(\!\(\*SubscriptBox[\(x\), \(3\)]\),\!\(\*SubscriptBox[\(y\), \
\(3\)]\))", 1.5 $CellContext`p\[Alpha]$$], Purple], Black, 
           Circle[{0, 0}, 1], 
           AbsoluteThickness[2], 
           Darker[Green], 
           
           Circle[{0, 0}, 1.05, {
            0, $CellContext`\[Alpha]$$ - $CellContext`\[Beta]$$}], 
           
           Circle[{0, 0}, 
            0.95, {$CellContext`\[Beta]$$, $CellContext`\[Alpha]$$}], Purple, 
           
           Circle[{0, 0}, 1.1, {0, $CellContext`\[Alpha]$$}], Orange, 
           Circle[{0, 0}, 1.15, {0, $CellContext`\[Beta]$$}], Red, 
           Line[{$CellContext`p1$$, $CellContext`p\[Alpha]\[Beta]$$}], Blue, 
           Line[{$CellContext`p\[Beta]$$, $CellContext`p\[Alpha]$$}], 
           AbsoluteThickness[0.5], Black, Dashed, 
           AbsolutePointSize[7], 
           Point[$CellContext`p1$$], Purple, 
           Point[$CellContext`p\[Alpha]$$], Orange, 
           Point[$CellContext`p\[Beta]$$], 
           Darker[Green], 
           Point[$CellContext`p\[Alpha]\[Beta]$$], 
           Lighter[Red], 
           Arrow[{{0, 0}, $CellContext`p1$$}], 
           Arrow[{{0, 0}, $CellContext`p\[Alpha]\[Beta]$$}], 
           Lighter[Blue], 
           Arrow[{{0, 0}, $CellContext`p\[Alpha]$$}], 
           Arrow[{{0, 0}, $CellContext`p\[Beta]$$}]}], Axes -> False, 
         PlotRange -> 1.8, BaseStyle -> {
           If[$CellContext`large$$, 16, 13]}, Ticks -> None, ImageSize -> 
         If[$CellContext`large$$, 7 72, 4 72]]), 
      "Specifications" :> {{{$CellContext`\[Alpha]$$, Rational[2, 3] Pi, 
          Style["\[Alpha]", 
           RGBColor[0.5, 0, 0.5]]}, 
         Dynamic[$CellContext`\[Beta]$$], 2 Pi, ImageSize -> 
         Small}, {{$CellContext`\[Beta]$$, Rational[1, 6] Pi, 
          Style["\[Beta]", 
           RGBColor[1, 0.5, 0]]}, 0, 
         Dynamic[$CellContext`\[Alpha]$$], ImageSize -> 
         Small}, {{$CellContext`p1$$, {1, 0}}, ControlType -> 
         None}, {{$CellContext`p\[Beta]$$, {Rational[1, 2] 3^Rational[1, 2], 
           Rational[1, 2]}}, ControlType -> 
         None}, {{$CellContext`p\[Alpha]\[Beta]$$, {0, 1}}, ControlType -> 
         None}, {{$CellContext`p\[Alpha]$$, {
           Rational[-1, 2], Rational[1, 2] 3^Rational[1, 2]}}, ControlType -> 
         None}, Delimiter, {{$CellContext`reset$$, False}, {
         True, False}}, {{$CellContext`large$$, False, "large"}, {
         True, False}}}, 
      "Options" :> {
       ControlPlacement -> Left, AutorunSequencing -> {{1, 3}, {2, 3}}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{475., {169., 174.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->221877300],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["A Proof of the Difference Identity for Cosine",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
AProofOfTheDifferenceIdentityForCosine/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/AProofOfTheDifferenceIdentityForCosine/\
"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
AProofOfTheDifferenceIdentityForCosine/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
AProofOfTheDifferenceIdentityForCosine/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/AProofOfTheDifferenceIdentityForCosine/\
"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Eric Schulz",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Eric+Schulz"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Eric+Schulz"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
AProofOfTheDifferenceIdentityForCosine"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"A Proof of the Difference Identity for Cosine - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 237, 4, 70, "Section"],
Cell[830, 29, 11492, 289, 70, "Input",
 CellID->279465702]
}, Open  ]],
Cell[12337, 321, 7088, 146, 70, "Output",
 CellID->221877300],
Cell[CellGroupData[{
Cell[19450, 471, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[19826, 482, 1030, 31, 70, "Text"],
Cell[20859, 515, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[21199, 526, 430, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[21654, 544, 829, 24, 70, "Text"],
Cell[22486, 570, 1214, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 7Qj189lyQdijlA0hPJVErq8f *)
