(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     34984,        880]
NotebookOptionsPosition[     33935,        841]
NotebookOutlinePosition[     34549,        865]
CellTagsIndexPosition[     34506,        862]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Addition Formula for Sine", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Grid", "[", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Gray", ",", " ", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"Sin", "[", "a", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "b", "]"}], ",", " ", 
                  RowBox[{
                   RowBox[{"Sin", "[", "a", "]"}], "+", 
                   RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Cos", "[", "a", "]"}], "+", 
                   RowBox[{"Cos", "[", "b", "]"}]}], ",", " ", 
                  RowBox[{"Sin", "[", "b", "]"}]}], "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], ",", "0"}], "}"}]}], "}"}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Pink", ",", " ", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"Sin", "[", "a", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], ",", "0"}], "}"}]}], "}"}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Yellow", ",", " ", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", " ", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"Sin", "[", "a", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{
                   RowBox[{"Sin", "[", "a", "]"}], "+", 
                   RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "b", "]"}], ",", 
                  RowBox[{
                   RowBox[{"Sin", "[", "a", "]"}], "+", 
                   RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}]}], "}"}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Green", ",", " ", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "b", "]"}], ",", 
                  RowBox[{
                   RowBox[{"Sin", "[", "a", "]"}], "+", 
                   RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Cos", "[", "a", "]"}], "+", 
                   RowBox[{"Cos", "[", "b", "]"}]}], ",", 
                  RowBox[{
                   RowBox[{"Sin", "[", "a", "]"}], "+", 
                   RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Cos", "[", "a", "]"}], "+", 
                   RowBox[{"Cos", "[", "b", "]"}]}], ",", 
                  RowBox[{"Sin", "[", "b", "]"}]}], "}"}]}], "}"}], "]"}]}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Blue", ",", " ", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", " ", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Cos", "[", "a", "]"}], "+", 
                   RowBox[{"Cos", "[", "b", "]"}]}], ",", 
                  RowBox[{"Sin", "[", "b", "]"}]}], "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Cos", "[", "a", "]"}], "+", 
                   RowBox[{"Cos", "[", "b", "]"}]}], ",", "0"}], "}"}]}], 
               "}"}], "]"}]}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"Blue", ",", "Thick", ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", "b", "]"}], ",", " ", 
                 RowBox[{
                  RowBox[{"Sin", "[", "a", "]"}], "+", 
                  RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}], ",", " ", 
               RowBox[{".25", "*", 
                RowBox[{"Cos", "[", "a", "]"}]}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "a"}], ",", " ", "0"}], "}"}]}], "]"}]}], "}"}],
            ",", " ", 
           RowBox[{"{", 
            RowBox[{"Red", ",", " ", "Thick", ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", "a", "]"}], ",", "0"}], "}"}], ",", 
               RowBox[{".25", "*", 
                RowBox[{"Cos", "[", "b", "]"}]}], ",", " ", 
               RowBox[{"{", 
                RowBox[{"0", ",", "b"}], "}"}]}], "]"}]}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"Blue", ",", "Thick", ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"Sin", "[", "a", "]"}]}], "}"}], ",", " ", 
               RowBox[{".25", "*", 
                RowBox[{"Sin", "[", 
                 RowBox[{"a", "+", "b"}], "]"}]}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "a"}], ",", "0"}], "}"}]}], "]"}]}], "}"}], ",",
            " ", 
           RowBox[{"{", 
            RowBox[{"Red", ",", "Thick", ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"Sin", "[", "a", "]"}]}], "}"}], ",", " ", 
               RowBox[{".25", "*", 
                RowBox[{"Sin", "[", 
                 RowBox[{"a", "+", "b"}], "]"}]}], ",", " ", 
               RowBox[{"{", 
                RowBox[{"0", ",", "b"}], "}"}]}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Thick", ",", "Dashed", ",", " ", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"a", "+", "b"}], "\[LessEqual]", 
                RowBox[{"Pi", "/", "2"}]}], ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Cos", "[", "b", "]"}], ",", " ", 
                    RowBox[{
                    RowBox[{"Sin", "[", "a", "]"}], "+", 
                    RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}], ",", " ", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"Sin", "[", "a", "]"}]}], "}"}], "+", 
                   RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{"a", "+", "b"}], "]"}], "*", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "a", "]"}], ",", 
                    RowBox[{"-", 
                    RowBox[{"Sin", "[", "a", "]"}]}]}], "}"}]}]}]}], "}"}], 
                "]"}], ",", " ", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", 
                    RowBox[{"Sin", "[", "a", "]"}]}], "}"}], ",", " ", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "b", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Sin", "[", "a", "]"}], "+", 
                    RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}], "+", 
                   RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{"a", "+", "b"}], "]"}], "*", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Cos", "[", "a", "]"}]}], ",", 
                    RowBox[{"Sin", "[", "a", "]"}]}], "}"}]}]}]}], "}"}], 
                "]"}]}], "]"}]}], "}"}], " ", ",", " ", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<sin(\>\"", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<A\>\"", ",", "Blue", ",", "Italic"}], "]"}], 
                  ",", "\"\<+\>\"", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<B\>\"", ",", "Red", ",", "Italic"}], "]"}], 
                  ",", "\"\<)\>\""}], "}"}], "]"}], ",", "14"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{".5", "*", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], "+", 
                  RowBox[{"Cos", "[", "b", "]"}]}], ")"}]}], ",", " ", 
               RowBox[{".5", "*", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Sin", "[", "a", "]"}], "+", 
                  RowBox[{"Sin", "[", "b", "]"}]}], ")"}]}]}], "}"}]}], 
            "]"}]}], "}"}], ",", " ", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"290", ",", "290"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Gray", ",", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", " ", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", 
             RowBox[{"Rectangle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", "a", "]"}], ",", 
                 RowBox[{"Sin", "[", "b", "]"}]}], "}"}]}], "]"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"Gray", ",", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", 
             RowBox[{"Rectangle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", "a", "]"}], ",", 
                 RowBox[{"Sin", "[", "b", "]"}]}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], "+", 
                  RowBox[{"Cos", "[", "b", "]"}]}], ",", 
                 RowBox[{
                  RowBox[{"Sin", "[", "a", "]"}], "+", 
                  RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}]}], "]"}]}], "}"}],
            ",", 
           RowBox[{"{", 
            RowBox[{"Pink", ",", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", " ", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"Sin", "[", "b", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{
                   RowBox[{"Sin", "[", "a", "]"}], "+", 
                   RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], ",", 
                  RowBox[{
                   RowBox[{"Sin", "[", "a", "]"}], "+", 
                   RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}]}], "}"}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Green", ",", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", " ", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"Sin", "[", "b", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], ",", 
                  RowBox[{"Sin", "[", "b", "]"}]}], "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], ",", 
                  RowBox[{
                   RowBox[{"Sin", "[", "a", "]"}], "+", 
                   RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}]}], "}"}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Blue", ",", " ", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], ",", 
                  RowBox[{"Sin", "[", "b", "]"}]}], "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Cos", "[", "a", "]"}], "+", 
                   RowBox[{"Cos", "[", "b", "]"}]}], ",", 
                  RowBox[{"Sin", "[", "b", "]"}]}], "}"}]}], "}"}], "]"}]}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Yellow", ",", " ", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Cos", "[", "a", "]"}], "+", 
                   RowBox[{"Cos", "[", "b", "]"}]}], ",", "0"}], "}"}], ",", 
                " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Cos", "[", "a", "]"}], "+", 
                   RowBox[{"Cos", "[", "b", "]"}]}], ",", 
                  RowBox[{"Sin", "[", "b", "]"}]}], "}"}]}], "}"}], "]"}]}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Red", ",", " ", "Thick", ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], "+", 
                  RowBox[{"Cos", "[", "b", "]"}]}], ",", 
                 RowBox[{"Sin", "[", "b", "]"}]}], "}"}], ",", 
               RowBox[{".25", "*", 
                RowBox[{"Cos", "[", "b", "]"}]}], ",", " ", 
               RowBox[{"{", 
                RowBox[{"Pi", ",", " ", 
                 RowBox[{"Pi", "+", "b"}]}], "}"}]}], "]"}]}], "}"}], ",", 
           " ", 
           RowBox[{"{", 
            RowBox[{"Blue", ",", " ", "Thick", ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"Sin", "[", "b", "]"}]}], "}"}], ",", 
               RowBox[{".25", "*", 
                RowBox[{"Cos", "[", "a", "]"}]}], ",", " ", 
               RowBox[{"{", 
                RowBox[{"0", ",", " ", "a"}], "}"}]}], "]"}]}], "}"}], ",", 
           " ", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<cos(\>\"", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<A\>\"", ",", "Blue", ",", "Italic"}], "]"}], 
                  ",", "\"\<) sin(\>\"", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<B\>\"", ",", "Red", ",", "Italic"}], "]"}], 
                  ",", "\"\<)\>\""}], "}"}], "]"}], ",", "14"}], "]"}], ",", 
             " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{".5", "*", 
                RowBox[{"Cos", "[", "a", "]"}]}], ",", 
               RowBox[{".5", "*", 
                RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}]}], "]"}], ",", " ", 
           
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<sin(\>\"", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<A\>\"", ",", "Blue", ",", "Italic"}], "]"}], 
                  ",", "\"\<) cos(\>\"", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<B\>\"", ",", "Red", ",", "Italic"}], "]"}], 
                  ",", "\"\<)\>\""}], "}"}], "]"}], ",", "14"}], "]"}], ",", 
             " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Cos", "[", "a", "]"}], "+", 
                RowBox[{".5", "*", 
                 RowBox[{"Cos", "[", "b", "]"}]}]}], ",", 
               RowBox[{
                RowBox[{"Sin", "[", "b", "]"}], "+", 
                RowBox[{".5", "*", 
                 RowBox[{"Sin", "[", "a", "]"}]}]}]}], "}"}]}], "]"}]}], 
          "}"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"290", ",", "290"}], "}"}]}]}], "]"}]}], "}"}], "}"}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"Pi", "/", "4"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<angle A\>\"", ",", " ", "Blue"}], "]"}]}], "}"}], ",", 
     " ", "0", ",", 
     RowBox[{"Pi", "/", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", 
       RowBox[{"Pi", "/", "4"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<angle B\>\"", ",", " ", "Red"}], "]"}]}], "}"}], ",", 
     " ", "0", ",", 
     RowBox[{"Pi", "/", "2"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3900447988218*^9, 3.3900448057188*^9}, {
   3.3900451263487997`*^9, 3.3900451347268*^9}, {3.3900467488538*^9, 
   3.3900467578078003`*^9}, {3.3900467922918*^9, 3.3900468061678*^9}, {
   3.3900619278948*^9, 3.3900619456198*^9}, {3.3900619876387997`*^9, 
   3.3900620181218*^9}, {3.3900625681458*^9, 3.3900625721378*^9}, {
   3.3900626749348*^9, 3.3900626798208*^9}, {3.3900627291328*^9, 
   3.3900627931778*^9}, {3.3900628233398*^9, 3.3900628794838*^9}, {
   3.3900630088218*^9, 3.3900630203768*^9}, {3.3900630651038*^9, 
   3.3900630698798*^9}, {3.3900631135438004`*^9, 3.3900631155758*^9}, {
   3.3900632232588*^9, 3.3900632285467997`*^9}, {3.3900632617998*^9, 
   3.3900632642288*^9}, {3.3901311919729176`*^9, 3.3901314333010426`*^9}, {
   3.390136547809949*^9, 3.3901365558254194`*^9}, {3.390137293983122*^9, 
   3.3901373470133533`*^9}, {3.3906471923249025`*^9, 3.3906471987624025`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = Rational[1, 4] Pi, $CellContext`b$$ = 
    Rational[1, 4] Pi, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], Rational[1, 4] Pi, 
       Style["angle A", 
        RGBColor[0, 0, 1]]}, 0, Rational[1, 2] Pi}, {{
       Hold[$CellContext`b$$], Rational[1, 4] Pi, 
       Style["angle B", 
        RGBColor[1, 0, 0]]}, 0, Rational[1, 2] Pi}}, Typeset`size$$ = {
    588., {142.5, 147.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$9763$$ = 
    0, $CellContext`b$9764$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = Rational[1, 4] Pi, $CellContext`b$$ = 
        Rational[1, 4] Pi}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$9763$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$9764$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Grid[{{
          Graphics[{{Gray, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{0, 
                Sin[$CellContext`a$$]}, {
                Cos[$CellContext`b$$], Sin[$CellContext`a$$] + 
                Sin[$CellContext`b$$]}, {
               Cos[$CellContext`a$$] + Cos[$CellContext`b$$], 
                Sin[$CellContext`b$$]}, {
                Cos[$CellContext`a$$], 0}}]}, {Pink, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{0, 0}, {0, 
                Sin[$CellContext`a$$]}, {
                Cos[$CellContext`a$$], 0}}]}, {Yellow, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{0, 
                Sin[$CellContext`a$$]}, {
               0, Sin[$CellContext`a$$] + Sin[$CellContext`b$$]}, {
                Cos[$CellContext`b$$], Sin[$CellContext`a$$] + 
                Sin[$CellContext`b$$]}}]}, {Green, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{
                Cos[$CellContext`b$$], Sin[$CellContext`a$$] + 
                Sin[$CellContext`b$$]}, {
               Cos[$CellContext`a$$] + Cos[$CellContext`b$$], 
                Sin[$CellContext`a$$] + Sin[$CellContext`b$$]}, {
               Cos[$CellContext`a$$] + Cos[$CellContext`b$$], 
                Sin[$CellContext`b$$]}}]}, {Blue, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{Cos[$CellContext`a$$] + Cos[$CellContext`b$$], 
                Sin[$CellContext`b$$]}, {
                Cos[$CellContext`a$$], 0}, {
               Cos[$CellContext`a$$] + Cos[$CellContext`b$$], 0}}]}, {
            Blue, Thick, 
             Circle[{
               Cos[$CellContext`b$$], Sin[$CellContext`a$$] + 
               Sin[$CellContext`b$$]}, 0.25 
              Cos[$CellContext`a$$], {-$CellContext`a$$, 0}]}, {Red, Thick, 
             Circle[{
               Cos[$CellContext`a$$], 0}, 0.25 Cos[$CellContext`b$$], {
              0, $CellContext`b$$}]}, {Blue, Thick, 
             Circle[{0, 
               Sin[$CellContext`a$$]}, 0.25 
              Sin[$CellContext`a$$ + $CellContext`b$$], {-$CellContext`a$$, 
               0}]}, {Red, Thick, 
             Circle[{0, 
               Sin[$CellContext`a$$]}, 0.25 
              Sin[$CellContext`a$$ + $CellContext`b$$], {
              0, $CellContext`b$$}]}, {Thick, Dashed, 
             If[$CellContext`a$$ + $CellContext`b$$ <= Pi/2, 
              Line[{{
                 Cos[$CellContext`b$$], Sin[$CellContext`a$$] + 
                 Sin[$CellContext`b$$]}, {0, 
                  Sin[$CellContext`a$$]} + 
                Cos[$CellContext`a$$ + $CellContext`b$$] {
                   Cos[$CellContext`a$$], -Sin[$CellContext`a$$]}}], 
              Line[{{0, 
                 Sin[$CellContext`a$$]}, {
                  Cos[$CellContext`b$$], Sin[$CellContext`a$$] + 
                  Sin[$CellContext`b$$]} + 
                Cos[$CellContext`a$$ + $CellContext`b$$] {-
                   Cos[$CellContext`a$$], 
                   Sin[$CellContext`a$$]}}]]}, 
            Text[
             Style[
              Row[{"sin(", 
                Style["A", Blue, Italic], "+", 
                Style["B", Red, Italic], ")"}], 14], {
             0.5 (Cos[$CellContext`a$$] + Cos[$CellContext`b$$]), 
              0.5 (Sin[$CellContext`a$$] + Sin[$CellContext`b$$])}]}, 
           ImageSize -> {290, 290}], 
          Graphics[{{Gray, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Rectangle[{0, 0}, {
               Cos[$CellContext`a$$], 
               Sin[$CellContext`b$$]}]}, {Gray, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Rectangle[{
               Cos[$CellContext`a$$], 
               Sin[$CellContext`b$$]}, {
              Cos[$CellContext`a$$] + Cos[$CellContext`b$$], 
               Sin[$CellContext`a$$] + Sin[$CellContext`b$$]}]}, {Pink, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{0, 
                Sin[$CellContext`b$$]}, {
               0, Sin[$CellContext`a$$] + Sin[$CellContext`b$$]}, {
                Cos[$CellContext`a$$], Sin[$CellContext`a$$] + 
                Sin[$CellContext`b$$]}}]}, {Green, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{0, 
                Sin[$CellContext`b$$]}, {
                Cos[$CellContext`a$$], 
                Sin[$CellContext`b$$]}, {
                Cos[$CellContext`a$$], Sin[$CellContext`a$$] + 
                Sin[$CellContext`b$$]}}]}, {Blue, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{
                Cos[$CellContext`a$$], 0}, {
                Cos[$CellContext`a$$], 
                Sin[$CellContext`b$$]}, {
               Cos[$CellContext`a$$] + Cos[$CellContext`b$$], 
                Sin[$CellContext`b$$]}}]}, {Yellow, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{
                Cos[$CellContext`a$$], 0}, {
               Cos[$CellContext`a$$] + Cos[$CellContext`b$$], 0}, {
               Cos[$CellContext`a$$] + Cos[$CellContext`b$$], 
                Sin[$CellContext`b$$]}}]}, {Red, Thick, 
             Circle[{Cos[$CellContext`a$$] + Cos[$CellContext`b$$], 
               Sin[$CellContext`b$$]}, 0.25 Cos[$CellContext`b$$], {
              Pi, Pi + $CellContext`b$$}]}, {Blue, Thick, 
             Circle[{0, 
               Sin[$CellContext`b$$]}, 0.25 Cos[$CellContext`a$$], {
              0, $CellContext`a$$}]}, 
            Text[
             Style[
              Row[{"cos(", 
                Style["A", Blue, Italic], ") sin(", 
                Style["B", Red, Italic], ")"}], 14], {
             0.5 Cos[$CellContext`a$$], 0.5 Sin[$CellContext`b$$]}], 
            Text[
             Style[
              Row[{"sin(", 
                Style["A", Blue, Italic], ") cos(", 
                Style["B", Red, Italic], ")"}], 14], {
             Cos[$CellContext`a$$] + 0.5 Cos[$CellContext`b$$], 
              Sin[$CellContext`b$$] + 0.5 Sin[$CellContext`a$$]}]}, 
           ImageSize -> {290, 290}]}}], 
      "Specifications" :> {{{$CellContext`a$$, Rational[1, 4] Pi, 
          Style["angle A", 
           RGBColor[0, 0, 1]]}, 0, Rational[1, 2] 
         Pi}, {{$CellContext`b$$, Rational[1, 4] Pi, 
          Style["angle B", 
           RGBColor[1, 0, 0]]}, 0, Rational[1, 2] Pi}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{632., {200., 205.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->849339383],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Addition Formula for Sine",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AdditionFormulaForSine/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/AdditionFormulaForSine/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/AdditionFormulaForSine/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AdditionFormulaForSine/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/AdditionFormulaForSine/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Chris Boucher",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
AdditionFormulaForSine"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Addition Formula for Sine - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 217, 4, 70, "Section"],
Cell[810, 29, 20528, 491, 70, "Input"]
}, Open  ]],
Cell[21353, 523, 8269, 182, 70, "Output",
 CellID->849339383],
Cell[CellGroupData[{
Cell[29647, 709, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[30023, 720, 912, 24, 70, "Text"],
Cell[30938, 746, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[31278, 757, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[31739, 775, 967, 27, 70, "Text"],
Cell[32709, 804, 1198, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature MQjCNO1opykTYCD7LeL7MLGj *)
