(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     14686,        412]
NotebookOptionsPosition[     13516,        368]
NotebookOutlinePosition[     14185,        393]
CellTagsIndexPosition[     14142,        390]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Algebraic Values of Trigonometric Functions of Inverse Trigonometric \
Functions\
\>", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Grid", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Item", "[", 
         RowBox[{"\"\<\>\"", ",", 
          RowBox[{"ItemSize", "\[Rule]", "2"}]}], "]"}], ",", "\"\<\>\"", ",",
         
        RowBox[{"Item", "[", 
         RowBox[{"\"\<\>\"", ",", 
          RowBox[{"ItemSize", "\[Rule]", "2"}]}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Item", "[", 
         RowBox[{"\"\<\>\"", ",", 
          RowBox[{"ItemSize", "\[Rule]", "2"}]}], "]"}], ",", 
        RowBox[{"Pane", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{"TraditionalForm", "[", 
            RowBox[{
             RowBox[{"Block", "[", 
              RowBox[{
               RowBox[{"Evaluate", "[", 
                RowBox[{"{", 
                 RowBox[{"f", ",", "g"}], "}"}], "]"}], ",", 
               RowBox[{"HoldForm", " ", "@@", " ", 
                RowBox[{"{", 
                 RowBox[{"f", "[", 
                  RowBox[{"n", " ", 
                   RowBox[{"g", "[", 
                    RowBox[{"m", " ", "x"}], "]"}]}], "]"}], " ", "}"}]}]}], 
              "]"}], "==", "\[IndentingNewLine]", 
             RowBox[{"Quiet", "@", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"f", "[", 
                  RowBox[{"n", " ", 
                   RowBox[{"g", "[", 
                    RowBox[{"m", " ", "x"}], "]"}]}], "]"}], " ", "//", " ", 
                 "TrigExpand"}], " ", "//", " ", "Factor"}], ")"}]}]}], "]"}],
            "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"500", ",", 
            RowBox[{"If", "[", 
             RowBox[{"scale", ",", "400", ",", "Automatic"}], "]"}]}], "}"}], 
          ",", 
          RowBox[{"Alignment", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Left", ",", "Top"}], "}"}]}], ",", 
          RowBox[{"ImageSizeAction", "\[Rule]", 
           RowBox[{"If", "[", 
            RowBox[{
            "scale", ",", "\"\<ShrinkToFit\>\"", ",", "\"\<Clip\>\""}], 
            "]"}]}]}], "]"}], ",", 
        RowBox[{"Item", "[", 
         RowBox[{"\"\<\>\"", ",", 
          RowBox[{"ItemSize", "\[Rule]", "2"}]}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Item", "[", 
         RowBox[{"\"\<\>\"", ",", 
          RowBox[{"ItemSize", "\[Rule]", "2"}]}], "]"}], ",", "\"\<\>\"", ",",
         
        RowBox[{"Item", "[", 
         RowBox[{"\"\<\>\"", ",", 
          RowBox[{"ItemSize", "\[Rule]", "2"}]}], "]"}]}], "}"}]}], "}"}], 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", " ", "Sin"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "Sin", ",", "Cos", ",", " ", "Tan", ",", "Cot", ",", "Sec", ",", " ", 
       "Csc"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"g", ",", " ", "ArcSin"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "ArcSin", ",", "ArcCos", ",", " ", "ArcTan", ",", "ArcCot", ",", 
       "ArcSec", ",", " ", "ArcCsc"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "12"}], "}"}], ",", 
     RowBox[{"-", "60"}], ",", "60", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "12"}], "}"}], ",", 
     RowBox[{"-", "60"}], ",", "60", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"scale", ",", "True", ",", "\"\<scale results\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35472548203125*^9, {3.3547255383125*^9, 3.35472555825*^9}, {
   3.35686844565751*^9, 3.35686846057738*^9}, {3.35844756325*^9, 
   3.35844757390625*^9}, {3.36040164340723*^9, 3.3604016468283*^9}, {
   3.36040182708063*^9, 3.36040185543442*^9}, {3.36345371948428*^9, 
   3.36345374159365*^9}, {3.36345392317178*^9, 3.36345394746865*^9}, {
   3.36345398420303*^9, 3.36345398653115*^9}, {3.36914092659487*^9, 
   3.3691409475313*^9}, {3.36914097762351*^9, 3.36914098576372*^9}, {
   3.3860772781278944`*^9, 3.3860772805653944`*^9}, {3.3860773364716444`*^9, 
   3.3860773838310194`*^9}, {3.38663805382544*^9, 3.386638054095829*^9}},
 CellID->23094803]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`f$$ = Sin, $CellContext`g$$ = 
    ArcSin, $CellContext`m$$ = 12, $CellContext`n$$ = 
    12, $CellContext`scale$$ = True, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`f$$], Sin}, {Sin, Cos, Tan, Cot, Sec, Csc}}, {{
       Hold[$CellContext`g$$], ArcSin}, {
      ArcSin, ArcCos, ArcTan, ArcCot, ArcSec, ArcCsc}}, {{
       Hold[$CellContext`n$$], 12}, -60, 60, 1}, {{
       Hold[$CellContext`m$$], 12}, -60, 60, 1}, {{
       Hold[$CellContext`scale$$], True, "scale results"}, {True, False}}}, 
    Typeset`size$$ = {568., {213., 218.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True, $CellContext`f$6618$$ =
     0, $CellContext`g$6619$$ = 0, $CellContext`n$6620$$ = 
    0, $CellContext`m$6621$$ = 0, $CellContext`scale$6622$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`f$$ = Sin, $CellContext`g$$ = 
        ArcSin, $CellContext`m$$ = 12, $CellContext`n$$ = 
        12, $CellContext`scale$$ = True}, "ControllerVariables" :> {
        Hold[$CellContext`f$$, $CellContext`f$6618$$, 0], 
        Hold[$CellContext`g$$, $CellContext`g$6619$$, 0], 
        Hold[$CellContext`n$$, $CellContext`n$6620$$, 0], 
        Hold[$CellContext`m$$, $CellContext`m$6621$$, 0], 
        Hold[$CellContext`scale$$, $CellContext`scale$6622$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Grid[{{
          Item["", ItemSize -> 2], "", 
          Item["", ItemSize -> 2]}, {
          Item["", ItemSize -> 2], 
          Pane[
           Text[
            TraditionalForm[Block[
               Evaluate[{$CellContext`f$$, $CellContext`g$$}], 
               Apply[HoldForm, {
                 $CellContext`f$$[$CellContext`n$$ \
$CellContext`g$$[$CellContext`m$$ $CellContext`x]]}]] == Quiet[
               Factor[
                TrigExpand[
                 $CellContext`f$$[$CellContext`n$$ \
$CellContext`g$$[$CellContext`m$$ $CellContext`x]]]]]]], {500, 
            If[$CellContext`scale$$, 400, Automatic]}, 
           Alignment -> {Left, Top}, ImageSizeAction -> 
           If[$CellContext`scale$$, "ShrinkToFit", "Clip"]], 
          Item["", ItemSize -> 2]}, {
          Item["", ItemSize -> 2], "", 
          Item["", ItemSize -> 2]}}], 
      "Specifications" :> {{{$CellContext`f$$, Sin}, {
         Sin, Cos, Tan, Cot, Sec, Csc}}, {{$CellContext`g$$, ArcSin}, {
         ArcSin, ArcCos, ArcTan, ArcCot, ArcSec, ArcCsc}}, {{$CellContext`n$$,
           12}, -60, 60, 1}, {{$CellContext`m$$, 12}, -60, 60, 
         1}, {{$CellContext`scale$$, True, "scale results"}, {True, False}}}, 
      "Options" :> {AutorunSequencing -> {1, 2, 3, 4}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{612., {304., 309.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->73860458],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Algebraic Values of Trigonometric Functions of Inverse \
Trigonometric Functions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
AlgebraicValuesOfTrigonometricFunctionsOfInverseTrigonometri/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
AlgebraicValuesOfTrigonometricFunctionsOfInverseTrigonometri/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
AlgebraicValuesOfTrigonometricFunctionsOfInverseTrigonometri/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
AlgebraicValuesOfTrigonometricFunctionsOfInverseTrigonometri/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
AlgebraicValuesOfTrigonometricFunctionsOfInverseTrigonometri/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["\<\

Contributed by: Michael Trott\
\>", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->489157207]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
AlgebraicValuesOfTrigonometricFunctionsOfInverseTrigonometri"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Algebraic Values of Trigonometric Functions of Inverse \
Trigonometric Functions - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 280, 7, 70, "Section"],
Cell[873, 32, 4622, 120, 70, "Input",
 CellID->23094803]
}, Open  ]],
Cell[5510, 155, 3581, 71, 70, "Output",
 CellID->73860458],
Cell[CellGroupData[{
Cell[9116, 230, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9492, 241, 1175, 32, 70, "Text"],
Cell[CellGroupData[{
Cell[10692, 277, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[11032, 288, 213, 9, 70, "Text",
 CellID->489157207]
}, Open  ]],
Cell[CellGroupData[{
Cell[11282, 302, 967, 27, 70, "Text"],
Cell[12252, 331, 1236, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature QQNHsZjKwJhWfAptgWfb9LlS *)
