(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     13479,        396]
NotebookOptionsPosition[     12418,        357]
NotebookOutlinePosition[     13051,        381]
CellTagsIndexPosition[     13008,        378]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Cofunction Identities for Sine and Cosine", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Blue", ",", " ", 
         RowBox[{"Opacity", "[", ".3", "]"}], ",", 
         RowBox[{"EdgeForm", "[", "Black", "]"}], ",", 
         RowBox[{"Polygon", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "a", "]"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "a", "]"}], ",", 
              RowBox[{"Sin", "[", "a", "]"}]}], "}"}]}], "}"}], "]"}]}], 
        "}"}], ",", "  ", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", " ", "Red", ",", " ", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{".25", "*", 
            RowBox[{"Cos", "[", "a", "]"}]}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"0", ",", "a"}], "}"}]}], "]"}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", " ", "Blue", ",", " ", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Cos", "[", "a", "]"}], ",", " ", 
             RowBox[{"Sin", "[", "a", "]"}]}], "}"}], ",", 
           RowBox[{".25", "*", 
            RowBox[{"Cos", "[", 
             RowBox[{
              RowBox[{"Pi", "/", "2"}], "-", "a"}], "]"}]}], ",", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Pi", "+", "a"}], ",", 
             RowBox[{"3", "*", 
              RowBox[{"Pi", "/", "2"}]}]}], "}"}]}], "]"}]}], "}"}], ",", " ",
        
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<1\>\"", ",", "16"}], "]"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Cos", "[", "a", "]"}], "/", "2"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"Sin", "[", "a", "]"}], "/", "2"}], "+", ".05"}]}], 
           "}"}]}], "]"}], "}"}], ",", " ", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<cos(\>\"", ",", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<A\>\"", ",", "Red"}], "]"}], ",", 
              "\"\<) = sin(\>\"", ",", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<\[Pi]/2-A\>\"", ",", "Blue"}], "]"}], ",", 
              "\"\<)\>\""}], "}"}], "]"}], ",", " ", "14"}], "]"}], ",", " ", 
         
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "a", "]"}], "/", "2"}], ",", 
           RowBox[{"-", ".03"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"\"\<sin(\>\"", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<A\>\"", ",", "Red"}], "]"}], ",", 
               "\"\<) = cos(\>\"", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<\[Pi]/2-A\>\"", ",", "Blue"}], "]"}], ",", 
               "\"\<)\>\""}], "}"}], "]"}], ",", "14"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Cos", "[", "a", "]"}], "+", ".03"}], ",", " ", 
            RowBox[{
             RowBox[{"Sin", "[", "a", "]"}], "/", "2"}]}], "}"}], ",", " ", 
          "Automatic", ",", " ", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "}"}]}], "}"}], ",", " ", 
     
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"Pi", "/", "4"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<angle A\>\"", ",", " ", "Red"}], "]"}]}], "}"}], ",", 
     " ", "0", ",", 
     RowBox[{"Pi", "/", "2"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3903224150880003`*^9, 3.390322433769*^9}, {
   3.3903243217556925`*^9, 3.3903244340056925`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = Rational[1, 4] Pi, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], Rational[1, 4] Pi, 
       Style["angle A", 
        RGBColor[1, 0, 0]]}, 0, Rational[1, 2] Pi}}, Typeset`size$$ = {
    400., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$28047$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`a$$ = Rational[1, 4] Pi}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$28047$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{{Blue, 
          Opacity[0.3], 
          EdgeForm[Black], 
          Polygon[{{0, 0}, {
             Cos[$CellContext`a$$], 0}, {
             Cos[$CellContext`a$$], 
             Sin[$CellContext`a$$]}}]}, {Thick, Red, 
          
          Circle[{0, 0}, 0.25 Cos[$CellContext`a$$], {
           0, $CellContext`a$$}]}, {Thick, Blue, 
          Circle[{
            Cos[$CellContext`a$$], 
            Sin[$CellContext`a$$]}, 0.25 Cos[Pi/2 - $CellContext`a$$], {
           Pi + $CellContext`a$$, 3 (Pi/2)}]}, {
          Text[
           Style["1", 16], {
           Cos[$CellContext`a$$]/2, Sin[$CellContext`a$$]/2 + 0.05}]}, 
         Text[
          Style[
           Row[{"cos(", 
             Style["A", Red], ") = sin(", 
             Style["\[Pi]/2-A", Blue], ")"}], 14], {
          Cos[$CellContext`a$$]/2, -0.03}], {
          Text[
           Style[
            Row[{"sin(", 
              Style["A", Red], ") = cos(", 
              Style["\[Pi]/2-A", Blue], ")"}], 14], {
           Cos[$CellContext`a$$] + 0.03, Sin[$CellContext`a$$]/2}, 
           Automatic, {0, 1}]}}, ImageSize -> {400, 400}], 
      "Specifications" :> {{{$CellContext`a$$, Rational[1, 4] Pi, 
          Style["angle A", 
           RGBColor[1, 0, 0]]}, 0, Rational[1, 2] Pi}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {241., 246.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->10220562],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Cofunction Identities for Sine and Cosine",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
CofunctionIdentitiesForSineAndCosine/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/CofunctionIdentitiesForSineAndCosine/"],\

 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
CofunctionIdentitiesForSineAndCosine/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
CofunctionIdentitiesForSineAndCosine/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/CofunctionIdentitiesForSineAndCosine/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Chris Boucher",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
CofunctionIdentitiesForSineAndCosine"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Cofunction Identities for Sine and Cosine - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 233, 4, 70, "Section"],
Cell[826, 29, 4479, 122, 70, "Input"]
}, Open  ]],
Cell[5320, 154, 2807, 64, 70, "Output",
 CellID->10220562],
Cell[CellGroupData[{
Cell[8152, 222, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[8528, 233, 1014, 30, 70, "Text"],
Cell[9545, 265, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9885, 276, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[10346, 294, 829, 24, 70, "Text"],
Cell[11178, 320, 1212, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature zQzEI5p7VzQc5DTil9REmpzg *)
