(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     41556,       1054]
NotebookOptionsPosition[     40445,       1013]
NotebookOutlinePosition[     41063,       1037]
CellTagsIndexPosition[     41020,       1034]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Difference Formula for Cosine", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"sqdist", "[", 
    RowBox[{"pt1_", ",", "pt2_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"First", "[", "pt1", "]"}], "-", 
       RowBox[{"First", "[", "pt2", "]"}]}], ")"}], "^", "2"}], " ", "+", " ",
     
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Last", "[", "pt1", "]"}], "-", 
       RowBox[{"Last", "[", "pt2", "]"}]}], ")"}], "^", "2"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"perp", "[", 
    RowBox[{"pt1_", ",", "pt2_", ",", "pt3_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"t", "*", "pt2"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "t"}], ")"}], "*", "pt3"}]}], "/.", 
    RowBox[{"First", "[", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"sqdist", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"t", "*", "pt2"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "-", "t"}], ")"}], "*", "pt3"}]}], ",", "pt1"}], 
           "]"}], ",", "t"}], "]"}], "\[Equal]", "0"}], ",", "t"}], "]"}], 
     "]"}]}]}], ";"}]}], "Input",
 CellID->281352520],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Grid", "[", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Gray", ",", " ", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"Cos", "[", "a", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "b", "]"}], ",", " ", 
                  RowBox[{
                   RowBox[{"Cos", "[", "a", "]"}], "+", 
                   RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Sin", "[", "a", "]"}], "+", 
                   RowBox[{"Cos", "[", "b", "]"}]}], ",", " ", 
                  RowBox[{"Sin", "[", "b", "]"}]}], "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sin", "[", "a", "]"}], ",", "0"}], "}"}]}], "}"}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Pink", ",", " ", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"Cos", "[", "a", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sin", "[", "a", "]"}], ",", "0"}], "}"}]}], "}"}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Yellow", ",", " ", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", " ", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"Cos", "[", "a", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{
                   RowBox[{"Cos", "[", "a", "]"}], "+", 
                   RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "b", "]"}], ",", 
                  RowBox[{
                   RowBox[{"Cos", "[", "a", "]"}], "+", 
                   RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}]}], "}"}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Green", ",", " ", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "b", "]"}], ",", 
                  RowBox[{
                   RowBox[{"Cos", "[", "a", "]"}], "+", 
                   RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Sin", "[", "a", "]"}], "+", 
                   RowBox[{"Cos", "[", "b", "]"}]}], ",", 
                  RowBox[{
                   RowBox[{"Cos", "[", "a", "]"}], "+", 
                   RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Sin", "[", "a", "]"}], "+", 
                   RowBox[{"Cos", "[", "b", "]"}]}], ",", 
                  RowBox[{"Sin", "[", "b", "]"}]}], "}"}]}], "}"}], "]"}]}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Blue", ",", " ", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", " ", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Sin", "[", "a", "]"}], ",", "0"}], "}"}], ",", " ",
                 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Sin", "[", "a", "]"}], "+", 
                   RowBox[{"Cos", "[", "b", "]"}]}], ",", 
                  RowBox[{"Sin", "[", "b", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Sin", "[", "a", "]"}], "+", 
                   RowBox[{"Cos", "[", "b", "]"}]}], ",", "0"}], "}"}]}], 
               "}"}], "]"}]}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"Blue", ",", "Thick", ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Sin", "[", "a", "]"}], "+", 
                  RowBox[{"Cos", "[", "b", "]"}]}], ",", " ", 
                 RowBox[{"Sin", "[", "b", "]"}]}], "}"}], ",", " ", 
               RowBox[{".25", "*", 
                RowBox[{"Cos", "[", "a", "]"}]}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Pi", "/", "2"}], ",", 
                 RowBox[{
                  RowBox[{"Pi", "/", "2"}], "+", "a"}]}], "}"}]}], "]"}]}], 
            "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"Blue", ",", "Thick", ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"Cos", "[", "a", "]"}]}], "}"}], ",", " ", 
               RowBox[{".25", "*", 
                RowBox[{"Cos", "[", "a", "]"}]}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"3", "*", 
                  RowBox[{"Pi", "/", "2"}]}], ",", 
                 RowBox[{
                  RowBox[{"3", "*", 
                   RowBox[{"Pi", "/", "2"}]}], "+", "a"}]}], "}"}]}], "]"}]}],
             "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Red", ",", " ", "Thick", ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Sin", "[", "a", "]"}], ",", "0"}], "}"}], ",", 
               RowBox[{".25", "*", 
                RowBox[{"Cos", "[", "b", "]"}]}], ",", " ", 
               RowBox[{"{", 
                RowBox[{"0", ",", "b"}], "}"}]}], "]"}]}], "}"}], " ", ",", 
           RowBox[{"{", 
            RowBox[{"Red", ",", " ", "Thick", ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", "b", "]"}], ",", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], "+", 
                  RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}], ",", 
               RowBox[{".25", "*", 
                RowBox[{"Cos", "[", "b", "]"}]}], ",", " ", 
               RowBox[{"{", 
                RowBox[{"Pi", ",", 
                 RowBox[{"Pi", "+", "b"}]}], "}"}]}], "]"}]}], "}"}], " ", 
           ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Grid", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<cos(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<A\>\"", ",", "Blue", ",", "Italic"}], "]"}], 
                    ",", "\"\<-\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<B\>\"", ",", "Red", ",", "Italic"}], "]"}], 
                    ",", "\"\<) = \>\""}], "}"}], "]"}], ",", "14"}], "]"}], 
                 "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<sin(\[Pi]/2-(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<A\>\"", ",", "Blue", ",", "Italic"}], "]"}], 
                    ",", "\"\<-\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<B\>\"", ",", "Red", ",", "Italic"}], "]"}], 
                    ",", "\"\<))\>\""}], "}"}], "]"}], ",", "14"}], "]"}], 
                 "}"}]}], "}"}], "]"}], ",", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{".5", "*", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Sin", "[", "a", "]"}], "+", 
                  RowBox[{"Cos", "[", "b", "]"}]}], ")"}]}], ",", " ", 
               RowBox[{".5", "*", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], "+", 
                  RowBox[{"Sin", "[", "b", "]"}]}], ")"}]}]}], "}"}]}], "]"}],
            ",", 
           RowBox[{"{", 
            RowBox[{"Disk", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"Cos", "[", "a", "]"}]}], "}"}], ",", " ", ".02"}], 
             "]"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Dashed", ",", " ", "Thick", ",", " ", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"b", "\[LessEqual]", "a"}], ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Cos", "[", "b", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Cos", "[", "a", "]"}], "+", 
                    RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}], ",", " ", 
                  RowBox[{"perp", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "b", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Cos", "[", "a", "]"}], "+", 
                    RowBox[{"Sin", "[", "b", "]"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"Cos", "[", "a", "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sin", "[", "a", "]"}], ",", "0"}], "}"}]}], 
                   "]"}]}], "}"}], "]"}], ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Sin", "[", "a", "]"}], "+", 
                    RowBox[{"Cos", "[", "b", "]"}]}], ",", 
                    RowBox[{"Sin", "[", "b", "]"}]}], "}"}], ",", 
                  RowBox[{"perp", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sin", "[", "a", "]"}], "+", 
                    RowBox[{"Cos", "[", "b", "]"}]}], ",", 
                    RowBox[{"Sin", "[", "b", "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"Cos", "[", "a", "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sin", "[", "a", "]"}], ",", "0"}], "}"}]}], 
                   "]"}]}], "}"}], "]"}]}], "]"}]}], "}"}]}], "}"}], ",", " ",
          
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"290", ",", "290"}], "}"}]}]}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Gray", ",", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", " ", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", 
             RowBox[{"Rectangle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", "a", "]"}], ",", 
                 RowBox[{"Cos", "[", "b", "]"}]}], "}"}]}], "]"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"Gray", ",", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", 
             RowBox[{"Rectangle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", "a", "]"}], ",", 
                 RowBox[{"Cos", "[", "b", "]"}]}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], "+", 
                  RowBox[{"Sin", "[", "b", "]"}]}], ",", 
                 RowBox[{
                  RowBox[{"Sin", "[", "a", "]"}], "+", 
                  RowBox[{"Cos", "[", "b", "]"}]}]}], "}"}]}], "]"}]}], "}"}],
            ",", 
           RowBox[{"{", 
            RowBox[{"Pink", ",", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", " ", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"Cos", "[", "b", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{
                   RowBox[{"Sin", "[", "a", "]"}], "+", 
                   RowBox[{"Cos", "[", "b", "]"}]}]}], "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], ",", 
                  RowBox[{
                   RowBox[{"Sin", "[", "a", "]"}], "+", 
                   RowBox[{"Cos", "[", "b", "]"}]}]}], "}"}]}], "}"}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Green", ",", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", " ", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"Cos", "[", "b", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], ",", 
                  RowBox[{"Cos", "[", "b", "]"}]}], "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], ",", 
                  RowBox[{
                   RowBox[{"Sin", "[", "a", "]"}], "+", 
                   RowBox[{"Cos", "[", "b", "]"}]}]}], "}"}]}], "}"}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Blue", ",", " ", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], ",", 
                  RowBox[{"Cos", "[", "b", "]"}]}], "}"}], ",", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Sin", "[", "b", "]"}], "+", 
                   RowBox[{"Cos", "[", "a", "]"}]}], ",", 
                  RowBox[{"Cos", "[", "b", "]"}]}], "}"}]}], "}"}], "]"}]}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Yellow", ",", " ", 
             RowBox[{"Opacity", "[", ".3", "]"}], ",", 
             RowBox[{"EdgeForm", "[", "Black", "]"}], ",", " ", 
             RowBox[{"Polygon", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Cos", "[", "a", "]"}], "+", 
                   RowBox[{"Sin", "[", "b", "]"}]}], ",", "0"}], "}"}], ",", 
                " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Sin", "[", "b", "]"}], "+", 
                   RowBox[{"Cos", "[", "a", "]"}]}], ",", 
                  RowBox[{"Cos", "[", "b", "]"}]}], "}"}]}], "}"}], "]"}]}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Red", ",", " ", "Thick", ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", "a", "]"}], ",", "0"}], "}"}], ",", 
               RowBox[{".25", "*", 
                RowBox[{"Cos", "[", "b", "]"}]}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Pi", "/", "2"}], "-", "b"}], ",", " ", 
                 RowBox[{"Pi", "/", "2"}]}], "}"}]}], "]"}]}], "}"}], ",", 
           " ", 
           RowBox[{"{", 
            RowBox[{"Blue", ",", " ", "Thick", ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"Cos", "[", "b", "]"}]}], "}"}], ",", 
               RowBox[{".25", "*", 
                RowBox[{"Cos", "[", "a", "]"}]}], ",", " ", 
               RowBox[{"{", 
                RowBox[{"0", ",", " ", "a"}], "}"}]}], "]"}]}], "}"}], ",", 
           "  ", 
           RowBox[{"{", 
            RowBox[{"Blue", ",", " ", "Thick", ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", "a", "]"}], ",", 
                 RowBox[{
                  RowBox[{"Sin", "[", "a", "]"}], "+", 
                  RowBox[{"Cos", "[", "b", "]"}]}]}], "}"}], ",", 
               RowBox[{".25", "*", 
                RowBox[{"Cos", "[", "a", "]"}]}], ",", " ", 
               RowBox[{"{", 
                RowBox[{"Pi", ",", " ", 
                 RowBox[{"Pi", "+", "a"}]}], "}"}]}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Red", ",", " ", "Thick", ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Cos", "[", "a", "]"}], "+", 
                  RowBox[{"Sin", "[", "b", "]"}]}], ",", 
                 RowBox[{"Cos", "[", "b", "]"}]}], "}"}], ",", 
               RowBox[{".25", "*", 
                RowBox[{"Cos", "[", "b", "]"}]}], ",", " ", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"3", "*", 
                   RowBox[{"Pi", "/", "2"}]}], "-", "b"}], ",", " ", 
                 RowBox[{"3", "*", 
                  RowBox[{"Pi", "/", "2"}]}]}], "}"}]}], "]"}]}], "}"}], ",", 
           
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<cos(\>\"", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<A\>\"", ",", "Blue", ",", "Italic"}], "]"}], 
                  ",", "\"\<)cos(\>\"", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<B\>\"", ",", "Red", ",", "Italic"}], "]"}], 
                  ",", "\"\<)\>\""}], "}"}], "]"}], ",", "14"}], "]"}], ",", 
             " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{".5", "*", 
                RowBox[{"Cos", "[", "a", "]"}]}], ",", 
               RowBox[{".5", "*", 
                RowBox[{"Cos", "[", "b", "]"}]}]}], "}"}]}], "]"}], ",", " ", 
           
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<sin(\>\"", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<A\>\"", ",", "Blue", ",", "Italic"}], "]"}], 
                  ",", "\"\<)sin(\>\"", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<B\>\"", ",", "Red", ",", "Italic"}], "]"}], 
                  ",", "\"\<)\>\""}], "}"}], "]"}], ",", "14"}], "]"}], ",", 
             " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Cos", "[", "a", "]"}], "+", 
                RowBox[{".5", "*", 
                 RowBox[{"Sin", "[", "b", "]"}]}]}], ",", 
               RowBox[{
                RowBox[{"Cos", "[", "b", "]"}], "+", 
                RowBox[{".5", "*", 
                 RowBox[{"Sin", "[", "a", "]"}]}]}]}], "}"}]}], "]"}]}], 
          "}"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"290", ",", "290"}], "}"}]}]}], "]"}]}], "}"}], "}"}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"Pi", "/", "4"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<angle A\>\"", ",", " ", "Blue", ",", "Italic"}], "]"}]}],
       "}"}], ",", " ", "0", ",", 
     RowBox[{"Pi", "/", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", 
       RowBox[{"Pi", "/", "4"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<angle B\>\"", ",", " ", "Red"}], "]"}], ",", "Italic"}], 
      "}"}], ",", " ", "0", ",", 
     RowBox[{"Pi", "/", "2"}]}], "}"}], ",", " ", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.390321330414*^9, 3.390321354164*^9}, {
   3.390321641341*^9, 3.3903216475030003`*^9}, {3.390321975671*^9, 
   3.390322022988*^9}, {3.390322061875*^9, 3.390322088856*^9}, {
   3.390322132734*^9, 3.3903221530690002`*^9}, {3.3903237406463175`*^9, 
   3.3903239497869425`*^9}, {3.3903239936306925`*^9, 
   3.3903240913494425`*^9}, {3.3906472513874025`*^9, 3.3906472571061525`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = Rational[1, 4] Pi, $CellContext`b$$ = 
    Rational[1, 4] Pi, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], Rational[1, 4] Pi, 
       Style["angle A", 
        RGBColor[0, 0, 1], Italic]}, 0, Rational[1, 2] Pi}, {{
       Hold[$CellContext`b$$], Rational[1, 4] Pi, 
       Style["angle B", 
        RGBColor[1, 0, 0]], Italic}, 0, Rational[1, 2] Pi}}, 
    Typeset`size$$ = {588., {142.5, 147.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`a$10253$$ = 0, $CellContext`b$10254$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = Rational[1, 4] Pi, $CellContext`b$$ = 
        Rational[1, 4] Pi}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$10253$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$10254$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Grid[{{
          Graphics[{{Gray, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{0, 
                Cos[$CellContext`a$$]}, {
                Cos[$CellContext`b$$], Cos[$CellContext`a$$] + 
                Sin[$CellContext`b$$]}, {
               Sin[$CellContext`a$$] + Cos[$CellContext`b$$], 
                Sin[$CellContext`b$$]}, {
                Sin[$CellContext`a$$], 0}}]}, {Pink, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{0, 0}, {0, 
                Cos[$CellContext`a$$]}, {
                Sin[$CellContext`a$$], 0}}]}, {Yellow, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{0, 
                Cos[$CellContext`a$$]}, {
               0, Cos[$CellContext`a$$] + Sin[$CellContext`b$$]}, {
                Cos[$CellContext`b$$], Cos[$CellContext`a$$] + 
                Sin[$CellContext`b$$]}}]}, {Green, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{
                Cos[$CellContext`b$$], Cos[$CellContext`a$$] + 
                Sin[$CellContext`b$$]}, {
               Sin[$CellContext`a$$] + Cos[$CellContext`b$$], 
                Cos[$CellContext`a$$] + Sin[$CellContext`b$$]}, {
               Sin[$CellContext`a$$] + Cos[$CellContext`b$$], 
                Sin[$CellContext`b$$]}}]}, {Blue, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{
                Sin[$CellContext`a$$], 0}, {
               Sin[$CellContext`a$$] + Cos[$CellContext`b$$], 
                Sin[$CellContext`b$$]}, {
               Sin[$CellContext`a$$] + Cos[$CellContext`b$$], 0}}]}, {
            Blue, Thick, 
             Circle[{Sin[$CellContext`a$$] + Cos[$CellContext`b$$], 
               Sin[$CellContext`b$$]}, 0.25 Cos[$CellContext`a$$], {
              Pi/2, Pi/2 + $CellContext`a$$}]}, {Blue, Thick, 
             Circle[{0, 
               Cos[$CellContext`a$$]}, 0.25 Cos[$CellContext`a$$], {
              3 (Pi/2), 3 (Pi/2) + $CellContext`a$$}]}, {Red, Thick, 
             Circle[{
               Sin[$CellContext`a$$], 0}, 0.25 Cos[$CellContext`b$$], {
              0, $CellContext`b$$}]}, {Red, Thick, 
             Circle[{
               Cos[$CellContext`b$$], Cos[$CellContext`a$$] + 
               Sin[$CellContext`b$$]}, 0.25 Cos[$CellContext`b$$], {
              Pi, Pi + $CellContext`b$$}]}, 
            Text[
             Grid[{{
                Style[
                 Row[{"cos(", 
                   Style["A", Blue, Italic], "-", 
                   Style["B", Red, Italic], ") = "}], 14]}, {
                Style[
                 Row[{"sin(\[Pi]/2-(", 
                   Style["A", Blue, Italic], "-", 
                   Style["B", Red, Italic], "))"}], 14]}}], {
             0.5 (Sin[$CellContext`a$$] + Cos[$CellContext`b$$]), 
              0.5 (Cos[$CellContext`a$$] + Sin[$CellContext`b$$])}], {
             Disk[{0, 
               Cos[$CellContext`a$$]}, 0.02]}, {Dashed, Thick, 
             If[$CellContext`b$$ <= $CellContext`a$$, 
              Line[{{
                 Cos[$CellContext`b$$], Cos[$CellContext`a$$] + 
                 Sin[$CellContext`b$$]}, 
                $CellContext`perp[{
                  Cos[$CellContext`b$$], Cos[$CellContext`a$$] + 
                  Sin[$CellContext`b$$]}, {0, 
                  Cos[$CellContext`a$$]}, {
                  Sin[$CellContext`a$$], 0}]}], 
              Line[{{Sin[$CellContext`a$$] + Cos[$CellContext`b$$], 
                 Sin[$CellContext`b$$]}, 
                $CellContext`perp[{
                 Sin[$CellContext`a$$] + Cos[$CellContext`b$$], 
                  Sin[$CellContext`b$$]}, {0, 
                  Cos[$CellContext`a$$]}, {
                  Sin[$CellContext`a$$], 0}]}]]}}, ImageSize -> {290, 290}], 
          Graphics[{{Gray, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Rectangle[{0, 0}, {
               Cos[$CellContext`a$$], 
               Cos[$CellContext`b$$]}]}, {Gray, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Rectangle[{
               Cos[$CellContext`a$$], 
               Cos[$CellContext`b$$]}, {
              Cos[$CellContext`a$$] + Sin[$CellContext`b$$], 
               Sin[$CellContext`a$$] + Cos[$CellContext`b$$]}]}, {Pink, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{0, 
                Cos[$CellContext`b$$]}, {
               0, Sin[$CellContext`a$$] + Cos[$CellContext`b$$]}, {
                Cos[$CellContext`a$$], Sin[$CellContext`a$$] + 
                Cos[$CellContext`b$$]}}]}, {Green, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{0, 
                Cos[$CellContext`b$$]}, {
                Cos[$CellContext`a$$], 
                Cos[$CellContext`b$$]}, {
                Cos[$CellContext`a$$], Sin[$CellContext`a$$] + 
                Cos[$CellContext`b$$]}}]}, {Blue, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{
                Cos[$CellContext`a$$], 0}, {
                Cos[$CellContext`a$$], 
                Cos[$CellContext`b$$]}, {
               Sin[$CellContext`b$$] + Cos[$CellContext`a$$], 
                Cos[$CellContext`b$$]}}]}, {Yellow, 
             Opacity[0.3], 
             EdgeForm[Black], 
             Polygon[{{
                Cos[$CellContext`a$$], 0}, {
               Cos[$CellContext`a$$] + Sin[$CellContext`b$$], 0}, {
               Sin[$CellContext`b$$] + Cos[$CellContext`a$$], 
                Cos[$CellContext`b$$]}}]}, {Red, Thick, 
             Circle[{
               Cos[$CellContext`a$$], 0}, 0.25 Cos[$CellContext`b$$], {
              Pi/2 - $CellContext`b$$, Pi/2}]}, {Blue, Thick, 
             Circle[{0, 
               Cos[$CellContext`b$$]}, 0.25 Cos[$CellContext`a$$], {
              0, $CellContext`a$$}]}, {Blue, Thick, 
             Circle[{
               Cos[$CellContext`a$$], Sin[$CellContext`a$$] + 
               Cos[$CellContext`b$$]}, 0.25 Cos[$CellContext`a$$], {
              Pi, Pi + $CellContext`a$$}]}, {Red, Thick, 
             Circle[{Cos[$CellContext`a$$] + Sin[$CellContext`b$$], 
               Cos[$CellContext`b$$]}, 0.25 Cos[$CellContext`b$$], {
              3 (Pi/2) - $CellContext`b$$, 3 (Pi/2)}]}, 
            Text[
             Style[
              Row[{"cos(", 
                Style["A", Blue, Italic], ")cos(", 
                Style["B", Red, Italic], ")"}], 14], {
             0.5 Cos[$CellContext`a$$], 0.5 Cos[$CellContext`b$$]}], 
            Text[
             Style[
              Row[{"sin(", 
                Style["A", Blue, Italic], ")sin(", 
                Style["B", Red, Italic], ")"}], 14], {
             Cos[$CellContext`a$$] + 0.5 Sin[$CellContext`b$$], 
              Cos[$CellContext`b$$] + 0.5 Sin[$CellContext`a$$]}]}, 
           ImageSize -> {290, 290}]}}], 
      "Specifications" :> {{{$CellContext`a$$, Rational[1, 4] Pi, 
          Style["angle A", 
           RGBColor[0, 0, 1], Italic]}, 0, Rational[1, 2] 
         Pi}, {{$CellContext`b$$, Rational[1, 4] Pi, 
          Style["angle B", 
           RGBColor[1, 0, 0]], Italic}, 0, Rational[1, 2] Pi}}, 
      "Options" :> {}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{632., {200., 205.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`perp[
          Pattern[$CellContext`pt1, 
           Blank[]], 
          Pattern[$CellContext`pt2, 
           Blank[]], 
          Pattern[$CellContext`pt3, 
           Blank[]]] := 
        ReplaceAll[$CellContext`t $CellContext`pt2 + (
            1 - $CellContext`t) $CellContext`pt3, 
          First[
           Solve[D[
              $CellContext`sqdist[$CellContext`t $CellContext`pt2 + (
                 1 - $CellContext`t) $CellContext`pt3, $CellContext`pt1], \
$CellContext`t] == 0, $CellContext`t]]], $CellContext`sqdist[
          Pattern[$CellContext`pt1, 
           Blank[]], 
          Pattern[$CellContext`pt2, 
           Blank[]]] := (First[$CellContext`pt1] - 
           First[$CellContext`pt2])^2 + (Last[$CellContext`pt1] - 
           Last[$CellContext`pt2])^2}; Typeset`initDone$$ = True); 
     ReleaseHold[{{
         HoldComplete[$CellContext`sqdist[
             Pattern[$CellContext`pt1, 
              Blank[]], 
             Pattern[$CellContext`pt2, 
              Blank[]]] := (First[$CellContext`pt1] - 
              First[$CellContext`pt2])^2 + (Last[$CellContext`pt1] - 
              Last[$CellContext`pt2])^2; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`perp[
             Pattern[$CellContext`pt1, 
              Blank[]], 
             Pattern[$CellContext`pt2, 
              Blank[]], 
             Pattern[$CellContext`pt3, 
              Blank[]]] := 
           ReplaceAll[$CellContext`t $CellContext`pt2 + (
               1 - $CellContext`t) $CellContext`pt3, 
             First[
              Solve[D[
                 $CellContext`sqdist[$CellContext`t $CellContext`pt2 + (
                    1 - $CellContext`t) $CellContext`pt3, $CellContext`pt1], \
$CellContext`t] == 0, $CellContext`t]]]; Null]}}]; Typeset`initDone$$ = True),
    
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->4489716],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Difference Formula for Cosine",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DifferenceFormulaForCosine/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/DifferenceFormulaForCosine/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/DifferenceFormulaForCosine/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DifferenceFormulaForCosine/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/DifferenceFormulaForCosine/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Chris Boucher",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
DifferenceFormulaForCosine"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Difference Formula for Cosine - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 221, 4, 70, "Section"],
Cell[814, 29, 1277, 43, 70, "Input",
 CellID->281352520],
Cell[2094, 74, 23057, 556, 70, "Input"]
}, Open  ]],
Cell[25166, 633, 10920, 240, 70, "Output",
 CellID->4489716],
Cell[CellGroupData[{
Cell[36111, 877, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[36487, 888, 954, 28, 70, "Text"],
Cell[37444, 918, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[37784, 929, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[38245, 947, 967, 27, 70, "Text"],
Cell[39215, 976, 1202, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature jQjNjad6N9IyYDpYg6VRsMOh *)
