(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     34487,        848]
NotebookOptionsPosition[     33391,        808]
NotebookOutlinePosition[     34031,        832]
CellTagsIndexPosition[     33988,        829]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Domain and Range of Inverse Trigonometric Functions", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{"reset", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "showfunction", ",", "showinverse", ",", "xMin", ",", "xMax"}], 
         "}"}], "=", 
        RowBox[{"{", 
         RowBox[{"True", ",", "False", ",", 
          RowBox[{
           RowBox[{"-", "2"}], "\[Pi]"}], ",", 
          RowBox[{"2", "\[Pi]"}]}], "}"}]}], ";", 
       RowBox[{"reset", "=", "False"}]}]}], "]"}], ";", "\[IndentingNewLine]",
     
    RowBox[{"Show", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"ParametricPlot", "[", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{"showfunction", ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"Which", "[", 
               RowBox[{
                RowBox[{"type", "==", "1"}], ",", 
                RowBox[{"Sin", "[", "x", "]"}], ",", 
                RowBox[{"type", "\[Equal]", "2"}], ",", 
                RowBox[{"Cos", "[", "x", "]"}], ",", 
                RowBox[{"type", "\[Equal]", "3"}], ",", 
                RowBox[{"Tan", "[", "x", "]"}]}], "]"}]}], "}"}]}], "]"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{
             RowBox[{"-", "2"}], "\[Pi]"}], ",", 
            RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "2"}], "\[Pi]"}], ",", 
               RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "2"}], "\[Pi]"}], ",", 
               RowBox[{"2", "\[Pi]"}]}], "}"}]}], "}"}]}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", "Gray"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Exclusions", "\[Rule]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"type", "\[Equal]", "3"}], ",", 
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "3"}], 
                RowBox[{"\[Pi]", "/", "2"}]}], ",", 
               RowBox[{"3", 
                RowBox[{"\[Pi]", "/", "2"}]}], ",", 
               RowBox[{"\[Pi]", "/", "2"}]}], "]"}], ",", "None"}], "]"}]}], 
          ",", 
          RowBox[{"ExclusionsStyle", "\[Rule]", "Dashed"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"ParametricPlot", "[", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"showfunction", "&&", 
             RowBox[{"xMin", "<", "xMax"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"Which", "[", 
               RowBox[{
                RowBox[{"type", "==", "1"}], ",", 
                RowBox[{"Sin", "[", "x", "]"}], ",", 
                RowBox[{"type", "\[Equal]", "2"}], ",", 
                RowBox[{"Cos", "[", "x", "]"}], ",", 
                RowBox[{"type", "\[Equal]", "3"}], ",", 
                RowBox[{"Tan", "[", "x", "]"}]}], "]"}]}], "}"}]}], "]"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "xMin", ",", 
            RowBox[{"xMax", "+", "0.001"}]}], "}"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Blue", ",", 
             RowBox[{"AbsoluteThickness", "[", "2", "]"}]}], "}"}]}], ",", 
          RowBox[{"Exclusions", "\[Rule]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"type", "\[Equal]", "3"}], ",", 
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"Round", "[", 
                RowBox[{"xMin", ",", 
                 RowBox[{"\[Pi]", "/", "2"}]}], "]"}], ",", 
               RowBox[{"3", 
                RowBox[{"\[Pi]", "/", "2"}]}], ",", 
               RowBox[{"\[Pi]", "/", "2"}]}], "]"}], ",", "None"}], "]"}]}]}],
          "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"ParametricPlot", "[", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"showinverse", "&&", 
             RowBox[{"xMin", "<", "xMax"}]}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Which", "[", 
               RowBox[{
                RowBox[{"type", "==", "1"}], ",", 
                RowBox[{"Sin", "[", "x", "]"}], ",", 
                RowBox[{"type", "\[Equal]", "2"}], ",", 
                RowBox[{"Cos", "[", "x", "]"}], ",", 
                RowBox[{"type", "\[Equal]", "3"}], ",", 
                RowBox[{"Tan", "[", "x", "]"}]}], "]"}], ",", "x"}], "}"}]}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "xMin", ",", 
            RowBox[{"xMax", "+", "0.001"}]}], "}"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Opacity", "[", ".5", "]"}], ",", "Red", ",", 
             RowBox[{"AbsoluteThickness", "[", "2", "]"}]}], "}"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Exclusions", "\[Rule]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"type", "\[Equal]", "3"}], ",", 
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"Round", "[", 
                RowBox[{"xMin", ",", 
                 RowBox[{"\[Pi]", "/", "2"}]}], "]"}], ",", 
               RowBox[{"3", 
                RowBox[{"\[Pi]", "/", "2"}]}], ",", 
               RowBox[{"\[Pi]", "/", "2"}]}], "]"}], ",", "None"}], "]"}]}]}],
          "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"ParametricPlot", "[", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"And", "[", 
             RowBox[{"showfunction", ",", "showinverse"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "x"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{
             RowBox[{"-", "2"}], "\[Pi]"}], ",", 
            RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Gray", ",", "Dashed"}], "}"}]}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"AbsoluteThickness", "[", "6", "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"showinverse", "&&", 
              RowBox[{"xMin", "<", "xMax"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"Black", ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"2", "\[Pi]"}], ",", "xMin"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"2", "\[Pi]"}], ",", "xMax"}], "}"}]}], "}"}], 
                "]"}]}], "}"}], ",", "Black"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"showfunction", "&&", 
              RowBox[{"xMin", "<", "xMax"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"Black", ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"xMin", ",", 
                    RowBox[{
                    RowBox[{"-", "2"}], "\[Pi]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"xMax", ",", 
                    RowBox[{
                    RowBox[{"-", "2"}], "\[Pi]"}]}], "}"}]}], "}"}], "]"}]}], 
              "}"}], ",", "Black"}], "]"}]}], "\[IndentingNewLine]", "}"}], 
         "]"}]}], "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"6", "*", "72"}], ",", 
         RowBox[{"6", "*", "72"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"FrameTicks", "\[Rule]", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{"showfunction", ",", 
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "6"}], ",", "6"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"Column", "[", 
                 RowBox[{
                  RowBox[{"{", "\"\< \>\"", "}"}], ",", 
                  RowBox[{"ItemSize", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"1.5", ",", "Automatic"}], "}"}]}]}], "]"}]}], 
               "}"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{"showinverse", ",", 
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "2"}], "\[Pi]"}], ",", 
               RowBox[{"2", "\[Pi]"}], ",", 
               RowBox[{"\[Pi]", "/", "2"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"Column", "[", 
                 RowBox[{
                  RowBox[{"{", "\"\< \>\"", "}"}], ",", 
                  RowBox[{"ItemSize", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"2.4", ",", "Automatic"}], "}"}]}]}], "]"}]}], 
               "}"}], "}"}]}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{"showfunction", ",", 
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "2"}], "\[Pi]"}], ",", 
               RowBox[{"2", "\[Pi]"}], ",", 
               RowBox[{"\[Pi]", "/", "2"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"Column", "[", 
                 RowBox[{
                  RowBox[{"{", "\"\< \>\"", "}"}], ",", 
                  RowBox[{"ItemSize", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"Automatic", ",", "1.7"}], "}"}]}]}], "]"}]}], 
               "}"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{"showinverse", ",", 
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "6"}], ",", "6"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"Column", "[", 
                 RowBox[{
                  RowBox[{"{", "\"\< \>\"", "}"}], ",", 
                  RowBox[{"ItemSize", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"Automatic", ",", ".95"}], "}"}]}]}], "]"}]}], 
               "}"}], "}"}]}], "]"}]}], "}"}]}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"FrameTicksStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Blue", ",", "12"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Red", ",", "12"}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Blue", ",", "12"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Red", ",", "12"}], "}"}]}], "}"}]}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{"showfunction", ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<range of function\>\"", ",", "Blue"}], "]"}], ",", 
             "\"\<\>\""}], "]"}], ",", 
           RowBox[{"If", "[", 
            RowBox[{"showinverse", ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<range of inverse\>\"", ",", "Red"}], "]"}], ",", 
             "\"\<\>\""}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{"showfunction", ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<domain of function\>\"", ",", "Blue"}], "]"}], 
             ",", "\"\<\>\""}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{"showinverse", ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<domain of inverse\>\"", ",", "Red"}], "]"}], ",", 
             "\"\<\>\""}], "]"}]}], "}"}]}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Axes", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<Label\>\"", ",", "13"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"type", ",", "1", ",", "\"\<function\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\<sin\>\""}], ",", 
       RowBox[{"2", "\[Rule]", "\"\<cos\>\""}], ",", 
       RowBox[{"3", "\[Rule]", "\"\<tan\>\""}]}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showfunction", ",", "True", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<show function\>\"", ",", "Blue"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showinverse", ",", "False", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<show inverse\>\"", ",", "Red"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xMin", ",", 
       RowBox[{
        RowBox[{"-", "2"}], "\[Pi]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<domain start\>\"", ",", "Blue"}], "]"}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"-", "2"}], "\[Pi]"}], ",", 
     RowBox[{"2", "\[Pi]"}], ",", 
     RowBox[{"\[Pi]", "/", "24"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xMax", ",", 
       RowBox[{"2", "\[Pi]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<domain end\>\"", ",", "Blue"}], "]"}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"-", "2"}], "\[Pi]"}], ",", 
     RowBox[{"2", "\[Pi]"}], ",", 
     RowBox[{"\[Pi]", "/", "24"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"reset", ",", "False", ",", "\"\<reset\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"4", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "3"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.391888232710511*^9, 3.3918882701030188`*^9}, {
   3.391888315256792*^9, 3.391888387247281*^9}, {3.391888420545444*^9, 
   3.391888616856159*^9}, {3.391888656427417*^9, 3.391888748741571*^9}, {
   3.391888781639114*^9, 3.391888795046669*^9}, {3.391888831717008*^9, 
   3.3918889519483*^9}, {3.391889064528627*^9, 3.3918892374797993`*^9}, {
   3.3918892694495077`*^9, 3.3918894865033007`*^9}, {3.391889540319623*^9, 
   3.3918896533922577`*^9}, {3.3918899169829893`*^9, 
   3.3918900452230473`*^9}, {3.391890091091465*^9, 3.391890195642138*^9}, {
   3.3918902848378267`*^9, 3.39189029794735*^9}, {3.3918903842764187`*^9, 
   3.39189051542323*^9}, {3.391890575775256*^9, 3.3918906278332157`*^9}, {
   3.391890679717112*^9, 3.391890687815127*^9}, {3.3918908096476727`*^9, 
   3.391890965588499*^9}, {3.391890997875209*^9, 3.39189100281035*^9}, {
   3.391891034749969*^9, 3.391891058702739*^9}, {3.391891446355938*^9, 
   3.391891470408533*^9}, {3.391891536315743*^9, 3.3918915552249517`*^9}, {
   3.391891587404147*^9, 3.391891624908321*^9}, {3.391891694025769*^9, 
   3.391891761068179*^9}, {3.391891806383315*^9, 3.391891812537141*^9}, {
   3.39189318913593*^9, 3.3918932142974777`*^9}, {3.392030873204625*^9, 
   3.392030878729628*^9}, {3.392030937742432*^9, 3.3920309385564737`*^9}, 
   3.3920310567798567`*^9, {3.392031102691882*^9, 3.392031103773364*^9}, {
   3.392031135662682*^9, 3.3920311585406237`*^9}, {3.392031221988525*^9, 
   3.3920312521092443`*^9}, {3.392031284840311*^9, 3.392031300086275*^9}, {
   3.3920313301853533`*^9, 3.392031332404879*^9}, {3.3920313909457397`*^9, 
   3.392031393128848*^9}, {3.3920315915386143`*^9, 3.392031626151828*^9}, {
   3.400166274501329*^9, 3.40016627463612*^9}, {3.4001664159449263`*^9, 
   3.400166542195178*^9}, {3.400166572934101*^9, 3.400166662222795*^9}, {
   3.400166713882566*^9, 3.400166715096634*^9}, {3.400166792607459*^9, 
   3.4001668294677258`*^9}, {3.4001668778678837`*^9, 3.40016688227547*^9}, {
   3.400169017535976*^9, 3.400169153397254*^9}, {3.400169212888484*^9, 
   3.400169217966406*^9}, {3.400169335557838*^9, 3.400169408959072*^9}, {
   3.40016944074865*^9, 3.400169474503195*^9}, {3.4001695074730883`*^9, 
   3.4001696031102667`*^9}, {3.40016967062536*^9, 3.4001697191826153`*^9}, {
   3.4001697615778*^9, 3.400169763758111*^9}, {3.400170035332253*^9, 
   3.4001700388635597`*^9}, {3.4001701089366913`*^9, 3.400170142735125*^9}, {
   3.40017017584578*^9, 3.400170244649725*^9}, 3.400545589117489*^9, {
   3.400545668296063*^9, 3.4005456880331087`*^9}, {3.4005457805251513`*^9, 
   3.400545787033621*^9}, {3.400545820475753*^9, 3.400545828601828*^9}, {
   3.400545859875914*^9, 3.4005459772127323`*^9}, {3.400546040565256*^9, 
   3.400546043491066*^9}, {3.4005460936299458`*^9, 3.400546096059142*^9}, {
   3.4005462081112757`*^9, 3.4005462715478897`*^9}, {3.400546325792787*^9, 
   3.400546335295146*^9}, {3.4005463769784946`*^9, 3.400546430195993*^9}, {
   3.400546469057046*^9, 3.4005464693164167`*^9}, {3.400546512635479*^9, 
   3.400546701727458*^9}, {3.400546963618682*^9, 3.4005469864023457`*^9}, {
   3.400547044586917*^9, 3.400547124358959*^9}, {3.400547165404397*^9, 
   3.40054717961495*^9}, {3.4005472141646442`*^9, 3.400547261534984*^9}, {
   3.400547345344795*^9, 3.400547379792691*^9}, {3.4005474152803497`*^9, 
   3.4005474201219673`*^9}, 3.400547840358526*^9, {3.400547962542925*^9, 
   3.4005479723796587`*^9}, {3.400548008223702*^9, 3.400548069598588*^9}, {
   3.400548183752239*^9, 3.400548201562652*^9}, {3.400548266904716*^9, 
   3.400548267378738*^9}, 3.4005483055685873`*^9, {3.400548400990617*^9, 
   3.4005484092112703`*^9}, {3.400548441536276*^9, 3.400548469002244*^9}, {
   3.400548566337405*^9, 3.400548598739992*^9}, {3.400549352612213*^9, 
   3.400549379072071*^9}, {3.400600056500862*^9, 3.400600060016487*^9}, {
   3.40063017957554*^9, 3.4006302767638607`*^9}, {3.40063030774436*^9, 
   3.400630379239749*^9}, {3.400857522792795*^9, 3.4008575236990337`*^9}, {
   3.400936468609779*^9, 3.400936475015988*^9}},
 CellID->1085978770]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`reset$$ = 
    False, $CellContext`showfunction$$ = True, $CellContext`showinverse$$ = 
    False, $CellContext`type$$ = 1, $CellContext`xMax$$ = 2 
    Pi, $CellContext`xMin$$ = (-2) Pi, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`type$$], 1, "function"}, {
      1 -> "sin", 2 -> "cos", 3 -> "tan"}}, {{
       Hold[$CellContext`showfunction$$], True, 
       Style["show function", 
        RGBColor[0, 0, 1]]}, {True, False}}, {{
       Hold[$CellContext`showinverse$$], False, 
       Style["show inverse", 
        RGBColor[1, 0, 0]]}, {True, False}}, {{
       Hold[$CellContext`xMin$$], (-2) Pi, 
       Style["domain start", 
        RGBColor[0, 0, 1]]}, (-2) Pi, 2 Pi, Rational[1, 24] Pi}, {{
       Hold[$CellContext`xMax$$], 2 Pi, 
       Style["domain end", 
        RGBColor[0, 0, 1]]}, (-2) Pi, 2 Pi, Rational[1, 24] Pi}, {{
       Hold[$CellContext`reset$$], False, "reset"}, {True, False}}}, 
    Typeset`size$$ = {432., {213., 219.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`type$140615$$ = 
    False, $CellContext`showfunction$140616$$ = 
    False, $CellContext`showinverse$140617$$ = 
    False, $CellContext`xMin$140618$$ = 0, $CellContext`xMax$140619$$ = 
    0, $CellContext`reset$140620$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`reset$$ = 
        False, $CellContext`showfunction$$ = True, $CellContext`showinverse$$ = 
        False, $CellContext`type$$ = 1, $CellContext`xMax$$ = 
        2 Pi, $CellContext`xMin$$ = (-2) Pi}, "ControllerVariables" :> {
        Hold[$CellContext`type$$, $CellContext`type$140615$$, False], 
        Hold[$CellContext`showfunction$$, $CellContext`showfunction$140616$$, 
         False], 
        Hold[$CellContext`showinverse$$, $CellContext`showinverse$140617$$, 
         False], 
        Hold[$CellContext`xMin$$, $CellContext`xMin$140618$$, 0], 
        Hold[$CellContext`xMax$$, $CellContext`xMax$140619$$, 0], 
        Hold[$CellContext`reset$$, $CellContext`reset$140620$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`reset$$, {$CellContext`showfunction$$, \
$CellContext`showinverse$$, $CellContext`xMin$$, $CellContext`xMax$$} = {
           True, False, (-2) Pi, 2 Pi}; $CellContext`reset$$ = False]; Show[{
          ParametricPlot[
           If[$CellContext`showfunction$$, {$CellContext`x, 
             Which[$CellContext`type$$ == 1, 
              Sin[$CellContext`x], $CellContext`type$$ == 2, 
              Cos[$CellContext`x], $CellContext`type$$ == 3, 
              Tan[$CellContext`x]]}], {$CellContext`x, (-2) Pi, 2 Pi}, 
           PlotRange -> {{(-2) Pi, 2 Pi}, {(-2) Pi, 2 Pi}}, PlotStyle -> Gray,
            Exclusions -> If[$CellContext`type$$ == 3, 
             Range[(-3) (Pi/2), 3 (Pi/2), Pi/2], None], ExclusionsStyle -> 
           Dashed], 
          ParametricPlot[
           If[
            
            And[$CellContext`showfunction$$, $CellContext`xMin$$ < \
$CellContext`xMax$$], {$CellContext`x, 
             Which[$CellContext`type$$ == 1, 
              Sin[$CellContext`x], $CellContext`type$$ == 2, 
              Cos[$CellContext`x], $CellContext`type$$ == 3, 
              
              Tan[$CellContext`x]]}], {$CellContext`x, $CellContext`xMin$$, \
$CellContext`xMax$$ + 0.001}, PlotStyle -> {Blue, 
             AbsoluteThickness[2]}, Exclusions -> 
           If[$CellContext`type$$ == 3, 
             Range[
              Round[$CellContext`xMin$$, Pi/2], 3 (Pi/2), Pi/2], None]], 
          ParametricPlot[
           If[
            
            And[$CellContext`showinverse$$, $CellContext`xMin$$ < \
$CellContext`xMax$$], {
             Which[$CellContext`type$$ == 1, 
              Sin[$CellContext`x], $CellContext`type$$ == 2, 
              Cos[$CellContext`x], $CellContext`type$$ == 3, 
              
              Tan[$CellContext`x]], $CellContext`x}], {$CellContext`x, \
$CellContext`xMin$$, $CellContext`xMax$$ + 0.001}, PlotStyle -> {
             Opacity[0.5], Red, 
             AbsoluteThickness[2]}, Exclusions -> 
           If[$CellContext`type$$ == 3, 
             Range[
              Round[$CellContext`xMin$$, Pi/2], 3 (Pi/2), Pi/2], None]], 
          ParametricPlot[
           If[
            
            And[$CellContext`showfunction$$, $CellContext`showinverse$$], \
{$CellContext`x, $CellContext`x}], {$CellContext`x, (-2) Pi, 2 Pi}, 
           PlotStyle -> {Gray, Dashed}], 
          Graphics[{
            AbsoluteThickness[6], 
            If[
             
             And[$CellContext`showinverse$$, $CellContext`xMin$$ < \
$CellContext`xMax$$], {Black, 
              
              Line[{{2 Pi, $CellContext`xMin$$}, {
                2 Pi, $CellContext`xMax$$}}]}, Black], 
            If[
             
             And[$CellContext`showfunction$$, $CellContext`xMin$$ < \
$CellContext`xMax$$], {Black, 
              
              Line[{{$CellContext`xMin$$, (-2) 
                 Pi}, {$CellContext`xMax$$, (-2) Pi}}]}, Black]}]}, 
         ImageSize -> {6 72, 6 72}, FrameTicks -> {{
            If[$CellContext`showfunction$$, 
             Range[-6, 6], {{0, 
               Column[{" "}, ItemSize -> {1.5, Automatic}]}}], 
            If[$CellContext`showinverse$$, 
             Range[(-2) Pi, 2 Pi, Pi/2], {{0, 
               Column[{" "}, ItemSize -> {2.4, Automatic}]}}]}, {
            If[$CellContext`showfunction$$, 
             Range[(-2) Pi, 2 Pi, Pi/2], {{0, 
               Column[{" "}, ItemSize -> {Automatic, 1.7}]}}], 
            If[$CellContext`showinverse$$, 
             Range[-6, 6], {{0, 
               Column[{" "}, ItemSize -> {Automatic, 0.95}]}}]}}, 
         FrameTicksStyle -> {{{Blue, 12}, {Red, 12}}, {{Blue, 12}, {
            Red, 12}}}, Frame -> True, FrameLabel -> {{
            If[$CellContext`showfunction$$, 
             Style["range of function", Blue], ""], 
            If[$CellContext`showinverse$$, 
             Style["range of inverse", Red], ""]}, {
            If[$CellContext`showfunction$$, 
             Style["domain of function", Blue], ""], 
            If[$CellContext`showinverse$$, 
             Style["domain of inverse", Red], ""]}}, Axes -> True, 
         BaseStyle -> {"Label", 13}]), 
      "Specifications" :> {{{$CellContext`type$$, 1, "function"}, {
         1 -> "sin", 2 -> "cos", 3 -> "tan"}}, 
        Delimiter, {{$CellContext`showfunction$$, True, 
          Style["show function", 
           RGBColor[0, 0, 1]]}, {
         True, False}}, {{$CellContext`showinverse$$, False, 
          Style["show inverse", 
           RGBColor[1, 0, 0]]}, {True, False}}, 
        Delimiter, {{$CellContext`xMin$$, (-2) Pi, 
          Style["domain start", 
           RGBColor[0, 0, 1]]}, (-2) Pi, 2 Pi, Rational[1, 24] Pi, ImageSize -> 
         Tiny}, {{$CellContext`xMax$$, 2 Pi, 
          Style["domain end", 
           RGBColor[0, 0, 1]]}, (-2) Pi, 2 Pi, Rational[1, 24] Pi, ImageSize -> 
         Tiny}, Delimiter, {{$CellContext`reset$$, False, "reset"}, {
         True, False}}}, 
      "Options" :> {
       ControlPlacement -> Left, AutorunSequencing -> {{4, 3}, {5, 3}}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{631., {241., 246.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->37893181],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Domain and Range of Inverse Trigonometric Functions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
DomainAndRangeOfInverseTrigonometricFunctions/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
DomainAndRangeOfInverseTrigonometricFunctions/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
DomainAndRangeOfInverseTrigonometricFunctions/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
DomainAndRangeOfInverseTrigonometricFunctions/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
DomainAndRangeOfInverseTrigonometricFunctions/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Eric Schulz",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Eric+Schulz"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Eric+Schulz"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
DomainAndRangeOfInverseTrigonometricFunctions"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Domain and Range of Inverse Trigonometric Functions - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 243, 4, 70, "Section"],
Cell[836, 29, 19926, 462, 70, "Input",
 CellID->1085978770]
}, Open  ]],
Cell[20777, 494, 8125, 171, 70, "Output",
 CellID->37893181],
Cell[CellGroupData[{
Cell[28927, 669, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[29303, 680, 1071, 31, 70, "Text"],
Cell[30377, 713, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[30717, 724, 430, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[31172, 742, 967, 27, 70, "Text"],
Cell[32142, 771, 1221, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature PS4av7nze5UNuDT#k6t8Pe3o *)
