(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     45290,       1088]
NotebookOptionsPosition[     44180,       1047]
NotebookOutlinePosition[     44834,       1072]
CellTagsIndexPosition[     44791,       1069]
WindowTitle->From Circle to Sine and Cosine Curves with Angle in Degrees - \
Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["From Circle to Sine and Cosine Curves with Angle in Degrees", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Dotted", ",", " ", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Lighter", "[", 
          RowBox[{"Blue", ",", " ", ".5"}], "]"}], ",", 
         RowBox[{"Opacity", "[", ".5", "]"}], ",", 
         RowBox[{"Polygon", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", "0"}], "}"}], ",", 
            " ", 
            RowBox[{"{", 
             RowBox[{"0", ",", " ", 
              RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}]}], "}"}], 
          "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "Large", "]"}], ",", "Blue", ",", " ", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", " ", 
             RowBox[{"-", "1.25"}]}], "}"}], "]"}]}], "}"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Dotted", ",", "Blue", ",", " ", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}]}], "}"}], 
          "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", " ", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "1", ",", " ", 
           RowBox[{"{", 
            RowBox[{"0", ",", " ", "\[Theta]"}], "}"}]}], "]"}]}], "}"}], ",",
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Dotted", ",", " ", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"-", "2.8"}]}], "}"}], ",", "1"}], "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Lighter", "[", 
          RowBox[{"Blue", ",", " ", ".5"}], "]"}], ",", 
         RowBox[{"Opacity", "[", ".5", "]"}], ",", 
         RowBox[{"Polygon", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"-", "2.8"}]}], "}"}], ",", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
              RowBox[{"-", "2.8"}]}], "}"}], ",", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
              RowBox[{
               RowBox[{"-", "2.8"}], "+", " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}]}], "}"}], 
          "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Blue", ",", " ", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"-", "2.8"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
              RowBox[{"-", "2.8"}]}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
              RowBox[{"-", "2.8"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
              RowBox[{
               RowBox[{"-", "2.8"}], "+", " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}]}], "}"}], 
          "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", " ", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"-", "2.8"}]}], "}"}], ",", "1", ",", " ", 
           RowBox[{"{", 
            RowBox[{"0", ",", " ", "\[Theta]"}], "}"}]}], "]"}]}], "}"}], ",",
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Dotted", ",", " ", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[Pi]", ",", 
             RowBox[{"-", "2.8"}]}], "}"}], ",", "1"}], "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", " ", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[Pi]", ",", 
             RowBox[{"-", "2.8"}]}], "}"}], ",", "1", ",", " ", 
           RowBox[{"{", 
            RowBox[{"0", ",", " ", "\[Theta]"}], "}"}]}], "]"}]}], "}"}], ",",
        "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Lighter", "[", 
          RowBox[{"Blue", ",", " ", ".75"}], "]"}], ",", " ", 
         RowBox[{"Disk", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[Pi]", ",", 
             RowBox[{"-", "2.8"}]}], "}"}], ",", 
           RowBox[{"1", "/", "2"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"0", ",", "\[Theta]"}], "}"}]}], "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[Pi]", ",", 
             RowBox[{"-", "2.8"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Pi]", "+", " ", 
              RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ",", 
             RowBox[{
              RowBox[{"-", "2.8"}], " ", "+", " ", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}]}], "}"}], 
         "]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[Pi]", ",", 
             RowBox[{"-", "2.8"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Pi]", "+", "1"}], ",", 
             RowBox[{"-", "2.8"}]}], "}"}]}], "}"}], "]"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Round", "[", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\[Theta]", "*", "360"}], ")"}], "/", " ", 
              RowBox[{"(", 
               RowBox[{"2", "\[Pi]"}], ")"}]}], "]"}], ",", " ", "Medium", 
            ",", " ", "Blue", ",", " ", "Bold"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[Pi]", " ", "+", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "/", "2"}], "]"}], "*", 
               RowBox[{"(", 
                RowBox[{"1", "/", "4"}], ")"}]}], ")"}]}], ",", " ", 
            RowBox[{
             RowBox[{"-", "2.8"}], " ", "+", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Sin", "[", 
                RowBox[{"\[Theta]", "/", "2"}], "]"}], "*", 
               RowBox[{"(", 
                RowBox[{"1", "/", "4"}], ")"}]}], ")"}]}]}], "}"}]}], "]"}], 
        "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Dotted", ",", " ", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", " ", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"\[Pi]", "/", "2"}], "+", " ", 
               RowBox[{"\[Theta]", "/", "2"}]}], ",", " ", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}]}], "}"}], 
          "]"}]}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Purple", ",", " ", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"\[Pi]", "/", "2"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"\[Pi]", "/", "2"}], "+", 
               RowBox[{"\[Theta]", "/", "2"}]}], ",", "0"}], "}"}]}], "}"}], 
          "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<time\>\"", ",", " ", "Medium", ",", "Purple", ",", " ", 
            "Bold"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"\[Pi]", "/", "2"}], "+", 
             RowBox[{"\[Theta]", "/", "4"}]}], ",", 
            RowBox[{"-", ".15"}]}], "}"}]}], "]"}], "}"}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Dotted", ",", " ", "Blue", ",", " ", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"\[Pi]", "/", "2"}], "+", " ", 
               RowBox[{"\[Theta]", "/", "2"}]}], ",", " ", 
              RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}]}], "}"}], 
          "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Dotted", ",", " ", "Blue", ",", " ", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}]}], "}"}], 
          "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Dotted", ",", " ", "Blue", ",", " ", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Dotted", ",", " ", "Blue", ",", " ", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
              RowBox[{"-", "\[Pi]"}]}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Gray", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"\[Pi]", "/", "2"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"\[Pi]", "/", "2"}]}], ",", "0"}], "}"}]}], "}"}], 
          "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"l1", "+", 
               RowBox[{"(", 
                RowBox[{"\[Pi]", "/", "2"}], ")"}]}], ",", 
              RowBox[{"Sin", "[", 
               RowBox[{"2", " ", "l1"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"l1", ",", " ", "0", ",", " ", 
              RowBox[{"\[Theta]", "/", "2"}], ",", " ", "0.005"}], "}"}]}], 
           "]"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Blue", ",", " ", 
         RowBox[{"Line", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"l1", "+", 
               RowBox[{"(", 
                RowBox[{"\[Pi]", "/", "2"}], ")"}]}], ",", 
              RowBox[{"Cos", "[", 
               RowBox[{"2", " ", "l1"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"l1", ",", " ", "0", ",", " ", 
              RowBox[{"\[Theta]", "/", "2"}], ",", " ", "0.005"}], "}"}]}], 
           "]"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "Large", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"\[Pi]", "/", "2"}], "+", " ", 
              RowBox[{"\[Theta]", "/", "2"}]}], ",", " ", 
             RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}], "]"}]}], "}"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"\[Pi]", "/", "2"}], "+", " ", 
              RowBox[{"\[Theta]", "/", "2"}]}], ",", " ", 
             RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"\[Pi]", "/", "2"}], "+", " ", 
              RowBox[{"\[Theta]", "/", "2"}]}], ",", " ", "0"}], "}"}]}], 
          "}"}], "]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Blue", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"\[Pi]", "/", "2"}], "+", " ", 
               RowBox[{"\[Theta]", "/", "2"}]}], ",", " ", 
              RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"\[Pi]", "/", "2"}], "+", " ", 
               RowBox[{"\[Theta]", "/", "2"}]}], ",", " ", "0"}], "}"}]}], 
           "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "Large", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"1.25", ",", " ", 
             RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}], "]"}]}], "}"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1.25", ",", " ", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1.25", ",", " ", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "Large", "]"}], ",", "Blue", ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"1.25", ",", " ", 
             RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}], "]"}]}], "}"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Blue", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1.25", ",", " ", 
              RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1.25", ",", " ", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", " ", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}], "]"}]}], "}"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "Large", "]"}], ",", "Blue", ",", " ", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"\[Pi]", "/", "2"}], "+", " ", 
              RowBox[{"\[Theta]", "/", "2"}]}], ",", " ", 
             RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}], "]"}]}], "}"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Blue", ",", " ", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
              RowBox[{"-", "1.25"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"-", "1.25"}]}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"StringJoin", "[", 
             RowBox[{"\"\<sin(\>\"", ",", 
              RowBox[{"ToString", "[", 
               RowBox[{"N", "[", 
                RowBox[{"\[Theta]", ",", "5"}], "]"}], "]"}], ",", 
              "\"\<) = \>\"", ",", 
              RowBox[{"ToString", "[", 
               RowBox[{"Chop", "[", 
                RowBox[{"N", "[", 
                 RowBox[{
                  RowBox[{"Sin", "[", "\[Theta]", "]"}], ",", "5"}], "]"}], 
                "]"}], "]"}]}], "]"}], ",", " ", "Medium", ",", " ", "Black", 
            ",", " ", "Bold"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Pi]", ",", " ", "1.4"}], "}"}]}], "]"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", " ", "Medium", ",", 
            " ", "Blue", ",", " ", "Bold"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", " ", 
            RowBox[{"-", "1.45"}]}], "}"}]}], "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"StringJoin", "[", 
             RowBox[{"\"\<cos(\>\"", ",", 
              RowBox[{"ToString", "[", 
               RowBox[{"N", "[", 
                RowBox[{"\[Theta]", ",", "5"}], "]"}], "]"}], ",", 
              "\"\<) = \>\"", ",", 
              RowBox[{"ToString", "[", 
               RowBox[{"Chop", "[", 
                RowBox[{"N", "[", 
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", "5"}], "]"}], 
                "]"}], "]"}]}], "]"}], ",", " ", "Medium", ",", " ", "Blue", 
            ",", " ", "Bold"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Pi]", ",", " ", "1.2"}], "}"}]}], "]"}], "}"}]}], 
      "\[IndentingNewLine]", "}"}], ",", " ", "\[IndentingNewLine]", 
     RowBox[{"ImageSize", " ", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"500", ",", "450"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Control", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\[Theta]", ",", "1", ",", "\"\<angle (radians)\>\""}], 
          "}"}], ",", " ", "0", ",", " ", 
         RowBox[{"2", " ", "\[Pi]"}], " ", ",", 
         RowBox[{"AnimationRate", "\[Rule]", "0.1"}], ",", 
         RowBox[{"AnimationDirection", "\[Rule]", "Forward"}], ",", 
         RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], "]"}],
       ",", "\[IndentingNewLine]", 
      RowBox[{"Control", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\[Theta]", ",", "1", ",", "\"\<<->\>\""}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"0", ",", " ", 
           RowBox[{"\[Pi]", "/", "2"}], ",", " ", "\[Pi]", ",", " ", 
           RowBox[{"3", " ", 
            RowBox[{"\[Pi]", "/", "2"}]}], ",", " ", 
           RowBox[{"2", "\[Pi]"}]}], "}"}]}], "}"}], "]"}]}], 
     "\[IndentingNewLine]", "}"}], "]"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.453780498484375*^9, 3.453780500625*^9}, {
   3.4537805448125*^9, 3.453780607765625*^9}, 3.453780684015625*^9, {
   3.453780818484375*^9, 3.453780850375*^9}, {3.453780883203125*^9, 
   3.453780986328125*^9}, {3.4537810239375*^9, 3.453781029375*^9}, {
   3.453781134390625*^9, 3.45378120259375*^9}, {3.453781263546875*^9, 
   3.453781444265625*^9}, {3.453781480640625*^9, 3.453781481484375*^9}, {
   3.453781825828125*^9, 3.45378198228125*^9}, 3.45378202703125*^9, {
   3.453782061625*^9, 3.4537820649375*^9}, {3.453782211703125*^9, 
   3.453782294109375*^9}, 3.453782423984375*^9, {3.453782567109375*^9, 
   3.453782589015625*^9}, {3.4537830131875*^9, 3.453783023890625*^9}, {
   3.453783054609375*^9, 3.453783196375*^9}, {3.453783226703125*^9, 
   3.453783231*^9}, {3.45378387046875*^9, 3.45378390825*^9}, {
   3.4537840454375*^9, 3.453784053015625*^9}, {3.453784086265625*^9, 
   3.45378409284375*^9}, {3.453784141578125*^9, 3.45378416365625*^9}, {
   3.453784203125*^9, 3.4537842955625*^9}, {3.453784326546875*^9, 
   3.453784406109375*^9}, {3.45378446159375*^9, 3.453784474984375*^9}, {
   3.453784569109375*^9, 3.453784584359375*^9}, {3.453784650453125*^9, 
   3.453784687109375*^9}, {3.453784730765625*^9, 3.45378473578125*^9}, {
   3.453784838640625*^9, 3.4537849308125*^9}, {3.45378499865625*^9, 
   3.4537850471875*^9}, {3.453785085828125*^9, 3.45378509175*^9}, {
   3.45378512571875*^9, 3.453785152984375*^9}, {3.453785204015625*^9, 
   3.453785231828125*^9}, {3.45378527140625*^9, 3.453785314625*^9}, 
   3.453785384421875*^9, 3.453785439390625*^9, {3.453785518046875*^9, 
   3.45378554875*^9}, 3.45378568359375*^9, 3.453785810984375*^9, 
   3.45378584659375*^9, {3.453785894765625*^9, 3.453785947390625*^9}, {
   3.453786577890625*^9, 3.453786637859375*^9}, {3.453786672609375*^9, 
   3.453786695390625*^9}, {3.453786810890625*^9, 3.453786816484375*^9}, {
   3.453786973125*^9, 3.453787023796875*^9}, {3.453787054953125*^9, 
   3.45378711496875*^9}, {3.4537874905*^9, 3.453787506703125*^9}, {
   3.45378870715625*^9, 3.45378874059375*^9}, {3.453788807140625*^9, 
   3.453788808*^9}, {3.4537896736875*^9, 3.453789700171875*^9}, {
   3.45378977415625*^9, 3.453789832921875*^9}, {3.4537898825*^9, 
   3.453789896421875*^9}, {3.45378999415625*^9, 3.453790071984375*^9}, {
   3.453790108984375*^9, 3.45379011175*^9}, {3.453814324578125*^9, 
   3.453814402046875*^9}, 3.45381446515625*^9, 3.45381455540625*^9, {
   3.453814594765625*^9, 3.45381481584375*^9}, {3.453874757421875*^9, 
   3.453874783921875*^9}, {3.453874881375*^9, 3.453874912328125*^9}, {
   3.453874949609375*^9, 3.45387497190625*^9}, {3.45387514928125*^9, 
   3.453875160390625*^9}, {3.453875352109375*^9, 3.4538753719375*^9}, {
   3.453875638109375*^9, 3.453875644296875*^9}, {3.453875676640625*^9, 
   3.4538756789375*^9}, {3.4538757946875*^9, 3.45387579540625*^9}, {
   3.453875853453125*^9, 3.45387585484375*^9}, {3.453876055609375*^9, 
   3.453876080734375*^9}, {3.45387615284375*^9, 3.453876172453125*^9}, {
   3.4538762059375*^9, 3.453876217140625*^9}, {3.453876255265625*^9, 
   3.453876357625*^9}, {3.453876394765625*^9, 3.453876429796875*^9}, {
   3.4538764840625*^9, 3.45387649509375*^9}, {3.453876525265625*^9, 
   3.45387653975*^9}, {3.453876571328125*^9, 3.45387658234375*^9}, {
   3.45421438065625*^9, 3.454214396328125*^9}, {3.454214589734375*^9, 
   3.4542146118125*^9}, {3.454214656484375*^9, 3.4542147565*^9}, {
   3.45421491109375*^9, 3.45421491578125*^9}, {3.45421504621875*^9, 
   3.454215067734375*^9}, {3.454215136*^9, 3.454215186765625*^9}, {
   3.454215239359375*^9, 3.454215249171875*^9}, {3.454215445796875*^9, 
   3.45421556465625*^9}, {3.454215631125*^9, 3.454215668671875*^9}, {
   3.45421570009375*^9, 3.45421570703125*^9}, {3.454215878984375*^9, 
   3.4542159885625*^9}, {3.454216548671875*^9, 3.4542166443125*^9}, {
   3.4542167686875*^9, 3.45421677040625*^9}, {3.45421682615625*^9, 
   3.454216862*^9}, {3.45422224928125*^9, 3.45422227915625*^9}, {
   3.454812957109375*^9, 3.4548130224375*^9}, {3.454813094671875*^9, 
   3.4548131414375*^9}, {3.4548131866875*^9, 3.454813189171875*^9}, 
   3.454813260625*^9, {3.4548132926875*^9, 3.45481331246875*^9}, {
   3.454813347890625*^9, 3.45481334875*^9}, {3.454813391125*^9, 
   3.454813428609375*^9}, {3.4548134711875*^9, 3.454813502078125*^9}, {
   3.45481353871875*^9, 3.454813542421875*^9}, {3.454813611703125*^9, 
   3.454813654625*^9}, {3.454813873203125*^9, 3.45481391790625*^9}, {
   3.454814006171875*^9, 3.454814049609375*^9}, {3.454814307421875*^9, 
   3.454814317625*^9}, {3.45481473521875*^9, 3.45481473553125*^9}, {
   3.454814772875*^9, 3.454814774671875*^9}, {3.454814956203125*^9, 
   3.454814977453125*^9}, {3.454815012234375*^9, 3.454815032078125*^9}, {
   3.4548150690625*^9, 3.45481512515625*^9}, {3.454815171140625*^9, 
   3.45481520275*^9}, {3.45481523278125*^9, 3.454815313953125*^9}, {
   3.45481535278125*^9, 3.45481538921875*^9}, {3.454815524765625*^9, 
   3.45481561959375*^9}, {3.45481568946875*^9, 3.454815901015625*^9}, {
   3.4548159363125*^9, 3.454816*^9}, {3.45481603478125*^9, 
   3.454816051921875*^9}, {3.454816105359375*^9, 3.4548161216875*^9}, {
   3.454816438796875*^9, 3.45481644184375*^9}, 3.454816490046875*^9, {
   3.454816534046875*^9, 3.454816547203125*^9}, {3.454816999453125*^9, 
   3.454817098421875*^9}, {3.454817131625*^9, 3.454817140828125*^9}, {
   3.4548171840625*^9, 3.454817252359375*^9}, {3.454817289171875*^9, 
   3.454817292078125*^9}, 3.454817337140625*^9, {3.45481736859375*^9, 
   3.45481737609375*^9}, {3.45481746603125*^9, 3.4548175158125*^9}, {
   3.4548175530625*^9, 3.45481758153125*^9}, {3.4548176213125*^9, 
   3.45481774021875*^9}, 3.45481781628125*^9, {3.45482077975*^9, 
   3.45482081171875*^9}, 3.45482114815625*^9, {3.454821255078125*^9, 
   3.454821259*^9}, {3.454821298546875*^9, 3.454821376078125*^9}, {
   3.454821412890625*^9, 3.45482141740625*^9}, {3.454821462421875*^9, 
   3.454821463015625*^9}, {3.45482149878125*^9, 3.454821558640625*^9}, {
   3.4548215956875*^9, 3.454821748359375*^9}, {3.454821837453125*^9, 
   3.45482188546875*^9}, 3.454821939921875*^9, {3.45482212496875*^9, 
   3.454822282296875*^9}, {3.454822328203125*^9, 3.454822371859375*^9}, {
   3.4548224105*^9, 3.454822445453125*^9}, {3.454822505203125*^9, 
   3.454822506828125*^9}, {3.45482254471875*^9, 3.454822589796875*^9}, 
   3.454822843609375*^9, {3.45483962484375*^9, 3.45483963075*^9}, {
   3.4548397448125*^9, 3.454839768578125*^9}, {3.454899998578125*^9, 
   3.454900115484375*^9}, {3.454900170765625*^9, 3.45490017840625*^9}, 
   3.454900222390625*^9, {3.4550400680185957`*^9, 3.4550401301708107`*^9}, {
   3.455934913796875*^9, 3.45593491809375*^9}, {3.455935025984375*^9, 
   3.455935029078125*^9}, 3.455935118140625*^9, {3.455935157484375*^9, 
   3.455935205984375*^9}, {3.4559352465*^9, 3.455935259140625*^9}, {
   3.455935297796875*^9, 3.4559353006875*^9}, {3.45593537525*^9, 
   3.455935438046875*^9}, {3.45593547271875*^9, 3.4559354750625*^9}, {
   3.455935513484375*^9, 3.455935624640625*^9}, {3.45593566025*^9, 
   3.455935661421875*^9}, {3.455935731078125*^9, 3.45593584096875*^9}, {
   3.455935962640625*^9, 3.4559359930625*^9}, {3.45593604659375*^9, 
   3.4559360778125*^9}, {3.45593611909375*^9, 3.45593614134375*^9}, 
   3.45593638028125*^9, {3.45593683646875*^9, 3.455936837140625*^9}, 
   3.4559390181875*^9, {3.455939149328125*^9, 3.45593917328125*^9}, {
   3.456488304792595*^9, 3.456488329736089*^9}, {3.457156497546875*^9, 
   3.4571565359375*^9}, 3.457156630171875*^9, {3.45715673540625*^9, 
   3.457156752359375*^9}, {3.457156868921875*^9, 3.457157110765625*^9}, {
   3.457157178265625*^9, 3.45715720571875*^9}, 3.45715726278125*^9, {
   3.457157440484375*^9, 3.457157450203125*^9}, 3.457157497046875*^9, {
   3.457157551859375*^9, 3.457157562515625*^9}, {3.457157618171875*^9, 
   3.457157779203125*^9}, {3.457157873828125*^9, 3.457157887015625*^9}, {
   3.457158026453125*^9, 3.4571580880625*^9}, {3.45715813375*^9, 
   3.45715813565625*^9}, 3.4571581978125*^9, {3.45715830384375*^9, 
   3.4571583365*^9}, {3.457158420890625*^9, 3.457158444640625*^9}, {
   3.457158696953125*^9, 3.457158700734375*^9}, {3.457158825078125*^9, 
   3.457158827609375*^9}, {3.457158947046875*^9, 3.457158992953125*^9}, {
   3.457159084296875*^9, 3.457159111484375*^9}, {3.45715921259375*^9, 
   3.45715926390625*^9}, {3.457159340328125*^9, 3.457159360203125*^9}, {
   3.457159452453125*^9, 3.457159455203125*^9}, {3.4571595633125*^9, 
   3.4571595775625*^9}, {3.457159699984375*^9, 3.457159906671875*^9}, {
   3.4571600068125*^9, 3.4571600291875*^9}, {3.4571601139375*^9, 
   3.45716012103125*^9}, 3.457160163015625*^9, {3.457160291140625*^9, 
   3.457160294609375*^9}, {3.4571603274375*^9, 3.457160355265625*^9}, {
   3.457160661859375*^9, 3.457160701265625*^9}, {3.4571608908125*^9, 
   3.457160895359375*^9}, {3.457179808515625*^9, 3.457179906015625*^9}, {
   3.4571799785625*^9, 3.45717998740625*^9}, {3.457180033515625*^9, 
   3.457180036515625*^9}, {3.457180133421875*^9, 3.457180205703125*^9}, 
   3.45718023640625*^9, {3.457180294609375*^9, 3.45718030075*^9}, {
   3.457180561546875*^9, 3.457180578984375*^9}, {3.45718065909375*^9, 
   3.457180718984375*^9}, {3.45718075746875*^9, 3.457180763203125*^9}, 
   3.45718081084375*^9, 3.45718084621875*^9, {3.4571820128125*^9, 
   3.4571820996875*^9}, {3.457182140078125*^9, 3.457182149296875*^9}, {
   3.4571822156875*^9, 3.457182219296875*^9}, {3.457182251765625*^9, 
   3.457182268234375*^9}, {3.457182304859375*^9, 3.45718232265625*^9}, {
   3.457182367421875*^9, 3.457182371328125*^9}, {3.4571829813125*^9, 
   3.457182997890625*^9}, {3.457183064640625*^9, 3.457183102671875*^9}, {
   3.457183167703125*^9, 3.457183198359375*^9}, 3.45718323121875*^9, {
   3.457183280890625*^9, 3.457183306984375*^9}, {3.457183337421875*^9, 
   3.457183343125*^9}, {3.45718341203125*^9, 3.45718344425*^9}, {
   3.457183521296875*^9, 3.457183639875*^9}, {3.457183765484375*^9, 
   3.457183819109375*^9}, {3.45718388009375*^9, 3.4571838946875*^9}, {
   3.4574374150335865`*^9, 3.4574374154316263`*^9}, {3.4577918550732393`*^9, 
   3.4577918559113235`*^9}},
 CellID->51026975]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[Theta]$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Theta]$$], 1, "angle (radians)"}, 0, 2 Pi}, {{
       Hold[$CellContext`\[Theta]$$], 1, "<->"}, {
      0, Rational[1, 2] Pi, Pi, Rational[3, 2] Pi, 2 Pi}}, {
      Hold[
       Row[{
         Manipulate`Place[1], 
         Manipulate`Place[2]}]], Manipulate`Dump`ThisIsNotAControl}}, 
    Typeset`size$$ = {500., {223., 227.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`\[Theta]$6503$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, "Variables" :> {$CellContext`\[Theta]$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Theta]$$, $CellContext`\[Theta]$6503$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{{Dotted, 
          Circle[{0, 0}, 1]}, {
          Lighter[Blue, 0.5], 
          Opacity[0.5], 
          Polygon[{{0, 0}, {
             Cos[$CellContext`\[Theta]$$], 0}, {0, 
             Cos[$CellContext`\[Theta]$$]}}]}, {{
           PointSize[Large], Blue, 
           Point[{
             Cos[$CellContext`\[Theta]$$], -1.25}]}}, {Dotted, Blue, 
          Line[{{0, 0}, {0, 
             Cos[$CellContext`\[Theta]$$]}}]}, {Thick, 
          Circle[{0, 0}, 1, {0, $CellContext`\[Theta]$$}]}, {Dotted, 
          Circle[{0, -2.8}, 1]}, {
          Lighter[Blue, 0.5], 
          Opacity[0.5], 
          Polygon[{{0, -2.8}, {
             Cos[$CellContext`\[Theta]$$], -2.8}, {
             Cos[$CellContext`\[Theta]$$], -2.8 + 
             Sin[$CellContext`\[Theta]$$]}}]}, {Thick, Blue, 
          Line[{{0, -2.8}, {
             Cos[$CellContext`\[Theta]$$], -2.8}}]}, {Thick, 
          Line[{{
             Cos[$CellContext`\[Theta]$$], -2.8}, {
             Cos[$CellContext`\[Theta]$$], -2.8 + 
             Sin[$CellContext`\[Theta]$$]}}]}, {Thick, 
          Circle[{0, -2.8}, 1, {0, $CellContext`\[Theta]$$}]}, {Dotted, 
          Circle[{Pi, -2.8}, 1]}, {Thick, 
          Circle[{Pi, -2.8}, 1, {0, $CellContext`\[Theta]$$}]}, {
          Lighter[Blue, 0.75], 
          Disk[{Pi, -2.8}, 1/2, {0, $CellContext`\[Theta]$$}]}, {
          
          Line[{{Pi, -2.8}, {
            Pi + Cos[$CellContext`\[Theta]$$], -2.8 + 
             Sin[$CellContext`\[Theta]$$]}}]}, {
          Line[{{Pi, -2.8}, {Pi + 1, -2.8}}]}, {
          Text[
           Style[
            Round[($CellContext`\[Theta]$$ 360)/(2 Pi)], Medium, Blue, 
            Bold], {Pi + Cos[$CellContext`\[Theta]$$/2] (1/4), -2.8 + 
            Sin[$CellContext`\[Theta]$$/2] (1/4)}]}, {Dotted, 
          Line[{{
             Cos[$CellContext`\[Theta]$$], 
             Sin[$CellContext`\[Theta]$$]}, {Pi/2 + $CellContext`\[Theta]$$/2, 
             Sin[$CellContext`\[Theta]$$]}}]}, {Thick, Purple, 
          Arrow[{{Pi/2, 0}, {Pi/2 + $CellContext`\[Theta]$$/2, 0}}]}, {
          Text[
           Style["time", Medium, Purple, Bold], {
           Pi/2 + $CellContext`\[Theta]$$/4, -0.15}]}, {Dotted, Blue, 
          Line[{{0, 
             Cos[$CellContext`\[Theta]$$]}, {Pi/2 + $CellContext`\[Theta]$$/2, 
             Cos[$CellContext`\[Theta]$$]}}]}, {Dotted, Blue, 
          Line[{{
             Cos[$CellContext`\[Theta]$$], 0}, {
             Cos[$CellContext`\[Theta]$$], 
             Sin[$CellContext`\[Theta]$$]}}]}, {Dotted, Blue, 
          Line[{{
             Cos[$CellContext`\[Theta]$$], 0}, {0, 0}}]}, {Dotted, Blue, 
          Line[{{
             Cos[$CellContext`\[Theta]$$], 
             Sin[$CellContext`\[Theta]$$]}, {
             Cos[$CellContext`\[Theta]$$], -Pi}}]}, {Gray, 
          Line[{{Pi/2, 0}, {3 (Pi/2), 0}}]}, {Thick, 
          Line[
           Table[{$CellContext`l1 + Pi/2, 
             Sin[2 $CellContext`l1]}, {$CellContext`l1, 
             0, $CellContext`\[Theta]$$/2, 0.005}]]}, {Thick, Blue, 
          Line[
           Table[{$CellContext`l1 + Pi/2, 
             Cos[2 $CellContext`l1]}, {$CellContext`l1, 
             0, $CellContext`\[Theta]$$/2, 0.005}]]}, {{
           PointSize[Large], 
           Point[{Pi/2 + $CellContext`\[Theta]$$/2, 
             Sin[$CellContext`\[Theta]$$]}]}}, {
          Line[{{Pi/2 + $CellContext`\[Theta]$$/2, 
             Sin[$CellContext`\[Theta]$$]}, {
            Pi/2 + $CellContext`\[Theta]$$/2, 0}}]}, {Blue, 
          Line[{{Pi/2 + $CellContext`\[Theta]$$/2, 
             Cos[$CellContext`\[Theta]$$]}, {
            Pi/2 + $CellContext`\[Theta]$$/2, 0}}]}, {{
           PointSize[Large], 
           Point[{1.25, 
             Sin[$CellContext`\[Theta]$$]}]}}, {Thick, 
          Line[{{1.25, 
             Sin[$CellContext`\[Theta]$$]}, {1.25, 0}}]}, {{
           PointSize[Large], Blue, 
           Point[{1.25, 
             Cos[$CellContext`\[Theta]$$]}]}}, {Thick, Blue, 
          Line[{{1.25, 
             Cos[$CellContext`\[Theta]$$]}, {1.25, 0}}]}, {{Blue, 
           Point[{0, 
             Cos[$CellContext`\[Theta]$$]}]}}, {{
           PointSize[Large], Blue, 
           Point[{Pi/2 + $CellContext`\[Theta]$$/2, 
             Cos[$CellContext`\[Theta]$$]}]}}, {Thick, Blue, 
          Line[{{
             Cos[$CellContext`\[Theta]$$], -1.25}, {0, -1.25}}]}, {
          Text[
           Style[
            StringJoin["sin(", 
             ToString[
              N[$CellContext`\[Theta]$$, 5]], ") = ", 
             ToString[
              Chop[
               N[
                Sin[$CellContext`\[Theta]$$], 5]]]], Medium, Black, Bold], {
           Pi, 1.4}]}, {
          Text[
           Style[
            Cos[$CellContext`\[Theta]$$], Medium, Blue, Bold], {0, -1.45}]}, {
         
          Text[
           Style[
            StringJoin["cos(", 
             ToString[
              N[$CellContext`\[Theta]$$, 5]], ") = ", 
             ToString[
              Chop[
               N[
                Cos[$CellContext`\[Theta]$$], 5]]]], Medium, Blue, Bold], {
           Pi, 1.2}]}}, ImageSize -> {500, 450}], 
      "Specifications" :> {{{$CellContext`\[Theta]$$, 1, "angle (radians)"}, 
         0, 2 Pi, AnimationRate -> 0.1, AnimationDirection -> Forward, 
         Appearance -> "Labeled", ControlPlacement -> 
         1}, {{$CellContext`\[Theta]$$, 1, "<->"}, {
         0, Rational[1, 2] Pi, Pi, Rational[3, 2] Pi, 2 Pi}, ControlPlacement -> 
         2}, 
        Row[{
          Manipulate`Place[1], 
          Manipulate`Place[2]}]}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{545., {271., 276.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->472456511],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["From Circle to Sine and Cosine Curves with Angle in Degrees",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
FromCircleToSineAndCosineCurvesWithAngleInDegrees/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
FromCircleToSineAndCosineCurvesWithAngleInDegrees/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
FromCircleToSineAndCosineCurvesWithAngleInDegrees/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
FromCircleToSineAndCosineCurvesWithAngleInDegrees/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
FromCircleToSineAndCosineCurvesWithAngleInDegrees/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Arthur Stammet",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Arthur+Stammet"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Arthur+Stammet"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
FromCircleToSineAndCosineCurvesWithAngleInDegrees"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"From Circle to Sine and Cosine Curves with Angle in Degrees - \
Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[651, 24, 251, 4, 70, "Section"],
Cell[905, 30, 31561, 708, 70, "Input",
 CellID->51026975]
}, Open  ]],
Cell[32481, 741, 7292, 166, 70, "Output",
 CellID->472456511],
Cell[CellGroupData[{
Cell[39798, 911, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[40174, 922, 1099, 31, 70, "Text"],
Cell[41276, 955, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[41616, 966, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[42077, 984, 847, 24, 70, "Text"],
Cell[42927, 1010, 1225, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature FTz2xWxvtZVJRDDdbJVTzW@V *)
