(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     39580,       1001]
NotebookOptionsPosition[     38438,        958]
NotebookOutlinePosition[     39071,        982]
CellTagsIndexPosition[     39028,        979]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Illustrating Cosine with the Unit Circle II", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "anglegraph", ",", "maingraph", ",", "maingraph2", ",", 
       "connectgraph"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"anglegraph", "[", "th_", "]"}], ":=", 
       RowBox[{"Show", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Lighter", "[", 
               RowBox[{"Gray", ",", "0.5"}], "]"}], ",", 
              RowBox[{"Circle", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}]}], "}"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Darker", "[", 
               RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thick", ",", 
              RowBox[{"Circle", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", "1", ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "th"}], "}"}]}], "]"}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Lighter", "[", 
               RowBox[{"Gray", ",", "0.5"}], "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Cos", "[", "th", "]"}], ",", 
                   RowBox[{"Sin", "[", "th", "]"}]}], "}"}]}], "}"}], "]"}]}],
              "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"Red", ",", "Thick", ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", 
                   RowBox[{"Sin", "[", "th", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Cos", "[", "th", "]"}], ",", 
                   RowBox[{"Sin", "[", "th", "]"}]}], "}"}]}], "}"}], "]"}]}],
              "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Lighter", "[", 
                 RowBox[{"Red", ",", "0.3"}], "]"}], ",", 
                RowBox[{"Dashing", "[", "Medium", "]"}]}], "}"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Cos", "[", "th", "]"}], ",", 
                   RowBox[{"Sin", "[", "th", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Cos", "[", "th", "]"}], ",", 
                   RowBox[{"-", "2"}]}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{",", " ", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"N", "[", 
                RowBox[{"Cos", "[", "th", "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Cos", "[", "th", "]"}], "/", "2"}], ",", 
                 RowBox[{
                  RowBox[{"Sin", "[", "th", "]"}], "+", "0.1"}]}], "}"}]}], 
              "]"}]}], "*)"}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotRange", "\[Rule]", "1"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "100"}], ",", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", "12", "}"}]}], ",", 
         RowBox[{"Axes", "\[Rule]", "True"}], ",", 
         RowBox[{"Ticks", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"PlotRangePadding", "\[Rule]", "0.25"}], ",", 
         RowBox[{"PlotRangeClipping", "\[Rule]", "False"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"maingraph", "[", "th_", "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Show", "[", 
          RowBox[{
           RowBox[{"Plot", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Cos", "[", "x", "]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "0.0001", ",", "th"}], "}"}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"2", "Pi"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"PlotRangePadding", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0.25"}], "}"}]}], ",", 
             RowBox[{"ImagePadding", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"20", ",", "12"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"PlotRangeClipping", "\[Rule]", "False"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", "Gray"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Ticks", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}], ",", 
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"n", ",", "0", ",", "8"}], "}"}]}], "]"}], ",", 
                RowBox[{"Table", "[", 
                 RowBox[{"n", ",", 
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"-", "1"}], ",", "1", ",", 
                    RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}]}], "}"}]}], ",",
              "\[IndentingNewLine]", 
             RowBox[{"GridLines", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"-", "2"}], ",", "8"}], "}"}]}], "]"}], ",", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"-", "1"}], ",", "1", ",", 
                    RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}]}], "}"}]}], ",",
              
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"Automatic", ",", "100"}], "}"}]}], ",", 
             RowBox[{"BaseStyle", "\[Rule]", 
              RowBox[{"{", "10", "}"}]}]}], "]"}], ",", "\[IndentingNewLine]",
            
           RowBox[{"Graphics", "[", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{
               RowBox[{"Rotate", "[", 
                RowBox[{
                 RowBox[{"Text", "[", 
                  RowBox[{
                   RowBox[{"N", "[", 
                    RowBox[{"Cos", "[", "th", "]"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"th", "+", "0.15"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", "th", "]"}], "/", "2"}], "-", 
                    "0.1"}]}], "}"}]}], "]"}], ",", 
                 RowBox[{"3", 
                  RowBox[{"Pi", "/", "2"}]}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"th", "+", "0.15"}], ",", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", "th", "]"}], "/", "2"}], "-", 
                    "0.1"}]}], "}"}]}], "]"}], ","}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Darker", "[", 
                 RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thick", ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"th", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"Red", ",", "Thick", ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"th", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"th", ",", 
                    RowBox[{"Cos", "[", "th", "]"}]}], "}"}]}], "}"}], 
                 "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
           RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]}], 
        "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"maingraph2", "[", "th_", "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Show", "[", 
          RowBox[{
           RowBox[{"ParametricPlot", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Cos", "[", "x", "]"}], ",", "x"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "0.0001", ",", "th"}], "}"}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"2", "Pi"}]}], "}"}]}], "}"}]}], ",", 
             RowBox[{"PlotRangePadding", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"0.25", ",", "0"}], "}"}]}], ",", 
             RowBox[{"ImagePadding", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"12", ",", "12"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"PlotRangeClipping", "\[Rule]", "False"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", "Gray"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Ticks", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Table", "[", 
                 RowBox[{"n", ",", 
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"-", "1"}], ",", "1", ",", 
                    RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}], ",", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}], ",", 
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"n", ",", "0", ",", "8"}], "}"}]}], "]"}]}], 
               "}"}]}], ",", "\[IndentingNewLine]", 
             RowBox[{"GridLines", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"-", "1"}], ",", "1", ",", 
                    RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}], ",", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"-", "2"}], ",", "8"}], "}"}]}], "]"}]}], "}"}]}],
              ",", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"100", ",", "Automatic"}], "}"}]}], ",", 
             RowBox[{"BaseStyle", "\[Rule]", 
              RowBox[{"{", "10", "}"}]}]}], "]"}], ",", "\[IndentingNewLine]",
            
           RowBox[{"Graphics", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Lighter", "[", 
                   RowBox[{"Red", ",", "0.5"}], "]"}], ",", 
                  RowBox[{"Dashing", "[", "0.05", "]"}]}], "}"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "th", "]"}], ",", "th"}], "}"}], ",", 
                   
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "th", "]"}], ",", 
                    RowBox[{"4", "Pi"}]}], "}"}]}], "}"}], "]"}]}], "}"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Darker", "[", 
                 RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thick", ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "th"}], "}"}]}], "}"}], "]"}]}], "}"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"Red", ",", "Thick", ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", "th"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "th", "]"}], ",", "th"}], "}"}]}], 
                  "}"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}], 
            "]"}], ",", 
           RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]}], 
        "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"connectgraph", "[", "th_", "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", "}"}], ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Lighter", "[", 
              RowBox[{"Gray", ",", "0.3"}], "]"}], ",", 
             RowBox[{"Arrow", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"th", ",", "th"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "th"}], "}"}]}], "}"}], "]"}], ",", 
             RowBox[{"Arrow", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"th", ",", "th"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"th", ",", 
                  RowBox[{"2", "Pi"}]}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
           
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"2", "Pi"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"2", "Pi"}]}], "}"}]}], "}"}]}], ",", 
           RowBox[{"ImageSize", "\[Rule]", "260"}], ",", 
           RowBox[{"Axes", "\[Rule]", "True"}], ",", 
           RowBox[{"AxesStyle", "\[Rule]", "White"}], ",", 
           RowBox[{"PlotRangePadding", "\[Rule]", "0"}], ",", 
           RowBox[{"PlotRangeClipping", "\[Rule]", "False"}], ",", 
           RowBox[{"ImagePadding", "\[Rule]", "5"}], ",", 
           RowBox[{"Ticks", "\[Rule]", "None"}]}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Deploy", "[", 
       RowBox[{"DynamicModule", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"pt", "=", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Cos", "[", "ptctrl", "]"}], ",", 
             RowBox[{"Sin", "[", "ptctrl", "]"}]}], "}"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Labeled", "[", 
          RowBox[{
           RowBox[{"Grid", "[", 
            RowBox[{
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"LocatorPane", "[", 
                  RowBox[{
                   RowBox[{"Dynamic", "[", 
                    RowBox[{"pt", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"pt", "=", 
                    RowBox[{"Normalize", "[", "#", "]"}]}], ")"}], "&"}], ",",
                     
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"pt", "=", 
                    RowBox[{"Normalize", "[", "#", "]"}]}], ")"}], "&"}], ",",
                     
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pt", "=", 
                    RowBox[{"Normalize", "[", "#", "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"ptctrl", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"#", "==", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"2", "Pi"}], ",", "0"}], "}"}]}], ",", 
                    RowBox[{"2", "Pi"}], ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}]}], "]"}]}]}], ")"}], 
                    "&"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"Dynamic", "[", 
                    RowBox[{"anglegraph", "[", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}], "]"}], "]"}]}], "]"}], 
                 ",", "\[IndentingNewLine]", 
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"maingraph", "[", 
                   RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}], "]"}], "]"}]}], "}"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"maingraph2", "[", 
                   RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}], "]"}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"connectgraph", "[", 
                   RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}], "]"}], "]"}]}], 
                "}"}]}], "}"}], ",", 
             RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<Illustrating \>\"", ",", "\"\<Label\>\"", ",", "20", 
                  ",", "Gray"}], "]"}], ",", 
                RowBox[{"Text", "@", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<cos(\>\"", ",", "Red", ",", "24"}], "]"}]}], 
                ",", 
                RowBox[{"Text", "@", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<x\>\"", ",", "Italic", ",", "Bold", ",", 
                   RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.3"}], "]"}], ",", "24"}], 
                  "]"}]}], ",", 
                RowBox[{"Text", "@", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<)\>\"", ",", "Red", ",", "24"}], "]"}]}]}], 
               "}"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<\>\"", ",", "10", ",", 
               RowBox[{"Lighter", "[", 
                RowBox[{"Gray", ",", "0.7"}], "]"}], ",", "\"\<Label\>\""}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Top", ",", "Left"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Bottom", ",", "Right"}], "}"}]}], "}"}]}], "]"}]}], 
        "]"}], "]"}]}]}], "\[IndentingNewLine]", "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ptctrl", ",", 
       RowBox[{"Pi", "/", "6"}], ",", "\"\<angle\>\""}], "}"}], ",", "0", ",",
      
     RowBox[{"2", "Pi"}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", "ptctrl", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, 3.36430524723743*^9, {3.3643057640706*^9, 
   3.36430576861714*^9}, {3.36430597985088*^9, 3.36430598427724*^9}, {
   3.36430623977463*^9, 3.3643062432997*^9}, {3.36430661826888*^9, 
   3.36430662185404*^9}, {3.36430678121318*^9, 3.36430678760237*^9}, 
   3.36430693463379*^9, 3.3643071667776*^9, {3.36430729272871*^9, 
   3.36430729297907*^9}, {3.36913632618394*^9, 3.36913639562379*^9}, {
   3.36913666352901*^9, 3.36913666429011*^9}, {3.36916232173703*^9, 
   3.36916233120063*^9}, 3.36916309646472*^9, {3.374882805484375*^9, 
   3.3748828224375*^9}, {3.383672276271655*^9, 3.38367228034978*^9}, {
   3.38383914921875*^9, 3.383839187609375*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ptctrl$$ = Rational[1, 6] Pi, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`ptctrl$$], Rational[1, 6] Pi, "angle"}, 0, 2 Pi}}, 
    Typeset`size$$ = {383., {203., 226.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`ptctrl$671597$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ptctrl$$ = Rational[1, 6] Pi}, 
      "ControllerVariables" :> {
        Hold[$CellContext`ptctrl$$, $CellContext`ptctrl$671597$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`anglegraph$, $CellContext`maingraph$, \
$CellContext`maingraph2$, $CellContext`connectgraph$}, \
$CellContext`anglegraph$[
           Pattern[$CellContext`th, 
            Blank[]]] := Show[
           Graphics[{{
              Lighter[Gray, 0.5], 
              Circle[{0, 0}, 1]}, {
              Darker[Green, 0.2], Thick, 
              Circle[{0, 0}, 1, {0, $CellContext`th}]}, {
              Lighter[Gray, 0.5], 
              Line[{{0, 0}, {
                 Cos[$CellContext`th], 
                 Sin[$CellContext`th]}}]}, {Red, Thick, 
              Line[{{0, 
                 Sin[$CellContext`th]}, {
                 Cos[$CellContext`th], 
                 Sin[$CellContext`th]}}]}, {{
               Lighter[Red, 0.3], 
               Dashing[Medium]}, 
              Line[{{
                 Cos[$CellContext`th], 
                 Sin[$CellContext`th]}, {
                 Cos[$CellContext`th], -2}}]}}], PlotRange -> 1, ImageSize -> 
           100, BaseStyle -> {12}, Axes -> True, Ticks -> {{-1, 1}, {-1, 1}}, 
           PlotRange -> {{-1, 1}, {-1, 1}}, PlotRangePadding -> 0.25, 
           PlotRangeClipping -> False]; $CellContext`maingraph$[
           Pattern[$CellContext`th, 
            Blank[]]] := Module[{}, 
           Show[
            Plot[{
              Cos[$CellContext`x]}, {$CellContext`x, 0.0001, $CellContext`th},
              PlotRange -> {{0, 2 Pi}, {-1, 1}}, 
             PlotRangePadding -> {0, 0.25}, 
             ImagePadding -> {{20, 12}, {0, 0}}, PlotRangeClipping -> False, 
             PlotStyle -> Gray, Ticks -> {
               
               Table[{$CellContext`n (Pi/4), $CellContext`n (Pi/
                  4)}, {$CellContext`n, 0, 8}], 
               Table[$CellContext`n, {$CellContext`n, -1, 1, 1/2}]}, 
             GridLines -> {
               Table[{$CellContext`n (Pi/4), 
                 Lighter[Gray, 0.7]}, {$CellContext`n, -2, 8}], 
               Table[{$CellContext`n, 
                 Lighter[Gray, 0.7]}, {$CellContext`n, -1, 1, 1/2}]}, 
             ImageSize -> {Automatic, 100}, BaseStyle -> {10}], 
            Graphics[{{
               Darker[Green, 0.2], Thick, 
               Line[{{0, 0}, {$CellContext`th, 0}}]}, {Red, Thick, 
               Line[{{$CellContext`th, 0}, {$CellContext`th, 
                  Cos[$CellContext`th]}}]}}], AspectRatio -> 
            Automatic]]; $CellContext`maingraph2$[
           Pattern[$CellContext`th, 
            Blank[]]] := Module[{}, 
           Show[
            ParametricPlot[{
              Cos[$CellContext`x], $CellContext`x}, {$CellContext`x, 
              0.0001, $CellContext`th}, PlotRange -> {{-1, 1}, {0, 2 Pi}}, 
             PlotRangePadding -> {0.25, 0}, 
             ImagePadding -> {{0, 0}, {12, 12}}, PlotRangeClipping -> False, 
             PlotStyle -> Gray, Ticks -> {
               Table[$CellContext`n, {$CellContext`n, -1, 1, 1/2}], 
               
               Table[{$CellContext`n (Pi/4), $CellContext`n (Pi/
                  4)}, {$CellContext`n, 0, 8}]}, GridLines -> {
               Table[{$CellContext`n, 
                 Lighter[Gray, 0.7]}, {$CellContext`n, -1, 1, 1/2}], 
               Table[{$CellContext`n (Pi/4), 
                 Lighter[Gray, 0.7]}, {$CellContext`n, -2, 8}]}, 
             ImageSize -> {100, Automatic}, BaseStyle -> {10}], 
            Graphics[{{{
                Lighter[Red, 0.5], 
                Dashing[0.05]}, 
               Line[{{
                  Cos[$CellContext`th], $CellContext`th}, {
                  Cos[$CellContext`th], 4 Pi}}]}, {
               Darker[Green, 0.2], Thick, 
               Line[{{0, 0}, {0, $CellContext`th}}]}, {Red, Thick, 
               Line[{{0, $CellContext`th}, {
                  Cos[$CellContext`th], $CellContext`th}}]}}], AspectRatio -> 
            Automatic]]; $CellContext`connectgraph$[
           Pattern[$CellContext`th, 
            Blank[]]] := Module[{}, 
           Graphics[{
             Lighter[Gray, 0.3], 
             
             Arrow[{{$CellContext`th, $CellContext`th}, {
               0, $CellContext`th}}], 
             
             Arrow[{{$CellContext`th, $CellContext`th}, {$CellContext`th, 2 
                Pi}}]}, PlotRange -> {{0, 2 Pi}, {0, 2 Pi}}, ImageSize -> 260,
             Axes -> True, AxesStyle -> White, PlotRangePadding -> 0, 
            PlotRangeClipping -> False, ImagePadding -> 5, Ticks -> None]]; 
        Deploy[
          DynamicModule[{$CellContext`pt = {
              Cos[$CellContext`ptctrl$$], 
              Sin[$CellContext`ptctrl$$]}}, 
           Labeled[
            Grid[{{
               LocatorPane[
                
                Dynamic[$CellContext`pt, {($CellContext`pt = 
                  Normalize[#])& , ($CellContext`pt = 
                  Normalize[#])& , ($CellContext`pt = 
                   Normalize[#]; $CellContext`ptctrl$$ = 
                   If[# == {2 Pi, 0}, 2 Pi, 
                    Mod[
                    ArcTan[
                    Part[#, 1], 
                    Part[#, 2]], 2 Pi]])& }], 
                Dynamic[
                 $CellContext`anglegraph$[
                  Mod[
                   ArcTan[
                    Part[$CellContext`pt, 1], 
                    Part[$CellContext`pt, 2]], 2 Pi]]]], 
               Dynamic[
                $CellContext`maingraph$[
                 Mod[
                  ArcTan[
                   Part[$CellContext`pt, 1], 
                   Part[$CellContext`pt, 2]], 2 Pi]]]}, {
               Dynamic[
                $CellContext`maingraph2$[
                 Mod[
                  ArcTan[
                   Part[$CellContext`pt, 1], 
                   Part[$CellContext`pt, 2]], 2 Pi]]], 
               Dynamic[
                $CellContext`connectgraph$[
                 Mod[
                  ArcTan[
                   Part[$CellContext`pt, 1], 
                   Part[$CellContext`pt, 2]], 2 Pi]]]}}, Spacings -> 0], {
             Row[{
               Style["Illustrating ", "Label", 20, Gray], 
               Text[
                Style["cos(", Red, 24]], 
               Text[
                Style["x", Italic, Bold, 
                 Darker[Green, 0.3], 24]], 
               Text[
                Style[")", Red, 24]]}], 
             Style["", 10, 
              Lighter[Gray, 0.7], "Label"]}, {{Top, Left}, {
             Bottom, Right}}]]]], 
      "Specifications" :> {{{$CellContext`ptctrl$$, Rational[1, 6] Pi, 
          "angle"}, 0, 2 Pi}}, 
      "Options" :> {TrackedSymbols :> {$CellContext`ptctrl$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{427., {255., 260.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->438517063],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Illustrating Cosine with the Unit Circle II",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
IllustratingCosineWithTheUnitCircleII/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/IllustratingCosineWithTheUnitCircleII/"]\
,
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
IllustratingCosineWithTheUnitCircleII/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
IllustratingCosineWithTheUnitCircleII/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/IllustratingCosineWithTheUnitCircleII/"]\

}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Abby Brown", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->653715053]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
IllustratingCosineWithTheUnitCircleII"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Illustrating Cosine with the Unit Circle II - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 18, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 235, 4, 70, "Section"],
Cell[828, 29, 25290, 607, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[26133, 639, 8067, 181, 70, "Output",
 CellID->438517063],
Cell[CellGroupData[{
Cell[34225, 824, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[34601, 835, 1023, 31, 70, "Text"],
Cell[CellGroupData[{
Cell[35649, 870, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[35989, 881, 201, 6, 70, "Text",
 CellID->653715053]
}, Open  ]],
Cell[CellGroupData[{
Cell[36227, 892, 967, 27, 70, "Text"],
Cell[37197, 921, 1213, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature gSjlYSJorUbsVCT12xtfS2MA *)
