(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     39429,        979]
NotebookOptionsPosition[     38287,        936]
NotebookOutlinePosition[     38920,        960]
CellTagsIndexPosition[     38877,        957]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Illustrating Cotangent with the Unit Circle", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"anglegraph", ",", "maingraph"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"anglegraph", "[", 
        RowBox[{"th1_", ",", "showtext_"}], "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", "th", "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"th", "=", 
           RowBox[{"Which", "[", 
            RowBox[{
             RowBox[{"th1", "\[Equal]", "0"}], ",", "0.000001", ",", 
             RowBox[{"th1", "\[Equal]", "Pi"}], ",", "3.14159", ",", 
             RowBox[{"th1", "\[Equal]", 
              RowBox[{"2", "Pi"}]}], ",", 
             RowBox[{"2", "*", "3.14159"}], ",", "True", ",", "th1"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Show", "[", 
           RowBox[{
            RowBox[{"Graphics", "[", 
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Gray", ",", 
                 RowBox[{"Circle", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}]}], 
                "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Darker", "[", 
                  RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thick", ",", 
                 RowBox[{"Circle", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", "1", ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "th"}], "}"}]}], "]"}]}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{"Gray", ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "6"}], 
                    RowBox[{"Cos", "[", "th", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"-", "6"}], 
                    RowBox[{"Sin", "[", "th", "]"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"6", 
                    RowBox[{"Cos", "[", "th", "]"}]}], ",", 
                    RowBox[{"6", 
                    RowBox[{"Sin", "[", "th", "]"}]}]}], "}"}]}], "}"}], 
                  "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{"Red", ",", "Thick", ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"th1", "\[Equal]", "0"}], ",", "6", ",", 
                    RowBox[{"Cot", "[", "th", "]"}]}], "]"}], ",", "1"}], 
                    "}"}]}], "}"}], "]"}]}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{"showtext", ",", 
                 RowBox[{"Text", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"th1", "\[Equal]", 
                    RowBox[{"2", "Pi"}]}], ",", "\"\<-\[Infinity]\>\"", ",", 
                    RowBox[{
                    RowBox[{"th1", "\[Equal]", "0."}], "||", 
                    RowBox[{"th1", "\[Equal]", "Pi"}]}], ",", 
                    "\"\<\[Infinity]\>\"", ",", "True", ",", 
                    RowBox[{"N", "[", 
                    RowBox[{"Cot", "[", "th", "]"}], "]"}]}], "]"}], ",", 
                    "11"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cot", "[", "th", "]"}], "/", "2"}], "<", 
                    RowBox[{"-", "3"}]}], ",", 
                    RowBox[{"-", "3"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cot", "[", "th", "]"}], "/", "2"}], ">", "3"}], 
                    ",", "3", ",", "True", ",", 
                    RowBox[{
                    RowBox[{"Cot", "[", "th", "]"}], "/", "2"}]}], "]"}], ",",
                     
                    RowBox[{"1", "+", "0.25"}]}], "}"}]}], "]"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}]}], "\[IndentingNewLine]", "}"}], 
             "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"270", ",", "Automatic"}], "}"}]}], ",", 
            RowBox[{"BaseStyle", "\[Rule]", 
             RowBox[{"{", "11", "}"}]}], ",", 
            RowBox[{"Axes", "\[Rule]", "True"}], ",", 
            RowBox[{"Ticks", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Range", "[", 
                RowBox[{
                 RowBox[{"-", "5"}], ",", "5"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
            RowBox[{"PlotRange", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
            RowBox[{"PlotRangePadding", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0.1", ",", "0.1"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0.4", ",", "0.4"}], "}"}]}], "}"}]}]}], "]"}]}]}], 
        "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"maingraph", "[", 
        RowBox[{"th_", ",", "showtext_"}], "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"theta", ",", "labelpos"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"theta", "=", 
           RowBox[{"Which", "[", 
            RowBox[{
             RowBox[{"th", "\[Equal]", "0"}], ",", "0.000001", ",", 
             RowBox[{"th", "\[Equal]", "Pi"}], ",", "3.14159", ",", 
             RowBox[{"th", "\[Equal]", 
              RowBox[{"2", "Pi"}]}], ",", 
             RowBox[{"2", "*", "3.14159"}], ",", "True", ",", "th"}], "]"}]}],
           ";", "\[IndentingNewLine]", 
          RowBox[{"labelpos", "=", 
           RowBox[{"Which", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Cot", "[", "theta", "]"}], "/", "2"}], "<", 
              RowBox[{"-", "3"}]}], ",", 
             RowBox[{"-", "3"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"Cot", "[", "theta", "]"}], "/", "2"}], ">", "3"}], 
             ",", "3", ",", "True", ",", 
             RowBox[{
              RowBox[{"Cot", "[", "theta", "]"}], "/", "2"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Show", "[", 
           RowBox[{
            RowBox[{"Plot", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"Cot", "[", "x", "]"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "0.0001", ",", "theta"}], "}"}], ",", 
              RowBox[{"Exclusions", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"x", "==", "Pi"}], ",", 
                 RowBox[{"x", "\[Equal]", 
                  RowBox[{"2", "Pi"}]}]}], "}"}]}], ",", 
              RowBox[{"PlotRange", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", 
                   RowBox[{"2", "Pi"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}], ",", 
              RowBox[{"PlotRangePadding", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0.25"}], "}"}]}], ",", 
              RowBox[{"ImagePadding", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"15", ",", "12"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], ",", 
              RowBox[{"PlotRangeClipping", "\[Rule]", "False"}], ",", 
              RowBox[{"PlotStyle", "\[Rule]", "Gray"}], ",", 
              RowBox[{"ExclusionsStyle", "\[Rule]", 
               RowBox[{"Directive", "[", 
                RowBox[{"Gray", ",", 
                 RowBox[{"Dashing", "[", "Small", "]"}]}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Ticks", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}], ",", 
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"n", ",", "0", ",", "8"}], "}"}]}], "]"}], ",", 
                 RowBox[{"Table", "[", 
                  RowBox[{"n", ",", 
                   RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "]"}]}], "}"}]}],
               ",", "\[IndentingNewLine]", 
              RowBox[{"GridLines", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "2"}], ",", "8"}], "}"}]}], "]"}], ",", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "5"}], ",", "5", ",", "1"}], "}"}]}], 
                  "]"}]}], "}"}]}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Automatic", ",", "220"}], "}"}]}], ",", 
              RowBox[{"BaseStyle", "\[Rule]", 
               RowBox[{"{", "11", "}"}]}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Graphics", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{"showtext", ",", 
                 RowBox[{"Rotate", "[", 
                  RowBox[{
                   RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"th", "\[Equal]", 
                    RowBox[{"2", "Pi"}]}], ",", "\"\<-\[Infinity]\>\"", ",", 
                    RowBox[{
                    RowBox[{"th", "\[Equal]", "0."}], "||", 
                    RowBox[{"th", "\[Equal]", "Pi"}]}], ",", 
                    "\"\<\[Infinity]\>\"", ",", "True", ",", 
                    RowBox[{"N", "[", 
                    RowBox[{"Cot", "[", "th", "]"}], "]"}]}], "]"}], ",", 
                    "11"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"theta", "+", "0.3"}], ",", 
                    RowBox[{"labelpos", "+", "0.1"}]}], "}"}]}], "]"}], ",", 
                   RowBox[{"3", 
                    RowBox[{"Pi", "/", "2"}]}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"theta", "+", "0.3"}], ",", 
                    RowBox[{"labelpos", "+", "0.1"}]}], "}"}]}], "]"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Darker", "[", 
                  RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thick", ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"theta", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
                "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{"Red", ",", "Thick", ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"theta", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"theta", ",", 
                    RowBox[{"Cot", "[", "theta", "]"}]}], "}"}]}], "}"}], 
                  "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
            
            RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], 
           "\[IndentingNewLine]", "]"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"DynamicModule", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"pt", "=", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Cos", "[", "ptctrl", "]"}], ",", 
             RowBox[{"Sin", "[", "ptctrl", "]"}]}], "}"}]}], ",", 
          RowBox[{"pt2", "=", 
           RowBox[{"{", 
            RowBox[{"ptctrl", ",", "0"}], "}"}]}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Labeled", "[", 
         RowBox[{
          RowBox[{"Grid", "[", 
           RowBox[{
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"LocatorPane", "[", 
                RowBox[{
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"pt", ",", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"pt", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{"pt2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"pt2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], ")"}], 
                    "&"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pt", "=", 
                    RowBox[{"Normalize", "[", "#", "]"}]}], ";", 
                    RowBox[{"pt2", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"pt2", "==", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"2", "Pi"}], ",", "0"}], "}"}]}], ",", 
                    RowBox[{"2", "Pi"}], ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}]}], "]"}], ",", "0"}], 
                    "}"}]}]}], ")"}], "&"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pt", "=", 
                    RowBox[{"Normalize", "[", "#", "]"}]}], ";", 
                    RowBox[{"ptctrl", "=", 
                    RowBox[{"pt2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}]}], ")"}], "&"}]}], 
                    "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"anglegraph", "[", 
                   RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"pt2", "==", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"2", "Pi"}], ",", "0"}], "}"}]}], ",", 
                    RowBox[{"2", "Pi"}], ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}]}], "]"}], ",", 
                    "showvalue"}], "]"}], "]"}]}], "]"}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"LocatorPane", "[", 
                RowBox[{
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"pt2", ",", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"pt2", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"pt2", "==", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"2", "Pi"}], ",", "0"}], "}"}]}], ",", 
                    RowBox[{"2", "Pi"}], ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}]}], "]"}], ",", "0"}], 
                    "}"}]}], ")"}], "&"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pt2", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "0"}], "}"}]}], ";", 
                    
                    RowBox[{"pt", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}]}], ")"}],
                     "&"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pt2", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "0"}], "}"}]}], ";", 
                    
                    RowBox[{"ptctrl", "=", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}]}], ")"}], "&"}]}], 
                    "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"maingraph", "[", 
                   RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"pt2", "==", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"2", "Pi"}], ",", "0"}], "}"}]}], ",", 
                    RowBox[{"2", "Pi"}], ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}]}], "]"}], ",", 
                    "showvalue"}], "]"}], "]"}]}], "]"}], "}"}]}], "}"}], ",",
             
            RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<Illustrating \>\"", ",", "\"\<Label\>\"", ",", "Gray", 
                 ",", "20"}], "]"}], ",", 
               RowBox[{"Text", "@", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<cot(\>\"", ",", "Red", ",", "24"}], "]"}]}], 
               ",", 
               RowBox[{"Text", "@", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<x\>\"", ",", "Italic", ",", "Bold", ",", 
                  RowBox[{"Darker", "[", 
                   RowBox[{"Green", ",", "0.3"}], "]"}], ",", "24"}], "]"}]}],
                ",", 
               RowBox[{"Text", "@", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<)\>\"", ",", "Red", ",", "24"}], "]"}]}]}], 
              "}"}], "]"}], ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<\>\"", ",", "10", ",", 
              RowBox[{"Lighter", "[", 
               RowBox[{"Gray", ",", "0.7"}], "]"}], ",", "\"\<Label\>\""}], 
             "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"Top", ",", "Left"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"Bottom", ",", "Center"}], "}"}]}], "}"}]}], "]"}]}], 
       "]"}]}]}], "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showvalue", ",", "False", ",", "\"\<show value\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ptctrl", ",", 
       RowBox[{"Pi", "/", "6"}], ",", "\"\<angle\>\""}], "}"}], ",", "0", ",",
      
     RowBox[{"2", "Pi"}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"showvalue", ",", "ptctrl"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, 3.36430524723743*^9, {3.3643057640706*^9, 
   3.36430576861714*^9}, {3.36430597985088*^9, 3.36430598427724*^9}, {
   3.36430623977463*^9, 3.3643062432997*^9}, {3.36907698024657*^9, 
   3.36907702014394*^9}, {3.36916180200969*^9, 3.36916183147206*^9}, 
   3.36916320477046*^9, {3.3748858865*^9, 3.374885899140625*^9}, {
   3.377896269532387*^9, 3.377896279089806*^9}, 3.383336373568812*^9, {
   3.3835637070390654`*^9, 3.3835637082578*^9}, {3.38367234175603*^9, 
   3.38367234209978*^9}, {3.38383865209375*^9, 3.383838683921875*^9}, {
   3.3841111721943607`*^9, 3.38411117260532*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ptctrl$$ = 
    6.2700000000000005`, $CellContext`showvalue$$ = False, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`showvalue$$], False, "show value"}, {
      False, True}}, {{
       Hold[$CellContext`ptctrl$$], 6.2700000000000005`, "angle"}, 0, 2 Pi}}, 
    Typeset`size$$ = {270., {162., 185.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`showvalue$82786$$ = 
    False, $CellContext`ptctrl$82787$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ptctrl$$ = 
        6.2700000000000005`, $CellContext`showvalue$$ = False}, 
      "ControllerVariables" :> {
        Hold[$CellContext`showvalue$$, $CellContext`showvalue$82786$$, False],
         
        Hold[$CellContext`ptctrl$$, $CellContext`ptctrl$82787$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`anglegraph$, $CellContext`maingraph$}, \
$CellContext`anglegraph$[
           Pattern[$CellContext`th1, 
            Blank[]], 
           Pattern[$CellContext`showtext, 
            Blank[]]] := 
         Module[{$CellContext`th}, $CellContext`th = 
            Which[$CellContext`th1 == 0, 1.*^-6, $CellContext`th1 == Pi, 
              3.14159, $CellContext`th1 == 2 Pi, 2 3.14159, 
              True, $CellContext`th1]; Show[
             Graphics[{{Gray, 
                Circle[{0, 0}, 1]}, {
                Darker[Green, 0.2], Thick, 
                Circle[{0, 0}, 1, {0, $CellContext`th}]}, {Gray, 
                
                Line[{{(-6) Cos[$CellContext`th], (-6) 
                   Sin[$CellContext`th]}, {
                  6 Cos[$CellContext`th], 6 Sin[$CellContext`th]}}]}, {
               Red, Thick, 
                Line[{{0, 1}, {
                   If[$CellContext`th1 == 0, 6, 
                    Cot[$CellContext`th]], 1}}]}, 
               If[$CellContext`showtext, 
                Text[
                 Style[
                  Which[$CellContext`th1 == 2 Pi, "-\[Infinity]", 
                   Or[$CellContext`th1 == 0., $CellContext`th1 == Pi], 
                   "\[Infinity]", True, 
                   N[
                    Cot[$CellContext`th]]], 11], {
                  Which[
                  Cot[$CellContext`th]/2 < -3, -3, Cot[$CellContext`th]/2 > 3,
                    3, True, Cot[$CellContext`th]/2], 1 + 0.25}], {}]}], 
             ImageSize -> {270, Automatic}, BaseStyle -> {11}, Axes -> True, 
             Ticks -> {
               Range[-5, 5], {-1, 1}}, PlotRange -> {{-5, 5}, {-1, 1}}, 
             PlotRangePadding -> {{0.1, 0.1}, {0.4, 
              0.4}}]]; $CellContext`maingraph$[
           Pattern[$CellContext`th, 
            Blank[]], 
           Pattern[$CellContext`showtext, 
            Blank[]]] := 
         Module[{$CellContext`theta, $CellContext`labelpos}, \
$CellContext`theta = 
            Which[$CellContext`th == 0, 1.*^-6, $CellContext`th == Pi, 
              3.14159, $CellContext`th == 2 Pi, 2 3.14159, 
              True, $CellContext`th]; $CellContext`labelpos = 
            Which[Cot[$CellContext`theta]/2 < -3, -3, 
              Cot[$CellContext`theta]/2 > 3, 3, True, Cot[$CellContext`theta]/
              2]; Show[
             Plot[{
               Cot[$CellContext`x]}, {$CellContext`x, 
               0.0001, $CellContext`theta}, 
              Exclusions -> {$CellContext`x == Pi, $CellContext`x == 2 Pi}, 
              PlotRange -> {{0, 2 Pi}, {-5, 5}}, 
              PlotRangePadding -> {0, 0.25}, 
              ImagePadding -> {{15, 12}, {0, 0}}, PlotRangeClipping -> False, 
              PlotStyle -> Gray, ExclusionsStyle -> Directive[Gray, 
                Dashing[Small]], Ticks -> {
                
                Table[{$CellContext`n (Pi/4), $CellContext`n (Pi/
                   4)}, {$CellContext`n, 0, 8}], 
                Table[$CellContext`n, {$CellContext`n, -5, 5}]}, 
              GridLines -> {
                Table[{$CellContext`n (Pi/4), 
                  Lighter[Gray, 0.7]}, {$CellContext`n, -2, 8}], 
                Table[{$CellContext`n, 
                  Lighter[Gray, 0.7]}, {$CellContext`n, -5, 5, 1}]}, 
              ImageSize -> {Automatic, 220}, BaseStyle -> {11}], 
             Graphics[{
               If[$CellContext`showtext, 
                Rotate[
                 Text[
                  Style[
                   Which[$CellContext`th == 2 Pi, "-\[Infinity]", 
                    Or[$CellContext`th == 0., $CellContext`th == Pi], 
                    "\[Infinity]", True, 
                    N[
                    Cot[$CellContext`th]]], 11], {$CellContext`theta + 
                   0.3, $CellContext`labelpos + 0.1}], 
                 3 (Pi/2), {$CellContext`theta + 0.3, $CellContext`labelpos + 
                  0.1}], {}], {
                Darker[Green, 0.2], Thick, 
                Line[{{0, 0}, {$CellContext`theta, 0}}]}, {Red, Thick, 
                Line[{{$CellContext`theta, 0}, {$CellContext`theta, 
                   Cot[$CellContext`theta]}}]}}], AspectRatio -> Automatic]]; 
        DynamicModule[{$CellContext`pt = {
             Cos[$CellContext`ptctrl$$], 
             
             Sin[$CellContext`ptctrl$$]}, $CellContext`pt2 = \
{$CellContext`ptctrl$$, 0}}, 
          Labeled[
           Grid[{{
              LocatorPane[
               Dynamic[$CellContext`pt, {($CellContext`pt = {
                   Cos[
                    Part[$CellContext`pt2, 1]], 
                   Sin[
                    Part[$CellContext`pt2, 1]]})& , ($CellContext`pt = 
                  Normalize[#]; $CellContext`pt2 = {
                    If[$CellContext`pt2 == {2 Pi, 0}, 2 Pi, 
                    Mod[
                    ArcTan[
                    Part[#, 1], 
                    Part[#, 2]], 2 Pi]], 0})& , ($CellContext`pt = 
                  Normalize[#]; $CellContext`ptctrl$$ = 
                  Part[$CellContext`pt2, 1])& }], 
               Dynamic[
                $CellContext`anglegraph$[
                 If[$CellContext`pt2 == {2 Pi, 0}, 2 Pi, 
                  Mod[
                   ArcTan[
                    Part[$CellContext`pt, 1], 
                    Part[$CellContext`pt, 2]], 2 
                   Pi]], $CellContext`showvalue$$]]]}, {
              LocatorPane[
               Dynamic[$CellContext`pt2, {($CellContext`pt2 = {
                   If[$CellContext`pt2 == {2 Pi, 0}, 2 Pi, 
                    Mod[
                    ArcTan[
                    Part[$CellContext`pt, 1], 
                    Part[$CellContext`pt, 2]], 2 Pi]], 
                   0})& , ($CellContext`pt2 = {
                    Part[#, 1], 0}; $CellContext`pt = {
                    Cos[
                    Part[#, 1]], 
                    Sin[
                    Part[#, 1]]})& , ($CellContext`pt2 = {
                    Part[#, 1], 0}; $CellContext`ptctrl$$ = Part[#, 1])& }], 
               Dynamic[
                $CellContext`maingraph$[
                 If[$CellContext`pt2 == {2 Pi, 0}, 2 Pi, 
                  Mod[
                   ArcTan[
                    Part[$CellContext`pt, 1], 
                    Part[$CellContext`pt, 2]], 2 
                   Pi]], $CellContext`showvalue$$]]]}}, Spacings -> 0], {
            Row[{
              Style["Illustrating ", "Label", Gray, 20], 
              Text[
               Style["cot(", Red, 24]], 
              Text[
               Style["x", Italic, Bold, 
                Darker[Green, 0.3], 24]], 
              Text[
               Style[")", Red, 24]]}], 
            Style["", 10, 
             Lighter[Gray, 0.7], "Label"]}, {{Top, Left}, {
            Bottom, Center}}]]], 
      "Specifications" :> {{{$CellContext`showvalue$$, False, "show value"}, {
         False, True}}, {{$CellContext`ptctrl$$, 6.2700000000000005`, 
          "angle"}, 0, 2 Pi}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`showvalue$$, $CellContext`ptctrl$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{314., {223., 228.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->436159696],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Illustrating Cotangent with the Unit Circle",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
IllustratingCotangentWithTheUnitCircle/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/IllustratingCotangentWithTheUnitCircle/\
"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
IllustratingCotangentWithTheUnitCircle/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
IllustratingCotangentWithTheUnitCircle/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/IllustratingCotangentWithTheUnitCircle/\
"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Abby Brown", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->653715053]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
IllustratingCotangentWithTheUnitCircle"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Illustrating Cotangent with the Unit Circle - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 18, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 235, 4, 70, "Section"],
Cell[828, 29, 24330, 573, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[25173, 605, 8870, 193, 70, "Output",
 CellID->436159696],
Cell[CellGroupData[{
Cell[34068, 802, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[34444, 813, 1028, 31, 70, "Text"],
Cell[CellGroupData[{
Cell[35497, 848, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[35837, 859, 201, 6, 70, "Text",
 CellID->653715053]
}, Open  ]],
Cell[CellGroupData[{
Cell[36075, 870, 967, 27, 70, "Text"],
Cell[37045, 899, 1214, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature aQjsUgMN@Gv8iDT7rqpNDrdn *)
