(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     36016,        920]
NotebookOptionsPosition[     34880,        877]
NotebookOutlinePosition[     35508,        901]
CellTagsIndexPosition[     35465,        898]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Illustrating Sine with the Unit Circle", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"anglegraph", ",", "maingraph"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"anglegraph", "[", 
        RowBox[{"th_", ",", "showtext_"}], "]"}], ":=", 
       RowBox[{"Show", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Graphics", "[", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Lighter", "[", 
               RowBox[{"Gray", ",", "0.5"}], "]"}], ",", 
              RowBox[{"Circle", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}]}], "}"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Darker", "[", 
               RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thick", ",", 
              RowBox[{"Circle", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", "1", ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "th"}], "}"}]}], "]"}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Lighter", "[", 
               RowBox[{"Gray", ",", "0.5"}], "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Cos", "[", "th", "]"}], ",", 
                   RowBox[{"Sin", "[", "th", "]"}]}], "}"}]}], "}"}], "]"}]}],
              "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"Red", ",", "Thick", ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Cos", "[", "th", "]"}], ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Cos", "[", "th", "]"}], ",", 
                   RowBox[{"Sin", "[", "th", "]"}]}], "}"}]}], "}"}], "]"}]}],
              "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{"showtext", ",", 
              RowBox[{"Rotate", "[", 
               RowBox[{
                RowBox[{"Text", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"Sin", "[", "th", "]"}], "]"}], ",", "11"}], 
                   "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", "th", "]"}], "-", "0.15"}], ",", 
                    RowBox[{
                    RowBox[{"Sin", "[", "th", "]"}], "/", "2"}]}], "}"}]}], 
                 "]"}], ",", 
                RowBox[{"3", 
                 RowBox[{"Pi", "/", "2"}]}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Cos", "[", "th", "]"}], "-", "0.15"}], ",", 
                  RowBox[{
                   RowBox[{"Sin", "[", "th", "]"}], "/", "2"}]}], "}"}]}], 
               "]"}], ",", 
              RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Lighter", "[", 
               RowBox[{"Red", ",", "0.3"}], "]"}], ",", 
              RowBox[{"Dashing", "[", "Medium", "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Cos", "[", "th", "]"}], ",", 
                   RowBox[{"Sin", "[", "th", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"2", ",", 
                   RowBox[{"Sin", "[", "th", "]"}]}], "}"}]}], "}"}], "]"}]}],
              "}"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotRange", "\[Rule]", "1"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "145"}], ",", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", "12", "}"}]}], ",", 
         RowBox[{"Axes", "\[Rule]", "True"}], ",", 
         RowBox[{"Ticks", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"PlotRangePadding", "\[Rule]", "0.25"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"maingraph", "[", 
        RowBox[{"th_", ",", "showtext_"}], "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Show", "[", 
          RowBox[{
           RowBox[{"Plot", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Sin", "[", "x", "]"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "0.0001", ",", "th"}], "}"}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"2", "Pi"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"PlotRangePadding", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0.25"}], "}"}]}], ",", 
             RowBox[{"ImagePadding", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"30", ",", "12"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"PlotRangeClipping", "\[Rule]", "False"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", "Gray"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Ticks", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}], ",", 
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"n", ",", "0", ",", "8"}], "}"}]}], "]"}], ",", 
                RowBox[{"Table", "[", 
                 RowBox[{"n", ",", 
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"-", "1"}], ",", "1", ",", 
                    RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}]}], "}"}]}], ",",
              "\[IndentingNewLine]", 
             RowBox[{"GridLines", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"-", "2"}], ",", "8"}], "}"}]}], "]"}], ",", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"n", ",", 
                    RowBox[{"-", "1"}], ",", "1", ",", 
                    RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}]}], "}"}]}], ",",
              
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"Automatic", ",", "145"}], "}"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Graphics", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{"showtext", ",", 
                RowBox[{"Rotate", "[", 
                 RowBox[{
                  RowBox[{"Text", "[", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"Sin", "[", "th", "]"}], "]"}], ",", "11"}], 
                    "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"th", "+", "0.15"}], ",", 
                    RowBox[{
                    RowBox[{"Sin", "[", "th", "]"}], "/", "2"}]}], "}"}]}], 
                   "]"}], ",", 
                  RowBox[{"3", 
                   RowBox[{"Pi", "/", "2"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"th", "+", "0.15"}], ",", 
                    RowBox[{
                    RowBox[{"Sin", "[", "th", "]"}], "/", "2"}]}], "}"}]}], 
                 "]"}], ",", 
                RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Lighter", "[", 
                 RowBox[{"Red", ",", "0.3"}], "]"}], ",", 
                RowBox[{"Dashing", "[", "Medium", "]"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"th", ",", 
                    RowBox[{"Sin", "[", "th", "]"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "2"}], ",", 
                    RowBox[{"Sin", "[", "th", "]"}]}], "}"}]}], "}"}], 
                 "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Darker", "[", 
                 RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thick", ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"th", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"Red", ",", "Thick", ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"th", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"th", ",", 
                    RowBox[{"Sin", "[", "th", "]"}]}], "}"}]}], "}"}], 
                 "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
           RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
           RowBox[{"BaseStyle", "\[Rule]", 
            RowBox[{"{", "12", "}"}]}]}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"DynamicModule", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"pt", "=", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Cos", "[", "ptctrl", "]"}], ",", 
             RowBox[{"Sin", "[", "ptctrl", "]"}]}], "}"}]}], ",", 
          RowBox[{"pt2", "=", 
           RowBox[{"{", 
            RowBox[{"ptctrl", ",", "0"}], "}"}]}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Labeled", "[", 
         RowBox[{
          RowBox[{"Grid", "[", 
           RowBox[{
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"LocatorPane", "[", 
                RowBox[{
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"pt", ",", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"pt", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{"pt2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"pt2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], ")"}], 
                    "&"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pt", "=", 
                    RowBox[{"Normalize", "[", "#", "]"}]}], ";", 
                    RowBox[{"pt2", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"pt2", "==", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"2", "Pi"}], ",", "0"}], "}"}]}], ",", 
                    RowBox[{"2", "Pi"}], ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}]}], "]"}], ",", "0"}], 
                    "}"}]}]}], ")"}], "&"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pt", "=", 
                    RowBox[{"Normalize", "[", "#", "]"}]}], ";", 
                    RowBox[{"ptctrl", "=", 
                    RowBox[{"pt2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}]}], ")"}], "&"}]}], 
                    "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"anglegraph", "[", 
                   RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"pt2", "==", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"2", "Pi"}], ",", "0"}], "}"}]}], ",", 
                    RowBox[{"2", "Pi"}], ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}]}], "]"}], ",", 
                    "showvalue"}], "]"}], "]"}]}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"LocatorPane", "[", 
                RowBox[{
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"pt2", ",", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"pt2", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"pt2", "==", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"2", "Pi"}], ",", "0"}], "}"}]}], ",", 
                    RowBox[{"2", "Pi"}], ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}]}], "]"}], ",", "0"}], 
                    "}"}]}], ")"}], "&"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pt2", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "0"}], "}"}]}], ";", 
                    
                    RowBox[{"pt", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}]}], ")"}],
                     "&"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pt2", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "0"}], "}"}]}], ";", 
                    
                    RowBox[{"ptctrl", "=", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}]}], ")"}], "&"}]}], 
                    "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"maingraph", "[", 
                   RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"pt2", "==", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"2", "Pi"}], ",", "0"}], "}"}]}], ",", 
                    RowBox[{"2", "Pi"}], ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}]}], "]"}], ",", 
                    "showvalue"}], "]"}], "]"}]}], "]"}]}], "}"}], "}"}], ",",
             
            RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<Illustrating \>\"", ",", "\"\<Label\>\"", ",", "20", ",",
                  "Gray"}], "]"}], ",", 
               RowBox[{"Text", "@", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<sin(\>\"", ",", "Red", ",", "24"}], "]"}]}], 
               ",", 
               RowBox[{"Text", "@", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<x\>\"", ",", "Italic", ",", "Bold", ",", 
                  RowBox[{"Darker", "[", 
                   RowBox[{"Green", ",", "0.3"}], "]"}], ",", "24"}], "]"}]}],
                ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<)\>\"", ",", "Red", ",", "24"}], "]"}]}], "}"}], 
             "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<\>\"", ",", "10", ",", 
              RowBox[{"Lighter", "[", 
               RowBox[{"Gray", ",", "0.7"}], "]"}], ",", "\"\<Label\>\""}], 
             "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"Top", ",", "Left"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"Bottom", ",", "Right"}], "}"}]}], "}"}]}], "]"}]}], 
       "]"}]}]}], "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showvalue", ",", "False", ",", "\"\<show value\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ptctrl", ",", 
       RowBox[{"Pi", "/", "6"}], ",", "\"\<angle\>\""}], "}"}], ",", "0", ",",
      
     RowBox[{"2", "Pi"}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"showvalue", ",", "ptctrl"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, 3.36430524723743*^9, {3.36855193021855*^9, 
   3.36855198937361*^9}, {3.36855310488764*^9, 3.36855310575889*^9}, {
   3.3692595070715*^9, 3.36925953982861*^9}, {3.374886201328125*^9, 
   3.374886222*^9}, {3.377896077502369*^9, 3.37789608697085*^9}, {
   3.383335157914255*^9, 3.3833351625082693`*^9}, {3.383836493140625*^9, 
   3.383836521046875*^9}, {3.383836556484375*^9, 3.383836629453125*^9}, {
   3.383838144234375*^9, 3.3838381495625*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ptctrl$$ = Rational[1, 6] 
    Pi, $CellContext`showvalue$$ = False, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`showvalue$$], False, "show value"}, {
      False, True}}, {{
       Hold[$CellContext`ptctrl$$], Rational[1, 6] Pi, "angle"}, 0, 2 Pi}}, 
    Typeset`size$$ = {551., {85., 108.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`showvalue$667883$$ = 
    False, $CellContext`ptctrl$667884$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ptctrl$$ = 
        Rational[1, 6] Pi, $CellContext`showvalue$$ = False}, 
      "ControllerVariables" :> {
        Hold[$CellContext`showvalue$$, $CellContext`showvalue$667883$$, 
         False], 
        Hold[$CellContext`ptctrl$$, $CellContext`ptctrl$667884$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`anglegraph$, $CellContext`maingraph$}, \
$CellContext`anglegraph$[
           Pattern[$CellContext`th, 
            Blank[]], 
           Pattern[$CellContext`showtext, 
            Blank[]]] := Show[
           Graphics[{{
              Lighter[Gray, 0.5], 
              Circle[{0, 0}, 1]}, {
              Darker[Green, 0.2], Thick, 
              Circle[{0, 0}, 1, {0, $CellContext`th}]}, {
              Lighter[Gray, 0.5], 
              Line[{{0, 0}, {
                 Cos[$CellContext`th], 
                 Sin[$CellContext`th]}}]}, {Red, Thick, 
              Line[{{
                 Cos[$CellContext`th], 0}, {
                 Cos[$CellContext`th], 
                 Sin[$CellContext`th]}}]}, 
             If[$CellContext`showtext, 
              Rotate[
               Text[
                Style[
                 N[
                  Sin[$CellContext`th]], 11], {
                Cos[$CellContext`th] - 0.15, Sin[$CellContext`th]/2}], 
               3 (Pi/2), {
               Cos[$CellContext`th] - 0.15, Sin[$CellContext`th]/2}], {}], {
              Lighter[Red, 0.3], 
              Dashing[Medium], 
              Line[{{
                 Cos[$CellContext`th], 
                 Sin[$CellContext`th]}, {2, 
                 Sin[$CellContext`th]}}]}}], PlotRange -> 1, ImageSize -> 145,
            BaseStyle -> {12}, Axes -> True, Ticks -> {{-1, 1}, {-1, 1}}, 
           PlotRange -> {{-1, 1}, {-1, 1}}, PlotRangePadding -> 
           0.25]; $CellContext`maingraph$[
           Pattern[$CellContext`th, 
            Blank[]], 
           Pattern[$CellContext`showtext, 
            Blank[]]] := Module[{}, 
           Show[
            Plot[{
              Sin[$CellContext`x]}, {$CellContext`x, 0.0001, $CellContext`th},
              PlotRange -> {{0, 2 Pi}, {-1, 1}}, 
             PlotRangePadding -> {0, 0.25}, 
             ImagePadding -> {{30, 12}, {0, 0}}, PlotRangeClipping -> False, 
             PlotStyle -> Gray, Ticks -> {
               
               Table[{$CellContext`n (Pi/4), $CellContext`n (Pi/
                  4)}, {$CellContext`n, 0, 8}], 
               Table[$CellContext`n, {$CellContext`n, -1, 1, 1/2}]}, 
             GridLines -> {
               Table[{$CellContext`n (Pi/4), 
                 Lighter[Gray, 0.7]}, {$CellContext`n, -2, 8}], 
               Table[{$CellContext`n, 
                 Lighter[Gray, 0.7]}, {$CellContext`n, -1, 1, 1/2}]}, 
             ImageSize -> {Automatic, 145}], 
            Graphics[{
              If[$CellContext`showtext, 
               Rotate[
                Text[
                 Style[
                  N[
                   Sin[$CellContext`th]], 11], {$CellContext`th + 0.15, 
                  Sin[$CellContext`th]/2}], 
                3 (Pi/2), {$CellContext`th + 0.15, Sin[$CellContext`th]/
                 2}], {}], {
               Lighter[Red, 0.3], 
               Dashing[Medium], 
               Line[{{$CellContext`th, 
                  Sin[$CellContext`th]}, {-2, 
                  Sin[$CellContext`th]}}]}, {
               Darker[Green, 0.2], Thick, 
               Line[{{0, 0}, {$CellContext`th, 0}}]}, {Red, Thick, 
               Line[{{$CellContext`th, 0}, {$CellContext`th, 
                  Sin[$CellContext`th]}}]}}], AspectRatio -> Automatic, 
            BaseStyle -> {12}]]; DynamicModule[{$CellContext`pt = {
             Cos[$CellContext`ptctrl$$], 
             
             Sin[$CellContext`ptctrl$$]}, $CellContext`pt2 = \
{$CellContext`ptctrl$$, 0}}, 
          Labeled[
           Grid[{{
              LocatorPane[
               Dynamic[$CellContext`pt, {($CellContext`pt = {
                   Cos[
                    Part[$CellContext`pt2, 1]], 
                   Sin[
                    Part[$CellContext`pt2, 1]]})& , ($CellContext`pt = 
                  Normalize[#]; $CellContext`pt2 = {
                    If[$CellContext`pt2 == {2 Pi, 0}, 2 Pi, 
                    Mod[
                    ArcTan[
                    Part[#, 1], 
                    Part[#, 2]], 2 Pi]], 0})& , ($CellContext`pt = 
                  Normalize[#]; $CellContext`ptctrl$$ = 
                  Part[$CellContext`pt2, 1])& }], 
               Dynamic[
                $CellContext`anglegraph$[
                 If[$CellContext`pt2 == {2 Pi, 0}, 2 Pi, 
                  Mod[
                   ArcTan[
                    Part[$CellContext`pt, 1], 
                    Part[$CellContext`pt, 2]], 2 
                   Pi]], $CellContext`showvalue$$]]], 
              LocatorPane[
               Dynamic[$CellContext`pt2, {($CellContext`pt2 = {
                   If[$CellContext`pt2 == {2 Pi, 0}, 2 Pi, 
                    Mod[
                    ArcTan[
                    Part[$CellContext`pt, 1], 
                    Part[$CellContext`pt, 2]], 2 Pi]], 
                   0})& , ($CellContext`pt2 = {
                    Part[#, 1], 0}; $CellContext`pt = {
                    Cos[
                    Part[#, 1]], 
                    Sin[
                    Part[#, 1]]})& , ($CellContext`pt2 = {
                    Part[#, 1], 0}; $CellContext`ptctrl$$ = Part[#, 1])& }], 
               Dynamic[
                $CellContext`maingraph$[
                 If[$CellContext`pt2 == {2 Pi, 0}, 2 Pi, 
                  Mod[
                   ArcTan[
                    Part[$CellContext`pt, 1], 
                    Part[$CellContext`pt, 2]], 2 
                   Pi]], $CellContext`showvalue$$]]]}}, Spacings -> 0], {
            Row[{
              Style["Illustrating ", "Label", 20, Gray], 
              Text[
               Style["sin(", Red, 24]], 
              Text[
               Style["x", Italic, Bold, 
                Darker[Green, 0.3], 24]], 
              Style[")", Red, 24]}], 
            Style["", 10, 
             Lighter[Gray, 0.7], "Label"]}, {{Top, Left}, {Bottom, Right}}]]],
       "Specifications" :> {{{$CellContext`showvalue$$, False, 
          "show value"}, {
         False, True}}, {{$CellContext`ptctrl$$, Rational[1, 6] Pi, "angle"}, 
         0, 2 Pi}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`showvalue$$, $CellContext`ptctrl$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{595., {146., 151.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->337282087],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Illustrating Sine with the Unit Circle",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/IllustratingSineWithTheUnitCircle/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/IllustratingSineWithTheUnitCircle/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
IllustratingSineWithTheUnitCircle/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/IllustratingSineWithTheUnitCircle/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/IllustratingSineWithTheUnitCircle/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Abby Brown", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->653715053]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
IllustratingSineWithTheUnitCircle"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{775, 602},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Illustrating Sine with the Unit Circle - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 18, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 230, 4, 70, "Section"],
Cell[823, 29, 21861, 526, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[22699, 558, 7976, 183, 70, "Output",
 CellID->337282087],
Cell[CellGroupData[{
Cell[30700, 745, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[31076, 756, 994, 29, 70, "Text"],
Cell[CellGroupData[{
Cell[32095, 789, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[32435, 800, 201, 6, 70, "Text",
 CellID->653715053]
}, Open  ]],
Cell[CellGroupData[{
Cell[32673, 811, 967, 27, 70, "Text"],
Cell[33643, 840, 1209, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature PQN5c8peW5ueTA0vjkmzH9hy *)
