(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     99179,       2324]
NotebookOptionsPosition[     98016,       2280]
NotebookOutlinePosition[     98662,       2305]
CellTagsIndexPosition[     98619,       2302]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Illustrating Trigonometric Curves with the Unit Circle", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "anglegraph", ",", "singraph", ",", "cosgraph", ",", "tangraph", ",", 
       "cotgraph", ",", "secgraph", ",", "cscgraph"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"anglegraph", "[", 
        RowBox[{"th1_", ",", "showtext_", ",", "showsegments_"}], "]"}], ":=",
        
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", "th", "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"th", "=", 
           RowBox[{"Which", "[", 
            RowBox[{
             RowBox[{"th1", "\[Equal]", "0"}], ",", "0.000001", ",", 
             RowBox[{"th1", "\[Equal]", 
              RowBox[{"Pi", "/", "2"}]}], ",", 
             RowBox[{"3.14159", "/", "2"}], ",", 
             RowBox[{"th1", "\[Equal]", "Pi"}], ",", "3.14159", ",", 
             RowBox[{"th1", "\[Equal]", 
              RowBox[{"3", 
               RowBox[{"Pi", "/", "2"}]}]}], ",", 
             RowBox[{"3", "*", 
              RowBox[{"3.14159", "/", "2"}]}], ",", 
             RowBox[{"th1", "\[Equal]", 
              RowBox[{"2", "Pi"}]}], ",", 
             RowBox[{"2", "*", "3.14159"}], ",", "True", ",", "th1"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Show", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Graphics", "[", 
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Lighter", "[", 
                  RowBox[{"Gray", ",", "0.5"}], "]"}], ",", 
                 RowBox[{"Circle", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}]}], 
                "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Darker", "[", 
                  RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thick", ",", 
                 RowBox[{"Circle", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", "1", ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "th"}], "}"}]}], "]"}]}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Lighter", "[", 
                  RowBox[{"Gray", ",", "0.5"}], "]"}], ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "th", "]"}], ",", 
                    RowBox[{"Sin", "[", "th", "]"}]}], "}"}]}], "}"}], 
                  "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{"showsegments", ",", 
                 RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{"(*", " ", "tan", " ", "*)"}], " ", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "6"}], 
                    RowBox[{"Cos", "[", "th", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"-", "6"}], 
                    RowBox[{"Sin", "[", "th", "]"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"6", 
                    RowBox[{"Cos", "[", "th", "]"}]}], ",", 
                    RowBox[{"6", 
                    RowBox[{"Sin", "[", "th", "]"}]}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"(*", " ", "cot", " ", "*)"}], " ", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "6"}], 
                    RowBox[{"Cos", "[", "th", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"-", "6"}], 
                    RowBox[{"Sin", "[", "th", "]"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"6", 
                    RowBox[{"Cos", "[", "th", "]"}]}], ",", 
                    RowBox[{"6", 
                    RowBox[{"Sin", "[", "th", "]"}]}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"(*", " ", "sec", " ", "*)"}], " ", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sec", "[", "th", "]"}], "\[GreaterEqual]", "0"}],
                     ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "]"}], ",", 
                    RowBox[{"-", "6"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sec", "[", "th", "]"}], "\[GreaterEqual]", "0"}],
                     ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "]"}], ",", "6"}], "}"}]}], "}"}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"(*", " ", "csc", " ", "*)"}], " ", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "6"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Csc", "[", "th", "]"}], "\[GreaterEqual]", "0"}],
                     ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"6", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Csc", "[", "th", "]"}], "\[GreaterEqual]", "0"}],
                     ",", "1", ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], "}"}]}], "}"}], "]"}]}], 
                    "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                   
                   RowBox[{"(*", " ", "sin", " ", "*)"}], " ", 
                   RowBox[{"{", 
                    RowBox[{"Red", ",", "Thick", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "th", "]"}], ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "th", "]"}], ",", 
                    RowBox[{"Sin", "[", "th", "]"}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"(*", " ", "cos", " ", "*)"}], " ", 
                   RowBox[{"{", 
                    RowBox[{"Blue", ",", "Thick", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"Sin", "[", "th", "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "th", "]"}], ",", 
                    RowBox[{"Sin", "[", "th", "]"}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"(*", " ", "tan", " ", "*)"}], " ", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Red", ",", "0.75"}], "]"}], ",", "Thick", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", 
                    RowBox[{"Tan", "[", "th", "]"}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"(*", " ", "cot", " ", "*)"}], " ", 
                   RowBox[{"{", 
                    RowBox[{"Purple", ",", "Thick", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"th1", "\[Equal]", "0"}], ",", "6", ",", 
                    RowBox[{"Cot", "[", "th", "]"}]}], "]"}], ",", "1"}], 
                    "}"}]}], "}"}], "]"}]}], "}"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"(*", " ", "sec", " ", "*)"}], " ", 
                   RowBox[{"{", 
                    RowBox[{"Orange", ",", "Thick", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"Abs", "[", 
                    RowBox[{"Sec", "[", "th", "]"}], "]"}], "*", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "th", "]"}], ",", 
                    RowBox[{"Sin", "[", "th", "]"}]}], "}"}]}]}], "}"}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"(*", " ", "csc", " ", "*)"}], " ", 
                   RowBox[{"{", 
                    RowBox[{"Brown", ",", "Thick", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"th1", "\[Equal]", "0"}], ",", "6", ",", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"Csc", "[", "th", "]"}], "]"}]}], "]"}], "*", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "th", "]"}], ",", 
                    RowBox[{"Sin", "[", "th", "]"}]}], "}"}]}]}], "}"}], 
                    "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}]}], "\[IndentingNewLine]", "}"}], 
             "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"PlotRange", "\[Rule]", "2"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "130"}], ",", 
            RowBox[{"BaseStyle", "\[Rule]", 
             RowBox[{"{", "12", "}"}]}], ",", 
            RowBox[{"Axes", "\[Rule]", "True"}], ",", 
            RowBox[{"Ticks", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
            RowBox[{"PlotRangePadding", "\[Rule]", "0.25"}]}], "]"}]}]}], 
        "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"singraph", "[", 
        RowBox[{"th_", ",", "showtext_"}], "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Labeled", "[", 
          RowBox[{
           RowBox[{"Show", "[", 
            RowBox[{
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Sin", "[", "x", "]"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "0.0001", ",", "th"}], "}"}], ",", 
               RowBox[{"PlotRange", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", 
                    RowBox[{"2", "Pi"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
               RowBox[{"PlotRangePadding", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0.1"}], "}"}]}], ",", 
               RowBox[{"ImagePadding", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"20", ",", "12"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"5", ",", "0"}], "}"}]}], "}"}]}], ",", 
               RowBox[{"PlotRangeClipping", "\[Rule]", "False"}], ",", 
               RowBox[{"PlotStyle", "\[Rule]", "Gray"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Ticks", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}], ",", 
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0", ",", "8"}], "}"}]}], "]"}], ",", 
                  RowBox[{"Table", "[", 
                   RowBox[{"n", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "1"}], ",", "1", ",", 
                    RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}]}], "}"}]}], ",",
                "\[IndentingNewLine]", 
               RowBox[{"GridLines", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "2"}], ",", "8"}], "}"}]}], "]"}], ",", 
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "1"}], ",", "1", ",", 
                    RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}]}], "}"}]}], ",",
                
               RowBox[{"ImageSize", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"270", ",", "Automatic"}], "}"}]}], ",", 
               RowBox[{"BaseStyle", "\[Rule]", 
                RowBox[{"{", "10", "}"}]}], ",", 
               RowBox[{"MaxRecursion", "\[Rule]", "1"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{"showtext", ",", 
                  RowBox[{"Rotate", "[", 
                   RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"Sin", "[", "th", "]"}], "]"}], ",", "10"}], 
                    "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"th", "+", "0.2"}], ",", 
                    RowBox[{
                    RowBox[{"Sin", "[", "th", "]"}], "/", "2"}]}], "}"}]}], 
                    "]"}], ",", 
                    RowBox[{"3", 
                    RowBox[{"Pi", "/", "2"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"th", "+", "0.2"}], ",", 
                    RowBox[{
                    RowBox[{"Sin", "[", "th", "]"}], "/", "2"}]}], "}"}]}], 
                   "]"}], ",", 
                  RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Darker", "[", 
                   RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thick", ",", 
                  RowBox[{"Line", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"th", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"Red", ",", "Thick", ",", 
                  RowBox[{"Line", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"th", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"th", ",", 
                    RowBox[{"Sin", "[", "th", "]"}]}], "}"}]}], "}"}], 
                   "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",",
              
             RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}], ",", 
           RowBox[{"Text", "@", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"\"\<     \>\"", ",", 
                 RowBox[{"TraditionalForm", "@", 
                  RowBox[{"Sin", "[", "x", "]"}]}]}], "}"}], "]"}], ",", 
              "Gray", ",", "14"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"{", 
             RowBox[{"Top", ",", "Left"}], "}"}], "}"}]}], "]"}]}], "]"}]}], 
      ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"cosgraph", "[", 
        RowBox[{"th_", ",", "showtext_"}], "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Labeled", "[", 
          RowBox[{
           RowBox[{"Show", "[", 
            RowBox[{
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Cos", "[", "x", "]"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "0.0001", ",", "th"}], "}"}], ",", 
               RowBox[{"PlotRange", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", 
                    RowBox[{"2", "Pi"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
               RowBox[{"PlotRangePadding", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0.1"}], "}"}]}], ",", 
               RowBox[{"ImagePadding", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"20", ",", "12"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"5", ",", "0"}], "}"}]}], "}"}]}], ",", 
               RowBox[{"PlotRangeClipping", "\[Rule]", "False"}], ",", 
               RowBox[{"PlotStyle", "\[Rule]", "Gray"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Ticks", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}], ",", 
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0", ",", "8"}], "}"}]}], "]"}], ",", 
                  RowBox[{"Table", "[", 
                   RowBox[{"n", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "1"}], ",", "1", ",", 
                    RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}]}], "}"}]}], ",",
                "\[IndentingNewLine]", 
               RowBox[{"GridLines", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "2"}], ",", "8"}], "}"}]}], "]"}], ",", 
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "1"}], ",", "1", ",", 
                    RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}]}], "}"}]}], ",",
                
               RowBox[{"ImageSize", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"270", ",", "Automatic"}], "}"}]}], ",", 
               RowBox[{"BaseStyle", "\[Rule]", 
                RowBox[{"{", "10", "}"}]}], ",", 
               RowBox[{"MaxRecursion", "\[Rule]", "1"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Graphics", "[", 
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{"showtext", ",", 
                  RowBox[{"Rotate", "[", 
                   RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"Cos", "[", "th", "]"}], "]"}], ",", "10"}], 
                    "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"th", "+", "0.2"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", "th", "]"}], "/", "2"}], "-", 
                    "0.1"}]}], "}"}]}], "]"}], ",", 
                    RowBox[{"3", 
                    RowBox[{"Pi", "/", "2"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"th", "+", "0.2"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", "th", "]"}], "/", "2"}], "-", 
                    "0.1"}]}], "}"}]}], "]"}], ",", 
                  RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Darker", "[", 
                   RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thick", ",", 
                  RowBox[{"Line", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"th", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"Blue", ",", "Thick", ",", 
                  RowBox[{"Line", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"th", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"th", ",", 
                    RowBox[{"Cos", "[", "th", "]"}]}], "}"}]}], "}"}], 
                   "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",",
              
             RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}], ",", 
           RowBox[{"Text", "@", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"\"\<     \>\"", ",", 
                 RowBox[{"TraditionalForm", "@", 
                  RowBox[{"Cos", "[", "x", "]"}]}]}], "}"}], "]"}], ",", 
              "Gray", ",", "14"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"{", 
             RowBox[{"Top", ",", "Left"}], "}"}], "}"}]}], "]"}]}], "]"}]}], 
      ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"tangraph", "[", 
        RowBox[{"th1_", ",", "showtext_"}], "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"theta", ",", "labelpos"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"theta", "=", 
           RowBox[{"Which", "[", 
            RowBox[{
             RowBox[{"th1", "\[Equal]", 
              RowBox[{"Pi", "/", "2"}]}], ",", 
             RowBox[{"3.14159", "/", "2"}], ",", 
             RowBox[{"th1", "\[Equal]", 
              RowBox[{"3", 
               RowBox[{"Pi", "/", "2"}]}]}], ",", 
             RowBox[{"3", "*", 
              RowBox[{"3.14159", "/", "2"}]}], ",", "True", ",", "th1"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"labelpos", "=", 
           RowBox[{"Which", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Tan", "[", "theta", "]"}], "/", "2"}], "<", 
              RowBox[{"-", "3"}]}], ",", 
             RowBox[{"-", "3"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"Tan", "[", "theta", "]"}], "/", "2"}], ">", "3"}], 
             ",", "3", ",", "True", ",", 
             RowBox[{
              RowBox[{"Tan", "[", "theta", "]"}], "/", "2"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Labeled", "[", 
           RowBox[{
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"Plot", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"Tan", "[", "x", "]"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "0.0001", ",", "theta"}], "}"}], ",", 
                RowBox[{"Exclusions", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"x", "==", 
                    RowBox[{"Pi", "/", "2"}]}], ",", 
                   RowBox[{"x", "==", 
                    RowBox[{"3", 
                    RowBox[{"Pi", "/", "2"}]}]}]}], "}"}]}], ",", 
                RowBox[{"PlotRange", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"2", "Pi"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}], ",", 
                RowBox[{"PlotRangePadding", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0.25"}], "}"}]}], ",", 
                RowBox[{"ImagePadding", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"12", ",", "12"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"5", ",", "0"}], "}"}]}], "}"}]}], ",", 
                RowBox[{"PlotRangeClipping", "\[Rule]", "False"}], ",", 
                RowBox[{"PlotStyle", "\[Rule]", "Gray"}], ",", 
                RowBox[{"ExclusionsStyle", "\[Rule]", 
                 RowBox[{"Directive", "[", 
                  RowBox[{"Gray", ",", 
                   RowBox[{"Dashing", "[", "Small", "]"}]}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Ticks", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "2"}]}], ",", 
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "2"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0", ",", "4"}], "}"}]}], "]"}], ",", 
                   RowBox[{"Table", "[", 
                    RowBox[{"n", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "4"}], ",", "4", ",", "2"}], "}"}]}], 
                    "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
                RowBox[{"GridLines", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "2"}], ",", "8"}], "}"}]}], "]"}], ",", 
                   RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "5"}], ",", "5", ",", "1"}], "}"}]}], 
                    "]"}]}], "}"}]}], ",", 
                RowBox[{"ImageSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"135", ",", "Automatic"}], "}"}]}], ",", 
                RowBox[{"BaseStyle", "\[Rule]", 
                 RowBox[{"{", "10", "}"}]}], ",", 
                RowBox[{"MaxRecursion", "\[Rule]", "1"}]}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{"showtext", ",", 
                   RowBox[{"Rotate", "[", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"Tan", "[", "theta", "]"}], "]"}], ",", "10"}], 
                    "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"theta", "+", "0.4"}], ",", "labelpos"}], "}"}]}],
                     "]"}], ",", 
                    RowBox[{"3", 
                    RowBox[{"Pi", "/", "2"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"theta", "+", "0.4"}], ",", "labelpos"}], "}"}]}],
                     "]"}], ",", 
                   RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thick", ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"theta", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
                  "}"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Lighter", "[", 
                    RowBox[{"Red", ",", "0.75"}], "]"}], ",", "Thick", ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"theta", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"theta", ",", 
                    RowBox[{"Tan", "[", "theta", "]"}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}], "]"}], 
              ",", 
              RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}], ",", 
            RowBox[{"Text", "@", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<     \>\"", ",", 
                  RowBox[{"TraditionalForm", "@", 
                   RowBox[{"Tan", "[", "x", "]"}]}]}], "}"}], "]"}], ",", 
               "Gray", ",", "14"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"{", 
              RowBox[{"Top", ",", "Left"}], "}"}], "}"}]}], "]"}]}]}], 
        "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"cotgraph", "[", 
        RowBox[{"th_", ",", "showtext_"}], "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"theta", ",", "labelpos"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"theta", "=", 
           RowBox[{"Which", "[", 
            RowBox[{
             RowBox[{"th", "\[Equal]", "0"}], ",", "0.000001", ",", 
             RowBox[{"th", "\[Equal]", "Pi"}], ",", "3.14159", ",", 
             RowBox[{"th", "\[Equal]", 
              RowBox[{"2", "Pi"}]}], ",", 
             RowBox[{"2", "*", "3.14159"}], ",", "True", ",", "th"}], "]"}]}],
           ";", "\[IndentingNewLine]", 
          RowBox[{"labelpos", "=", 
           RowBox[{"Which", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Cot", "[", "theta", "]"}], "/", "2"}], "<", 
              RowBox[{"-", "3"}]}], ",", 
             RowBox[{"-", "3"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"Cot", "[", "theta", "]"}], "/", "2"}], ">", "3"}], 
             ",", "3", ",", "True", ",", 
             RowBox[{
              RowBox[{"Cot", "[", "theta", "]"}], "/", "2"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Labeled", "[", 
           RowBox[{
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"Plot", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"Cot", "[", "x", "]"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "0.0001", ",", "theta"}], "}"}], ",", 
                RowBox[{"Exclusions", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"x", "==", "Pi"}], ",", 
                   RowBox[{"x", "\[Equal]", 
                    RowBox[{"2", "Pi"}]}]}], "}"}]}], ",", 
                RowBox[{"PlotRange", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"2", "Pi"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}], ",", 
                RowBox[{"PlotRangePadding", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0.25"}], "}"}]}], ",", 
                RowBox[{"ImagePadding", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"12", ",", "12"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"5", ",", "0"}], "}"}]}], "}"}]}], ",", 
                RowBox[{"PlotRangeClipping", "\[Rule]", "False"}], ",", 
                RowBox[{"PlotStyle", "\[Rule]", "Gray"}], ",", 
                RowBox[{"ExclusionsStyle", "\[Rule]", 
                 RowBox[{"Directive", "[", 
                  RowBox[{"Gray", ",", 
                   RowBox[{"Dashing", "[", "Small", "]"}]}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Ticks", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "2"}]}], ",", 
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "2"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0", ",", "4"}], "}"}]}], "]"}], ",", 
                   RowBox[{"Table", "[", 
                    RowBox[{"n", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "4"}], ",", "4", ",", "2"}], "}"}]}], 
                    "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
                RowBox[{"GridLines", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "2"}], ",", "8"}], "}"}]}], "]"}], ",", 
                   RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "5"}], ",", "5", ",", "1"}], "}"}]}], 
                    "]"}]}], "}"}]}], ",", 
                RowBox[{"ImageSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"135", ",", "Automatic"}], "}"}]}], ",", 
                RowBox[{"BaseStyle", "\[Rule]", 
                 RowBox[{"{", "10", "}"}]}], ",", 
                RowBox[{"MaxRecursion", "\[Rule]", "1"}]}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{"showtext", ",", 
                   RowBox[{"Rotate", "[", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0.", ",", "Pi", ",", 
                    RowBox[{"2", "Pi"}]}], "}"}], ",", "th"}], "]"}], ",", 
                    "\"\<\[Infinity]\>\"", ",", 
                    RowBox[{"N", "[", 
                    RowBox[{"Cot", "[", "theta", "]"}], "]"}]}], "]"}], ",", 
                    "10"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"theta", "+", "0.4"}], ",", 
                    RowBox[{"labelpos", "+", "0.1"}]}], "}"}]}], "]"}], ",", 
                    RowBox[{"3", 
                    RowBox[{"Pi", "/", "2"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"theta", "+", "0.4"}], ",", 
                    RowBox[{"labelpos", "+", "0.1"}]}], "}"}]}], "]"}], ",", 
                   RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thick", ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"theta", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
                  "}"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{"Purple", ",", "Thick", ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"theta", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"theta", ",", 
                    RowBox[{"Cot", "[", "theta", "]"}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}], "]"}], 
              ",", 
              RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], 
             "\[IndentingNewLine]", "]"}], ",", 
            RowBox[{"Text", "@", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<     \>\"", ",", 
                  RowBox[{"TraditionalForm", "@", 
                   RowBox[{"Cot", "[", "x", "]"}]}]}], "}"}], "]"}], ",", 
               "Gray", ",", "14"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"{", 
              RowBox[{"Top", ",", "Left"}], "}"}], "}"}]}], "]"}]}]}], 
        "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"secgraph", "[", 
        RowBox[{"th_", ",", "showtext_"}], "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"theta", ",", "labelpos"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"theta", "=", 
           RowBox[{"Which", "[", 
            RowBox[{
             RowBox[{"th", "\[Equal]", 
              RowBox[{"Pi", "/", "2"}]}], ",", 
             RowBox[{"3.14159", "/", "2"}], ",", 
             RowBox[{"th", "\[Equal]", 
              RowBox[{"3", 
               RowBox[{"Pi", "/", "2"}]}]}], ",", 
             RowBox[{"3", "*", 
              RowBox[{"3.14159", "/", "2"}]}], ",", "True", ",", "th"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"labelpos", "=", 
           RowBox[{"Which", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Sec", "[", "theta", "]"}], "/", "2"}], "<", 
              RowBox[{"-", "3"}]}], ",", 
             RowBox[{"-", "3"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"Sec", "[", "theta", "]"}], "/", "2"}], ">", "3"}], 
             ",", "3", ",", "True", ",", 
             RowBox[{
              RowBox[{"Sec", "[", "theta", "]"}], "/", "2"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Labeled", "[", 
           RowBox[{
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"Plot", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"Sec", "[", "x", "]"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "0.0001", ",", "theta"}], "}"}], ",", 
                RowBox[{"Exclusions", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"x", "==", 
                    RowBox[{"Pi", "/", "2"}]}], ",", 
                   RowBox[{"x", "==", 
                    RowBox[{"3", 
                    RowBox[{"Pi", "/", "2"}]}]}]}], "}"}]}], ",", 
                RowBox[{"PlotRange", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"2", "Pi"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}], ",", 
                RowBox[{"PlotRangePadding", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0.25"}], "}"}]}], ",", 
                RowBox[{"ImagePadding", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"12", ",", "12"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"5", ",", "0"}], "}"}]}], "}"}]}], ",", 
                RowBox[{"PlotRangeClipping", "\[Rule]", "False"}], ",", 
                RowBox[{"PlotStyle", "\[Rule]", "Gray"}], ",", 
                RowBox[{"ExclusionsStyle", "\[Rule]", 
                 RowBox[{"Directive", "[", 
                  RowBox[{"Gray", ",", 
                   RowBox[{"Dashing", "[", "Small", "]"}]}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Ticks", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "2"}]}], ",", 
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "2"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0", ",", "4"}], "}"}]}], "]"}], ",", 
                   RowBox[{"Table", "[", 
                    RowBox[{"n", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "4"}], ",", "4", ",", "2"}], "}"}]}], 
                    "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
                RowBox[{"GridLines", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "2"}], ",", "8"}], "}"}]}], "]"}], ",", 
                   RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "5"}], ",", "5", ",", "1"}], "}"}]}], 
                    "]"}]}], "}"}]}], ",", 
                RowBox[{"ImageSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"135", ",", "Automatic"}], "}"}]}], ",", 
                RowBox[{"BaseStyle", "\[Rule]", 
                 RowBox[{"{", "10", "}"}]}], ",", 
                RowBox[{"MaxRecursion", "\[Rule]", "1"}]}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{"showtext", ",", 
                   RowBox[{"Rotate", "[", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"Sec", "[", "theta", "]"}], "]"}], ",", "10"}], 
                    "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"theta", "+", "0.4"}], ",", "labelpos"}], "}"}]}],
                     "]"}], ",", 
                    RowBox[{"3", 
                    RowBox[{"Pi", "/", "2"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"theta", "+", "0.4"}], ",", "labelpos"}], "}"}]}],
                     "]"}], ",", 
                   RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thick", ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"theta", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
                  "}"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{"Orange", ",", "Thick", ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"theta", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"theta", ",", 
                    RowBox[{"Sec", "[", "theta", "]"}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}], "]"}], 
              ",", 
              RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], 
             "\[IndentingNewLine]", "]"}], ",", 
            RowBox[{"Text", "@", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<     \>\"", ",", 
                  RowBox[{"TraditionalForm", "@", 
                   RowBox[{"Sec", "[", "x", "]"}]}]}], "}"}], "]"}], ",", 
               "Gray", ",", "14"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"{", 
              RowBox[{"Top", ",", "Left"}], "}"}], "}"}]}], "]"}]}]}], 
        "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"cscgraph", "[", 
        RowBox[{"th_", ",", "showtext_"}], "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"theta", ",", "labelpos"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"theta", "=", 
           RowBox[{"Which", "[", 
            RowBox[{
             RowBox[{"th", "\[Equal]", "0"}], ",", "0.000001", ",", 
             RowBox[{"th", "\[Equal]", "Pi"}], ",", "3.14159", ",", 
             RowBox[{"th", "\[Equal]", 
              RowBox[{"2", "Pi"}]}], ",", 
             RowBox[{"2", "*", "3.14159"}], ",", "True", ",", "th"}], "]"}]}],
           ";", "\[IndentingNewLine]", 
          RowBox[{"labelpos", "=", 
           RowBox[{"Which", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Csc", "[", "theta", "]"}], "/", "2"}], "<", 
              RowBox[{"-", "3"}]}], ",", 
             RowBox[{"-", "3"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"Csc", "[", "theta", "]"}], "/", "2"}], ">", "3"}], 
             ",", "3", ",", "True", ",", 
             RowBox[{
              RowBox[{"Csc", "[", "theta", "]"}], "/", "2"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Labeled", "[", 
           RowBox[{
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"Plot", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"Csc", "[", "x", "]"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "0.0001", ",", "theta"}], "}"}], ",", 
                RowBox[{"Exclusions", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"x", "==", "Pi"}], ",", 
                   RowBox[{"x", "\[Equal]", 
                    RowBox[{"2", "Pi"}]}]}], "}"}]}], ",", 
                RowBox[{"PlotRange", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"2", "Pi"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}], ",", 
                RowBox[{"PlotRangePadding", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0.25"}], "}"}]}], ",", 
                RowBox[{"ImagePadding", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"12", ",", "12"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"5", ",", "0"}], "}"}]}], "}"}]}], ",", 
                RowBox[{"PlotRangeClipping", "\[Rule]", "False"}], ",", 
                RowBox[{"PlotStyle", "\[Rule]", "Gray"}], ",", 
                RowBox[{"ExclusionsStyle", "\[Rule]", 
                 RowBox[{"Directive", "[", 
                  RowBox[{"Gray", ",", 
                   RowBox[{"Dashing", "[", "Small", "]"}]}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Ticks", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "2"}]}], ",", 
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "2"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0", ",", "4"}], "}"}]}], "]"}], ",", 
                   RowBox[{"Table", "[", 
                    RowBox[{"n", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "4"}], ",", "4", ",", "2"}], "}"}]}], 
                    "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
                RowBox[{"GridLines", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"n", " ", 
                    RowBox[{"Pi", "/", "4"}]}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "2"}], ",", "8"}], "}"}]}], "]"}], ",", 
                   RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.7"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "5"}], ",", "5", ",", "1"}], "}"}]}], 
                    "]"}]}], "}"}]}], ",", 
                RowBox[{"ImageSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"135", ",", "Automatic"}], "}"}]}], ",", 
                RowBox[{"BaseStyle", "\[Rule]", 
                 RowBox[{"{", "10", "}"}]}], ",", 
                RowBox[{"MaxRecursion", "\[Rule]", "1"}]}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{"showtext", ",", 
                   RowBox[{"Rotate", "[", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0.", ",", "Pi", ",", 
                    RowBox[{"2", "Pi"}]}], "}"}], ",", "th"}], "]"}], ",", 
                    "\"\<\[Infinity]\>\"", ",", 
                    RowBox[{"N", "[", 
                    RowBox[{"Csc", "[", "theta", "]"}], "]"}]}], "]"}], ",", 
                    "10"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"theta", "+", "0.4"}], ",", 
                    RowBox[{"labelpos", "+", "0.1"}]}], "}"}]}], "]"}], ",", 
                    RowBox[{"3", 
                    RowBox[{"Pi", "/", "2"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"theta", "+", "0.4"}], ",", 
                    RowBox[{"labelpos", "+", "0.1"}]}], "}"}]}], "]"}], ",", 
                   RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thick", ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"theta", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
                  "}"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{"Brown", ",", "Thick", ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"theta", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"theta", ",", 
                    RowBox[{"Csc", "[", "theta", "]"}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}], "]"}], 
              ",", 
              RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], 
             "\[IndentingNewLine]", "]"}], ",", 
            RowBox[{"Text", "@", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<     \>\"", ",", 
                  RowBox[{"TraditionalForm", "@", 
                   RowBox[{"Csc", "[", "x", "]"}]}]}], "}"}], "]"}], ",", 
               "Gray", ",", "14"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"{", 
              RowBox[{"Top", ",", "Left"}], "}"}], "}"}]}], "]"}]}]}], 
        "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Deploy", "[", 
       RowBox[{"DynamicModule", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"pt", "=", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Cos", "[", "ptctrl", "]"}], ",", 
             RowBox[{"Sin", "[", "ptctrl", "]"}]}], "}"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Labeled", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Grid", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"LocatorPane", "[", 
                  RowBox[{
                   RowBox[{"Dynamic", "[", 
                    RowBox[{"pt", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"pt", "=", 
                    RowBox[{"Normalize", "[", "#", "]"}]}], ")"}], "&"}], ",",
                     
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"pt", "=", 
                    RowBox[{"Normalize", "[", "#", "]"}]}], ")"}], "&"}], ",",
                     
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pt", "=", 
                    RowBox[{"Normalize", "[", "#", "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"ptctrl", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"#", "==", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"2", "Pi"}], ",", "0"}], "}"}]}], ",", 
                    RowBox[{"2", "Pi"}], ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}]}], "]"}]}]}], ")"}], 
                    "&"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"Dynamic", "[", 
                    RowBox[{"anglegraph", "[", 
                    RowBox[{
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}], ",", "showvalue", ",", 
                    "showsegments"}], "]"}], "]"}]}], "]"}], ",", 
                 "\[IndentingNewLine]", "SpanFromLeft", ",", 
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"singraph", "[", 
                   RowBox[{
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}], ",", "showvalue"}], 
                   "]"}], "]"}], ",", "SpanFromLeft"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"SpanFromAbove", ",", "SpanFromBoth", ",", 
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"cosgraph", "[", 
                   RowBox[{
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}], ",", "showvalue"}], 
                   "]"}], "]"}], ",", "SpanFromLeft"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"tangraph", "[", 
                   RowBox[{
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}], ",", "showvalue"}], 
                   "]"}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"cotgraph", "[", 
                   RowBox[{
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}], ",", "showvalue"}], 
                   "]"}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"secgraph", "[", 
                   RowBox[{
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}], ",", "showvalue"}], 
                   "]"}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"cscgraph", "[", 
                   RowBox[{
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}], ",", "showvalue"}], 
                   "]"}], "]"}]}], "}"}]}], "}"}], ",", 
             RowBox[{"Alignment", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"Center", ",", "Center"}], "}"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{
                "{", "\"\<The Unit Circle and Trigonometric Graphs\>\"", 
                 "}"}], "]"}], ",", "20", ",", "\"\<Label\>\"", ",", "Gray"}],
               "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<\>\"", ",", "10", ",", 
               RowBox[{"Lighter", "[", 
                RowBox[{"Gray", ",", "0.7"}], "]"}], ",", "\"\<Label\>\""}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Top", ",", "Left"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Bottom", ",", "Right"}], "}"}]}], "}"}]}], "]"}]}], 
        "]"}], "]"}]}]}], "\[IndentingNewLine]", "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showsegments", ",", "False", ",", "\"\<show segments\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showvalue", ",", "False", ",", "\"\<show values\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ptctrl", ",", 
       RowBox[{"Pi", "/", "6"}], ",", "\"\<angle\>\""}], "}"}], ",", "0", ",",
      
     RowBox[{"2", "Pi"}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"showvalue", ",", "ptctrl"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, 3.36430524723743*^9, {3.3643057640706*^9, 
   3.36430576861714*^9}, {3.36430597985088*^9, 3.36430598427724*^9}, {
   3.36430623977463*^9, 3.3643062432997*^9}, {3.36430661826888*^9, 
   3.36430662185404*^9}, {3.36430678121318*^9, 3.36430678760237*^9}, 
   3.36430693463379*^9, {3.36430745862726*^9, 3.36430745894772*^9}, {
   3.36907562113226*^9, 3.36907593416238*^9}, {3.36916194622076*^9, 
   3.36916198216244*^9}, {3.36916202574511*^9, 3.36916207200162*^9}, 
   3.36916329987722*^9, {3.37383399204856*^9, 3.373834038948793*^9}, {
   3.37488581584375*^9, 3.37488582565625*^9}, {3.3833332664461107`*^9, 
   3.3833332744275875`*^9}, {3.3835640256756115`*^9, 
   3.3835640320349054`*^9}, {3.383564090909152*^9, 3.3835640914091454`*^9}, {
   3.383839360828125*^9, 3.383839462171875*^9}, {3.3838395570625*^9, 
   3.383839646765625*^9}, 3.3841109432097874`*^9},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ptctrl$$ = Rational[1, 6] 
    Pi, $CellContext`showsegments$$ = False, $CellContext`showvalue$$ = False,
     Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`showsegments$$], False, "show segments"}, {
      False, True}}, {{
       Hold[$CellContext`showvalue$$], False, "show values"}, {
      False, True}}, {{
       Hold[$CellContext`ptctrl$$], Rational[1, 6] Pi, "angle"}, 0, 2 Pi}}, 
    Typeset`size$$ = {564., {243., 258.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`showsegments$81608$$ = 
    False, $CellContext`showvalue$81609$$ = 
    False, $CellContext`ptctrl$81610$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ptctrl$$ = 
        Rational[1, 6] Pi, $CellContext`showsegments$$ = 
        False, $CellContext`showvalue$$ = False}, "ControllerVariables" :> {
        Hold[$CellContext`showsegments$$, $CellContext`showsegments$81608$$, 
         False], 
        Hold[$CellContext`showvalue$$, $CellContext`showvalue$81609$$, False],
         
        Hold[$CellContext`ptctrl$$, $CellContext`ptctrl$81610$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`anglegraph$, $CellContext`singraph$, \
$CellContext`cosgraph$, $CellContext`tangraph$, $CellContext`cotgraph$, \
$CellContext`secgraph$, $CellContext`cscgraph$}, $CellContext`anglegraph$[
           Pattern[$CellContext`th1, 
            Blank[]], 
           Pattern[$CellContext`showtext, 
            Blank[]], 
           Pattern[$CellContext`showsegments, 
            Blank[]]] := 
         Module[{$CellContext`th}, $CellContext`th = 
            Which[$CellContext`th1 == 0, 1.*^-6, $CellContext`th1 == Pi/2, 
              3.14159/2, $CellContext`th1 == Pi, 3.14159, $CellContext`th1 == 
              3 (Pi/2), 3 (3.14159/2), $CellContext`th1 == 2 Pi, 2 3.14159, 
              True, $CellContext`th1]; Show[
             Graphics[{{
                Lighter[Gray, 0.5], 
                Circle[{0, 0}, 1]}, {
                Darker[Green, 0.2], Thick, 
                Circle[{0, 0}, 1, {0, $CellContext`th}]}, {
                Lighter[Gray, 0.5], 
                Line[{{0, 0}, {
                   Cos[$CellContext`th], 
                   Sin[$CellContext`th]}}]}, 
               If[$CellContext`showsegments, {{
                  Lighter[Gray, 0.5], 
                  
                  Line[{{(-6) Cos[$CellContext`th], (-6) 
                    Sin[$CellContext`th]}, {
                    6 Cos[$CellContext`th], 6 Sin[$CellContext`th]}}]}, {
                  Lighter[Gray, 0.5], 
                  
                  Line[{{(-6) Cos[$CellContext`th], (-6) 
                    Sin[$CellContext`th]}, {
                    6 Cos[$CellContext`th], 6 Sin[$CellContext`th]}}]}, {
                  Lighter[Gray, 0.5], 
                  Line[{{
                    If[Sec[$CellContext`th] >= 0, 1, -1], -6}, {
                    If[Sec[$CellContext`th] >= 0, 1, -1], 6}}]}, {
                  Lighter[Gray, 0.5], 
                  Line[{{-6, 
                    If[Csc[$CellContext`th] >= 0, 1, -1]}, {6, 
                    If[Csc[$CellContext`th] >= 0, 1, -1]}}]}, {Red, Thick, 
                  Line[{{
                    Cos[$CellContext`th], 0}, {
                    Cos[$CellContext`th], 
                    Sin[$CellContext`th]}}]}, {Blue, Thick, 
                  Line[{{0, 
                    Sin[$CellContext`th]}, {
                    Cos[$CellContext`th], 
                    Sin[$CellContext`th]}}]}, {
                  Lighter[Red, 0.75], Thick, 
                  Line[{{1, 0}, {1, 
                    Tan[$CellContext`th]}}]}, {Purple, Thick, 
                  Line[{{0, 1}, {
                    If[$CellContext`th1 == 0, 6, 
                    Cot[$CellContext`th]], 1}}]}, {Orange, Thick, 
                  Line[{{0, 0}, Abs[
                    Sec[$CellContext`th]] {
                    Cos[$CellContext`th], 
                    Sin[$CellContext`th]}}]}, {Brown, Thick, 
                  Line[{{0, 0}, If[$CellContext`th1 == 0, 6, 
                    Abs[
                    Csc[$CellContext`th]]] {
                    Cos[$CellContext`th], 
                    Sin[$CellContext`th]}}]}}, {}]}], PlotRange -> 2, 
             ImageSize -> 130, BaseStyle -> {12}, Axes -> True, 
             Ticks -> {{-1, 1}, {-1, 1}}, PlotRangePadding -> 
             0.25]]; $CellContext`singraph$[
           Pattern[$CellContext`th, 
            Blank[]], 
           Pattern[$CellContext`showtext, 
            Blank[]]] := Module[{}, 
           Labeled[
            Show[
             Plot[{
               Sin[$CellContext`x]}, {$CellContext`x, 
               0.0001, $CellContext`th}, PlotRange -> {{0, 2 Pi}, {-1, 1}}, 
              PlotRangePadding -> {0, 0.1}, 
              ImagePadding -> {{20, 12}, {5, 0}}, PlotRangeClipping -> False, 
              PlotStyle -> Gray, Ticks -> {
                
                Table[{$CellContext`n (Pi/4), $CellContext`n (Pi/
                   4)}, {$CellContext`n, 0, 8}], 
                Table[$CellContext`n, {$CellContext`n, -1, 1, 1/2}]}, 
              GridLines -> {
                Table[{$CellContext`n (Pi/4), 
                  Lighter[Gray, 0.7]}, {$CellContext`n, -2, 8}], 
                Table[{$CellContext`n, 
                  Lighter[Gray, 0.7]}, {$CellContext`n, -1, 1, 1/2}]}, 
              ImageSize -> {270, Automatic}, BaseStyle -> {10}, MaxRecursion -> 
              1], 
             Graphics[{
               If[$CellContext`showtext, 
                Rotate[
                 Text[
                  Style[
                   N[
                    Sin[$CellContext`th]], 10], {$CellContext`th + 0.2, 
                   Sin[$CellContext`th]/2}], 
                 3 (Pi/2), {$CellContext`th + 0.2, Sin[$CellContext`th]/
                  2}], {}], {
                Darker[Green, 0.2], Thick, 
                Line[{{0, 0}, {$CellContext`th, 0}}]}, {Red, Thick, 
                Line[{{$CellContext`th, 0}, {$CellContext`th, 
                   Sin[$CellContext`th]}}]}}], AspectRatio -> Automatic], 
            Text[
             Style[
              Row[{"     ", 
                TraditionalForm[
                 Sin[$CellContext`x]]}], Gray, 14]], {{
             Top, Left}}]]; $CellContext`cosgraph$[
           Pattern[$CellContext`th, 
            Blank[]], 
           Pattern[$CellContext`showtext, 
            Blank[]]] := Module[{}, 
           Labeled[
            Show[
             Plot[{
               Cos[$CellContext`x]}, {$CellContext`x, 
               0.0001, $CellContext`th}, PlotRange -> {{0, 2 Pi}, {-1, 1}}, 
              PlotRangePadding -> {0, 0.1}, 
              ImagePadding -> {{20, 12}, {5, 0}}, PlotRangeClipping -> False, 
              PlotStyle -> Gray, Ticks -> {
                
                Table[{$CellContext`n (Pi/4), $CellContext`n (Pi/
                   4)}, {$CellContext`n, 0, 8}], 
                Table[$CellContext`n, {$CellContext`n, -1, 1, 1/2}]}, 
              GridLines -> {
                Table[{$CellContext`n (Pi/4), 
                  Lighter[Gray, 0.7]}, {$CellContext`n, -2, 8}], 
                Table[{$CellContext`n, 
                  Lighter[Gray, 0.7]}, {$CellContext`n, -1, 1, 1/2}]}, 
              ImageSize -> {270, Automatic}, BaseStyle -> {10}, MaxRecursion -> 
              1], 
             Graphics[{
               If[$CellContext`showtext, 
                Rotate[
                 Text[
                  Style[
                   N[
                    Cos[$CellContext`th]], 10], {$CellContext`th + 0.2, 
                   Cos[$CellContext`th]/2 - 0.1}], 
                 3 (Pi/2), {$CellContext`th + 0.2, Cos[$CellContext`th]/2 - 
                  0.1}], {}], {
                Darker[Green, 0.2], Thick, 
                Line[{{0, 0}, {$CellContext`th, 0}}]}, {Blue, Thick, 
                Line[{{$CellContext`th, 0}, {$CellContext`th, 
                   Cos[$CellContext`th]}}]}}], AspectRatio -> Automatic], 
            Text[
             Style[
              Row[{"     ", 
                TraditionalForm[
                 Cos[$CellContext`x]]}], Gray, 14]], {{
             Top, Left}}]]; $CellContext`tangraph$[
           Pattern[$CellContext`th1, 
            Blank[]], 
           Pattern[$CellContext`showtext, 
            Blank[]]] := 
         Module[{$CellContext`theta, $CellContext`labelpos}, \
$CellContext`theta = 
            Which[$CellContext`th1 == Pi/2, 3.14159/2, $CellContext`th1 == 
              3 (Pi/2), 3 (3.14159/2), 
              True, $CellContext`th1]; $CellContext`labelpos = 
            Which[Tan[$CellContext`theta]/2 < -3, -3, 
              Tan[$CellContext`theta]/2 > 3, 3, True, Tan[$CellContext`theta]/
              2]; Labeled[
             Show[
              Plot[{
                Tan[$CellContext`x]}, {$CellContext`x, 
                0.0001, $CellContext`theta}, 
               Exclusions -> {$CellContext`x == Pi/2, $CellContext`x == 
                 3 (Pi/2)}, PlotRange -> {{0, 2 Pi}, {-5, 5}}, 
               PlotRangePadding -> {0, 0.25}, 
               ImagePadding -> {{12, 12}, {5, 0}}, PlotRangeClipping -> False,
                PlotStyle -> Gray, ExclusionsStyle -> Directive[Gray, 
                 Dashing[Small]], Ticks -> {
                 
                 Table[{$CellContext`n (Pi/2), $CellContext`n (Pi/
                    2)}, {$CellContext`n, 0, 4}], 
                 Table[$CellContext`n, {$CellContext`n, -4, 4, 2}]}, 
               GridLines -> {
                 Table[{$CellContext`n (Pi/4), 
                   Lighter[Gray, 0.7]}, {$CellContext`n, -2, 8}], 
                 Table[{$CellContext`n, 
                   Lighter[Gray, 0.7]}, {$CellContext`n, -5, 5, 1}]}, 
               ImageSize -> {135, Automatic}, BaseStyle -> {10}, MaxRecursion -> 
               1], 
              Graphics[{
                If[$CellContext`showtext, 
                 Rotate[
                  Text[
                   Style[
                    N[
                    Tan[$CellContext`theta]], 10], {$CellContext`theta + 
                    0.4, $CellContext`labelpos}], 
                  3 (Pi/2), {$CellContext`theta + 
                   0.4, $CellContext`labelpos}], {}], {
                 Darker[Green, 0.2], Thick, 
                 Line[{{0, 0}, {$CellContext`theta, 0}}]}, {
                 Lighter[Red, 0.75], Thick, 
                 Line[{{$CellContext`theta, 0}, {$CellContext`theta, 
                    Tan[$CellContext`theta]}}]}}], AspectRatio -> Automatic], 
             
             Text[
              Style[
               Row[{"     ", 
                 TraditionalForm[
                  Tan[$CellContext`x]]}], Gray, 14]], {{
              Top, Left}}]]; $CellContext`cotgraph$[
           Pattern[$CellContext`th, 
            Blank[]], 
           Pattern[$CellContext`showtext, 
            Blank[]]] := 
         Module[{$CellContext`theta, $CellContext`labelpos}, \
$CellContext`theta = 
            Which[$CellContext`th == 0, 1.*^-6, $CellContext`th == Pi, 
              3.14159, $CellContext`th == 2 Pi, 2 3.14159, 
              True, $CellContext`th]; $CellContext`labelpos = 
            Which[Cot[$CellContext`theta]/2 < -3, -3, 
              Cot[$CellContext`theta]/2 > 3, 3, True, Cot[$CellContext`theta]/
              2]; Labeled[
             Show[
              Plot[{
                Cot[$CellContext`x]}, {$CellContext`x, 
                0.0001, $CellContext`theta}, 
               Exclusions -> {$CellContext`x == Pi, $CellContext`x == 2 Pi}, 
               PlotRange -> {{0, 2 Pi}, {-5, 5}}, 
               PlotRangePadding -> {0, 0.25}, 
               ImagePadding -> {{12, 12}, {5, 0}}, PlotRangeClipping -> False,
                PlotStyle -> Gray, ExclusionsStyle -> Directive[Gray, 
                 Dashing[Small]], Ticks -> {
                 
                 Table[{$CellContext`n (Pi/2), $CellContext`n (Pi/
                    2)}, {$CellContext`n, 0, 4}], 
                 Table[$CellContext`n, {$CellContext`n, -4, 4, 2}]}, 
               GridLines -> {
                 Table[{$CellContext`n (Pi/4), 
                   Lighter[Gray, 0.7]}, {$CellContext`n, -2, 8}], 
                 Table[{$CellContext`n, 
                   Lighter[Gray, 0.7]}, {$CellContext`n, -5, 5, 1}]}, 
               ImageSize -> {135, Automatic}, BaseStyle -> {10}, MaxRecursion -> 
               1], 
              Graphics[{
                If[$CellContext`showtext, 
                 Rotate[
                  Text[
                   Style[
                    If[
                    MemberQ[{0., Pi, 2 Pi}, $CellContext`th], "\[Infinity]", 
                    N[
                    Cot[$CellContext`theta]]], 10], {$CellContext`theta + 
                    0.4, $CellContext`labelpos + 0.1}], 
                  3 (Pi/2), {$CellContext`theta + 0.4, $CellContext`labelpos + 
                   0.1}], {}], {
                 Darker[Green, 0.2], Thick, 
                 Line[{{0, 0}, {$CellContext`theta, 0}}]}, {Purple, Thick, 
                 Line[{{$CellContext`theta, 0}, {$CellContext`theta, 
                    Cot[$CellContext`theta]}}]}}], AspectRatio -> Automatic], 
             
             Text[
              Style[
               Row[{"     ", 
                 TraditionalForm[
                  Cot[$CellContext`x]]}], Gray, 14]], {{
              Top, Left}}]]; $CellContext`secgraph$[
           Pattern[$CellContext`th, 
            Blank[]], 
           Pattern[$CellContext`showtext, 
            Blank[]]] := 
         Module[{$CellContext`theta, $CellContext`labelpos}, \
$CellContext`theta = 
            Which[$CellContext`th == Pi/2, 3.14159/2, $CellContext`th == 
              3 (Pi/2), 3 (3.14159/2), 
              True, $CellContext`th]; $CellContext`labelpos = 
            Which[Sec[$CellContext`theta]/2 < -3, -3, 
              Sec[$CellContext`theta]/2 > 3, 3, True, Sec[$CellContext`theta]/
              2]; Labeled[
             Show[
              Plot[{
                Sec[$CellContext`x]}, {$CellContext`x, 
                0.0001, $CellContext`theta}, 
               Exclusions -> {$CellContext`x == Pi/2, $CellContext`x == 
                 3 (Pi/2)}, PlotRange -> {{0, 2 Pi}, {-5, 5}}, 
               PlotRangePadding -> {0, 0.25}, 
               ImagePadding -> {{12, 12}, {5, 0}}, PlotRangeClipping -> False,
                PlotStyle -> Gray, ExclusionsStyle -> Directive[Gray, 
                 Dashing[Small]], Ticks -> {
                 
                 Table[{$CellContext`n (Pi/2), $CellContext`n (Pi/
                    2)}, {$CellContext`n, 0, 4}], 
                 Table[$CellContext`n, {$CellContext`n, -4, 4, 2}]}, 
               GridLines -> {
                 Table[{$CellContext`n (Pi/4), 
                   Lighter[Gray, 0.7]}, {$CellContext`n, -2, 8}], 
                 Table[{$CellContext`n, 
                   Lighter[Gray, 0.7]}, {$CellContext`n, -5, 5, 1}]}, 
               ImageSize -> {135, Automatic}, BaseStyle -> {10}, MaxRecursion -> 
               1], 
              Graphics[{
                If[$CellContext`showtext, 
                 Rotate[
                  Text[
                   Style[
                    N[
                    Sec[$CellContext`theta]], 10], {$CellContext`theta + 
                    0.4, $CellContext`labelpos}], 
                  3 (Pi/2), {$CellContext`theta + 
                   0.4, $CellContext`labelpos}], {}], {
                 Darker[Green, 0.2], Thick, 
                 Line[{{0, 0}, {$CellContext`theta, 0}}]}, {Orange, Thick, 
                 Line[{{$CellContext`theta, 0}, {$CellContext`theta, 
                    Sec[$CellContext`theta]}}]}}], AspectRatio -> Automatic], 
             
             Text[
              Style[
               Row[{"     ", 
                 TraditionalForm[
                  Sec[$CellContext`x]]}], Gray, 14]], {{
              Top, Left}}]]; $CellContext`cscgraph$[
           Pattern[$CellContext`th, 
            Blank[]], 
           Pattern[$CellContext`showtext, 
            Blank[]]] := 
         Module[{$CellContext`theta, $CellContext`labelpos}, \
$CellContext`theta = 
            Which[$CellContext`th == 0, 1.*^-6, $CellContext`th == Pi, 
              3.14159, $CellContext`th == 2 Pi, 2 3.14159, 
              True, $CellContext`th]; $CellContext`labelpos = 
            Which[Csc[$CellContext`theta]/2 < -3, -3, 
              Csc[$CellContext`theta]/2 > 3, 3, True, Csc[$CellContext`theta]/
              2]; Labeled[
             Show[
              Plot[{
                Csc[$CellContext`x]}, {$CellContext`x, 
                0.0001, $CellContext`theta}, 
               Exclusions -> {$CellContext`x == Pi, $CellContext`x == 2 Pi}, 
               PlotRange -> {{0, 2 Pi}, {-5, 5}}, 
               PlotRangePadding -> {0, 0.25}, 
               ImagePadding -> {{12, 12}, {5, 0}}, PlotRangeClipping -> False,
                PlotStyle -> Gray, ExclusionsStyle -> Directive[Gray, 
                 Dashing[Small]], Ticks -> {
                 
                 Table[{$CellContext`n (Pi/2), $CellContext`n (Pi/
                    2)}, {$CellContext`n, 0, 4}], 
                 Table[$CellContext`n, {$CellContext`n, -4, 4, 2}]}, 
               GridLines -> {
                 Table[{$CellContext`n (Pi/4), 
                   Lighter[Gray, 0.7]}, {$CellContext`n, -2, 8}], 
                 Table[{$CellContext`n, 
                   Lighter[Gray, 0.7]}, {$CellContext`n, -5, 5, 1}]}, 
               ImageSize -> {135, Automatic}, BaseStyle -> {10}, MaxRecursion -> 
               1], 
              Graphics[{
                If[$CellContext`showtext, 
                 Rotate[
                  Text[
                   Style[
                    If[
                    MemberQ[{0., Pi, 2 Pi}, $CellContext`th], "\[Infinity]", 
                    N[
                    Csc[$CellContext`theta]]], 10], {$CellContext`theta + 
                    0.4, $CellContext`labelpos + 0.1}], 
                  3 (Pi/2), {$CellContext`theta + 0.4, $CellContext`labelpos + 
                   0.1}], {}], {
                 Darker[Green, 0.2], Thick, 
                 Line[{{0, 0}, {$CellContext`theta, 0}}]}, {Brown, Thick, 
                 Line[{{$CellContext`theta, 0}, {$CellContext`theta, 
                    Csc[$CellContext`theta]}}]}}], AspectRatio -> Automatic], 
             
             Text[
              Style[
               Row[{"     ", 
                 TraditionalForm[
                  Csc[$CellContext`x]]}], Gray, 14]], {{Top, Left}}]]; 
        Deploy[
          DynamicModule[{$CellContext`pt = {
              Cos[$CellContext`ptctrl$$], 
              Sin[$CellContext`ptctrl$$]}}, 
           Labeled[
            Grid[{{
               LocatorPane[
                
                Dynamic[$CellContext`pt, {($CellContext`pt = 
                  Normalize[#])& , ($CellContext`pt = 
                  Normalize[#])& , ($CellContext`pt = 
                   Normalize[#]; $CellContext`ptctrl$$ = 
                   If[# == {2 Pi, 0}, 2 Pi, 
                    Mod[
                    ArcTan[
                    Part[#, 1], 
                    Part[#, 2]], 2 Pi]])& }], 
                Dynamic[
                 $CellContext`anglegraph$[
                  Mod[
                   ArcTan[
                    Part[$CellContext`pt, 1], 
                    Part[$CellContext`pt, 2]], 2 
                   Pi], $CellContext`showvalue$$, \
$CellContext`showsegments$$]]], SpanFromLeft, 
               Dynamic[
                $CellContext`singraph$[
                 Mod[
                  ArcTan[
                   Part[$CellContext`pt, 1], 
                   Part[$CellContext`pt, 2]], 2 
                  Pi], $CellContext`showvalue$$]], SpanFromLeft}, {
              SpanFromAbove, SpanFromBoth, 
               Dynamic[
                $CellContext`cosgraph$[
                 Mod[
                  ArcTan[
                   Part[$CellContext`pt, 1], 
                   Part[$CellContext`pt, 2]], 2 
                  Pi], $CellContext`showvalue$$]], SpanFromLeft}, {
               Dynamic[
                $CellContext`tangraph$[
                 Mod[
                  ArcTan[
                   Part[$CellContext`pt, 1], 
                   Part[$CellContext`pt, 2]], 2 
                  Pi], $CellContext`showvalue$$]], 
               Dynamic[
                $CellContext`cotgraph$[
                 Mod[
                  ArcTan[
                   Part[$CellContext`pt, 1], 
                   Part[$CellContext`pt, 2]], 2 
                  Pi], $CellContext`showvalue$$]], 
               Dynamic[
                $CellContext`secgraph$[
                 Mod[
                  ArcTan[
                   Part[$CellContext`pt, 1], 
                   Part[$CellContext`pt, 2]], 2 
                  Pi], $CellContext`showvalue$$]], 
               Dynamic[
                $CellContext`cscgraph$[
                 Mod[
                  ArcTan[
                   Part[$CellContext`pt, 1], 
                   Part[$CellContext`pt, 2]], 2 
                  Pi], $CellContext`showvalue$$]]}}, 
             Alignment -> {Center, Center}], {
             Style[
              Row[{"The Unit Circle and Trigonometric Graphs"}], 20, "Label", 
              Gray], 
             Style["", 10, 
              Lighter[Gray, 0.7], "Label"]}, {{Top, Left}, {
             Bottom, Right}}]]]], 
      "Specifications" :> {{{$CellContext`showsegments$$, False, 
          "show segments"}, {
         False, True}}, {{$CellContext`showvalue$$, False, "show values"}, {
         False, True}}, {{$CellContext`ptctrl$$, Rational[1, 6] Pi, "angle"}, 
         0, 2 Pi}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`showvalue$$, $CellContext`ptctrl$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{608., {309., 314.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->73362732],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Illustrating Trigonometric Curves with the Unit Circle",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
IllustratingTrigonometricCurvesWithTheUnitCircle/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
IllustratingTrigonometricCurvesWithTheUnitCircle/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
IllustratingTrigonometricCurvesWithTheUnitCircle/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
IllustratingTrigonometricCurvesWithTheUnitCircle/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
IllustratingTrigonometricCurvesWithTheUnitCircle/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Abby Brown", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->653715053]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
IllustratingTrigonometricCurvesWithTheUnitCircle"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Illustrating Trigonometric Curves with the Unit Circle - \
Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 18, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 246, 4, 70, "Section"],
Cell[839, 29, 70019, 1610, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[70873, 1642, 22828, 500, 70, "Output",
 CellID->73362732],
Cell[CellGroupData[{
Cell[93726, 2146, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[94102, 2157, 1089, 31, 70, "Text"],
Cell[CellGroupData[{
Cell[95216, 2192, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[95556, 2203, 201, 6, 70, "Text",
 CellID->653715053]
}, Open  ]],
Cell[CellGroupData[{
Cell[95794, 2214, 967, 27, 70, "Text"],
Cell[96764, 2243, 1224, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature XQNhiaxpLLDKgD0w3ZOxeFlP *)
