(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     27404,        682]
NotebookOptionsPosition[     26343,        643]
NotebookOutlinePosition[     26969,        667]
CellTagsIndexPosition[     26926,        664]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Relationship between Sine and Tangent", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"LocatorPane", "[", "\[IndentingNewLine]", " ", 
    RowBox[{
     RowBox[{"Dynamic", "[", "\[IndentingNewLine]", "\t", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1.1", "*", 
          RowBox[{"Cos", "[", "t", "]"}]}], ",", 
         RowBox[{"1.1", "*", 
          RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}], ",", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"t", "=", 
          RowBox[{"Apply", "[", 
           RowBox[{"ArcTan", ",", "#"}], "]"}]}], ")"}], " ", "&"}]}], 
      "\[IndentingNewLine]", "\t       ", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", "\[IndentingNewLine]", "\t", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"If", "[", "\[IndentingNewLine]", "\t     ", 
          RowBox[{"a", ",", "\[IndentingNewLine]", "\t\t", 
           RowBox[{"{", "\[IndentingNewLine]", "\t\t", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"x", ",", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", 
                   "Large"}], "]"}], ",", "\[IndentingNewLine]", "\t\t", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\< < \>\"", ",", "Large"}], "]"}], ",", 
                 "\[IndentingNewLine]", "\t\t", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Tan", "[", "x", "]"}], ",", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
                   "Large"}], "]"}]}], "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", ".65"}], ",", "1.5"}], "}"}]}], "]"}], 
            "\[IndentingNewLine]", "       \t", "}"}], ",", 
           "\[IndentingNewLine]", "\t\t", 
           RowBox[{"{", "\[IndentingNewLine]", "                  ", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Sin", "[", "x", "]"}], ",", 
                   RowBox[{"ColorData", "[", 
                    RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}],
                    ",", "Large"}], "]"}], ",", "\[IndentingNewLine]", "\t\t",
                  
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\< < \>\"", ",", "Large"}], "]"}], ",", 
                 "\[IndentingNewLine]", "\t\t", 
                 RowBox[{"Style", "[", 
                  RowBox[{"x", ",", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", 
                   "Large"}], "]"}], ",", "\[IndentingNewLine]", "\t\t", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\< < \>\"", ",", "Large"}], "]"}], ",", 
                 "\[IndentingNewLine]", "\t\t", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Tan", "[", "x", "]"}], ",", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
                   "Large"}], "]"}]}], "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", ".65"}], ",", "1.5"}], "}"}]}], "]"}], 
            "\[IndentingNewLine]", "\t\t", "}"}]}], "\t\t", 
          "\[IndentingNewLine]", "\t      ", "]"}], ",", 
         "\[IndentingNewLine]", "\t", 
         RowBox[{"{", 
          RowBox[{"Thin", ",", "Black", ",", 
           RowBox[{"Arrow", "[", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1.4", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], ",",
          "\[IndentingNewLine]", "        ", 
         RowBox[{"{", 
          RowBox[{"Thin", ",", "Black", ",", 
           RowBox[{"Arrow", "[", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1.4"}], "}"}]}], "}"}], "]"}]}], "}"}], ",",
          "\[IndentingNewLine]", "\t", 
         RowBox[{"{", 
          RowBox[{"Dashed", ",", "Gray", ",", 
           RowBox[{"Circle", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}]}], "}"}], ",",
          " ", "\[IndentingNewLine]", "\t  ", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", "\"\<(0,0)\>\"", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"-", ".1"}]}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", "            ", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", "\"\<(1,0)\>\"", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", 
             RowBox[{"-", ".1"}]}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", "         ", 
         RowBox[{"Dynamic", "[", "\[IndentingNewLine]", "\t\t ", 
          RowBox[{"{", 
           RowBox[{"Thick", ",", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", " ", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", "1", ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "t"}], "}"}]}], "]"}]}], "}"}], 
          "\[IndentingNewLine]", "\t\t     ", "]"}], ",", "    ", 
         "\[IndentingNewLine]", "         ", 
         RowBox[{"Dynamic", "[", "\[IndentingNewLine]", "\t\t ", 
          RowBox[{"{", 
           RowBox[{"Thin", ",", "Black", ",", "  ", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"6", 
                  RowBox[{"Cos", "[", "t", "]"}]}], ",", 
                 RowBox[{"6", 
                  RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}]}], "}"}], "]"}]}],
            "}"}], "\[IndentingNewLine]", "\t\t    ", "]"}], ",", 
         "\[IndentingNewLine]", "\t", 
         RowBox[{"Dynamic", "[", "\[IndentingNewLine]", "\t\t ", 
          RowBox[{"{", 
           RowBox[{"Dashed", ",", "  ", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"1", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", "t", "]"}], ",", 
                 RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], "}"}], "]"}]}], 
           "}"}], "\[IndentingNewLine]", "\t\t    ", "]"}], ",", 
         "\[IndentingNewLine]", "\t", 
         RowBox[{"Dynamic", "[", "\[IndentingNewLine]", "\t\t ", 
          RowBox[{"{", 
           RowBox[{"Thick", ",", 
            RowBox[{"RGBColor", "[", 
             RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", "  ", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"1", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", 
                 RowBox[{"Tan", "[", "t", "]"}]}], "}"}]}], "}"}], "]"}]}], 
           "}"}], "\[IndentingNewLine]", "\t\t    ", "]"}], ",", 
         "\[IndentingNewLine]", "\t", 
         RowBox[{"Dynamic", "[", "\[IndentingNewLine]", "\t\t ", 
          RowBox[{"{", 
           RowBox[{"Thick", ",", 
            RowBox[{"ColorData", "[", 
             RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], ",", 
            "  ", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", "t", "]"}], ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", "t", "]"}], ",", 
                 RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], "}"}], "]"}]}], 
           "}"}], "\[IndentingNewLine]", "\t\t    ", "]"}], ",", 
         "\[IndentingNewLine]", "\t", 
         RowBox[{"If", "[", 
          RowBox[{"a", ",", 
           RowBox[{"Dynamic", "[", 
            RowBox[{"{", "\[IndentingNewLine]", "\t\t", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"LightYellow", ",", 
                RowBox[{"Polygon", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"1", ",", 
                    RowBox[{"Tan", "[", "t", "]"}]}], "}"}]}], "}"}], "]"}]}],
                "}"}], ",", "                    \t         ", 
              "\[IndentingNewLine]", "\t         ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Opacity", "[", ".5", "]"}], ",", "Gray", ",", " ", 
                RowBox[{"Disk", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}], ",", "1", ",", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "t"}], "}"}]}], "]"}]}], "}"}], ",", 
              "\[IndentingNewLine]", "\t         ", 
              RowBox[{"{", 
               RowBox[{"Thick", ",", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", "  ", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"1", ",", 
                    RowBox[{"Tan", "[", "t", "]"}]}], "}"}]}], "}"}], "]"}]}],
                "}"}], ",", "\[IndentingNewLine]", "                  ", 
              RowBox[{"{", 
               RowBox[{"Thick", ",", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", "  ", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"1", ",", 
                    RowBox[{"Tan", "[", "t", "]"}]}], "}"}]}], "}"}], "]"}]}],
                "}"}], ",", "\[IndentingNewLine]", "                  ", 
              RowBox[{"{", 
               RowBox[{"Thick", ",", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", "  ", 
                RowBox[{"Line", "[", " ", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
              ",", "\[IndentingNewLine]", " \t         ", 
              RowBox[{"{", 
               RowBox[{"Thick", ",", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", " ", 
                RowBox[{"Circle", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}], ",", "1", ",", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "t"}], "}"}]}], "]"}]}], "}"}]}], 
             "\[IndentingNewLine]", "\t         ", "}"}], "]"}], ",", 
           "\[IndentingNewLine]", "\t\t      ", 
           RowBox[{"{", "}"}]}], "\[IndentingNewLine]", "              ", 
          "]"}]}], "\[IndentingNewLine]", "\t    ", "}"}], ",", 
       "\[IndentingNewLine]", "\t\t  ", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"400", ",", "425"}], "}"}]}], " ", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.4"}], ",", "1.4"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.4"}], ",", "2"}], "}"}]}], "}"}]}]}], 
      "\[IndentingNewLine]", "\t\t", "]"}], ",", "\[IndentingNewLine]", 
     "\t\t      ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{".00001", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.4", ",", "2"}], "}"}]}], "}"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "None"}]}], "\[IndentingNewLine]", 
    "\t\t\t", "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"\[Pi]", "/", "4."}], ",", "\"\<x\>\""}], "}"}], ",", "0", ",",
      
     RowBox[{
      RowBox[{"Pi", "/", "2"}], "-", ".00001"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "a", ",", "False", ",", "\"\<compare orange line and green arc\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}]}], "\[IndentingNewLine]",
   "                           ", "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.3996458318693647`*^9, {3.408449971158278*^9, 
   3.408449971484651*^9}, {3.408450032370446*^9, 3.408450044521585*^9}, {
   3.408450083829302*^9, 3.408450117424383*^9}, {3.408450527728532*^9, 
   3.4084505313946238`*^9}, {3.408450587059325*^9, 3.40845058819592*^9}, {
   3.408450642629012*^9, 3.4084506568328667`*^9}, {3.4084506923717327`*^9, 
   3.4084507260012827`*^9}, {3.408450815897023*^9, 3.408450845179861*^9}, {
   3.408450877154312*^9, 3.408450897764249*^9}, {3.408450940889236*^9, 
   3.408450946910832*^9}, {3.40845111288767*^9, 3.408451201310237*^9}, {
   3.40845505199159*^9, 3.408455114130601*^9}, 3.408455146482478*^9, {
   3.408455255420909*^9, 3.40845526101348*^9}, {3.408455292852702*^9, 
   3.4084553443089037`*^9}, {3.408455375359005*^9, 3.408455430927355*^9}, {
   3.408455469896117*^9, 3.408455470051628*^9}, {3.40845558479678*^9, 
   3.4084556378826523`*^9}, {3.408455671765584*^9, 3.4084556933887672`*^9}, {
   3.408455839228598*^9, 3.408455903692565*^9}, {3.408455939193941*^9, 
   3.408455995754835*^9}, {3.408456057400832*^9, 3.408456062362225*^9}, {
   3.40845618115021*^9, 3.4084562289467897`*^9}, {3.408456263616997*^9, 
   3.408456268169035*^9}, {3.408456643165265*^9, 3.408456655039445*^9}, {
   3.408456797640727*^9, 3.4084568435830917`*^9}, {3.408456880916595*^9, 
   3.408456897032023*^9}, {3.408457652306362*^9, 3.4084576621137533`*^9}, {
   3.4084577067721443`*^9, 3.408457709092862*^9}, {3.408457764218849*^9, 
   3.408457772774441*^9}, {3.408457803562406*^9, 3.4084578369031076`*^9}, 
   3.4084578869580927`*^9, {3.408457944825478*^9, 3.408458188784194*^9}, {
   3.4084582250693903`*^9, 3.408458468752887*^9}, {3.408458605813534*^9, 
   3.408458627570724*^9}, {3.408458667513384*^9, 3.408458692725751*^9}, {
   3.4084587380001373`*^9, 3.408458783126183*^9}, {3.408458833945093*^9, 
   3.4084589334161367`*^9}, {3.408458983431843*^9, 3.408459047748211*^9}, {
   3.408460774578903*^9, 3.4084607757843103`*^9}, {3.408460956974018*^9, 
   3.408461075005547*^9}, {3.408461149033543*^9, 3.408461162095459*^9}, {
   3.408461307294416*^9, 3.40846131204385*^9}, {3.408530835146448*^9, 
   3.4085309209788094`*^9}, {3.408531258623478*^9, 3.408531263715315*^9}, {
   3.4085312993510637`*^9, 3.408531301533983*^9}, {3.408587486171875*^9, 
   3.40858758134375*^9}, {3.408587696078125*^9, 3.4085876975*^9}, {
   3.40858774778125*^9, 3.408587950359375*^9}, {3.408587993125*^9, 
   3.4085880691875*^9}, {3.40858822478125*^9, 3.408588227296875*^9}, {
   3.4087431891820736`*^9, 3.408743261166909*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = False, $CellContext`t$$ = 
    0.7853981633974483, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`t$$], 0.7853981633974483, "x"}, 0, 
      1.5707863267948965`}, {{
       Hold[$CellContext`a$$], False, "compare orange line and green arc"}, {
      False, True}}}, Typeset`size$$ = {400., {210., 215.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`t$119007$$ = 0, $CellContext`a$119008$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = False, $CellContext`t$$ = 
        0.7853981633974483}, "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$119007$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$119008$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> LocatorPane[
        Dynamic[{
         1.1 Cos[$CellContext`t$$], 1.1 
          Sin[$CellContext`t$$]}, ($CellContext`t$$ = Apply[ArcTan, #])& ], 
        Graphics[{
          If[$CellContext`a$$, {
            Text[
             Row[{
               Style[$CellContext`x, 
                RGBColor[0.6, 0.73, 0.36], Large], 
               Style[" < ", Large], 
               Style[
                Tan[$CellContext`x], 
                RGBColor[1, 0.47, 0], Large]}], {-0.65, 1.5}]}, {
            Text[
             Row[{
               Style[
                Sin[$CellContext`x], 
                ColorData["HTML", "SlateBlue"], Large], 
               Style[" < ", Large], 
               Style[$CellContext`x, 
                RGBColor[0.6, 0.73, 0.36], Large], 
               Style[" < ", Large], 
               Style[
                Tan[$CellContext`x], 
                RGBColor[1, 0.47, 0], Large]}], {-0.65, 1.5}]}], {
          Thin, Black, 
           Arrow[{{0, 0}, {1.4, 0}}]}, {Thin, Black, 
           Arrow[{{0, 0}, {0, 1.4}}]}, {Dashed, Gray, 
           Circle[{0, 0}, 1]}, 
          Text[
           Style["(0,0)"], {0, -0.1}], 
          Text[
           Style["(1,0)"], {1, -0.1}], 
          Dynamic[{Thick, 
            RGBColor[0.6, 0.73, 0.36], 
            Circle[{0, 0}, 1, {0, $CellContext`t$$}]}], 
          Dynamic[{Thin, Black, 
            
            Line[{{0, 0}, {
              6 Cos[$CellContext`t$$], 6 Sin[$CellContext`t$$]}}]}], 
          Dynamic[{Dashed, 
            Line[{{1, 0}, {
               Cos[$CellContext`t$$], 
               Sin[$CellContext`t$$]}}]}], 
          Dynamic[{Thick, 
            RGBColor[1, 0.47, 0], 
            Line[{{1, 0}, {1, 
               Tan[$CellContext`t$$]}}]}], 
          Dynamic[{Thick, 
            ColorData["HTML", "SlateBlue"], 
            Line[{{
               Cos[$CellContext`t$$], 0}, {
               Cos[$CellContext`t$$], 
               Sin[$CellContext`t$$]}}]}], 
          If[$CellContext`a$$, 
           Dynamic[{{LightYellow, 
              Polygon[{{0, 0}, {1, 0}, {1, 
                 Tan[$CellContext`t$$]}}]}, {
              Opacity[0.5], Gray, 
              Disk[{0, 0}, 1, {0, $CellContext`t$$}]}, {Thick, 
              RGBColor[1, 0.47, 0], 
              Line[{{0, 0}, {1, 
                 Tan[$CellContext`t$$]}}]}, {Thick, 
              RGBColor[1, 0.47, 0], 
              Line[{{1, 0}, {1, 
                 Tan[$CellContext`t$$]}}]}, {Thick, 
              RGBColor[1, 0.47, 0], 
              Line[{{0, 0}, {1, 0}}]}, {Thick, 
              RGBColor[0.6, 0.73, 0.36], 
              Circle[{0, 0}, 1, {0, $CellContext`t$$}]}}], {}]}, 
         ImageSize -> {400, 425}, PlotRange -> {{-1.4, 1.4}, {-1.4, 2}}], {{
         0.00001, 0}, {1.4, 2}}, Appearance -> None], 
      "Specifications" :> {{{$CellContext`t$$, 0.7853981633974483, "x"}, 0, 
         1.5707863267948965`}, {{$CellContext`a$$, False, 
          "compare orange line and green arc"}, {False, True}}}, 
      "Options" :> {}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {262., 267.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->118033729],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Relationship between Sine and Tangent",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RelationshipBetweenSineAndTangent/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/RelationshipBetweenSineAndTangent/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
RelationshipBetweenSineAndTangent/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RelationshipBetweenSineAndTangent/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/RelationshipBetweenSineAndTangent/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Sandro Frigio",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Sandro+Frigio"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Sandro+Frigio"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
RelationshipBetweenSineAndTangent"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Relationship between Sine and Tangent - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 229, 4, 70, "Section"],
Cell[822, 29, 16342, 360, 70, "Input"]
}, Open  ]],
Cell[17179, 392, 4759, 110, 70, "Output",
 CellID->118033729],
Cell[CellGroupData[{
Cell[21963, 506, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[22339, 517, 993, 29, 70, "Text"],
Cell[23335, 548, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[23675, 559, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[24136, 577, 967, 27, 70, "Text"],
Cell[25106, 606, 1209, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 9Q4ASP0l4n7hzDTjUN9TyWHB *)
