(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     39993,       1003]
NotebookOptionsPosition[     38793,        960]
NotebookOutlinePosition[     39435,        984]
CellTagsIndexPosition[     39392,        981]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Relationship of Sine and Cosine to the Unit Circle", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"arctan", "[", 
   RowBox[{"x_", ",", " ", "y_"}], "]"}], " ", ":=", " ", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"as", ",", " ", "ac", ",", " ", "at", ",", " ", "a"}], "}"}], 
    ",", " ", 
    RowBox[{
     RowBox[{"as", " ", "=", " ", 
      RowBox[{"ArcSin", "[", "y", "]"}]}], ";", " ", 
     RowBox[{"ac", " ", "=", " ", 
      RowBox[{"ArcCos", "[", "x", "]"}]}], ";", " ", 
     RowBox[{"at", " ", "=", " ", 
      RowBox[{"ArcTan", "[", 
       RowBox[{"y", "/", "x"}], "]"}]}], ";", " ", 
     RowBox[{"a", " ", "=", " ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"x", " ", ">=", " ", "0"}], " ", "&&", " ", 
         RowBox[{"y", " ", ">=", " ", "0"}]}], ",", " ", "at", ",", " ", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"x", " ", "<", " ", "0"}], " ", "&&", " ", 
           RowBox[{"y", " ", ">=", " ", "0"}]}], ",", " ", 
          RowBox[{"Pi", " ", "-", " ", "as"}], ",", " ", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"x", " ", "<", " ", "0"}], " ", "&&", " ", 
             RowBox[{"y", " ", "<", " ", "0"}]}], ",", " ", 
            RowBox[{"Pi", " ", "+", " ", "at"}], ",", " ", 
            RowBox[{
             RowBox[{"2", " ", "Pi"}], " ", "+", " ", "at"}]}], "]"}]}], 
         "]"}]}], "]"}]}], ";", 
     RowBox[{"N", "[", 
      RowBox[{"a", ",", "4"}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.397568089172626*^9, 3.3975681222820005`*^9}, {
   3.397568164766376*^9, 3.397568165985126*^9}, {3.398244358171875*^9, 
   3.3982443586875*^9}, 3.39824444471875*^9, {3.39824487165625*^9, 
   3.39824487209375*^9}},
 CellID->751953897],

Cell[BoxData[
 RowBox[{
  RowBox[{"angularSlider", "[", 
   RowBox[{"Dynamic", "[", "angle_", "]"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"LocatorPane", "[", 
   RowBox[{
    RowBox[{"Dynamic", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Cos", "[", "angle", "]"}], ",", 
        RowBox[{"Sin", "[", "angle", "]"}]}], "}"}], ",", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"angle", "=", 
         RowBox[{"Apply", "[", 
          RowBox[{"ArcTan", ",", "#"}], "]"}]}], ")"}], " ", "&"}]}], "]"}], 
    ",", "\n", "   ", 
    RowBox[{"Graphics", "[", "\n", "     ", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"Thick", ",", 
        RowBox[{"Circle", "[", "]"}], ",", "\[IndentingNewLine]", "Red", ",", 
        
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", " ", "0"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"1", ",", " ", "0"}], "}"}]}], "}"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", " ", 
             RowBox[{"-", "1"}]}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"0", ",", " ", "1"}], "}"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", "Brown", ",", "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "[", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", " ", "0"}], "}"}], ",", " ", 
           RowBox[{"1", "/", "4"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"0", ",", " ", 
             RowBox[{"arctan", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "angle", "]"}], ",", 
                  RowBox[{"Sin", "[", "angle", "]"}]}], "}"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", " ", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "angle", "]"}], ",", 
                  RowBox[{"Sin", "[", "angle", "]"}]}], "}"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "}"}]}], "]"}], 
         "]"}], ",", 
        RowBox[{"Dynamic", "[", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", " ", "0"}], "}"}], ",", "1", ",", " ", 
           RowBox[{"{", 
            RowBox[{"0", ",", " ", 
             RowBox[{"arctan", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "angle", "]"}], ",", 
                  RowBox[{"Sin", "[", "angle", "]"}]}], "}"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", " ", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Cos", "[", "angle", "]"}], ",", 
                  RowBox[{"Sin", "[", "angle", "]"}]}], "}"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "}"}]}], "]"}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "[", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "angle", "]"}], ",", 
              RowBox[{"Sin", "[", "angle", "]"}]}], "}"}], ",", " ", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"Sin", "[", "angle", "]"}]}], "}"}]}], "}"}], "]"}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "[", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "angle", "]"}], ",", 
              RowBox[{"Sin", "[", "angle", "]"}]}], "}"}], ",", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "angle", "]"}], ",", " ", "0"}], "}"}]}], 
           " ", "}"}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"PointSize", "[", "Large", "]"}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"Dynamic", "[", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Text", "[", 
            RowBox[{"\"\<P\>\"", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Cos", "[", "angle", "]"}], ",", 
               RowBox[{"Sin", "[", "angle", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", 
               RowBox[{"-", "1"}]}], "}"}]}], "]"}], ",", "Medium", ",", 
           "Italic"}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "[", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Cos", "[", "angle", "]"}], ",", 
            RowBox[{"Sin", "[", "angle", "]"}]}], "}"}], "]"}], "]"}], ",", 
        "\[IndentingNewLine]", "Red", ",", "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "[", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Cos", "[", "angle", "]"}], ",", " ", "0"}], "}"}], " ", 
          "]"}], "]"}], ",", "\[IndentingNewLine]", "Blue", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "[", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"0", ",", " ", 
            RowBox[{"Sin", "[", "angle", "]"}]}], "}"}], "]"}], "]"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "[", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"\"\<\[Theta]=\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"arctan", "[", 
                 RowBox[{
                  RowBox[{"Cos", "[", "angle", "]"}], ",", " ", 
                  RowBox[{"Sin", "[", "angle", "]"}]}], " ", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"5", ",", "4"}], "}"}]}], "]"}], "]"}]}], ",", " ", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Cos", "[", "angle", "]"}], ",", 
               RowBox[{"Sin", "[", "angle", "]"}]}], "}"}], "*", "1.2"}]}], 
           " ", "]"}], ",", " ", 
          RowBox[{"BaseStyle", " ", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{
            "Medium", ",", " ", "Bold", ",", " ", "Brown", ",", " ", 
             "\"\<Label\>\""}], "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"Dynamic", "[", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"ToString", "[", 
             RowBox[{"NumberForm", "[", 
              RowBox[{
               RowBox[{"Cos", "[", "angle", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"5", ",", "4"}], "}"}]}], "]"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "angle", "]"}], ",", " ", 
              RowBox[{"-", "0.2"}]}], "}"}]}], "]"}], ",", " ", 
          RowBox[{"BaseStyle", " ", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{
            "Medium", ",", " ", "Bold", ",", " ", "Red", ",", " ", 
             "\"\<Label\>\""}], "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"Dynamic", "[", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"ToString", "[", 
             RowBox[{"NumberForm", "[", 
              RowBox[{
               RowBox[{"Sin", "[", "angle", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"5", ",", "4"}], "}"}]}], "]"}], " ", "]"}], ",", " ",
             
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "0.35"}], ",", " ", 
              RowBox[{"Sin", "[", "angle", "]"}]}], "}"}]}], "]"}], ",", " ", 
          
          RowBox[{"BaseStyle", " ", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{
            "Medium", ",", " ", "Bold", ",", " ", "Blue", ",", " ", 
             "\"\<Label\>\""}], "}"}]}]}], "]"}], ",", "      ", "\n", 
        "         ", "Blue", ",", "\[IndentingNewLine]", 
        RowBox[{"Arrowheads", "[", "0.05", "]"}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"Arrow", "[", 
         RowBox[{"Dynamic", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", " ", "0"}], "}"}], ",", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "angle", "]"}], ",", 
              RowBox[{"Sin", "[", "angle", "]"}]}], "}"}]}], "}"}], "]"}], 
         "]"}]}], "\n", "      ", "}"}], ",", "\n", "     ", 
      RowBox[{"PlotRange", " ", "\[Rule]", " ", "1.1"}], ",", "\n", "     ", 
      RowBox[{"ImageSize", " ", "\[Rule]", " ", 
       RowBox[{"{", 
        RowBox[{"350", ",", "250"}], "}"}]}], ",", " ", 
      RowBox[{"PlotRange", " ", "\[Rule]", " ", "All"}], ",", " ", 
      RowBox[{"ImagePadding", " ", "\[Rule]", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"57", ",", "57"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"15", ",", "15"}], "}"}]}], "}"}]}]}], "]"}], ",", " ", 
    RowBox[{"Appearance", " ", "\[Rule]", " ", "None"}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.3973176705449057`*^9, {3.3973177267324057`*^9, 
   3.3973177405605307`*^9}, {3.3975664758757505`*^9, 
   3.3975664790945005`*^9}, {3.3975670604382505`*^9, 
   3.3975671229382505`*^9}, {3.397567287203876*^9, 3.397567378672626*^9}, {
   3.3975674615632505`*^9, 3.397567472953876*^9}, {3.3975678026882505`*^9, 
   3.3975678075945005`*^9}, {3.397568113985126*^9, 3.397568137172626*^9}, {
   3.397568239016376*^9, 3.3975682399070005`*^9}, {3.3975683042507505`*^9, 
   3.3975684923132505`*^9}, {3.397568794016376*^9, 3.3975688084695005`*^9}, {
   3.3975688560007505`*^9, 3.3975689670007505`*^9}, {3.3980519695*^9, 
   3.39805201065625*^9}, {3.398052218703125*^9, 3.398052224453125*^9}, {
   3.398052511921875*^9, 3.398052543703125*^9}, {3.39805260853125*^9, 
   3.3980526540625*^9}, {3.398052687734375*^9, 3.39805269028125*^9}, {
   3.398052754953125*^9, 3.398052755953125*^9}, {3.39805304759375*^9, 
   3.398053086390625*^9}, {3.398053368265625*^9, 3.398053372890625*^9}, {
   3.398053425078125*^9, 3.398053433171875*^9}, {3.39805401559375*^9, 
   3.39805401971875*^9}, {3.3980540659375*^9, 3.398054074078125*^9}, {
   3.3980541055625*^9, 3.398054107328125*^9}, {3.398054146171875*^9, 
   3.3980541920625*^9}, {3.398054229859375*^9, 3.39805423640625*^9}, {
   3.39805427809375*^9, 3.398054306390625*^9}, {3.398241568265625*^9, 
   3.398241573328125*^9}, {3.39824168125*^9, 3.398241685109375*^9}, {
   3.39824389215625*^9, 3.398243895828125*^9}, {3.3982439431875*^9, 
   3.398243944953125*^9}, {3.398243990125*^9, 3.398244011125*^9}, {
   3.398244072609375*^9, 3.39824412234375*^9}, 3.398244436296875*^9, {
   3.3982444783125*^9, 3.398244557796875*^9}, {3.39824473478125*^9, 
   3.3982447355*^9}, {3.398244796046875*^9, 3.398244838390625*^9}, {
   3.398245104296875*^9, 3.398245471140625*^9}, {3.398245509625*^9, 
   3.398245635984375*^9}, {3.39824571059375*^9, 3.398245780640625*^9}, {
   3.398245924453125*^9, 3.398245964234375*^9}, 3.398246033859375*^9, 
   3.39824606571875*^9, {3.39824616090625*^9, 3.398246164171875*^9}, {
   3.398246196453125*^9, 3.39824620459375*^9}, {3.3982462570625*^9, 
   3.39824632925*^9}, {3.398246363453125*^9, 3.398246393015625*^9}, {
   3.3984198344470606`*^9, 3.3984198466345606`*^9}, {3.3984199011189356`*^9, 
   3.3984199028376856`*^9}, {3.3984199376658106`*^9, 
   3.3984199641189356`*^9}, {3.3984200085095606`*^9, 
   3.3984200087439356`*^9}, {3.3984468894783106`*^9, 
   3.3984468904783106`*^9}, {3.398520028885491*^9, 3.398520030854241*^9}},
 CellID->172500618],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Grid", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Column", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
           "\"\<Drag the blue radius around the circle.\>\"", ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Dynamic", "[", 
             RowBox[{"\"\<You have moved \[Theta] = \>\"", "<>", 
              RowBox[{"ToString", "[", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"Mod", "[", 
                  RowBox[{"\[Theta]", ",", 
                   RowBox[{"2", "Pi"}]}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"5", ",", "4"}], "}"}], ",", 
                 RowBox[{"ExponentFunction", "\[Rule]", 
                  RowBox[{"(", 
                   RowBox[{"Null", "&"}], ")"}]}]}], "]"}], "]"}], "<>", 
              "\"\< radians around the circle.\>\""}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Dynamic", "[", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<The \>\"", ",", 
                RowBox[{"Text", "@", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}]}], ",", 
                "\"\< coordinate of \>\"", ",", 
                RowBox[{"Text", "@", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<P\>\"", ",", "Italic"}], "]"}]}], ",", 
                RowBox[{
                "\"\< on the circle is given by cos(\[Theta]) = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"NumberForm", "[", 
                   RowBox[{
                    RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"5", ",", "4"}], "}"}], ",", 
                    RowBox[{"ExponentFunction", "\[Rule]", 
                    RowBox[{"(", 
                    RowBox[{"Null", "&"}], ")"}]}]}], "]"}], "]"}], "<>", 
                 "\"\<.\>\""}]}], "}"}], "]"}], "]"}], ",", 
            RowBox[{"Dynamic", "[", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<The \>\"", ",", 
                RowBox[{"Text", "@", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}]}], ",", 
                "\"\< coordinate of \>\"", ",", 
                RowBox[{"Text", "@", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<P\>\"", ",", "Italic"}], "]"}]}], ",", 
                RowBox[{
                "\"\< on the circle is given by sin(\[Theta]) = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"NumberForm", "[", 
                   RowBox[{
                    RowBox[{"Sin", "[", "\[Theta]", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"5", ",", "4"}], "}"}], ",", 
                    RowBox[{"ExponentFunction", "\[Rule]", 
                    RowBox[{"(", 
                    RowBox[{"Null", "&"}], ")"}]}]}], "]"}], "]"}], "<>", 
                 "\"\<.\>\""}]}], "}"}], "]"}], "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", "Center", ",", 
          RowBox[{"ItemStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Black", ",", "Brown", ",", "Red", ",", "Blue"}], "}"}]}],
           ",", 
          RowBox[{"BaseStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Medium", ",", "\"\<Label\>\""}], "}"}]}]}], "]"}], 
        "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Sin", "[", "x", "]"}], ",", 
            RowBox[{"Cos", "[", "x", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", 
            RowBox[{"2", "Pi"}]}], "}"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Blue", ",", "Red"}], "}"}]}], ",", 
          RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
          RowBox[{"Epilog", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"PointSize", "[", "Large", "]"}], ",", "Blue", ",", 
             RowBox[{"Dynamic", "@", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Mod", "[", 
                  RowBox[{"\[Theta]", ",", 
                   RowBox[{"2", "Pi"}]}], "]"}], ",", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}], "]"}]}], ",",
              "Red", ",", 
             RowBox[{"Dynamic", "@", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Mod", "[", 
                  RowBox[{"\[Theta]", ",", 
                   RowBox[{"2", "Pi"}]}], "]"}], ",", 
                 RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}], "]"}]}]}], 
            "}"}]}], ",", 
          RowBox[{
          "PlotLabel", "\[Rule]", 
           "\"\<sin(\[Theta]) in blue and cos(\[Theta]) in red\>\""}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], 
        "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"angularSlider", "[", 
         RowBox[{"Dynamic", "[", "\[Theta]", "]"}], "]"}], "}"}]}], "}"}], 
     ",", 
     RowBox[{"Frame", "\[Rule]", "All"}], ",", 
     RowBox[{"Spacings", "\[Rule]", "0"}], ",", " ", 
     RowBox[{"ItemSize", " ", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "36", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"5", ",", "5", ",", "10"}], "}"}]}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"\[Theta]", ",", "0", ",", 
     RowBox[{"2", "Pi"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.396867711859375*^9, {3.3968688229375*^9, 
   3.396868824328125*^9}, {3.396903925109375*^9, 3.39690398815625*^9}, {
   3.3973169157324057`*^9, 3.3973169261542807`*^9}, 3.3973169606386557`*^9, {
   3.3973170232011557`*^9, 3.3973170276074057`*^9}, {3.3973174184042807`*^9, 
   3.3973175304980307`*^9}, {3.3973175692792807`*^9, 
   3.3973176188105307`*^9}, {3.3973176935292807`*^9, 
   3.3973176962636557`*^9}, {3.3973178252792807`*^9, 
   3.3973178281230307`*^9}, {3.397567522235126*^9, 3.3975675538445005`*^9}, {
   3.3975681913132505`*^9, 3.3975682067507505`*^9}, {3.39805244503125*^9, 
   3.398052463078125*^9}, 3.398052940625*^9, {3.398053132453125*^9, 
   3.398053133046875*^9}, {3.39805320603125*^9, 3.3980532096875*^9}, {
   3.3980532478125*^9, 3.398053306515625*^9}, {3.39805334415625*^9, 
   3.398053344625*^9}, 3.398053602125*^9, {3.398053672640625*^9, 
   3.39805397109375*^9}, {3.398054711390625*^9, 3.398054711546875*^9}, {
   3.39824172484375*^9, 3.398241726125*^9}, {3.39824177065625*^9, 
   3.39824179475*^9}, {3.398242080703125*^9, 3.3982420875*^9}, {
   3.398242181078125*^9, 3.39824231334375*^9}, {3.39824241078125*^9, 
   3.39824245965625*^9}, 3.398242712046875*^9, {3.39824285196875*^9, 
   3.398242861578125*^9}, {3.3982441985625*^9, 3.39824419875*^9}, 
   3.398245021109375*^9, {3.3984197938064356`*^9, 3.3984198119158106`*^9}, {
   3.3984466819783106`*^9, 3.3984468526658106`*^9}, 3.3984482488376856`*^9, {
   3.398520001760491*^9, 3.398520002041741*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[Theta]$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`\[Theta]$$], 0, 2 Pi}}, Typeset`size$$ = {
    455., {208., 213.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`\[Theta]$72587$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`\[Theta]$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Theta]$$, $CellContext`\[Theta]$72587$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Grid[{{
          Column[{"Drag the blue radius around the circle.", 
            Dynamic[
             StringJoin["You have moved \[Theta] = ", 
              ToString[
               NumberForm[
                Mod[$CellContext`\[Theta]$$, 2 Pi], {5, 4}, 
                ExponentFunction -> (Null& )]], 
              " radians around the circle."]], 
            Dynamic[
             Row[{"The ", 
               Text[
                Style["x", Italic]], " coordinate of ", 
               Text[
                Style["P", Italic]], 
               StringJoin[" on the circle is given by cos(\[Theta]) = ", 
                ToString[
                 NumberForm[
                  Cos[$CellContext`\[Theta]$$], {5, 4}, 
                  ExponentFunction -> (Null& )]], "."]}]], 
            Dynamic[
             Row[{"The ", 
               Text[
                Style["y", Italic]], " coordinate of ", 
               Text[
                Style["P", Italic]], 
               StringJoin[" on the circle is given by sin(\[Theta]) = ", 
                ToString[
                 NumberForm[
                  Sin[$CellContext`\[Theta]$$], {5, 4}, 
                  ExponentFunction -> (Null& )]], "."]}]]}, Center, 
           ItemStyle -> {Black, Brown, Red, Blue}, 
           BaseStyle -> {Medium, "Label"}]}, {
          Plot[{
            Sin[$CellContext`x], 
            Cos[$CellContext`x]}, {$CellContext`x, 0, 2 Pi}, 
           PlotStyle -> {Blue, Red}, AspectRatio -> Automatic, PlotStyle -> 
           Thick, Epilog -> {
             PointSize[Large], Blue, 
             Dynamic[
              Point[{
                Mod[$CellContext`\[Theta]$$, 2 Pi], 
                Sin[$CellContext`\[Theta]$$]}]], Red, 
             Dynamic[
              Point[{
                Mod[$CellContext`\[Theta]$$, 2 Pi], 
                Cos[$CellContext`\[Theta]$$]}]]}, PlotLabel -> 
           "sin(\[Theta]) in blue and cos(\[Theta]) in red", ImageSize -> 
           200]}, {
          $CellContext`angularSlider[
           Dynamic[$CellContext`\[Theta]$$]]}}, Frame -> All, Spacings -> 0, 
        ItemSize -> {{36}, {5, 5, 10}}], 
      "Specifications" :> {{$CellContext`\[Theta]$$, 0, 2 Pi, ControlType -> 
         None}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{499., {235., 240.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`angularSlider[
          Dynamic[
           Pattern[$CellContext`angle, 
            Blank[]]]] := LocatorPane[
          Dynamic[{
            Cos[$CellContext`angle], 
            Sin[$CellContext`angle]}, ($CellContext`angle = 
           Apply[ArcTan, #])& ], 
          Graphics[{Thick, 
            Circle[], Red, 
            Line[{{-1, 0}, {1, 0}}], 
            Line[{{0, -1}, {0, 1}}], Brown, 
            Dynamic[
             Circle[{0, 0}, 1/4, {0, 
               $CellContext`arctan[
                Part[{
                  Cos[$CellContext`angle], 
                  Sin[$CellContext`angle]}, 1], 
                Part[{
                  Cos[$CellContext`angle], 
                  Sin[$CellContext`angle]}, 2]]}]], 
            Dynamic[
             Circle[{0, 0}, 1, {0, 
               $CellContext`arctan[
                Part[{
                  Cos[$CellContext`angle], 
                  Sin[$CellContext`angle]}, 1], 
                Part[{
                  Cos[$CellContext`angle], 
                  Sin[$CellContext`angle]}, 2]]}]], 
            Dynamic[
             Line[{{
                Cos[$CellContext`angle], 
                Sin[$CellContext`angle]}, {0, 
                Sin[$CellContext`angle]}}]], 
            Dynamic[
             Line[{{
                Cos[$CellContext`angle], 
                Sin[$CellContext`angle]}, {
                Cos[$CellContext`angle], 0}}]], 
            PointSize[Large], 
            Dynamic[
             Style[
              Text["P", {
                Cos[$CellContext`angle], 
                Sin[$CellContext`angle]}, {1, -1}], Medium, Italic]], 
            Dynamic[
             Point[{
               Cos[$CellContext`angle], 
               Sin[$CellContext`angle]}]], Red, 
            Dynamic[
             Point[{
               Cos[$CellContext`angle], 0}]], Blue, 
            Dynamic[
             Point[{0, 
               Sin[$CellContext`angle]}]], 
            Dynamic[
             Text[
              StringJoin["\[Theta]=", 
               ToString[
                NumberForm[
                 $CellContext`arctan[
                  Cos[$CellContext`angle], 
                  Sin[$CellContext`angle]], {5, 4}]]], {
                Cos[$CellContext`angle], 
                Sin[$CellContext`angle]} 1.2], 
             BaseStyle -> {Medium, Bold, Brown, "Label"}], 
            Dynamic[
             Text[
              ToString[
               NumberForm[
                Cos[$CellContext`angle], {5, 4}]], {
               Cos[$CellContext`angle], -0.2}], 
             BaseStyle -> {Medium, Bold, Red, "Label"}], 
            Dynamic[
             Text[
              ToString[
               NumberForm[
                Sin[$CellContext`angle], {5, 4}]], {-0.35, 
               Sin[$CellContext`angle]}], 
             BaseStyle -> {Medium, Bold, Blue, "Label"}], Blue, 
            Arrowheads[0.05], 
            Arrow[
             Dynamic[{{0, 0}, {
                Cos[$CellContext`angle], 
                Sin[$CellContext`angle]}}]]}, PlotRange -> 1.1, 
           ImageSize -> {350, 250}, PlotRange -> All, 
           ImagePadding -> {{57, 57}, {15, 15}}], Appearance -> 
          None], $CellContext`arctan[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`y, 
           Blank[]]] := 
        Module[{$CellContext`as, $CellContext`ac, $CellContext`at, \
$CellContext`a}, $CellContext`as = ArcSin[$CellContext`y]; $CellContext`ac = 
           ArcCos[$CellContext`x]; $CellContext`at = 
           ArcTan[$CellContext`y/$CellContext`x]; $CellContext`a = If[
             And[$CellContext`x >= 0, $CellContext`y >= 0], $CellContext`at, 
             If[
              And[$CellContext`x < 0, $CellContext`y >= 0], 
              Pi - $CellContext`as, 
              If[
               And[$CellContext`x < 0, $CellContext`y < 0], 
               Pi + $CellContext`at, 2 Pi + $CellContext`at]]]; 
          N[$CellContext`a, 4]], Attributes[PlotRange] = {ReadProtected}}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`arctan[
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]] := 
         Module[{$CellContext`as, $CellContext`ac, $CellContext`at, \
$CellContext`a}, $CellContext`as = ArcSin[$CellContext`y]; $CellContext`ac = 
            ArcCos[$CellContext`x]; $CellContext`at = 
            ArcTan[$CellContext`y/$CellContext`x]; $CellContext`a = If[
              And[$CellContext`x >= 0, $CellContext`y >= 0], $CellContext`at, 
              
              If[
               And[$CellContext`x < 0, $CellContext`y >= 0], 
               Pi - $CellContext`as, 
               If[
                And[$CellContext`x < 0, $CellContext`y < 0], 
                Pi + $CellContext`at, 2 Pi + $CellContext`at]]]; 
           N[$CellContext`a, 4]], $CellContext`angularSlider[
           Dynamic[
            Pattern[$CellContext`angle, 
             Blank[]]]] := LocatorPane[
           Dynamic[{
             Cos[$CellContext`angle], 
             Sin[$CellContext`angle]}, ($CellContext`angle = 
            Apply[ArcTan, #])& ], 
           Graphics[{Thick, 
             Circle[], Red, 
             Line[{{-1, 0}, {1, 0}}], 
             Line[{{0, -1}, {0, 1}}], Brown, 
             Dynamic[
              Circle[{0, 0}, 1/4, {0, 
                $CellContext`arctan[
                 Part[{
                   Cos[$CellContext`angle], 
                   Sin[$CellContext`angle]}, 1], 
                 Part[{
                   Cos[$CellContext`angle], 
                   Sin[$CellContext`angle]}, 2]]}]], 
             Dynamic[
              Circle[{0, 0}, 1, {0, 
                $CellContext`arctan[
                 Part[{
                   Cos[$CellContext`angle], 
                   Sin[$CellContext`angle]}, 1], 
                 Part[{
                   Cos[$CellContext`angle], 
                   Sin[$CellContext`angle]}, 2]]}]], 
             Dynamic[
              Line[{{
                 Cos[$CellContext`angle], 
                 Sin[$CellContext`angle]}, {0, 
                 Sin[$CellContext`angle]}}]], 
             Dynamic[
              Line[{{
                 Cos[$CellContext`angle], 
                 Sin[$CellContext`angle]}, {
                 Cos[$CellContext`angle], 0}}]], 
             PointSize[Large], 
             Dynamic[
              Style[
               Text["P", {
                 Cos[$CellContext`angle], 
                 Sin[$CellContext`angle]}, {1, -1}], Medium, Italic]], 
             Dynamic[
              Point[{
                Cos[$CellContext`angle], 
                Sin[$CellContext`angle]}]], Red, 
             Dynamic[
              Point[{
                Cos[$CellContext`angle], 0}]], Blue, 
             Dynamic[
              Point[{0, 
                Sin[$CellContext`angle]}]], 
             Dynamic[
              Text[
               StringJoin["\[Theta]=", 
                ToString[
                 NumberForm[
                  $CellContext`arctan[
                   Cos[$CellContext`angle], 
                   Sin[$CellContext`angle]], {5, 4}]]], {
                 Cos[$CellContext`angle], 
                 Sin[$CellContext`angle]} 1.2], 
              BaseStyle -> {Medium, Bold, Brown, "Label"}], 
             Dynamic[
              Text[
               ToString[
                NumberForm[
                 Cos[$CellContext`angle], {5, 4}]], {
                Cos[$CellContext`angle], -0.2}], 
              BaseStyle -> {Medium, Bold, Red, "Label"}], 
             Dynamic[
              Text[
               ToString[
                NumberForm[
                 Sin[$CellContext`angle], {5, 4}]], {-0.35, 
                Sin[$CellContext`angle]}], 
              BaseStyle -> {Medium, Bold, Blue, "Label"}], Blue, 
             Arrowheads[0.05], 
             Arrow[
              Dynamic[{{0, 0}, {
                 Cos[$CellContext`angle], 
                 Sin[$CellContext`angle]}}]]}, PlotRange -> 1.1, 
            ImageSize -> {350, 250}, PlotRange -> All, 
            ImagePadding -> {{57, 57}, {15, 15}}], Appearance -> None]}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->218005503],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Relationship of Sine and Cosine to the Unit Circle",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
RelationshipOfSineAndCosineToTheUnitCircle/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
RelationshipOfSineAndCosineToTheUnitCircle/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
RelationshipOfSineAndCosineToTheUnitCircle/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
RelationshipOfSineAndCosineToTheUnitCircle/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
RelationshipOfSineAndCosineToTheUnitCircle/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Noel Patson",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Noel+Patson"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Noel+Patson"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
RelationshipOfSineAndCosineToTheUnitCircle"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Relationship of Sine and Cosine to the Unit Circle - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 242, 4, 70, "Section"],
Cell[835, 29, 1787, 45, 70, "Input",
 CellID->751953897],
Cell[2625, 76, 12048, 277, 70, "Input",
 CellID->172500618],
Cell[14676, 355, 7806, 167, 70, "Input"]
}, Open  ]],
Cell[22497, 525, 11964, 295, 70, "Output",
 CellID->218005503],
Cell[CellGroupData[{
Cell[34486, 824, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[34862, 835, 1055, 31, 70, "Text"],
Cell[35920, 868, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[36260, 879, 430, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[36715, 897, 829, 24, 70, "Text"],
Cell[37547, 923, 1218, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature tS4igi@r0R9o@CpS3#M2QkWG *)
