(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     38521,        878]
NotebookOptionsPosition[     37413,        837]
NotebookOutlinePosition[     38024,        861]
CellTagsIndexPosition[     37981,        858]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Sin/Cos Function Game", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"\n", 
  RowBox[{
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", ".5", ",", ".25", ",", ".75"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", ".25"}], ",", ".25", ",", ".5", ",", 
       RowBox[{"-", ".5"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"c", "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", ".5", ",", "2", ",", "3"}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"d", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"Pi", "/", "4"}], ",", 
       RowBox[{"Pi", "/", "3"}], ",", 
       RowBox[{"Pi", "/", "2"}], ",", "Pi"}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Tabcd", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", 
           RowBox[{"b", "[", 
            RowBox[{"[", "j", "]"}], "]"}], ",", 
           RowBox[{"c", "[", 
            RowBox[{"[", "k", "]"}], "]"}], ",", 
           RowBox[{"d", "[", 
            RowBox[{"[", "m", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "5"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"m", ",", "1", ",", "5"}], "}"}]}], "]"}], ",", "3"}], 
      "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"RandomKsublist", "[", 
      RowBox[{"set_", ",", "k_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"sub", "=", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"rest", "=", "set"}], ",", "new"}], "}"}], ",", 
       RowBox[{
        RowBox[{"Do", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"new", "=", 
            RowBox[{"rest", "[", 
             RowBox[{"[", 
              RowBox[{"RandomInteger", "[", 
               RowBox[{"{", 
                RowBox[{"1", ",", 
                 RowBox[{"Length", "[", "rest", "]"}]}], "}"}], "]"}], "]"}], 
             "]"}]}], ";", 
           RowBox[{"sub", "=", 
            RowBox[{"AppendTo", "[", 
             RowBox[{"sub", ",", "new"}], "]"}]}], ";", 
           RowBox[{"rest", "=", 
            RowBox[{"Complement", "[", 
             RowBox[{"rest", ",", 
              RowBox[{"{", "new", "}"}]}], "]"}]}]}], ",", 
          RowBox[{"{", "k", "}"}]}], "]"}], ";", "sub"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"Randompermut", "[", "k_", "]"}], ":=", 
     RowBox[{"RandomKsublist", "[", 
      RowBox[{
       RowBox[{"Range", "[", "k", "]"}], ",", "k"}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"Inversepermut", "[", "permut_", "]"}], ":=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Position", "[", 
         RowBox[{"permut", ",", "i"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "permut", "]"}]}], "}"}]}], "]"}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.42262001525*^9, 3.422620087546875*^9}, {
   3.422624534296875*^9, 3.4226246445625*^9}, 3.4226250368125*^9, 
   3.4229599316875*^9, 3.422959976359375*^9},
 CellID->120827126],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{"again", ",", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"per3", "=", 
         RowBox[{"Inversepermut", "[", "per2", "]"}]}], "}"}], ",", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"fun", "=", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Tabcd", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"izbor", "[", 
                   RowBox[{"[", "i", "]"}], "]"}], ",", "1"}], "]"}], "]"}], 
               RowBox[{"Sin", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Tabcd", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"izbor", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], ",", "3"}], "]"}], "]"}], 
                  "x"}], "+", 
                 RowBox[{"Tabcd", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"izbor", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], ",", "4"}], "]"}], 
                  "]"}]}], "]"}]}], "+", 
              RowBox[{"Tabcd", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"izbor", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], ",", "2"}], "]"}], "]"}]}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "1", ",", "5"}], "}"}]}], "]"}]}], "}"}], ",",
          "\n", "\n", 
         RowBox[{"GraphicsRow", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Graphics", "[", 
              RowBox[{
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"TableForm", "[", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Range", "[", "5", "]"}], ",", 
                    RowBox[{"fun", "[", 
                    RowBox[{"[", "per2", "]"}], "]"}]}], "}"}], "]"}], "]"}], 
                   ",", "14"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", 
               RowBox[{"ImageSize", "\[Rule]", 
                RowBox[{"{", "250", "}"}]}]}], "]"}], ",", 
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{"Evaluate", "[", "fun", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "0", ",", 
                 RowBox[{"2", "Pi"}]}], "}"}], ",", 
               RowBox[{"AxesOrigin", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}]}], ",", 
               RowBox[{"PlotStyle", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"RGBColor", "[", 
                   RowBox[{
                   "0.941176", ",", " ", "0.227451", ",", " ", "0.0509804"}], 
                   "]"}], ",", 
                  RowBox[{"RGBColor", "[", 
                   RowBox[{
                   "0.0941176", ",", " ", "0.0941176", ",", " ", "0.894118"}],
                    "]"}], ",", 
                  RowBox[{"RGBColor", "[", 
                   RowBox[{
                   "0.180392", ",", " ", "0.827451", ",", " ", "0.160784"}], 
                   "]"}], ",", 
                  RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
                  RowBox[{"RGBColor", "[", 
                   RowBox[{"1", ",", " ", ".9", ",", " ", "0.0901961"}], 
                   "]"}]}], "}"}]}]}], "]"}], ",", 
             RowBox[{"Graphics", "[", 
              RowBox[{"Text", "[", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"TableForm", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"red", "\[Equal]", 
                    RowBox[{"per3", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.941176", ",", " ", "0.227451", ",", " ", "0.0509804"}],
                     "]"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"blue", "\[Equal]", 
                    RowBox[{"per3", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.0941176", ",", " ", "0.0941176", ",", " ", 
                    "0.894118"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"green", "\[Equal]", 
                    RowBox[{"per3", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.180392", ",", " ", "0.827451", ",", " ", "0.160784"}], 
                    "]"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"black", "\[Equal]", 
                    RowBox[{"per3", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], ",", 
                    RowBox[{"GrayLevel", "[", "0", "]"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"yellow", "\[Equal]", 
                    RowBox[{"per3", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", " ", ".9", ",", " ", "0.0901961"}], 
                    "]"}]}], "]"}]}], "}"}], "]"}], ",", "14"}], "]"}], "]"}],
               "]"}]}], "}"}], ",", 
           RowBox[{"ImageSize", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"600", ",", "200"}], "}"}]}], ",", 
           RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]}], "]"}]}], "]"}], 
     ",", 
     RowBox[{
      RowBox[{"again", "=", "False"}], ";", 
      RowBox[{"per2", "=", 
       RowBox[{"Randompermut", "[", "5", "]"}]}], ";", 
      RowBox[{"izbor", "=", 
       RowBox[{"RandomKsublist", "[", 
        RowBox[{
         RowBox[{"Range", "[", "400", "]"}], ",", "5"}], "]"}]}], ";", 
      RowBox[{"red", "=", "0"}], ";", 
      RowBox[{"blue", "=", "0"}], ";", 
      RowBox[{"green", "=", "0"}], ";", 
      RowBox[{"black", "=", "0"}], ";", 
      RowBox[{"yellow", "=", "0"}], ";", 
      RowBox[{"GraphicsRow", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Graphics", "[", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Again ?\>\"", ",", "20"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "1"}], "}"}]}], "]"}], "]"}], "}"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"600", ",", "200"}], "}"}]}]}], "]"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"red", ",", 
     RowBox[{
      RowBox[{"Range", "[", "6", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"blue", ",", 
     RowBox[{
      RowBox[{"Range", "[", "6", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"green", ",", 
     RowBox[{
      RowBox[{"Range", "[", "6", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"black", ",", 
     RowBox[{
      RowBox[{"Range", "[", "6", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"yellow", ",", 
     RowBox[{
      RowBox[{"Range", "[", "6", "]"}], "-", "1"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"again", ",", "True"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"izbor", ",", 
       RowBox[{"RandomKsublist", "[", 
        RowBox[{
         RowBox[{"Range", "[", "400", "]"}], ",", "5"}], "]"}]}], "}"}], ",", 
     
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"per2", ",", 
       RowBox[{"Randompermut", "[", "5", "]"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6"}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.422961122546875*^9, 3.422961128703125*^9}, {
   3.4229612679375*^9, 3.42296128365625*^9}, {3.42297950467093*^9, 
   3.4229795048559484`*^9}, {3.42328415756369*^9, 3.4232841781418157`*^9}, {
   3.42328465803244*^9, 3.4232846733293157`*^9}, {3.4232847364855657`*^9, 
   3.4232848656730657`*^9}, {3.4232849127355657`*^9, 3.42328493146994*^9}, {
   3.42328497981369*^9, 3.42328501762619*^9}, {3.4232850530168157`*^9, 
   3.4232850618293157`*^9}, {3.4232851050480657`*^9, 
   3.4232851057043157`*^9}, {3.42328522046994*^9, 3.4232852302043157`*^9}, {
   3.42328526556369*^9, 3.42328534300119*^9}, {3.42328539375119*^9, 
   3.42328548762619*^9}, {3.4232855182668157`*^9, 3.42328552418869*^9}, {
   3.42328555809494*^9, 3.42328556631369*^9}, {3.4232856332043157`*^9, 
   3.4232856397043157`*^9}, {3.4232857097668157`*^9, 3.42328573956369*^9}, {
   3.4232857727355657`*^9, 3.4232857857043157`*^9}, {3.423489682300782*^9, 
   3.4234897316667185`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`again$$ = True, $CellContext`black$$ = 
    0, $CellContext`blue$$ = 0, $CellContext`green$$ = 
    0, $CellContext`izbor$$ = {371, 269, 359, 301, 
    179}, $CellContext`per2$$ = {5, 2, 3, 4, 1}, $CellContext`red$$ = 
    0, $CellContext`yellow$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`red$$], {0, 1, 2, 3, 4, 5}}, {
      Hold[$CellContext`blue$$], {0, 1, 2, 3, 4, 5}}, {
      Hold[$CellContext`green$$], {0, 1, 2, 3, 4, 5}}, {
      Hold[$CellContext`black$$], {0, 1, 2, 3, 4, 5}}, {
      Hold[$CellContext`yellow$$], {0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`again$$], True}, {False, True}}, {{
       Hold[$CellContext`izbor$$], {371, 269, 359, 301, 179}}}, {{
       Hold[$CellContext`per2$$], {5, 2, 3, 4, 1}}}}, Typeset`size$$ = {
    600., {98., 102.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`red$73456$$ = 
    0, $CellContext`blue$73457$$ = 0, $CellContext`green$73458$$ = 
    0, $CellContext`black$73459$$ = 0, $CellContext`yellow$73460$$ = 
    0, $CellContext`again$73461$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`again$$ = True, $CellContext`black$$ = 
        0, $CellContext`blue$$ = 0, $CellContext`green$$ = 
        0, $CellContext`izbor$$ = {371, 269, 359, 301, 
         179}, $CellContext`per2$$ = {5, 2, 3, 4, 1}, $CellContext`red$$ = 
        0, $CellContext`yellow$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`red$$, $CellContext`red$73456$$, 0], 
        Hold[$CellContext`blue$$, $CellContext`blue$73457$$, 0], 
        Hold[$CellContext`green$$, $CellContext`green$73458$$, 0], 
        Hold[$CellContext`black$$, $CellContext`black$73459$$, 0], 
        Hold[$CellContext`yellow$$, $CellContext`yellow$73460$$, 0], 
        Hold[$CellContext`again$$, $CellContext`again$73461$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> If[$CellContext`again$$, 
        With[{$CellContext`per3$ = \
$CellContext`Inversepermut[$CellContext`per2$$]}, 
         With[{$CellContext`fun$ = Table[Part[$CellContext`Tabcd, 
                Part[$CellContext`izbor$$, $CellContext`i], 1] 
              Sin[Part[$CellContext`Tabcd, 
                   Part[$CellContext`izbor$$, $CellContext`i], 
                   3] $CellContext`x + Part[$CellContext`Tabcd, 
                  Part[$CellContext`izbor$$, $CellContext`i], 4]] + 
             Part[$CellContext`Tabcd, 
               Part[$CellContext`izbor$$, $CellContext`i], 
               2], {$CellContext`i, 1, 5}]}, 
          GraphicsRow[{
            Graphics[
             Text[
              Style[
               TableForm[
                Transpose[{
                  Range[5], 
                  Part[$CellContext`fun$, $CellContext`per2$$]}]], 14], {1, 
              0}, {0, 0}], ImageSize -> {250}], 
            Plot[
             Evaluate[$CellContext`fun$], {$CellContext`x, 0, 2 Pi}, 
             AxesOrigin -> {0, 0}, PlotStyle -> {
               RGBColor[0.941176, 0.227451, 0.0509804], 
               RGBColor[0.0941176, 0.0941176, 0.894118], 
               RGBColor[0.180392, 0.827451, 0.160784], 
               GrayLevel[0], 
               RGBColor[1, 0.9, 0.0901961]}], 
            Graphics[
             Text[
              Style[
               TableForm[{
                 Style[$CellContext`red$$ == Part[$CellContext`per3$, 1], 
                  RGBColor[0.941176, 0.227451, 0.0509804]], 
                 Style[$CellContext`blue$$ == Part[$CellContext`per3$, 2], 
                  RGBColor[0.0941176, 0.0941176, 0.894118]], 
                 Style[$CellContext`green$$ == Part[$CellContext`per3$, 3], 
                  RGBColor[0.180392, 0.827451, 0.160784]], 
                 Style[$CellContext`black$$ == Part[$CellContext`per3$, 4], 
                  GrayLevel[0]], 
                 Style[$CellContext`yellow$$ == Part[$CellContext`per3$, 5], 
                  RGBColor[1, 0.9, 0.0901961]]}], 14]]]}, 
           ImageSize -> {600, 200}, Frame -> All]]], $CellContext`again$$ = 
         False; $CellContext`per2$$ = $CellContext`Randompermut[
          5]; $CellContext`izbor$$ = $CellContext`RandomKsublist[
           Range[400], 5]; $CellContext`red$$ = 0; $CellContext`blue$$ = 
         0; $CellContext`green$$ = 0; $CellContext`black$$ = 
         0; $CellContext`yellow$$ = 0; GraphicsRow[{
           Graphics[
            Text[
             Style["Again ?", 20], {1, 1}]]}, ImageSize -> {600, 200}]], 
      "Specifications" :> {{$CellContext`red$$, {0, 1, 2, 3, 4, 
         5}}, {$CellContext`blue$$, {0, 1, 2, 3, 4, 
         5}}, {$CellContext`green$$, {0, 1, 2, 3, 4, 
         5}}, {$CellContext`black$$, {0, 1, 2, 3, 4, 
         5}}, {$CellContext`yellow$$, {0, 1, 2, 3, 4, 
         5}}, {{$CellContext`again$$, True}, {
         False, True}}, {{$CellContext`izbor$$, {371, 269, 359, 301, 179}}, 
         ControlType -> None}, {{$CellContext`per2$$, {5, 2, 3, 4, 1}}, 
         ControlType -> None}}, 
      "Options" :> {AutorunSequencing -> {1, 2, 3, 4, 5, 6}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{644., {199., 204.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`Inversepermut[
          Pattern[$CellContext`permut, 
           Blank[]]] := Flatten[
          Table[
           
           Position[$CellContext`permut, $CellContext`i], {$CellContext`i, 1, 
            
            Length[$CellContext`permut]}]], $CellContext`Tabcd = {{1, 0, 1, 
          0}, {1, 0, 1, Pi/4}, {1, 0, 1, Pi/3}, {1, 0, 1, Pi/2}, {
          1, 0, 1, Pi}, {1, 0, 0.5, 0}, {1, 0, 0.5, Pi/4}, {
          1, 0, 0.5, Pi/3}, {1, 0, 0.5, Pi/2}, {1, 0, 0.5, Pi}, {1, 0, 2, 
          0}, {1, 0, 2, Pi/4}, {1, 0, 2, Pi/3}, {1, 0, 2, Pi/2}, {
          1, 0, 2, Pi}, {1, 0, 3, 0}, {1, 0, 3, Pi/4}, {1, 0, 3, Pi/3}, {
          1, 0, 3, Pi/2}, {1, 0, 3, Pi}, {1, -0.25, 1, 0}, {
          1, -0.25, 1, Pi/4}, {1, -0.25, 1, Pi/3}, {1, -0.25, 1, Pi/2}, {
          1, -0.25, 1, Pi}, {1, -0.25, 0.5, 0}, {1, -0.25, 0.5, Pi/4}, {
          1, -0.25, 0.5, Pi/3}, {1, -0.25, 0.5, Pi/2}, {1, -0.25, 0.5, Pi}, {
          1, -0.25, 2, 0}, {1, -0.25, 2, Pi/4}, {1, -0.25, 2, Pi/3}, {
          1, -0.25, 2, Pi/2}, {1, -0.25, 2, Pi}, {1, -0.25, 3, 0}, {
          1, -0.25, 3, Pi/4}, {1, -0.25, 3, Pi/3}, {1, -0.25, 3, Pi/2}, {
          1, -0.25, 3, Pi}, {1, 0.25, 1, 0}, {1, 0.25, 1, Pi/4}, {
          1, 0.25, 1, Pi/3}, {1, 0.25, 1, Pi/2}, {1, 0.25, 1, Pi}, {
          1, 0.25, 0.5, 0}, {1, 0.25, 0.5, Pi/4}, {1, 0.25, 0.5, Pi/3}, {
          1, 0.25, 0.5, Pi/2}, {1, 0.25, 0.5, Pi}, {1, 0.25, 2, 0}, {
          1, 0.25, 2, Pi/4}, {1, 0.25, 2, Pi/3}, {1, 0.25, 2, Pi/2}, {
          1, 0.25, 2, Pi}, {1, 0.25, 3, 0}, {1, 0.25, 3, Pi/4}, {
          1, 0.25, 3, Pi/3}, {1, 0.25, 3, Pi/2}, {1, 0.25, 3, Pi}, {
          1, 0.5, 1, 0}, {1, 0.5, 1, Pi/4}, {1, 0.5, 1, Pi/3}, {
          1, 0.5, 1, Pi/2}, {1, 0.5, 1, Pi}, {1, 0.5, 0.5, 0}, {
          1, 0.5, 0.5, Pi/4}, {1, 0.5, 0.5, Pi/3}, {1, 0.5, 0.5, Pi/2}, {
          1, 0.5, 0.5, Pi}, {1, 0.5, 2, 0}, {1, 0.5, 2, Pi/4}, {
          1, 0.5, 2, Pi/3}, {1, 0.5, 2, Pi/2}, {1, 0.5, 2, Pi}, {
          1, 0.5, 3, 0}, {1, 0.5, 3, Pi/4}, {1, 0.5, 3, Pi/3}, {
          1, 0.5, 3, Pi/2}, {1, 0.5, 3, Pi}, {1, -0.5, 1, 0}, {
          1, -0.5, 1, Pi/4}, {1, -0.5, 1, Pi/3}, {1, -0.5, 1, Pi/2}, {
          1, -0.5, 1, Pi}, {1, -0.5, 0.5, 0}, {1, -0.5, 0.5, Pi/4}, {
          1, -0.5, 0.5, Pi/3}, {1, -0.5, 0.5, Pi/2}, {1, -0.5, 0.5, Pi}, {
          1, -0.5, 2, 0}, {1, -0.5, 2, Pi/4}, {1, -0.5, 2, Pi/3}, {
          1, -0.5, 2, Pi/2}, {1, -0.5, 2, Pi}, {1, -0.5, 3, 0}, {
          1, -0.5, 3, Pi/4}, {1, -0.5, 3, Pi/3}, {1, -0.5, 3, Pi/2}, {
          1, -0.5, 3, Pi}, {0.5, 0, 1, 0}, {0.5, 0, 1, Pi/4}, {
          0.5, 0, 1, Pi/3}, {0.5, 0, 1, Pi/2}, {0.5, 0, 1, Pi}, {
          0.5, 0, 0.5, 0}, {0.5, 0, 0.5, Pi/4}, {0.5, 0, 0.5, Pi/3}, {
          0.5, 0, 0.5, Pi/2}, {0.5, 0, 0.5, Pi}, {0.5, 0, 2, 0}, {
          0.5, 0, 2, Pi/4}, {0.5, 0, 2, Pi/3}, {0.5, 0, 2, Pi/2}, {
          0.5, 0, 2, Pi}, {0.5, 0, 3, 0}, {0.5, 0, 3, Pi/4}, {
          0.5, 0, 3, Pi/3}, {0.5, 0, 3, Pi/2}, {0.5, 0, 3, Pi}, {
          0.5, -0.25, 1, 0}, {0.5, -0.25, 1, Pi/4}, {0.5, -0.25, 1, Pi/3}, {
          0.5, -0.25, 1, Pi/2}, {0.5, -0.25, 1, Pi}, {0.5, -0.25, 0.5, 0}, {
          0.5, -0.25, 0.5, Pi/4}, {0.5, -0.25, 0.5, Pi/3}, {
          0.5, -0.25, 0.5, Pi/2}, {0.5, -0.25, 0.5, Pi}, {0.5, -0.25, 2, 0}, {
          0.5, -0.25, 2, Pi/4}, {0.5, -0.25, 2, Pi/3}, {
          0.5, -0.25, 2, Pi/2}, {0.5, -0.25, 2, Pi}, {0.5, -0.25, 3, 0}, {
          0.5, -0.25, 3, Pi/4}, {0.5, -0.25, 3, Pi/3}, {
          0.5, -0.25, 3, Pi/2}, {0.5, -0.25, 3, Pi}, {0.5, 0.25, 1, 0}, {
          0.5, 0.25, 1, Pi/4}, {0.5, 0.25, 1, Pi/3}, {0.5, 0.25, 1, Pi/2}, {
          0.5, 0.25, 1, Pi}, {0.5, 0.25, 0.5, 0}, {0.5, 0.25, 0.5, Pi/4}, {
          0.5, 0.25, 0.5, Pi/3}, {0.5, 0.25, 0.5, Pi/2}, {
          0.5, 0.25, 0.5, Pi}, {0.5, 0.25, 2, 0}, {0.5, 0.25, 2, Pi/4}, {
          0.5, 0.25, 2, Pi/3}, {0.5, 0.25, 2, Pi/2}, {0.5, 0.25, 2, Pi}, {
          0.5, 0.25, 3, 0}, {0.5, 0.25, 3, Pi/4}, {0.5, 0.25, 3, Pi/3}, {
          0.5, 0.25, 3, Pi/2}, {0.5, 0.25, 3, Pi}, {0.5, 0.5, 1, 0}, {
          0.5, 0.5, 1, Pi/4}, {0.5, 0.5, 1, Pi/3}, {0.5, 0.5, 1, Pi/2}, {
          0.5, 0.5, 1, Pi}, {0.5, 0.5, 0.5, 0}, {0.5, 0.5, 0.5, Pi/4}, {
          0.5, 0.5, 0.5, Pi/3}, {0.5, 0.5, 0.5, Pi/2}, {0.5, 0.5, 0.5, Pi}, {
          0.5, 0.5, 2, 0}, {0.5, 0.5, 2, Pi/4}, {0.5, 0.5, 2, Pi/3}, {
          0.5, 0.5, 2, Pi/2}, {0.5, 0.5, 2, Pi}, {0.5, 0.5, 3, 0}, {
          0.5, 0.5, 3, Pi/4}, {0.5, 0.5, 3, Pi/3}, {0.5, 0.5, 3, Pi/2}, {
          0.5, 0.5, 3, Pi}, {0.5, -0.5, 1, 0}, {0.5, -0.5, 1, Pi/4}, {
          0.5, -0.5, 1, Pi/3}, {0.5, -0.5, 1, Pi/2}, {0.5, -0.5, 1, Pi}, {
          0.5, -0.5, 0.5, 0}, {0.5, -0.5, 0.5, Pi/4}, {
          0.5, -0.5, 0.5, Pi/3}, {0.5, -0.5, 0.5, Pi/2}, {
          0.5, -0.5, 0.5, Pi}, {0.5, -0.5, 2, 0}, {0.5, -0.5, 2, Pi/4}, {
          0.5, -0.5, 2, Pi/3}, {0.5, -0.5, 2, Pi/2}, {0.5, -0.5, 2, Pi}, {
          0.5, -0.5, 3, 0}, {0.5, -0.5, 3, Pi/4}, {0.5, -0.5, 3, Pi/3}, {
          0.5, -0.5, 3, Pi/2}, {0.5, -0.5, 3, Pi}, {0.25, 0, 1, 0}, {
          0.25, 0, 1, Pi/4}, {0.25, 0, 1, Pi/3}, {0.25, 0, 1, Pi/2}, {
          0.25, 0, 1, Pi}, {0.25, 0, 0.5, 0}, {0.25, 0, 0.5, Pi/4}, {
          0.25, 0, 0.5, Pi/3}, {0.25, 0, 0.5, Pi/2}, {0.25, 0, 0.5, Pi}, {
          0.25, 0, 2, 0}, {0.25, 0, 2, Pi/4}, {0.25, 0, 2, Pi/3}, {
          0.25, 0, 2, Pi/2}, {0.25, 0, 2, Pi}, {0.25, 0, 3, 0}, {
          0.25, 0, 3, Pi/4}, {0.25, 0, 3, Pi/3}, {0.25, 0, 3, Pi/2}, {
          0.25, 0, 3, Pi}, {0.25, -0.25, 1, 0}, {0.25, -0.25, 1, Pi/4}, {
          0.25, -0.25, 1, Pi/3}, {0.25, -0.25, 1, Pi/2}, {
          0.25, -0.25, 1, Pi}, {0.25, -0.25, 0.5, 0}, {
          0.25, -0.25, 0.5, Pi/4}, {0.25, -0.25, 0.5, Pi/3}, {
          0.25, -0.25, 0.5, Pi/2}, {0.25, -0.25, 0.5, Pi}, {
          0.25, -0.25, 2, 0}, {0.25, -0.25, 2, Pi/4}, {
          0.25, -0.25, 2, Pi/3}, {0.25, -0.25, 2, Pi/2}, {
          0.25, -0.25, 2, Pi}, {0.25, -0.25, 3, 0}, {0.25, -0.25, 3, Pi/4}, {
          0.25, -0.25, 3, Pi/3}, {0.25, -0.25, 3, Pi/2}, {
          0.25, -0.25, 3, Pi}, {0.25, 0.25, 1, 0}, {0.25, 0.25, 1, Pi/4}, {
          0.25, 0.25, 1, Pi/3}, {0.25, 0.25, 1, Pi/2}, {0.25, 0.25, 1, Pi}, {
          0.25, 0.25, 0.5, 0}, {0.25, 0.25, 0.5, Pi/4}, {
          0.25, 0.25, 0.5, Pi/3}, {0.25, 0.25, 0.5, Pi/2}, {
          0.25, 0.25, 0.5, Pi}, {0.25, 0.25, 2, 0}, {0.25, 0.25, 2, Pi/4}, {
          0.25, 0.25, 2, Pi/3}, {0.25, 0.25, 2, Pi/2}, {0.25, 0.25, 2, Pi}, {
          0.25, 0.25, 3, 0}, {0.25, 0.25, 3, Pi/4}, {0.25, 0.25, 3, Pi/3}, {
          0.25, 0.25, 3, Pi/2}, {0.25, 0.25, 3, Pi}, {0.25, 0.5, 1, 0}, {
          0.25, 0.5, 1, Pi/4}, {0.25, 0.5, 1, Pi/3}, {0.25, 0.5, 1, Pi/2}, {
          0.25, 0.5, 1, Pi}, {0.25, 0.5, 0.5, 0}, {0.25, 0.5, 0.5, Pi/4}, {
          0.25, 0.5, 0.5, Pi/3}, {0.25, 0.5, 0.5, Pi/2}, {
          0.25, 0.5, 0.5, Pi}, {0.25, 0.5, 2, 0}, {0.25, 0.5, 2, Pi/4}, {
          0.25, 0.5, 2, Pi/3}, {0.25, 0.5, 2, Pi/2}, {0.25, 0.5, 2, Pi}, {
          0.25, 0.5, 3, 0}, {0.25, 0.5, 3, Pi/4}, {0.25, 0.5, 3, Pi/3}, {
          0.25, 0.5, 3, Pi/2}, {0.25, 0.5, 3, Pi}, {0.25, -0.5, 1, 0}, {
          0.25, -0.5, 1, Pi/4}, {0.25, -0.5, 1, Pi/3}, {
          0.25, -0.5, 1, Pi/2}, {0.25, -0.5, 1, Pi}, {0.25, -0.5, 0.5, 0}, {
          0.25, -0.5, 0.5, Pi/4}, {0.25, -0.5, 0.5, Pi/3}, {
          0.25, -0.5, 0.5, Pi/2}, {0.25, -0.5, 0.5, Pi}, {0.25, -0.5, 2, 0}, {
          0.25, -0.5, 2, Pi/4}, {0.25, -0.5, 2, Pi/3}, {
          0.25, -0.5, 2, Pi/2}, {0.25, -0.5, 2, Pi}, {0.25, -0.5, 3, 0}, {
          0.25, -0.5, 3, Pi/4}, {0.25, -0.5, 3, Pi/3}, {
          0.25, -0.5, 3, Pi/2}, {0.25, -0.5, 3, Pi}, {0.75, 0, 1, 0}, {
          0.75, 0, 1, Pi/4}, {0.75, 0, 1, Pi/3}, {0.75, 0, 1, Pi/2}, {
          0.75, 0, 1, Pi}, {0.75, 0, 0.5, 0}, {0.75, 0, 0.5, Pi/4}, {
          0.75, 0, 0.5, Pi/3}, {0.75, 0, 0.5, Pi/2}, {0.75, 0, 0.5, Pi}, {
          0.75, 0, 2, 0}, {0.75, 0, 2, Pi/4}, {0.75, 0, 2, Pi/3}, {
          0.75, 0, 2, Pi/2}, {0.75, 0, 2, Pi}, {0.75, 0, 3, 0}, {
          0.75, 0, 3, Pi/4}, {0.75, 0, 3, Pi/3}, {0.75, 0, 3, Pi/2}, {
          0.75, 0, 3, Pi}, {0.75, -0.25, 1, 0}, {0.75, -0.25, 1, Pi/4}, {
          0.75, -0.25, 1, Pi/3}, {0.75, -0.25, 1, Pi/2}, {
          0.75, -0.25, 1, Pi}, {0.75, -0.25, 0.5, 0}, {
          0.75, -0.25, 0.5, Pi/4}, {0.75, -0.25, 0.5, Pi/3}, {
          0.75, -0.25, 0.5, Pi/2}, {0.75, -0.25, 0.5, Pi}, {
          0.75, -0.25, 2, 0}, {0.75, -0.25, 2, Pi/4}, {
          0.75, -0.25, 2, Pi/3}, {0.75, -0.25, 2, Pi/2}, {
          0.75, -0.25, 2, Pi}, {0.75, -0.25, 3, 0}, {0.75, -0.25, 3, Pi/4}, {
          0.75, -0.25, 3, Pi/3}, {0.75, -0.25, 3, Pi/2}, {
          0.75, -0.25, 3, Pi}, {0.75, 0.25, 1, 0}, {0.75, 0.25, 1, Pi/4}, {
          0.75, 0.25, 1, Pi/3}, {0.75, 0.25, 1, Pi/2}, {0.75, 0.25, 1, Pi}, {
          0.75, 0.25, 0.5, 0}, {0.75, 0.25, 0.5, Pi/4}, {
          0.75, 0.25, 0.5, Pi/3}, {0.75, 0.25, 0.5, Pi/2}, {
          0.75, 0.25, 0.5, Pi}, {0.75, 0.25, 2, 0}, {0.75, 0.25, 2, Pi/4}, {
          0.75, 0.25, 2, Pi/3}, {0.75, 0.25, 2, Pi/2}, {0.75, 0.25, 2, Pi}, {
          0.75, 0.25, 3, 0}, {0.75, 0.25, 3, Pi/4}, {0.75, 0.25, 3, Pi/3}, {
          0.75, 0.25, 3, Pi/2}, {0.75, 0.25, 3, Pi}, {0.75, 0.5, 1, 0}, {
          0.75, 0.5, 1, Pi/4}, {0.75, 0.5, 1, Pi/3}, {0.75, 0.5, 1, Pi/2}, {
          0.75, 0.5, 1, Pi}, {0.75, 0.5, 0.5, 0}, {0.75, 0.5, 0.5, Pi/4}, {
          0.75, 0.5, 0.5, Pi/3}, {0.75, 0.5, 0.5, Pi/2}, {
          0.75, 0.5, 0.5, Pi}, {0.75, 0.5, 2, 0}, {0.75, 0.5, 2, Pi/4}, {
          0.75, 0.5, 2, Pi/3}, {0.75, 0.5, 2, Pi/2}, {0.75, 0.5, 2, Pi}, {
          0.75, 0.5, 3, 0}, {0.75, 0.5, 3, Pi/4}, {0.75, 0.5, 3, Pi/3}, {
          0.75, 0.5, 3, Pi/2}, {0.75, 0.5, 3, Pi}, {0.75, -0.5, 1, 0}, {
          0.75, -0.5, 1, Pi/4}, {0.75, -0.5, 1, Pi/3}, {
          0.75, -0.5, 1, Pi/2}, {0.75, -0.5, 1, Pi}, {0.75, -0.5, 0.5, 0}, {
          0.75, -0.5, 0.5, Pi/4}, {0.75, -0.5, 0.5, Pi/3}, {
          0.75, -0.5, 0.5, Pi/2}, {0.75, -0.5, 0.5, Pi}, {0.75, -0.5, 2, 0}, {
          0.75, -0.5, 2, Pi/4}, {0.75, -0.5, 2, Pi/3}, {
          0.75, -0.5, 2, Pi/2}, {0.75, -0.5, 2, Pi}, {0.75, -0.5, 3, 0}, {
          0.75, -0.5, 3, Pi/4}, {0.75, -0.5, 3, Pi/3}, {
          0.75, -0.5, 3, Pi/2}, {
          0.75, -0.5, 3, Pi}}, $CellContext`Randompermut[
          Pattern[$CellContext`k, 
           Blank[]]] := $CellContext`RandomKsublist[
          Range[$CellContext`k], $CellContext`k], $CellContext`RandomKsublist[
         
          Pattern[$CellContext`set, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]] := 
        Module[{$CellContext`sub = {}, $CellContext`rest = $CellContext`set, \
$CellContext`new}, Do[$CellContext`new = Part[$CellContext`rest, 
               RandomInteger[{1, 
                 Length[$CellContext`rest]}]]; $CellContext`sub = 
             AppendTo[$CellContext`sub, $CellContext`new]; $CellContext`rest = 
             Complement[$CellContext`rest, {$CellContext`new}], \
{$CellContext`k}]; $CellContext`sub]}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{($CellContext`a = {1, 0.5, 0.25, 0.75}; 
          Null) ($CellContext`b = {0, -0.25, 0.25, 0.5, -0.5}; 
          Null) ($CellContext`c = {1, 0.5, 2, 3}; 
          Null) ($CellContext`d = {0, Pi/4, Pi/3, Pi/2, Pi}; 
          Null) ($CellContext`Tabcd = Flatten[
             Table[{
               Part[$CellContext`a, $CellContext`i], 
               Part[$CellContext`b, $CellContext`j], 
               Part[$CellContext`c, $CellContext`k], 
               Part[$CellContext`d, $CellContext`m]}, {$CellContext`i, 1, 
               4}, {$CellContext`j, 1, 5}, {$CellContext`k, 1, 
               4}, {$CellContext`m, 1, 5}], 3]; 
          Null) ($CellContext`RandomKsublist[
             Pattern[$CellContext`set, 
              Blank[]], 
             Pattern[$CellContext`k, 
              Blank[]]] := 
           Module[{$CellContext`sub = {}, $CellContext`rest = \
$CellContext`set, $CellContext`new}, 
             Do[$CellContext`new = Part[$CellContext`rest, 
                  RandomInteger[{1, 
                    Length[$CellContext`rest]}]]; $CellContext`sub = 
                AppendTo[$CellContext`sub, $CellContext`new]; \
$CellContext`rest = 
                Complement[$CellContext`rest, {$CellContext`new}], \
{$CellContext`k}]; $CellContext`sub]; Null) ($CellContext`Randompermut[
             Pattern[$CellContext`k, 
              Blank[]]] := $CellContext`RandomKsublist[
             Range[$CellContext`k], $CellContext`k]; 
          Null) ($CellContext`Inversepermut[
             Pattern[$CellContext`permut, 
              Blank[]]] := Flatten[
             Table[
              
              Position[$CellContext`permut, $CellContext`i], {$CellContext`i, 
               1, 
               Length[$CellContext`permut]}]]; Null)}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->119466641],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Sin/Cos Function Game",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SinCosFunctionGame/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SinCosFunctionGame/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/SinCosFunctionGame/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SinCosFunctionGame/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SinCosFunctionGame/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
SinCosFunctionGame"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Sin/Cos Function Game - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 213, 4, 70, "Section"],
Cell[806, 29, 3521, 103, 70, "Input",
 CellID->120827126],
Cell[4330, 134, 10034, 246, 70, "Input"]
}, Open  ]],
Cell[14379, 383, 18887, 321, 70, "Output",
 CellID->119466641],
Cell[CellGroupData[{
Cell[33291, 708, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[33667, 719, 888, 24, 70, "Text"],
Cell[34558, 745, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[34898, 756, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[35359, 774, 829, 24, 70, "Text"],
Cell[36191, 800, 1194, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature DT4aa7dtMEwLqADGTL2fIDCT *)
