(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     43914,       1074]
NotebookOptionsPosition[     42686,       1028]
NotebookOutlinePosition[     43304,       1052]
CellTagsIndexPosition[     43261,       1049]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Spinning Out Sine and Cosine", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"maingraph", "[", "t_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{"Show", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"(*", " ", 
         RowBox[{
         "Plot", " ", "the", " ", "static", " ", "sine", " ", "and", " ", 
          "cosine", " ", "curves"}], " ", "*)"}], 
        RowBox[{
         RowBox[{"ParametricPlot", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"u", "+", "1"}], ",", 
               RowBox[{"Sin", "[", "u", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Cos", "[", "u", "]"}], "-", "1"}], ",", 
               RowBox[{
                RowBox[{"-", "u"}], "-", "2"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"u", ",", "0", ",", 
             RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"GrayLevel", "[", "0.5", "]"}], ",", 
              RowBox[{"GrayLevel", "[", "0.5", "]"}]}], "}"}]}], ",", 
           RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
           RowBox[{"AxesOrigin", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "0"}], "}"}]}], ",", 
           RowBox[{"AxesStyle", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Opacity", "[", "0", "]"}], ",", 
              RowBox[{"Opacity", "[", "0", "]"}]}], "}"}]}], ",", 
           RowBox[{"TicksStyle", "\[Rule]", 
            RowBox[{"Directive", "[", 
             RowBox[{"Black", ",", 
              RowBox[{"Opacity", "[", "1", "]"}], ",", "14"}], "]"}]}], ",", 
           RowBox[{"Ticks", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"i", " ", 
                    RowBox[{"\[Pi]", "/", "2"}]}], "+", "1"}], ",", 
                  RowBox[{"i", " ", 
                   RowBox[{"\[Pi]", "/", "2"}]}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "0", ",", "4"}], "}"}]}], "]"}], ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"i", " ", 
                    FractionBox["\[Pi]", "2"]}], "-", "2"}], ",", 
                  RowBox[{
                   RowBox[{"-", "i"}], " ", 
                   RowBox[{"\[Pi]", "/", "2"}]}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", 
                  RowBox[{"-", "4"}], ",", "0"}], "}"}]}], "]"}]}], "}"}]}]}],
           "]"}], ",", 
         RowBox[{"(*", " ", 
          RowBox[{
          "Plot", " ", "the", " ", "dynamic", " ", "sine", " ", "and", " ", 
           "cosine", " ", "curves"}], " ", "*)"}], 
         RowBox[{"ParametricPlot", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"tt", "+", "1"}], ",", 
               RowBox[{"Sin", "[", "tt", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Cos", "[", "tt", "]"}], "-", "1"}], ",", 
               RowBox[{
                RowBox[{"-", "tt"}], "-", "2"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"tt", ",", ".001", ",", "t"}], "}"}], ",", " ", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"Purple", ",", 
                RowBox[{"Thickness", "[", ".006", "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"Blue", ",", 
                RowBox[{"Thickness", "[", ".006", "]"}]}], "}"}]}], "}"}]}]}],
           "]"}], ",", 
         RowBox[{"(*", " ", 
          RowBox[{
          "Add", " ", "the", " ", "rest", " ", "of", " ", "the", " ", 
           "graphics"}], " ", "*)"}], 
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"EdgeForm", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Thickness", "[", "Medium", "]"}], ",", "Black"}], 
                "}"}], "]"}], ",", 
              RowBox[{"GrayLevel", "[", ".95", "]"}], ",", 
              RowBox[{"Disk", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", "1"}], "]"}]}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", "0.006", "]"}], ",", 
              RowBox[{"Circle", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", "1", ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "t"}], "}"}]}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", "0.003", "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}], "+", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], ",", 
                    RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}]}], "}"}], 
               "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", "0.003", "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", 
                    RowBox[{"-", "2"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "\[Pi]"}], "-", "2"}]}], "}"}]}],
                   "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1", "+", 
                    RowBox[{"2", " ", "\[Pi]"}]}], ",", "0"}], "}"}]}], 
                  "}"}]}], "}"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", "0.003", "]"}], ",", 
              RowBox[{"Dashing", "[", 
               RowBox[{"{", 
                RowBox[{".005", ",", ".01"}], "}"}], "]"}], ",", "Purple", 
              ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}], "+", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], ",", 
                    RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"t", "+", "1"}], ",", 
                   RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], "}"}], "]"}]}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", "0.003", "]"}], ",", 
              RowBox[{"Dashing", "[", 
               RowBox[{"{", 
                RowBox[{".005", ",", ".01"}], "}"}], "]"}], ",", "Blue", ",", 
              
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}], "+", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], ",", 
                    RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], "-", "1"}], ",", 
                   RowBox[{
                    RowBox[{"-", "t"}], "-", "2"}]}], "}"}]}], "}"}], "]"}]}],
              "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", ".013", "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"t", "+", "1"}], ",", 
                   RowBox[{"Sin", "[", "t", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], "-", "1"}], ",", 
                   RowBox[{
                    RowBox[{"-", "t"}], "-", "2"}]}], "}"}]}], "}"}], "]"}]}],
              "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", "0.006", "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1", "+", "t"}], ",", "0"}], "}"}]}], "}"}], ",", 
                 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", 
                    RowBox[{"-", "2"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", 
                    RowBox[{
                    RowBox[{"-", "2"}], "-", "t"}]}], "}"}]}], "}"}]}], "}"}],
                "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", ".003", "]"}], ",", "Purple", ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"t", "+", "1"}], ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"t", "+", "1"}], ",", 
                    RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], ",", "0"}], "}"}]}], ",", 
                   
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], ",", 
                    RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}]}], "}"}]}], 
                "}"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", "0.003", "]"}], ",", "Blue", ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", "t", "]"}], "-", "1"}], ",", 
                    RowBox[{
                    RowBox[{"-", "t"}], "-", "2"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", 
                    RowBox[{
                    RowBox[{"-", "t"}], "-", "2"}]}], "}"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"Cos", "[", "t", "]"}]}], ",", "0"}], "}"}]}], 
                  "}"}]}], "}"}], "]"}]}], "}"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<sine\>\"", ",", "18"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"1", "+", 
                 RowBox[{"3", " ", 
                  RowBox[{"\[Pi]", "/", "2"}]}]}], ",", ".7"}], "}"}]}], 
             "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<cosine\>\"", ",", "18"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.8", ",", 
                RowBox[{"-", "5"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "1"}]}], "}"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<\[Theta]\>\"", ",", "14"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"7.3", ",", ".3"}], "}"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<\[Theta]\>\"", ",", "14"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", ".7"}], ",", 
                RowBox[{"-", "8.3"}]}], "}"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<\[Theta]\>\"", ",", "18"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2.1", ",", 
                RowBox[{"-", "1.5"}]}], "}"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<   = \>\"", ",", "18"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2.4", ",", 
                RowBox[{"-", "1.5"}]}], "}"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"NumberForm", "[", 
                 RowBox[{"t", ",", "3"}], "]"}], ",", "18"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"3.3", ",", 
                RowBox[{"-", "1.5"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}]}], "}"}], 
          "]"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2.1"}], ",", 
            RowBox[{
             RowBox[{"2", " ", "\[Pi]"}], "+", "1.2"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"-", "2"}], " ", "\[Pi]"}], "-", "2.2"}], ",", "1.1"}], 
           "}"}]}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.393793661690843*^9, 3.39379371954945*^9}, {
  3.394206781182803*^9, 3.394206783929008*^9}, {3.394206819283381*^9, 
  3.394206844574648*^9}, {3.394212213886237*^9, 3.39421221657372*^9}},
 CellID->1376619029],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Deploy", "[", 
    RowBox[{"DynamicModule", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"pt", "=", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
           RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}], "-", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0"}], "}"}]}]}], "}"}], ",", 
      RowBox[{"LocatorPane", "[", 
       RowBox[{
        RowBox[{"Dynamic", "[", 
         RowBox[{"pt", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"pt", "=", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "1"}], ",", "0"}], "}"}], "+", 
                RowBox[{"Normalize", "[", 
                 RowBox[{"#", "+", 
                  RowBox[{"{", 
                   RowBox[{"1", ",", "0"}], "}"}]}], "]"}]}]}], ")"}], "&"}], 
            ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"pt", "=", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "1"}], ",", "0"}], "}"}], "+", 
                 RowBox[{"Normalize", "[", 
                  RowBox[{"#", "+", 
                   RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "]"}]}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"\[Theta]", "=", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"#", "-", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "==", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"2", "Pi"}], ",", "0"}], "}"}]}], ",", 
                  RowBox[{"2", "Pi"}], ",", 
                  RowBox[{"Mod", "[", 
                   RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", "1"}], ",", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                    RowBox[{"2", " ", "Pi"}]}], "]"}]}], "]"}]}]}], ")"}], 
             "&"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"Dynamic", "[", 
         RowBox[{"maingraph", "[", 
          RowBox[{"Mod", "[", 
           RowBox[{
            RowBox[{"ArcTan", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"pt", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "+", "1"}], ",", 
              RowBox[{"pt", "[", 
               RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
            RowBox[{"2", " ", "\[Pi]"}]}], "]"}], "]"}], "]"}]}], "]"}]}], 
     "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Theta]", ",", 
       RowBox[{"\[Pi]", "/", "4"}]}], "}"}], ",", "0", ",", 
     RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.393074038315647*^9, 3.393074046264673*^9}, {
   3.393074278211361*^9, 3.393074280993202*^9}, {3.3930745992158422`*^9, 
   3.39307462656439*^9}, {3.393076263724409*^9, 3.393076312820883*^9}, {
   3.3930870459329042`*^9, 3.3930870536975803`*^9}, {3.393087083792261*^9, 
   3.393087087791939*^9}, {3.393087392432571*^9, 3.3930874385560083`*^9}, {
   3.3930874984146214`*^9, 3.393087508234778*^9}, {3.393087635702388*^9, 
   3.393087663606256*^9}, 3.393087732547065*^9, {3.3930878472845287`*^9, 
   3.393087870840968*^9}, {3.3930879519019737`*^9, 3.393087961745193*^9}, {
   3.393088016026956*^9, 3.393088026991622*^9}, 3.3930880933958187`*^9, {
   3.393088195572773*^9, 3.393088209882696*^9}, {3.393088261335772*^9, 
   3.393088310000381*^9}, {3.393088341890419*^9, 3.3930884173591003`*^9}, 
   3.393088462640953*^9, {3.393088499814521*^9, 3.393088500161449*^9}, {
   3.3930885791755037`*^9, 3.393088579498209*^9}, {3.393088610975215*^9, 
   3.393088688526505*^9}, {3.393088763503007*^9, 3.39308877582617*^9}, {
   3.3930888458265247`*^9, 3.393088883925321*^9}, {3.393088918768169*^9, 
   3.393088923783443*^9}, {3.393094558076179*^9, 3.393094570601083*^9}, {
   3.3930946080857477`*^9, 3.393094608295306*^9}, {3.3930946629505243`*^9, 
   3.3930946848691177`*^9}, 3.393094759476028*^9, {3.3930949241478367`*^9, 
   3.393094928009355*^9}, {3.393094959319721*^9, 3.3930949595699778`*^9}, {
   3.393095310052737*^9, 3.3930953199855423`*^9}, {3.393095403988274*^9, 
   3.393095448617343*^9}, {3.393095556575399*^9, 3.393095604147172*^9}, {
   3.393096213144124*^9, 3.3930962310588017`*^9}, {3.3930970459640017`*^9, 
   3.393097081897255*^9}, {3.393097346143964*^9, 3.3930973528632936`*^9}, {
   3.393097717378674*^9, 3.3930977385830297`*^9}, {3.393104717878624*^9, 
   3.3931047254127083`*^9}, {3.393104807442067*^9, 3.3931048090694313`*^9}, {
   3.39311332101267*^9, 3.393113521595991*^9}, {3.393113560175827*^9, 
   3.3931135659747753`*^9}, {3.3931136477630053`*^9, 
   3.3931136555307283`*^9}, {3.393113710019182*^9, 3.393113739564598*^9}, {
   3.393113778346171*^9, 3.393113784314411*^9}, {3.3931139212083*^9, 
   3.393113925864777*^9}, {3.3931140100674267`*^9, 3.393114011846425*^9}, 
   3.3931438941620293`*^9, {3.3931439923384542`*^9, 3.3931439931161413`*^9}, {
   3.3932505819632597`*^9, 3.3932506334430447`*^9}, {3.393251123248067*^9, 
   3.393251197005445*^9}, 3.393251888954494*^9, {3.393261095967402*^9, 
   3.393261128957611*^9}, {3.393261329371285*^9, 3.3932613306798*^9}, 
   3.393261441166766*^9, 3.3932614988059597`*^9, 3.3932615449543657`*^9, {
   3.393262525758889*^9, 3.3932625327466097`*^9}, 3.3932627001508703`*^9, {
   3.3932628009745417`*^9, 3.3932628060739737`*^9}, {3.3932628754831467`*^9, 
   3.393262878057232*^9}, {3.393263445897154*^9, 3.393263455808297*^9}, {
   3.393263545159822*^9, 3.393263549897313*^9}, {3.393263767872706*^9, 
   3.393263813742766*^9}, {3.393263884451665*^9, 3.393263912657976*^9}, {
   3.393263944907585*^9, 3.39326394794693*^9}, {3.3932640503371468`*^9, 
   3.3932640699735613`*^9}, {3.3932641613254423`*^9, 3.393264161923298*^9}, {
   3.393264224624565*^9, 3.3932642281021833`*^9}, {3.3932643353902903`*^9, 
   3.393264340728488*^9}, {3.393264484563635*^9, 3.393264508982616*^9}, {
   3.3932647617788143`*^9, 3.393264774086203*^9}, {3.3932655555513678`*^9, 
   3.3932655586785297`*^9}, {3.393265700896491*^9, 3.393265732720397*^9}, {
   3.393265783388514*^9, 3.393265798222493*^9}, {3.3932663210321207`*^9, 
   3.393266342541753*^9}, {3.3932665106362867`*^9, 3.3932665212422867`*^9}, {
   3.393266798893956*^9, 3.3932668090826473`*^9}, {3.3932668980008917`*^9, 
   3.39326691086789*^9}, {3.393266958629602*^9, 3.393266979791469*^9}, {
   3.393267273533786*^9, 3.393267276976989*^9}, {3.393267579995098*^9, 
   3.393267642850807*^9}, {3.393268171166629*^9, 3.393268179466918*^9}, {
   3.393268824152206*^9, 3.393268826278521*^9}, {3.39326890572012*^9, 
   3.393268929932461*^9}, {3.393269212981593*^9, 3.393269264887389*^9}, {
   3.393269344199647*^9, 3.3932693501032057`*^9}, {3.3932693836761837`*^9, 
   3.393269384756455*^9}, {3.393269452003199*^9, 3.393269463826105*^9}, {
   3.393269551117248*^9, 3.3932695517495337`*^9}, 3.393269614686061*^9, 
   3.3932696539291153`*^9, {3.3932697647446213`*^9, 3.393269799238709*^9}, {
   3.393270044880836*^9, 3.393270055077526*^9}, {3.3932701253130217`*^9, 
   3.393270135144539*^9}, {3.393270663922649*^9, 3.393270672452579*^9}, {
   3.393270716901064*^9, 3.393270727061837*^9}, {3.393271075604436*^9, 
   3.393271089019601*^9}, {3.3933337289179792`*^9, 3.3933338144911547`*^9}, {
   3.393333970868553*^9, 3.3933339845457487`*^9}, {3.393623317342351*^9, 
   3.393623317538505*^9}, {3.3936233499800377`*^9, 3.393623350695038*^9}, {
   3.3936234085424423`*^9, 3.3936234696036873`*^9}, {3.393623663679679*^9, 
   3.393623664762415*^9}, 3.39362379340559*^9, {3.39362399498209*^9, 
   3.393624052717162*^9}, {3.393624114812954*^9, 3.393624148441942*^9}, {
   3.393624192173493*^9, 3.3936242006888123`*^9}, {3.393624322181218*^9, 
   3.393624327203059*^9}, {3.393624403652458*^9, 3.393624505046369*^9}, {
   3.3936246037838373`*^9, 3.393624604234763*^9}, {3.393624658990663*^9, 
   3.3936246917879744`*^9}, {3.3936247450182953`*^9, 
   3.3936247969629097`*^9}, {3.3936248729807568`*^9, 3.393624902018469*^9}, {
   3.393627001240114*^9, 3.393627080027792*^9}, {3.3936272153533278`*^9, 
   3.393627233840835*^9}, {3.3936272723415413`*^9, 3.393627279203395*^9}, {
   3.393627647808549*^9, 3.393627680286828*^9}, {3.393627759414566*^9, 
   3.39362776980964*^9}, {3.393627836290921*^9, 3.393627863087345*^9}, {
   3.393627936024516*^9, 3.393627940456944*^9}, {3.393628001981359*^9, 
   3.393628017435976*^9}, {3.3937112366656523`*^9, 3.393711267623159*^9}, {
   3.393711332940476*^9, 3.3937114225026484`*^9}, {3.393711511314294*^9, 
   3.3937115406637363`*^9}, {3.393711748156364*^9, 3.393711748919525*^9}, 
   3.3937120487930193`*^9, 3.3937122261244593`*^9, {3.393712300165546*^9, 
   3.393712335861146*^9}, {3.393712458401235*^9, 3.393712465712084*^9}, {
   3.393712699836586*^9, 3.393712703630521*^9}, {3.39371278893585*^9, 
   3.3937127911445*^9}, 3.393712863775998*^9, 3.393712901904162*^9, {
   3.393713142810297*^9, 3.393713150440239*^9}, {3.393713196132205*^9, 
   3.3937131997507057`*^9}, {3.3937132356250553`*^9, 
   3.3937132572142553`*^9}, {3.393713289947043*^9, 3.393713304206539*^9}, {
   3.39371334503965*^9, 3.393713400260367*^9}, {3.39371345552962*^9, 
   3.3937134609634733`*^9}, {3.393713628257758*^9, 3.393713635606682*^9}, {
   3.393713770742545*^9, 3.3937137728864183`*^9}, {3.3937718229425783`*^9, 
   3.393771825452753*^9}, {3.393771856747693*^9, 3.3937719293748283`*^9}, {
   3.3937720763964357`*^9, 3.393772088851071*^9}, {3.393772165965294*^9, 
   3.3937721664293413`*^9}, {3.393773282935464*^9, 3.393773284172659*^9}, 
   3.393790220187263*^9, {3.393793463027214*^9, 3.3937934913422337`*^9}, {
   3.394196929710269*^9, 3.394196939339229*^9}, {3.3942121854332943`*^9, 
   3.3942121863239136`*^9}, 3.394212245511035*^9},
 CellID->1994691272]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[Theta]$$ = 0.9186249150378275, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Theta]$$], Rational[1, 4] Pi}, 0, 2 Pi}}, 
    Typeset`size$$ = {400., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`\[Theta]$305697$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`\[Theta]$$ = Rational[1, 4] Pi}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Theta]$$, $CellContext`\[Theta]$305697$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Deploy[
        DynamicModule[{$CellContext`pt = {
             Cos[$CellContext`\[Theta]$$], 
             Sin[$CellContext`\[Theta]$$]} - {1, 0}}, 
         LocatorPane[
          
          Dynamic[$CellContext`pt, {($CellContext`pt = {-1, 0} + 
             Normalize[# + {1, 0}])& , ($CellContext`pt = {-1, 0} + 
              Normalize[# + {1, 0}]; $CellContext`\[Theta]$$ = 
             If[# - {1, 0} == {2 Pi, 0}, 2 Pi, 
               Mod[
                ArcTan[Part[#, 1] + 1, 
                 Part[#, 2]], 2 Pi]])& }], 
          Dynamic[
           $CellContext`maingraph[
            Mod[
             ArcTan[Part[$CellContext`pt, 1] + 1, 
              Part[$CellContext`pt, 2]], 2 Pi]]]]]], 
      "Specifications" :> {{{$CellContext`\[Theta]$$, Rational[1, 4] Pi}, 0, 
         2 Pi}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {241., 246.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`maingraph[
          Pattern[$CellContext`t, 
           Blank[]]] := Module[{}, 
          Show[{
            ParametricPlot[{{$CellContext`u + 1, 
               Sin[$CellContext`u]}, {
              Cos[$CellContext`u] - 1, -$CellContext`u - 2}}, {$CellContext`u,
               0, 2 Pi}, PlotStyle -> {
               GrayLevel[0.5], 
               GrayLevel[0.5]}, Axes -> True, AxesOrigin -> {-1, 0}, 
             AxesStyle -> {
               Opacity[0], 
               Opacity[0]}, TicksStyle -> Directive[Black, 
               Opacity[1], 14], Ticks -> {
               
               Table[{$CellContext`i (Pi/2) + 
                 1, $CellContext`i (Pi/2)}, {$CellContext`i, 0, 4}], 
               
               Table[{$CellContext`i (Pi/2) - 
                 2, (-$CellContext`i) (Pi/2)}, {$CellContext`i, -4, 0}]}], 
            ParametricPlot[{{$CellContext`tt + 1, 
               Sin[$CellContext`tt]}, {
              Cos[$CellContext`tt] - 1, -$CellContext`tt - 
               2}}, {$CellContext`tt, 0.001, $CellContext`t}, 
             PlotStyle -> {{Purple, 
                Thickness[0.006]}, {Blue, 
                Thickness[0.006]}}], 
            Graphics[{{
               EdgeForm[{
                 Thickness[Medium], Black}], 
               GrayLevel[0.95], 
               Disk[{-1, 0}, 1]}, {
               Thickness[0.006], 
               Circle[{-1, 0}, 1, {0, $CellContext`t}]}, {
               Thickness[0.003], 
               Line[{{-1, 0}, {-1, 0} + {
                   Cos[$CellContext`t], 
                   Sin[$CellContext`t]}}]}, {
               Thickness[0.003], 
               
               Line[{{{-1, -2}, {-1, (-2) Pi - 2}}, {{1, 0}, {
                  1 + 2 Pi, 0}}}]}, {
               Thickness[0.003], 
               Dashing[{0.005, 0.01}], Purple, 
               Line[{{-1, 0} + {
                   Cos[$CellContext`t], 
                   Sin[$CellContext`t]}, {$CellContext`t + 1, 
                  Sin[$CellContext`t]}}]}, {
               Thickness[0.003], 
               Dashing[{0.005, 0.01}], Blue, 
               Line[{{-1, 0} + {
                   Cos[$CellContext`t], 
                   Sin[$CellContext`t]}, {
                 Cos[$CellContext`t] - 1, -$CellContext`t - 2}}]}, {
               PointSize[0.013], 
               Point[{{$CellContext`t + 1, 
                  Sin[$CellContext`t]}, {
                 Cos[$CellContext`t] - 1, -$CellContext`t - 2}}]}, {
               Thickness[0.006], 
               
               Line[{{{1, 0}, {
                  1 + $CellContext`t, 
                   0}}, {{-1, -2}, {-1, -2 - $CellContext`t}}}]}, {
               Thickness[0.003], Purple, 
               Line[{{{$CellContext`t + 1, 0}, {$CellContext`t + 1, 
                   Sin[$CellContext`t]}}, {{-1, 0} + {
                    Cos[$CellContext`t], 0}, {-1, 0} + {
                    Cos[$CellContext`t], 
                    Sin[$CellContext`t]}}}]}, {
               Thickness[0.003], Blue, 
               
               Line[{{{
                  Cos[$CellContext`t] - 1, -$CellContext`t - 
                   2}, {-1, -$CellContext`t - 2}}, {{-1, 
                  0}, {-1 + Cos[$CellContext`t], 0}}}]}, 
              Text[
               Style["sine", 18], {1 + 3 (Pi/2), 0.7}], 
              Text[
               Style["cosine", 18], {0.8, -5}, {0, 0}, {0, -1}], 
              Text[
               Style["\[Theta]", 14], {7.3, 0.3}], 
              Text[
               Style["\[Theta]", 14], {-0.7, -8.3}], 
              Text[
               Style["\[Theta]", 18], {2.1, -1.5}], 
              Text[
               Style["   = ", 18], {2.4, -1.5}], 
              Text[
               Style[
                NumberForm[$CellContext`t, 3], 18], {3.3, -1.5}, {-1, 0}]}]}, 
           PlotRange -> {{-2.1, 2 Pi + 1.2}, {(-2) Pi - 2.2, 1.1}}, 
           ImageSize -> {400, 400}]], 
        Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`maingraph[
            Pattern[$CellContext`t, 
             Blank[]]] := Module[{}, 
            Show[{
              ParametricPlot[{{$CellContext`u + 1, 
                 Sin[$CellContext`u]}, {
                Cos[$CellContext`u] - 1, -$CellContext`u - 
                 2}}, {$CellContext`u, 0, 2 Pi}, PlotStyle -> {
                 GrayLevel[0.5], 
                 GrayLevel[0.5]}, Axes -> True, AxesOrigin -> {-1, 0}, 
               AxesStyle -> {
                 Opacity[0], 
                 Opacity[0]}, TicksStyle -> Directive[Black, 
                 Opacity[1], 14], Ticks -> {
                 
                 Table[{$CellContext`i (Pi/2) + 
                   1, $CellContext`i (Pi/2)}, {$CellContext`i, 0, 4}], 
                 
                 Table[{$CellContext`i (Pi/2) - 
                   2, (-$CellContext`i) (Pi/2)}, {$CellContext`i, -4, 0}]}], 
              ParametricPlot[{{$CellContext`tt + 1, 
                 Sin[$CellContext`tt]}, {
                Cos[$CellContext`tt] - 1, -$CellContext`tt - 
                 2}}, {$CellContext`tt, 0.001, $CellContext`t}, 
               PlotStyle -> {{Purple, 
                  Thickness[0.006]}, {Blue, 
                  Thickness[0.006]}}], 
              Graphics[{{
                 EdgeForm[{
                   Thickness[Medium], Black}], 
                 GrayLevel[0.95], 
                 Disk[{-1, 0}, 1]}, {
                 Thickness[0.006], 
                 Circle[{-1, 0}, 1, {0, $CellContext`t}]}, {
                 Thickness[0.003], 
                 Line[{{-1, 0}, {-1, 0} + {
                    Cos[$CellContext`t], 
                    Sin[$CellContext`t]}}]}, {
                 Thickness[0.003], 
                 
                 Line[{{{-1, -2}, {-1, (-2) Pi - 2}}, {{1, 0}, {
                    1 + 2 Pi, 0}}}]}, {
                 Thickness[0.003], 
                 Dashing[{0.005, 0.01}], Purple, 
                 Line[{{-1, 0} + {
                    Cos[$CellContext`t], 
                    Sin[$CellContext`t]}, {$CellContext`t + 1, 
                    Sin[$CellContext`t]}}]}, {
                 Thickness[0.003], 
                 Dashing[{0.005, 0.01}], Blue, 
                 Line[{{-1, 0} + {
                    Cos[$CellContext`t], 
                    Sin[$CellContext`t]}, {
                   Cos[$CellContext`t] - 1, -$CellContext`t - 2}}]}, {
                 PointSize[0.013], 
                 Point[{{$CellContext`t + 1, 
                    Sin[$CellContext`t]}, {
                   Cos[$CellContext`t] - 1, -$CellContext`t - 2}}]}, {
                 Thickness[0.006], 
                 
                 Line[{{{1, 0}, {
                    1 + $CellContext`t, 
                    0}}, {{-1, -2}, {-1, -2 - $CellContext`t}}}]}, {
                 Thickness[0.003], Purple, 
                 Line[{{{$CellContext`t + 1, 0}, {$CellContext`t + 1, 
                    Sin[$CellContext`t]}}, {{-1, 0} + {
                    Cos[$CellContext`t], 0}, {-1, 0} + {
                    Cos[$CellContext`t], 
                    Sin[$CellContext`t]}}}]}, {
                 Thickness[0.003], Blue, 
                 
                 Line[{{{
                    Cos[$CellContext`t] - 1, -$CellContext`t - 
                    2}, {-1, -$CellContext`t - 2}}, {{-1, 
                    0}, {-1 + Cos[$CellContext`t], 0}}}]}, 
                Text[
                 Style["sine", 18], {1 + 3 (Pi/2), 0.7}], 
                Text[
                 Style["cosine", 18], {0.8, -5}, {0, 0}, {0, -1}], 
                Text[
                 Style["\[Theta]", 14], {7.3, 0.3}], 
                Text[
                 Style["\[Theta]", 14], {-0.7, -8.3}], 
                Text[
                 Style["\[Theta]", 18], {2.1, -1.5}], 
                Text[
                 Style["   = ", 18], {2.4, -1.5}], 
                Text[
                 Style[
                  NumberForm[$CellContext`t, 3], 18], {3.3, -1.5}, {-1, 
                 0}]}]}, 
             PlotRange -> {{-2.1, 2 Pi + 1.2}, {(-2) Pi - 2.2, 1.1}}, 
             ImageSize -> {400, 400}]]; Null}]]),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->8136795],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Spinning Out Sine and Cosine",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SpinningOutSineAndCosine/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/SpinningOutSineAndCosine/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/SpinningOutSineAndCosine/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SpinningOutSineAndCosine/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/SpinningOutSineAndCosine/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["\<\
Contributed by: Bruce Atwood (Beloit College) and Stan Wagon (Macalester \
College)\
\>", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "After work by: Ed Packel and Stan Wagon in ",
 StyleBox["Animating Calculus: Mathematica Notebooks for the Laboratory",
  FontSlant->"Italic"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->408995187]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
SpinningOutSineAndCosine"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Spinning Out Sine and Cosine - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 220, 4, 70, "Section"],
Cell[813, 29, 16572, 425, 70, "Input",
 CellID->1376619029],
Cell[17388, 456, 10278, 184, 70, "Input",
 CellID->1994691272]
}, Open  ]],
Cell[27681, 643, 10493, 238, 70, "Output",
 CellID->8136795],
Cell[CellGroupData[{
Cell[38199, 885, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[38575, 896, 931, 26, 70, "Text"],
Cell[CellGroupData[{
Cell[39531, 926, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[39871, 937, 246, 8, 70, "Text"],
Cell[40120, 947, 331, 10, 70, "Text",
 CellID->408995187]
}, Open  ]],
Cell[CellGroupData[{
Cell[40488, 962, 967, 27, 70, "Text"],
Cell[41458, 991, 1200, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 0QzFCH#W8KO5BCTScrguUuZS *)
