(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     31773,        762]
NotebookOptionsPosition[     30658,        719]
NotebookOutlinePosition[     31266,        743]
CellTagsIndexPosition[     31223,        740]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["The Law of Cosines", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"a", "\[Equal]", "b"}], ",", 
      RowBox[{"b", "=", 
       RowBox[{"b", "+", ".01"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"b", "\[Equal]", "c"}], ",", 
      RowBox[{"c", "=", 
       RowBox[{"c", "+", ".01"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"a", "\[Equal]", "c"}], ",", 
      RowBox[{"c", "=", 
       RowBox[{"c", "+", ".01"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Grid", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Text", "@", 
         RowBox[{"Style", "[", 
          RowBox[{"Grid", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"\"\<\[Alpha] =\>\"", ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"NumberForm", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"6", ",", "5"}], "}"}], ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}],
                   "&"}], "@", 
                 RowBox[{"mag", "[", 
                  RowBox[{"c", "-", "b"}], "]"}]}], ",", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{"\"\<  \[Beta] = \>\"", ",", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"6", ",", "5"}], "}"}], ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}],
                     "&"}], "@", 
                    RowBox[{"mag", "[", 
                    RowBox[{"c", "-", "a"}], "]"}]}], ",", " ", 
                   "\"\<   \[Gamma] = \>\"", ",", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"6", ",", "5"}], "}"}], ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}],
                     "&"}], "@", 
                    RowBox[{"mag", "[", 
                    RowBox[{"b", "-", "a"}], "]"}]}], ",", " ", 
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<  \>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"Cos", "[", "A", "]"}], ",", "TraditionalForm"}], 
                    "]"}], ",", "\"\< =\>\""}], "}"}], "]"}], ",", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"6", ",", "5"}], "}"}], ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}],
                     "&"}], "@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"b", "-", "a"}], ")"}], ".", 
                    RowBox[{"(", 
                    RowBox[{"c", "-", "a"}], ")"}]}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"mag", "[", 
                    RowBox[{"b", "-", "a"}], "]"}], "*", 
                    RowBox[{"mag", "[", 
                    RowBox[{"c", "-", "a"}], "]"}]}], ")"}]}], ")"}]}]}], 
                  "}"}], "]"}]}], "}"}], ",", " ", 
              RowBox[{"{", 
               RowBox[{
               "\"\<\!\(\*SuperscriptBox[\(\[Alpha]\), \(\(2\)\(\\\ \)\)]\)= \
\>\"", ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"NumberForm", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"6", ",", "5"}], "}"}], ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}],
                   "&"}], "@", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"mag", "[", 
                    RowBox[{"c", "-", "b"}], "]"}], "^", "2"}], ")"}]}], ",", 
                
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["\[Beta]", "2"], " ", "+", " ", 
                    SuperscriptBox["\[Gamma]", "2"], " ", "-", " ", 
                    RowBox[{"2", " ", "\[Beta]", " ", "\[Gamma]", " ", 
                    RowBox[{"Cos", "[", "A", "]"}]}]}], ",", 
                    "TraditionalForm"}], "]"}], ",", "\"\< = \>\""}], "}"}], 
                    "]"}], ",", " ", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"6", ",", "5"}], "}"}], ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}],
                     "&"}], "@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"mag", "[", 
                    RowBox[{"c", "-", "a"}], "]"}], "^", "2"}], "+", 
                    RowBox[{
                    RowBox[{"mag", "[", 
                    RowBox[{"b", "-", "a"}], "]"}], "^", "2"}], "-", 
                    RowBox[{"2", "*", 
                    RowBox[{"mag", "[", 
                    RowBox[{"c", "-", "a"}], "]"}], "*", 
                    RowBox[{"mag", "[", 
                    RowBox[{"b", "-", "a"}], "]"}], "*", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"b", "-", "a"}], ")"}], ".", 
                    RowBox[{"(", 
                    RowBox[{"c", "-", "a"}], ")"}]}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"mag", "[", 
                    RowBox[{"b", "-", "a"}], "]"}], "*", 
                    RowBox[{"mag", "[", 
                    RowBox[{"c", "-", "a"}], "]"}]}], ")"}]}]}]}], ")"}]}]}], 
                  "}"}], "]"}]}], "}"}]}], "}"}], ",", " ", 
            RowBox[{"Dividers", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                "False", ",", " ", "False", ",", " ", "True", ",", " ", 
                 "False", ",", "  ", "False", ",", " ", "False", ",", " ", 
                 "False"}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{"False", ",", "  ", "True", ",", " ", "False"}], 
                "}"}]}], "}"}]}]}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", ".02", "]"}], ",", " ", 
              RowBox[{"Point", "[", "a", "]"}]}], "}"}], ",", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", ".02", "]"}], ",", " ", 
              RowBox[{"Point", "[", "b", "]"}]}], "}"}], ",", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", ".02", "]"}], ",", " ", 
              RowBox[{"Point", "[", "c", "]"}]}], "}"}], ",", " ", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{"a", ",", "b", ",", "c", ",", "a"}], "}"}], "]"}], ",", 
            " ", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<A\>\"", ",", "\"\<Label\>\"", ",", "14", ",", "Italic"}], 
               "]"}], ",", 
              RowBox[{"a", "+", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", ".25"}], ",", 
                 RowBox[{"-", ".25"}]}], "}"}]}]}], "]"}], ",", " ", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<B\>\"", ",", "\"\<Label\>\"", ",", "14", ",", "Italic"}], 
               "]"}], ",", 
              RowBox[{"b", "+", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", ".25"}], ",", 
                 RowBox[{"-", ".25"}]}], "}"}]}]}], "]"}], ",", " ", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<C\>\"", ",", "\"\<Label\>\"", ",", "14", ",", "Italic"}], 
               "]"}], ",", 
              RowBox[{"c", "+", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", ".25"}], ",", 
                 RowBox[{"-", ".25"}]}], "}"}]}]}], "]"}], ",", "  ", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<\[Alpha]\>\"", ",", "\"\<Label\>\"", ",", "14"}], 
               "]"}], ",", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"b", "+", "c"}], ")"}], "/", "2"}], "+", 
               RowBox[{"{", 
                RowBox[{".25", ",", 
                 RowBox[{"-", ".25"}]}], "}"}]}]}], "]"}], ",", " ", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<\[Beta]\>\"", ",", "\"\<Label\>\"", ",", "14"}], 
               "]"}], ",", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"a", "+", "c"}], ")"}], "/", "2"}], "+", 
               RowBox[{"{", 
                RowBox[{".25", ",", 
                 RowBox[{"-", ".25"}]}], "}"}]}]}], "]"}], ",", " ", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<\[Gamma]\>\"", ",", "\"\<Label\>\"", ",", "14"}], 
               "]"}], ",", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"a", "+", "b"}], ")"}], "/", "2"}], "+", 
               RowBox[{"{", 
                RowBox[{".25", ",", 
                 RowBox[{"-", ".25"}]}], "}"}]}]}], "]"}]}], "}"}], ",", " ", 
          
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"450", ",", "300"}], "}"}]}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "5.4"}], ",", "5.4"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "5.4"}], ",", "5.4"}], "}"}]}], "}"}]}]}], "]"}], 
        "}"}]}], "}"}], "]"}]}], ",", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "5"}], ",", 
       RowBox[{"-", "5"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "5"}], "}"}], ",", "Locator"}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "5"}], ",", 
       RowBox[{"-", "5"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "5"}], "}"}], ",", " ", "Locator"}], "}"}], ",", " ", 
   
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "2"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "5"}], ",", 
       RowBox[{"-", "5"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "5"}], "}"}], ",", " ", "Locator"}], "}"}], ",", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"mag", "[", "x_", "]"}], ":=", 
       RowBox[{"N", "@", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"x", ".", "x"}], "]"}]}]}], ";"}], "}"}]}]}], "]"}]], "Input",\

 CellFrame->{{0, 0}, {0.5, 0}},
 CellChangeTimes->{{3.37252104537814*^9, 3.37252107517431*^9}, {
   3.37252111871951*^9, 3.37252119199795*^9}, {3.37252123823055*^9, 
   3.37252125980784*^9}, {3.37252143026477*^9, 3.37252144126365*^9}, {
   3.37252325984975*^9, 3.37252328736784*^9}, {3.37252337110972*^9, 
   3.3725235499695*^9}, {3.37252362060082*^9, 3.3725236933886*^9}, {
   3.3725237283761*^9, 3.37252382019683*^9}, {3.37252446466082*^9, 
   3.37252459940015*^9}, {3.37252482394987*^9, 3.37252484335882*^9}, {
   3.37252525040457*^9, 3.37252526971663*^9}, {3.37252561878046*^9, 
   3.3725259721026*^9}, {3.37252601144782*^9, 3.37252602931074*^9}, {
   3.37252652989402*^9, 3.37252664276653*^9}, {3.37252675994489*^9, 
   3.37252685451754*^9}, {3.37252692415996*^9, 3.37252695167995*^9}, {
   3.37252698519068*^9, 3.37252707514547*^9}, {3.37252711954563*^9, 
   3.37252716531867*^9}, {3.37252731784867*^9, 3.37252735961228*^9}, {
   3.37252739544755*^9, 3.37252740641498*^9}, {3.37259710838473*^9, 
   3.3725971090409*^9}, {3.37259714736436*^9, 3.37259721426248*^9}, {
   3.37259724805524*^9, 3.37259731594911*^9}, {3.37259734862074*^9, 
   3.37259742613396*^9}, {3.37259745983536*^9, 3.37259746035024*^9}, {
   3.37259786234491*^9, 3.37259787147834*^9}, 3.37259791988662*^9, {
   3.3726112961712*^9, 3.37261133871371*^9}, {3.37261213755378*^9, 
   3.37261214542797*^9}, {3.37268906248438*^9, 3.37268920698079*^9}, {
   3.37268923743048*^9, 3.37268926268393*^9}, {3.37268931888616*^9, 
   3.37268934939683*^9}, {3.37268954835652*^9, 3.3726896189973*^9}, {
   3.37268965116502*^9, 3.37268966161635*^9}, {3.37269336527033*^9, 
   3.37269337350007*^9}, {3.37269346276227*^9, 3.37269361875249*^9}, {
   3.37269414185362*^9, 3.37269414758255*^9}, {3.37269423752354*^9, 
   3.37269429745811*^9}, {3.37269451370054*^9, 3.37269458500284*^9}, {
   3.37269570608229*^9, 3.37269571500616*^9}, {3.37269576484545*^9, 
   3.372695805386*^9}, {3.37269583667466*^9, 3.37269592063203*^9}, {
   3.37269619032284*^9, 3.37269625935614*^9}, {3.37269671714747*^9, 
   3.37269674985938*^9}, {3.37269750156139*^9, 3.37269753703967*^9}, {
   3.37269763853569*^9, 3.37269777819823*^9}, {3.37269809112607*^9, 
   3.37269815286141*^9}, {3.3726982205671*^9, 3.37269822075465*^9}, {
   3.37407247864063*^9, 3.37407256621875*^9}, {3.374072597875*^9, 
   3.3740727638125*^9}, {3.37407279557813*^9, 3.3740728105625*^9}, {
   3.37407295965625*^9, 3.3740730530625*^9}, {3.37407322901563*^9, 
   3.37407327873438*^9}, {3.37407331445313*^9, 3.37407337*^9}, {
   3.37407342928125*^9, 3.374073472*^9}, {3.37407355359375*^9, 
   3.37407362865625*^9}, {3.37407367926563*^9, 3.37407379401563*^9}, {
   3.37407385339063*^9, 3.37407393432813*^9}, {3.37407397903125*^9, 
   3.37407404403125*^9}, {3.3740740775*^9, 3.37407419735938*^9}, {
   3.37407423620313*^9, 3.37407429714063*^9}, {3.37407435129688*^9, 
   3.37407435567188*^9}, {3.37407444021875*^9, 3.3740744455*^9}, {
   3.3740744780625*^9, 3.37407461795313*^9}, 3.37407469879688*^9, {
   3.37407474107813*^9, 3.3740747450625*^9}, {3.37407506610938*^9, 
   3.37407509984375*^9}, {3.37407519796875*^9, 3.37407529351563*^9}, {
   3.37407537857813*^9, 3.37407559120313*^9}, {3.37407567153125*^9, 
   3.37407567271875*^9}, {3.377047977705625*^9, 3.377047978486875*^9}, {
   3.37704802803375*^9, 3.377048060736875*^9}, {3.37704809928375*^9, 
   3.377048112018125*^9}, {3.377260316390625*^9, 3.37726046878125*^9}, {
   3.37726136225*^9, 3.377261387078125*^9}, {3.37726144896875*^9, 
   3.377261453140625*^9}, {3.377261484796875*^9, 3.377261490921875*^9}, {
   3.377261546890625*^9, 3.377261561921875*^9}, {3.377261641328125*^9, 
   3.37726166634375*^9}, {3.377261747953125*^9, 3.377261916640625*^9}, {
   3.377262204625*^9, 3.3772622806875*^9}, {3.377267518640625*^9, 
   3.377267526390625*^9}, {3.377267563515625*^9, 3.377267741671875*^9}, {
   3.377267778921875*^9, 3.37726785121875*^9}, {3.37727144553125*^9, 
   3.377271487546875*^9}, {3.377271627328125*^9, 3.377271699140625*^9}, {
   3.377271781015625*^9, 3.377271783078125*^9}, {3.377271874015625*^9, 
   3.377271876578125*^9}, {3.377272536640625*^9, 3.377272560703125*^9}, {
   3.3772725914375*^9, 3.377272684921875*^9}, {3.377272717703125*^9, 
   3.37727276315625*^9}, {3.3772729900625*^9, 3.377272992046875*^9}, {
   3.377273060953125*^9, 3.3772731244375*^9}, {3.37727317509375*^9, 
   3.37727317634375*^9}, {3.3772732095625*^9, 3.377273320375*^9}, {
   3.37727343478125*^9, 3.37727369378125*^9}, {3.37727376015625*^9, 
   3.37727376675*^9}, 3.37727388415625*^9, {3.37727392928125*^9, 
   3.377273961453125*^9}, {3.37727409603125*^9, 3.37727413321875*^9}, {
   3.377274164203125*^9, 3.37727425621875*^9}, {3.3772791851875*^9, 
   3.377279230515625*^9}, {3.37727927196875*^9, 3.37727933265625*^9}, {
   3.377279366546875*^9, 3.377279423765625*^9}, {3.377279473078125*^9, 
   3.37727952846875*^9}, {3.377279604015625*^9, 3.37727970053125*^9}, {
   3.377357765140625*^9, 3.37735781428125*^9}, {3.37735790515625*^9, 
   3.377357925765625*^9}, {3.37735798671875*^9, 3.377358252234375*^9}, {
   3.377358336484375*^9, 3.377358336796875*^9}, {3.37735840390625*^9, 
   3.377358472953125*^9}, {3.377358708171875*^9, 3.3773587534375*^9}, {
   3.377358886859375*^9, 3.37735889571875*^9}, {3.37735896125*^9, 
   3.37735897703125*^9}, {3.3773590140625*^9, 3.377359016515625*^9}, {
   3.377359252109375*^9, 3.377359263453125*^9}, {3.377359295859375*^9, 
   3.377359297828125*^9}, {3.37735950659375*^9, 3.377359576828125*^9}, {
   3.377359685609375*^9, 3.3773597041875*^9}, {3.377359758296875*^9, 
   3.377359795140625*^9}, {3.377359998578125*^9, 3.377360025140625*^9}, {
   3.377360608703125*^9, 3.37736061803125*^9}, {3.3774420881184998`*^9, 
   3.3774422159934998`*^9}, {3.3774426561497498`*^9, 3.3774426881809998`*^9}, 
   3.377446812546794*^9, {3.3774507192042446`*^9, 3.3774507255324097`*^9}, {
   3.377450756141981*^9, 3.3774507865796757`*^9}, {3.3774509669725313`*^9, 
   3.377450967363161*^9}, {3.378677033703125*^9, 3.378677055375*^9}, {
   3.3788220150494075`*^9, 3.378822102783783*^9}, 3.378860552859375*^9, {
   3.37886059096875*^9, 3.378860620171875*^9}, {3.379465861221875*^9, 
   3.379465875346875*^9}, {3.380735149421875*^9, 3.3807353105*^9}, 
   3.38313983525*^9, {3.383139873609375*^9, 3.38313987659375*^9}, {
   3.3876445601379232`*^9, 3.3876445841535482`*^9}},
 CellID->227745347]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = {-2, 2}, $CellContext`b$$ = {2, 
    2}, $CellContext`c$$ = {0, -2}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], {-2, 2}}, {-5, -5}, {5, 5}}, {{
       Hold[$CellContext`b$$], {2, 2}}, {-5, -5}, {5, 5}}, {{
       Hold[$CellContext`c$$], {0, -2}}, {-5, -5}, {5, 5}}}, 
    Typeset`size$$ = {450., {167.5, 172.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`a$65993$$ = {0, 0}, $CellContext`b$65994$$ = {0, 
    0}, $CellContext`c$65995$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = {-2, 2}, $CellContext`b$$ = {2, 
         2}, $CellContext`c$$ = {0, -2}}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$65993$$, {0, 0}], 
        Hold[$CellContext`b$$, $CellContext`b$65994$$, {0, 0}], 
        Hold[$CellContext`c$$, $CellContext`c$65995$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`a$$ == $CellContext`b$$, $CellContext`b$$ = \
$CellContext`b$$ + 0.01]; 
       If[$CellContext`b$$ == $CellContext`c$$, $CellContext`c$$ = \
$CellContext`c$$ + 0.01]; 
       If[$CellContext`a$$ == $CellContext`c$$, $CellContext`c$$ = \
$CellContext`c$$ + 0.01]; Grid[{{
           Text[
            Style[
             Grid[{{"\[Alpha] =", 
                (NumberForm[#, {6, 5}, NumberPadding -> {" ", "0"}]& )[
                 $CellContext`mag[$CellContext`c$$ - $CellContext`b$$]], 
                Row[{"  \[Beta] = ", 
                  (NumberForm[#, {6, 5}, NumberPadding -> {" ", "0"}]& )[
                   $CellContext`mag[$CellContext`c$$ - $CellContext`a$$]], 
                  "   \[Gamma] = ", 
                  (NumberForm[#, {6, 5}, NumberPadding -> {" ", "0"}]& )[
                   $CellContext`mag[$CellContext`b$$ - $CellContext`a$$]], 
                  Row[{"  ", 
                    ToString[
                    Cos[$CellContext`A], TraditionalForm], " ="}], 
                  (NumberForm[#, {6, 5}, NumberPadding -> {" ", "0"}]& )[
                  Dot[$CellContext`b$$ - $CellContext`a$$, $CellContext`c$$ - \
$CellContext`a$$]/($CellContext`mag[$CellContext`b$$ - $CellContext`a$$] \
$CellContext`mag[$CellContext`c$$ - $CellContext`a$$])]}]}, {
               "\!\(\*SuperscriptBox[\(\[Alpha]\), \(\(2\)\( \)\)]\)= ", 
                (
                NumberForm[#, {6, 5}, 
                 NumberPadding -> {
                  " ", "0"}]& )[$CellContext`mag[$CellContext`c$$ - \
$CellContext`b$$]^2], 
                Row[{
                  Row[{
                    
                    ToString[$CellContext`\[Beta]^2 + $CellContext`\[Gamma]^2 - 
                    2 $CellContext`\[Beta] $CellContext`\[Gamma] 
                    Cos[$CellContext`A], TraditionalForm], " = "}], 
                  (
                  NumberForm[#, {6, 5}, 
                   NumberPadding -> {
                    " ", "0"}]& )[$CellContext`mag[$CellContext`c$$ - \
$CellContext`a$$]^2 + $CellContext`mag[$CellContext`b$$ - $CellContext`a$$]^2 - 
                   2 $CellContext`mag[$CellContext`c$$ - $CellContext`a$$] \
$CellContext`mag[$CellContext`b$$ - $CellContext`a$$] (
                    Dot[$CellContext`b$$ - $CellContext`a$$, $CellContext`c$$ - \
$CellContext`a$$]/($CellContext`mag[$CellContext`b$$ - $CellContext`a$$] \
$CellContext`mag[$CellContext`c$$ - $CellContext`a$$]))]}]}}, 
              Dividers -> {{False, False, True, False, False, False, False}, {
                False, True, False}}]]]}, {
           Graphics[{{
              PointSize[0.02], 
              Point[$CellContext`a$$]}, {
              PointSize[0.02], 
              Point[$CellContext`b$$]}, {
              PointSize[0.02], 
              Point[$CellContext`c$$]}, 
             
             Line[{$CellContext`a$$, $CellContext`b$$, $CellContext`c$$, \
$CellContext`a$$}], 
             Text[
              Style[
              "A", "Label", 14, Italic], $CellContext`a$$ + {-0.25, -0.25}], 
             Text[
              Style[
              "B", "Label", 14, Italic], $CellContext`b$$ + {-0.25, -0.25}], 
             Text[
              Style[
              "C", "Label", 14, Italic], $CellContext`c$$ + {-0.25, -0.25}], 
             Text[
              Style[
              "\[Alpha]", "Label", 14], ($CellContext`b$$ + $CellContext`c$$)/
               2 + {0.25, -0.25}], 
             Text[
              Style[
              "\[Beta]", "Label", 14], ($CellContext`a$$ + $CellContext`c$$)/
               2 + {0.25, -0.25}], 
             Text[
              Style[
              "\[Gamma]", "Label", 14], ($CellContext`a$$ + $CellContext`b$$)/
               2 + {0.25, -0.25}]}, ImageSize -> {450, 300}, 
            PlotRange -> {{-5.4, 5.4}, {-5.4, 5.4}}]}}]), 
      "Specifications" :> {{{$CellContext`a$$, {-2, 2}}, {-5, -5}, {5, 5}, 
         ControlType -> Locator}, {{$CellContext`b$$, {2, 2}}, {-5, -5}, {5, 
         5}, ControlType -> 
         Locator}, {{$CellContext`c$$, {0, -2}}, {-5, -5}, {5, 5}, 
         ControlType -> Locator}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {195., 200.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`mag[
          Pattern[$CellContext`x, 
           Blank[]]] := N[
          Sqrt[
           Dot[$CellContext`x, $CellContext`x]]]; Null}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->114936235],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["The Law of Cosines",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheLawOfCosines/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TheLawOfCosines/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TheLawOfCosines/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheLawOfCosines/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TheLawOfCosines/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Chris Boucher", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->614353783]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TheLawOfCosines"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"The Law of Cosines - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 18, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 210, 4, 70, "Section"],
Cell[803, 29, 19526, 426, 70, "Input",
 CellID->227745347]
}, Open  ]],
Cell[20344, 458, 6248, 130, 70, "Output",
 CellID->114936235],
Cell[CellGroupData[{
Cell[26617, 592, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[26993, 603, 870, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[27888, 631, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[28228, 642, 204, 6, 70, "Text",
 CellID->614353783]
}, Open  ]],
Cell[CellGroupData[{
Cell[28469, 653, 967, 27, 70, "Text"],
Cell[29439, 682, 1191, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature pRz#3wB#GMUqPATcDv8Vsjmf *)
