(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     14793,        417]
NotebookOptionsPosition[     13606,        372]
NotebookOutlinePosition[     14231,        396]
CellTagsIndexPosition[     14188,        393]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Trigonometric Functions Illustrated", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Grid", "[", 
    RowBox[{"Partition", "[", 
     RowBox[{
      RowBox[{"Prepend", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Framed", "[", 
           RowBox[{
            RowBox[{"Plot", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "[", 
               RowBox[{"x", " ", "Degree"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "0", ",", "90", ",", "270", ",", "360"}], 
               "}"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "285"}], ",", 
              RowBox[{"Ticks", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Range", "[", 
                  RowBox[{"0", ",", "360", ",", "30"}], "]"}], ",", 
                 "Automatic"}], "}"}]}], ",", 
              RowBox[{"PlotLabel", "\[Rule]", 
               RowBox[{"Framed", "[", 
                RowBox[{"ToLowerCase", "@", 
                 RowBox[{"ToString", "@", 
                  RowBox[{"#", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}]}], ",", 
              RowBox[{"Epilog", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Thickness", "[", "Large", "]"}], ",", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"v", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"v", ",", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "[", 
                    RowBox[{"v", " ", "Degree"}], "]"}]}], "}"}]}], "}"}], 
                  "]"}]}], "}"}]}]}], "]"}], ",", 
            RowBox[{"Background", "\[Rule]", 
             RowBox[{"GrayLevel", "[", ".95", "]"}]}]}], "]"}], "&"}], "/@", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Sin", ",", "Red"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Cos", ",", "Blue"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Tan", ",", "Purple"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", "Large", "]"}], ",", "Blue", ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Cos", "[", 
                    RowBox[{"v", " ", "Degree"}], "]"}], ",", "0"}], "}"}]}], 
                "}"}], "]"}], ",", "Red", ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Cos", "[", 
                    RowBox[{"v", " ", "Degree"}], "]"}], ",", "0"}], "}"}], 
                 ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Cos", "[", 
                    RowBox[{"v", " ", "Degree"}], "]"}], ",", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"v", " ", "Degree"}], "]"}]}], "}"}]}], "}"}], 
               "]"}]}], "}"}], ",", "Gray", ",", 
            RowBox[{"Circle", "[", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", 
                  RowBox[{"v", " ", "Degree"}], "]"}], ",", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"v", " ", "Degree"}], "]"}]}], "}"}]}], "}"}], 
             "]"}], ",", "Black", ",", 
            RowBox[{"Disk", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", ".03"}], "]"}]}], "}"}], 
          ",", 
          RowBox[{"ImageSize", "\[Rule]", "215"}]}], "]"}]}], "]"}], ",", 
      "2"}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"v", ",", "10", ",", "\"\<angle\>\""}], "}"}], ",", "0", ",", 
     "360", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.35498389534952*^9, 3.35498417324548*^9}, {
   3.35498422180892*^9, 3.3549843201858*^9}, {3.35498436223349*^9, 
   3.35498444149137*^9}, {3.35498447522229*^9, 3.35498447755018*^9}, {
   3.35498452817*^9, 3.35498467132767*^9}, {3.35498472734186*^9, 
   3.35498474973191*^9}, {3.35498478494976*^9, 3.35498479271519*^9}, {
   3.3632785994375*^9, 3.36327861146875*^9}, {3.363278649875*^9, 
   3.36327867846875*^9}, {3.372621957942746*^9, 3.372621958203197*^9}, 
   3.3786442575298243`*^9, {3.378644432270111*^9, 3.378644446703957*^9}, {
   3.3786445133972473`*^9, 3.3786445324809313`*^9}, 3.378644587442671*^9, {
   3.3847009663992987`*^9, 3.384700975352209*^9}, {3.384701029824052*^9, 
   3.384701030711933*^9}, {3.386532421048025*^9, 3.3865324211886497`*^9}, {
   3.386532489016775*^9, 3.3865325750636497`*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`v$$ = 10, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`v$$], 10, "angle"}, 0, 360}}, Typeset`size$$ = {
    598., {209., 214.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`v$8915$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`v$$ = 10}, 
      "ControllerVariables" :> {
        Hold[$CellContext`v$$, $CellContext`v$8915$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Grid[
        Partition[
         Prepend[
          Map[Framed[
            Plot[
             
             Part[#, 1][$CellContext`x Degree], {$CellContext`x, 0, 90, 270, 
              360}, ImageSize -> 285, Ticks -> {
               Range[0, 360, 30], Automatic}, PlotLabel -> Framed[
               ToLowerCase[
                ToString[
                 Part[#, 1]]]], Epilog -> {
               Thickness[Large], 
               Part[#, 2], 
               Line[{{$CellContext`v$$, 0}, {$CellContext`v$$, 
                  Part[#, 1][$CellContext`v$$ Degree]}}]}], Background -> 
            GrayLevel[0.95]]& , {{Sin, Red}, {Cos, Blue}, {Tan, Purple}}], 
          Graphics[{{
             Thickness[Large], Blue, 
             Line[{{0, 0}, {
                Cos[$CellContext`v$$ Degree], 0}}], Red, 
             Line[{{
                Cos[$CellContext`v$$ Degree], 0}, {
                Cos[$CellContext`v$$ Degree], 
                Sin[$CellContext`v$$ Degree]}}]}, Gray, 
            Circle[{0, 0}], 
            Line[{{0, 0}, {
               Cos[$CellContext`v$$ Degree], 
               Sin[$CellContext`v$$ Degree]}}], Black, 
            Disk[{0, 0}, 0.03]}, ImageSize -> 215]], 2]], 
      "Specifications" :> {{{$CellContext`v$$, 10, "angle"}, 0, 360, 
         Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{642., {252., 257.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->290806228],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Trigonometric Functions Illustrated",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TrigonometricFunctionsIllustrated/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/TrigonometricFunctionsIllustrated/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
TrigonometricFunctionsIllustrated/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TrigonometricFunctionsIllustrated/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/TrigonometricFunctionsIllustrated/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Stephen Wolfram", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->1378959807],

Cell["Suggested by: Christopher & Catherine Wolfram", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->270527509]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TrigonometricFunctionsIllustrated"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Trigonometric Functions Illustrated - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 18, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 227, 4, 70, "Section"],
Cell[820, 29, 5603, 135, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[6438, 167, 2737, 61, 70, "Output",
 CellID->290806228],
Cell[CellGroupData[{
Cell[9200, 232, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9576, 243, 991, 29, 70, "Text"],
Cell[CellGroupData[{
Cell[10592, 276, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10932, 287, 207, 6, 70, "Text",
 CellID->1378959807],
Cell[11142, 295, 220, 6, 70, "Text",
 CellID->270527509]
}, Open  ]],
Cell[CellGroupData[{
Cell[11399, 306, 967, 27, 70, "Text"],
Cell[12369, 335, 1209, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature QRjaMb@x3yIY7C0az2ZFPSaX *)
