(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     21541,        579]
NotebookOptionsPosition[     20401,        536]
NotebookOutlinePosition[     21035,        560]
CellTagsIndexPosition[     20992,        557]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Trigonometric Functions with Four Parameters", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"fcn", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x", "-", "a"}], ")"}], "/", "c"}], "]"}], "*", "d"}], "+", 
      "b"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"If", "[", 
        RowBox[{"oneperiod", ",", 
         RowBox[{"0", "+", "a"}], " ", ",", 
         RowBox[{
          RowBox[{"-", "2"}], "Pi"}]}], "]"}], ",", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"And", "[", 
          RowBox[{"oneperiod", ",", 
           RowBox[{"c", "!=", "0"}]}], "]"}], ",", 
         RowBox[{
          RowBox[{"2", 
           RowBox[{"Pi", "/", "c"}]}], "+", "a"}], ",", 
         RowBox[{"4", "Pi"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "Pi"}], ",", 
          RowBox[{"3", "Pi"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "4.5"}], ",", "4.5"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"415", ",", "267"}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Darker", "[", 
         RowBox[{"Green", ",", "0.2"}], "]"}], ",", "Thick"}], "}"}]}], ",", 
     RowBox[{"AxesStyle", "\[Rule]", "Thick"}], ",", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"n", " ", 
             RowBox[{"Pi", "/", "2"}]}], ",", 
            RowBox[{"n", " ", 
             RowBox[{"Pi", "/", "2"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"n", ",", 
            RowBox[{"-", "2"}], ",", "6"}], "}"}]}], "]"}], ",", 
        RowBox[{"Range", "[", 
         RowBox[{
          RowBox[{"-", "4"}], ",", "4"}], "]"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"GridLines", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"n", " ", 
             RowBox[{"Pi", "/", "2"}]}], ",", 
            RowBox[{"Lighter", "[", 
             RowBox[{"Gray", ",", "0.5"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"n", ",", 
            RowBox[{"-", "2"}], ",", "6"}], "}"}]}], "]"}], ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"n", ",", 
            RowBox[{"Lighter", "[", 
             RowBox[{"Gray", ",", "0.5"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"n", ",", 
            RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "]"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Exclusions", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"c", "\[Equal]", "0"}], ",", "None", ",", 
        RowBox[{"Which", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"fcn", "===", "Tan"}], "||", 
           RowBox[{"fcn", "===", "Sec"}]}], ",", 
          RowBox[{"Flatten", "[", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", "==", "asy"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"asy", ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "24"}], "Pi"}], "+", 
                   RowBox[{"Pi", "/", "2"}]}], ")"}], "/", "c"}], "+", "a"}], 
               ",", 
               RowBox[{"4", "Pi"}], ",", 
               RowBox[{"Pi", "/", "c"}]}], "}"}]}], "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"fcn", "===", "Cot"}], "||", 
           RowBox[{"fcn", "===", "Csc"}]}], ",", 
          RowBox[{"Flatten", "[", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", "==", "asy"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"asy", ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "24"}], "Pi"}], ")"}], "/", "c"}], "+", "a"}],
                ",", 
               RowBox[{"4", "Pi"}], ",", 
               RowBox[{"Pi", "/", "c"}]}], "}"}]}], "]"}], "]"}], ",", "True",
           ",", "None"}], "]"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"ExclusionsStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"Blue", ",", 
        RowBox[{"Dashing", "[", "Large", "]"}]}], "]"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Spacer", "[", 
            RowBox[{"{", 
             RowBox[{"0", ",", "60", ",", "30"}], "}"}], "]"}], ",", 
           RowBox[{"If", "[", 
            RowBox[{"showeqn", ",", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"d", "\[NotEqual]", "0"}], ",", "\[IndentingNewLine]", 
               
               RowBox[{"TraditionalForm", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"y", "-", "b"}], ")"}], " ", "/", 
                  RowBox[{"ToString", "@", "d"}]}], "==", 
                 RowBox[{"fcn", "[", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"x", "-", "a"}], ")"}], "/", 
                   RowBox[{"ToString", "@", "c"}]}], "]"}]}], "]"}], ",", 
               RowBox[{"TraditionalForm", "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"y", "-", "b"}], ")"}], " ", "\[Equal]", 
                 RowBox[{"d", " ", 
                  RowBox[{"fcn", "[", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "-", "a"}], ")"}], "/", 
                    RowBox[{"ToString", "@", "c"}]}], "]"}]}]}], "]"}]}], 
              "]"}], ",", 
             RowBox[{"TraditionalForm", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"y", "-", "\"\<b\>\""}], ")"}], "/", "\"\<d\>\""}], "==",
                " ", 
               RowBox[{"fcn", "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"x", "-", "\"\<a\>\""}], ")"}], "/", "\"\<c\>\""}], 
                "]"}]}], "]"}]}], "]"}]}], "}"}], "]"}], ",", "16"}], 
       "]"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fcn", ",", "Sin", ",", "\"\<function\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "\[Rule]", "\"\<sin\>\""}], ",", 
       RowBox[{"Cos", "\[Rule]", "\"\<cos\>\""}], ",", 
       RowBox[{"Tan", "\[Rule]", "\"\<tan\>\""}], ",", 
       RowBox[{"Sec", "\[Rule]", "\"\<sec\>\""}], ",", 
       RowBox[{"Csc", "\[Rule]", "\"\<csc\>\""}], ",", 
       RowBox[{"Cot", "\[Rule]", "\"\<cot\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"Pi", "/", "4"}], ",", "\"\<a\>\""}], "}"}], ",", 
     RowBox[{"-", "Pi"}], ",", "Pi", ",", 
     RowBox[{"Pi", "/", "12"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "0.5", ",", "\"\<b\>\""}], "}"}], ",", 
     RowBox[{"-", "4"}], ",", "4", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "4.3", ",", "\"\<c\>\""}], "}"}], ",", ".01", ",", 
     "10", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", "1.5", ",", "\"\<d\>\""}], "}"}], ",", 
     RowBox[{"-", "4"}], ",", "4", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showeqn", ",", "True", ",", "\"\<show equation with\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"True", "\[Rule]", "\"\<values\>\""}], ",", 
       RowBox[{"False", "\[Rule]", "\"\<symbols\>\""}]}], "}"}]}], "}"}], ",",
    "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"oneperiod", ",", "False", ",", "\"\<show one period\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3833943316034493`*^9, 3.383394333650036*^9}, {
   3.3907469398860283`*^9, 3.3907469449332857`*^9}},
 CellID->173179394]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = Rational[1, 4] Pi, $CellContext`b$$ = 
    0.5, $CellContext`c$$ = 4.3, $CellContext`d$$ = 1.5, $CellContext`fcn$$ = 
    Sin, $CellContext`oneperiod$$ = False, $CellContext`showeqn$$ = True, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`fcn$$], Sin, "function"}, {
      Sin -> "sin", Cos -> "cos", Tan -> "tan", Sec -> "sec", Csc -> "csc", 
       Cot -> "cot"}}, {{
       Hold[$CellContext`a$$], Rational[1, 4] Pi, "a"}, -Pi, Pi, 
      Rational[1, 12] Pi}, {{
       Hold[$CellContext`b$$], 0.5, "b"}, -4, 4, 0.01}, {{
       Hold[$CellContext`c$$], 4.3, "c"}, 0.01, 10, 0.01}, {{
       Hold[$CellContext`d$$], 1.5, "d"}, -4, 4, 0.01}, {{
       Hold[$CellContext`showeqn$$], True, "show equation with"}, {
      True -> "values", False -> "symbols"}}, {{
       Hold[$CellContext`oneperiod$$], False, "show one period"}, {
      True, False}}}, Typeset`size$$ = {415., {131., 136.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`fcn$69757$$ = False, $CellContext`a$69758$$ = 
    0, $CellContext`b$69759$$ = 0, $CellContext`c$69760$$ = 
    0, $CellContext`d$69761$$ = 0, $CellContext`showeqn$69762$$ = 
    False, $CellContext`oneperiod$69763$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = Rational[1, 4] Pi, $CellContext`b$$ = 
        0.5, $CellContext`c$$ = 4.3, $CellContext`d$$ = 
        1.5, $CellContext`fcn$$ = Sin, $CellContext`oneperiod$$ = 
        False, $CellContext`showeqn$$ = True}, "ControllerVariables" :> {
        Hold[$CellContext`fcn$$, $CellContext`fcn$69757$$, False], 
        Hold[$CellContext`a$$, $CellContext`a$69758$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$69759$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$69760$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$69761$$, 0], 
        Hold[$CellContext`showeqn$$, $CellContext`showeqn$69762$$, False], 
        Hold[$CellContext`oneperiod$$, $CellContext`oneperiod$69763$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[$CellContext`fcn$$[($CellContext`x - \
$CellContext`a$$)/$CellContext`c$$] $CellContext`d$$ + $CellContext`b$$, \
{$CellContext`x, 
         If[$CellContext`oneperiod$$, 0 + $CellContext`a$$, (-2) Pi], 
         If[
          And[$CellContext`oneperiod$$, $CellContext`c$$ != 0], 
          2 (Pi/$CellContext`c$$) + $CellContext`a$$, 4 Pi]}, 
        PlotRange -> {{-Pi, 3 Pi}, {-4.5, 4.5}}, ImageSize -> {415, 267}, 
        PlotStyle -> {
          Darker[Green, 0.2], Thick}, AxesStyle -> Thick, Ticks -> {
          
          Table[{$CellContext`n (Pi/2), $CellContext`n (Pi/
             2)}, {$CellContext`n, -2, 6}], 
          Range[-4, 4]}, GridLines -> {
          Table[{$CellContext`n (Pi/2), 
            Lighter[Gray, 0.5]}, {$CellContext`n, -2, 6}], 
          Table[{$CellContext`n, 
            Lighter[Gray, 0.5]}, {$CellContext`n, -4, 4}]}, Exclusions -> 
        If[$CellContext`c$$ == 0, None, 
          Which[
           Or[$CellContext`fcn$$ === Tan, $CellContext`fcn$$ === Sec], 
           Flatten[
            
            Table[{$CellContext`x == $CellContext`asy}, {$CellContext`asy, \
((-24) Pi + Pi/2)/$CellContext`c$$ + $CellContext`a$$, 4 Pi, 
              Pi/$CellContext`c$$}]], 
           Or[$CellContext`fcn$$ === Cot, $CellContext`fcn$$ === Csc], 
           Flatten[
            
            Table[{$CellContext`x == $CellContext`asy}, {$CellContext`asy, \
((-24) Pi)/$CellContext`c$$ + $CellContext`a$$, 4 Pi, Pi/$CellContext`c$$}]], 
           True, None]], ExclusionsStyle -> Directive[Blue, 
          Dashing[Large]], PlotLabel -> Style[
          Row[{
            Spacer[{0, 60, 30}], 
            If[$CellContext`showeqn$$, 
             If[$CellContext`d$$ != 0, 
              
              TraditionalForm[($CellContext`y - $CellContext`b$$)/
                ToString[$CellContext`d$$] == \
$CellContext`fcn$$[($CellContext`x - $CellContext`a$$)/
                 ToString[$CellContext`c$$]]], 
              
              TraditionalForm[$CellContext`y - $CellContext`b$$ == \
$CellContext`d$$ $CellContext`fcn$$[($CellContext`x - $CellContext`a$$)/
                  ToString[$CellContext`c$$]]]], 
             
             TraditionalForm[($CellContext`y - "b")/
               "d" == $CellContext`fcn$$[($CellContext`x - "a")/"c"]]]}], 
          16]], "Specifications" :> {{{$CellContext`fcn$$, Sin, "function"}, {
         Sin -> "sin", Cos -> "cos", Tan -> "tan", Sec -> "sec", Csc -> "csc",
           Cot -> "cot"}, ControlType -> 
         SetterBar}, {{$CellContext`a$$, Rational[1, 4] Pi, "a"}, -Pi, Pi, 
         Rational[1, 12] Pi, Appearance -> 
         "Labeled"}, {{$CellContext`b$$, 0.5, "b"}, -4, 4, 0.01, Appearance -> 
         "Labeled"}, {{$CellContext`c$$, 4.3, "c"}, 0.01, 10, 0.01, 
         Appearance -> "Labeled"}, {{$CellContext`d$$, 1.5, "d"}, -4, 4, 0.01,
          Appearance -> 
         "Labeled"}, {{$CellContext`showeqn$$, True, "show equation with"}, {
         True -> "values", False -> "symbols"}}, {{$CellContext`oneperiod$$, 
          False, "show one period"}, {True, False}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{459., {249., 254.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->51639082],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Trigonometric Functions with Four Parameters",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
TrigonometricFunctionsWithFourParameters/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
TrigonometricFunctionsWithFourParameters/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
TrigonometricFunctionsWithFourParameters/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
TrigonometricFunctionsWithFourParameters/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
TrigonometricFunctionsWithFourParameters/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Abby Brown", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->220934384]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TrigonometricFunctionsWithFourParameters"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Trigonometric Functions with Four Parameters - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 236, 4, 70, "Section"],
Cell[829, 29, 9179, 249, 70, "Input",
 CellID->173179394]
}, Open  ]],
Cell[10023, 281, 6121, 117, 70, "Output",
 CellID->51639082],
Cell[CellGroupData[{
Cell[16169, 402, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16545, 413, 1039, 31, 70, "Text"],
Cell[CellGroupData[{
Cell[17609, 448, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[17949, 459, 201, 6, 70, "Text",
 CellID->220934384]
}, Open  ]],
Cell[CellGroupData[{
Cell[18187, 470, 967, 27, 70, "Text"],
Cell[19157, 499, 1216, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature rTN49zt@4RIo9ATzQ3A@S8L7 *)
