(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     22309,        561]
NotebookOptionsPosition[     21193,        520]
NotebookOutlinePosition[     21834,        544]
CellTagsIndexPosition[     21791,        541]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["A Case of the Epsilon-Delta Definition of a Limit", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "/", "2"}], ")"}], "x"}], " ", "+", " ", "3"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "4"}], ",", "8.1"}], "}"}], ",", " ", 
     "\[IndentingNewLine]", 
     RowBox[{"AspectRatio", " ", "\[Rule]", " ", "Automatic"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"0", " ", ",", " ", "8.1"}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotStyle", " ", "\[Rule]", 
      RowBox[{"Thickness", "[", "0.007", "]"}]}], ",", "\[IndentingNewLine]", 
     
     RowBox[{"GridLines", " ", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"4", "-", "\[Delta]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"RGBColor", "[", 
               RowBox[{
                RowBox[{"Sign", "[", 
                 RowBox[{
                  RowBox[{"\[Delta]", "/", "2"}], " ", "-", "\[Epsilon]"}], 
                 "]"}], ",", 
                RowBox[{"Sign", "[", 
                 RowBox[{"\[Epsilon]", " ", "-", " ", 
                  RowBox[{"\[Delta]", "/", "2"}], "+", ".001"}], "]"}], ",", 
                "0.0"}], "]"}], ",", 
              RowBox[{"Thickness", "[", ".004", "]"}]}], "}"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"4", "+", "\[Delta]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"RGBColor", "[", 
               RowBox[{
                RowBox[{"Sign", "[", 
                 RowBox[{
                  RowBox[{"\[Delta]", "/", "2"}], " ", "-", "\[Epsilon]"}], 
                 "]"}], ",", 
                RowBox[{"Sign", "[", 
                 RowBox[{"\[Epsilon]", " ", "-", " ", 
                  RowBox[{"\[Delta]", "/", "2"}], "+", ".001"}], "]"}], ",", 
                "0.0"}], "]"}], ",", 
              RowBox[{"Thickness", "[", ".004", "]"}]}], "}"}]}], "}"}]}], 
         "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"5", "-", "\[Epsilon]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"RGBColor", "[", 
               RowBox[{"0.9", ",", "0.6", ",", "0.6"}], "]"}], ",", 
              RowBox[{"Thickness", "[", ".004", "]"}]}], "}"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"5", "+", "\[Epsilon]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"RGBColor", "[", 
               RowBox[{"0.9", ",", "0.6", ",", "0.6"}], "]"}], ",", 
              RowBox[{"Thickness", "[", ".004", "]"}]}], "}"}]}], "}"}]}], 
         "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"AxesStyle", " ", "\[Rule]", " ", 
      RowBox[{"Thickness", "[", ".007", "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Ticks", " ", "\[Rule]", " ", 
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"4", "-", "\[Delta]"}], ",", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "\[Delta]"}], "\"\<+ 4\>\""}], ",", 
              "\"\<Label\>\"", ",", "Bold", ",", "14", ",", 
              RowBox[{"RGBColor", "[", 
               RowBox[{
                RowBox[{"1", "-", 
                 RowBox[{"\[Delta]", "/", "2"}]}], ",", 
                RowBox[{"1", "-", 
                 RowBox[{"\[Delta]", "/", "2"}]}], ",", 
                RowBox[{"1", "-", 
                 RowBox[{"\[Delta]", "/", "2"}]}]}], "]"}]}], "]"}], ",", 
            ".04", ",", 
            RowBox[{"{", 
             RowBox[{"Thickness", "[", ".007", "]"}], "}"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"4", "+", "\[Delta]"}], ",", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"\[Delta]", "\"\<+ 4\>\""}], ",", "\"\<Label\>\"", ",", 
              "Bold", ",", "14", ",", 
              RowBox[{"RGBColor", "[", 
               RowBox[{
                RowBox[{"1", "-", 
                 RowBox[{"\[Delta]", "/", "2"}]}], ",", 
                RowBox[{"1", "-", 
                 RowBox[{"\[Delta]", "/", "2"}]}], ",", 
                RowBox[{"1", "-", 
                 RowBox[{"\[Delta]", "/", "2"}]}]}], "]"}]}], "]"}], ",", 
            ".04", ",", 
            RowBox[{"{", 
             RowBox[{"Thickness", "[", ".007", "]"}], "}"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"4", ",", 
            RowBox[{"Style", "[", " ", 
             RowBox[{
             "\"\<a = 4\>\"", ",", "\"\<Label\>\"", ",", "Bold", ",", "14"}], 
             "]"}], ",", ".04", ",", 
            RowBox[{"{", 
             RowBox[{"Thickness", "[", ".007", "]"}], "}"}]}], "}"}]}], "}"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"5", "-", 
             RowBox[{"N", "[", 
              RowBox[{"\[Epsilon]", ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "3"}], "}"}]}], "]"}]}], ",", 
            RowBox[{"Style", "[", " ", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                RowBox[{"N", "[", 
                 RowBox[{"\[Epsilon]", ",", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "3"}], "}"}]}], "]"}]}], "\"\<+ 5\>\""}],
               ",", "\"\<Label\>\"", ",", "Bold", ",", "14", ",", 
              RowBox[{"RGBColor", "[", 
               RowBox[{
                RowBox[{"1", "-", "\[Epsilon]"}], ",", 
                RowBox[{"1", "-", "\[Epsilon]"}], ",", 
                RowBox[{"1", "-", "\[Epsilon]"}]}], "]"}]}], "]"}], ",", 
            ".04", ",", 
            RowBox[{"{", 
             RowBox[{"Thickness", "[", ".007", "]"}], "}"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"5", "+", 
             RowBox[{"N", "[", 
              RowBox[{"\[Epsilon]", ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "3"}], "}"}]}], "]"}]}], ",", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"N", "[", 
                RowBox[{"\[Epsilon]", ",", 
                 RowBox[{"{", 
                  RowBox[{"3", ",", "3"}], "}"}]}], "]"}], "\"\<+ 5\>\""}], 
              ",", "\"\<Label\>\"", ",", "Bold", ",", "14", ",", 
              RowBox[{"RGBColor", "[", 
               RowBox[{
                RowBox[{"1", "-", "\[Epsilon]"}], ",", 
                RowBox[{"1", "-", "\[Epsilon]"}], ",", 
                RowBox[{"1", "-", "\[Epsilon]"}]}], "]"}]}], "]"}], ",", 
            "\[IndentingNewLine]", ".04", ",", 
            RowBox[{"{", 
             RowBox[{"Thickness", "[", ".007", "]"}], "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"5", ",", 
            RowBox[{"Style", "[", " ", 
             RowBox[{
             "\"\<L = 5\>\"", ",", "\"\<Label\>\"", ",", "Bold", ",", "14"}], 
             "]"}], ",", ".04", ",", 
            RowBox[{"{", 
             RowBox[{"Thickness", "[", ".007", "]"}], "}"}]}], "}"}]}], 
         "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"x", ",", "\"\<Label\>\"", ",", "Bold", ",", "14"}], "]"}], 
        ",", 
        RowBox[{"Style", "[", 
         RowBox[{"y", ",", "\"\<Label\>\"", ",", "Bold", ",", "14"}], "]"}]}],
        "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "400"}], "}"}]}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "25"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"\[Epsilon]", ",", "2", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Delta]", ",", "4", ",", "0.02", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.400872727761447*^9, 3.4008727352554502`*^9}, {
   3.4008728372615023`*^9, 3.400872841845516*^9}, {3.400872911919919*^9, 
   3.4008730421497316`*^9}, {3.4008730733147707`*^9, 
   3.4008731836753063`*^9}, {3.400873313686087*^9, 3.4008734401923656`*^9}, {
   3.4008734884731445`*^9, 3.40087349394893*^9}, {3.400874445045849*^9, 
   3.400874455105648*^9}, {3.4008744891180954`*^9, 3.400874494656461*^9}, {
   3.400874544407879*^9, 3.4008746202083883`*^9}, {3.4008765001079593`*^9, 
   3.4008765303812275`*^9}, {3.400876571699937*^9, 3.400876576471692*^9}, {
   3.4008766181345935`*^9, 3.40087667386244*^9}, {3.4008767068110204`*^9, 
   3.400876724865466*^9}, {3.400876797646471*^9, 3.4008768006972656`*^9}, {
   3.400876842516618*^9, 3.4008768548762465`*^9}, {3.4009288782759514`*^9, 
   3.4009288876196413`*^9}, {3.4009289996032996`*^9, 3.400929104915126*^9}, {
   3.400929138258662*^9, 3.400929151086705*^9}, {3.400929204617613*^9, 
   3.4009292733827977`*^9}, {3.4009293128669195`*^9, 3.400929385585204*^9}, {
   3.4009294261630697`*^9, 3.4009294507410374`*^9}, {3.4009295019907093`*^9, 
   3.4009295181312313`*^9}, {3.4009295591465936`*^9, 
   3.4009295592872176`*^9}, {3.4009295923026314`*^9, 3.400929635942977*^9}, {
   3.400929687223899*^9, 3.4009297403954334`*^9}, {3.4009299245505047`*^9, 
   3.4009300116036887`*^9}, {3.4009300489895277`*^9, 
   3.4009300695806417`*^9}, {3.400930136509574*^9, 3.400930280835905*^9}, {
   3.400930311582756*^9, 3.400930327940456*^9}, 3.400930365858448*^9, {
   3.4009304067292624`*^9, 3.400930462348566*^9}, {3.400930591101666*^9, 
   3.40093059953841*^9}, {3.4009306714694643`*^9, 3.4009306793281355`*^9}, {
   3.4009307342607126`*^9, 3.4009307942240896`*^9}, {3.4009308245026264`*^9, 
   3.40093086765519*^9}, {3.4009310108307767`*^9, 3.4009310309072313`*^9}, {
   3.4009310844340277`*^9, 3.400931092417738*^9}, 3.4009311364609485`*^9, {
   3.4009314543876195`*^9, 3.40093148677555*^9}, {3.4009315271940613`*^9, 
   3.4009315685968666`*^9}, {3.400931610827728*^9, 3.400931612686948*^9}, {
   3.4009316644326425`*^9, 3.4009316781658745`*^9}, {3.400931724349532*^9, 
   3.4009317327550826`*^9}, {3.4009323426574593`*^9, 
   3.4009323637963257`*^9}, {3.4009324486017694`*^9, 
   3.4009324777399693`*^9}, {3.400932526876506*^9, 3.4009325662013593`*^9}, {
   3.4009500318416433`*^9, 3.4009500386758194`*^9}, 3.400950991329766*^9, {
   3.4009510230300627`*^9, 3.4009511322667294`*^9}, {3.4009691736365614`*^9, 
   3.4009692839952297`*^9}, {3.401034836688015*^9, 3.401034850793146*^9}, {
   3.4010353852025695`*^9, 3.4010355041361513`*^9}, {3.4010355738187*^9, 
   3.40103557845983*^9}, 3.401035651592786*^9, {3.401035716427964*^9, 
   3.401035718100021*^9}, {3.4010361500426826`*^9, 3.4010361841651917`*^9}, {
   3.4010362364268026`*^9, 3.401036264674633*^9}, {3.402236226203125*^9, 
   3.40223623096875*^9}},
 CellID->585379447]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[Delta]$$ = 4, $CellContext`\[Epsilon]$$ = 
    2, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`\[Epsilon]$$], 2, 0.01}, {
      Hold[$CellContext`\[Delta]$$], 4, 0.02}}, Typeset`size$$ = {
    500., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`\[Epsilon]$150512$$ = 
    0, $CellContext`\[Delta]$150513$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`\[Delta]$$ = 4, $CellContext`\[Epsilon]$$ = 
        2}, "ControllerVariables" :> {
        Hold[$CellContext`\[Epsilon]$$, $CellContext`\[Epsilon]$150512$$, 0], 
        
        Hold[$CellContext`\[Delta]$$, $CellContext`\[Delta]$150513$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[(1/2) $CellContext`x + 3, {$CellContext`x, -4, 8.1}, AspectRatio -> 
        Automatic, PlotRange -> {0, 8.1}, PlotStyle -> Thickness[0.007], 
        GridLines -> {{{4 - $CellContext`\[Delta]$$, {
             RGBColor[
              Sign[$CellContext`\[Delta]$$/2 - $CellContext`\[Epsilon]$$], 
              
              Sign[$CellContext`\[Epsilon]$$ - $CellContext`\[Delta]$$/2 + 
               0.001], 0.], 
             Thickness[0.004]}}, {4 + $CellContext`\[Delta]$$, {
             RGBColor[
              Sign[$CellContext`\[Delta]$$/2 - $CellContext`\[Epsilon]$$], 
              
              Sign[$CellContext`\[Epsilon]$$ - $CellContext`\[Delta]$$/2 + 
               0.001], 0.], 
             Thickness[0.004]}}}, {{5 - $CellContext`\[Epsilon]$$, {
             RGBColor[0.9, 0.6, 0.6], 
             Thickness[0.004]}}, {5 + $CellContext`\[Epsilon]$$, {
             RGBColor[0.9, 0.6, 0.6], 
             Thickness[0.004]}}}}, AxesStyle -> Thickness[0.007], 
        Ticks -> {{{4 - $CellContext`\[Delta]$$, 
            Style[(-$CellContext`\[Delta]$$) "+ 4", "Label", Bold, 14, 
             RGBColor[
             1 - $CellContext`\[Delta]$$/2, 1 - $CellContext`\[Delta]$$/2, 
              1 - $CellContext`\[Delta]$$/2]], 0.04, {
             Thickness[0.007]}}, {4 + $CellContext`\[Delta]$$, 
            Style[$CellContext`\[Delta]$$ "+ 4", "Label", Bold, 14, 
             RGBColor[
             1 - $CellContext`\[Delta]$$/2, 1 - $CellContext`\[Delta]$$/2, 
              1 - $CellContext`\[Delta]$$/2]], 0.04, {
             Thickness[0.007]}}, {4, 
            Style["a = 4", "Label", Bold, 14], 0.04, {
             Thickness[0.007]}}}, {{
           5 - N[$CellContext`\[Epsilon]$$, {3, 3}], 
            
            Style[(-N[$CellContext`\[Epsilon]$$, {3, 3}]) "+ 5", "Label", 
             Bold, 14, 
             RGBColor[
             1 - $CellContext`\[Epsilon]$$, 1 - $CellContext`\[Epsilon]$$, 
              1 - $CellContext`\[Epsilon]$$]], 0.04, {
             Thickness[0.007]}}, {5 + N[$CellContext`\[Epsilon]$$, {3, 3}], 
            Style[
            N[$CellContext`\[Epsilon]$$, {3, 3}] "+ 5", "Label", Bold, 14, 
             RGBColor[
             1 - $CellContext`\[Epsilon]$$, 1 - $CellContext`\[Epsilon]$$, 
              1 - $CellContext`\[Epsilon]$$]], 0.04, {
             Thickness[0.007]}}, {5, 
            Style["L = 5", "Label", Bold, 14], 0.04, {
             Thickness[0.007]}}}}, AxesLabel -> {
          Style[$CellContext`x, "Label", Bold, 14], 
          Style[$CellContext`y, "Label", Bold, 14]}, ImageSize -> {500, 400}, 
        ImagePadding -> 25], 
      "Specifications" :> {{$CellContext`\[Epsilon]$$, 2, 0.01, Appearance -> 
         "Labeled"}, {$CellContext`\[Delta]$$, 4, 0.02, Appearance -> 
         "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {255., 260.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->187784492],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["A Case of the Epsilon-Delta Definition of a Limit",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ACaseOfTheEpsilonDeltaDefinitionOfALimit/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
ACaseOfTheEpsilonDeltaDefinitionOfALimit/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
ACaseOfTheEpsilonDeltaDefinitionOfALimit/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ACaseOfTheEpsilonDeltaDefinitionOfALimit/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
ACaseOfTheEpsilonDeltaDefinitionOfALimit/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Joseph F. Kolacinski",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Joseph+F.+\
Kolacinski"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Joseph+F.+\
Kolacinski"],
 " (Siena Heights University)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->124939628],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ACaseOfTheEpsilonDeltaDefinitionOfALimit"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"A Case of the Epsilon-Delta Definition of a Limit - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 241, 4, 70, "Section"],
Cell[834, 29, 11432, 256, 70, "Input",
 CellID->585379447]
}, Open  ]],
Cell[12281, 288, 4515, 89, 70, "Output",
 CellID->187784492],
Cell[CellGroupData[{
Cell[16821, 381, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[17197, 392, 1044, 31, 70, "Text"],
Cell[18244, 425, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[18584, 436, 508, 17, 70, "Text",
 CellID->124939628],
Cell[CellGroupData[{
Cell[19117, 457, 829, 24, 70, "Text"],
Cell[19949, 483, 1216, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature aQNMfQgCnhMfJA0x2ZuEmbUg *)
