(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     33607,        840]
NotebookOptionsPosition[     32510,        799]
NotebookOutlinePosition[     33132,        823]
CellTagsIndexPosition[     33089,        820]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Finite Limit at a Finite Point", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"xmax", "=", "10"}], ";", 
    RowBox[{"ymax", "=", "5"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"3", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "-", "1"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", "3"}], ")"}]}]}], "-", "2"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{"finv", "[", "y_", "]"}], "=", 
       RowBox[{"x", "/.", 
        RowBox[{"Flatten", "[", 
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{"y", "\[Equal]", 
            RowBox[{"f", "[", "x", "]"}]}], ",", "x"}], "]"}], "]"}]}]}], 
      ";"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"finv", "[", "y_", "]"}], "=", 
     RowBox[{
      RowBox[{"1", "/", "27"}], 
      RowBox[{"(", 
       RowBox[{"35", "+", 
        RowBox[{"12", "y"}], "+", 
        RowBox[{"6", 
         RowBox[{"y", "^", "2"}]}], "+", 
        RowBox[{"y", "^", "3"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"DynamicModule", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"pt", "=", 
         RowBox[{"{", 
          RowBox[{"xxx", ",", 
           RowBox[{"f", "[", "xxx", "]"}]}], "}"}]}], ",", 
        RowBox[{"pt2", "=", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0"}], "}"}]}], ",", 
        RowBox[{"pt3", "=", 
         RowBox[{"{", 
          RowBox[{"9", ",", "0"}], "}"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Deploy", "[", 
       RowBox[{"Labeled", "[", 
        RowBox[{
         RowBox[{"Column", "[", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
            "LocatorPane", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             
             RowBox[{
              RowBox[{"Dynamic", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"pt", ",", "pt2", ",", "pt3"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"pt", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"f", "[", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}], "}"}]}], 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{"xxx", "=", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"pt2", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", "0"}], 
                    "}"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"pt3", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"3", ",", "1"}], "]"}], "]"}], ",", "0"}], 
                    "}"}]}]}], ")"}], "&"}], "}"}]}], "]"}], ",", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"ptx", "=", 
                RowBox[{"Dynamic", "[", 
                 RowBox[{"pt", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";", " ", 
               RowBox[{"pty", "=", 
                RowBox[{"Dynamic", "[", 
                 RowBox[{"pt", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"pt2x", "=", 
                RowBox[{"Dynamic", "[", 
                 RowBox[{"pt2", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";", " ", 
               RowBox[{"pt2y", "=", 
                RowBox[{"Dynamic", "[", 
                 RowBox[{"pt2", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"pt3x", "=", 
                RowBox[{"Dynamic", "[", 
                 RowBox[{"pt3", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";", " ", 
               RowBox[{"pt3y", "=", 
                RowBox[{"Dynamic", "[", 
                 RowBox[{"pt3", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"mandist1", "=", 
                RowBox[{"Dynamic", "[", 
                 RowBox[{"Abs", "[", 
                  RowBox[{
                   RowBox[{"pt2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", "xxx"}], "]"}], 
                 "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"mandist2", "=", 
                RowBox[{"Dynamic", "[", 
                 RowBox[{"Abs", "[", 
                  RowBox[{
                   RowBox[{"pt3", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", "xxx"}], "]"}], 
                 "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"Deploy", "[", 
                RowBox[{"Show", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{"f", "[", "x", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "0", ",", "xmax"}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", "Purple"}]}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Graphics", "[", 
                   RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"ptx", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"ptx", ",", "ymax"}], "}"}]}], "}"}], "]"}], ",", 
                    
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "pty"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"xmax", ",", "pty"}], "}"}]}], "}"}], "]"}]}], 
                    "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Orange", ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{"autodelta", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"finv", "[", 
                    RowBox[{"pty", "-", "ep"}], "]"}], ",", "0"}], "}"}], ",",
                     
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"finv", "[", 
                    RowBox[{"pty", "-", "ep"}], "]"}], ",", "ymax"}], "}"}]}],
                     "}"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"finv", "[", 
                    RowBox[{"pty", "+", "ep"}], "]"}], ",", "0"}], "}"}], ",",
                     
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"finv", "[", 
                    RowBox[{"pty", "+", "ep"}], "]"}], ",", "ymax"}], "}"}]}],
                     "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"pt2x", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"pt2x", ",", "ymax"}], "}"}]}], "}"}], "]"}], ",",
                     
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"pt3x", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"pt3x", ",", "ymax"}], "}"}]}], "}"}], "]"}]}], 
                    "}"}]}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"pty", "-", "ep"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"xmax", ",", 
                    RowBox[{"pty", "-", "ep"}]}], "}"}]}], "}"}], "]"}], ",", 
                    
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"pty", "+", "ep"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"xmax", ",", 
                    RowBox[{"pty", "+", "ep"}]}], "}"}]}], "}"}], "]"}]}], 
                    "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"Dynamic", "[", "pt", "]"}], "}"}], "]"}]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"ptx", ",", "0.3"}], "}"}]}], "]"}], "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<L\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"0.3", ",", "pty"}], "}"}]}], "]"}], "}"}]}], 
                    "\[IndentingNewLine]", "}"}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"PlotRange", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "xmax"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "ymax"}], "}"}]}], "}"}]}], ",", 
                  RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
                  RowBox[{"ImageSize", "\[Rule]", "400"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Ticks", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", "n"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0", ",", "xmax"}], "}"}]}], "]"}], ",",
                     
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", "\"\<\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0.5", ",", "xmax", ",", "1"}], "}"}]}],
                     "]"}]}], "]"}], ",", 
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", "n"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0", ",", "xmax"}], "}"}]}], "]"}], ",",
                     
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", "\"\<\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0.5", ",", "xmax", ",", "1"}], "}"}]}],
                     "]"}]}], "]"}]}], "}"}]}]}], "]"}], "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"1.25", ",", "1.25"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"10", ",", "5"}], "}"}]}], "}"}], ",", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Appearance", "\[Rule]", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<\[FilledCircle]\>\"", ",", 
                 RowBox[{"Opacity", "[", "0", "]"}]}], "]"}]}]}], 
             "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "@", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\< \[CurlyEpsilon] = \>\"", ",", "ep"}], "}"}], 
                "]"}], ",", "20", ",", 
               RowBox[{"Darker", "[", 
                RowBox[{"Green", ",", "0.5"}], "]"}]}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "@", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"StringJoin", "[", 
                   RowBox[{"\"\< \>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{"\[Delta]", ",", "1"}], "]"}], ",", 
                    "TraditionalForm"}], "]"}], ",", "\"\< = \>\""}], "]"}], 
                  ",", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{"autodelta", ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"N", "[", 
                    RowBox[{"Abs", "[", 
                    RowBox[{
                    RowBox[{"finv", "[", 
                    RowBox[{
                    RowBox[{"f", "[", "xxx", "]"}], "-", "ep"}], "]"}], "-", 
                    "xxx"}], "]"}], "]"}], "]"}], ",", "mandist1"}], "]"}], 
                  ",", 
                  RowBox[{"StringJoin", "[", 
                   RowBox[{"\"\<     \>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{"\[Delta]", ",", "2"}], "]"}], ",", 
                    "TraditionalForm"}], "]"}], ",", "\"\< = \>\""}], "]"}], 
                  ",", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{"autodelta", ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"N", "[", 
                    RowBox[{"Abs", "[", 
                    RowBox[{
                    RowBox[{"finv", "[", 
                    RowBox[{
                    RowBox[{"f", "[", "xxx", "]"}], "+", "ep"}], "]"}], "-", 
                    "xxx"}], "]"}], "]"}], "]"}], ",", "mandist2"}], "]"}]}], 
                 "}"}], "]"}], ",", "20", ",", "Orange"}], "]"}]}]}], 
           "\[IndentingNewLine]", "}"}], "]"}], ",", 
         RowBox[{"Text", "@", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"TraditionalForm", "[", 
                RowBox[{"Limit", "[", 
                 RowBox[{
                  RowBox[{"HoldForm", "[", 
                   RowBox[{"f", "[", "x", "]"}], "]"}], ",", 
                  RowBox[{"x", "\[Rule]", "c"}]}], "]"}], "]"}], ",", 
               "\"\< = \>\"", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "}"}], "]"}], 
            ",", "20"}], "]"}]}], ",", "Top"}], "]"}], "]"}]}], 
     "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ep", ",", "1", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<\[CurlyEpsilon]\>\"", ",", "16"}], "]"}]}], "}"}], ",", 
     "0", ",", "2", ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"\"\<None\>\"", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "autodelta", ",", "True", ",", 
        "\"\<automatically calculate \[Delta] values\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"True", ",", "False"}], "}"}], ",", 
      RowBox[{"ControlPlacement", "\[Rule]", "Bottom"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"\"\<None\>\"", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"xxx", ",", "5"}], "}"}], ",", "0", ",", "xmax", ",", 
      RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"ep", ",", "autodelta"}], "}"}]}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", "1", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, {3.36865794037168*^9, 3.3686579588182*^9}, {
   3.36949168628632*^9, 3.36949171361549*^9}, {3.37488453115625*^9, 
   3.374884531953125*^9}, {3.386883967171875*^9, 3.38688396934375*^9}, {
   3.3870547914434333`*^9, 3.387054806512573*^9}, {3.38705495547719*^9, 
   3.3870550819635906`*^9}, {3.3871367273455276`*^9, 3.387136784277392*^9}, {
   3.388255459237192*^9, 3.3882554649454*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`autodelta$$ = True, $CellContext`ep$$ = 
    0.8941723296305637, $CellContext`xxx$$ = 5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`ep$$], 0.8941723296305637, 
       Style["\[CurlyEpsilon]", 16]}, 0, 2}, {{
       Hold[$CellContext`autodelta$$], True, 
       "automatically calculate \[Delta] values"}, {True, False}}, {{
       Hold[$CellContext`xxx$$], 5}, 0, 10}}, Typeset`size$$ = {
    400., {152., 184.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`ep$8573$$ = 
    0, $CellContext`autodelta$8574$$ = 0, $CellContext`xxx$8575$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`autodelta$$ = True, $CellContext`ep$$ = 
        0.8941723296305637, $CellContext`xxx$$ = 5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`ep$$, $CellContext`ep$8573$$, 0], 
        Hold[$CellContext`autodelta$$, $CellContext`autodelta$8574$$, 0], 
        Hold[$CellContext`xxx$$, $CellContext`xxx$8575$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`xmax = 10; $CellContext`ymax = 
        5; $CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]]] := 3 ($CellContext`x - 1)^(1/3) - 2; $CellContext`finv[
          Pattern[$CellContext`y, 
           Blank[]]] = (1/27) (35 + 12 $CellContext`y + 
          6 $CellContext`y^2 + $CellContext`y^3); 
       DynamicModule[{$CellContext`pt = {$CellContext`xxx$$, 
            $CellContext`f[$CellContext`xxx$$]}, $CellContext`pt2 = {1, 
           0}, $CellContext`pt3 = {9, 0}}, 
         Deploy[
          Labeled[
           Column[{
             LocatorPane[
              
              Dynamic[{$CellContext`pt, $CellContext`pt2, $CellContext`pt3}, \
{($CellContext`pt = {
                   Part[#, 1, 1], 
                   $CellContext`f[
                    Part[#, 1, 1]]}; $CellContext`xxx$$ = 
                 Part[#, 1, 1]; $CellContext`pt2 = {
                   Part[#, 2, 1], 0}; $CellContext`pt3 = {
                   Part[#, 3, 1], 0})& }], $CellContext`ptx = Dynamic[
                 Part[$CellContext`pt, 1]]; $CellContext`pty = Dynamic[
                 Part[$CellContext`pt, 2]]; $CellContext`pt2x = Dynamic[
                 Part[$CellContext`pt2, 1]]; $CellContext`pt2y = Dynamic[
                 Part[$CellContext`pt2, 2]]; $CellContext`pt3x = Dynamic[
                 Part[$CellContext`pt3, 1]]; $CellContext`pt3y = Dynamic[
                 Part[$CellContext`pt3, 2]]; $CellContext`mandist1 = Dynamic[
                 Abs[
                 Part[$CellContext`pt2, 
                    1] - $CellContext`xxx$$]]; $CellContext`mandist2 = 
               Dynamic[
                 Abs[Part[$CellContext`pt3, 1] - $CellContext`xxx$$]]; 
              Deploy[
                Show[
                 Plot[
                  $CellContext`f[$CellContext`x], {$CellContext`x, 
                   0, $CellContext`xmax}, PlotStyle -> Purple], 
                 Graphics[{{
                    Lighter[Gray, 0.5], 
                    
                    Line[{{$CellContext`ptx, 
                    0}, {$CellContext`ptx, $CellContext`ymax}}], 
                    
                    Line[{{0, $CellContext`pty}, {$CellContext`xmax, \
$CellContext`pty}}]}, {Orange, 
                    If[$CellContext`autodelta$$, {
                    Line[{{
                    $CellContext`finv[$CellContext`pty - $CellContext`ep$$], 
                    0}, {
                    $CellContext`finv[$CellContext`pty - $CellContext`ep$$], \
$CellContext`ymax}}], 
                    Line[{{
                    $CellContext`finv[$CellContext`pty + $CellContext`ep$$], 
                    0}, {
                    $CellContext`finv[$CellContext`pty + $CellContext`ep$$], \
$CellContext`ymax}}]}, {
                    
                    Line[{{$CellContext`pt2x, 
                    0}, {$CellContext`pt2x, $CellContext`ymax}}], 
                    
                    Line[{{$CellContext`pt3x, 
                    0}, {$CellContext`pt3x, $CellContext`ymax}}]}]}, {
                    Darker[Green, 0.5], 
                    
                    Line[{{0, $CellContext`pty - $CellContext`ep$$}, \
{$CellContext`xmax, $CellContext`pty - $CellContext`ep$$}}], 
                    
                    Line[{{0, $CellContext`pty + $CellContext`ep$$}, \
{$CellContext`xmax, $CellContext`pty + $CellContext`ep$$}}]}, {Black, 
                    PointSize[0.015], 
                    Point[{
                    Dynamic[$CellContext`pt]}]}, {
                    Text[
                    Style["c", Italic, 16], {$CellContext`ptx, 0.3}]}, {
                    Text[
                    Style["L", Italic, 16], {0.3, $CellContext`pty}]}}], 
                 PlotRange -> {{0, $CellContext`xmax}, {
                   0, $CellContext`ymax}}, ImagePadding -> 10, ImageSize -> 
                 400, Ticks -> {
                   Union[
                    
                    Table[{$CellContext`n, $CellContext`n}, {$CellContext`n, 
                    0, $CellContext`xmax}], 
                    
                    Table[{$CellContext`n, ""}, {$CellContext`n, 
                    0.5, $CellContext`xmax, 1}]], 
                   Union[
                    
                    Table[{$CellContext`n, $CellContext`n}, {$CellContext`n, 
                    0, $CellContext`xmax}], 
                    
                    Table[{$CellContext`n, ""}, {$CellContext`n, 
                    0.5, $CellContext`xmax, 1}]]}]], {{1.25, 1.25}, {10, 5}}, 
              Appearance -> Style["\[FilledCircle]", 
                Opacity[0]]], 
             Text[
              Style[
               Row[{" \[CurlyEpsilon] = ", $CellContext`ep$$}], 20, 
               Darker[Green, 0.5]]], 
             Text[
              Style[
               Row[{
                 StringJoin[" ", 
                  ToString[
                   Subscript[$CellContext`\[Delta], 1], TraditionalForm], 
                  " = "], 
                 If[$CellContext`autodelta$$, 
                  Dynamic[
                   N[
                    
                    Abs[$CellContext`finv[$CellContext`f[$CellContext`xxx$$] - \
$CellContext`ep$$] - $CellContext`xxx$$]]], $CellContext`mandist1], 
                 StringJoin["     ", 
                  ToString[
                   Subscript[$CellContext`\[Delta], 2], TraditionalForm], 
                  " = "], 
                 If[$CellContext`autodelta$$, 
                  Dynamic[
                   N[
                    
                    Abs[$CellContext`finv[$CellContext`f[$CellContext`xxx$$] + \
$CellContext`ep$$] - $CellContext`xxx$$]]], $CellContext`mandist2]}], 20, 
               Orange]]}], 
           Text[
            Style[
             Row[{
               TraditionalForm[
                Limit[
                 HoldForm[
                  $CellContext`f[$CellContext`x]], $CellContext`x -> \
$CellContext`c]], " = ", 
               Style["L", Italic]}], 20]], Top]]]), 
      "Specifications" :> {{{$CellContext`ep$$, 0.8941723296305637, 
          Style["\[CurlyEpsilon]", 16]}, 0, 2, ControlType -> VerticalSlider, 
         ControlPlacement -> Left}, 
        "None" -> {{$CellContext`autodelta$$, True, 
           "automatically calculate \[Delta] values"}, {True, False}, 
          ControlPlacement -> Bottom}, 
        "None" -> {{$CellContext`xxx$$, 5}, 0, 10, ControlType -> None}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`ep$$, $CellContext`autodelta$$}, 
        AutorunSequencing -> {1}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{484., {205., 210.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->66662551],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Finite Limit at a Finite Point",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FiniteLimitAtAFinitePoint/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/FiniteLimitAtAFinitePoint/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/FiniteLimitAtAFinitePoint/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FiniteLimitAtAFinitePoint/"], 
    None},
  ButtonNote->"http://demonstrations.wolfram.com/FiniteLimitAtAFinitePoint/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->272593061],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
FiniteLimitAtAFinitePoint"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Finite Limit at a Finite Point - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 222, 4, 70, "Section"],
Cell[815, 29, 19009, 448, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[19839, 480, 8533, 184, 70, "Output",
 CellID->66662551],
Cell[CellGroupData[{
Cell[28397, 668, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[28773, 679, 946, 27, 70, "Text"],
Cell[29722, 708, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[30062, 719, 362, 13, 70, "Text",
 CellID->272593061],
Cell[CellGroupData[{
Cell[30449, 736, 829, 24, 70, "Text"],
Cell[31281, 762, 1201, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature sR4Ix@#xYaWTiApkX8yqG4wb *)
