(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     23208,        598]
NotebookOptionsPosition[     22117,        557]
NotebookOutlinePosition[     22733,        581]
CellTagsIndexPosition[     22690,        578]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Finite Limit at Infinity", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"xmax", "=", "20"}], ";", "\[IndentingNewLine]", 
    RowBox[{"ymax", "=", "7"}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"4", 
       RowBox[{"Sin", "[", 
        RowBox[{"5", "x"}], "]"}], 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "x"}], "/", "5"}], ")"}]}]}], "+", "3"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"DynamicModule", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"pt", "=", 
        RowBox[{"{", 
         RowBox[{"xxx", ",", "3"}], "}"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Deploy", "[", 
       RowBox[{"Labeled", "[", 
        RowBox[{
         RowBox[{"Column", "[", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
            "LocatorPane", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             
             RowBox[{
              RowBox[{"Dynamic", "[", 
               RowBox[{"pt", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"pt", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "3"}], "}"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"xxx", "=", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}]}], ")"}], "&"}], "}"}]}],
                "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"ptx", "=", 
                RowBox[{"Dynamic", "[", 
                 RowBox[{"pt", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";", " ", 
               RowBox[{"pty", "=", "3"}], ";", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"Deploy", "[", 
                RowBox[{"Show", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{"f", "[", "x", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "0", ",", "xmax"}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", "Purple"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "xmax"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "ymax"}], "}"}]}], "}"}]}]}], 
                   "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"Graphics", "[", 
                   RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Orange", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"ptx", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"ptx", ",", "ymax"}], "}"}]}], "}"}], "]"}]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "pty"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"xmax", ",", "pty"}], "}"}]}], "}"}], "]"}]}], 
                    "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"pty", "-", "ep"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"xmax", ",", 
                    RowBox[{"pty", "-", "ep"}]}], "}"}]}], "}"}], "]"}], ",", 
                    
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"pty", "+", "ep"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"xmax", ",", 
                    RowBox[{"pty", "+", "ep"}]}], "}"}]}], "}"}], "]"}]}], 
                    "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"ptx", ",", "0"}], "}"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<M\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"ptx", ",", "0.3"}], "}"}]}], "]"}], "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<L\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"0.3", ",", "pty"}], "}"}]}], "]"}], "}"}]}], 
                    "\[IndentingNewLine]", "}"}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"PlotRange", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "xmax"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "ymax"}], "}"}]}], "}"}]}], ",", 
                  
                  RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
                  RowBox[{"ImageSize", "\[Rule]", "400"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Ticks", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", "n"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0", ",", "xmax"}], "}"}]}], "]"}], ",",
                     
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", "\"\<\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0.5", ",", "xmax", ",", "1"}], "}"}]}],
                     "]"}]}], "]"}], ",", 
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", "n"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0", ",", "xmax"}], "}"}]}], "]"}], ",",
                     
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", "\"\<\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0.5", ",", "xmax", ",", "1"}], "}"}]}],
                     "]"}]}], "]"}]}], "}"}]}]}], "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Appearance", "\[Rule]", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<\[FilledCircle]\>\"", ",", 
                 RowBox[{"Opacity", "[", "0", "]"}]}], "]"}]}]}], 
             "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Text", "@", 
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"Row", "[", 
                   RowBox[{"{", 
                    RowBox[{"\"\< \[Epsilon] = \>\"", ",", "ep"}], "}"}], 
                   "]"}], ",", "20", ",", 
                  RowBox[{"Darker", "[", 
                   RowBox[{"Green", ",", "0.5"}], "]"}], ",", "Bold"}], 
                 "]"}]}], ",", "\"\<   \>\"", ",", "\[IndentingNewLine]", 
               RowBox[{"Text", "@", 
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"Row", "[", 
                   RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<M\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", "\[IndentingNewLine]", 
                    RowBox[{"Dynamic", "[", "xxx", "]"}]}], "}"}], "]"}], ",",
                   "20", ",", "Orange", ",", "Bold"}], "]"}]}]}], "}"}], 
             "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
         RowBox[{"Text", "@", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"TraditionalForm", "[", 
                RowBox[{"Limit", "[", 
                 RowBox[{
                  RowBox[{"HoldForm", "[", 
                   RowBox[{"f", "[", "x", "]"}], "]"}], ",", 
                  RowBox[{"x", "\[Rule]", "\[Infinity]"}]}], "]"}], "]"}], 
               ",", "\"\< = \>\"", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "}"}], "]"}], 
            ",", "20"}], "]"}]}], ",", "Top"}], "]"}], "]"}]}], 
     "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ep", ",", "1", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<\[Epsilon]\>\"", ",", "16"}], "]"}]}], "}"}], ",", "0", 
     ",", "3", ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xxx", ",", 
       RowBox[{"xmax", "/", "2"}]}], "}"}], ",", "0", ",", "xmax", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", "ep", "}"}]}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", "1", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, {3.36865794037168*^9, 3.3686579588182*^9}, 
   3.36865827491272*^9, {3.36949188118443*^9, 3.36949192217038*^9}, {
   3.374884431203125*^9, 3.374884433125*^9}, {3.386875164835055*^9, 
   3.386875200354137*^9}, {3.386884800390625*^9, 3.38688480475*^9}, {
   3.387054651765261*^9, 3.387054664816481*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ep$$ = 
    1.5256480216979966`, $CellContext`xxx$$ = 10, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`ep$$], 1.5256480216979966`, 
       Style["\[Epsilon]", 16]}, 0, 3}, {{
       Hold[$CellContext`xxx$$], 10}, 0, 20}}, Typeset`size$$ = {
    400., {139., 171.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`ep$3251$$ = 
    0, $CellContext`xxx$3252$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ep$$ = 
        1.5256480216979966`, $CellContext`xxx$$ = 10}, 
      "ControllerVariables" :> {
        Hold[$CellContext`ep$$, $CellContext`ep$3251$$, 0], 
        Hold[$CellContext`xxx$$, $CellContext`xxx$3252$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`xmax = 20; $CellContext`ymax = 
        7; $CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]]] := (4 Sin[5 $CellContext`x]) E^((-$CellContext`x)/5) + 3; 
       DynamicModule[{$CellContext`pt = {$CellContext`xxx$$, 3}}, 
         Deploy[
          Labeled[
           Column[{
             LocatorPane[
              Dynamic[$CellContext`pt, {($CellContext`pt = {
                   Part[#, 1], 3}; $CellContext`xxx$$ = 
                 Part[#, 1])& }], $CellContext`ptx = Dynamic[
                 Part[$CellContext`pt, 1]]; $CellContext`pty = 3; Deploy[
                Show[
                 Plot[
                  $CellContext`f[$CellContext`x], {$CellContext`x, 
                   0, $CellContext`xmax}, PlotStyle -> Purple, 
                  PlotRange -> {{
                    0, $CellContext`xmax}, {-1, $CellContext`ymax}}], 
                 Graphics[{{Orange, 
                    
                    Line[{{$CellContext`ptx, 
                    0}, {$CellContext`ptx, $CellContext`ymax}}]}, {
                    Lighter[Gray, 0.5], 
                    
                    Line[{{0, $CellContext`pty}, {$CellContext`xmax, \
$CellContext`pty}}]}, {
                    Darker[Green, 0.5], 
                    
                    Line[{{0, $CellContext`pty - $CellContext`ep$$}, \
{$CellContext`xmax, $CellContext`pty - $CellContext`ep$$}}], 
                    
                    Line[{{0, $CellContext`pty + $CellContext`ep$$}, \
{$CellContext`xmax, $CellContext`pty + $CellContext`ep$$}}]}, {Black, 
                    PointSize[0.015], 
                    Point[{$CellContext`ptx, 0}]}, {
                    Text[
                    Style["M", Italic, 16], {$CellContext`ptx, 0.3}]}, {
                    Text[
                    Style["L", Italic, 16], {0.3, $CellContext`pty}]}}], 
                 PlotRange -> {{
                   0, $CellContext`xmax}, {-1, $CellContext`ymax}}, 
                 ImagePadding -> 10, ImageSize -> 400, Ticks -> {
                   Union[
                    
                    Table[{$CellContext`n, $CellContext`n}, {$CellContext`n, 
                    0, $CellContext`xmax}], 
                    
                    Table[{$CellContext`n, ""}, {$CellContext`n, 
                    0.5, $CellContext`xmax, 1}]], 
                   Union[
                    
                    Table[{$CellContext`n, $CellContext`n}, {$CellContext`n, 
                    0, $CellContext`xmax}], 
                    
                    Table[{$CellContext`n, ""}, {$CellContext`n, 
                    0.5, $CellContext`xmax, 1}]]}]], Appearance -> 
              Style["\[FilledCircle]", 
                Opacity[0]]], 
             Row[{
               Text[
                Style[
                 Row[{" \[Epsilon] = ", $CellContext`ep$$}], 20, 
                 Darker[Green, 0.5], Bold]], "   ", 
               Text[
                Style[
                 Row[{" ", 
                   Style["M", Italic], " = ", 
                   Dynamic[$CellContext`xxx$$]}], 20, Orange, Bold]]}]}], 
           Text[
            Style[
             Row[{
               TraditionalForm[
                Limit[
                 HoldForm[
                  $CellContext`f[$CellContext`x]], $CellContext`x -> 
                 Infinity]], " = ", 
               Style["L", Italic]}], 20]], Top]]]), 
      "Specifications" :> {{{$CellContext`ep$$, 1.5256480216979966`, 
          Style["\[Epsilon]", 16]}, 0, 3, ControlType -> VerticalSlider, 
         ControlPlacement -> Left}, {{$CellContext`xxx$$, 10}, 0, 20, 
         ControlType -> None}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`ep$$}, AutorunSequencing -> {1}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{482., {180., 185.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->75410177],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Finite Limit at Infinity",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FiniteLimitAtInfinity/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/FiniteLimitAtInfinity/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/FiniteLimitAtInfinity/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FiniteLimitAtInfinity/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/FiniteLimitAtInfinity/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->272593061],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
FiniteLimitAtInfinity"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Finite Limit at Infinity - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 216, 4, 70, "Section"],
Cell[809, 29, 11753, 272, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[12577, 304, 5446, 121, 70, "Output",
 CellID->75410177],
Cell[CellGroupData[{
Cell[18048, 429, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[18424, 440, 906, 24, 70, "Text"],
Cell[19333, 466, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[19673, 477, 362, 13, 70, "Text",
 CellID->272593061],
Cell[CellGroupData[{
Cell[20060, 494, 829, 24, 70, "Text"],
Cell[20892, 520, 1197, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature xSNDd2KftqN91DTkgyFd4D8Z *)
