(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     33758,        848]
NotebookOptionsPosition[     32660,        807]
NotebookOutlinePosition[     33284,        831]
CellTagsIndexPosition[     33241,        828]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Infinite Limit at a Finite Point", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"xmax", "=", "6"}], ";", 
    RowBox[{"ymax", "=", "70"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{"1", "/", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", "-", "3"}], ")"}], "^", "2"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"finv1", "[", "y_", "]"}], "=", 
     RowBox[{"x", "/.", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{"y", "\[Equal]", 
          RowBox[{"f", "[", "x", "]"}]}], ",", "x"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"finv2", "[", "y_", "]"}], "=", 
     RowBox[{"x", "/.", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{"y", "\[Equal]", 
          RowBox[{"f", "[", "x", "]"}]}], ",", "x"}], "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Deploy", "[", 
     RowBox[{"Labeled", "[", 
      RowBox[{
       RowBox[{"Column", "[", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
          "LocatorPane", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Dynamic", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"pt2", ",", "pt3"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"(", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"pt2", "=", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", "0"}], 
                    "}"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"pt3", "=", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", "0"}], 
                    "}"}]}]}], ")"}], "&"}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ptx", "=", 
              RowBox[{"Dynamic", "[", 
               RowBox[{"pt", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";", " ", 
             RowBox[{"pty", "=", 
              RowBox[{"Dynamic", "[", 
               RowBox[{"pt", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"pt2x", "=", 
              RowBox[{"Dynamic", "[", 
               RowBox[{"pt2", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";", " ", 
             RowBox[{"pt2y", "=", 
              RowBox[{"Dynamic", "[", 
               RowBox[{"pt2", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"pt3x", "=", 
              RowBox[{"Dynamic", "[", 
               RowBox[{"pt3", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";", " ", 
             RowBox[{"pt3y", "=", 
              RowBox[{"Dynamic", "[", 
               RowBox[{"pt3", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"mandist1", "=", 
              RowBox[{"Dynamic", "[", 
               RowBox[{"Abs", "[", 
                RowBox[{
                 RowBox[{"pt2", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "-", "xxx"}], "]"}], 
               "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"mandist2", "=", 
              RowBox[{"Dynamic", "[", 
               RowBox[{"Abs", "[", 
                RowBox[{
                 RowBox[{"pt3", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "-", "xxx"}], "]"}], 
               "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"Deploy", "[", 
              RowBox[{"Show", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Plot", "[", 
                 RowBox[{
                  RowBox[{"f", "[", "x", "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"x", ",", "0", ",", "xmax"}], "}"}], ",", 
                  RowBox[{"PlotStyle", "\[Rule]", "Purple"}], ",", 
                  RowBox[{"PlotRange", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "xmax"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "ymax"}], "}"}]}], "}"}]}]}], "]"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"Graphics", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Gray", ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"ptx", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"ptx", ",", "ymax"}], "}"}]}], "}"}], "]"}], ",", 
                    
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "pty"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"xmax", ",", "pty"}], "}"}]}], "}"}], "]"}]}], 
                    "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"Orange", ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{"autodelta", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"finv1", "[", "M", "]"}], ",", "0"}], "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"finv1", "[", "M", "]"}], ",", "ymax"}], "}"}]}], 
                    "}"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"finv2", "[", "M", "]"}], ",", "0"}], "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"finv2", "[", "M", "]"}], ",", "ymax"}], "}"}]}], 
                    "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"pt2x", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"pt2x", ",", "ymax"}], "}"}]}], "}"}], "]"}], ",",
                     
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"pt3x", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"pt3x", ",", "ymax"}], "}"}]}], "}"}], "]"}]}], 
                    "}"}]}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "M"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"xmax", ",", "M"}], "}"}]}], "}"}], "]"}]}], 
                    "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"Dynamic", "[", "pt", "]"}], "}"}], "]"}]}], 
                    "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<c\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"ptx", ",", "2"}], "}"}]}], "]"}], "}"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<M\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"0.2", ",", "M"}], "}"}]}], "]"}], "}"}]}], 
                  "\[IndentingNewLine]", "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"PlotRange", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", "xmax"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "ymax"}], "}"}]}], "}"}]}], ",", 
                RowBox[{"ImagePadding", "\[Rule]", "20"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"350", ",", "350"}], "}"}]}], ",", 
                RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
                RowBox[{"PlotRangePadding", "\[Rule]", 
                 RowBox[{"Scaled", "[", ".04", "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Ticks", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", "n"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0", ",", "xmax"}], "}"}]}], "]"}], ",",
                     
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", "\"\<\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0.5", ",", "xmax", ",", "1"}], "}"}]}],
                     "]"}]}], "]"}], ",", 
                   RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", "n"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0", ",", "ymax", ",", "10"}], "}"}]}], 
                    "]"}], ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", "\"\<\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "5", ",", "ymax", ",", "10"}], "}"}]}], 
                    "]"}]}], "]"}]}], "}"}]}]}], "]"}], "]"}]}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"Appearance", "\[Rule]", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<\[FilledCircle]\>\"", ",", 
               RowBox[{"Opacity", "[", "0", "]"}]}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Enabled", "\[Rule]", 
             RowBox[{"Not", "@", "autodelta"}]}]}], "\[IndentingNewLine]", 
           "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Text", "@", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<M\>\"", ",", "Italic"}], "]"}], ",", 
                "\"\< = \>\"", ",", "M"}], "}"}], "]"}], ",", "20", ",", 
             RowBox[{"Darker", "[", 
              RowBox[{"Green", ",", "0.5"}], "]"}], ",", "Bold"}], "]"}]}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Text", "@", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"StringJoin", "[", 
                 RowBox[{"\"\< \>\"", ",", 
                  RowBox[{"ToString", "[", 
                   RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{"\[Delta]", ",", "1"}], "]"}], ",", 
                    "TraditionalForm"}], "]"}], ",", "\"\< = \>\""}], "]"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{"autodelta", ",", 
                  RowBox[{"Dynamic", "[", 
                   RowBox[{"N", "[", 
                    RowBox[{"Abs", "[", 
                    RowBox[{
                    RowBox[{"finv1", "[", "M", "]"}], "-", "xxx"}], "]"}], 
                    "]"}], "]"}], ",", "mandist1"}], "]"}], ",", 
                RowBox[{"StringJoin", "[", 
                 RowBox[{"\"\<     \>\"", ",", 
                  RowBox[{"ToString", "[", 
                   RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{"\[Delta]", ",", "2"}], "]"}], ",", 
                    "TraditionalForm"}], "]"}], ",", "\"\< = \>\""}], "]"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{"autodelta", ",", 
                  RowBox[{"Dynamic", "[", 
                   RowBox[{"N", "[", 
                    RowBox[{"Abs", "[", 
                    RowBox[{
                    RowBox[{"finv2", "[", "M", "]"}], "-", "xxx"}], "]"}], 
                    "]"}], "]"}], ",", "mandist2"}], "]"}]}], "}"}], "]"}], 
             ",", "20", ",", "Orange", ",", "Bold"}], "]"}]}]}], 
         "\[IndentingNewLine]", "}"}], "]"}], ",", 
       RowBox[{"Text", "@", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"TraditionalForm", "[", 
              RowBox[{"Limit", "[", 
               RowBox[{
                RowBox[{"HoldForm", "[", 
                 RowBox[{"1", "/", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"x", "-", "c"}], ")"}], "^", "2"}]}], "]"}], ",", 
                
                RowBox[{"x", "\[Rule]", "c"}]}], "]"}], "]"}], ",", 
             "\"\< = \>\"", ",", "\"\<\[Infinity]\>\""}], "}"}], "]"}], ",", 
          "20"}], "]"}]}], ",", "Top"}], "]"}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"\"\<Y1\>\"", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"M", ",", "20", ",", "\"\<M\>\""}], "}"}], ",", "0.0001", ",", 
      "ymax", ",", 
      RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}], ",", 
      RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", "400"}], "}"}]}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"\"\<B1\>\"", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "autodelta", ",", "True", ",", 
        "\"\<automatically calculate \[Delta] values\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"True", ",", "False"}], "}"}], ",", 
      RowBox[{"ControlPlacement", "\[Rule]", "Bottom"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"\"\<None\>\"", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"xxx", ",", "3"}], "}"}], ",", "0", ",", "xmax", ",", 
      RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"\"\<None\>\"", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"pt", ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", "0"}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"7", ",", "0"}], "}"}], ",", 
      RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"\"\<None\>\"", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"pt2", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"7", ",", "0"}], "}"}], ",", 
      RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"\"\<None\>\"", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"pt3", ",", 
        RowBox[{"{", 
         RowBox[{"5", ",", "0"}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"7", ",", "0"}], "}"}], ",", 
      RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"M", ",", "autodelta", ",", "pt2", ",", "pt3"}], "}"}]}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", "1", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.3866987792075834`*^9, {3.3866988200984707`*^9, 
   3.386698821129727*^9}, {3.386884216953125*^9, 3.386884219171875*^9}, {
   3.3870385729169397`*^9, 3.387038613014303*^9}, 3.3935918229270096`*^9, {
   3.3935960184999475`*^9, 3.3935960277632675`*^9}, {3.3935960600697217`*^9, 
   3.3935960603200817`*^9}, {3.3935974409152803`*^9, 3.393597475344787*^9}, {
   3.393598039125464*^9, 3.393598092992922*^9}},
 CellID->47373428]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`autodelta$$ = True, $CellContext`M$$ = 
    45.91988325710444, $CellContext`pt$$ = {3, 0}, $CellContext`pt2$$ = {1, 
    0}, $CellContext`pt3$$ = {5, 0}, $CellContext`xxx$$ = 3, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`M$$], 45.91988325710444, "M"}, 0.0001, 70}, {{
       Hold[$CellContext`autodelta$$], True, 
       "automatically calculate \[Delta] values"}, {True, False}}, {{
       Hold[$CellContext`xxx$$], 3}, 0, 6}, {{
       Hold[$CellContext`pt$$], {3, 0}}, {0, 0}, {7, 0}}, {{
       Hold[$CellContext`pt2$$], {1, 0}}, {0, 0}, {7, 0}}, {{
       Hold[$CellContext`pt3$$], {5, 0}}, {0, 0}, {7, 0}}}, Typeset`size$$ = {
    350., {201., 243.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`M$1301$$ = 
    0, $CellContext`autodelta$1302$$ = False, $CellContext`xxx$1303$$ = 
    0, $CellContext`pt$1304$$ = 0, $CellContext`pt2$1305$$ = 
    0, $CellContext`pt3$1306$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`autodelta$$ = True, $CellContext`M$$ = 
        45.91988325710444, $CellContext`pt$$ = {3, 0}, $CellContext`pt2$$ = {
         1, 0}, $CellContext`pt3$$ = {5, 0}, $CellContext`xxx$$ = 3}, 
      "ControllerVariables" :> {
        Hold[$CellContext`M$$, $CellContext`M$1301$$, 0], 
        Hold[$CellContext`autodelta$$, $CellContext`autodelta$1302$$, False], 
        
        Hold[$CellContext`xxx$$, $CellContext`xxx$1303$$, 0], 
        Hold[$CellContext`pt$$, $CellContext`pt$1304$$, 0], 
        Hold[$CellContext`pt2$$, $CellContext`pt2$1305$$, 0], 
        Hold[$CellContext`pt3$$, $CellContext`pt3$1306$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`xmax = 6; $CellContext`ymax = 
        70; $CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]]] := 1/($CellContext`x - 3)^2; $CellContext`finv1[
          Pattern[$CellContext`y, 
           Blank[]]] = ReplaceAll[$CellContext`x, 
          Part[
           
           Solve[$CellContext`y == $CellContext`f[$CellContext`x], \
$CellContext`x], 1]]; $CellContext`finv2[
          Pattern[$CellContext`y, 
           Blank[]]] = ReplaceAll[$CellContext`x, 
          Part[
           
           Solve[$CellContext`y == $CellContext`f[$CellContext`x], \
$CellContext`x], 2]]; Deploy[
         Labeled[
          Column[{
            LocatorPane[
             
             Dynamic[{$CellContext`pt2$$, $CellContext`pt3$$}, \
{($CellContext`pt2$$ = {
                  Part[#, 1, 1], 0}; $CellContext`pt3$$ = {
                  Part[#, 2, 1], 0})& }], $CellContext`ptx = Dynamic[
                Part[$CellContext`pt$$, 1]]; $CellContext`pty = Dynamic[
                Part[$CellContext`pt$$, 2]]; $CellContext`pt2x = Dynamic[
                Part[$CellContext`pt2$$, 1]]; $CellContext`pt2y = Dynamic[
                Part[$CellContext`pt2$$, 2]]; $CellContext`pt3x = Dynamic[
                Part[$CellContext`pt3$$, 1]]; $CellContext`pt3y = Dynamic[
                Part[$CellContext`pt3$$, 2]]; $CellContext`mandist1 = 
              Dynamic[
                Abs[
                Part[$CellContext`pt2$$, 
                   1] - $CellContext`xxx$$]]; $CellContext`mandist2 = 
              Dynamic[
                Abs[Part[$CellContext`pt3$$, 1] - $CellContext`xxx$$]]; 
             Deploy[
               Show[
                Plot[
                 $CellContext`f[$CellContext`x], {$CellContext`x, 
                  0, $CellContext`xmax}, PlotStyle -> Purple, 
                 PlotRange -> {{0, $CellContext`xmax}, {
                   0, $CellContext`ymax}}], 
                Graphics[{{
                   Lighter[Gray, 0.5], 
                   
                   Line[{{$CellContext`ptx, 
                    0}, {$CellContext`ptx, $CellContext`ymax}}], 
                   
                   Line[{{0, $CellContext`pty}, {$CellContext`xmax, \
$CellContext`pty}}]}, {Orange, 
                   If[$CellContext`autodelta$$, {
                    Line[{{
                    $CellContext`finv1[$CellContext`M$$], 0}, {
                    $CellContext`finv1[$CellContext`M$$], \
$CellContext`ymax}}], 
                    Line[{{
                    $CellContext`finv2[$CellContext`M$$], 0}, {
                    $CellContext`finv2[$CellContext`M$$], \
$CellContext`ymax}}]}, {
                    
                    Line[{{$CellContext`pt2x, 
                    0}, {$CellContext`pt2x, $CellContext`ymax}}], 
                    
                    Line[{{$CellContext`pt3x, 
                    0}, {$CellContext`pt3x, $CellContext`ymax}}]}]}, {
                   Darker[Green, 0.5], 
                   
                   Line[{{0, $CellContext`M$$}, {$CellContext`xmax, \
$CellContext`M$$}}]}, {Black, 
                   PointSize[0.015], 
                   Point[{
                    Dynamic[$CellContext`pt$$]}]}, {
                   Text[
                    Style["c", Italic, 16], {$CellContext`ptx, 2}]}, {
                   Text[
                    Style["M", Italic, 16], {0.2, $CellContext`M$$}]}}], 
                PlotRange -> {{0, $CellContext`xmax}, {0, $CellContext`ymax}},
                 ImagePadding -> 20, ImageSize -> {350, 350}, AspectRatio -> 
                1, PlotRangePadding -> Scaled[0.04], Ticks -> {
                  Union[
                   
                   Table[{$CellContext`n, $CellContext`n}, {$CellContext`n, 
                    0, $CellContext`xmax}], 
                   
                   Table[{$CellContext`n, ""}, {$CellContext`n, 
                    0.5, $CellContext`xmax, 1}]], 
                  Union[
                   
                   Table[{$CellContext`n, $CellContext`n}, {$CellContext`n, 
                    0, $CellContext`ymax, 10}], 
                   
                   Table[{$CellContext`n, ""}, {$CellContext`n, 
                    5, $CellContext`ymax, 10}]]}]], Appearance -> 
             Style["\[FilledCircle]", 
               Opacity[0]], Enabled -> Not[$CellContext`autodelta$$]], 
            Text[
             Style[
              Row[{
                Style["M", Italic], " = ", $CellContext`M$$}], 20, 
              Darker[Green, 0.5], Bold]], 
            Text[
             Style[
              Row[{
                StringJoin[" ", 
                 ToString[
                  Subscript[$CellContext`\[Delta], 1], TraditionalForm], 
                 " = "], 
                If[$CellContext`autodelta$$, 
                 Dynamic[
                  N[
                   
                   Abs[$CellContext`finv1[$CellContext`M$$] - \
$CellContext`xxx$$]]], $CellContext`mandist1], 
                StringJoin["     ", 
                 ToString[
                  Subscript[$CellContext`\[Delta], 2], TraditionalForm], 
                 " = "], 
                If[$CellContext`autodelta$$, 
                 Dynamic[
                  N[
                   
                   Abs[$CellContext`finv2[$CellContext`M$$] - \
$CellContext`xxx$$]]], $CellContext`mandist2]}], 20, Orange, Bold]]}], 
          Text[
           Style[
            Row[{
              TraditionalForm[
               Limit[
                HoldForm[
                1/($CellContext`x - $CellContext`c)^2], $CellContext`x -> \
$CellContext`c]], " = ", "\[Infinity]"}], 20]], Top]]), 
      "Specifications" :> {
       "Y1" -> {{$CellContext`M$$, 45.91988325710444, "M"}, 0.0001, 70, 
          ControlType -> VerticalSlider, ControlPlacement -> Left, 
          ImageSize -> {Automatic, 400}}, 
        "B1" -> {{$CellContext`autodelta$$, True, 
           "automatically calculate \[Delta] values"}, {True, False}, 
          ControlPlacement -> Bottom}, 
        "None" -> {{$CellContext`xxx$$, 3}, 0, 6, ControlType -> None}, 
        "None" -> {{$CellContext`pt$$, {3, 0}}, {0, 0}, {7, 0}, ControlType -> 
          None}, "None" -> {{$CellContext`pt2$$, {1, 0}}, {0, 0}, {7, 0}, 
          ControlType -> None}, 
        "None" -> {{$CellContext`pt3$$, {5, 0}}, {0, 0}, {7, 0}, ControlType -> 
          None}}, "Options" :> {
       TrackedSymbols :> {$CellContext`M$$, $CellContext`autodelta$$, \
$CellContext`pt2$$, $CellContext`pt3$$}, AutorunSequencing -> {1}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{434., {259., 264.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->227252503],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Infinite Limit at a Finite Point",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/InfiniteLimitAtAFinitePoint/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/InfiniteLimitAtAFinitePoint/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/InfiniteLimitAtAFinitePoint/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/InfiniteLimitAtAFinitePoint/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/InfiniteLimitAtAFinitePoint/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->272593061],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
InfiniteLimitAtAFinitePoint"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Infinite Limit at a Finite Point - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 224, 4, 70, "Section"],
Cell[817, 29, 18526, 442, 70, "Input",
 CellID->47373428]
}, Open  ]],
Cell[19358, 474, 9146, 197, 70, "Output",
 CellID->227252503],
Cell[CellGroupData[{
Cell[28529, 675, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[28905, 686, 962, 28, 70, "Text"],
Cell[29870, 716, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[30210, 727, 362, 13, 70, "Text",
 CellID->272593061],
Cell[CellGroupData[{
Cell[30597, 744, 829, 24, 70, "Text"],
Cell[31429, 770, 1203, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature mQNzEh4V@oxRjCDLm8YET2vo *)
