(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     24754,        630]
NotebookOptionsPosition[     23661,        589]
NotebookOutlinePosition[     24279,        613]
CellTagsIndexPosition[     24236,        610]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Infinite Limit at Infinity", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"xmax", "=", "12."}], ";", 
    RowBox[{"ymax", "=", "200."}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", "-", "3."}], ")"}], "^", "3."}], "+", "10."}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"finv", "[", "y_", "]"}], "=", 
     RowBox[{"3.", "-", 
      RowBox[{
       RowBox[{"Sign", "[", 
        RowBox[{"10.", "-", "y"}], "]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Abs", "[", 
          RowBox[{"10.", "-", "y"}], "]"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"1.", "/", "3."}], ")"}]}]}]}]}], ";", "\[IndentingNewLine]",
     "\[IndentingNewLine]", 
    RowBox[{"DynamicModule", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"pt", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"N", "@", "xxx"}], ",", "0."}], "}"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Deploy", "[", 
       RowBox[{"Labeled", "[", 
        RowBox[{
         RowBox[{"Column", "[", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
            "LocatorPane", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             
             RowBox[{
              RowBox[{"Dynamic", "[", 
               RowBox[{"pt", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"pt", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "0."}], "}"}]}], ";",
                     "\[IndentingNewLine]", 
                    RowBox[{"xxx", "=", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}]}], ")"}], "&"}], "}"}]}],
                "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"ptx", "=", 
                RowBox[{"Dynamic", "[", 
                 RowBox[{"pt", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";", " ", 
               RowBox[{"pty", "=", 
                RowBox[{"Dynamic", "[", 
                 RowBox[{"f", "[", 
                  RowBox[{"pt", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"ptx", ",", "pty"}], "}"}], "=", 
                RowBox[{"If", "[", 
                 RowBox[{"autodelta", ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"finv", "[", "M", "]"}], "]"}], ",", "M"}], "}"}],
                   ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"f", "[", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], "}"}]}], 
                 "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"Deploy", "[", 
                RowBox[{"Show", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{"f", "[", "x", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "0", ",", "xmax"}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", "Purple"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "xmax"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "ymax"}], "}"}]}], "}"}]}]}], "]"}], 
                  ",", "\[IndentingNewLine]", 
                  RowBox[{"Graphics", "[", 
                   RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Orange", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"ptx", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"ptx", ",", "ymax"}], "}"}]}], "}"}], "]"}]}], 
                    "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "M"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"xmax", ",", "M"}], "}"}]}], "}"}], "]"}]}], 
                    "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"ptx", ",", "0"}], "}"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<N\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"ptx", ",", "5"}], "}"}]}], "]"}], "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<M\>\"", ",", "Italic", ",", "16"}], "]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"0.5", ",", "M"}], "}"}]}], "]"}], "}"}]}], 
                    "\[IndentingNewLine]", "}"}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"PlotRange", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "xmax"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "ymax"}], "}"}]}], "}"}]}], ",", 
                  RowBox[{"ImagePadding", "\[Rule]", "20"}], ",", 
                  RowBox[{"ImageSize", "\[Rule]", "400"}], ",", 
                  RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Ticks", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", "n"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0", ",", "xmax"}], "}"}]}], "]"}], ",",
                     
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", "\"\<\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0.5", ",", "xmax", ",", "1"}], "}"}]}],
                     "]"}]}], "]"}], ",", 
                    RowBox[{"Union", "[", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", "n"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "0", ",", "ymax", ",", "10"}], "}"}]}], 
                    "]"}], ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"n", ",", "\"\<\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "5", ",", "ymax", ",", "10"}], "}"}]}], 
                    "]"}]}], "]"}]}], "}"}]}]}], "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Appearance", "\[Rule]", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<\[FilledCircle]\>\"", ",", 
                 RowBox[{"Opacity", "[", "0", "]"}]}], "]"}]}]}], 
             "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Row", "[", 
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Text", "@", 
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"Row", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<M\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", "M"}], "}"}], "]"}], ",", "20", ",", 
                  RowBox[{"Darker", "[", 
                   RowBox[{"Green", ",", "0.5"}], "]"}], ",", "Bold"}], 
                 "]"}]}], ",", "\"\<   \>\"", ",", "\[IndentingNewLine]", 
               RowBox[{"Text", "@", 
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"Row", "[", 
                   RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<N\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", "\[IndentingNewLine]", 
                    RowBox[{"N", "[", "ptx", "]"}]}], "\[IndentingNewLine]", 
                    "}"}], "]"}], ",", "20", ",", "Orange", ",", "Bold"}], 
                 "]"}]}]}], "}"}], "]"}]}], "\[IndentingNewLine]", "}"}], 
          "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"Text", "@", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"TraditionalForm", "[", 
                RowBox[{"Limit", "[", 
                 RowBox[{
                  RowBox[{"HoldForm", "[", 
                   RowBox[{"f", "[", "x", "]"}], "]"}], ",", 
                  RowBox[{"x", "\[Rule]", "\[Infinity]"}]}], "]"}], "]"}], 
               ",", "\"\< = \>\"", ",", "\"\<\[Infinity]\>\""}], "}"}], "]"}],
             ",", "20"}], "]"}]}], ",", "Top"}], "]"}], "]"}]}], 
     "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"M", ",", "20", ",", "\"\<M\>\""}], "}"}], ",", "0.0001", ",", 
     "ymax", ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", "400"}], "}"}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "autodelta", ",", "True", ",", "\"\<automatically calculate N\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Bottom"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xxx", ",", "10."}], "}"}], ",", "0", ",", "xmax", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"M", ",", "autodelta"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, {3.36865794037168*^9, 3.3686579588182*^9}, 
   3.36865827491272*^9, 3.36865856219582*^9, 3.36865879746412*^9, {
   3.36949330115993*^9, 3.36949330570425*^9}, {3.3738368393172526`*^9, 
   3.373836843073267*^9}, {3.374884294734375*^9, 3.374884296765625*^9}, {
   3.3868846535*^9, 3.38688465621875*^9}, {3.3870387722391872`*^9, 
   3.387038824333634*^9}, {3.3872169055544*^9, 3.3872169137043996`*^9}, {
   3.387217074418787*^9, 3.3872171260154033`*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`autodelta$$ = True, $CellContext`M$$ = 
    20, $CellContext`xxx$$ = 10., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`M$$], 20, "M"}, 0.0001, 200.}, {{
       Hold[$CellContext`autodelta$$], True, "automatically calculate N"}, {
      True, False}}, {{
       Hold[$CellContext`xxx$$], 10.}, 0, 12.}}, Typeset`size$$ = {
    400., {212., 244.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`M$140739$$ = 
    0, $CellContext`autodelta$140740$$ = False, $CellContext`xxx$140741$$ = 
    0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`autodelta$$ = True, $CellContext`M$$ = 
        20, $CellContext`xxx$$ = 10.}, "ControllerVariables" :> {
        Hold[$CellContext`M$$, $CellContext`M$140739$$, 0], 
        Hold[$CellContext`autodelta$$, $CellContext`autodelta$140740$$, 
         False], 
        Hold[$CellContext`xxx$$, $CellContext`xxx$140741$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`xmax = 12.; $CellContext`ymax = 
        200.; $CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]]] := ($CellContext`x - 3.)^3. + 10.; $CellContext`finv[
          Pattern[$CellContext`y, 
           Blank[]]] = 
        3. - Sign[10. - $CellContext`y] Abs[10. - $CellContext`y]^(1./3.); 
       DynamicModule[{$CellContext`pt = {
            N[$CellContext`xxx$$], 0.}}, 
         Deploy[
          Labeled[
           Column[{
             LocatorPane[
              Dynamic[$CellContext`pt, {($CellContext`pt = {
                   Part[#, 1], 0.}; $CellContext`xxx$$ = 
                 Part[#, 1])& }], $CellContext`ptx = Dynamic[
                 Part[$CellContext`pt, 1]]; $CellContext`pty = Dynamic[
                 $CellContext`f[
                  
                  Part[$CellContext`pt, 
                   1]]]; {$CellContext`ptx, $CellContext`pty} = 
               If[$CellContext`autodelta$$, {
                  Dynamic[
                   $CellContext`finv[$CellContext`M$$]], $CellContext`M$$}, {
                  Dynamic[
                   Part[$CellContext`pt, 1]], 
                  Dynamic[
                   $CellContext`f[
                    Part[$CellContext`pt, 1]]]}]; Deploy[
                Show[
                 Plot[
                  $CellContext`f[$CellContext`x], {$CellContext`x, 
                   0, $CellContext`xmax}, PlotStyle -> Purple, 
                  PlotRange -> {{0, $CellContext`xmax}, {
                    0, $CellContext`ymax}}], 
                 Graphics[{{Orange, 
                    
                    Line[{{$CellContext`ptx, 
                    0}, {$CellContext`ptx, $CellContext`ymax}}]}, {
                    Darker[Green, 0.5], 
                    
                    Line[{{0, $CellContext`M$$}, {$CellContext`xmax, \
$CellContext`M$$}}]}, {Black, 
                    PointSize[0.015], 
                    Point[{$CellContext`ptx, 0}]}, {
                    Text[
                    Style["N", Italic, 16], {$CellContext`ptx, 5}]}, {
                    Text[
                    Style["M", Italic, 16], {0.5, $CellContext`M$$}]}}], 
                 PlotRange -> {{0, $CellContext`xmax}, {
                   0, $CellContext`ymax}}, ImagePadding -> 20, ImageSize -> 
                 400, AspectRatio -> 1, Ticks -> {
                   Union[
                    
                    Table[{$CellContext`n, $CellContext`n}, {$CellContext`n, 
                    0, $CellContext`xmax}], 
                    
                    Table[{$CellContext`n, ""}, {$CellContext`n, 
                    0.5, $CellContext`xmax, 1}]], 
                   Union[
                    
                    Table[{$CellContext`n, $CellContext`n}, {$CellContext`n, 
                    0, $CellContext`ymax, 10}], 
                    Table[{$CellContext`n, ""}, {$CellContext`n, 
                    5, $CellContext`ymax, 10}]]}]], Appearance -> 
              Style["\[FilledCircle]", 
                Opacity[0]]], 
             Row[{
               Text[
                Style[
                 Row[{
                   Style["M", Italic], " = ", $CellContext`M$$}], 20, 
                 Darker[Green, 0.5], Bold]], "   ", 
               Text[
                Style[
                 Row[{" ", 
                   Style["N", Italic], " = ", 
                   N[$CellContext`ptx]}], 20, Orange, Bold]]}]}], 
           Text[
            Style[
             Row[{
               TraditionalForm[
                Limit[
                 HoldForm[
                  $CellContext`f[$CellContext`x]], $CellContext`x -> 
                 Infinity]], " = ", "\[Infinity]"}], 20]], Top]]]), 
      "Specifications" :> {{{$CellContext`M$$, 20, "M"}, 0.0001, 200., 
         ControlType -> VerticalSlider, ControlPlacement -> Left, 
         ImageSize -> {Automatic, 400}}, {{$CellContext`autodelta$$, True, 
          "automatically calculate N"}, {True, False}, ControlPlacement -> 
         Bottom}, {{$CellContext`xxx$$, 10.}, 0, 12., ControlType -> None}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`M$$, $CellContext`autodelta$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{484., {265., 270.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->13149265],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Infinite Limit at Infinity",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/InfiniteLimitAtInfinity/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/InfiniteLimitAtInfinity/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/InfiniteLimitAtInfinity/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/InfiniteLimitAtInfinity/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/InfiniteLimitAtInfinity/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->272593061],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
InfiniteLimitAtInfinity"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Infinite Limit at Infinity - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 218, 4, 70, "Section"],
Cell[811, 29, 12632, 292, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[13458, 324, 6095, 133, 70, "Output",
 CellID->13149265],
Cell[CellGroupData[{
Cell[19578, 461, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[19954, 472, 918, 24, 70, "Text"],
Cell[20875, 498, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[21215, 509, 362, 13, 70, "Text",
 CellID->272593061],
Cell[CellGroupData[{
Cell[21602, 526, 829, 24, 70, "Text"],
Cell[22434, 552, 1199, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature bQzKpq7nqv2NMATx8xXzEwpl *)
