(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15647,        438]
NotebookOptionsPosition[     14584,        398]
NotebookOutlinePosition[     15196,        422]
CellTagsIndexPosition[     15153,        419]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Inset Plot Magnifier", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{"f", ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"-", ".5"}], ",", "2"}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1.5"}], ",", "1.0"}], "}"}]}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "400"}]}], "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"Inset", "[", 
        RowBox[{
         RowBox[{"Plot", "[", 
          RowBox[{"f", ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{
              RowBox[{"a", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "-", 
              RowBox[{".5", "/", "mag"}]}], ",", 
             RowBox[{
              RowBox[{"a", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "+", 
              RowBox[{".5", "/", "mag"}]}]}], "}"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"a", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "-", 
               RowBox[{".5", "/", "mag"}]}], ",", 
              RowBox[{
               RowBox[{"a", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "+", 
               RowBox[{".5", "/", "mag"}]}]}], "}"}]}], ",", 
           RowBox[{"Frame", "\[Rule]", "True"}], ",", 
           RowBox[{"FrameStyle", "\[Rule]", "Red"}], ",", 
           RowBox[{"FrameTicks", "\[Rule]", "None"}], ",", 
           RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
           RowBox[{"Background", "\[Rule]", "White"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1.2", ",", 
           RowBox[{"-", ".8"}]}], "}"}], ",", "Automatic", ",", "1.4"}], 
        "]"}], "]"}]}], "}"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"{", 
        RowBox[{".1", ",", 
         RowBox[{"-", ".1"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", ".5"}], ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1.5"}], "}"}], ",", "Locator", ",", " ", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Red", ",", 
          RowBox[{"Opacity", "[", ".5", "]"}], ",", 
          RowBox[{"Polygon", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "1"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "1"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"Round", "[", 
          RowBox[{"200", "/", "mag"}], "]"}]}]}], "]"}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mag", ",", "3", ",", "\"\<magnification\>\""}], "}"}], ",", 
     "2", ",", "20", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"Sin", "[", 
        RowBox[{"1", "/", "x"}], "]"}], ",", "\"\<function\>\""}], "}"}], ",",
      
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", 
         RowBox[{"1", "/", "x"}], "]"}], "\[Rule]", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{"Sin", "[", 
           RowBox[{"1", "/", "x"}], "]"}], ",", "TraditionalForm"}], "]"}]}], 
       ",", 
       RowBox[{
        RowBox[{"x", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"1", "/", "x"}], "]"}]}], "\[Rule]", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{"x", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"1", "/", "x"}], "]"}]}], ",", "TraditionalForm"}], 
         "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"Log", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x", "+", "1.02"}], ")"}], "^", "2"}], "]"}], 
         RowBox[{"Sin", "[", 
          RowBox[{"1", "/", "x"}], "]"}]}], "\[Rule]", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"x", "+", "1.02"}], ")"}], "^", "2"}], "]"}], 
           RowBox[{"Sin", "[", 
            RowBox[{"1", "/", "x"}], "]"}]}], ",", "TraditionalForm"}], 
         "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "^", "2"}], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"1", "/", "x"}], "]"}]}], "\[Rule]", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"x", "^", "2"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"1", "/", "x"}], "]"}]}], ",", "TraditionalForm"}], 
         "]"}]}]}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.3822062822281437`*^9, {3.382386468819062*^9, 
   3.382386532084687*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = {
    0.038000000000000034`, -0.395}, $CellContext`f$$ = 
    Sin[$CellContext`x^(-1)], $CellContext`mag$$ = 3, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], {0.1, -0.1}}, {-0.5, -1}, {2, 1.5}}, {{
       Hold[$CellContext`mag$$], 3, "magnification"}, 2, 20}, {{
       Hold[$CellContext`f$$], 
       Sin[$CellContext`x^(-1)], "function"}, {
      Sin[$CellContext`x^(-1)] -> 
       "\!\(TraditionalForm\`\(sin(\(\(1\/x\)\))\)\)", $CellContext`x 
        Sin[$CellContext`x^(-1)] -> 
       "\!\(TraditionalForm\`\(x\\ \(\(sin(\(\(1\/x\)\))\)\)\)\)", 
       Log[(1.02 + $CellContext`x)^2] Sin[$CellContext`x^(-1)] -> 
       "\!\(TraditionalForm\`\(\(\(log(\(\(\((x + 1.02`)\)\^2\)\))\)\)\\ \
\(\(sin(\(\(1\/x\)\))\)\)\)\)", $CellContext`x^2 Sin[$CellContext`x^(-1)] -> 
       "\!\(TraditionalForm\`\(x\^2\\ \(\(sin(\(\(1\/x\)\))\)\)\)\)"}}}, 
    Typeset`size$$ = {400., {195., 199.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$534263$$ = {0, 0}, $CellContext`mag$534264$$ = 
    0, $CellContext`f$534265$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = {0.1, -0.1}, $CellContext`f$$ = 
        Sin[$CellContext`x^(-1)], $CellContext`mag$$ = 3}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$534263$$, {0, 0}], 
        Hold[$CellContext`mag$$, $CellContext`mag$534264$$, 0], 
        Hold[$CellContext`f$$, $CellContext`f$534265$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[{
         Plot[$CellContext`f$$, {$CellContext`x, -0.5, 2}, 
          PlotRange -> {-1.5, 1.}, AspectRatio -> Automatic, ImageSize -> 
          400], 
         Graphics[
          Inset[
           
           Plot[$CellContext`f$$, {$CellContext`x, Part[$CellContext`a$$, 1] - 
             0.5/$CellContext`mag$$, Part[$CellContext`a$$, 1] + 
             0.5/$CellContext`mag$$}, 
            PlotRange -> {
             Part[$CellContext`a$$, 2] - 0.5/$CellContext`mag$$, 
              Part[$CellContext`a$$, 2] + 0.5/$CellContext`mag$$}, Frame -> 
            True, FrameStyle -> Red, FrameTicks -> None, AspectRatio -> 
            Automatic, Background -> White], {1.2, -0.8}, Automatic, 1.4]]}], 
      "Specifications" :> {{{$CellContext`a$$, {0.1, -0.1}}, {-0.5, -1}, {
         2, 1.5}, ControlType -> Locator, Appearance -> Dynamic[
           Graphics[{Red, 
             Opacity[0.5], 
             Polygon[{{0, 0}, {0, 1}, {1, 1}, {1, 0}}]}, ImageSize -> 
            Round[200/$CellContext`mag$$]]]}, {{$CellContext`mag$$, 3, 
          "magnification"}, 2, 20, Appearance -> 
         "Labeled"}, {{$CellContext`f$$, 
          Sin[$CellContext`x^(-1)], "function"}, {
         Sin[$CellContext`x^(-1)] -> 
          "\!\(TraditionalForm\`\(sin(\(\(1\/x\)\))\)\)", $CellContext`x 
           Sin[$CellContext`x^(-1)] -> 
          "\!\(TraditionalForm\`\(x\\ \(\(sin(\(\(1\/x\)\))\)\)\)\)", 
          Log[(1.02 + $CellContext`x)^2] Sin[$CellContext`x^(-1)] -> 
          "\!\(TraditionalForm\`\(\(\(log(\(\(\((x + 1.02`)\)\^2\)\))\)\)\\ \
\(\(sin(\(\(1\/x\)\))\)\)\)\)", $CellContext`x^2 Sin[$CellContext`x^(-1)] -> 
          "\!\(TraditionalForm\`\(x\^2\\ \(\(sin(\(\(1\/x\)\))\)\)\)\)"}}}, 
      "Options" :> {}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {256., 261.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->79899408],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Inset Plot Magnifier",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/InsetPlotMagnifier/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/InsetPlotMagnifier/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/InsetPlotMagnifier/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/InsetPlotMagnifier/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/InsetPlotMagnifier/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ed Pegg Jr",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->719108132],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
InsetPlotMagnifier"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Inset Plot Magnifier - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 212, 4, 70, "Section"],
Cell[805, 29, 5388, 152, 70, "Input"]
}, Open  ]],
Cell[6208, 184, 4219, 80, 70, "Output",
 CellID->79899408],
Cell[CellGroupData[{
Cell[10452, 268, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10828, 279, 887, 24, 70, "Text"],
Cell[11718, 305, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[12058, 316, 447, 15, 70, "Text",
 CellID->719108132],
Cell[CellGroupData[{
Cell[12530, 335, 829, 24, 70, "Text"],
Cell[13362, 361, 1194, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature VQjJMrjw9Pb86AppxnPol#oq *)
