(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     12675,        370]
NotebookOptionsPosition[     11532,        326]
NotebookOutlinePosition[     12137,        350]
CellTagsIndexPosition[     12094,        347]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Squeeze Theorem", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x", "n"], " ", 
        RowBox[{"Sin", "[", 
         FractionBox["1", "x"], "]"}]}], ",", 
       RowBox[{"Abs", "[", 
        SuperscriptBox["x", "n"], "]"}], ",", 
       RowBox[{"-", 
        RowBox[{"Abs", "[", 
         SuperscriptBox["x", "n"], "]"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", 
        SuperscriptBox["10", 
         RowBox[{"-", "i"}]]}], ",", 
       SuperscriptBox["10", 
        RowBox[{"-", "i"}]]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Red"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Blue"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"MaxRecursion", "\[Rule]", "8"}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"10", ",", "10"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"10", ",", "50"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"TraditionalForm", "[", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"Abs", "[", 
              RowBox[{"x", "^", "n"}], "]"}]}], ",", "Blue"}], "]"}], ",", 
          "\"\< \[LessEqual] \>\"", ",", 
          RowBox[{
           RowBox[{"x", "^", "n"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"1", "/", "x"}], "]"}]}], ",", "\"\< \[LessEqual] \>\"", 
          ",", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Abs", "[", 
             RowBox[{"x", "^", "n"}], "]"}], ",", "Red"}], "]"}]}], "}"}], 
        "]"}], "]"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"550", ",", "400"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "\"\<zoom\>\""}], "}"}], ",", "0", ",", 
     "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.397040802028788*^9, 3.397040839205132*^9}, {
   3.39704087860938*^9, 3.397041067156061*^9}, {3.3970412134126797`*^9, 
   3.397041242431109*^9}, {3.397041323103863*^9, 3.397041327886838*^9}, {
   3.3970413816311007`*^9, 3.397041383990635*^9}, {3.397041592401753*^9, 
   3.3970416157265987`*^9}, {3.3970416859689713`*^9, 3.397041710518581*^9}, {
   3.3970535456305323`*^9, 3.397053554540284*^9}, {3.398375715115868*^9, 
   3.398375728958631*^9}, {3.398721250243656*^9, 3.3987212924919367`*^9}, {
   3.400695120780093*^9, 3.4006951470339317`*^9}, {3.400695187762843*^9, 
   3.400695233465542*^9}, {3.400706357515462*^9, 3.400706367871763*^9}, {
   3.405169170791752*^9, 3.405169342171795*^9}, {3.40516978704947*^9, 
   3.40516980366068*^9}, {3.405258025542595*^9, 3.405258029355669*^9}, {
   3.405258084670409*^9, 3.4052580929807663`*^9}, {3.40554396322311*^9, 
   3.405543969193619*^9}, {3.405544254359351*^9, 3.405544272966839*^9}, {
   3.4055469121488543`*^9, 3.405546919058406*^9}, {3.405608152890625*^9, 
   3.405608397578125*^9}, {3.40560843253125*^9, 3.405608478703125*^9}, {
   3.405608510046875*^9, 3.40560853846875*^9}, {3.405608611578125*^9, 
   3.40560868778125*^9}, 3.4058642771885986`*^9},
 CellID->276800549]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`i$$ = 0, $CellContext`n$$ = 1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 1}, {0, 1, 2, 3}}, {{
       Hold[$CellContext`i$$], 0, "zoom"}, 0, 3}}, Typeset`size$$ = {
    550., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$18864$$ = 
    0, $CellContext`i$18865$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`i$$ = 0, $CellContext`n$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$18864$$, 0], 
        Hold[$CellContext`i$$, $CellContext`i$18865$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[{$CellContext`x^$CellContext`n$$ Sin[1/$CellContext`x], 
         Abs[$CellContext`x^$CellContext`n$$], -
         Abs[$CellContext`x^$CellContext`n$$]}, {$CellContext`x, \
-10^(-$CellContext`i$$), 10^(-$CellContext`i$$)}, 
        PlotStyle -> {Black, {Thick, Red}, {Thick, Blue}}, MaxRecursion -> 8, 
        ImagePadding -> {{10, 10}, {10, 50}}, PlotLabel -> TraditionalForm[
          Row[{
            Style[-Abs[$CellContext`x^$CellContext`n$$], Blue], 
            " \[LessEqual] ", $CellContext`x^$CellContext`n$$ 
            Sin[1/$CellContext`x], " \[LessEqual] ", 
            Style[
             Abs[$CellContext`x^$CellContext`n$$], Red]}]], 
        ImageSize -> {550, 400}], 
      "Specifications" :> {{{$CellContext`n$$, 1}, {0, 1, 2, 
         3}}, {{$CellContext`i$$, 0, "zoom"}, 0, 3}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{594., {254., 259.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->149498675],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Squeeze Theorem",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SqueezeTheorem/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SqueezeTheorem/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/SqueezeTheorem/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SqueezeTheorem/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SqueezeTheorem/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Bruce Atwood",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Bruce+Atwood"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Bruce+Atwood"],
 " (Beloit College)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "After work by: ",
 ButtonBox["Selwyn Hollis",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Selwyn+Hollis"],
     None}],
 " (Armstrong Atlantic State University)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->2035810393]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
SqueezeTheorem"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{774, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Squeeze Theorem - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 207, 4, 70, "Section"],
Cell[800, 29, 3697, 92, 70, "Input",
 CellID->276800549]
}, Open  ]],
Cell[4512, 124, 2436, 49, 70, "Output",
 CellID->149498675],
Cell[CellGroupData[{
Cell[6973, 177, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[7349, 188, 862, 24, 70, "Text"],
Cell[8214, 214, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[8576, 227, 455, 15, 70, "Text"],
Cell[9034, 244, 411, 14, 70, "Text",
 CellID->2035810393]
}, Open  ]],
Cell[CellGroupData[{
Cell[9482, 263, 829, 24, 70, "Text"],
Cell[10314, 289, 1190, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature tRjZzMfP513wTB0qs8W#TwOt *)
