(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     32516,        841]
NotebookOptionsPosition[     31457,        802]
NotebookOutlinePosition[     32081,        826]
CellTagsIndexPosition[     32038,        823]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["A Function with a Jump Discontinuity", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x0", "=", "0.5"}], ",", 
       RowBox[{"f", "=", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"x", "<", "0.5"}], ",", 
          RowBox[{"x", "/", "2"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"x", "\[Equal]", "0.5"}], ",", "0.5", ",", 
            RowBox[{
             RowBox[{"k", 
              RowBox[{"(", 
               RowBox[{"x", "-", "0.5"}], ")"}]}], "+", "0.5"}]}], "]"}]}], 
         "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Show", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Plot", "[", 
        RowBox[{"f", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "0.1"}], ",", "1"}], "}"}], ",", 
         RowBox[{"Ticks", "\[Rule]", "None"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", "Thick", "}"}]}], ",", 
         RowBox[{"Exclusions", "\[Rule]", 
          RowBox[{"{", "0.5", "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", ".2"}], ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", ".2"}], ",", "1"}], "}"}]}], "}"}]}]}], "]"}], ",",
        
       RowBox[{"If", "[", 
        RowBox[{"hint2", ",", "\[IndentingNewLine]", 
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{"\"\<|\>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                   "\"\< - \>\"", ",", 
                   RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "0"}], 
                    "]"}], ",", "\"\<| < \[Delta]  \>\""}], "}"}], "]"}], ",",
                 "14"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{".2", ",", "0.93"}], "}"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Abs", "[", 
                RowBox[{"x1", "-", "x0"}], "]"}], "<", "\[Delta]"}], ",", 
              RowBox[{"{", 
               RowBox[{".5", ",", "0.93"}], "}"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{"\"\<|\>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                   "\"\<(\>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                   "\"\<) - \>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                   "\"\<(\>\"", ",", 
                   RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "0"}], 
                    "]"}], ",", "\"\<)| \[GreaterEqual] \[Epsilon]\>\""}], 
                  "}"}], "]"}], ",", "14"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{".2", ",", "0.83"}], "}"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Evaluate", "[", 
               RowBox[{
                RowBox[{"Abs", "[", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"f", "/.", 
                    RowBox[{"{", 
                    RowBox[{"x", "\[Rule]", "x1"}], "}"}]}], ")"}], "-", 
                  "y0"}], "]"}], "\[GreaterEqual]", "\[Epsilon]"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{".5", ",", "0.83"}], "}"}]}], "]"}]}], "}"}], "]"}], 
         ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"{", "}"}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"0.5", ",", "y0"}], "}"}], "]"}], ",", "Brown", ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{".5", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{".5", ",", "y0"}], "}"}]}], "}"}], "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "y0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{".5", ",", "y0"}], "}"}]}], "}"}], "]"}], ",", 
          RowBox[{"Thickness", "[", "0.02", "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"y0", "-", "\[Epsilon]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"y0", "+", "\[Epsilon]"}]}], "}"}]}], "}"}], "]"}], 
          ",", 
          RowBox[{"Thickness", "[", "0.01", "]"}], ",", "Orange", ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", 
                  RowBox[{".5", "-", "\[Delta]"}]}], "}"}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", 
                  RowBox[{".5", "-", "0.00001"}]}], "}"}]}]}], "}"}]}], "}"}],
            "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "-", "\[Delta]"}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "+", "\[Delta]"}], ",", "0"}], "}"}]}], "}"}], 
           "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", 
                  RowBox[{".5", "+", "\[Delta]"}]}], "}"}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", 
                  RowBox[{".5", "+", "0.00001"}]}], "}"}]}]}], "}"}]}], "}"}],
            "]"}], ",", "Cyan", ",", 
          RowBox[{"Thickness", "[", "0.001", "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x1", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"x1", ",", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", "x1"}], "}"}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", "x1"}], "}"}]}]}], "}"}]}], "}"}], 
           "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<x\>\"", ",", "10"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", 
              RowBox[{"-", ".05"}]}], "}"}]}], "]"}], ",", "Black", ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\)\>\"", ",", "10"}], "]"}],
             ",", 
            RowBox[{"{", 
             RowBox[{".5", ",", 
              RowBox[{"-", ".05"}]}], "}"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<\!\(\*SubscriptBox[\(y\), \(0\)]\)\>\"", ",", "10"}], "]"}],
             ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", ".05"}], ",", "y0"}], "}"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\) - \[Delta]\>\"", ",", 
              "10"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x0", "-", "\[Delta]"}], ",", 
              RowBox[{"-", ".1"}]}], "}"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\) + \[Delta]\>\"", ",", 
              "10"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x0", "+", "\[Delta]"}], ",", 
              RowBox[{"-", ".1"}]}], "}"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<\!\(\*SubscriptBox[\(y\), \(0\)]\) - \[Epsilon]\>\"", ",", 
              "10"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", ".1"}], ",", 
              RowBox[{"y0", "-", "\[Epsilon]"}]}], "}"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<\!\(\*SubscriptBox[\(y\), \(0\)]\) + \[Epsilon]\>\"", ",", 
              "10"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", ".1"}], ",", 
              RowBox[{"y0", "+", "\[Epsilon]"}]}], "}"}]}], "]"}], ",", 
          RowBox[{"Thickness", "[", "0.001", "]"}], ",", "Pink", ",", 
          RowBox[{"If", "[", 
           RowBox[{"hint", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"x0", "-", "\[Delta]"}], ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"x0", "-", "\[Delta]"}], ",", 
                   RowBox[{"f", "/.", 
                    RowBox[{"{", 
                    RowBox[{"x", "\[Rule]", 
                    RowBox[{"x0", "-", "\[Delta]"}]}], "}"}]}]}], "}"}], ",", 
                 
                 RowBox[{"{", 
                  RowBox[{"0", ",", 
                   RowBox[{"f", "/.", 
                    RowBox[{"{", 
                    RowBox[{"x", "\[Rule]", 
                    RowBox[{"x0", "-", "\[Delta]"}]}], "}"}]}]}], "}"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"x0", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x0", ",", 
                   RowBox[{"f", "/.", 
                    RowBox[{"{", 
                    RowBox[{"x", "\[Rule]", 
                    RowBox[{"x0", "-", "0.0001"}]}], "}"}]}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", 
                   RowBox[{"f", "/.", 
                    RowBox[{"{", 
                    RowBox[{"x", "\[Rule]", 
                    RowBox[{"x0", "-", "0.0001"}]}], "}"}]}]}], "}"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"x0", "+", "\[Delta]"}], ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"x0", "+", "\[Delta]"}], ",", 
                   RowBox[{"f", "/.", 
                    RowBox[{"{", 
                    RowBox[{"x", "\[Rule]", 
                    RowBox[{"x0", "+", "\[Delta]"}]}], "}"}]}]}], "}"}], ",", 
                 
                 RowBox[{"{", 
                  RowBox[{"0", ",", 
                   RowBox[{"f", "/.", 
                    RowBox[{"{", 
                    RowBox[{"x", "\[Rule]", 
                    RowBox[{"x0", "+", "\[Delta]"}]}], "}"}]}]}], "}"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"x0", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x0", ",", 
                   RowBox[{"f", "/.", 
                    RowBox[{"{", 
                    RowBox[{"x", "\[Rule]", 
                    RowBox[{"x0", "+", "0.0001"}]}], "}"}]}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", 
                   RowBox[{"f", "/.", 
                    RowBox[{"{", 
                    RowBox[{"x", "\[Rule]", 
                    RowBox[{"x0", "+", "0.0001"}]}], "}"}]}]}], "}"}]}], 
                "}"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", "}"}]}], "]"}]}], "}"}], "]"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"350", ",", "300"}], "}"}]}]}], "]"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k", ",", "1.5", ",", "\"\<slope\>\""}], "}"}], ",", "0.5", ",",
      "2", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "y0", ",", "0.4", ",", 
       "\"\<\!\(\*SubscriptBox[\(y\), \(0\)]\) = f(\!\(\*SubscriptBox[\(x\), \
\(0\)]\))\>\""}], "}"}], ",", ".25", ",", ".5", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Epsilon]", ",", "0.25", ",", "\"\<determine \[Epsilon]\>\""}], "}"}],
      ",", "0.03", ",", "0.3", ",", ".001", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Delta]", ",", "0.1", ",", "\"\<choose \[Delta]\>\""}], "}"}],
      ",", "0.0001", ",", "0.3", ",", ".001", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x1", ",", ".25", ",", "\"\<find x\>\""}], "}"}], ",", "0", ",",
      "1", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "hint", ",", "False", ",", "\"\<vertical/\\nhorizontal lines\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"hint2", ",", "True", ",", "\"\<show text\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.42970619159375*^9, 3.42970619565625*^9}, {
   3.4298881845029373`*^9, 3.4298883166941547`*^9}, {3.4298892728366203`*^9, 
   3.429889298824155*^9}, {3.430141509873958*^9, 3.430141516856656*^9}, {
   3.4302339002765455`*^9, 3.4302339313646545`*^9}, {3.4302339697964973`*^9, 
   3.4302340602595425`*^9}, {3.4302511791144323`*^9, 3.4302512140208*^9}, {
   3.430251273065545*^9, 3.430251380342144*^9}, 3.430251414457709*^9, 
   3.4302515187057743`*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`hint$$ = False, $CellContext`hint2$$ = 
    True, $CellContext`k$$ = 1.5, $CellContext`x1$$ = 
    0.17, $CellContext`y0$$ = 0.4, $CellContext`\[Delta]$$ = 
    0.1, $CellContext`\[Epsilon]$$ = 0.25, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`k$$], 1.5, "slope"}, 0.5, 2, 0.01}, {{
       Hold[$CellContext`y0$$], 0.4, 
       "\!\(\*SubscriptBox[\(y\), \(0\)]\) = f(\!\(\*SubscriptBox[\(x\), \
\(0\)]\))"}, 0.25, 0.5, 0.01}, {{
       Hold[$CellContext`\[Epsilon]$$], 0.25, "determine \[Epsilon]"}, 0.03, 
      0.3, 0.001}, {{
       Hold[$CellContext`\[Delta]$$], 0.1, "choose \[Delta]"}, 0.0001, 0.3, 
      0.001}, {{
       Hold[$CellContext`x1$$], 0.17, "find x"}, 0, 1, 0.01}, {{
       Hold[$CellContext`hint$$], False, "vertical/\nhorizontal lines"}, {
      False, True}}, {{
       Hold[$CellContext`hint2$$], True, "show text"}, {False, True}}}, 
    Typeset`size$$ = {350., {148., 152.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True, $CellContext`k$7657$$ =
     0, $CellContext`y0$7658$$ = 0, $CellContext`\[Epsilon]$7659$$ = 
    0, $CellContext`\[Delta]$7660$$ = 0, $CellContext`x1$7661$$ = 
    0, $CellContext`hint$7662$$ = False, $CellContext`hint2$7663$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`hint$$ = False, $CellContext`hint2$$ = 
        True, $CellContext`k$$ = 1.5, $CellContext`x1$$ = 
        0.17, $CellContext`y0$$ = 0.4, $CellContext`\[Delta]$$ = 
        0.1, $CellContext`\[Epsilon]$$ = 0.25}, "ControllerVariables" :> {
        Hold[$CellContext`k$$, $CellContext`k$7657$$, 0], 
        Hold[$CellContext`y0$$, $CellContext`y0$7658$$, 0], 
        Hold[$CellContext`\[Epsilon]$$, $CellContext`\[Epsilon]$7659$$, 0], 
        Hold[$CellContext`\[Delta]$$, $CellContext`\[Delta]$7660$$, 0], 
        Hold[$CellContext`x1$$, $CellContext`x1$7661$$, 0], 
        Hold[$CellContext`hint$$, $CellContext`hint$7662$$, False], 
        Hold[$CellContext`hint2$$, $CellContext`hint2$7663$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`x0$ = 0.5, $CellContext`f$ = 
         If[DemonstrationsTools`x < 0.5, DemonstrationsTools`x/2, 
           If[
           DemonstrationsTools`x == 0.5, 
            0.5, $CellContext`k$$ (DemonstrationsTools`x - 0.5) + 0.5]]}, 
        Show[
         Plot[$CellContext`f$, {DemonstrationsTools`x, -0.1, 1}, Ticks -> 
          None, PlotStyle -> {Thick}, Exclusions -> {0.5}, 
          PlotRange -> {{-0.2, 1}, {-0.2, 1}}], 
         If[$CellContext`hint2$$, 
          Graphics[{
            Text[
             Style[
              Row[{"|", 
                Style["x", Italic], " - ", 
                Subscript[
                 Style["x", Italic], 0], "| < \[Delta]  "}], 14], {0.2, 
             0.93}], 
            Text[
            Abs[$CellContext`x1$$ - $CellContext`x0$] < \
$CellContext`\[Delta]$$, {0.5, 0.93}], 
            Text[
             Style[
              Row[{"|", 
                Style["f", Italic], "(", 
                Style["x", Italic], ") - ", 
                Style["f", Italic], "(", 
                Subscript[
                 Style["x", Italic], 0], ")| \[GreaterEqual] \[Epsilon]"}], 
              14], {0.2, 0.83}], 
            Text[
             Evaluate[
             Abs[ReplaceAll[$CellContext`f$, {
                  DemonstrationsTools`x -> $CellContext`x1$$}] - \
$CellContext`y0$$] >= $CellContext`\[Epsilon]$$], {0.5, 0.83}]}], 
          Graphics[{}]], 
         Graphics[{Blue, 
           PointSize[0.02], 
           Point[{0.5, $CellContext`y0$$}], Brown, 
           Line[{{0.5, 0}, {0.5, $CellContext`y0$$}}], 
           Line[{{0, $CellContext`y0$$}, {0.5, $CellContext`y0$$}}], 
           Thickness[0.02], 
           
           Line[{{0, $CellContext`y0$$ - $CellContext`\[Epsilon]$$}, {
             0, $CellContext`y0$$ + $CellContext`\[Epsilon]$$}}], 
           Thickness[0.01], Orange, 
           Line[{{0, 
              
              ReplaceAll[$CellContext`f$, {
               DemonstrationsTools`x -> 0.5 - $CellContext`\[Delta]$$}]}, {
             0, 
              
              ReplaceAll[$CellContext`f$, {
               DemonstrationsTools`x -> 0.5 - 0.00001}]}}], 
           
           Line[{{$CellContext`x0$ - $CellContext`\[Delta]$$, 
              0}, {$CellContext`x0$ + $CellContext`\[Delta]$$, 0}}], 
           Line[{{0, 
              
              ReplaceAll[$CellContext`f$, {
               DemonstrationsTools`x -> 0.5 + $CellContext`\[Delta]$$}]}, {
             0, 
              
              ReplaceAll[$CellContext`f$, {
               DemonstrationsTools`x -> 0.5 + 0.00001}]}}], Cyan, 
           Thickness[0.001], 
           Line[{{$CellContext`x1$$, 0}, {$CellContext`x1$$, 
              
              ReplaceAll[$CellContext`f$, {
               DemonstrationsTools`x -> $CellContext`x1$$}]}, {0, 
              
              ReplaceAll[$CellContext`f$, {
               DemonstrationsTools`x -> $CellContext`x1$$}]}}], 
           Text[
            Style["x", 10], {$CellContext`x1$$, -0.05}], Black, 
           Text[
            Style["\!\(\*SubscriptBox[\(x\), \(0\)]\)", 10], {0.5, -0.05}], 
           Text[
            Style[
            "\!\(\*SubscriptBox[\(y\), \(0\)]\)", 
             10], {-0.05, $CellContext`y0$$}], 
           Text[
            Style[
            "\!\(\*SubscriptBox[\(x\), \(0\)]\) - \[Delta]", 
             10], {$CellContext`x0$ - $CellContext`\[Delta]$$, -0.1}], 
           Text[
            Style[
            "\!\(\*SubscriptBox[\(x\), \(0\)]\) + \[Delta]", 
             10], {$CellContext`x0$ + $CellContext`\[Delta]$$, -0.1}], 
           Text[
            Style[
            "\!\(\*SubscriptBox[\(y\), \(0\)]\) - \[Epsilon]", 
             10], {-0.1, $CellContext`y0$$ - $CellContext`\[Epsilon]$$}], 
           Text[
            Style[
            "\!\(\*SubscriptBox[\(y\), \(0\)]\) + \[Epsilon]", 
             10], {-0.1, $CellContext`y0$$ + $CellContext`\[Epsilon]$$}], 
           Thickness[0.001], Pink, 
           If[$CellContext`hint$$, {
             
             Line[{{$CellContext`x0$ - $CellContext`\[Delta]$$, 
                0}, {$CellContext`x0$ - $CellContext`\[Delta]$$, 
                
                ReplaceAll[$CellContext`f$, {
                 DemonstrationsTools`x -> $CellContext`x0$ - $CellContext`\
\[Delta]$$}]}, {0, 
                
                ReplaceAll[$CellContext`f$, {
                 DemonstrationsTools`x -> $CellContext`x0$ - $CellContext`\
\[Delta]$$}]}}], 
             Line[{{$CellContext`x0$, 0}, {$CellContext`x0$, 
                
                ReplaceAll[$CellContext`f$, {
                 DemonstrationsTools`x -> $CellContext`x0$ - 0.0001}]}, {0, 
                
                ReplaceAll[$CellContext`f$, {
                 DemonstrationsTools`x -> $CellContext`x0$ - 0.0001}]}}], 
             
             Line[{{$CellContext`x0$ + $CellContext`\[Delta]$$, 
                0}, {$CellContext`x0$ + $CellContext`\[Delta]$$, 
                
                ReplaceAll[$CellContext`f$, {
                 DemonstrationsTools`x -> $CellContext`x0$ + $CellContext`\
\[Delta]$$}]}, {0, 
                
                ReplaceAll[$CellContext`f$, {
                 DemonstrationsTools`x -> $CellContext`x0$ + $CellContext`\
\[Delta]$$}]}}], 
             Line[{{$CellContext`x0$, 0}, {$CellContext`x0$, 
                
                ReplaceAll[$CellContext`f$, {
                 DemonstrationsTools`x -> $CellContext`x0$ + 0.0001}]}, {0, 
                
                ReplaceAll[$CellContext`f$, {
                 DemonstrationsTools`x -> $CellContext`x0$ + 
                   0.0001}]}}]}, {}]}], ImageSize -> {350, 300}]], 
      "Specifications" :> {{{$CellContext`k$$, 1.5, "slope"}, 0.5, 2, 0.01, 
         ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`y0$$, 0.4, 
          "\!\(\*SubscriptBox[\(y\), \(0\)]\) = f(\!\(\*SubscriptBox[\(x\), \
\(0\)]\))"}, 0.25, 0.5, 0.01, ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`\[Epsilon]$$, 0.25, 
          "determine \[Epsilon]"}, 0.03, 0.3, 0.001, ImageSize -> Tiny, 
         Appearance -> 
         "Labeled"}, {{$CellContext`\[Delta]$$, 0.1, "choose \[Delta]"}, 
         0.0001, 0.3, 0.001, ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`x1$$, 0.17, "find x"}, 0, 1, 0.01, 
         ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`hint$$, False, 
          "vertical/\nhorizontal lines"}, {
         False, True}}, {{$CellContext`hint2$$, True, "show text"}, {
         False, True}}}, "Options" :> {ControlPlacement -> Left}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{587., {175., 180.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->225564314],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["A Function with a Jump Discontinuity",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AFunctionWithAJumpDiscontinuity/"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/AFunctionWithAJumpDiscontinuity/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/AFunctionWithAJumpDiscontinuity/\
",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AFunctionWithAJumpDiscontinuity/"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/AFunctionWithAJumpDiscontinuity/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
AFunctionWithAJumpDiscontinuity"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{767, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"A Function with a Jump Discontinuity - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 228, 4, 70, "Section"],
Cell[821, 29, 16714, 424, 70, "Input"]
}, Open  ]],
Cell[17550, 456, 9647, 208, 70, "Output",
 CellID->225564314],
Cell[CellGroupData[{
Cell[27222, 668, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[27598, 679, 988, 29, 70, "Text"],
Cell[28589, 710, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[28929, 721, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[29390, 739, 829, 24, 70, "Text"],
Cell[30222, 765, 1207, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature rTzieoSXz9Ga5C03BvxtUzuG *)
