(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     13714,        386]
NotebookOptionsPosition[     12608,        344]
NotebookOutlinePosition[     13212,        368]
CellTagsIndexPosition[     13169,        365]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Cantor Function", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"SequenceOf01", "[", "n_", "]"}], ":=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"Range", "[", 
     RowBox[{"0", ",", 
      RowBox[{
       RowBox[{"2", "^", "n"}], "-", "1"}]}], "]"}], ",", "2", ",", "n"}], 
   "]"}]}]], "Input",
 CellID->61067187],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"d", "=", 
         RowBox[{"2", " ", 
          RowBox[{"SequenceOf01", "[", "p", "]"}]}]}], ";", 
        RowBox[{"Line", "[", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Sum", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"d", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}], "/", 
                   RowBox[{"3", "^", "j"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{"j", ",", "1", ",", "p"}], "}"}]}], "]"}], "+", 
                RowBox[{"1", "/", 
                 RowBox[{"3", "^", "p"}]}]}], ",", 
               RowBox[{"i", "/", 
                RowBox[{"2", "^", "p"}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"d", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", "j"}], "]"}], "]"}], "/", 
                  RowBox[{"3", "^", "j"}]}], ",", 
                 RowBox[{"{", 
                  RowBox[{"j", ",", "1", ",", "p"}], "}"}]}], "]"}], ",", 
               RowBox[{"i", "/", 
                RowBox[{"2", "^", "p"}]}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", 
             RowBox[{
              RowBox[{"2", "^", "p"}], "-", "1"}], ",", "2"}], "}"}]}], "]"}],
          "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"p", ",", "1", ",", "k"}], "}"}]}], "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"1", "/", "b"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"1", "/", "b"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"450", ",", "400"}], "}"}]}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "25"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k", ",", "8", ",", "\"\<iterations\>\""}], "}"}], ",", "1", 
     ",", "8", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "1", ",", "\"\<magnification\>\""}], "}"}], ",", "1", 
     ",", "10", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.404510344323125*^9, {3.4045848416832323`*^9, 
   3.404584846339512*^9}, {3.4045849210118647`*^9, 3.404584951793312*^9}, {
   3.404585484915062*^9, 3.4045855041345496`*^9}, {3.404585590497241*^9, 
   3.4045855976225147`*^9}, {3.4045968599375*^9, 3.404596926453125*^9}, {
   3.4046579129622617`*^9, 3.404657927478072*^9}, {3.405164132755011*^9, 
   3.4051641331456337`*^9}},
 CellID->33514551]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`b$$ = 1, $CellContext`k$$ = 8, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`k$$], 8, "iterations"}, 1, 8, 1}, {{
       Hold[$CellContext`b$$], 1, "magnification"}, 1, 10}}, 
    Typeset`size$$ = {450., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`k$13013$$ = 0, $CellContext`b$13014$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`b$$ = 1, $CellContext`k$$ = 8}, 
      "ControllerVariables" :> {
        Hold[$CellContext`k$$, $CellContext`k$13013$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$13014$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[
        Table[$CellContext`d = 2 $CellContext`SequenceOf01[$CellContext`p]; 
         Line[
           
           Table[{{Sum[
               Part[$CellContext`d, $CellContext`i, $CellContext`j]/
                3^$CellContext`j, {$CellContext`j, 1, $CellContext`p}] + 
              1/3^$CellContext`p, $CellContext`i/2^$CellContext`p}, {
              Sum[
              Part[$CellContext`d, $CellContext`i + 1, $CellContext`j]/
               3^$CellContext`j, {$CellContext`j, 
                1, $CellContext`p}], $CellContext`i/
              2^$CellContext`p}}, {$CellContext`i, 1, 2^$CellContext`p - 1, 
             2}]], {$CellContext`p, 1, $CellContext`k$$}], 
        PlotRange -> {{0, 1/$CellContext`b$$}, {0, 1/$CellContext`b$$}}, Axes -> 
        True, ImageSize -> {450, 400}, ImagePadding -> 25], 
      "Specifications" :> {{{$CellContext`k$$, 8, "iterations"}, 1, 8, 1, 
         Appearance -> "Labeled"}, {{$CellContext`b$$, 1, "magnification"}, 1,
          10, Appearance -> "Labeled"}}, 
      "Options" :> {TrackedSymbols -> Manipulate}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {255., 260.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`d = CompressedData["
1:eJxlU9tRBAEMyvFlG9eSJVwD9v+nMwsB4o3rreYFhLw/P98fzN/nNfM1/z6o
rwH6T75Bac+Lw4NKY6LTGVfb5yXK9agt49uOcY1lvdsPagzrPY5xwYJKlgUK
hlo6hIQ1rDc8JQk24wuXcdF66gO+mu9sNB3GRZv1pidQos340mVcsijVS0Rw
tZR+YGhWNEoQv8zYzIRASNVRk5HFW+EIUlbOD3kV3eHKGmdLdgpR8qvbgkZw
jZXuo2lTUw1dPxNotDbyz/UJ7Yok1NIauVY9Xq/YrbhiqbVDa+e32E+p4KXs
gac6echtDx9skKnDDNvUAZbKcWhtJx+UufbhlM3iQLytPoS2nw2foqex05Zp
4Np6GLXtakPuKo7xKjsMlu5JI7W9bZg1xzHGTj0GKBfGovscvNDwVC2u0MeC
Alwtos/HgqeJU9hUIQWsqwih+twsiITo8zPhPJokls2SAA5gHIA4gHAA4AzE
GYDTEKcBTgFOAs4/9PILsv8Jsg==
         "], $CellContext`SequenceOf01[
          Pattern[$CellContext`n, 
           Blank[]]] := IntegerDigits[
          Range[0, 2^$CellContext`n - 1], 2, $CellContext`n], 
        Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`SequenceOf01[
           Pattern[$CellContext`n, 
            Blank[]]] := IntegerDigits[
           Range[0, 2^$CellContext`n - 1], 2, $CellContext`n]}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->11718672],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Cantor Function",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CantorFunction/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/CantorFunction/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/CantorFunction/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CantorFunction/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/CantorFunction/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Douglas Rivers",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Douglas+Rivers"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Douglas+Rivers"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
CantorFunction"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Cantor Function - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 207, 4, 70, "Section"],
Cell[800, 29, 302, 10, 70, "Input",
 CellID->61067187],
Cell[1105, 41, 3468, 90, 70, "Input",
 CellID->33514551]
}, Open  ]],
Cell[4588, 134, 3765, 74, 70, "Output",
 CellID->11718672],
Cell[CellGroupData[{
Cell[8378, 212, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[8754, 223, 862, 24, 70, "Text"],
Cell[9619, 249, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9959, 260, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[10420, 278, 967, 27, 70, "Text"],
Cell[11390, 307, 1190, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature PRjyCmDkv1leGC02IJRCIbrT *)
