(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     36653,        857]
NotebookOptionsPosition[     35594,        817]
NotebookOutlinePosition[     36199,        841]
CellTagsIndexPosition[     36156,        838]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Discontinuity", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"func1", " ", "=", " ", 
       RowBox[{"If", "[", 
        RowBox[{"function2", ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"x", "-", "aa"}], ")"}], 
            RowBox[{"(", 
             RowBox[{"x", "-", "bb"}], ")"}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"x", "-", "cc"}], ")"}]}], ",", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x", "-", "aa"}], ")"}], 
           RowBox[{"(", 
            RowBox[{"x", "-", "bb"}], ")"}]}], ")"}]}], "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"func", " ", "=", " ", 
         RowBox[{"If", "[", 
          RowBox[{"function3", ",", 
           RowBox[{"Piecewise", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"func1", ",", 
                RowBox[{"x", "<", "dd"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"func1", "+", "ee"}], ",", 
                RowBox[{"x", "\[GreaterEqual]", "dd"}]}], "}"}]}], "}"}], 
            "]"}], ",", "func1"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]",
        
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"excludelong", " ", "=", " ", 
            RowBox[{"Union", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{"function2", ",", "cc", ",", 
                  RowBox[{"{", "}"}]}], "]"}], ",", 
                RowBox[{"If", "[", 
                 RowBox[{"function3", ",", "dd", ",", 
                  RowBox[{"{", "}"}]}], "]"}], ",", 
                RowBox[{"If", "[", 
                 RowBox[{"function4", ",", "rr", ",", 
                  RowBox[{"{", "}"}]}], "]"}]}], "}"}], "]"}], "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"excludeshort", " ", "=", " ", 
            RowBox[{"Union", "[", 
             RowBox[{"Flatten", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{"function2", ",", "cc", ",", 
                  RowBox[{"{", "}"}]}], "]"}], ",", 
                RowBox[{"If", "[", 
                 RowBox[{"function4", ",", "rr", ",", 
                  RowBox[{"{", "}"}]}], "]"}]}], "}"}], "]"}], "]"}]}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"excludeshorttext", " ", "=", " ", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "excludeshort", "]"}], ">", "0"}], ",",
                "\[IndentingNewLine]", 
               RowBox[{"Switch", "[", 
                RowBox[{
                 RowBox[{"Length", "[", "excludeshort", "]"}], ",", 
                 "\[IndentingNewLine]", "1", ",", " ", 
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{"\"\< when x \[NotEqual] \>\"", ",", 
                    RowBox[{"excludeshort", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "]"}], ",", 
                 "\[IndentingNewLine]", "2", ",", " ", 
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{"\"\< when x \[NotEqual] \>\"", ",", 
                    RowBox[{"excludeshort", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", " ", "\"\< or \>\"", 
                    ",", " ", 
                    RowBox[{"excludeshort", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
               ",", "\"\< \>\""}], "]"}]}], "}"}], ",", "\[IndentingNewLine]",
            
           RowBox[{"Plot", "[", 
            RowBox[{"func", ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", 
               RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
             RowBox[{"PlotRange", "\[Rule]", " ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "range"}], ",", "range"}], "}"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"PlotLabel", "\[Rule]", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"func", ",", "excludeshorttext"}], "}"}], "]"}]}], 
             ",", " ", "\[IndentingNewLine]", 
             RowBox[{"ImageSize", "\[Rule]", " ", "350"}], ",", 
             RowBox[{"Exclusions", "\[Rule]", "excludelong"}], ",", 
             RowBox[{"ImagePadding", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"5", ",", "5"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"5", ",", "65"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Epilog", "\[Rule]", " ", 
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "excludelong", "]"}], ">", "0"}], 
                  ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"White", ",", 
                    RowBox[{"Disk", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{"func", "/.", 
                    RowBox[{"x", "\[Rule]", 
                    RowBox[{"(", 
                    RowBox[{"#", "-", ".0001"}], ")"}]}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".2", ",", 
                    RowBox[{"range", "/", "40"}]}], "}"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "Blue", ",", 
                    RowBox[{"Circle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{"func", "/.", 
                    RowBox[{"x", "\[Rule]", 
                    RowBox[{"(", 
                    RowBox[{"#", "-", ".0001"}], ")"}]}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".2", ",", 
                    RowBox[{"range", "/", "40"}]}], "}"}]}], "]"}]}], "}"}], 
                    "&"}], "/@", "excludelong"}], ",", 
                  RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{"function3", ",", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"function4", " ", "&&", " ", 
                    RowBox[{"dd", "\[Equal]", "rr"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"White", ",", 
                    RowBox[{"Disk", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"dd", ",", 
                    RowBox[{"func", "/.", 
                    RowBox[{"x", "\[Rule]", 
                    RowBox[{"(", 
                    RowBox[{"dd", "+", ".0001"}], ")"}]}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".2", ",", 
                    RowBox[{"range", "/", "40"}]}], "}"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "Blue", ",", 
                    RowBox[{"Circle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"dd", ",", 
                    RowBox[{"func", "/.", 
                    RowBox[{"x", "\[Rule]", 
                    RowBox[{"(", 
                    RowBox[{"dd", "+", ".0001"}], ")"}]}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".2", ",", 
                    RowBox[{"range", "/", "40"}]}], "}"}]}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"Blue", ",", 
                    RowBox[{"Disk", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"dd", ",", 
                    RowBox[{"func", "/.", 
                    RowBox[{"x", "\[Rule]", 
                    RowBox[{"(", 
                    RowBox[{"dd", "+", ".0001"}], ")"}]}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".2", ",", 
                    RowBox[{"range", "/", "40"}]}], "}"}]}], "]"}]}], "}"}]}],
                    "]"}], ",", 
                  RowBox[{"{", "}"}]}], "]"}]}], "}"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Prolog", "\[Rule]", " ", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"asymptote", " ", "&&", " ", "function2"}], ",", 
                RowBox[{"{", 
                 RowBox[{"Yellow", ",", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"Not", "[", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"aa", ",", "bb"}], "}"}], ",", "cc"}], "]"}], 
                    "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"cc", ",", 
                    RowBox[{"-", "range"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"cc", ",", "range"}], "}"}]}], "}"}], "]"}], ",", 
                    
                    RowBox[{"{", "}"}]}], "]"}]}], "}"}], ",", 
                RowBox[{"{", "}"}]}], "]"}]}]}], "]"}]}], "]"}]}], "]"}]}], 
      "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"range", ",", "20", ",", "\"\<range\>\""}], "}"}], ",", "2", 
     ",", "500", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"Text", "[", 
    RowBox[{"TraditionalForm", "[", 
     RowBox[{
      RowBox[{"F", "[", "x", "]"}], " ", "\[LongEqual]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", "-", "a"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"x", "-", "b"}], ")"}]}]}], "]"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"aa", ",", 
       RowBox[{"-", "2"}], ",", "\"\<a\>\""}], "}"}], ",", 
     RowBox[{"-", "8"}], ",", "8", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"bb", ",", 
       RowBox[{"-", "1"}], ",", "\"\<b\>\""}], "}"}], ",", 
     RowBox[{"-", "8"}], ",", "8", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"function2", ",", "True", ",", "\"\<divide by x-c?\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Text", "[", 
    RowBox[{"TraditionalForm", "[", 
     RowBox[{
      RowBox[{"F", "[", "x", "]"}], " ", "\[LongEqual]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x", "-", "a"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"x", "-", "b"}], ")"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"x", "-", "c"}], ")"}]}]}], "]"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"cc", ",", "2", ",", "\"\<c\>\""}], "}"}], ",", 
     RowBox[{"-", "8"}], ",", "8", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{
   "Text", "[", "\"\<infinite or removable discontinuity at c\>\"", "]"}], 
   ",", "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"function3", ",", "True", ",", "\"\<jump at d?\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Text", "[", 
    RowBox[{"TraditionalForm", "[", 
     RowBox[{
      RowBox[{"G", "[", "x", "]"}], "\[LongEqual]", 
      RowBox[{"Piecewise", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"F", "[", "x", "]"}], ",", 
           RowBox[{"x", "<", "d"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"F", "[", "x", "]"}], "+", "e"}], ",", 
           RowBox[{"x", "\[GreaterEqual]", "d"}]}], "}"}]}], "}"}], "]"}]}], 
     "]"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dd", ",", 
       RowBox[{"-", "1"}], ",", "\"\<d\>\""}], "}"}], ",", 
     RowBox[{"-", "8"}], ",", "8", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ee", ",", "5", ",", "\"\<e\>\""}], "}"}], ",", 
     RowBox[{"-", "20"}], ",", "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}], ",", 
     RowBox[{"Exclusions", "\[Rule]", "0"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Text", "[", "\"\<jump discontinuity at d\>\"", "]"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"function4", ",", "True", ",", "\"\<remove r?\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rr", ",", "1", ",", "\"\<r\>\""}], "}"}], ",", 
     RowBox[{"-", "8"}], ",", "8", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Text", "[", "\"\<removable discontinuity at r\>\"", "]"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "asymptote", ",", " ", "False", ",", "\"\<vertical asymptote\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", " ", "Left"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.38046983746875*^9, {3.380470615359375*^9, 
   3.380470651703125*^9}, {3.38047088434375*^9, 3.380470920421875*^9}, {
   3.3810013815933647`*^9, 3.381001526895477*^9}, {3.3810016540786448`*^9, 
   3.381001654869909*^9}, {3.381001703968341*^9, 3.381001727215477*^9}, 
   3.3816709677726016`*^9, {3.3816710007569766`*^9, 3.3816710026476016`*^9}, {
   3.3816711063194766`*^9, 3.3816711171944766`*^9}, 3.3876453580441732`*^9, {
   3.3876454127160482`*^9, 3.3876454174191732`*^9}, {3.3876454776222982`*^9, 
   3.3876454796066732`*^9}, {3.3894509678632717`*^9, 3.389451143715788*^9}, {
   3.3894511869922757`*^9, 3.389451242924158*^9}, {3.3894512913719883`*^9, 
   3.389451298895745*^9}, {3.3894513428670387`*^9, 3.3894513476512747`*^9}, {
   3.3894555913843875`*^9, 3.38945560205015*^9}, {3.389463293405495*^9, 
   3.389463528958434*^9}, {3.389463933933811*^9, 3.3894640382189646`*^9}, {
   3.38954173640448*^9, 3.389541811085909*^9}, {3.389542094831278*^9, 
   3.3895421718959436`*^9}, {3.389542206242592*^9, 3.389542261687895*^9}, {
   3.389542367131103*^9, 3.3895425722396717`*^9}, {3.389545984864538*^9, 
   3.3895461058388395`*^9}, {3.3896169386413016`*^9, 
   3.3896170746509423`*^9}, {3.3896171119557*^9, 3.3896172699576216`*^9}, {
   3.389617398105723*^9, 3.389617440908973*^9}, {3.389618605130044*^9, 
   3.3896186448687706`*^9}, 3.389618691898271*^9, {3.3896196766477757`*^9, 
   3.389619716186206*^9}, {3.389619750396763*^9, 3.3896199329365225`*^9}, {
   3.3896202886826134`*^9, 3.389620380592393*^9}, {3.3896204133650723`*^9, 
   3.389620433938142*^9}, {3.3896205538609066`*^9, 3.389620556865737*^9}, {
   3.3896210319093275`*^9, 3.389621069206751*^9}, {3.3896211185284843`*^9, 
   3.389621197511329*^9}, {3.389621552818324*^9, 3.3896215881898913`*^9}, {
   3.3896216246430354`*^9, 3.3896216291195617`*^9}, {3.389621690499045*^9, 
   3.3896217262010937`*^9}, {3.389622215495964*^9, 3.389622315069071*^9}, {
   3.389622356823273*^9, 3.3896223743800216`*^9}, {3.3896224126662197`*^9, 
   3.3896224266367264`*^9}, {3.389622508627075*^9, 3.38962251264297*^9}, {
   3.389622924290146*^9, 3.3896229869790382`*^9}, {3.3896245383152113`*^9, 
   3.3896245871569033`*^9}, {3.389625576660159*^9, 3.3896255820989556`*^9}, {
   3.3896256551571183`*^9, 3.3896258181106763`*^9}, 3.3896258764650574`*^9, {
   3.3896259587112207`*^9, 3.3896259886001854`*^9}, {3.38962616527139*^9, 
   3.3896262027076683`*^9}, {3.3896262616681595`*^9, 
   3.3896262850815926`*^9}, {3.3896263627024317`*^9, 3.3896263666280375`*^9}, 
   3.389626493228818*^9, {3.3896265764676795`*^9, 3.389626636052765*^9}, {
   3.3896266791943693`*^9, 3.389626713433261*^9}, {3.3896284216361327`*^9, 
   3.3896285301565056`*^9}, 3.3896286186172338`*^9, {3.389629029376648*^9, 
   3.3896291263357353`*^9}, {3.389629185266349*^9, 3.389629186618428*^9}, {
   3.3896292411622963`*^9, 3.389629303196999*^9}, {3.3896293903867188`*^9, 
   3.3896294534805884`*^9}, {3.389631482933322*^9, 3.389631484405512*^9}, {
   3.389631626717241*^9, 3.389631663191507*^9}, {3.3896318328991466`*^9, 
   3.38963184094071*^9}, {3.3896318894304347`*^9, 3.3896318963403707`*^9}, {
   3.38963193999314*^9, 3.389631947143422*^9}, {3.3896319778776155`*^9, 
   3.3896319806816473`*^9}, {3.389636245934987*^9, 3.3896363021886806`*^9}, {
   3.3896363463644047`*^9, 3.3896363840304437`*^9}, {3.3896364191927576`*^9, 
   3.389636533723154*^9}, {3.3896366229659276`*^9, 3.389636630276805*^9}, 
   3.3897020643694925`*^9, {3.3897021393503003`*^9, 3.389702145669639*^9}, {
   3.389702183785968*^9, 3.3897022174356956`*^9}, {3.389702255612114*^9, 
   3.3897022636740274`*^9}, {3.389703857031562*^9, 3.389703865123601*^9}, {
   3.389703912023378*^9, 3.3897040343044014`*^9}, {3.3897040722189198`*^9, 
   3.389704075984334*^9}, {3.3897041179747133`*^9, 3.3897041192966137`*^9}, {
   3.38970483787068*^9, 3.3897048847199144`*^9}, {3.3897049523097997`*^9, 
   3.389704953551635*^9}, {3.3897050042866116`*^9, 3.389705013820701*^9}, {
   3.3897061722673883`*^9, 3.3897061760213633`*^9}, {3.3901565663340197`*^9, 
   3.390156692000985*^9}, {3.39015672653236*^9, 3.390156740923772*^9}, {
   3.3901567978884473`*^9, 3.3901569161172733`*^9}, {3.390157021637952*^9, 
   3.3901570800213213`*^9}, {3.3901571480410137`*^9, 3.390157156653742*^9}, {
   3.3902261417999177`*^9, 3.390226364128478*^9}, {3.3902264493343964`*^9, 
   3.3902264710364676`*^9}, {3.390226522893102*^9, 3.3902265230333095`*^9}, 
   3.3902265673988733`*^9, 3.390229979202613*^9, {3.3902330751545258`*^9, 
   3.3902330794288435`*^9}, {3.3907484293737698`*^9, 3.390748429451894*^9}, {
   3.390750452910368*^9, 3.390750453004117*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`aa$$ = -2, $CellContext`asymptote$$ = 
    False, $CellContext`bb$$ = -1, $CellContext`cc$$ = 
    2, $CellContext`dd$$ = -1, $CellContext`ee$$ = 
    5, $CellContext`function2$$ = True, $CellContext`function3$$ = 
    True, $CellContext`function4$$ = True, $CellContext`range$$ = 
    20, $CellContext`rr$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`range$$], 20, "range"}, 2, 500, 1}, {
      Hold[
       Text[
        TraditionalForm[$CellContext`F[$CellContext`x] == (-$CellContext`a + \
$CellContext`x) (-$CellContext`b + $CellContext`x)]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`aa$$], -2, "a"}, -8, 8, 1}, {{
       Hold[$CellContext`bb$$], -1, "b"}, -8, 8, 1}, {{
       Hold[$CellContext`function2$$], True, "divide by x-c?"}, {
      True, False}}, {
      Hold[
       Text[
        TraditionalForm[$CellContext`F[$CellContext`x] == (-$CellContext`a + \
$CellContext`x) (-$CellContext`b + $CellContext`x)/(-$CellContext`c + \
$CellContext`x)]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`cc$$], 2, "c"}, -8, 8, 1}, {
      Hold[
       Text["infinite or removable discontinuity at c"]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`function3$$], True, "jump at d?"}, {True, False}}, {
      Hold[
       Text[
        TraditionalForm[$CellContext`G[$CellContext`x] == Piecewise[{{
             $CellContext`F[$CellContext`x], $CellContext`x < \
$CellContext`d}, {$CellContext`e + $CellContext`F[$CellContext`x], \
$CellContext`x >= $CellContext`d}}, 0]]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`dd$$], -1, "d"}, -8, 8, 1}, {{
       Hold[$CellContext`ee$$], 5, "e"}, -20, 20, 1}, {
      Hold[
       Text["jump discontinuity at d"]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`function4$$], True, "remove r?"}, {True, False}}, {{
       Hold[$CellContext`rr$$], 1, "r"}, -8, 8, 1}, {
      Hold[
       Text["removable discontinuity at r"]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`asymptote$$], False, "vertical asymptote"}, {
      True, False}}}, Typeset`size$$ = {350., {203., 207.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`range$11431$$ = 0, $CellContext`aa$11432$$ = 
    0, $CellContext`bb$11433$$ = 0, $CellContext`function2$11434$$ = 
    False, $CellContext`cc$11435$$ = 0, $CellContext`function3$11436$$ = 
    False, $CellContext`dd$11437$$ = 0, $CellContext`ee$11438$$ = 
    0, $CellContext`function4$11439$$ = False, $CellContext`rr$11440$$ = 
    0, $CellContext`asymptote$11441$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`aa$$ = -2, $CellContext`asymptote$$ = 
        False, $CellContext`bb$$ = -1, $CellContext`cc$$ = 
        2, $CellContext`dd$$ = -1, $CellContext`ee$$ = 
        5, $CellContext`function2$$ = True, $CellContext`function3$$ = 
        True, $CellContext`function4$$ = True, $CellContext`range$$ = 
        20, $CellContext`rr$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`range$$, $CellContext`range$11431$$, 0], 
        Hold[$CellContext`aa$$, $CellContext`aa$11432$$, 0], 
        Hold[$CellContext`bb$$, $CellContext`bb$11433$$, 0], 
        Hold[$CellContext`function2$$, $CellContext`function2$11434$$, False],
         
        Hold[$CellContext`cc$$, $CellContext`cc$11435$$, 0], 
        Hold[$CellContext`function3$$, $CellContext`function3$11436$$, False],
         
        Hold[$CellContext`dd$$, $CellContext`dd$11437$$, 0], 
        Hold[$CellContext`ee$$, $CellContext`ee$11438$$, 0], 
        Hold[$CellContext`function4$$, $CellContext`function4$11439$$, False],
         
        Hold[$CellContext`rr$$, $CellContext`rr$11440$$, 0], 
        Hold[$CellContext`asymptote$$, $CellContext`asymptote$11441$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`func1$ = 
         If[$CellContext`function2$$, (($CellContext`x - $CellContext`aa$$) \
($CellContext`x - $CellContext`bb$$))/($CellContext`x - $CellContext`cc$$), \
($CellContext`x - $CellContext`aa$$) ($CellContext`x - $CellContext`bb$$)]}, 
        With[{$CellContext`func$ = If[$CellContext`function3$$, 
            
            Piecewise[{{$CellContext`func1$, $CellContext`x < \
$CellContext`dd$$}, {$CellContext`func1$ + $CellContext`ee$$, $CellContext`x >= \
$CellContext`dd$$}}], $CellContext`func1$]}, 
         With[{$CellContext`excludelong$ = Union[
             Flatten[{
               If[$CellContext`function2$$, $CellContext`cc$$, {}], 
               If[$CellContext`function3$$, $CellContext`dd$$, {}], 
               
               If[$CellContext`function4$$, $CellContext`rr$$, {}]}]], \
$CellContext`excludeshort$ = Union[
             Flatten[{
               If[$CellContext`function2$$, $CellContext`cc$$, {}], 
               If[$CellContext`function4$$, $CellContext`rr$$, {}]}]]}, 
          
          With[{$CellContext`excludeshorttext$ = 
            If[Length[$CellContext`excludeshort$] > 0, 
              Switch[
               Length[$CellContext`excludeshort$], 1, 
               Row[{" when x \[NotEqual] ", 
                 Part[$CellContext`excludeshort$, 1]}], 2, 
               Row[{" when x \[NotEqual] ", 
                 Part[$CellContext`excludeshort$, 1], " or ", 
                 Part[$CellContext`excludeshort$, 2]}]], " "]}, 
           
           Plot[$CellContext`func$, {$CellContext`x, -10, 10}, 
            PlotRange -> {-$CellContext`range$$, $CellContext`range$$}, 
            PlotLabel -> 
            Row[{$CellContext`func$, $CellContext`excludeshorttext$}], 
            ImageSize -> 350, Exclusions -> $CellContext`excludelong$, 
            ImagePadding -> {{5, 5}, {5, 65}}, AspectRatio -> 1, Epilog -> {
              If[Length[$CellContext`excludelong$] > 0, 
               Map[{White, 
                 Disk[{#, 
                   
                   ReplaceAll[$CellContext`func$, $CellContext`x -> # - 
                    0.0001]}, {0.2, $CellContext`range$$/40}], Blue, 
                 Circle[{#, 
                   
                   ReplaceAll[$CellContext`func$, $CellContext`x -> # - 
                    0.0001]}, {
                  0.2, $CellContext`range$$/
                   40}]}& , $CellContext`excludelong$], {}], 
              If[$CellContext`function3$$, 
               If[
                
                And[$CellContext`function4$$, $CellContext`dd$$ == \
$CellContext`rr$$], {White, 
                 Disk[{$CellContext`dd$$, 
                   
                   ReplaceAll[$CellContext`func$, $CellContext`x -> \
$CellContext`dd$$ + 0.0001]}, {0.2, $CellContext`range$$/40}], Blue, 
                 Circle[{$CellContext`dd$$, 
                   
                   ReplaceAll[$CellContext`func$, $CellContext`x -> \
$CellContext`dd$$ + 0.0001]}, {0.2, $CellContext`range$$/40}]}, {Blue, 
                 Disk[{$CellContext`dd$$, 
                   
                   ReplaceAll[$CellContext`func$, $CellContext`x -> \
$CellContext`dd$$ + 0.0001]}, {0.2, $CellContext`range$$/40}]}], {}]}, Prolog -> 
            If[
              And[$CellContext`asymptote$$, $CellContext`function2$$], {
              Yellow, 
               If[
                Not[
                 
                 MemberQ[{$CellContext`aa$$, $CellContext`bb$$}, \
$CellContext`cc$$]], 
                
                Line[{{$CellContext`cc$$, -$CellContext`range$$}, \
{$CellContext`cc$$, $CellContext`range$$}}], {}]}, {}]]]]]], 
      "Specifications" :> {{{$CellContext`range$$, 20, "range"}, 2, 500, 1, 
         Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        Text[
         TraditionalForm[$CellContext`F[$CellContext`x] == (-$CellContext`a + \
$CellContext`x) (-$CellContext`b + $CellContext`x)]], {{$CellContext`aa$$, -2,
           "a"}, -8, 8, 1, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`bb$$, -1, "b"}, -8, 8, 1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, 
        Delimiter, {{$CellContext`function2$$, True, "divide by x-c?"}, {
         True, False}}, 
        Text[
         TraditionalForm[$CellContext`F[$CellContext`x] == (-$CellContext`a + \
$CellContext`x) (-$CellContext`b + $CellContext`x)/(-$CellContext`c + \
$CellContext`x)]], {{$CellContext`cc$$, 2, "c"}, -8, 8, 1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, 
        Text["infinite or removable discontinuity at c"], 
        Delimiter, {{$CellContext`function3$$, True, "jump at d?"}, {
         True, False}}, 
        Text[
         TraditionalForm[$CellContext`G[$CellContext`x] == Piecewise[{{
              $CellContext`F[$CellContext`x], $CellContext`x < \
$CellContext`d}, {$CellContext`e + $CellContext`F[$CellContext`x], \
$CellContext`x >= $CellContext`d}}, 0]]], {{$CellContext`dd$$, -1, "d"}, -8, 
         8, 1, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`ee$$, 5, "e"}, -20, 20, 1, Appearance -> 
         "Labeled", ImageSize -> Tiny, Exclusions -> 0}, 
        Text["jump discontinuity at d"], 
        Delimiter, {{$CellContext`function4$$, True, "remove r?"}, {
         True, False}}, {{$CellContext`rr$$, 1, "r"}, -8, 8, 1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, 
        Text["removable discontinuity at r"], 
        Delimiter, {{$CellContext`asymptote$$, False, "vertical asymptote"}, {
         True, False}}}, "Options" :> {ControlPlacement -> Left}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{602., {230., 235.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->70043804],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Discontinuity",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/Discontinuity/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/Discontinuity/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/Discontinuity/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/Discontinuity/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/Discontinuity/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ed Pegg Jr",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->20212186],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
Discontinuity"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Discontinuity - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 205, 4, 70, "Section"],
Cell[798, 29, 20185, 445, 70, "Input"]
}, Open  ]],
Cell[20998, 477, 10477, 206, 70, "Output",
 CellID->70043804],
Cell[CellGroupData[{
Cell[31500, 687, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[31876, 698, 855, 24, 70, "Text"],
Cell[32734, 724, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[33074, 735, 446, 15, 70, "Text",
 CellID->20212186],
Cell[CellGroupData[{
Cell[33545, 754, 829, 24, 70, "Text"],
Cell[34377, 780, 1189, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature ARjNFZPdydJYXCDbo1Gh#pnF *)
