(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11760,        342]
NotebookOptionsPosition[     10597,        298]
NotebookOutlinePosition[     11258,        323]
CellTagsIndexPosition[     11215,        320]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Riemann's Example of a Continuous but Nowhere Differentiable Function\
\>", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{
              RowBox[{"k", "^", "\[Beta]"}], " ", "Pi", " ", "x"}], "]"}]}], 
           "+", 
           RowBox[{"\[Alpha]", " ", 
            RowBox[{"Cos", "[", 
             RowBox[{
              RowBox[{"k", "^", "\[Beta]"}], " ", "Pi", " ", "x"}], "]"}]}]}],
           ")"}], "/", 
         RowBox[{"k", "^", "\[Beta]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "3"}], "/", "2"}], ",", 
          RowBox[{"3", "/", "2"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "325"}], "}"}]}], ",", 
     RowBox[{"MaxRecursion", "\[Rule]", 
      RowBox[{"ControlActive", "[", 
       RowBox[{"1", ",", "6"}], "]"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "24", ",", "\"\<number of terms\>\""}], "}"}], ",", 
     "1", ",", "120", ",", "1"}], "}"}], ",", "Delimiter", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Beta]", ",", "2", ",", "\"\<exponent \[Beta]\>\""}], "}"}], 
     ",", "2", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]", ",", "0", ",", "\"\<cosine fraction \[Alpha]\>\""}],
       "}"}], ",", "0", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35342699398548*^9, {3.35723850140625*^9, 3.35723850829688*^9}, {
   3.35878084346033*^9, 3.35878085503838*^9}, {3.36346597657813*^9, 
   3.36346598904688*^9}, {3.37289594384375*^9, 3.372895955875*^9}, {
   3.3736829126286063`*^9, 3.3736829871759586`*^9}, 3.3736830569732804`*^9, {
   3.3738973333186917`*^9, 3.3738973452404904`*^9}, {3.388602310765625*^9, 
   3.388602311171875*^9}},
 CellID->1496021318],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 24, $CellContext`\[Alpha]$$ = 
    0, $CellContext`\[Beta]$$ = 2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 24, "number of terms"}, 1, 120, 1}, {{
       Hold[$CellContext`\[Beta]$$], 2, "exponent \[Beta]"}, 2, 6}, {{
       Hold[$CellContext`\[Alpha]$$], 0, "cosine fraction \[Alpha]"}, 0, 1}}, 
    Typeset`size$$ = {500., {160., 165.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$485761$$ = 0, $CellContext`\[Beta]$485762$$ = 
    0, $CellContext`\[Alpha]$485763$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`n$$ = 24, $CellContext`\[Alpha]$$ = 
        0, $CellContext`\[Beta]$$ = 2}, "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$485761$$, 0], 
        Hold[$CellContext`\[Beta]$$, $CellContext`\[Beta]$485762$$, 0], 
        Hold[$CellContext`\[Alpha]$$, $CellContext`\[Alpha]$485763$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[
        Evaluate[
         Sum[((1 - $CellContext`\[Alpha]$$) 
            Sin[($CellContext`k^$CellContext`\[Beta]$$ 
               Pi) $CellContext`x] + $CellContext`\[Alpha]$$ 
            Cos[($CellContext`k^$CellContext`\[Beta]$$ 
               Pi) $CellContext`x])/$CellContext`k^$CellContext`\[Beta]$$, \
{$CellContext`k, 1, $CellContext`n$$}]], {$CellContext`x, 0, 1}, 
        PlotRange -> {{0, 1}, {(-3)/2, 3/2}}, Filling -> Axis, 
        ImageSize -> {500, 325}, MaxRecursion -> ControlActive[1, 6]], 
      "Specifications" :> {{{$CellContext`n$$, 24, "number of terms"}, 1, 120,
          1}, 
        Delimiter, {{$CellContext`\[Beta]$$, 2, "exponent \[Beta]"}, 2, 
         6}, {{$CellContext`\[Alpha]$$, 0, "cosine fraction \[Alpha]"}, 0, 
         1}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {250., 255.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->510611776]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Riemann's Example of a Continuous but Nowhere Differentiable \
Function",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
RiemannsExampleOfAContinuousButNowhereDifferentiableFunction/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
RiemannsExampleOfAContinuousButNowhereDifferentiableFunction/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
RiemannsExampleOfAContinuousButNowhereDifferentiableFunction/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
RiemannsExampleOfAContinuousButNowhereDifferentiableFunction/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
RiemannsExampleOfAContinuousButNowhereDifferentiableFunction/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Michael Trott",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Michael+Trott"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Michael+Trott"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->812780909],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
RiemannsExampleOfAContinuousButNowhereDifferentiableFunction"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Riemann's Example of a Continuous but Nowhere Differentiable \
Function - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 269, 6, 97, "Section"],
Cell[CellGroupData[{
Cell[884, 33, 2472, 67, 112, "Input",
 CellID->1496021318],
Cell[3359, 102, 2727, 52, 522, "Output",
 CellID->510611776]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[6135, 160, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[6511, 171, 1166, 32, 70, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7714, 208, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[8054, 219, 456, 15, 70, "Text",
 CellID->812780909],
Cell[8513, 236, 829, 24, 70, "Text"],
Cell[9345, 262, 1236, 33, 70, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature WRza9l3ASZoSaD0QzjpNMj7J *)
