(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     34175,        907]
NotebookOptionsPosition[     33073,        866]
NotebookOutlinePosition[     33679,        890]
CellTagsIndexPosition[     33636,        887]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Uniform Continuity", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"functions", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2", 
        RowBox[{
         RowBox[{"ArcTan", "[", 
          RowBox[{"3", "x"}], "]"}], "/", "Pi"}]}], ",", 
       RowBox[{
        RowBox[{"Tan", "[", 
         RowBox[{"Pi", " ", 
          RowBox[{"x", "/", "2"}]}], "]"}], "/", "3"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"x", ">=", ".5"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x", "-", "0.5"}], ")"}], "^", 
           RowBox[{"(", 
            RowBox[{"1", "/", "3"}], ")"}]}], "+", ".2"}], ",", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "x"}], "+", "0.5"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"1", "/", "3"}], ")"}]}]}], "+", ".2"}]}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x", "-", "0.2"}], ")"}], "^", "3"}], "+", ".5"}]}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2", 
        RowBox[{
         RowBox[{"ArcSin", "[", 
          RowBox[{"0.7", " ", "x"}], "]"}], "/", "Pi"}]}], ",", 
       RowBox[{
        RowBox[{"Sin", "[", 
         RowBox[{"Pi", " ", 
          RowBox[{"x", "/", "2."}]}], "]"}], "/", ".7"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"x", "\[LessEqual]", "0.3"}], ",", "x", ",", 
         RowBox[{
          RowBox[{"0.5", 
           RowBox[{"(", 
            RowBox[{"x", "-", ".3"}], ")"}]}], "+", "0.3"}]}], "]"}], ",", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"x", "\[LessEqual]", "0.3"}], ",", "x", ",", 
         RowBox[{
          RowBox[{"2", "x"}], "-", "0.3"}]}], "]"}]}], "}"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.428844059171875*^9, 3.428844068484375*^9}, {
   3.428844102671875*^9, 3.4288441759375*^9}, {3.42884421259375*^9, 
   3.42884425621875*^9}, {3.428844306125*^9, 3.428844350140625*^9}, {
   3.4288444780625*^9, 3.428844568921875*^9}, {3.428844622078125*^9, 
   3.428844629078125*^9}, {3.42884467571875*^9, 3.42884470590625*^9}, 
   3.42884499925*^9, {3.42884515025*^9, 3.428845153796875*^9}, 
   3.428848551296875*^9, {3.428849358125*^9, 3.428849361859375*^9}, {
   3.428849489859375*^9, 3.428849494375*^9}, {3.428849558265625*^9, 
   3.428849566265625*^9}},
 CellID->434360438],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"f", "=", 
        RowBox[{"functions", "[", 
         RowBox[{"[", 
          RowBox[{"function", ",", "1"}], "]"}], "]"}]}], ",", 
       RowBox[{"g", "=", 
        RowBox[{"functions", "[", 
         RowBox[{"[", 
          RowBox[{"function", ",", "2"}], "]"}], "]"}]}]}], "}"}], ",", 
     RowBox[{"Show", "[", 
      RowBox[{
       RowBox[{"Plot", "[", 
        RowBox[{"f", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"Ticks", "\[Rule]", "None"}]}], "\[IndentingNewLine]", "]"}],
        ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"x0", ",", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", "x0"}], "}"}]}]}], "}"}]}], "}"}], 
           "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "-", "\[Delta]"}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "-", "\[Delta]"}], ",", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", 
                  RowBox[{"x0", "-", "\[Delta]"}]}], "}"}]}]}], "}"}]}], 
            "}"}], "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "+", "\[Delta]"}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "+", "\[Delta]"}], ",", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", 
                  RowBox[{"x0", "+", "\[Delta]"}]}], "}"}]}]}], "}"}]}], 
            "}"}], "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", 
                  RowBox[{"x0", "-", "\[Delta]"}]}], "}"}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "-", "\[Delta]"}], ",", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", 
                  RowBox[{"x0", "-", "\[Delta]"}]}], "}"}]}]}], "}"}]}], 
            "}"}], "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", 
                  RowBox[{"x0", "+", "\[Delta]"}]}], "}"}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "+", "\[Delta]"}], ",", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", 
                  RowBox[{"x0", "+", "\[Delta]"}]}], "}"}]}]}], "}"}]}], 
            "}"}], "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", "x0"}], "}"}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"x0", ",", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", "x0"}], "}"}]}]}], "}"}]}], "}"}], 
           "]"}], ",", "Red", ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"f", "/.", 
                  RowBox[{"{", 
                   RowBox[{"x", "\[Rule]", "x0"}], "}"}]}], ")"}], "+", 
                "\[Epsilon]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"g", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"f", "/.", 
                    RowBox[{"{", 
                    RowBox[{"x", "\[Rule]", "x0"}], "}"}]}], ")"}], "+", 
                   "\[Epsilon]"}]}], "}"}]}], ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"f", "/.", 
                  RowBox[{"{", 
                   RowBox[{"x", "\[Rule]", "x0"}], "}"}]}], ")"}], "+", 
                "\[Epsilon]"}]}], "}"}]}], "}"}], "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"f", "/.", 
                  RowBox[{"{", 
                   RowBox[{"x", "\[Rule]", "x0"}], "}"}]}], ")"}], "-", 
                "\[Epsilon]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"g", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"f", "/.", 
                    RowBox[{"{", 
                    RowBox[{"x", "\[Rule]", "x0"}], "}"}]}], ")"}], "-", 
                   "\[Epsilon]"}]}], "}"}]}], ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"f", "/.", 
                  RowBox[{"{", 
                   RowBox[{"x", "\[Rule]", "x0"}], "}"}]}], ")"}], "-", 
                "\[Epsilon]"}]}], "}"}]}], "}"}], "]"}], ",", 
          RowBox[{"Thickness", "[", "0.01", "]"}], ",", "Green", ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "-", "\[Delta]"}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "+", "\[Delta]"}], ",", "0"}], "}"}]}], "}"}], 
           "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "->", 
                  RowBox[{"x0", "-", "\[Delta]"}]}], "}"}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "->", 
                  RowBox[{"x0", "+", "\[Delta]"}]}], "}"}]}]}], "}"}]}], 
            "}"}], "]"}], ",", 
          RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"f", "/.", 
               RowBox[{"{", 
                RowBox[{"x", "\[Rule]", 
                 RowBox[{"x0", "+", "\[Delta]"}]}], "}"}]}], ")"}], 
             "\[GreaterEqual]", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", "x0"}], "}"}]}], ")"}], "+", 
              "\[Epsilon]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"f", "/.", 
                  RowBox[{"{", 
                   RowBox[{"x", "->", 
                    RowBox[{"x0", "+", "\[Delta]"}]}], "}"}]}]}], "}"}], 
               "]"}]}], "}"}], ",", 
            RowBox[{"{", "}"}]}], "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"f", "/.", 
               RowBox[{"{", 
                RowBox[{"x", "\[Rule]", 
                 RowBox[{"x0", "-", "\[Delta]"}]}], "}"}]}], ")"}], "<=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"f", "/.", 
                RowBox[{"{", 
                 RowBox[{"x", "\[Rule]", "x0"}], "}"}]}], ")"}], "-", 
              "\[Epsilon]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"f", "/.", 
                  RowBox[{"{", 
                   RowBox[{"x", "->", 
                    RowBox[{"x0", "-", "\[Delta]"}]}], "}"}]}]}], "}"}], 
               "]"}]}], "}"}], ",", 
            RowBox[{"{", "}"}]}], "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"f", "/.", 
                 RowBox[{"{", 
                  RowBox[{"x", "\[Rule]", 
                   RowBox[{"x0", "-", "\[Delta]"}]}], "}"}]}], ")"}], "<=", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"f", "/.", 
                  RowBox[{"{", 
                   RowBox[{"x", "\[Rule]", "x0"}], "}"}]}], ")"}], "-", 
                "\[Epsilon]"}]}], ")"}], "||", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"f", "/.", 
                 RowBox[{"{", 
                  RowBox[{"x", "\[Rule]", 
                   RowBox[{"x0", "+", "\[Delta]"}]}], "}"}]}], ")"}], 
               "\[GreaterEqual]", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"f", "/.", 
                  RowBox[{"{", 
                   RowBox[{"x", "\[Rule]", "x0"}], "}"}]}], ")"}], "+", 
                "\[Epsilon]"}]}], ")"}]}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<Decrease \[Delta]!\>\"", ",", "20", ",", "Red"}], 
               "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "0.6"}], ",", "0.8"}], "}"}]}], "]"}], ",", 
            RowBox[{"{", "}"}]}], "]"}], ",", "Black", ",", 
          RowBox[{"If", "[", 
           RowBox[{"hint", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\)\>\"", ",", "10"}], 
                 "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x0", ",", 
                  RowBox[{"-", ".05"}]}], "}"}]}], "]"}], ",", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\)-\[Delta]\>\"", ",", 
                  "10"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"x0", "-", "\[Delta]"}], ",", 
                  RowBox[{"-", ".1"}]}], "}"}]}], "]"}], ",", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\)+\[Delta]\>\"", ",", 
                  "10"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"x0", "+", "\[Delta]"}], ",", 
                  RowBox[{"-", ".1"}]}], "}"}]}], "]"}], ",", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<\!\(\*SubscriptBox[\(y\), \(0\)]\)-\[Epsilon]\>\"", ",",
                   "10"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", ".1"}], ",", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"f", "/.", 
                    RowBox[{"{", 
                    RowBox[{"x", "\[Rule]", "x0"}], "}"}]}], ")"}], "-", 
                   "\[Epsilon]"}]}], "}"}]}], "]"}], ",", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<\!\(\*SubscriptBox[\(y\), \(0\)]\)+\[Epsilon]\>\"", ",",
                   "10"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", ".1"}], ",", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"f", "/.", 
                    RowBox[{"{", 
                    RowBox[{"x", "\[Rule]", "x0"}], "}"}]}], ")"}], "+", 
                   "\[Epsilon]"}]}], "}"}]}], "]"}], ",", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<\!\(\*SubscriptBox[\(y\), \(0\)]\)\>\"", ",", "10"}], 
                 "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", ".1"}], ",", 
                  RowBox[{"(", 
                   RowBox[{"f", "/.", 
                    RowBox[{"{", 
                    RowBox[{"x", "\[Rule]", "x0"}], "}"}]}], ")"}]}], "}"}]}],
                "]"}]}], "}"}], ",", 
            RowBox[{"{", "}"}]}], "]"}]}], "}"}], "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}]}], "]"}]}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"function", ",", 
     RowBox[{"Range", "[", "4", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Epsilon]", ",", "0.2", ",", "\"\<choose \[Epsilon]\>\""}], 
      "}"}], ",", "0.03", ",", "0.4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Delta]", ",", "0.2", ",", "\"\<determine \[Delta]\>\""}], 
      "}"}], ",", "0.0001", ",", "0.4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "x0", ",", "0.4", ",", 
       "\"\<move \!\(\*SubscriptBox[\(x\), \(0\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"hint", ",", "True", ",", "\"\<show labels\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.42884983246875*^9, 3.428849836921875*^9}, {
   3.42885031671875*^9, 3.428850327328125*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`function$$ = 1, $CellContext`hint$$ = 
    True, $CellContext`x0$$ = 0.4, $CellContext`\[Delta]$$ = 
    0.2, $CellContext`\[Epsilon]$$ = 0.2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`function$$], {1, 2, 3, 4}}, {{
       Hold[$CellContext`\[Epsilon]$$], 0.2, "choose \[Epsilon]"}, 0.03, 
      0.4}, {{
       Hold[$CellContext`\[Delta]$$], 0.2, "determine \[Delta]"}, 0.0001, 
      0.4}, {{
       Hold[$CellContext`x0$$], 0.4, 
       "move \!\(\*SubscriptBox[\(x\), \(0\)]\)"}, -1, 1}, {{
       Hold[$CellContext`hint$$], True, "show labels"}, {False, True}}}, 
    Typeset`size$$ = {360., {178., 182.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`function$747$$ = 0, $CellContext`\[Epsilon]$748$$ = 
    0, $CellContext`\[Delta]$749$$ = 0, $CellContext`x0$750$$ = 
    0, $CellContext`hint$751$$ = "Button 1"}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`function$$ = 1, $CellContext`hint$$ = 
        True, $CellContext`x0$$ = 0.4, $CellContext`\[Delta]$$ = 
        0.2, $CellContext`\[Epsilon]$$ = 0.2}, "ControllerVariables" :> {
        Hold[$CellContext`function$$, $CellContext`function$747$$, 0], 
        Hold[$CellContext`\[Epsilon]$$, $CellContext`\[Epsilon]$748$$, 0], 
        Hold[$CellContext`\[Delta]$$, $CellContext`\[Delta]$749$$, 0], 
        Hold[$CellContext`x0$$, $CellContext`x0$750$$, 0], 
        Hold[$CellContext`hint$$, $CellContext`hint$751$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`f$ = 
         Part[$CellContext`functions, $CellContext`function$$, 
           1], $CellContext`g$ = 
         Part[$CellContext`functions, $CellContext`function$$, 2]}, 
        Show[
         Plot[$CellContext`f$, {$CellContext`x, -1, 1}, PlotRange -> All, 
          AspectRatio -> Automatic, Ticks -> None], 
         Graphics[{
           Line[{{$CellContext`x0$$, 0}, {$CellContext`x0$$, 
              
              ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$}]}}], 
           
           Line[{{$CellContext`x0$$ - $CellContext`\[Delta]$$, 
              0}, {$CellContext`x0$$ - $CellContext`\[Delta]$$, 
              
              ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$ - $CellContext`\[Delta]$$}]}}], 
           
           Line[{{$CellContext`x0$$ + $CellContext`\[Delta]$$, 
              0}, {$CellContext`x0$$ + $CellContext`\[Delta]$$, 
              
              ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$ + $CellContext`\[Delta]$$}]}}], 
           Line[{{0, 
              
              ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$ - $CellContext`\[Delta]$$}]}, {$CellContext`x0$$ - \
$CellContext`\[Delta]$$, 
              
              ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$ - $CellContext`\[Delta]$$}]}}], 
           Line[{{0, 
              
              ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$ + $CellContext`\[Delta]$$}]}, {$CellContext`x0$$ + \
$CellContext`\[Delta]$$, 
              
              ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$ + $CellContext`\[Delta]$$}]}}], 
           Line[{{0, 
              
              ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$}]}, {$CellContext`x0$$, 
              
              ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$}]}}], Red, 
           
           Line[{{0, 
              ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$}] + $CellContext`\[Epsilon]$$}, {
              ReplaceAll[$CellContext`g$, {$CellContext`x -> 
                ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$}] + $CellContext`\[Epsilon]$$}], 
              ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$}] + $CellContext`\[Epsilon]$$}}], 
           
           Line[{{0, 
              ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$}] - $CellContext`\[Epsilon]$$}, {
              
              ReplaceAll[$CellContext`g$, {$CellContext`x -> 
                ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$}] - $CellContext`\[Epsilon]$$}], 
              ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$}] - $CellContext`\[Epsilon]$$}}], 
           Thickness[0.01], Green, 
           
           Line[{{$CellContext`x0$$ - $CellContext`\[Delta]$$, 
              0}, {$CellContext`x0$$ + $CellContext`\[Delta]$$, 0}}], 
           Line[{{0, 
              
              ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$ - $CellContext`\[Delta]$$}]}, {0, 
              
              ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$ + $CellContext`\[Delta]$$}]}}], 
           PointSize[0.02], 
           If[
           ReplaceAll[$CellContext`f$, {$CellContext`x -> $CellContext`x0$$ + \
$CellContext`\[Delta]$$}] >= 
            ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$}] + $CellContext`\[Epsilon]$$, {Red, 
             Point[{0, 
               
               ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$ + $CellContext`\[Delta]$$}]}]}, {}], 
           If[
           ReplaceAll[$CellContext`f$, {$CellContext`x -> $CellContext`x0$$ - \
$CellContext`\[Delta]$$}] <= 
            ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$}] - $CellContext`\[Epsilon]$$, {Red, 
             Point[{0, 
               
               ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$ - $CellContext`\[Delta]$$}]}]}, {}], 
           If[
            Or[
            ReplaceAll[$CellContext`f$, {$CellContext`x -> $CellContext`x0$$ - \
$CellContext`\[Delta]$$}] <= 
             ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$}] - $CellContext`\[Epsilon]$$, 
             ReplaceAll[$CellContext`f$, {$CellContext`x -> $CellContext`x0$$ + \
$CellContext`\[Delta]$$}] >= 
             ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$}] + $CellContext`\[Epsilon]$$], 
            Text[
             Style["Decrease \[Delta]!", 20, Red], {-0.6, 0.8}], {}], Black, 
           If[$CellContext`hint$$, {
             Text[
              Style[
              "\!\(\*SubscriptBox[\(x\), \(0\)]\)", 
               10], {$CellContext`x0$$, -0.05}], 
             Text[
              Style[
              "\!\(\*SubscriptBox[\(x\), \(0\)]\)-\[Delta]", 
               10], {$CellContext`x0$$ - $CellContext`\[Delta]$$, -0.1}], 
             Text[
              Style[
              "\!\(\*SubscriptBox[\(x\), \(0\)]\)+\[Delta]", 
               10], {$CellContext`x0$$ + $CellContext`\[Delta]$$, -0.1}], 
             Text[
              Style[
              "\!\(\*SubscriptBox[\(y\), \(0\)]\)-\[Epsilon]", 10], {-0.1, 
               ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$}] - $CellContext`\[Epsilon]$$}], 
             Text[
              Style[
              "\!\(\*SubscriptBox[\(y\), \(0\)]\)+\[Epsilon]", 10], {-0.1, 
               ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$}] + $CellContext`\[Epsilon]$$}], 
             Text[
              Style["\!\(\*SubscriptBox[\(y\), \(0\)]\)", 10], {-0.1, 
               
               ReplaceAll[$CellContext`f$, {$CellContext`x -> \
$CellContext`x0$$}]}]}, {}]}], PlotRange -> {{-1, 1}, {-1, 1}}]], 
      "Specifications" :> {{$CellContext`function$$, {1, 2, 3, 
         4}}, {{$CellContext`\[Epsilon]$$, 0.2, "choose \[Epsilon]"}, 0.03, 
         0.4}, {{$CellContext`\[Delta]$$, 0.2, "determine \[Delta]"}, 0.0001, 
         0.4}, {{$CellContext`x0$$, 0.4, 
          "move \!\(\*SubscriptBox[\(x\), \(0\)]\)"}, -1, 
         1}, {{$CellContext`hint$$, True, "show labels"}, {False, True}}}, 
      "Options" :> {}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{404., {270., 275.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`functions = {{(2 
            ArcTan[3 $CellContext`x])/Pi, Tan[(Pi $CellContext`x)/2]/3}, {
           
           If[$CellContext`x >= 0.5, ($CellContext`x - 0.5)^(1/3) + 
            0.2, -(-$CellContext`x + 0.5)^(1/3) + 0.2], 
           0.5 + (-0.2 + $CellContext`x)^3}, {(2 ArcSin[0.7 $CellContext`x])/
           Pi, 1.4285714285714286` Sin[1.5707963267948966` $CellContext`x]}, {
          
           
           If[$CellContext`x <= 0.3, $CellContext`x, 
            0.5 ($CellContext`x - 0.3) + 0.3], 
           
           If[$CellContext`x <= 0.3, $CellContext`x, 2 $CellContext`x - 
            0.3]}}, Attributes[PlotRange] = {ReadProtected}}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`functions = {{
            2 (ArcTan[3 $CellContext`x]/Pi), Tan[Pi ($CellContext`x/2)]/3}, {
             
             If[$CellContext`x >= 0.5, ($CellContext`x - 0.5)^(1/3) + 
              0.2, -(-$CellContext`x + 0.5)^(1/3) + 
              0.2], ($CellContext`x - 0.2)^3 + 0.5}, {
            2 (ArcSin[0.7 $CellContext`x]/Pi), Sin[Pi ($CellContext`x/2.)]/
             0.7}, {
             
             If[$CellContext`x <= 0.3, $CellContext`x, 
              0.5 ($CellContext`x - 0.3) + 0.3], 
             
             If[$CellContext`x <= 0.3, $CellContext`x, 2 $CellContext`x - 
              0.3]}}; Null}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->193224943],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Uniform Continuity",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/UniformContinuity/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/UniformContinuity/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/UniformContinuity/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/UniformContinuity/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/UniformContinuity/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
UniformContinuity"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Uniform Continuity - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 210, 4, 70, "Section"],
Cell[803, 29, 2552, 73, 70, "Input",
 CellID->434360438],
Cell[3358, 104, 15265, 407, 70, "Input"]
}, Open  ]],
Cell[18638, 514, 10297, 219, 70, "Output",
 CellID->193224943],
Cell[CellGroupData[{
Cell[28960, 737, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[29336, 748, 880, 24, 70, "Text"],
Cell[30219, 774, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[30559, 785, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[31020, 803, 829, 24, 70, "Text"],
Cell[31852, 829, 1193, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature DS4veilgtLoYKC0ll0TOQ6zP *)
