(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     31891,        819]
NotebookOptionsPosition[     30797,        778]
NotebookOutlinePosition[     31416,        802]
CellTagsIndexPosition[     31373,        799]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["A Snowball's Rate of Change", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "nn", "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"nn", "[", "x_", "]"}], ":=", 
       RowBox[{"NumberForm", "[", 
        RowBox[{"x", ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "2"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
       RowBox[{"Grid", "[", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Graphics3D", "[", 
             RowBox[{
              RowBox[{"Sphere", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
                RowBox[{"Sqrt", "[", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "*", "Pi"}]}], ")"}], "/", 
                  RowBox[{"(", 
                   RowBox[{"4", "*", "Pi"}], ")"}]}], "]"}]}], "]"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", "10"}], ",", 
              RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
              RowBox[{"PlotLabel", "\[Rule]", "\"\<snowball\>\""}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "100"}]}], "]"}], ",", 
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"ParametricPlot", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", "t"}], "+", 
                   RowBox[{"400", "Pi"}]}], ",", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ")"}], "/", "Pi"}], ")"}], "^", 
                   "0.5"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"t", ",", "0", ",", 
                  RowBox[{"400", "Pi"}]}], "}"}], ",", 
                RowBox[{"AspectRatio", "\[Rule]", 
                 RowBox[{"1", "/", "3"}]}], ",", 
                RowBox[{"AxesOrigin", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}], ",", 
              RowBox[{"Graphics", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"RGBColor", "[", 
                   RowBox[{"1", ",", ".21", ",", "0"}], "]"}], ",", 
                  RowBox[{"Arrow", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ")"}], "/", "Pi"}], ")"}], "^", 
                    "0.5"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ",", "0"}], "}"}]}], "}"}], 
                   "]"}]}], "}"}], ",", 
                RowBox[{"PlotRange", "\[Rule]", 
                 RowBox[{"400", "Pi"}]}]}], "]"}], ",", 
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"RGBColor", "[", 
                  RowBox[{"1", ",", ".21", ",", "0"}], "]"}], ",", 
                 RowBox[{"Arrow", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ")"}], "/", "Pi"}], ")"}], "^", 
                    "0.5"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ")"}], "/", "Pi"}], ")"}], "^", 
                    "0.5"}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "175"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
              "PlotLabel", "\[Rule]", 
               "\"\<diameter versus surface area\>\""}]}], "]"}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Plot", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", "t"}], "+", 
                   RowBox[{"400", "Pi"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{"t", ",", "0", ",", 
                    RowBox[{"400", "Pi"}]}], "}"}]}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Graphics", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", ".21", ",", "0"}], "]"}], ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"t", ",", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"t", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                 "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Graphics", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", ".21", ",", "0"}], "]"}], ",", 
                   RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"t", ",", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}]}], "}"}]}], "}"}], "]"}]}], "}"}],
                  "]"}]}], "}"}], ",", 
              RowBox[{"PlotLabel", "\[Rule]", 
               RowBox[{"Column", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<surface area S versus time\>\"", ",", 
                  RowBox[{"nn", "[", 
                   RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], "]"}]}], "}"}], "]"}]}], ",", 
              RowBox[{"PlotRange", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"400", "Pi"}]}], "}"}]}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "175"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Plot", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ")"}], "/", "Pi"}], ")"}], "^", 
                   "0.5"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"t", ",", "0", ",", 
                    RowBox[{"400", "Pi"}]}], "}"}]}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Graphics", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", ".21", ",", "0"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"t", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ")"}], "/", "Pi"}], ")"}], "^", 
                    "0.5"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"t", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                  ",", 
                  RowBox[{"PlotRange", "\[Rule]", 
                   RowBox[{"400", "Pi"}]}]}], "]"}], ",", 
                RowBox[{"Graphics", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", ".21", ",", "0"}], "]"}], ",", 
                   RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"t", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ")"}], "/", "Pi"}], ")"}], "^", 
                    "0.5"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ")"}], "/", "Pi"}], ")"}], "^", 
                    "0.5"}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}]}], "}"}],
               ",", 
              RowBox[{"PlotLabel", "\[Rule]", 
               RowBox[{"Column", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<diameter D versus time\>\"", ",", 
                  RowBox[{"nn", "[", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ")"}], "/", "Pi"}], ")"}], "^", 
                    "0.5"}], "]"}]}], "}"}], "]"}]}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "175"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", 
                   RowBox[{"400", "Pi"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "20"}], "}"}]}], "}"}]}]}], "]"}]}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Plot", "[", 
                 RowBox[{
                  RowBox[{"-", "1"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"t", ",", "0", ",", 
                    RowBox[{"400", "Pi"}]}], "}"}]}], "]"}], ",", 
                RowBox[{"Graphics", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"RGBColor", "[", 
                    RowBox[{".67", ",", ".75", ",", ".15"}], "]"}], ",", 
                   RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"t", ",", 
                    RowBox[{"-", "1"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"t", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                 "]"}]}], "}"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "2"}], ",", "2"}], "}"}]}], ",", 
              RowBox[{"PlotLabel", "\[Rule]", 
               RowBox[{"Column", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<\!\(\*FractionBox[\(dS\), \(dt\)]\)\>\"", ",", 
                  RowBox[{"nn", "@", "t"}]}], "}"}], "]"}]}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "175"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Show", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Plot", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"2", "*", "Pi"}], ")"}]}], ")"}], "*", 
                   RowBox[{"Sqrt", "[", 
                    RowBox[{"Pi", "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"400", "*", "Pi"}], "-", "t"}], ")"}]}], "]"}]}], 
                  ",", 
                  RowBox[{"{", 
                   RowBox[{"t", ",", "0", ",", 
                    RowBox[{"410", "Pi"}]}], "}"}]}], "]"}], ",", 
                RowBox[{"Graphics", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"RGBColor", "[", 
                    RowBox[{".67", ",", ".75", ",", ".15"}], "]"}], ",", 
                   RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"t", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ")"}], "/", "Pi"}], ")"}], "^", 
                    "0.5"}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ")"}]}], ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"t", ",", 
                    RowBox[{"-", ".1"}]}], "}"}]}], "}"}], "]"}]}], "}"}], 
                 "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Graphics", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"RGBColor", "[", 
                    RowBox[{".67", ",", ".75", ",", ".15"}], "]"}], ",", 
                   RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"t", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ")"}], "/", "Pi"}], ")"}], "^", 
                    "0.5"}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ")"}]}], ")"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ")"}], "/", "Pi"}], ")"}], "^", 
                    "0.5"}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ")"}]}], ")"}]}]}], "}"}]}], 
                    "}"}], "]"}]}], "}"}], "]"}]}], "}"}], ",", 
              RowBox[{"PlotLabel", "\[Rule]", 
               RowBox[{"Column", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<\!\(\*FractionBox[\(dD\), \(dt\)]\)\>\"", ",", 
                  RowBox[{"nn", "[", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ")"}], "/", "Pi"}], ")"}], "^", 
                    "0.5"}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "t"}], "+", 
                    RowBox[{"400", "Pi"}]}], ")"}]}], ")"}]}], "]"}]}], "}"}],
                 "]"}]}], ",", 
              RowBox[{"AxesOrigin", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"-", ".035"}]}], "}"}]}], ",", 
              RowBox[{"PlotRange", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Automatic", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", ".035"}], ",", 
                   RowBox[{"-", ".005"}]}], "}"}]}], "}"}]}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "175"}]}], "]"}]}], "}"}]}], 
         "}"}], "]"}], "]"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "\"\<time t\>\""}], "}"}], ",", "0", ",", 
     RowBox[{
      RowBox[{"400", "Pi"}], "-", "0.00001"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3864293026912413`*^9, 3.3864293325885744`*^9}, {
   3.3864305355090632`*^9, 3.3864305850875053`*^9}, {3.3864306206814833`*^9, 
   3.3864306644942636`*^9}, {3.3864306970100965`*^9, 
   3.3864307283071723`*^9}, {3.386440203216144*^9, 3.386440310220008*^9}, {
   3.3864404434315567`*^9, 3.38644046499256*^9}, {3.3867951626102*^9, 
   3.3867951917392*^9}, {3.3867953120042*^9, 3.3867953351172*^9}, {
   3.3867953911661997`*^9, 3.3867954106422*^9}, {3.386867313100312*^9, 
   3.3868673800866337`*^9}, {3.38686743932181*^9, 3.386867447273243*^9}, {
   3.3868675859526544`*^9, 3.3868676320289087`*^9}},
 CellID->148186491]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`t$$ = 468., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`t$$], 468., "time t"}, 0, 1256.6370514359173`}}, 
    Typeset`size$$ = {358., {216., 221.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`t$56693$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`t$$ = 468.}, 
      "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$56693$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`nn$}, $CellContext`nn$[
           Pattern[$CellContext`x, 
            Blank[]]] := NumberForm[$CellContext`x, {4, 2}]; Deploy[
          Grid[{{
             Graphics3D[
              Sphere[{0, 0, 0}, 
               Sqrt[(-$CellContext`t$$ + 400 Pi)/(4 Pi)]], PlotRange -> 10, 
              Boxed -> False, PlotLabel -> "snowball", ImageSize -> 100], 
             Show[
              
              ParametricPlot[{-$CellContext`t$$ + 
                400 Pi, ((-$CellContext`t$$ + 400 Pi)/
                 Pi)^0.5}, {$CellContext`t$$, 0, 400 Pi}, AspectRatio -> 1/3, 
               AxesOrigin -> {0, 0}], 
              Graphics[{
                RGBColor[1, 0.21, 0], 
                
                Arrow[{{-$CellContext`t$$ + 
                   400 Pi, ((-$CellContext`t$$ + 400 Pi)/
                    Pi)^0.5}, {-$CellContext`t$$ + 400 Pi, 0}}]}, PlotRange -> 
               400 Pi], 
              Graphics[{
                RGBColor[1, 0.21, 0], 
                
                Arrow[{{-$CellContext`t$$ + 
                   400 Pi, ((-$CellContext`t$$ + 400 Pi)/Pi)^0.5}, {
                  0, ((-$CellContext`t$$ + 400 Pi)/Pi)^0.5}}]}], ImageSize -> 
              175, PlotLabel -> "diameter versus surface area"]}, {
             Show[{
               
               Plot[-$CellContext`t$$ + 
                400 Pi, {$CellContext`t$$, 0, 400 Pi}], 
               Graphics[{
                 RGBColor[1, 0.21, 0], 
                 
                 Line[{{$CellContext`t$$, -$CellContext`t$$ + 
                    400 Pi}, {$CellContext`t$$, 0}}]}], 
               Graphics[{
                 RGBColor[1, 0.21, 0], 
                 
                 Arrow[{{$CellContext`t$$, -$CellContext`t$$ + 400 Pi}, {
                   0, -$CellContext`t$$ + 400 Pi}}]}]}, PlotLabel -> 
              Column[{"surface area S versus time", 
                 $CellContext`nn$[-$CellContext`t$$ + 400 Pi]}], 
              PlotRange -> {0, 400 Pi}, ImageSize -> 175], 
             Show[{
               
               Plot[((-$CellContext`t$$ + 400 Pi)/Pi)^0.5, {$CellContext`t$$, 
                 0, 400 Pi}], 
               Graphics[{
                 RGBColor[1, 0.21, 0], 
                 
                 Line[{{$CellContext`t$$, ((-$CellContext`t$$ + 400 Pi)/
                    Pi)^0.5}, {$CellContext`t$$, 0}}]}, PlotRange -> 400 Pi], 
               
               Graphics[{
                 RGBColor[1, 0.21, 0], 
                 
                 Arrow[{{$CellContext`t$$, ((-$CellContext`t$$ + 400 Pi)/
                    Pi)^0.5}, {0, ((-$CellContext`t$$ + 400 Pi)/Pi)^0.5}}]}]},
               PlotLabel -> Column[{"diameter D versus time", 
                 $CellContext`nn$[((-$CellContext`t$$ + 400 Pi)/Pi)^0.5]}], 
              ImageSize -> 175, PlotRange -> {{0, 400 Pi}, {0, 20}}]}, {
             Show[{
               Plot[-1, {$CellContext`t$$, 0, 400 Pi}], 
               Graphics[{
                 RGBColor[0.67, 0.75, 0.15], 
                 Arrow[{{$CellContext`t$$, -1}, {$CellContext`t$$, 0}}]}]}, 
              PlotRange -> {-2, 2}, PlotLabel -> 
              Column[{"\!\(\*FractionBox[\(dS\), \(dt\)]\)", 
                 $CellContext`nn$[$CellContext`t$$]}], ImageSize -> 175], 
             Show[{
               
               Plot[((-1)/(2 Pi)) 
                Sqrt[Pi/(400 Pi - $CellContext`t$$)], {$CellContext`t$$, 0, 
                 410 Pi}], 
               Graphics[{
                 RGBColor[0.67, 0.75, 0.15], 
                 
                 Arrow[{{$CellContext`t$$, ((-$CellContext`t$$ + 400 Pi)/
                    Pi)^0.5/(
                    2 (-$CellContext`t$$ + 
                    400 Pi))}, {$CellContext`t$$, -0.1}}]}], 
               Graphics[{
                 RGBColor[0.67, 0.75, 0.15], 
                 
                 Arrow[{{$CellContext`t$$, ((-$CellContext`t$$ + 400 Pi)/
                    Pi)^0.5/(2 (-$CellContext`t$$ + 400 Pi))}, {
                   0, ((-$CellContext`t$$ + 400 Pi)/Pi)^0.5/(
                    2 (-$CellContext`t$$ + 400 Pi))}}]}]}, PlotLabel -> 
              Column[{"\!\(\*FractionBox[\(dD\), \(dt\)]\)", 
                 $CellContext`nn$[((-$CellContext`t$$ + 400 Pi)/Pi)^0.5/(
                  2 (-$CellContext`t$$ + 400 Pi))]}], 
              AxesOrigin -> {0, -0.035}, 
              PlotRange -> {Automatic, {-0.035, -0.005}}, ImageSize -> 
              175]}}]]], 
      "Specifications" :> {{{$CellContext`t$$, 468., "time t"}, 0, 
         1256.6370514359173`, Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{402., {259., 264.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->159554715],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["A Snowball's Rate of Change",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ASnowballsRateOfChange/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ASnowballsRateOfChange/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ASnowballsRateOfChange/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ASnowballsRateOfChange/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ASnowballsRateOfChange/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Cindy Piao",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Cindy+Piao"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Cindy+Piao"],
 " and ",
 ButtonBox["Karen Ye",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Karen+Ye"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Karen+Ye"],
 " (Torrey Pines High School)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->245033011],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ASnowballsRateOfChange"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"A Snowball's Rate of Change - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 219, 4, 70, "Section"],
Cell[812, 29, 19476, 474, 70, "Input",
 CellID->148186491]
}, Open  ]],
Cell[20303, 506, 6029, 129, 70, "Output",
 CellID->159554715],
Cell[CellGroupData[{
Cell[26357, 639, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[26733, 650, 914, 24, 70, "Text"],
Cell[27650, 676, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[27990, 687, 724, 24, 70, "Text",
 CellID->245033011],
Cell[CellGroupData[{
Cell[28739, 715, 829, 24, 70, "Text"],
Cell[29571, 741, 1198, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 1TNB5mqMwF50pA09AYPtnTaq *)
