(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     52655,       1204]
NotebookOptionsPosition[     51477,       1161]
NotebookOutlinePosition[     52117,       1185]
CellTagsIndexPosition[     52074,       1182]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Average Rate of Change: Exploring More Functions", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"arctan", "[", 
    RowBox[{
     RowBox[{"\[Alpha]_", "/;", 
      RowBox[{"\[Alpha]", " ", "\[GreaterEqual]", "  ", "0"}]}], ",", " ", 
     "b_"}], "]"}], ":=", " ", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"ArcTan", "[", 
      RowBox[{"\[Alpha]", "/", "b"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"arctan", "[", 
    RowBox[{
     RowBox[{"\[Alpha]_", "/;", 
      RowBox[{"\[Alpha]", " ", "<", " ", "0"}]}], ",", "b_"}], "]"}], ":=", 
   " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"ArcTan", "[", 
      RowBox[{"\[Alpha]", "/", "b"}], "]"}], ",", "0"}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.396798751359375*^9, 3.39679876*^9}, {
   3.3968027461005044`*^9, 3.3968027466813393`*^9}},
 CellID->87473477],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"x0", "<", "#"}], ",", 
        RowBox[{"x0", "=", "#"}]}], "]"}], "&"}], "[", 
     RowBox[{"Switch", "[", 
      RowBox[{"func", ",", "p2", ",", 
       RowBox[{"-", "1.1"}], ",", "p3", ",", 
       RowBox[{"-", "1.17"}], ",", "p4", ",", 
       RowBox[{"-", "2.8"}], ",", "expf", ",", ".02", ",", "logisticf", ",", 
       "0.01"}], "]"}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"x0", ">", "#"}], ",", 
        RowBox[{"x0", "=", "#"}]}], "]"}], "&"}], "[", 
     RowBox[{"Switch", "[", 
      RowBox[{
      "func", ",", "p2", ",", "4.9", ",", "p3", ",", "3.9", ",", "p4", ",", 
       "2.8", ",", "expf", ",", "8.8", ",", "logisticf", ",", "7"}], "]"}], 
     "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"x1", "=", 
     RowBox[{"x0", " ", "+", " ", "deltax"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Switch", "[", 
     RowBox[{"func", ",", "\[IndentingNewLine]", "p2", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "xstart", ",", " ", "xstop", ",", "ystart", ",", "ystop", ",", "  ", 
          "kchangesides", ",", 
          RowBox[{"{", 
           RowBox[{"koffsetleft", ",", "koffsetright"}], "}"}], ",", 
          "deltaxpos", ",", "xyinset"}], "}"}], " ", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "6.1", ",", 
          RowBox[{"-", "1"}], ",", "11", ",", 
          RowBox[{"-", "0.9"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.6", ",", 
            RowBox[{"-", "0.6"}]}], "}"}], ",", 
          RowBox[{"-", "0.45"}], ",", 
          RowBox[{"{", 
           RowBox[{"4.5", ",", "10"}], "}"}]}], "}"}]}], ";", 
       RowBox[{"f", " ", "=", 
        RowBox[{"Function", "[", 
         RowBox[{"x", ",", 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["x", "2"]}], "+", 
           RowBox[{"4", "x"}], "+", "5"}]}], "]"}]}]}], ",", 
      "\[IndentingNewLine]", "p3", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "xstart", ",", " ", "xstop", ",", "ystart", ",", "ystop", ",", "  ", 
          "kchangesides", ",", 
          RowBox[{"{", 
           RowBox[{"koffsetleft", ",", "koffsetright"}], "}"}], ",", 
          "deltaxpos", ",", "xyinset"}], "}"}], " ", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "5", ",", 
          RowBox[{"-", "5"}], ",", "21", ",", 
          RowBox[{"-", "0.95"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.", ",", 
            RowBox[{"-", "0.5"}]}], "}"}], ",", 
          RowBox[{"-", "0.85"}], ",", 
          RowBox[{"{", 
           RowBox[{"3", ",", "18"}], "}"}]}], "}"}]}], ";", 
       RowBox[{"f", " ", "=", 
        RowBox[{"Function", "[", 
         RowBox[{"x", ",", 
          RowBox[{
           SuperscriptBox["x", "3"], " ", "-", 
           RowBox[{"6", 
            SuperscriptBox["x", "2"]}], "+", 
           RowBox[{"5", " ", "x"}], "+", "12"}]}], "]"}]}]}], ",", 
      "\[IndentingNewLine]", "p4", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "xstart", ",", " ", "xstop", ",", "ystart", ",", "ystop", ",", " ", 
          "kchangesides", ",", 
          RowBox[{"{", 
           RowBox[{"koffsetleft", ",", "koffsetright"}], "}"}], ",", 
          "deltaxpos", ",", "xyinset"}], "}"}], " ", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "4.5", ",", 
          RowBox[{"-", "1.5"}], ",", "1.5", ",", 
          RowBox[{"-", "2"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.", ",", 
            RowBox[{"-", "0.6"}]}], "}"}], ",", 
          RowBox[{"-", "0.1"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.6", ",", "1.1"}], "}"}]}], "}"}]}], ";", 
       RowBox[{"f", " ", "=", 
        RowBox[{"Function", "[", 
         RowBox[{"x", ",", 
          RowBox[{
           RowBox[{
            FractionBox["1", "8"], " ", 
            SuperscriptBox["x", "4"]}], " ", "-", 
           SuperscriptBox["x", "2"], "+", "1"}]}], "]"}]}]}], ",", 
      "\[IndentingNewLine]", "expf", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "xstart", ",", " ", "xstop", ",", "ystart", ",", "ystop", ",", " ", 
          "kchangesides", ",", 
          RowBox[{"{", 
           RowBox[{"koffsetleft", ",", "koffsetright"}], "}"}], ",", 
          "deltaxpos", ",", "xyinset"}], "}"}], " ", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.02"}], ",", "10", ",", 
          RowBox[{"-", "0.1"}], ",", "2.7", ",", "1.5", ",", 
          RowBox[{"{", 
           RowBox[{"1.75", ",", 
            RowBox[{"-", "0.8"}]}], "}"}], ",", 
          RowBox[{"-", "0.08"}], ",", 
          RowBox[{"{", 
           RowBox[{"7.5", ",", "2.3"}], "}"}]}], "}"}]}], ";", 
       RowBox[{"f", " ", "=", 
        RowBox[{"Function", "[", 
         RowBox[{"x", ",", " ", 
          RowBox[{"3", "x", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "0.5"}], "x"}]]}]}], "]"}]}]}], ",", 
      "\[IndentingNewLine]", "logisticf", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "xstart", ",", " ", "xstop", ",", "ystart", ",", "ystop", ",", " ", 
          "kchangesides", ",", 
          RowBox[{"{", 
           RowBox[{"koffsetleft", ",", "koffsetright"}], "}"}], ",", 
          "deltaxpos", ",", "xyinset"}], "}"}], " ", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.02"}], ",", "8", ",", 
          RowBox[{"-", "0.35"}], ",", "2.22", ",", "1.5", ",", 
          RowBox[{"{", 
           RowBox[{"1.60", ",", 
            RowBox[{"-", "0.55"}]}], "}"}], ",", 
          RowBox[{"-", "0.1"}], ",", 
          RowBox[{"{", 
           RowBox[{"2.4", ",", "2.0"}], "}"}]}], "}"}]}], ";", 
       RowBox[{"f", " ", "=", 
        RowBox[{"Function", "[", 
         RowBox[{"x", ",", " ", 
          FractionBox["2", 
           RowBox[{"1", "+", 
            RowBox[{"61", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "1.1"}], "x"}]]}]}]]}], "]"}]}]}]}], "]"}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"xaddlength", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"xstop", "-", "xstart"}], ")"}], "/", "10"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"secant", "=", 
     RowBox[{"Function", "[", 
      RowBox[{"x", ",", 
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{
           RowBox[{"f", "[", "x1", "]"}], "-", 
           RowBox[{"f", "[", "x0", "]"}]}], 
          RowBox[{" ", "deltax"}]], "x"}], "+", 
        FractionBox[
         RowBox[{" ", 
          RowBox[{
           RowBox[{"x1", " ", 
            RowBox[{"f", "[", "x0", "]"}]}], "-", 
           RowBox[{"x0", " ", 
            RowBox[{"f", "[", "x1", "]"}]}]}]}], "deltax"]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"m", "=", 
     FractionBox[
      RowBox[{
       RowBox[{"f", "[", "x1", "]"}], "-", 
       RowBox[{"f", "[", "x0", "]"}]}], 
      RowBox[{" ", "deltax"}]]}], ";", "\[IndentingNewLine]", 
    RowBox[{"\[Lambda]", " ", "=", " ", 
     RowBox[{
      FractionBox[
       RowBox[{"ystop", "-", "ystart"}], 
       RowBox[{"xstop", "-", "xstart"}]], " ", "/", 
      RowBox[{"(", 
       RowBox[{"1", "/", "GoldenRatio"}], ")"}]}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"f", "[", "x", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "xstart", ",", "xstop"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"xstart", ",", "xstop"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"ystart", ",", "ystop"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", " ", "600"}], ",", " ", 
      RowBox[{"AxesLabel", "\[Rule]", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<x \>\"", ",", "14", ",", "Italic"}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<y\>\"", ",", "14", ",", "Italic"}], "]"}]}], "}"}]}], 
      ",", 
      RowBox[{"Background", "\[Rule]", " ", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.972549", ",", " ", "0.937255", ",", " ", "0.694118"}], 
        "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RGBColor", "[", 
          RowBox[{"0.378912", ",", " ", "0.742199", ",", " ", "0.570321"}], 
          "]"}], ",", 
         RowBox[{"Thickness", "[", ".005", "]"}]}], " ", "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Epilog", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Black", ",", "\[IndentingNewLine]", 
         RowBox[{"Arrowheads", "[", ".025", "]"}], ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"xstop", "-", "0.02"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"xstop", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"ystop", "-", "0.02"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "ystop"}], "}"}]}], "}"}], "]"}], ",", "Red", 
         ",", 
         RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
         RowBox[{"Disk", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x0", ",", 
             RowBox[{"f", "[", "x0", "]"}]}], "}"}], ",", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"deltax", ">", "0.3"}], ",", "0.2", ",", "0.001"}], 
             "]"}], 
            RowBox[{"{", 
             RowBox[{"1", ",", "\[Lambda]"}], "}"}]}], ",", 
           RowBox[{"arctan", "[", 
            RowBox[{"m", ",", "\[Lambda]"}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", "Black", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", " ", 
             RowBox[{"x0", ",", 
              RowBox[{"f", "[", "x0", "]"}]}], " ", "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", 
              RowBox[{"f", "[", "x0", "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x1", ",", 
              RowBox[{"f", "[", "x1", "]"}]}], "}"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<\[CapitalDelta]x\>\"", ",", "14", ",", "Bold"}], 
            "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"x0", "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"x1", "-", "x0"}], ")"}], "/", "2"}]}], ",", 
             RowBox[{
              RowBox[{"f", "[", "x0", " ", "]"}], "+", "deltaxpos"}]}], 
            "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<\[CapitalDelta]y\>\"", ",", "Medium"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"x1", " ", "+", "0.2"}], ",", 
             RowBox[{
              RowBox[{"f", "[", "x0", " ", "]"}], " ", "+", " ", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"f", "[", "x1", "]"}], "-", 
                 RowBox[{"f", "[", "x0", "]"}]}], ")"}], "/", "2"}]}]}], 
            "}"}]}], "]"}], ",", "\[IndentingNewLine]", "Blue", ",", 
         RowBox[{"Thickness", "[", ".005", "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x0", " ", "-", "xaddlength"}], ",", 
              RowBox[{"secant", "[", 
               RowBox[{"x0", " ", "-", "xaddlength"}], "]"}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x1", " ", "+", "xaddlength"}], ",", 
              RowBox[{"secant", "[", 
               RowBox[{"x1", " ", "+", "xaddlength"}], "]"}]}], "}"}]}], 
           "}"}], "]"}], ",", "\[IndentingNewLine]", "Red", ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"x0", ",", 
            RowBox[{"f", "[", "x0", "]"}]}], "}"}], "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"x1", ",", 
            RowBox[{"f", "[", "x1", "]"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Inset", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<m\>\"", ",", "Italic"}], "]"}], ",", 
                "\"\< = \>\"", ",", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"deltax", ">", " ", "0.0001"}], ",", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"NumberForm", "[", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"f", "[", "x1", "]"}], "-", 
                    RowBox[{"f", "[", "x0", "]"}]}], 
                    RowBox[{" ", "deltax"}]], ",", 
                    RowBox[{"{", 
                    RowBox[{"5", ",", "2"}], "}"}]}], "]"}], "]"}], ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{
                    RowBox[{"Text", "[", "\"\<undefined\>\"", "]"}], ",", " ",
                     "Red", ",", "14"}], "]"}]}], "]"}]}], "}"}], "]"}], ",", 
             
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"x0", "<", "kchangesides"}], ",", 
               RowBox[{"{", " ", 
                RowBox[{
                 RowBox[{"x0", "+", "koffsetleft"}], ",", 
                 RowBox[{"f", "[", "x0", "]"}]}], " ", "}"}], ",", 
               RowBox[{"{", " ", 
                RowBox[{
                 RowBox[{"x0", "+", "koffsetright"}], ",", 
                 RowBox[{"f", "[", "x0", "]"}]}], " ", "}"}]}], "]"}]}], 
            "]"}], " ", ",", "14"}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Inset", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"HoldForm", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<f(x)\>\"", ",", "Italic"}], "]"}], " ", "=", 
                " ", "p"}], 
               StyleBox["]", "WarholOrange"]}], 
              StyleBox["//.", "WarholOrange"], 
              RowBox[{"{", 
               RowBox[{"p", "\[Rule]", " ", 
                RowBox[{"f", "[", "x", "]"}]}], "}"}]}], ",", " ", 
             "xyinset"}], "]"}], ",", " ", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"0.378912", ",", " ", "0.742199", ",", " ", "0.570321"}], 
            "]"}], ",", "20"}], "]"}]}], "}"}]}]}], " ", "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"func", ",", "p2", ",", "\"\<functions\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
       "p2", "\[Rule]", 
        "\"\<- \!\(\*SuperscriptBox[\(x\), \(2\)]\) + 4 x + 5\>\""}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
       "p3", "\[Rule]", 
        "\"\< \!\(\*SuperscriptBox[\(x\), \(3\)]\)- 6 \
\!\(\*SuperscriptBox[\(x\), \(2\)]\)+ 5 x + 12\>\""}], ",", 
       RowBox[{
       "p4", "\[Rule]", 
        "\"\< \!\(\*FractionBox[SuperscriptBox[\(x\), \(4\)], \(\(8\)\(\\\ \)\
\)]\) - \!\(\*SuperscriptBox[\(x\), \(2\)]\) + 1\>\""}], ",", 
       RowBox[{
       "expf", "\[Rule]", 
        "\"\< 3 x \!\(\*SuperscriptBox[\(\[ExponentialE]\), \(\(-0.5\)\\\ \
x\)]\)\>\""}], ",", 
       RowBox[{
       "logisticf", "\[Rule]", 
        "\"\<\!\(\*FractionBox[\(2\), \(1\\\  + \\\ 61\\\ \*SuperscriptBox[\(\
\[ExponentialE]\), \(\(-1.1\)\\\ x\)]\)]\)\>\""}]}], "}"}]}], "}"}], ",", 
   "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", "1", ",", 
       SubscriptBox["x", "0"]}], "}"}], ",", 
     RowBox[{"Evaluate", "@", 
      RowBox[{"Switch", "[", 
       RowBox[{"func", ",", "p2", ",", 
        RowBox[{"Sequence", "@@", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1.1"}], ",", "4.9"}], "}"}]}], ",", "p3", ",", 
        RowBox[{"Sequence", "@@", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1.17"}], ",", "3.9"}], "}"}]}], ",", "p4", ",", 
        RowBox[{"Sequence", "@@", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2.8"}], ",", "2.8"}], "}"}]}], ",", "expf", ",", 
        RowBox[{"Sequence", "@@", 
         RowBox[{"{", 
          RowBox[{".02", ",", "8.8"}], "}"}]}], ",", "logisticf", ",", 
        RowBox[{"Sequence", "@@", 
         RowBox[{"{", 
          RowBox[{"0.01", ",", "7"}], "}"}]}]}], "]"}]}], ",", 
     RowBox[{"ControlType", "\[Rule]", "LabeledSlider"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"deltax", ",", "1", ",", "\[CapitalDelta]x"}], "}"}], ",", 
     SuperscriptBox["10", 
      RowBox[{"-", "7"}]], ",", "4", ",", 
     RowBox[{"Appearance", "\[Rule]", " ", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", "Manipulate"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"1", ",", "25"}], "}"}], "}"}]}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"Row", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"HoldForm", "[", "m", "]"}], ",", 
       "\"\<, the average rate of change\>\""}], "}"}], "]"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.391354350125*^9, 3.391354377640625*^9}, {
   3.39151695778125*^9, 3.391516957984375*^9}, 3.391528270640625*^9, {
   3.39152845925*^9, 3.3915284711875*^9}, {3.391528547203125*^9, 
   3.39152855359375*^9}, 3.391528659234375*^9, 3.391528995796875*^9, 
   3.391529099171875*^9, {3.391537920645189*^9, 3.391537921826888*^9}, 
   3.3915387930496445`*^9, {3.391538824254515*^9, 3.391538856591013*^9}, 
   3.3920083003125*^9, 3.395543747671875*^9, {3.395669784359375*^9, 
   3.395669947640625*^9}, {3.39567000653125*^9, 3.395670023421875*^9}, {
   3.39567007159375*^9, 3.39567007925*^9}, {3.39567015809375*^9, 
   3.39567019609375*^9}, {3.395983748125*^9, 3.395983748484375*^9}, {
   3.395983794875*^9, 3.395983833328125*^9}, {3.3959838949375*^9, 
   3.395983908375*^9}, {3.39598394328125*^9, 3.395983959484375*^9}, {
   3.395984005328125*^9, 3.3959841239375*^9}, {3.395984159078125*^9, 
   3.395984218359375*^9}, {3.395984248453125*^9, 3.3959842963125*^9}, {
   3.395984365328125*^9, 3.3959847028125*^9}, 3.3959847685625*^9, {
   3.39598485140625*^9, 3.395984852125*^9}, 3.39598489603125*^9, {
   3.395990194703125*^9, 3.3959902285625*^9}, {3.395990277359375*^9, 
   3.395990293671875*^9}, {3.395990372125*^9, 3.395990413203125*^9}, 
   3.395990459984375*^9, {3.395990565296875*^9, 3.3959905894375*^9}, 
   3.395990836796875*^9, {3.39599089925*^9, 3.39599089996875*^9}, {
   3.395990937125*^9, 3.395990960890625*^9}, {3.395991097734375*^9, 
   3.395991104*^9}, {3.395991184421875*^9, 3.3959912246875*^9}, {
   3.395992625890625*^9, 3.39599262678125*^9}, {3.395992677625*^9, 
   3.3959926808125*^9}, 3.396087231671875*^9, {3.396087289890625*^9, 
   3.39608732575*^9}, {3.396087372125*^9, 3.396087402921875*^9}, {
   3.396087442328125*^9, 3.396087463125*^9}, 3.396087660890625*^9, {
   3.396087695828125*^9, 3.396087717609375*^9}, 3.39608775125*^9, {
   3.396087801375*^9, 3.396087801953125*^9}, 3.3960879190625*^9, {
   3.396087960390625*^9, 3.3960879633125*^9}, {3.39608799890625*^9, 
   3.396088001140625*^9}, {3.3960880701875*^9, 3.396088119609375*^9}, {
   3.396088232125*^9, 3.396088240125*^9}, {3.3960883125625*^9, 
   3.396088508109375*^9}, {3.396088546328125*^9, 3.396088571828125*^9}, {
   3.396088616171875*^9, 3.396088632765625*^9}, {3.396088699140625*^9, 
   3.396088717*^9}, {3.396088764890625*^9, 3.396088874046875*^9}, {
   3.396088915828125*^9, 3.396089025703125*^9}, {3.396089108265625*^9, 
   3.396089158953125*^9}, {3.3960893183125*^9, 3.396089404125*^9}, 
   3.396089453640625*^9, {3.396089496734375*^9, 3.396089801578125*^9}, {
   3.3960898768125*^9, 3.39608988265625*^9}, {3.39608992859375*^9, 
   3.396089949953125*^9}, {3.39609107346875*^9, 3.3960913404375*^9}, {
   3.396091396125*^9, 3.396091399015625*^9}, {3.39609155496875*^9, 
   3.39609173346875*^9}, {3.39609176415625*^9, 3.396091803484375*^9}, {
   3.396091836921875*^9, 3.396091893578125*^9}, {3.396091929703125*^9, 
   3.396091953671875*^9}, {3.396091990921875*^9, 3.396092049890625*^9}, {
   3.396092114671875*^9, 3.396092236546875*^9}, {3.39609226696875*^9, 
   3.39609226965625*^9}, {3.396092333125*^9, 3.396092398078125*^9}, {
   3.396092449296875*^9, 3.39609245178125*^9}, {3.39609259415625*^9, 
   3.396092618*^9}, {3.396092660890625*^9, 3.39609267034375*^9}, {
   3.39609270775*^9, 3.39609284653125*^9}, {3.39609289415625*^9, 
   3.396092982515625*^9}, {3.39609317678125*^9, 3.396093287125*^9}, {
   3.396093352359375*^9, 3.39609338578125*^9}, {3.396093422046875*^9, 
   3.396093429046875*^9}, {3.3960938758125*^9, 3.39609388578125*^9}, {
   3.396093931328125*^9, 3.396094002609375*^9}, {3.396101492875*^9, 
   3.39610154346875*^9}, 3.396101656703125*^9, {3.39610170159375*^9, 
   3.3961017101875*^9}, {3.39610174653125*^9, 3.39610179928125*^9}, {
   3.396101833890625*^9, 3.396101919953125*^9}, {3.39610200528125*^9, 
   3.396102005875*^9}, {3.396102053859375*^9, 3.396102090421875*^9}, {
   3.396102193609375*^9, 3.3961022264375*^9}, {3.396102278375*^9, 
   3.39610227846875*^9}, {3.396102325015625*^9, 3.39610237115625*^9}, {
   3.39610240934375*^9, 3.396102472828125*^9}, {3.3961025396875*^9, 
   3.396102612359375*^9}, {3.396102671671875*^9, 3.396102675796875*^9}, {
   3.396102712359375*^9, 3.3961027366875*^9}, {3.39617108896875*^9, 
   3.396171190140625*^9}, {3.396171397109375*^9, 3.396171460296875*^9}, {
   3.396171595828125*^9, 3.39617162246875*^9}, {3.396171657734375*^9, 
   3.39617170328125*^9}, {3.396171760953125*^9, 3.396171779671875*^9}, {
   3.396171837015625*^9, 3.396171841875*^9}, {3.39617188484375*^9, 
   3.396171886546875*^9}, {3.39617192675*^9, 3.3961719410625*^9}, {
   3.3961719906875*^9, 3.396171992265625*^9}, 3.396172061421875*^9, {
   3.396172182921875*^9, 3.39617218346875*^9}, {3.396172258640625*^9, 
   3.396172355140625*^9}, {3.3961725835*^9, 3.396172593046875*^9}, {
   3.396172663859375*^9, 3.396172681078125*^9}, 3.39617274490625*^9, 
   3.396172805*^9, {3.396172876890625*^9, 3.396173000640625*^9}, {
   3.396173059109375*^9, 3.396173059578125*^9}, {3.396173169671875*^9, 
   3.396173200328125*^9}, {3.396173246359375*^9, 3.396173306640625*^9}, {
   3.39617334846875*^9, 3.396173399484375*^9}, {3.396173454*^9, 
   3.396173456234375*^9}, {3.3961735645625*^9, 3.396173566265625*^9}, 
   3.396174073125*^9, {3.396174130265625*^9, 3.396174148390625*^9}, {
   3.396174254671875*^9, 3.396174269734375*^9}, 3.396174304234375*^9, {
   3.39617434165625*^9, 3.396174348671875*^9}, {3.3961743806875*^9, 
   3.396174408765625*^9}, {3.396174446671875*^9, 3.3961745155625*^9}, {
   3.39617457046875*^9, 3.396174620796875*^9}, {3.3961746956875*^9, 
   3.396174764296875*^9}, {3.396174851203125*^9, 3.396174852109375*^9}, {
   3.396174885140625*^9, 3.3961748871875*^9}, {3.39617502359375*^9, 
   3.3961750418125*^9}, {3.396175372578125*^9, 3.39617539890625*^9}, {
   3.396175429703125*^9, 3.396175467421875*^9}, {3.396175553328125*^9, 
   3.396175554640625*^9}, {3.3961760983125*^9, 3.396176116125*^9}, {
   3.396176376234375*^9, 3.396176384921875*^9}, {3.396323140625*^9, 
   3.396323185296875*^9}, {3.39632323665625*^9, 3.396323256296875*^9}, 
   3.3963233635625*^9, {3.396323428671875*^9, 3.396323435703125*^9}, 
   3.396323466375*^9, {3.396410927796875*^9, 3.396410952453125*^9}, {
   3.3964111343125*^9, 3.396411143546875*^9}, {3.396583215125*^9, 
   3.396583215734375*^9}, {3.39658331296875*^9, 3.3965833134375*^9}, {
   3.396798770625*^9, 3.39679878046875*^9}, {3.396802766049189*^9, 
   3.3968027661593475`*^9}, {3.396803340915807*^9, 3.396803347935901*^9}, {
   3.3968273585887575`*^9, 3.3968273851179695`*^9}, {3.396827456300002*^9, 
   3.3968274564718647`*^9}, {3.3968274952813835`*^9, 3.396827611772436*^9}, {
   3.3972366740432034`*^9, 3.397236810569518*^9}, 3.397404816859375*^9, {
   3.397404965734375*^9, 3.397405012140625*^9}, {3.397405332875*^9, 
   3.397405371859375*^9}, {3.397544797546875*^9, 3.39754480434375*^9}, {
   3.397544878671875*^9, 3.397544880734375*^9}, 3.397544930484375*^9, {
   3.39850503115625*^9, 3.39850503746875*^9}, {3.39850530175*^9, 
   3.398505309078125*^9}, {3.398514383992416*^9, 3.398514407554916*^9}, {
   3.398523271713616*^9, 3.398523276276116*^9}},
 CellID->17037828]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`deltax$$ = 
    1, $CellContext`func$$ = $CellContext`p2, $CellContext`x0$$ = 1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`func$$], $CellContext`p2, 
       "functions"}, {$CellContext`p2 -> 
       "- \!\(\*SuperscriptBox[\(x\), \(2\)]\) + 4 x + 5", $CellContext`p3 -> 
       " \!\(\*SuperscriptBox[\(x\), \(3\)]\)- 6 \!\(\*SuperscriptBox[\(x\), \
\(2\)]\)+ 5 x + 12", $CellContext`p4 -> 
       " \!\(\*FractionBox[SuperscriptBox[\(x\), \(4\)], \(\(8\)\( \)\)]\) - \
\!\(\*SuperscriptBox[\(x\), \(2\)]\) + 1", $CellContext`expf -> 
       " 3 x \!\(\*SuperscriptBox[\(\[ExponentialE]\), \(\(-0.5\) x\)]\)", \
$CellContext`logisticf -> 
       "\!\(\*FractionBox[\(2\), \(1  +  61 \
\*SuperscriptBox[\(\[ExponentialE]\), \(\(-1.1\) x\)]\)]\)"}}, {{
       Hold[$CellContext`x0$$], 1, 
       Subscript[$CellContext`x, 0]}, 
      Dynamic[
       Switch[$CellContext`func$$, $CellContext`p2, 
        Apply[Sequence, {-1.1, 4.9}], $CellContext`p3, 
        Apply[Sequence, {-1.17, 3.9}], $CellContext`p4, 
        Apply[Sequence, {-2.8, 2.8}], $CellContext`expf, 
        Apply[Sequence, {0.02, 8.8}], $CellContext`logisticf, 
        Apply[Sequence, {0.01, 7}]]]}, {{
       Hold[$CellContext`deltax$$], 1, $CellContext`\[CapitalDelta]x}, 
      Rational[1, 10000000], 4}}, Typeset`size$$ = {600., {187., 192.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`func$96297$$ = False, $CellContext`deltax$96298$$ = 
    0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`deltax$$ = 
        1, $CellContext`func$$ = $CellContext`p2, $CellContext`x0$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`func$$, $CellContext`func$96297$$, False], 
        Hold[$CellContext`deltax$$, $CellContext`deltax$96298$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ((If[$CellContext`x0$$ < #, $CellContext`x0$$ = #]& )[
         Switch[$CellContext`func$$, $CellContext`p2, -1.1, $CellContext`p3, \
-1.17, $CellContext`p4, -2.8, $CellContext`expf, 0.02, $CellContext`logisticf,
           0.01]]; (If[$CellContext`x0$$ > #, $CellContext`x0$$ = #]& )[
         Switch[$CellContext`func$$, $CellContext`p2, 4.9, $CellContext`p3, 
          3.9, $CellContext`p4, 2.8, $CellContext`expf, 
          8.8, $CellContext`logisticf, 
          7]]; $CellContext`x1 = $CellContext`x0$$ + $CellContext`deltax$$; 
       Switch[$CellContext`func$$, $CellContext`p2, {$CellContext`xstart, \
$CellContext`xstop, $CellContext`ystart, $CellContext`ystop, \
$CellContext`kchangesides, {$CellContext`koffsetleft, \
$CellContext`koffsetright}, $CellContext`deltaxpos, $CellContext`xyinset} = \
{-2, 6.1, -1, 11, -0.9, {1.6, -0.6}, -0.45, {4.5, 10}}; $CellContext`f = 
          Function[$CellContext`x, -$CellContext`x^2 + 4 $CellContext`x + 
            5], $CellContext`p3, {$CellContext`xstart, $CellContext`xstop, \
$CellContext`ystart, $CellContext`ystop, $CellContext`kchangesides, \
{$CellContext`koffsetleft, $CellContext`koffsetright}, \
$CellContext`deltaxpos, $CellContext`xyinset} = {-2, 5, -5, 21, -0.95, {
            1., -0.5}, -0.85, {3, 18}}; $CellContext`f = 
          Function[$CellContext`x, $CellContext`x^3 - 6 $CellContext`x^2 + 
            5 $CellContext`x + 
            12], $CellContext`p4, {$CellContext`xstart, $CellContext`xstop, \
$CellContext`ystart, $CellContext`ystop, $CellContext`kchangesides, \
{$CellContext`koffsetleft, $CellContext`koffsetright}, \
$CellContext`deltaxpos, $CellContext`xyinset} = {-3, 4.5, -1.5, 1.5, -2, {
            1., -0.6}, -0.1, {1.6, 1.1}}; $CellContext`f = 
          Function[$CellContext`x, (1/8) $CellContext`x^4 - $CellContext`x^2 + 
            1], $CellContext`expf, {$CellContext`xstart, $CellContext`xstop, \
$CellContext`ystart, $CellContext`ystop, $CellContext`kchangesides, \
{$CellContext`koffsetleft, $CellContext`koffsetright}, \
$CellContext`deltaxpos, $CellContext`xyinset} = {-0.02, 10, -0.1, 2.7, 1.5, {
            1.75, -0.8}, -0.08, {7.5, 2.3}}; $CellContext`f = 
          Function[$CellContext`x, 3 $CellContext`x 
            E^((-0.5) $CellContext`x)], $CellContext`logisticf, \
{$CellContext`xstart, $CellContext`xstop, $CellContext`ystart, \
$CellContext`ystop, $CellContext`kchangesides, {$CellContext`koffsetleft, \
$CellContext`koffsetright}, $CellContext`deltaxpos, $CellContext`xyinset} = \
{-0.02, 8, -0.35, 2.22, 1.5, {1.6, -0.55}, -0.1, {2.4, 2.}}; $CellContext`f = 
          Function[$CellContext`x, 2/(1 + 
            61 E^((-1.1) $CellContext`x))]]; $CellContext`xaddlength = \
($CellContext`xstop - $CellContext`xstart)/10; $CellContext`secant = 
        Function[$CellContext`x$, (($CellContext`f[$CellContext`x1] - \
$CellContext`f[$CellContext`x0$$])/$CellContext`deltax$$) $CellContext`x$ + \
($CellContext`x1 $CellContext`f[$CellContext`x0$$] - $CellContext`x0$$ \
$CellContext`f[$CellContext`x1])/$CellContext`deltax$$]; $CellContext`m = \
($CellContext`f[$CellContext`x1] - \
$CellContext`f[$CellContext`x0$$])/$CellContext`deltax$$; $CellContext`\
\[Lambda] = (($CellContext`ystop - $CellContext`ystart)/($CellContext`xstop - \
$CellContext`xstart))/(1/GoldenRatio); Plot[
         $CellContext`f[$CellContext`x], {$CellContext`x, \
$CellContext`xstart, $CellContext`xstop}, 
         PlotRange -> {{$CellContext`xstart, $CellContext`xstop}, \
{$CellContext`ystart, $CellContext`ystop}}, ImageSize -> 600, AxesLabel -> {
           Style["x ", 14, Italic], 
           Style["y", 14, Italic]}, Background -> 
         RGBColor[0.972549, 0.937255, 0.694118], PlotStyle -> {
           RGBColor[0.378912, 0.742199, 0.570321], 
           Thickness[0.005]}, Epilog -> {Black, 
           Arrowheads[0.025], 
           Arrow[{{$CellContext`xstop - 0.02, 0}, {$CellContext`xstop, 0}}], 
           Arrow[{{0, $CellContext`ystop - 0.02}, {0, $CellContext`ystop}}], 
           Red, 
           PointSize[0.015], 
           Disk[{$CellContext`x0$$, 
             $CellContext`f[$CellContext`x0$$]}, 
            If[$CellContext`deltax$$ > 0.3, 0.2, 0.001] {
             1, $CellContext`\[Lambda]}, 
            $CellContext`arctan[$CellContext`m, $CellContext`\[Lambda]]], 
           Black, 
           Line[{{$CellContext`x0$$, 
              $CellContext`f[$CellContext`x0$$]}, {$CellContext`x1, 
              $CellContext`f[$CellContext`x0$$]}, {$CellContext`x1, 
              $CellContext`f[$CellContext`x1]}}], 
           Text[
            Style[
            "\[CapitalDelta]x", 14, 
             Bold], {$CellContext`x0$$ + ($CellContext`x1 - \
$CellContext`x0$$)/
              2, $CellContext`f[$CellContext`x0$$] + $CellContext`deltaxpos}],
            
           Text[
            Style[
            "\[CapitalDelta]y", Medium], {$CellContext`x1 + 
             0.2, $CellContext`f[$CellContext`x0$$] + \
($CellContext`f[$CellContext`x1] - $CellContext`f[$CellContext`x0$$])/2}], 
           Blue, 
           Thickness[0.005], 
           Line[{{$CellContext`x0$$ - $CellContext`xaddlength, 
              $CellContext`secant[$CellContext`x0$$ - \
$CellContext`xaddlength]}, {$CellContext`x1 + $CellContext`xaddlength, 
              $CellContext`secant[$CellContext`x1 + \
$CellContext`xaddlength]}}], Red, 
           Point[{$CellContext`x0$$, 
             $CellContext`f[$CellContext`x0$$]}], 
           Point[{$CellContext`x1, 
             $CellContext`f[$CellContext`x1]}], 
           Style[
            Inset[
             Row[{
               Style["m", Italic], " = ", 
               If[$CellContext`deltax$$ > 0.0001, 
                ToString[
                 
                 NumberForm[($CellContext`f[$CellContext`x1] - \
$CellContext`f[$CellContext`x0$$])/$CellContext`deltax$$, {5, 2}]], 
                Style[
                 Text["undefined"], Red, 14]]}], 
             
             If[$CellContext`x0$$ < $CellContext`kchangesides, \
{$CellContext`x0$$ + $CellContext`koffsetleft, 
               $CellContext`f[$CellContext`x0$$]}, {$CellContext`x0$$ + \
$CellContext`koffsetright, 
               $CellContext`f[$CellContext`x0$$]}]], 14], 
           Style[
            Inset[
             ReplaceRepeated[
              HoldForm[
              Style["f(x)", 
                 Italic] = $CellContext`p], {$CellContext`p -> \
$CellContext`f[$CellContext`x]}], $CellContext`xyinset], 
            RGBColor[0.378912, 0.742199, 0.570321], 20]}]), 
      "Specifications" :> {{{$CellContext`func$$, $CellContext`p2, 
          "functions"}, {$CellContext`p2 -> 
          "- \!\(\*SuperscriptBox[\(x\), \(2\)]\) + 4 x + 5", $CellContext`p3 -> 
          " \!\(\*SuperscriptBox[\(x\), \(3\)]\)- 6 \
\!\(\*SuperscriptBox[\(x\), \(2\)]\)+ 5 x + 12", $CellContext`p4 -> 
          " \!\(\*FractionBox[SuperscriptBox[\(x\), \(4\)], \(\(8\)\( \)\)]\) \
- \!\(\*SuperscriptBox[\(x\), \(2\)]\) + 1", $CellContext`expf -> 
          " 3 x \!\(\*SuperscriptBox[\(\[ExponentialE]\), \(\(-0.5\) x\)]\)", \
$CellContext`logisticf -> 
          "\!\(\*FractionBox[\(2\), \(1  +  61 \*SuperscriptBox[\(\
\[ExponentialE]\), \(\(-1.1\) x\)]\)]\)"}}, 
        Delimiter, {{$CellContext`x0$$, 1, 
          Subscript[$CellContext`x, 0]}, 
         Dynamic[
          Switch[$CellContext`func$$, $CellContext`p2, 
           Apply[Sequence, {-1.1, 4.9}], $CellContext`p3, 
           Apply[Sequence, {-1.17, 3.9}], $CellContext`p4, 
           Apply[Sequence, {-2.8, 2.8}], $CellContext`expf, 
           Apply[Sequence, {0.02, 8.8}], $CellContext`logisticf, 
           Apply[Sequence, {0.01, 7}]]], ControlType -> 
         LabeledSlider}, {{$CellContext`deltax$$, 
          1, $CellContext`\[CapitalDelta]x}, 
         Rational[1, 10000000], 4, Appearance -> "Labeled"}}, 
      "Options" :> {
       TrackedSymbols :> Manipulate, AutorunSequencing -> {{1, 25}}, 
        FrameLabel -> Row[{
           HoldForm[$CellContext`m], ", the average rate of change"}]}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{644., {278., 283.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`x1 = 
        2, $CellContext`xstart = -2, $CellContext`xstop = 
        6.1, $CellContext`ystart = -1, $CellContext`ystop = 
        11, $CellContext`kchangesides = -0.9, $CellContext`koffsetleft = 
        1.6, $CellContext`koffsetright = -0.6, $CellContext`deltaxpos = \
-0.45, $CellContext`xyinset = {4.5, 10}, $CellContext`f = 
        Function[$CellContext`x, -$CellContext`x^2 + 4 $CellContext`x + 
          5], $CellContext`xaddlength = 0.81, $CellContext`secant = 
        Function[$CellContext`x$, (($CellContext`f[$CellContext`x1] - \
$CellContext`f[FE`x0$$562])/
            FE`deltax$$562) $CellContext`x$ + ($CellContext`x1 $CellContext`f[
              FE`x0$$562] - FE`x0$$562 $CellContext`f[$CellContext`x1])/
           FE`deltax$$562], Attributes[$CellContext`x$] = {Temporary}, 
        FE`x0$$562 = 1, FE`deltax$$562 = 1, $CellContext`m = 
        1, $CellContext`\[Lambda] = 2.397087390740585, 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`arctan[
          Condition[
           Pattern[$CellContext`\[Alpha], 
            Blank[]], $CellContext`\[Alpha] >= 0], 
          Pattern[$CellContext`b, 
           Blank[]]] := {0, 
          ArcTan[$CellContext`\[Alpha]/$CellContext`b]}, $CellContext`arctan[
          Condition[
           Pattern[$CellContext`\[Alpha], 
            Blank[]], $CellContext`\[Alpha] < 0], 
          Pattern[$CellContext`b, 
           Blank[]]] := {
          ArcTan[$CellContext`\[Alpha]/$CellContext`b], 0}, 
        Attributes[Subscript] = {NHoldRest}, 
        Subscript[$CellContext`\[Phi], $CellContext`v][
          Pattern[$CellContext`i, 
           Blank[]]] := 
        Exp[(Subscript[$CellContext`Z, $CellContext`v] - 
            1) ($CellContext`Bp[$CellContext`i]/
            Subscript[$CellContext`B, $CellContext`v]) - Log[
          Subscript[$CellContext`Z, $CellContext`v] - 
           Subscript[$CellContext`B, $CellContext`v]] - ((
            Subscript[$CellContext`A, $CellContext`v]/((2 Sqrt[2]) 
            Subscript[$CellContext`B, $CellContext`v])) (
            2 Sum[$CellContext`y[$CellContext`j] \
($CellContext`Ab[$CellContext`i, $CellContext`j]/
                Subscript[$CellContext`A, $CellContext`v]), {$CellContext`j, 
                1, 4}] - $CellContext`Bp[$CellContext`i]/
            Subscript[$CellContext`B, $CellContext`v])) 
          Log[(Subscript[$CellContext`Z, $CellContext`v] + (1 + Sqrt[2]) 
              Subscript[$CellContext`B, $CellContext`v])/(
            Subscript[$CellContext`Z, $CellContext`v] + (1 - Sqrt[2]) 
             Subscript[$CellContext`B, $CellContext`v])]], 
        Subscript[$CellContext`\[Phi], $CellContext`l][
          Pattern[$CellContext`i, 
           Blank[]]] := 
        Exp[(Subscript[$CellContext`Z, $CellContext`l] - 
            1) ($CellContext`Bp[$CellContext`i]/
            Subscript[$CellContext`B, $CellContext`l]) - Log[
          Subscript[$CellContext`Z, $CellContext`l] - 
           Subscript[$CellContext`B, $CellContext`l]] - ((
            Subscript[$CellContext`A, $CellContext`l]/((2 Sqrt[2]) 
            Subscript[$CellContext`B, $CellContext`l])) (
            2 Sum[$CellContext`x[$CellContext`j] \
($CellContext`Ab[$CellContext`i, $CellContext`j]/
                Subscript[$CellContext`A, $CellContext`l]), {$CellContext`j, 
                1, 4}] - $CellContext`Bp[$CellContext`i]/
            Subscript[$CellContext`B, $CellContext`l])) 
          Log[(Subscript[$CellContext`Z, $CellContext`l] + (1 + Sqrt[2]) 
              Subscript[$CellContext`B, $CellContext`l])/(
            Subscript[$CellContext`Z, $CellContext`l] + (1 - Sqrt[2]) 
             Subscript[$CellContext`B, $CellContext`l])]], 
        Subscript[$CellContext`A, $CellContext`l] = 
        0.11899451239217573` $CellContext`x[1]^2 + 
         0.3258622941791799 $CellContext`x[1] $CellContext`x[2] + 
         0.2239183443346985 $CellContext`x[2]^2 + 
         0.4130916755929901 $CellContext`x[1] $CellContext`x[3] + 
         0.5685569625324797 $CellContext`x[2] $CellContext`x[3] + 
         0.3618641784876383 $CellContext`x[3]^2 + 
         0.49961024025903095` $CellContext`x[1] $CellContext`x[4] + 
         0.6887637621052163 $CellContext`x[2] $CellContext`x[4] + 
         0.8775085005011348 $CellContext`x[3] $CellContext`x[4] + 
         0.5330263931165605 $CellContext`x[4]^2, 
        Subscript[$CellContext`A, $CellContext`v] = 
        0.12315418958000145` $CellContext`y[1]^2 + 
         0.33721549894635505` $CellContext`y[1] $CellContext`y[2] + 
         0.23169371348661255` $CellContext`y[2]^2 + 
         0.4274534455075868 $CellContext`y[1] $CellContext`y[3] + 
         0.5882575644139354 $CellContext`y[2] $CellContext`y[3] + 
         0.3743760813515885 $CellContext`y[3]^2 + 
         0.5169875052836104 $CellContext`y[1] $CellContext`y[4] + 
         0.7126399498841969 $CellContext`y[2] $CellContext`y[4] + 
         0.9078626925373003 $CellContext`y[3] $CellContext`y[4] + 
         0.5514725353873895 $CellContext`y[4]^2, 
        Subscript[$CellContext`B, $CellContext`l] = 
        0.026892820713045433` $CellContext`x[1] + 
         0.0374327774133094 $CellContext`x[2] + 
         0.04823100360190885 $CellContext`x[3] + 
         0.05995452136531292 $CellContext`x[4], 
        Subscript[$CellContext`B, $CellContext`v] = 
        0.026892820713045433` $CellContext`y[1] + 
         0.0374327774133094 $CellContext`y[2] + 
         0.04823100360190885 $CellContext`y[3] + 
         0.05995452136531292 $CellContext`y[4], $CellContext`Bp[
          Pattern[$CellContext`i$, 
           
           Blank[]]] := $CellContext`P \
($CellContext`bp[$CellContext`i$]/($CellContext`R FE`T$$448)), $CellContext`P = 
        293.8, $CellContext`bp[
          Pattern[$CellContext`i, 
           Blank[]]] := (
          0.0778 $CellContext`R) \
($CellContext`Tc[$CellContext`i]/$CellContext`Pc[$CellContext`i]), \
$CellContext`R = 1.987, $CellContext`Tc[1] = 550., $CellContext`Tc[2] = 
        665.9, $CellContext`Tc[3] = 765.3, $CellContext`Tc[4] = 
        845.6, $CellContext`Pc[1] = 709.8, $CellContext`Pc[2] = 
        617.4, $CellContext`Pc[3] = 550.7, $CellContext`Pc[4] = 489.5, 
        FE`T$$448 = 658.6, $CellContext`Ab[
          Pattern[$CellContext`i, 
           Blank[]], 
          Pattern[$CellContext`j, 
           Blank[]]] = 
        0.0003097080935007487 (
          1 - $CellContext`k[$CellContext`i, $CellContext`j]) \
(($CellContext`Tc[$CellContext`i]^2 $CellContext`Tc[$CellContext`j]^2 (
              1 + (1 - 
                25.663203229526903` \
($CellContext`Tc[$CellContext`i]^(-1))^0.5) (0.37464 + 
                1.54226 $CellContext`\[Omega][$CellContext`i] - 
                0.26992 $CellContext`\[Omega][$CellContext`i]^2))^2 (
              1 + (1 - 
                25.663203229526903` \
($CellContext`Tc[$CellContext`j]^(-1))^0.5) (0.37464 + 
                1.54226 $CellContext`\[Omega][$CellContext`j] - 
                0.26992 \
$CellContext`\[Omega][$CellContext`j]^2))^2)/($CellContext`Pc[$CellContext`i] \
$CellContext`Pc[$CellContext`j]))^0.5, $CellContext`k[1, 1] = 
        0, $CellContext`k[1, 2] = 0.00185, $CellContext`k[1, 3] = 
        0.00464, $CellContext`k[1, 4] = 0.00811, $CellContext`k[2, 1] = 
        0.00185, $CellContext`k[2, 2] = 0, $CellContext`k[2, 3] = 
        0.00132, $CellContext`k[2, 4] = 0.00317, $CellContext`k[3, 1] = 
        0.00464, $CellContext`k[3, 2] = 0.00132, $CellContext`k[3, 3] = 
        0, $CellContext`k[3, 4] = 0.00098, $CellContext`k[4, 1] = 
        0.00811, $CellContext`k[4, 2] = 0.00317, $CellContext`k[4, 3] = 
        0.00098, $CellContext`k[4, 4] = 0, $CellContext`\[Omega][1] = 
        0.1064, $CellContext`\[Omega][2] = 0.1538, $CellContext`\[Omega][3] = 
        0.1954, $CellContext`\[Omega][4] = 0.2387}; 
      Typeset`initDone$$ = True); ReleaseHold[{{
         HoldComplete[$CellContext`arctan[
             Condition[
              Pattern[$CellContext`\[Alpha], 
               Blank[]], $CellContext`\[Alpha] >= 0], 
             Pattern[$CellContext`b, 
              Blank[]]] := {0, 
             ArcTan[$CellContext`\[Alpha]/$CellContext`b]}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`arctan[
             Condition[
              Pattern[$CellContext`\[Alpha], 
               Blank[]], $CellContext`\[Alpha] < 0], 
             Pattern[$CellContext`b, 
              Blank[]]] := {
             ArcTan[$CellContext`\[Alpha]/$CellContext`b], 0}; Null]}}]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->73157526],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Average Rate of Change: Exploring More Functions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
AverageRateOfChangeExploringMoreFunctions/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
AverageRateOfChangeExploringMoreFunctions/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
AverageRateOfChangeExploringMoreFunctions/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
AverageRateOfChangeExploringMoreFunctions/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
AverageRateOfChangeExploringMoreFunctions/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Wolfgang Narrath",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Wolfgang+\
Narrath"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Wolfgang+Narrath"],
 " and ",
 ButtonBox["Reinhard Simonovits",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Reinhard+\
Simonovits"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Reinhard+Simonovits"]\

}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->281765797],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
AverageRateOfChangeExploringMoreFunctions"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Average Rate of Change: Exploring More Functions - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 240, 4, 70, "Section"],
Cell[833, 29, 857, 28, 70, "Input",
 CellID->87473477],
Cell[1693, 59, 25728, 586, 70, "Input",
 CellID->17037828]
}, Open  ]],
Cell[27436, 648, 19408, 363, 70, "Output",
 CellID->73157526],
Cell[CellGroupData[{
Cell[46869, 1015, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[47245, 1026, 1048, 31, 70, "Text"],
Cell[48296, 1059, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[48636, 1070, 739, 24, 70, "Text",
 CellID->281765797],
Cell[CellGroupData[{
Cell[49400, 1098, 829, 24, 70, "Text"],
Cell[50232, 1124, 1217, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature oQzceOmFa38YSD0b197JTEXr *)
