(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     39751,        996]
NotebookOptionsPosition[     38592,        954]
NotebookOutlinePosition[     39230,        978]
CellTagsIndexPosition[     39187,        975]
WindowTitle->Bicycle Gear Ratios and Meters of Development - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Bicycle Gear Ratios and Meters of Development", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"centerHub", " ", "=", " ", 
   RowBox[{"Disk", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"3", ",", "0"}], "}"}], ",", ".15"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"minimumTeeth", " ", "=", " ", "9"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"these", " ", "values", " ", "are", " ", "the", " ", "lowest"}], 
    " ", "\[Rule]", " ", 
    RowBox[{
    "highest", " ", "values", " ", "on", " ", "rear", " ", 
     "\"\<cassettes\>\""}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"maximumTeeth", " ", "=", " ", "34"}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.457700742909522*^9, 3.457700743738656*^9}, 
   3.4579072521611576`*^9},
 CellID->82729755],

Cell[BoxData[
 RowBox[{"Manipulate", " ", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"fMultiplier", " ", "=", " ", 
     RowBox[{"frontSprocketTeeth", "/", "25"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "these", " ", "are", " ", "scaled", " ", "lengths", " ", "used", " ", 
      "for", " ", "the", " ", "radii", " ", "of", " ", "the", " ", "gears"}], 
     " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"rMultiplier", " ", "=", " ", 
     RowBox[{"rearSprocketTeeth", "/", "25"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"pedalV1", " ", "&"}], " ", "pedalV2", " ", "are", " ", "the", 
      " ", "points", " ", "for", " ", "the", " ", "corners", " ", "of", " ", 
      "the", " ", "rectangle", "\[IndentingNewLine]", " ", "It", " ", 
      "starts", " ", "at", " ", 
      RowBox[{"(", 
       RowBox[{"3", ",", "0"}], ")"}], " ", "and", " ", "its", " ", "center", 
      " ", "is", " ", "1.525", "*", "fMultiplier", " ", "units", " ", "away", 
      "\[IndentingNewLine]", " ", "the", " ", 
      RowBox[{"(", 
       RowBox[{"sin", ",", " ", "cos"}], ")"}], " ", "vector", " ", "rotates",
       " ", "it", " ", "in", " ", "the", " ", "opposite", " ", "direction", 
      "\[IndentingNewLine]", " ", "the", " ", "third", " ", "vector", " ", 
      "shifts", " ", "from", " ", "the", " ", "center", " ", "of", " ", 
      "rotation", " ", "to", " ", "the", " ", "vertices"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"pedalV1", " ", "=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"3", ",", "0"}], "}"}], "+", " ", 
      RowBox[{"1.525", "*", "fMultiplier", "*", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Sin", "[", "\[Theta]", "]"}], ",", 
         RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}]}], "+", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0.375"}], "*", "fMultiplier"}], ",", 
        RowBox[{
         RowBox[{"-", "0.025"}], "*", "fMultiplier"}]}], "}"}]}]}], ";", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"pedalV2", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"3", ",", "0"}], "}"}], "+", " ", 
      RowBox[{"1.525", "*", "fMultiplier", "*", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Sin", "[", "\[Theta]", "]"}], ",", 
         RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}]}], "-", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0.375"}], "*", "fMultiplier"}], ",", 
        RowBox[{
         RowBox[{"-", "0.025"}], "*", "fMultiplier"}]}], "}"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"rearPedalV1", " ", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2.97", ",", "0"}], "}"}], "-", " ", 
      RowBox[{"1.525", "*", "fMultiplier", "*", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Sin", "[", "\[Theta]", "]"}], ",", 
         RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}]}], "+", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0.375"}], "*", "fMultiplier"}], ",", 
        RowBox[{
         RowBox[{"-", "0.025"}], "*", "fMultiplier"}]}], "}"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"rearPedalV2", " ", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2.97", ",", "0"}], "}"}], "-", 
      RowBox[{"1.525", "*", "fMultiplier", "*", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Sin", "[", "\[Theta]", "]"}], ",", 
         RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}]}], "-", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0.375"}], "*", "fMultiplier"}], ",", 
        RowBox[{
         RowBox[{"-", "0.025"}], "*", "fMultiplier"}]}], "}"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"theta", " ", "=", " ", 
     RowBox[{"ArcCos", "[", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"fMultiplier", "-", "rMultiplier"}], "]"}], "/", "6"}], 
       "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Calculate", " ", "the", " ", "angle", " ", "between", " ", "the", " ", 
      "horizontal", " ", "and", " ", "the", " ", "larger", " ", "radius"}], 
     " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"frontPt", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"3", "-", 
        RowBox[{"fMultiplier", "*", 
         RowBox[{"(", 
          RowBox[{"N", "[", 
           RowBox[{"Cos", "[", "theta", "]"}], "]"}], ")"}]}]}], ",", 
       RowBox[{"fMultiplier", "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"N", "[", 
           RowBox[{"Sin", "[", "theta", "]"}], "]"}], "+", ".05"}], ")"}]}]}],
       "}"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "points", " ", "of", " ", "tangency", " ", "to", " ", "form", " ", "the",
       " ", "\"\<chain\>\""}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"bottomFrontPt", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"3", "-", 
        RowBox[{"fMultiplier", "*", 
         RowBox[{"(", 
          RowBox[{"N", "[", 
           RowBox[{"Cos", "[", "theta", "]"}], "]"}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{"-", "fMultiplier"}], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"N", "[", 
           RowBox[{"Sin", "[", "theta", "]"}], "]"}], "+", ".05"}], ")"}]}]}],
       "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"rearPt", " ", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "3"}], "-", 
        RowBox[{"rMultiplier", "*", 
         RowBox[{"(", 
          RowBox[{"N", "[", 
           RowBox[{"Cos", "[", "theta", "]"}], "]"}], ")"}]}]}], ",", 
       RowBox[{"rMultiplier", "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"N", "[", 
           RowBox[{"Sin", "[", "theta", "]"}], "]"}], "+", ".05"}], ")"}]}]}],
       "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"bottomRearPt", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "3"}], "-", 
        RowBox[{"rMultiplier", "*", 
         RowBox[{"(", 
          RowBox[{"N", "[", 
           RowBox[{"Cos", "[", "theta", "]"}], "]"}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{"-", " ", "rMultiplier"}], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"N", "[", 
           RowBox[{"Sin", "[", "theta", "]"}], "]"}], "+", ".05"}], ")"}]}]}],
       "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"myGearTooth", " ", "=", " ", 
     RowBox[{"Rectangle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"fMultiplier", " ", "+", "2.92"}], ",", 
         RowBox[{"-", "0.1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"fMultiplier", " ", "+", " ", "3.08"}], ",", "0.1"}], "}"}], 
       ",", 
       RowBox[{"RoundingRadius", "\[Rule]", "0.03"}]}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "fMultiplier", " ", "scales", " ", "the", " ", "gear", " ", "teeth", " ",
       "down", " ", "as", " ", "teeth", " ", "increase"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"myRearGearTooth", " ", "=", " ", 
     RowBox[{"Rectangle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"rMultiplier", " ", "-", " ", "3.08"}], ",", 
         RowBox[{"-", "0.1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"rMultiplier", " ", "-", "2.92"}], ",", "0.1"}], "}"}], ",", 
       
       RowBox[{"RoundingRadius", "\[Rule]", "0.03"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{
      "rMultiplier", " ", "scales", " ", "the", " ", "gear", " ", "teeth", 
       " ", "down", " ", "as", " ", "teeth", " ", "increase"}], ",", " ", 
      RowBox[{
      "RoundingRadius", " ", "rounds", " ", "the", " ", "edges", " ", "a", 
       " ", "bit"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"myCrank", " ", "=", 
     RowBox[{"Rotate", "[", 
      RowBox[{
       RowBox[{"Rectangle", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"3.15", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"-", "0.1"}], "*", "fMultiplier"}], "+", "3.05"}], ",", 
           RowBox[{"1.5", "*", "fMultiplier"}]}], "}"}], ",", 
         RowBox[{"RoundingRadius", "\[Rule]", "0.55"}]}], "]"}], ",", 
       RowBox[{"-", "\[Theta]"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "0"}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    StyleBox[
     RowBox[{"myRearCrank", " ", "=", " ", 
      RowBox[{"Rotate", "[", 
       RowBox[{
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"-", "0.08"}], "*", "fMultiplier"}], "+", "3"}], ",", 
            RowBox[{
             RowBox[{"-", "1.53"}], "*", "fMultiplier"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"0.08", "*", "fMultiplier"}], "+", "3"}], ",", 
            RowBox[{
             RowBox[{"-", "1.03"}], "*", "fMultiplier"}]}], "}"}], ",", 
          RowBox[{"RoundingRadius", " ", "\[Rule]", "0.4"}]}], "]"}], ",", 
        RowBox[{"-", "\[Theta]"}], ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", "0"}], "}"}]}], "]"}]}],
     FontColor->GrayLevel[0]], 
    StyleBox[" ",
     FontColor->GrayLevel[0]], 
    StyleBox[";",
     FontColor->GrayLevel[0]], 
    StyleBox["\[IndentingNewLine]",
     FontColor->RGBColor[1, 0, 0]], 
    RowBox[{"myPedal", " ", "=", 
     RowBox[{"Rectangle", "[", 
      RowBox[{"pedalV1", ",", "pedalV2"}], "]"}]}], " ", ";", 
    "\[IndentingNewLine]", 
    RowBox[{"myRearPedal", " ", "=", 
     RowBox[{"Rectangle", "[", 
      RowBox[{"rearPedalV1", ",", "rearPedalV2"}], "]"}]}], " ", ";", 
    "\[IndentingNewLine]", 
    RowBox[{"gearRatio", " ", "=", " ", 
     RowBox[{"N", "[", 
      RowBox[{"rearSprocketTeeth", " ", "/", " ", "frontSprocketTeeth"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"metersOfDevelopment", " ", "=", " ", 
     RowBox[{"N", "[", 
      RowBox[{".0254", "*", "Pi", "*", "rearWheelDiameter", "*", 
       RowBox[{"frontSprocketTeeth", "/", "rearSprocketTeeth"}]}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"Graphics", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"3", ",", "0"}], "}"}], ",", "fMultiplier"}], "]"}], ",", 
        " ", 
        RowBox[{"(*", " ", 
         RowBox[{
         "makes", " ", "a", " ", "solid", " ", "disk", " ", "centered", " ", 
          "at", " ", 
          RowBox[{"(", 
           RowBox[{"3", ",", "0"}], ")"}], " ", "with", " ", "radius", " ", 
          "fMultiplier"}], " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"GrayLevel", "[", ".2", "]"}], ",", "Thick", ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{"rearPt", ",", "frontPt"}], "}"}], "]"}]}], "}"}], ",", 
        " ", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{
           RowBox[{
           "these", " ", "are", " ", "the", " ", "lines", " ", "for", " ", 
            "the", " ", "top"}], " ", "&"}], " ", "bottom", " ", "chain"}], 
         " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"GrayLevel", "[", ".2", "]"}], ",", "Thick", ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{"bottomRearPt", ",", "bottomFrontPt"}], "}"}], "]"}]}], 
         "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Rotate", "[", 
           RowBox[{"myGearTooth", ",", 
            RowBox[{
             RowBox[{"2", "\[Pi]", " ", 
              RowBox[{"k", "/", "frontSprocketTeeth"}]}], " ", "-", " ", 
             RowBox[{"2", "*", " ", 
              RowBox[{"\[Theta]", " ", "/", "fMultiplier"}]}]}], ",", 
            RowBox[{"{", 
             RowBox[{"3", ",", "0"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"frontSprocketTeeth", "-", "1"}]}], "}"}]}], "]"}], ",", 
        " ", 
        RowBox[{"(*", " ", 
         RowBox[{"rotates", " ", "the", " ", "rectangle", " ", "2", " ", 
          RowBox[{"\[Pi]", "/", "12"}], " ", "radians", " ", "about", " ", 
          "the", " ", "center", " ", 
          RowBox[{"(", 
           RowBox[{"1", ",", "0"}], ")"}], " ", "to", " ", "form", " ", 
          "front", " ", "sprocket", " ", "teeth"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Gray", ",", "myCrank"}], "}"}], ",", " ", 
        RowBox[{"(*", " ", 
         RowBox[{"make", " ", "the", " ", "crank"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"GrayLevel", "[", ".6", "]"}], ",", " ", "myRearCrank"}], 
         "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Gray", ",", "centerHub"}], "}"}], ",", 
        RowBox[{"(*", " ", 
         RowBox[{
         "make", " ", "a", " ", "\"\<bolt head\>\"", " ", "at", " ", "the", 
          " ", "center", " ", "of", " ", "the", " ", "hub"}], " ", "*)"}], 
        "\[IndentingNewLine]", "myPedal", ",", 
        RowBox[{"(*", " ", 
         RowBox[{"make", " ", "the", " ", "pedal"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"GrayLevel", "[", ".3", "]"}], ",", "myRearPedal"}], "}"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "3"}], ",", "0"}], "}"}], ",", "rMultiplier"}], 
         "]"}], ",", " ", 
        RowBox[{"(*", " ", 
         RowBox[{"add", " ", "the", " ", "rear", " ", "sprocket"}], " ", 
         "*)"}], "\[IndentingNewLine]", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Rotate", "[", 
           RowBox[{"myRearGearTooth", ",", 
            RowBox[{
             RowBox[{"2", "\[Pi]", " ", 
              RowBox[{"m", "/", "rearSprocketTeeth"}]}], " ", "-", " ", 
             RowBox[{"2", "*", 
              RowBox[{"\[Theta]", " ", "/", "rMultiplier"}]}]}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "3"}], ",", "0"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"m", ",", "0", ",", 
            RowBox[{"rearSprocketTeeth", "-", "1"}]}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", " ", 
        RowBox[{"(*", " ", 
         RowBox[{"rotates", " ", "the", " ", "rectangle", " ", "2", " ", 
          RowBox[{"\[Pi]", "/", "12"}], " ", "radians", " ", "about", " ", 
          "the", " ", "center", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "5"}], ",", "0"}], ")"}], " ", "to", " ", "form", 
          " ", "rear", " ", "sprocket", " ", "teeth"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"\"\<gear ratio: \>\"", " ", "<>", 
             RowBox[{"ToString", "[", "gearRatio", "]"}], " ", "<>", 
             "\"\< : 1\>\""}], ",", "18", ",", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".25", ",", ".43", ",", ".82"}], "]"}], ",", "Bold"}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "4.5"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"\"\<meters of development: \>\"", " ", "<>", 
             RowBox[{"ToString", "[", "metersOfDevelopment", "]"}], " ", 
             "<>", "\"\< meters \>\""}], ",", "18", ",", 
            RowBox[{"RGBColor", "[", 
             RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", "Bold"}], "]"}],
           ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "4"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"ToString", "[", "rearSprocketTeeth", "]"}], " ", "<>", 
             "\"\< teeth\>\""}], ",", "14", ",", 
            RowBox[{"FontColor", "\[Rule]", " ", "White"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2.9"}], ",", "0"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"ToString", "[", "frontSprocketTeeth", "]"}], " ", "<>", 
             "\"\< teeth\>\""}], ",", "16", ",", 
            RowBox[{"FontColor", "\[Rule]", " ", "White"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"3", ",", "0"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"600", ",", "375"}], "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5"}], ",", "7"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "4"}], ",", "5"}], "}"}]}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Grid", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Control", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "frontSprocketTeeth", ",", "30", ",", 
              "\"\<front sprocket teeth\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"30", ",", "40", ",", "51"}], "}"}], ",", "SetterBar"}], 
           "}"}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Control", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "rearWheelDiameter", ",", "26", ",", 
              "\"\<rear wheel diameter\>\"", ",", 
              RowBox[{"FontSize", "\[Rule]", " ", "14"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"20", ",", "24", ",", "26", ",", "27", ",", "29"}], 
             "}"}], ",", "PopupMenu"}], "}"}], "]"}]}], "\[IndentingNewLine]",
         "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Control", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"rearSprocketTeeth", ",", 
              RowBox[{"Floor", "[", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"minimumTeeth", "+", "maximumTeeth"}], ")"}], "/", 
                "2"}], "]"}], ",", "\"\<rear sprocket teeth\>\""}], "}"}], 
            ",", "minimumTeeth", ",", " ", "maximumTeeth", ",", "1", ",", 
            RowBox[{"Appearance", " ", "\[Rule]", " ", "\"\<Labeled\>\""}], 
            ",", 
            RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"Control", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"\[Theta]", ",", "0", ",", "\"\<rotation angle\>\""}], 
             "}"}], ",", "0", ",", 
            RowBox[{"2", "Pi"}], ",", 
            RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
            RowBox[{"AnimationRate", " ", "\[Rule]", " ", 
             RowBox[{".01", "*", "fMultiplier", "*", "rMultiplier"}]}]}], 
           "}"}], "]"}]}], "\[IndentingNewLine]", "}"}]}], 
      "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Alignment", " ", "\[Rule]", " ", "Left"}]}], 
    "\[IndentingNewLine]", "]"}], ",", 
   RowBox[{"(*", " ", 
    RowBox[{"end", " ", "Grid"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", " ", "\[Rule]", " ", "True"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.457700665424125*^9, {3.4577007106270328`*^9, 
   3.4577007401896915`*^9}, {3.457700877902011*^9, 3.4577008792917123`*^9}, {
   3.457700966180791*^9, 3.457701028263253*^9}, {3.4577067235*^9, 
   3.45770672834375*^9}, {3.457706778671875*^9, 3.45770678771875*^9}, {
   3.457706819671875*^9, 3.457706824296875*^9}, {3.457706864734375*^9, 
   3.457706900109375*^9}, {3.45770694603125*^9, 3.45770694903125*^9}, {
   3.457706986390625*^9, 3.457706988796875*^9}, {3.45770753096875*^9, 
   3.457707536*^9}, {3.457714633734375*^9, 3.457714636078125*^9}, {
   3.457907084785209*^9, 3.457907254235912*^9}, 3.457970685378039*^9, {
   3.457972279086589*^9, 3.4579722811803255`*^9}, {3.4579723266487846`*^9, 
   3.4579723299768887`*^9}, {3.4583088418173223`*^9, 3.458308987098878*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`frontSprocketTeeth$$ = 
    30, $CellContext`rearSprocketTeeth$$ = 
    21, $CellContext`rearWheelDiameter$$ = 26, $CellContext`\[Theta]$$ = 0, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`frontSprocketTeeth$$], 30, "front sprocket teeth"}, {
      30, 40, 51}}, {{
       Hold[$CellContext`rearWheelDiameter$$], 26, "rear wheel diameter", 
       FontSize -> 14}, {20, 24, 26, 27, 29}}, {{
       Hold[$CellContext`rearSprocketTeeth$$], 21, "rear sprocket teeth"}, 9, 
      34, 1}, {{
       Hold[$CellContext`\[Theta]$$], 0, "rotation angle"}, 0, 2 Pi}, {
      Hold[
       Grid[{{
          Manipulate`Place[1], 
          Manipulate`Place[2]}, {
          Manipulate`Place[3], 
          Manipulate`Place[4]}}, Alignment -> Left]], 
      Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    600., {185., 190.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`frontSprocketTeeth$1002$$ = 
    0, $CellContext`rearWheelDiameter$1003$$ = 
    0, $CellContext`rearSprocketTeeth$1004$$ = 
    0, $CellContext`\[Theta]$1005$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`frontSprocketTeeth$$ = 
        30, $CellContext`rearSprocketTeeth$$ = 
        21, $CellContext`rearWheelDiameter$$ = 26, $CellContext`\[Theta]$$ = 
        0}, "ControllerVariables" :> {
        Hold[$CellContext`frontSprocketTeeth$$, \
$CellContext`frontSprocketTeeth$1002$$, 0], 
        Hold[$CellContext`rearWheelDiameter$$, \
$CellContext`rearWheelDiameter$1003$$, 0], 
        Hold[$CellContext`rearSprocketTeeth$$, \
$CellContext`rearSprocketTeeth$1004$$, 0], 
        Hold[$CellContext`\[Theta]$$, $CellContext`\[Theta]$1005$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`fMultiplier = $CellContext`frontSprocketTeeth$$/
         25; $CellContext`rMultiplier = $CellContext`rearSprocketTeeth$$/
         25; $CellContext`pedalV1 = {3, 0} + 1.525 $CellContext`fMultiplier {
            Sin[$CellContext`\[Theta]$$], 
            
            Cos[$CellContext`\[Theta]$$]} + {(-0.375) \
$CellContext`fMultiplier, (-0.025) $CellContext`fMultiplier}; \
$CellContext`pedalV2 = {3, 0} + 1.525 $CellContext`fMultiplier {
            Sin[$CellContext`\[Theta]$$], 
            
            Cos[$CellContext`\[Theta]$$]} - {(-0.375) \
$CellContext`fMultiplier, (-0.025) $CellContext`fMultiplier}; \
$CellContext`rearPedalV1 = {2.97, 0} - 1.525 $CellContext`fMultiplier {
           Sin[$CellContext`\[Theta]$$], 
           
           Cos[$CellContext`\[Theta]$$]} + {(-0.375) \
$CellContext`fMultiplier, (-0.025) $CellContext`fMultiplier}; \
$CellContext`rearPedalV2 = {2.97, 0} - 1.525 $CellContext`fMultiplier {
           Sin[$CellContext`\[Theta]$$], 
           
           Cos[$CellContext`\[Theta]$$]} - {(-0.375) \
$CellContext`fMultiplier, (-0.025) $CellContext`fMultiplier}; \
$CellContext`theta = ArcCos[
          N[
          Abs[$CellContext`fMultiplier - $CellContext`rMultiplier]/
           6]]; $CellContext`frontPt = {3 - $CellContext`fMultiplier N[
            Cos[$CellContext`theta]], $CellContext`fMultiplier (N[
             Sin[$CellContext`theta]] + 0.05)}; $CellContext`bottomFrontPt = {
         3 - $CellContext`fMultiplier N[
            Cos[$CellContext`theta]], (-$CellContext`fMultiplier) (N[
             Sin[$CellContext`theta]] + 
           0.05)}; $CellContext`rearPt = {-3 - $CellContext`rMultiplier N[
            Cos[$CellContext`theta]], $CellContext`rMultiplier (N[
             Sin[$CellContext`theta]] + 
           0.05)}; $CellContext`bottomRearPt = {-3 - $CellContext`rMultiplier 
          N[
            Cos[$CellContext`theta]], (-$CellContext`rMultiplier) (N[
             Sin[$CellContext`theta]] + 0.05)}; $CellContext`myGearTooth = 
        Rectangle[{$CellContext`fMultiplier + 
           2.92, -0.1}, {$CellContext`fMultiplier + 3.08, 0.1}, 
          RoundingRadius -> 0.03]; $CellContext`myRearGearTooth = 
        Rectangle[{$CellContext`rMultiplier - 
           3.08, -0.1}, {$CellContext`rMultiplier - 2.92, 0.1}, 
          RoundingRadius -> 0.03]; $CellContext`myCrank = Rotate[
          
          Rectangle[{
           3.15, 0}, {(-0.1) $CellContext`fMultiplier + 3.05, 
            1.5 $CellContext`fMultiplier}, RoundingRadius -> 
           0.55], -$CellContext`\[Theta]$$, {3, 0}]; $CellContext`myRearCrank = 
        Rotate[
          
          Rectangle[{(-0.08) $CellContext`fMultiplier + 
            3, (-1.53) $CellContext`fMultiplier}, {
           0.08 $CellContext`fMultiplier + 
            3, (-1.03) $CellContext`fMultiplier}, RoundingRadius -> 
           0.4], -$CellContext`\[Theta]$$, {3, 0}]; $CellContext`myPedal = 
        Rectangle[$CellContext`pedalV1, $CellContext`pedalV2]; \
$CellContext`myRearPedal = 
        Rectangle[$CellContext`rearPedalV1, $CellContext`rearPedalV2]; \
$CellContext`gearRatio = 
        N[$CellContext`rearSprocketTeeth$$/$CellContext`frontSprocketTeeth$$]; \
$CellContext`metersOfDevelopment = 
        N[0.0254 
          Pi $CellContext`rearWheelDiameter$$ \
($CellContext`frontSprocketTeeth$$/$CellContext`rearSprocketTeeth$$)]; 
       Graphics[{
          Disk[{3, 0}, $CellContext`fMultiplier], {
           GrayLevel[0.2], Thick, 
           Line[{$CellContext`rearPt, $CellContext`frontPt}]}, {
           GrayLevel[0.2], Thick, 
           Line[{$CellContext`bottomRearPt, $CellContext`bottomFrontPt}]}, 
          Table[
           
           Rotate[$CellContext`myGearTooth, 
            2 Pi ($CellContext`k/$CellContext`frontSprocketTeeth$$) - 
            2 ($CellContext`\[Theta]$$/$CellContext`fMultiplier), {3, 
            0}], {$CellContext`k, 0, $CellContext`frontSprocketTeeth$$ - 
            1}], {Gray, $CellContext`myCrank}, {
           GrayLevel[0.6], $CellContext`myRearCrank}, {
          Gray, $CellContext`centerHub}, $CellContext`myPedal, {
           GrayLevel[0.3], $CellContext`myRearPedal}, 
          Disk[{-3, 0}, $CellContext`rMultiplier], 
          Table[
           
           Rotate[$CellContext`myRearGearTooth, 
            2 Pi ($CellContext`m/$CellContext`rearSprocketTeeth$$) - 
            2 ($CellContext`\[Theta]$$/$CellContext`rMultiplier), {-3, 
            0}], {$CellContext`m, 0, $CellContext`rearSprocketTeeth$$ - 1}], 
          Text[
           Style[
            StringJoin["gear ratio: ", 
             ToString[$CellContext`gearRatio], " : 1"], 18, 
            RGBColor[0.25, 0.43, 0.82], Bold], {1, 4.5}], 
          Text[
           Style[
            StringJoin["meters of development: ", 
             ToString[$CellContext`metersOfDevelopment], " meters "], 18, 
            RGBColor[0.49, 0, 0], Bold], {1, 4}], 
          Text[
           Style[
            StringJoin[
             ToString[$CellContext`rearSprocketTeeth$$], " teeth"], 14, 
            FontColor -> White], {-2.9, 0}], 
          Text[
           Style[
            StringJoin[
             ToString[$CellContext`frontSprocketTeeth$$], " teeth"], 16, 
            FontColor -> White], {3, 0}]}, ImageSize -> {600, 375}, 
         PlotRange -> {{-5, 7}, {-4, 5}}]), 
      "Specifications" :> {{{$CellContext`frontSprocketTeeth$$, 30, 
          "front sprocket teeth"}, {30, 40, 51}, ControlType -> SetterBar, 
         ControlPlacement -> 
         1}, {{$CellContext`rearWheelDiameter$$, 26, "rear wheel diameter", 
          FontSize -> 14}, {20, 24, 26, 27, 29}, ControlType -> PopupMenu, 
         ControlPlacement -> 
         2}, {{$CellContext`rearSprocketTeeth$$, 21, "rear sprocket teeth"}, 
         9, 34, 1, Appearance -> "Labeled", ImageSize -> Tiny, 
         ControlPlacement -> 
         3}, {{$CellContext`\[Theta]$$, 0, "rotation angle"}, 0, 2 Pi, 
         Appearance -> "Labeled", ImageSize -> Tiny, AnimationRate -> 0.01008,
          ControlPlacement -> 4}, 
        Grid[{{
           Manipulate`Place[1], 
           Manipulate`Place[2]}, {
           Manipulate`Place[3], 
           Manipulate`Place[4]}}, Alignment -> Left]}, 
      "Options" :> {TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{645., {240., 245.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`fMultiplier = 
        6/5, $CellContext`rMultiplier = 
        21/25, $CellContext`pedalV1 = {2.55, 
         1.7999999999999998`}, $CellContext`pedalV2 = {3.45, 
         1.8599999999999999`}, $CellContext`rearPedalV1 = {
         2.5200000000000005`, -1.8599999999999999`}, $CellContext`rearPedalV2 = \
{3.42, -1.7999999999999998`}, $CellContext`theta = 
        1.5107602683496182`, $CellContext`frontPt = {2.928, 
         1.2578380524929067`}, $CellContext`bottomFrontPt = {
         2.928, -1.2578380524929067`}, $CellContext`rearPt = \
{-3.0504000000000002`, 
         0.8804866367450348}, $CellContext`bottomRearPt = \
{-3.0504000000000002`, -0.8804866367450348}, $CellContext`myGearTooth = 
        Rectangle[{4.12, -0.1}, {4.28, 0.1}, RoundingRadius -> 
          0.03], $CellContext`myRearGearTooth = 
        Rectangle[{-2.24, -0.1}, {-2.08, 0.1}, RoundingRadius -> 
          0.03], $CellContext`myCrank = Rotate[
          
          Rectangle[{3.15, 0}, {2.9299999999999997`, 1.7999999999999998`}, 
           RoundingRadius -> 0.55], 0, {3, 0}], $CellContext`myRearCrank = 
        Rotate[
          
          Rectangle[{2.904, -1.8359999999999999`}, {3.096, -1.236}, 
           RoundingRadius -> 0.4], 0, {3, 0}], $CellContext`myPedal = 
        Rectangle[{2.55, 1.7999999999999998`}, {3.45, 
          1.8599999999999999`}], $CellContext`myRearPedal = 
        Rectangle[{2.5200000000000005`, -1.8599999999999999`}, {
          3.42, -1.7999999999999998`}], $CellContext`gearRatio = 
        0.7, $CellContext`metersOfDevelopment = 
        2.963868269186713, $CellContext`centerHub = Disk[{3, 0}, 0.15]}; 
      Typeset`initDone$$ = True); ReleaseHold[{{
         HoldComplete[$CellContext`centerHub = Disk[{3, 0}, 0.15]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`minimumTeeth = 9; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`maximumTeeth = 34; Null]}}]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->344529930],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Bicycle Gear Ratios and Meters of Development",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
BicycleGearRatiosAndMetersOfDevelopment/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/BicycleGearRatiosAndMetersOfDevelopment/\
"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
BicycleGearRatiosAndMetersOfDevelopment/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
BicycleGearRatiosAndMetersOfDevelopment/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/BicycleGearRatiosAndMetersOfDevelopment/\
"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Tom Falcone",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Tom+Falcone"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Tom+Falcone"],
 " and ",
 ButtonBox["Ivan Moore",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ivan+Moore"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ivan+Moore"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
BicycleGearRatiosAndMetersOfDevelopment"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Bicycle Gear Ratios and Meters of Development - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[635, 23, 237, 4, 70, "Section"],
Cell[875, 29, 819, 24, 70, "Input",
 InitializationCell->True,
 CellID->82729755],
Cell[1697, 55, 21287, 527, 70, "Input"]
}, Open  ]],
Cell[22999, 585, 11015, 221, 70, "Output",
 CellID->344529930],
Cell[CellGroupData[{
Cell[34039, 810, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[34415, 821, 1035, 31, 70, "Text"],
Cell[35453, 854, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[35793, 865, 681, 22, 70, "Text"],
Cell[CellGroupData[{
Cell[36499, 891, 847, 24, 70, "Text"],
Cell[37349, 917, 1215, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature YSjipaMEz4gIqB06IKAE@QaX *)
