(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     25046,        633]
NotebookOptionsPosition[     23987,        594]
NotebookOutlinePosition[     24611,        618]
CellTagsIndexPosition[     24568,        615]
WindowTitle->Draining of Two Connected Tanks - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Draining of Two Connected Tanks", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"solution", " ", "=", " ", 
     RowBox[{"NDSolve", "[", "\n", "  ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"x", "'"}], "[", "tt", "]"}], " ", "==", " ", 
          RowBox[{"a", " ", "*", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"y", "[", "tt", "]"}], " ", "-", " ", 
             RowBox[{"x", "[", "tt", "]"}]}], ")"}]}]}], ",", "\n", "   ", 
         RowBox[{
          RowBox[{
           RowBox[{"y", "'"}], "[", "tt", "]"}], " ", "==", " ", 
          RowBox[{
           RowBox[{"b", " ", "*", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"x", "[", "tt", "]"}], " ", "-", " ", 
              RowBox[{"y", "[", "tt", "]"}]}], ")"}]}], " ", "-", " ", 
           RowBox[{"c", " ", "*", " ", 
            RowBox[{"y", "[", "tt", "]"}]}]}]}], ",", "\n", "   ", 
         RowBox[{
          RowBox[{"x", "[", "0", "]"}], " ", "==", " ", "0"}], ",", "\n", 
         "   ", 
         RowBox[{
          RowBox[{"y", "[", "0", "]"}], " ", "==", " ", "6"}]}], "}"}], ",", 
       "\n", "  ", 
       RowBox[{"{", 
        RowBox[{"x", ",", " ", "y"}], "}"}], ",", "\n", "  ", 
       RowBox[{"{", 
        RowBox[{"tt", ",", " ", "0", ",", " ", "6"}], "}"}]}], "]"}]}], ";", 
    "\n", " ", "\n", "\[IndentingNewLine]", "  ", 
    RowBox[{
     RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Black", ",", "Thick", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0.2", ",", "1."}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{".2", ",", 
                RowBox[{".1", "a"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.2", ",", "0.1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.95", ",", "0.1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.95", ",", "0.05"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.925", ",", ".05"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.925", ",", "0.025"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1.0", ",", "0.025"}], "}"}]}], "}"}], "]"}]}], "}"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Thick", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{".25", " ", "b"}], ",", "1.0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{".25", " ", "b"}], ",", 
                RowBox[{".1", "c"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{".28", "a"}], ",", 
                RowBox[{".1", "c"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"0.28", " ", "a"}], ",", "1.0"}], "}"}]}], "}"}], 
            "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Thick", ",", " ", 
           RowBox[{"Line", "[", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0.80", ",", "1.0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.80", ",", 
                RowBox[{".1", "c"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1.0", ",", 
                RowBox[{".1", "c"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1.0", ",", "0.1"}], "}"}]}], "}"}], "]"}]}], "}"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Thick", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"1.0", ",", "0.1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.975", ",", "0.1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0.975", ",", "0.05"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1.0", ",", "0.05"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1.0", ",", "0.025"}], "}"}]}], "}"}], "]"}]}], "}"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"ColorData", "[", 
          RowBox[{"\"\<HTML\>\"", ",", "\"\<DodgerBlue\>\""}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Rectangle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0.2", ",", 
             RowBox[{"0.1", "c"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"0.25", "b"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"0.1", "c"}], "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"0.8", "/", "6"}], ")"}], "*", 
                RowBox[{"x", "[", "t", "]"}]}]}], "/.", 
              RowBox[{"solution", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Rectangle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"0.28", "a"}], ",", 
             RowBox[{".1", "c"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0.80", ",", 
             RowBox[{
              RowBox[{
               RowBox[{"0.1", "c"}], "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"0.8", "/", "6"}], ")"}], "*", " ", 
                RowBox[{"y", "[", "t", "]"}]}]}], "/.", 
              RowBox[{"solution", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"t", ">", "0"}], ",", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Rectangle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0.2", ",", 
                 RowBox[{"0.1", "c"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"1.00", ",", ".1"}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Rectangle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0.95", ",", "0.1"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0.975", ",", ".025"}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Rectangle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0.925", ",", ".05"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"1.0", ",", ".025"}], "}"}]}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"ColorData", "[", 
             RowBox[{"\"\<HTML\>\"", ",", "\"\<DodgerBlue\>\""}], "]"}], 
            "}"}]}], "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"250", ",", "250"}], "}"}]}]}], "]"}], "\[IndentingNewLine]", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "[", "t", "]"}], " ", "/.", " ", "solution"}], ",", 
         " ", "\n", "      ", 
         RowBox[{
          RowBox[{"y", "[", "t", "]"}], " ", "/.", " ", "solution"}]}], "}"}],
        ",", "\n", "     ", 
       RowBox[{"{", 
        RowBox[{"t", ",", " ", "0", ",", " ", "6"}], "}"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"250", ",", "250"}], "}"}]}], ",", "\n", "     ", 
       RowBox[{"PlotRange", " ", "->", " ", 
        RowBox[{"{", 
         RowBox[{"0", ",", " ", "6"}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Frame", "\[Rule]", "True"}], ",", 
       RowBox[{"FrameLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Time", ",", "Height"}], "}"}]}], ",", "\n", "     ", 
       RowBox[{"PlotStyle", " ", "->", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"1", ",", " ", "0", ",", " ", "0"}], "]"}], "}"}], ",", 
          "\n", "                   ", 
          RowBox[{"{", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"0", ",", " ", "0", ",", " ", "1"}], "]"}], "}"}]}], 
         "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Epilog", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
          StyleBox[
           RowBox[{"B", 
            StyleBox["lue",
             FontWeight->"Plain"]}]], ",", 
          RowBox[{"Point", "[", "  ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"t", ",", 
               RowBox[{
                RowBox[{"x", "[", "t", "]"}], "/.", 
                RowBox[{"solution", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}], ",", "  ", 
             RowBox[{"{", 
              RowBox[{"t", ",", 
               RowBox[{
                RowBox[{"y", "[", "t", "]"}], "/.", 
                RowBox[{"solution", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}]}], "}"}], "]"}], 
          ",", "Red", ",", "\[IndentingNewLine]", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"t", ",", 
             RowBox[{
              RowBox[{"x", "[", "t", "]"}], "/.", 
              RowBox[{"solution", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}], "]"}]}], "}"}]}]}], 
      "]"}]}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "2", ",", "\"\<width of right tank\>\""}], "}"}], ",",
      "2.0", ",", "2.7"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "2", ",", "\"\<width of left tank\>\""}], "}"}], ",", 
     "1", ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "2", ",", "\"\<width of pipe\>\""}], "}"}], ",", "2", 
     ",", "5"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "\"\<time\>\""}], "}"}], ",", "0", ",", 
     "6"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"SynchronousUpdating", "\[Rule]", "False"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.459770812739533*^9, {3.460132918612234*^9, 
   3.4601329619155645`*^9}, 3.46028818625235*^9, {3.4602883558336906`*^9, 
   3.460288379583518*^9}, 3.4602887024935427`*^9, 3.460288805740006*^9, {
   3.460289018066936*^9, 3.460289021216576*^9}, 3.460289159966269*^9, {
   3.4602894083465023`*^9, 3.460289419528265*^9}, {3.4602895698343*^9, 
   3.46028957017979*^9}, {3.460289601336803*^9, 3.4602896076247263`*^9}, {
   3.460291404789427*^9, 3.460291433067526*^9}, {3.4602915170498238`*^9, 
   3.460291518793707*^9}, {3.460291932305695*^9, 3.460291933271254*^9}, {
   3.460292082945136*^9, 3.460292147016293*^9}, 3.460292230145191*^9, {
   3.460292516764811*^9, 3.460292526947838*^9}, {3.460292725910789*^9, 
   3.460292732054261*^9}, {3.460292825657384*^9, 3.460292877350972*^9}, {
   3.460293078205721*^9, 3.460293079395186*^9}, 3.460297191604062*^9, {
   3.460297346143569*^9, 3.4602973591338463`*^9}, 3.460297520119204*^9, {
   3.460297595711488*^9, 3.460297603520212*^9}, 3.460298324973526*^9, {
   3.460298531073745*^9, 3.4602985361536283`*^9}, 3.460298629286927*^9, 
   3.460298771769449*^9, 3.460298873280383*^9, {3.460298950364778*^9, 
   3.460298969693677*^9}, 3.460299059610717*^9, 3.460299245016944*^9, {
   3.4602993462254333`*^9, 3.460299361230892*^9}, {3.4602995766162987`*^9, 
   3.460299577813797*^9}, {3.460299622096702*^9, 3.4602996244858427`*^9}, {
   3.460299672349751*^9, 3.4602996751153584`*^9}, {3.460299868330532*^9, 
   3.460299870423891*^9}, {3.460300057381878*^9, 3.460300064299168*^9}, 
   3.460300365773573*^9, {3.460300574192444*^9, 3.460300610533758*^9}, {
   3.460300807031901*^9, 3.460300857776187*^9}, 3.460301111254896*^9, {
   3.4603020459989023`*^9, 3.460302050884631*^9}, {3.4603020928148603`*^9, 
   3.460302169116694*^9}, {3.460302222653591*^9, 3.460302231079588*^9}, {
   3.4603030522464933`*^9, 3.46030307693764*^9}, {3.460303108751919*^9, 
   3.4603031497009993`*^9}, {3.4603032293532267`*^9, 3.460303246249855*^9}, 
   3.4603032866493053`*^9, {3.460303382264522*^9, 3.4603034309269943`*^9}, {
   3.460303495264545*^9, 3.460303502192848*^9}, 3.460303632850403*^9, {
   3.46030499920607*^9, 3.460305017207157*^9}, {3.460305074952669*^9, 
   3.460305075874619*^9}, {3.4603051199748383`*^9, 3.460305149198812*^9}, 
   3.460305312946679*^9, {3.460319737503275*^9, 3.460319749876774*^9}, {
   3.460319812088347*^9, 3.46031986257553*^9}, 3.4603199127336597`*^9, {
   3.460319976386806*^9, 3.460319977320241*^9}, {3.460320185718484*^9, 
   3.4603201867878942`*^9}, 3.4603202312542477`*^9, {3.460320703921259*^9, 
   3.460320704584149*^9}, 3.460320877934708*^9, {3.4603791322006702`*^9, 
   3.4603791449497423`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 2, $CellContext`b$$ = 
    2, $CellContext`c$$ = 2, $CellContext`t$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 2, "width of right tank"}, 2., 2.7}, {{
       Hold[$CellContext`b$$], 2, "width of left tank"}, 1, 2}, {{
       Hold[$CellContext`c$$], 2, "width of pipe"}, 2, 5}, {{
       Hold[$CellContext`t$$], 0, "time"}, 0, 6}}, Typeset`size$$ = {
    503., {123., 127.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$6124$$ = 
    0, $CellContext`b$6125$$ = 0, $CellContext`c$6126$$ = 
    0, $CellContext`t$6127$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 2, $CellContext`b$$ = 
        2, $CellContext`c$$ = 2, $CellContext`t$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$6124$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$6125$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$6126$$, 0], 
        Hold[$CellContext`t$$, $CellContext`t$6127$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`solution = 
        NDSolve[{
          Derivative[
            1][$CellContext`x][$CellContext`tt] == $CellContext`a$$ \
($CellContext`y[$CellContext`tt] - $CellContext`x[$CellContext`tt]), 
           Derivative[
            1][$CellContext`y][$CellContext`tt] == $CellContext`b$$ \
($CellContext`x[$CellContext`tt] - $CellContext`y[$CellContext`tt]) - \
$CellContext`c$$ $CellContext`y[$CellContext`tt], $CellContext`x[0] == 
           0, $CellContext`y[0] == 
           6}, {$CellContext`x, $CellContext`y}, {$CellContext`tt, 0, 6}]; 
       Graphics[{{Black, Thick, 
            
            Line[{{0.2, 1.}, {0.2, 0.1 $CellContext`a$$}, {0.2, 0.1}, {0.95, 
              0.1}, {0.95, 0.05}, {0.925, 0.05}, {0.925, 0.025}, {1., 
              0.025}}]}, {Thick, 
            
            Line[{{0.25 $CellContext`b$$, 1.}, {
              0.25 $CellContext`b$$, 0.1 $CellContext`c$$}, {
              0.28 $CellContext`a$$, 0.1 $CellContext`c$$}, {
              0.28 $CellContext`a$$, 1.}}]}, {Thick, 
            
            Line[{{0.8, 1.}, {0.8, 0.1 $CellContext`c$$}, {
              1., 0.1 $CellContext`c$$}, {1., 0.1}}]}, {Thick, 
            
            Line[{{1., 0.1}, {0.975, 0.1}, {0.975, 0.05}, {1., 0.05}, {1., 
             0.025}}]}, 
           ColorData["HTML", "DodgerBlue"], 
           Rectangle[{0.2, 0.1 $CellContext`c$$}, {0.25 $CellContext`b$$, 
             ReplaceAll[
             0.1 $CellContext`c$$ + (0.8/6) $CellContext`x[$CellContext`t$$], 
              
              Part[$CellContext`solution, 1]]}], 
           Rectangle[{0.28 $CellContext`a$$, 0.1 $CellContext`c$$}, {0.8, 
             ReplaceAll[
             0.1 $CellContext`c$$ + (0.8/6) $CellContext`y[$CellContext`t$$], 
              
              Part[$CellContext`solution, 1]]}], 
           If[$CellContext`t$$ > 0, {
             Rectangle[{0.2, 0.1 $CellContext`c$$}, {1., 0.1}], 
             Rectangle[{0.95, 0.1}, {0.975, 0.025}], 
             Rectangle[{0.925, 0.05}, {1., 0.025}]}, {
             ColorData["HTML", "DodgerBlue"]}]}, ImageSize -> {250, 250}] 
        Plot[{
           ReplaceAll[
            $CellContext`x[$CellContext`t$$], $CellContext`solution], 
           ReplaceAll[
            $CellContext`y[$CellContext`t$$], $CellContext`solution]}, \
{$CellContext`t$$, 0, 6}, ImageSize -> {250, 250}, PlotRange -> {0, 6}, Frame -> 
          True, FrameLabel -> {$CellContext`Time, $CellContext`Height}, 
          PlotStyle -> {{
             RGBColor[1, 0, 0]}, {
             RGBColor[0, 0, 1]}}, Epilog -> {
            PointSize[0.02], Blue, 
            Point[{{$CellContext`t$$, 
               ReplaceAll[
                $CellContext`x[$CellContext`t$$], 
                Part[$CellContext`solution, 1]]}, {$CellContext`t$$, 
               ReplaceAll[
                $CellContext`y[$CellContext`t$$], 
                Part[$CellContext`solution, 1]]}}], Red, 
            Point[{$CellContext`t$$, 
              ReplaceAll[
               $CellContext`x[$CellContext`t$$], 
               Part[$CellContext`solution, 1]]}]}]), 
      "Specifications" :> {{{$CellContext`a$$, 2, "width of right tank"}, 2., 
         2.7}, {{$CellContext`b$$, 2, "width of left tank"}, 1, 
         2}, {{$CellContext`c$$, 2, "width of pipe"}, 2, 
         5}, {{$CellContext`t$$, 0, "time"}, 0, 6}}, 
      "Options" :> {SynchronousUpdating -> False, TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{548., {208., 213.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->131019915],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Draining of Two Connected Tanks",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DrainingOfTwoConnectedTanks/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/DrainingOfTwoConnectedTanks/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/DrainingOfTwoConnectedTanks/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DrainingOfTwoConnectedTanks/"], 
    None},
  ButtonNote->"http://demonstrations.wolfram.com/DrainingOfTwoConnectedTanks/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Bens\[OSlash]n R. Sundheim",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Bens%F8n+R.+\
Sundheim"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Bens%F8n+R.+Sundheim"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
DrainingOfTwoConnectedTanks"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Draining of Two Connected Tanks - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[621, 23, 223, 4, 70, "Section"],
Cell[847, 29, 13417, 316, 70, "Input"]
}, Open  ]],
Cell[14279, 348, 5441, 110, 70, "Output",
 CellID->131019915],
Cell[CellGroupData[{
Cell[19745, 462, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[20121, 473, 957, 27, 70, "Text"],
Cell[21081, 502, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[21421, 513, 460, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[21906, 531, 847, 24, 70, "Text"],
Cell[22756, 557, 1203, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature ZTzdGU5opobP5BDGVQjSEx@S *)
