(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     30907,        789]
NotebookOptionsPosition[     29713,        744]
NotebookOutlinePosition[     30339,        768]
CellTagsIndexPosition[     30296,        765]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Person Walking Away from Spotlight", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Grid", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Text", "@", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Column", "[", 
            RowBox[{"{", 
             RowBox[{
             "\"\<Conditions:\>\"", ",", 
              "\"\<  - Spotlight is 12 meters away \>\"", ",", 
              "\"\<     from the wall.\>\"", ",", 
              "\"\<  - The person is walking at 1.6\>\"", ",", 
              "\"\<     meters per second.\>\"", ",", 
              "\"\<  - The person is 2 meters tall.\>\"", ",", "\"\<\>\"", 
              ",", "\"\<Distances and Rate:\>\"", ",", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"\"\<meters away from wall = \>\"", ",", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"a", "\[NotEqual]", "12"}], ",", 
                   RowBox[{"12", "-", "a"}], ",", "\"\<SPLAT!!\>\""}], 
                  "]"}]}], "}"}], "]"}], ",", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"\"\<shadow height = \>\"", ",", 
                 RowBox[{"24", "/", "a"}]}], "}"}], "]"}], ",", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"\"\<shadow decrease rate = \>\"", ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", "24"}], "/", 
                   RowBox[{"(", 
                    RowBox[{"a", "^", "2"}], ")"}]}], "*", "1.6"}]}], "}"}], 
               "]"}]}], "}"}], "]"}], ",", "\"\<Label\>\""}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Deploy", "[", 
         RowBox[{"Show", "[", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{"2", "*", 
                RowBox[{"x", "/", "a"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "0", ",", "0.5"}], "}"}], ",", 
               RowBox[{"Axes", "\[Rule]", "False"}], ",", 
               RowBox[{"PlotRange", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "13"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "1"}], ",", "20"}], "}"}]}], "}"}]}]}], 
              "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"Graphics", "[", 
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Blend", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Blue", ",", "Black"}], "}"}], ",", "0.2"}], 
                   "]"}], ",", 
                  RowBox[{"Polygon", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", ".8"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "20"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"12", ",", "24"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".5", ",", "1"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"Yellow", ",", 
                  RowBox[{"Opacity", "[", "0.8", "]"}], ",", 
                  RowBox[{"Polygon", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"12", ",", "24"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"12", ",", 
                    RowBox[{"24", "/", "a"}]}], "}"}]}], "}"}], "]"}]}], 
                 "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"Yellow", ",", 
                  RowBox[{"Opacity", "[", "0.8", "]"}], ",", 
                  RowBox[{"Polygon", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"a", ",", "2"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"a", "+", "0.2"}], ",", "0"}], "}"}]}], "}"}], 
                   "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Blend", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"White", ",", "Gray"}], "}"}], ",", "0.5"}], 
                   "]"}], ",", 
                  RowBox[{"Polygon", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"12", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"12", ",", "20"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"13", ",", "20"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"13", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Opacity", "[", "0.4", "]"}], ",", 
                  RowBox[{"Blend", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Yellow", ",", "Black"}], "}"}], ",", "0.5"}], 
                   "]"}], ",", 
                  RowBox[{"Polygon", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"a", "+", "0.2"}], ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"a", ",", "2"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"12", ",", 
                    RowBox[{"24", "/", "a"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"12", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"Gray", ",", 
                  RowBox[{"Polygon", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.5", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".5", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", ".8"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"White", ",", 
                  RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
                  RowBox[{"Line", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{".5", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{".5", ",", "1"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"Red", ",", 
                  RowBox[{"Thickness", "[", "0.015", "]"}], ",", 
                  RowBox[{"Line", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"a", ",", "2"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"Red", ",", 
                  RowBox[{"PointSize", "[", "0.03", "]"}], ",", 
                  RowBox[{"Point", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"a", "+", "0.05"}], ",", "2"}], "}"}], "]"}]}], 
                 "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"Red", ",", 
                  RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
                  RowBox[{"Line", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"a", "-", 
                    RowBox[{"0.25", "*", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"2", "*", "a"}], "]"}]}]}], ",", "0"}], "}"}]}], 
                    "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"Red", ",", 
                  RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
                  RowBox[{"Line", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"a", "+", 
                    RowBox[{"0.25", "*", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"2", "*", "a"}], "]"}]}]}], ",", "0"}], "}"}]}], 
                    "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"Red", ",", 
                  RowBox[{"Thickness", "[", "0.007", "]"}], ",", 
                  RowBox[{"Line", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a", ",", "1.7"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"a", "-", 
                    RowBox[{"0.2", "*", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"2", "*", "a"}], "]"}]}]}], ",", "1"}], "}"}]}], 
                    "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"Red", ",", 
                  RowBox[{"Thickness", "[", "0.007", "]"}], ",", 
                  RowBox[{"Line", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a", ",", "1.7"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"a", "+", 
                    RowBox[{"0.2", "*", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"2", "*", "a"}], "]"}]}]}], ",", "1"}], "}"}]}], 
                    "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"12", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"12", ",", "20"}], "}"}]}], "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
                  RowBox[{"Line", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"a", "+", "0.2"}], ",", 
                    RowBox[{"-", "0.1"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"12", ",", 
                    RowBox[{"-", "0.1"}]}], "}"}]}], "}"}], "]"}]}], "}"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.009", "]"}], ",", 
                  RowBox[{"Line", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"12", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"12", ",", 
                    RowBox[{"23", "/", "a"}]}], "}"}]}], "}"}], "]"}]}], 
                 "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Thickness", "[", ".001", "]"}], ",", 
                  RowBox[{"Line", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"12", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"White", ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"3", ",", "17"}], "}"}], ",", "2"}], "]"}]}], 
                 "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Blend", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Blue", ",", "Black"}], "}"}], ",", "0.2"}], 
                   "]"}], ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"4", ",", "17"}], "}"}], ",", "2.5"}], "]"}]}], 
                 "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"White", ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"5", ",", "15"}], "}"}], ",", "0.1"}], "]"}]}], 
                 "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"White", ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"6", ",", "18"}], "}"}], ",", "0.1"}], "]"}]}], 
                 "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"White", ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"3", ",", "17"}], "}"}], ",", "0.1"}], "]"}]}], 
                 "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"White", ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"2", ",", "9"}], "}"}], ",", "0.1"}], "]"}]}], 
                 "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"White", ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "5"}], "}"}], ",", "0.1"}], "]"}]}], 
                 "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"White", ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"4", ",", "10"}], "}"}], ",", "0.1"}], "]"}]}], 
                 "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"White", ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"3", ",", "7"}], "}"}], ",", "0.1"}], "]"}]}], 
                 "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"White", ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"2", ",", "11"}], "}"}], ",", "0.1"}], "]"}]}], 
                 "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"White", ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "13"}], "}"}], ",", "0.1"}], "]"}]}], 
                 "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"White", ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"4", ",", "13"}], "}"}], ",", "0.1"}], "]"}]}], 
                 "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"White", ",", 
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"7", ",", "16"}], "}"}], ",", "0.1"}], "]"}]}], 
                 "}"}]}], "\[IndentingNewLine]", "}"}], "]"}]}], 
            "\[IndentingNewLine]", "}"}], ",", 
           RowBox[{"ImageSize", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"350", ",", "400"}], "}"}]}], ",", 
           RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}], "]"}]}], 
       "\[IndentingNewLine]", "}"}], "}"}], ",", 
     RowBox[{"ItemSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"16", ",", "24"}], "}"}], ",", "Automatic"}], "}"}]}], ",", 
     RowBox[{"Alignment", "\[Rule]", 
      RowBox[{"{", "Left", "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "4", ",", "\"\<distance from spotlight\>\""}], "}"}], 
     ",", "1", ",", "12"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, 3.36861768176563*^9, {3.36861955648438*^9, 
   3.3686195826875*^9}, {3.37165627178125*^9, 3.371656296296875*^9}, 
   3.373644885434277*^9, 3.373644940653679*^9, 3.3736449780774913`*^9, 
   3.3815325838720016`*^9, {3.382992218072772*^9, 3.3829922277468014`*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 4, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 4, "distance from spotlight"}, 1, 12}}, 
    Typeset`size$$ = {511., {197.5, 202.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True, $CellContext`a$3154$$ =
     0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`a$$ = 4}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$3154$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Grid[{{
          Text[
           Style[
            
            Column[{"Conditions:", "  - Spotlight is 12 meters away ", 
              "     from the wall.", "  - The person is walking at 1.6", 
              "     meters per second.", "  - The person is 2 meters tall.", 
              "", "Distances and Rate:", 
              Row[{"meters away from wall = ", 
                
                If[$CellContext`a$$ != 12, 12 - $CellContext`a$$, 
                 "SPLAT!!"]}], 
              Row[{"shadow height = ", 24/$CellContext`a$$}], 
              
              Row[{"shadow decrease rate = ", ((-24)/$CellContext`a$$^2) 
                1.6}]}], "Label"]], 
          Deploy[
           Show[{
             Plot[
             2 ($CellContext`x/$CellContext`a$$), {$CellContext`x, 0, 0.5}, 
              Axes -> False, PlotRange -> {{0, 13}, {-1, 20}}], 
             Graphics[{{
                Blend[{Blue, Black}, 0.2], 
                Polygon[{{0, 0.8}, {0, 20}, {12, 24}, {0.5, 1}}]}, {Yellow, 
                Opacity[0.8], 
                Polygon[{{0, 0}, {12, 24}, {12, 24/$CellContext`a$$}}]}, {
               Yellow, 
                Opacity[0.8], 
                
                Polygon[{{0, 
                  0}, {$CellContext`a$$, 2}, {$CellContext`a$$ + 0.2, 0}}]}, {
               
                Blend[{White, Gray}, 0.5], 
                Polygon[{{12, 0}, {12, 20}, {13, 20}, {13, 0}}]}, {
                Opacity[0.4], 
                Blend[{Yellow, Black}, 0.5], 
                
                Polygon[{{$CellContext`a$$ + 0.2, 0}, {$CellContext`a$$, 2}, {
                  12, 24/$CellContext`a$$}, {12, 0}}]}, {Gray, 
                Polygon[{{0, 0}, {0.5, 0}, {0.5, 1}, {0, 0.8}}]}, {White, 
                Thickness[0.01], 
                Line[{{0.5, 0}, {0.5, 1}}]}, {Red, 
                Thickness[0.015], 
                Line[{{$CellContext`a$$, 1}, {$CellContext`a$$, 2}}]}, {Red, 
                PointSize[0.03], 
                Point[{$CellContext`a$$ + 0.05, 2}]}, {Red, 
                Thickness[0.01], 
                
                Line[{{$CellContext`a$$, 1}, {$CellContext`a$$ - 0.25 
                   Cos[2 $CellContext`a$$], 0}}]}, {Red, 
                Thickness[0.01], 
                
                Line[{{$CellContext`a$$, 1}, {$CellContext`a$$ + 
                   0.25 Cos[2 $CellContext`a$$], 0}}]}, {Red, 
                Thickness[0.007], 
                
                Line[{{$CellContext`a$$, 1.7}, {$CellContext`a$$ - 0.2 
                   Cos[2 $CellContext`a$$], 1}}]}, {Red, 
                Thickness[0.007], 
                
                Line[{{$CellContext`a$$, 1.7}, {$CellContext`a$$ + 
                   0.2 Cos[2 $CellContext`a$$], 1}}]}, 
               Line[{{12, 0}, {12, 20}}], {
                Thickness[0.005], 
                Line[{{$CellContext`a$$ + 0.2, -0.1}, {12, -0.1}}]}, {
                Thickness[0.009], 
                Line[{{12, 0}, {12, 23/$CellContext`a$$}}]}, {
                Thickness[0.001], 
                Line[{{0, 0}, {12, 0}}]}, {White, 
                Disk[{3, 17}, 2]}, {
                Blend[{Blue, Black}, 0.2], 
                Disk[{4, 17}, 2.5]}, {White, 
                Disk[{5, 15}, 0.1]}, {White, 
                Disk[{6, 18}, 0.1]}, {White, 
                Disk[{3, 17}, 0.1]}, {White, 
                Disk[{2, 9}, 0.1]}, {White, 
                Disk[{1, 5}, 0.1]}, {White, 
                Disk[{4, 10}, 0.1]}, {White, 
                Disk[{3, 7}, 0.1]}, {White, 
                Disk[{2, 11}, 0.1]}, {White, 
                Disk[{1, 13}, 0.1]}, {White, 
                Disk[{4, 13}, 0.1]}, {White, 
                Disk[{7, 16}, 0.1]}}]}, ImageSize -> {350, 400}, AspectRatio -> 
            Automatic]]}}, ItemSize -> {{16, 24}, Automatic}, 
        Alignment -> {Left}], 
      "Specifications" :> {{{$CellContext`a$$, 4, "distance from spotlight"}, 
         1, 12}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{555., {241., 246.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->75388463],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Person Walking Away from Spotlight",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PersonWalkingAwayFromSpotlight/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/PersonWalkingAwayFromSpotlight/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/PersonWalkingAwayFromSpotlight/\
",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PersonWalkingAwayFromSpotlight/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/PersonWalkingAwayFromSpotlight/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["James Che",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=James+Che"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=James+Che"],
 ", ",
 ButtonBox["Brian Alford",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Brian+Alford"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Brian+Alford"],
 ", and ",
 ButtonBox["Mani Ramachandran",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Mani+\
Ramachandran"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Mani+Ramachandran"],
 " (Torrey Pines High School)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->351301741],

Cell[TextData[{
 "Based on a problem in: J. Stewart, ",
 StyleBox["Calculus: Early Transcendentals",
  FontSlant->"Italic"],
 ", 4th ed., Pacific Grove: Brooks/Cole, 1999, p. 257, #10."
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->418059521]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PersonWalkingAwayFromSpotlight"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Person Walking Away from Spotlight - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 226, 4, 70, "Section"],
Cell[819, 29, 18281, 423, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[19115, 455, 5389, 117, 70, "Output",
 CellID->75388463],
Cell[CellGroupData[{
Cell[24529, 576, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[24905, 587, 981, 29, 70, "Text"],
Cell[25889, 618, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[26251, 631, 1000, 32, 70, "Text",
 CellID->351301741],
Cell[27254, 665, 356, 11, 70, "Text",
 CellID->418059521]
}, Open  ]],
Cell[CellGroupData[{
Cell[27647, 681, 829, 24, 70, "Text"],
Cell[28479, 707, 1206, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature RSz#A6NpbjpPDC0H1ieYZ1bD *)
