(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     27512,        734]
NotebookOptionsPosition[     26447,        695]
NotebookOutlinePosition[     27079,        719]
CellTagsIndexPosition[     27036,        716]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Related Rates: A Boat Approaching a Dock", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Column", "[", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Text", "@", 
               RowBox[{"Grid", "[", 
                RowBox[{"{", 
                 RowBox[{
                 "{", "\"\<speed at which rope is being pulled = 1 m/s\>\"", 
                  "}"}], "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
              RowBox[{"Text", "@", 
               RowBox[{"Row", "[", 
                RowBox[{"{", "\"\<(solid line)\>\"", "}"}], "]"}]}], ",", 
              "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
              RowBox[{"Text", "@", 
               RowBox[{"Grid", "[", 
                RowBox[{"{", 
                 RowBox[{"{", 
                  RowBox[{
                  "\"\<speed of boat approaching dock = \>\"", ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"SetAccuracy", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", " ", "v", ")"}], "^", "2"}], ")"}], "+", 
                    "1"}], ")"}], "^", 
                    RowBox[{"(", 
                    RowBox[{"1", "/", "2"}], ")"}]}], ")"}], "/", 
                    RowBox[{"(", "v", ")"}]}], ",", "4"}], "]"}], ",", 
                   "\"\< m/s\>\""}], "\[IndentingNewLine]", "}"}], "}"}], 
                "]"}]}], ",", "\[IndentingNewLine]", 
              RowBox[{"Text", "@", 
               RowBox[{"Row", "[", 
                RowBox[{"{", "\"\<(dashed line)\>\"", "}"}], "]"}]}]}], 
             "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
           "\"\<  \>\"", ",", "\[IndentingNewLine]", 
           RowBox[{"Show", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", " ", "v", ")"}], "^", "2"}], ")"}], "+", 
                    "1"}], ")"}], "^", 
                  RowBox[{"(", 
                   RowBox[{"1", "/", "2"}], ")"}]}], ")"}], "/", 
                RowBox[{"(", "v", ")"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"v", ",", "0", ",", "8"}], "}"}], ",", 
               RowBox[{"AxesLabel", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"\"\<distance\>\"", ",", "\"\<speed\>\""}], "}"}]}], 
               ",", 
               RowBox[{"PlotRange", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "8"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], ",", 
               RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Graphics", "[", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"v", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"v", ",", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", " ", "v", ")"}], "^", "2"}], ")"}], "+", 
                    "1"}], ")"}], "^", 
                    RowBox[{"(", 
                    RowBox[{"1", "/", "2"}], ")"}]}], ")"}], "/", 
                    RowBox[{"(", "v", ")"}]}]}], "}"}]}], "}"}], "]"}], "]"}],
              ",", "\[IndentingNewLine]", 
             RowBox[{"Graphics", "[", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", " ", "v", ")"}], "^", "2"}], ")"}], "+", 
                    "1"}], ")"}], "^", 
                    RowBox[{"(", 
                    RowBox[{"1", "/", "2"}], ")"}]}], ")"}], "/", 
                    RowBox[{"(", "v", ")"}]}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"v", ",", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", " ", "v", ")"}], "^", "2"}], ")"}], "+", 
                    "1"}], ")"}], "^", 
                    RowBox[{"(", 
                    RowBox[{"1", "/", "2"}], ")"}]}], ")"}], "/", 
                    RowBox[{"(", "v", ")"}]}]}], "}"}]}], "}"}], "]"}], "]"}],
              ",", "\[IndentingNewLine]", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"250", ",", "250"}], "}"}]}], ",", 
             RowBox[{"ImagePadding", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"25", ",", "40"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"25", ",", "20"}], "}"}]}], "}"}]}]}], "]"}]}], 
          "\[IndentingNewLine]", "}"}], "}"}], ",", 
        RowBox[{"ItemSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"20", ",", "4", ",", "20"}], "}"}], ",", "Automatic"}], 
          "}"}]}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}]}], "]"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Blue", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "5"}], ",", 
                 RowBox[{"-", "2"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "5"}], ",", 
                 RowBox[{"-", "1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"15", ",", 
                 RowBox[{"-", "1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"15", ",", 
                 RowBox[{"-", "2"}]}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Hue", "[", ".5", "]"}], ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "5"}], ",", 
                 RowBox[{"-", "1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "5"}], ",", "3"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"15", ",", "3"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"15", ",", 
                 RowBox[{"-", "1"}]}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Red", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"8", "-", "v"}], ")"}], "-", "4.8"}], ",", "0"}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"8", "-", "v"}], ")"}], "-", "4"}], ",", 
                 RowBox[{"-", "1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"8", "-", "v"}], ")"}], "-", "1"}], ",", 
                 RowBox[{"-", "1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"8", "-", "v"}], ")"}], "-", ".2"}], ",", "0"}], 
                "}"}]}], "}"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Red", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"8", "-", "v"}], ")"}], "-", "2.65"}], ",", "0"}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"8", "-", "v"}], ")"}], "-", "2.65"}], ",", 
                 "2.5"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"8", "-", "v"}], ")"}], "-", "2.35"}], ",", 
                 "2.5"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"8", "-", "v"}], ")"}], "-", "2.35"}], ",", "0"}], 
                "}"}]}], "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"White", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"8", "-", "v"}], ")"}], "-", "2.65"}], ",", 
                 "2.3"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"8", "-", "v"}], ")"}], "-", "4.3"}], ",", ".6"}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"8", "-", "v"}], ")"}], "-", "3.1"}], ",", "0"}], 
                "}"}]}], "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"White", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"8", "-", "v"}], ")"}], "-", "2.35"}], ",", 
                 "2.3"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"8", "-", "v"}], ")"}], "-", ".7"}], ",", ".6"}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"8", "-", "v"}], ")"}], "-", "1.8"}], ",", "0"}], 
                "}"}]}], "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"8", "-", "v"}], ")"}], "-", "4.6"}], ",", 
               RowBox[{"-", ".2"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"8", "-", "v"}], ")"}], "-", ".4"}], ",", 
               RowBox[{"-", ".2"}]}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Dashed", ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"8", "-", "v"}], ")"}], ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"8", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"8", "-", "v"}], ")"}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"8", ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Brown", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"8", ",", 
                 RowBox[{"-", "1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"8", ",", "1"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"8.2", ",", "1"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"8.2", ",", 
                 RowBox[{"-", "1"}]}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Brown", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"8", ",", 
                 RowBox[{"-", "1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"8", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"8.5", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"8.5", ",", 
                 RowBox[{"-", "1"}]}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Brown", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"8", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"8", ",", ".2"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"15", ",", ".2"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"15", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], ",",
           "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Brown", ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"14.5", ",", 
                 RowBox[{"-", "1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"14.5", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"15", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"15", ",", 
                 RowBox[{"-", "1"}]}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
         "\[IndentingNewLine]", "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "5"}], ",", "15"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2"}], ",", "3"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "590"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "v", ",", "8", ",", "\"\<distance of boat from dock (m): \>\""}], "}"}],
      ",", "11", ",", ".01"}], "}"}]}], "\[IndentingNewLine]", "]"}]], "Input",\

 CellChangeTimes->{
  3.35696210375764*^9, 3.401128982320245*^9, {3.401154314941519*^9, 
   3.401154469472769*^9}, {3.401154517644644*^9, 3.401154669066519*^9}, {
   3.401154724847769*^9, 3.401154857222769*^9}, {3.401154890019644*^9, 
   3.401154925457144*^9}, {3.401384858078125*^9, 3.40138486778125*^9}, {
   3.401384901609375*^9, 3.40138492190625*^9}, {3.40138500825*^9, 
   3.401385082140625*^9}, {3.408813914267195*^9, 3.408814008923445*^9}, {
   3.4088144541475787`*^9, 3.408814518914135*^9}, {3.4088843753864355`*^9, 
   3.4088843905583105`*^9}, {3.4088855429801855`*^9, 3.4088855642926855`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`v$$ = 8, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`v$$], 8, "distance of boat from dock (m): "}, 11, 
      0.01}}, Typeset`size$$ = {590., {199.5, 204.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`v$152240$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`v$$ = 8}, 
      "ControllerVariables" :> {
        Hold[$CellContext`v$$, $CellContext`v$152240$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Grid[{{
            Column[{
              Text[
               Grid[{{"speed at which rope is being pulled = 1 m/s"}}]], 
              Text[
               Row[{"(solid line)"}]], "", 
              Text[
               Grid[{{"speed of boat approaching dock = ", 
                  
                  SetAccuracy[($CellContext`v$$^2 + 1)^(1/2)/$CellContext`v$$,
                    4], " m/s"}}]], 
              Text[
               Row[{"(dashed line)"}]]}], "  ", 
            Show[
             
             Plot[($CellContext`v$$^2 + 1)^(1/
                2)/$CellContext`v$$, {$CellContext`v$$, 0, 8}, 
              AxesLabel -> {"distance", "speed"}, 
              PlotRange -> {{0, 8}, {0, 10}}, AspectRatio -> 1], 
             Graphics[
              
              Line[{{$CellContext`v$$, 
                 0}, {$CellContext`v$$, ($CellContext`v$$^2 + 1)^(1/
                   2)/$CellContext`v$$}}]], 
             Graphics[
              
              Line[{{0, ($CellContext`v$$^2 + 1)^(1/
                   2)/$CellContext`v$$}, {$CellContext`v$$, \
($CellContext`v$$^2 + 1)^(1/2)/$CellContext`v$$}}]], ImageSize -> {250, 250}, 
             ImagePadding -> {{25, 40}, {25, 20}}]}}, 
          ItemSize -> {{20, 4, 20}, Automatic}, Alignment -> Left], 
         Graphics[{{Blue, 
            Polygon[{{-5, -2}, {-5, -1}, {15, -1}, {15, -2}}]}, {
            Hue[0.5], 
            Polygon[{{-5, -1}, {-5, 3}, {15, 3}, {15, -1}}]}, {Red, 
            
            Polygon[{{(8 - $CellContext`v$$) - 4.8, 
               0}, {(8 - $CellContext`v$$) - 4, -1}, {(8 - $CellContext`v$$) - 
               1, -1}, {(8 - $CellContext`v$$) - 0.2, 0}}]}, {Red, 
            
            Polygon[{{(8 - $CellContext`v$$) - 2.65, 
               0}, {(8 - $CellContext`v$$) - 2.65, 
               2.5}, {(8 - $CellContext`v$$) - 2.35, 
               2.5}, {(8 - $CellContext`v$$) - 2.35, 0}}]}, {White, 
            
            Polygon[{{(8 - $CellContext`v$$) - 2.65, 
               2.3}, {(8 - $CellContext`v$$) - 4.3, 
               0.6}, {(8 - $CellContext`v$$) - 3.1, 0}}]}, {White, 
            
            Polygon[{{(8 - $CellContext`v$$) - 2.35, 
               2.3}, {(8 - $CellContext`v$$) - 0.7, 
               0.6}, {(8 - $CellContext`v$$) - 1.8, 0}}]}, 
           
           Line[{{(8 - $CellContext`v$$) - 
              4.6, -0.2}, {(8 - $CellContext`v$$) - 0.4, -0.2}}], {Dashed, 
            Line[{{8 - $CellContext`v$$, 0}, {8, 0}}]}, 
           Line[{{8 - $CellContext`v$$, 0}, {8, 1}}], {Brown, 
            Polygon[{{8, -1}, {8, 1}, {8.2, 1}, {8.2, -1}}]}, {Brown, 
            Polygon[{{8, -1}, {8, 0}, {8.5, 0}, {8.5, -1}}]}, {Brown, 
            Polygon[{{8, 0}, {8, 0.2}, {15, 0.2}, {15, 0}}]}, {Brown, 
            Polygon[{{14.5, -1}, {14.5, 0}, {15, 0}, {15, -1}}]}}, 
          PlotRange -> {{-5, 15}, {-2, 3}}, ImageSize -> 590]}], 
      "Specifications" :> {{{$CellContext`v$$, 8, 
          "distance of boat from dock (m): "}, 11, 0.01}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{634., {243., 248.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->51527551],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Related Rates: A Boat Approaching a Dock",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RelatedRatesABoatApproachingADock/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/RelatedRatesABoatApproachingADock/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
RelatedRatesABoatApproachingADock/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RelatedRatesABoatApproachingADock/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/RelatedRatesABoatApproachingADock/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Jamie Ding",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jamie+Ding"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jamie+Ding"],
 " (Torrey Pines High School)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
RelatedRatesABoatApproachingADock"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Related Rates: A Boat Approaching a Dock - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 232, 4, 70, "Section"],
Cell[825, 29, 16838, 429, 70, "Input"]
}, Open  ]],
Cell[17678, 461, 4476, 95, 70, "Output",
 CellID->51527551],
Cell[CellGroupData[{
Cell[22179, 560, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[22555, 571, 996, 29, 70, "Text"],
Cell[23554, 602, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[23894, 613, 459, 15, 70, "Text"],
Cell[CellGroupData[{
Cell[24378, 632, 829, 24, 70, "Text"],
Cell[25210, 658, 1209, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature BRNlqD08HJbL5DpELdTvXIB# *)
