(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20654,        562]
NotebookOptionsPosition[     19571,        521]
NotebookOutlinePosition[     20182,        545]
CellTagsIndexPosition[     20139,        542]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Related Rates Clock", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Column", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
              RowBox[{"Circle", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", "8"}], "]"}]}], "}"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"Dashed", ",", 
              RowBox[{"Opacity", "[", "0.3", "]"}], ",", 
              RowBox[{"Circle", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", "4"}], "]"}]}], "}"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", "0.008", "]"}], ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}], ",", 
                 RowBox[{".8", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"minuteY", "[", "t", "]"}], ",", 
                    RowBox[{"minuteX", "[", "t", "]"}]}], "}"}]}]}], "}"}], 
               "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", "0.012", "]"}], ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"hourY", "[", "t", "]"}], ",", 
                   RowBox[{"hourX", "[", "t", "]"}]}], "}"}]}], "}"}], 
               "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"Dashed", ",", 
              RowBox[{"Lighter", "[", 
               RowBox[{"Red", ",", 
                RowBox[{"t", "/", "120"}]}], "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{".8", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"minuteY", "[", "t", "]"}], ",", 
                    RowBox[{"minuteX", "[", "t", "]"}]}], "}"}]}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"hourY", "[", "t", "]"}], ",", 
                   RowBox[{"hourX", "[", "t", "]"}]}], "}"}]}], "}"}], 
               "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<12\>\"", ",", "12", ",", "Bold", ",", "\"\<Label\>\""}], 
               "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "7"}], "}"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<3\>\"", ",", "12", ",", "Bold", ",", "\"\<Label\>\""}], 
               "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"7", ",", "0"}], "}"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<6\>\"", ",", "12", ",", "Bold", ",", "\"\<Label\>\""}], 
               "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "7"}]}], "}"}]}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<9\>\"", ",", "12", ",", "Bold", ",", "\"\<Label\>\""}], 
               "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "7"}], ",", "0"}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Opacity", "[", "0.2", "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"7.5", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "7.5"}], ",", "0"}], "}"}]}], "}"}], "]"}]}], 
             "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Opacity", "[", "0.2", "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", 
                   RowBox[{"-", "7.5"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "7.5"}], "}"}]}], "}"}], "]"}]}], "}"}]}],
            "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", "15"}]}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<distance = \>\"", ",", 
             RowBox[{"ToString", "[", 
              RowBox[{"Chop", "[", 
               RowBox[{
                RowBox[{"SetAccuracy", "[", 
                 RowBox[{
                  RowBox[{"Distance", "[", "t", "]"}], ",", "3"}], "]"}], ",",
                 ".01"}], "]"}], "]"}]}], "}"}], "]"}], ",", "12", ",", 
          "\"\<Label\>\""}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<rate of change = \>\"", ",", 
             RowBox[{"ToString", "[", 
              RowBox[{"Chop", "[", 
               RowBox[{
                RowBox[{"SetAccuracy", "[", 
                 RowBox[{
                  RowBox[{"rateDistance", "[", "t", "]"}], ",", "3"}], "]"}], 
                ",", ".01"}], "]"}], "]"}]}], "}"}], "]"}], ",", "12", ",", 
          "\"\<Label\>\""}], "]"}]}], "}"}], ",", "Center"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"t", ",", "5", ",", "\"\<time in hours\>\""}], "}"}], ",", "0",
       ",", "11.999999"}], "}"}], "\[IndentingNewLine]", ",", 
    RowBox[{"Initialization", "\[RuleDelayed]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"minuteX", "[", "t_", "]"}], " ", ":=", " ", 
        RowBox[{"8", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", "Pi"}], ")"}], " ", "t"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"minuteY", "[", "t_", "]"}], " ", ":=", " ", 
        RowBox[{"8", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", "Pi"}], ")"}], " ", "t"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"hourX", "[", "t_", "]"}], " ", ":=", " ", 
        RowBox[{"4", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"Pi", "/", "6"}], ")"}], "t"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"hourY", "[", "t_", "]"}], " ", ":=", " ", 
        RowBox[{"4", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"Pi", "/", "6"}], ")"}], "t"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"distanceX", "[", "t_", "]"}], " ", ":=", " ", 
        RowBox[{
         RowBox[{"hourX", "[", "t", "]"}], " ", "-", " ", 
         RowBox[{"minuteX", "[", "t", "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"distanceY", "[", "t_", "]"}], " ", ":=", " ", 
        RowBox[{
         RowBox[{"hourY", "[", "t", "]"}], " ", "-", " ", 
         RowBox[{"minuteY", "[", "t", "]"}]}]}], ";", 
       RowBox[{
        RowBox[{"Distance", "[", "t_", "]"}], " ", ":=", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"distanceX", "[", "t", "]"}], "^", "2"}], " ", "+", " ", 
           RowBox[{
            RowBox[{"distanceY", "[", "t", "]"}], "^", "2"}]}], ")"}], "^", 
         "0.5"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"rateDistance", "[", "t_", "]"}], " ", "=", " ", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"Distance", "[", "t", "]"}], ",", "t"}], "]"}]}], ";"}], 
      "}"}]}]}], "\[IndentingNewLine]", "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, {3.369422859125*^9, 3.36942287467188*^9}, {
   3.36942311534375*^9, 3.36942311864063*^9}, {3.36948051762548*^9, 
   3.36948053837532*^9}, {3.36948937774671*^9, 3.36948938079109*^9}, {
   3.3706279243965015`*^9, 3.3706279801073856`*^9}, {3.3706280143910065`*^9, 
   3.370628050432761*^9}, {3.373655779060939*^9, 3.3736557944469376`*^9}, 
   3.37365586018984*^9, {3.3736559490667257`*^9, 3.3736559745800905`*^9}, {
   3.373656016139282*^9, 3.373656043822083*^9}, {3.373656097418144*^9, 
   3.3736561391872816`*^9}, {3.3736563174609184`*^9, 
   3.3736563179607887`*^9}, {3.373656352551792*^9, 3.3736563982499075`*^9}, 
   3.373656503002665*^9, {3.3736600213076677`*^9, 3.37366002210746*^9}, 
   3.3736602761413937`*^9, {3.3736611371174817`*^9, 3.373661156672396*^9}, 
   3.3790989806674256`*^9, 3.3790990701460896`*^9, 3.379099180114216*^9, {
   3.39073995534088*^9, 3.390739955871643*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`t$$ = 5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`t$$], 5, "time in hours"}, 0, 11.999999}}, 
    Typeset`size$$ = {300., {164.5, 169.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`t$53443$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`t$$ = 5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$53443$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Graphics[{{
            Opacity[0.5], 
            Circle[{0, 0}, 8]}, {Dashed, 
            Opacity[0.3], 
            Circle[{0, 0}, 4]}, {
            Thickness[0.008], 
            Arrow[{{0, 0}, 0.8 {
                $CellContext`minuteY[$CellContext`t$$], 
                $CellContext`minuteX[$CellContext`t$$]}}]}, {
            Thickness[0.012], 
            Arrow[{{0, 0}, {
               $CellContext`hourY[$CellContext`t$$], 
               $CellContext`hourX[$CellContext`t$$]}}]}, {Dashed, 
            Lighter[Red, $CellContext`t$$/120], 
            Line[{0.8 {
                $CellContext`minuteY[$CellContext`t$$], 
                $CellContext`minuteX[$CellContext`t$$]}, {
               $CellContext`hourY[$CellContext`t$$], 
               $CellContext`hourX[$CellContext`t$$]}}]}, 
           Text[
            Style["12", 12, Bold, "Label"], {0, 7}], 
           Text[
            Style["3", 12, Bold, "Label"], {7, 0}], 
           Text[
            Style["6", 12, Bold, "Label"], {0, -7}], 
           Text[
            Style["9", 12, Bold, "Label"], {-7, 0}], {
            Opacity[0.2], 
            Line[{{7.5, 0}, {-7.5, 0}}]}, {
            Opacity[0.2], 
            Line[{{0, -7.5}, {0, 7.5}}]}}, ImageSize -> 300, PlotRange -> 15],
          
         Style[
          Row[{"distance = ", 
            ToString[
             Chop[
              SetAccuracy[
               $CellContext`Distance[$CellContext`t$$], 3], 0.01]]}], 12, 
          "Label"], 
         Style[
          Row[{"rate of change = ", 
            ToString[
             Chop[
              SetAccuracy[
               $CellContext`rateDistance[$CellContext`t$$], 3], 0.01]]}], 12, 
          "Label"]}, Center], 
      "Specifications" :> {{{$CellContext`t$$, 5, "time in hours"}, 0, 
         11.999999}}, "Options" :> {AutorunSequencing -> Automatic}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{344., {208., 213.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`minuteX[
          Pattern[$CellContext`t, 
           Blank[]]] := 8 Cos[(2 Pi) $CellContext`t]; $CellContext`minuteY[
          Pattern[$CellContext`t, 
           Blank[]]] := 8 Sin[(2 Pi) $CellContext`t]; $CellContext`hourX[
          Pattern[$CellContext`t, 
           Blank[]]] := 4 Cos[(Pi/6) $CellContext`t]; $CellContext`hourY[
          Pattern[$CellContext`t, 
           Blank[]]] := 4 Sin[(Pi/6) $CellContext`t]; $CellContext`distanceX[
          Pattern[$CellContext`t, 
           
           Blank[]]] := $CellContext`hourX[$CellContext`t] - \
$CellContext`minuteX[$CellContext`t]; $CellContext`distanceY[
          Pattern[$CellContext`t, 
           
           Blank[]]] := $CellContext`hourY[$CellContext`t] - \
$CellContext`minuteY[$CellContext`t]; $CellContext`Distance[
          Pattern[$CellContext`t, 
           
           Blank[]]] := ($CellContext`distanceX[$CellContext`t]^2 + \
$CellContext`distanceY[$CellContext`t]^2)^0.5; $CellContext`rateDistance[
          Pattern[$CellContext`t, 
           Blank[]]] = D[
          $CellContext`Distance[$CellContext`t], $CellContext`t]; Null}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->49848012],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Related Rates Clock",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RelatedRatesClock/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/RelatedRatesClock/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/RelatedRatesClock/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RelatedRatesClock/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/RelatedRatesClock/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ryan Chuang",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ryan+Chuang"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ryan+Chuang"],
 " and ",
 ButtonBox["Jeffrey Tsao",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jeffrey+Tsao"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jeffrey+Tsao"],
 " (Torrey Pines High School)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->5720709],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
RelatedRatesClock"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 635},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Related Rates Clock - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 211, 4, 70, "Section"],
Cell[804, 29, 9818, 242, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[10637, 274, 4494, 104, 70, "Output",
 CellID->49848012],
Cell[CellGroupData[{
Cell[15156, 382, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15532, 393, 881, 24, 70, "Text"],
Cell[16416, 419, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16756, 430, 737, 24, 70, "Text",
 CellID->5720709],
Cell[CellGroupData[{
Cell[17518, 458, 829, 24, 70, "Text"],
Cell[18350, 484, 1193, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 2S4@lBD@Tgps@A0AXrSGKIAL *)
