(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     25338,        610]
NotebookOptionsPosition[     24231,        569]
NotebookOutlinePosition[     24881,        594]
CellTagsIndexPosition[     24838,        591]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Relation of Radius, Surface Area, and Volume of a Sphere", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"TraditionalForm", "@", 
     RowBox[{"Text", "@", 
      RowBox[{"Grid", "[", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Column", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\"\<Take the derivative of \>\"", "}"}], "]"}],
                 ",", "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{"V", ",", "\"\< = \>\"", ",", 
                   FractionBox[
                    RowBox[{"4", " ", "\[Pi]", " ", 
                    SuperscriptBox["r", "3"]}], "3"], ",", "\"\< to get \>\"",
                    ",", 
                   RowBox[{"HoldForm", "@", 
                    RowBox[{"D", "[", 
                    RowBox[{"V", ",", "t"}], "]"}]}], ",", "\"\< = \>\"", ",",
                    " ", 
                   RowBox[{"4", "Pi", " ", 
                    SuperscriptBox["r", "2"], 
                    RowBox[{"HoldForm", "@", 
                    RowBox[{"D", "[", 
                    RowBox[{"r", ",", "t"}], "]"}]}]}], ",", "\"\<.\>\""}], 
                  "}"}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{"\"\<Using \>\"", ",", 
                   RowBox[{"HoldForm", "@", 
                    RowBox[{"D", "[", 
                    RowBox[{"V", ",", "t"}], "]"}]}], ",", "\"\< = \>\"", ",",
                    "1", ",", "\"\< and solving, \>\"", ",", 
                   RowBox[{"HoldForm", "@", 
                    RowBox[{"D", "[", 
                    RowBox[{"r", ",", "t"}], "]"}]}], ",", "\"\< = \>\"", ",",
                    " ", 
                   FractionBox["1", 
                    RowBox[{"4", " ", "\[Pi]", " ", 
                    SuperscriptBox["r", "2"]}]], ",", "\"\<.\>\""}], "}"}], 
                 "]"}], ",", "\[IndentingNewLine]", "\"\<\>\"", ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                  "\"\<Also,  \>\"", ",", "A", ",", "\"\< = \>\"", ",", " ", 
                   RowBox[{"4", "Pi", " ", 
                    SuperscriptBox["r", "2"]}], ",", "\"\<,\>\""}], "}"}], 
                 "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{"\"\<so \>\"", ",", 
                   RowBox[{"HoldForm", "@", 
                    RowBox[{"D", "[", 
                    RowBox[{"A", ",", "t"}], "]"}]}], ",", "\"\< = \>\"", ",",
                    " ", 
                   RowBox[{"8", " ", "Pi", " ", "r", " ", 
                    RowBox[{"HoldForm", "@", 
                    RowBox[{"D", "[", 
                    RowBox[{"r", ",", "t"}], "]"}]}]}], ",", "\"\< = \>\"", 
                   ",", 
                   FractionBox[
                    RowBox[{"HoldForm", "[", 
                    RowBox[{"8", " ", "Pi", " ", "r"}], "]"}], 
                    RowBox[{"HoldForm", "[", 
                    RowBox[{"4", " ", "Pi", " ", 
                    SuperscriptBox["r", "2"]}], "]"}]], ",", "\"\< = \>\"", 
                   ",", 
                   FractionBox[
                    RowBox[{"8", " ", "Pi", " ", "r"}], 
                    RowBox[{"4", " ", "Pi", " ", 
                    SuperscriptBox["r", "2"]}]], ",", "\"\<.\>\""}], "}"}], 
                 "]"}], ",", "\"\<\>\"", ",", "\[IndentingNewLine]", 
                RowBox[{"Plot", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"1", ",", 
                    FractionBox["1", 
                    RowBox[{
                    SuperscriptBox["6", 
                    RowBox[{"2", "/", "3"}]], " ", 
                    SuperscriptBox["\[Pi]", 
                    RowBox[{"1", "/", "3"}]], " ", 
                    SuperscriptBox["t", 
                    RowBox[{"2", "/", "3"}]]}]], ",", 
                    FractionBox[
                    RowBox[{"2", " ", 
                    SuperscriptBox["2", 
                    RowBox[{"2", "/", "3"}]], " ", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    FractionBox["\[Pi]", "3"], ")"}], 
                    RowBox[{"1", "/", "3"}]]}], 
                    SuperscriptBox["t", 
                    RowBox[{"1", "/", "3"}]]]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Axes", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"True", ",", "False"}], "}"}]}], ",", 
                  RowBox[{"Epilog", "\[Rule]", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"tt", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"tt", ",", "1000"}], "}"}]}], "}"}], "]"}]}], ",",
                   
                  RowBox[{"PlotStyle", "\[Rule]", 
                   RowBox[{"Thickness", "[", "Medium", "]"}]}], ",", 
                  RowBox[{"PlotLabel", "\[Rule]", 
                   RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"MapIndexed", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"HoldForm", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{"#1", ",", "t"}], "]"}], "]"}], ",", 
                    RowBox[{"ColorData", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{"First", "[", "#2", "]"}]}], "]"}]}], "]"}], 
                    "&"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"V", ",", "r", ",", "A"}], "}"}]}], "]"}], ",", 
                    "\"\<,   \>\""}], "]"}]}], ",", 
                  RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}]}], "}"}], 
              ",", "Center"}], "]"}], ",", "14"}], "]"}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Column", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Graphics", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"ColorData", "[", 
                   RowBox[{"1", ",", "1"}], "]"}], ",", 
                  RowBox[{"Rectangle", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RadicalBox[
                    FractionBox[
                    RowBox[{"3", " ", "tt"}], 
                    RowBox[{"4", " ", "\[Pi]", " "}]], "3"], ",", ".01"}], 
                    "}"}]}], "]"}]}], "}"}], ",", 
                RowBox[{"PlotRange", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", "1.366"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", ".01"}], "}"}]}], "}"}]}], ",", 
                RowBox[{"Axes", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"True", ",", "False"}], "}"}]}], ",", 
                RowBox[{"ImageSize", "\[Rule]", "250"}], ",", 
                RowBox[{"PlotLabel", "\[Rule]", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<radius\>\"", ",", "\"\<Label\>\""}], "]"}]}]}],
                "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"Graphics", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"ColorData", "[", 
                   RowBox[{"1", ",", "2"}], "]"}], ",", 
                  RowBox[{"Rectangle", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    SqrtBox[
                    RowBox[{"2", " ", "\[Pi]"}]], ",", 
                    FractionBox["1", 
                    SqrtBox[
                    RowBox[{"2", " ", "\[Pi]"}]]]}], "}"}], 
                    RadicalBox[
                    RowBox[{"36", "\[Pi]", " ", 
                    SuperscriptBox["tt", "2"]}], "6"]}]}], "]"}]}], "}"}], 
                ",", 
                RowBox[{"PlotRange", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", "11.9"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "1.89"}], "}"}]}], "}"}]}], ",", 
                RowBox[{"ImageSize", "\[Rule]", "250"}], ",", 
                RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                RowBox[{"PlotLabel", "\[Rule]", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<surface area\>\"", ",", "\"\<Label\>\""}], 
                  "]"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"Graphics3D", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"ColorData", "[", 
                   RowBox[{"1", ",", "3"}], "]"}], ",", 
                  RowBox[{"Specularity", "[", 
                   RowBox[{"White", ",", "100"}], "]"}], ",", 
                  RowBox[{"Sphere", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
                    RadicalBox[
                    FractionBox[
                    RowBox[{"3", " ", "tt"}], 
                    RowBox[{"4", " ", "\[Pi]", " "}]], "3"]}], "]"}]}], "}"}],
                 ",", 
                RowBox[{"Lighting", "\[Rule]", "\"\<Neutral\>\""}], ",", 
                RowBox[{"Epilog", "\[Rule]", 
                 RowBox[{"Inset", "[", 
                  RowBox[{
                   RowBox[{"Graphics", "[", 
                    RowBox[{
                    RowBox[{"{", "}"}], ",", 
                    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", "1.336"}], ",", 
                    RowBox[{"ImagePadding", "\[Rule]", "0"}]}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{".5", ",", ".5"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", "250"}], ",", 
                RowBox[{"PlotRange", "\[Rule]", "1.36"}], ",", 
                RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
                RowBox[{"ViewAngle", "\[Rule]", ".298"}], ",", 
                RowBox[{"PlotLabel", "\[Rule]", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<volume\>\"", ",", "\"\<Label\>\""}], "]"}]}]}],
                "]"}]}], "}"}], ",", "Center", ",", "2"}], "]"}]}], "}"}], 
        "}"}], "]"}]}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tt", ",", "5", ",", "\"\<time\>\""}], "}"}], ",", "0", ",", 
      "10"}], "}"}]}], "]"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.394381990185379*^9, 3.394382045859427*^9}, {
   3.3943821420606613`*^9, 3.39438218026333*^9}, {3.39438222730494*^9, 
   3.39438223097723*^9}, {3.394382288234654*^9, 3.3943823100644407`*^9}, {
   3.394382341269272*^9, 3.39438248174861*^9}, {3.394382776034031*^9, 
   3.3943829068037767`*^9}, {3.394382940759955*^9, 3.394382943139888*^9}, {
   3.394383038520136*^9, 3.394383126818413*^9}, {3.3943832071986322`*^9, 
   3.394383282844211*^9}, {3.394383335072596*^9, 3.394383386499609*^9}, {
   3.394383464982581*^9, 3.394383471405559*^9}, {3.394383705516612*^9, 
   3.3943838727549057`*^9}, {3.39438397028608*^9, 3.39438399339729*^9}, {
   3.394384027668778*^9, 3.3943840449659443`*^9}, {3.394386208969099*^9, 
   3.394386334563575*^9}, {3.394386375599811*^9, 3.394386448006585*^9}, {
   3.3943864902744713`*^9, 3.394386514126327*^9}, {3.394386554688798*^9, 
   3.394386646205307*^9}, {3.394386723447698*^9, 3.394386895970544*^9}, {
   3.394386934801712*^9, 3.394386963996913*^9}, {3.3943870375040627`*^9, 
   3.3943870422724667`*^9}, {3.394387075181278*^9, 3.394387076491485*^9}, {
   3.394387223572917*^9, 3.394387272372867*^9}, {3.394387309665072*^9, 
   3.39438733327816*^9}, 3.394387493659066*^9, {3.394402063847824*^9, 
   3.394402091071691*^9}, {3.3944021766779222`*^9, 3.394402237288958*^9}, {
   3.394402325052909*^9, 3.394402340587034*^9}, 3.394402374488237*^9, {
   3.394402441400886*^9, 3.3944024419411097`*^9}, {3.3944024902418003`*^9, 
   3.394402596114965*^9}, {3.394403371227632*^9, 3.394403373992803*^9}, {
   3.3944709563172817`*^9, 3.394471082417572*^9}, {3.394471152487904*^9, 
   3.394471188125409*^9}, {3.3944713520067472`*^9, 3.394471404761981*^9}, {
   3.394471640500298*^9, 3.394471657625535*^9}, {3.394471726066162*^9, 
   3.3944717286478643`*^9}, {3.3944718884384403`*^9, 
   3.3944719147912807`*^9}, {3.394472078875023*^9, 3.394472107170095*^9}, {
   3.394472224413125*^9, 3.394472232322049*^9}, {3.394472282674629*^9, 
   3.394472285685836*^9}, {3.394472446310102*^9, 3.394472448842185*^9}, 
   3.3944726112149973`*^9, {3.394473363208845*^9, 3.394473384364765*^9}, {
   3.3944735819189367`*^9, 3.3944736325024977`*^9}, 3.3944738541720753`*^9, {
   3.394474017489043*^9, 3.394474018297099*^9}, {3.3944796349941072`*^9, 
   3.394479698849044*^9}, {3.3944797439249516`*^9, 3.3944797604423866`*^9}, {
   3.3944798262781677`*^9, 3.3944798273387775`*^9}, {3.3944798636208453`*^9, 
   3.394479866226346*^9}},
 CellID->1239828196]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`tt$$ = 5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`tt$$], 5, "time"}, 0, 10}}, Typeset`size$$ = {
    557., {203., 208.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`tt$68459$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`tt$$ = 5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`tt$$, $CellContext`tt$68459$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> TraditionalForm[
        Text[
         Grid[{{
            Style[
             Column[{
               Row[{"Take the derivative of "}], 
               
               Row[{$CellContext`V, " = ", 4 Pi $CellContext`r^3/3, 
                 " to get ", 
                 HoldForm[
                  D[$CellContext`V, $CellContext`t]], " = ", 4 
                 Pi $CellContext`r^2 HoldForm[
                   D[$CellContext`r, $CellContext`t]], "."}], 
               Row[{"Using ", 
                 HoldForm[
                  D[$CellContext`V, $CellContext`t]], " = ", 1, 
                 " and solving, ", 
                 HoldForm[
                  D[$CellContext`r, $CellContext`t]], " = ", 1/(4 
                 Pi $CellContext`r^2), "."}], "", 
               
               Row[{"Also,  ", $CellContext`A, " = ", 4 Pi $CellContext`r^2, 
                 ","}], 
               Row[{"so ", 
                 HoldForm[
                  D[$CellContext`A, $CellContext`t]], " = ", 8 
                 Pi $CellContext`r HoldForm[
                   D[$CellContext`r, $CellContext`t]], " = ", 
                 HoldForm[8 Pi $CellContext`r]/HoldForm[
                 4 Pi $CellContext`r^2], " = ", 8 Pi $CellContext`r/(4 
                 Pi $CellContext`r^2), "."}], "", 
               
               Plot[{1, 1/(6^(2/3) Pi^(1/3) $CellContext`t^(2/3)), 2 
                 2^(2/3) (Pi/3)^(1/3)/$CellContext`t^(1/3)}, {$CellContext`t, 
                 0, 10}, Axes -> {True, False}, Epilog -> 
                Line[{{$CellContext`tt$$, 0}, {$CellContext`tt$$, 1000}}], 
                PlotStyle -> Thickness[Medium], PlotLabel -> Row[
                  MapIndexed[Style[
                    HoldForm[
                    D[#, $CellContext`t]], 
                    ColorData[1, 
                    
                    First[#2]]]& , {$CellContext`V, $CellContext`r, \
$CellContext`A}], ",   "], ImageSize -> 300]}, Center], 14], 
            Column[{
              Graphics[{
                ColorData[1, 1], 
                
                Rectangle[{0, 
                 0}, {(3 $CellContext`tt$$/(4 Pi))^(1/3), 0.01}]}, 
               PlotRange -> {{0, 1.366}, {0, 0.01}}, Axes -> {True, False}, 
               ImageSize -> 250, PlotLabel -> Style["radius", "Label"]], 
              Graphics[{
                ColorData[1, 2], 
                
                Rectangle[{0, 
                 0}, {(2 Pi)^Rational[1, 2], 1/(2 Pi)^Rational[1, 2]} (36 
                   Pi $CellContext`tt$$^2)^(1/6)]}, 
               PlotRange -> {{0, 11.9}, {0, 1.89}}, ImageSize -> 250, Axes -> 
               True, PlotLabel -> Style["surface area", "Label"]], 
              Graphics3D[{
                ColorData[1, 3], 
                Specularity[White, 100], 
                Sphere[{0, 0, 0}, (3 $CellContext`tt$$/(4 Pi))^(1/3)]}, 
               Lighting -> "Neutral", Epilog -> Inset[
                 
                 Graphics[{}, Axes -> True, PlotRange -> 1.336, ImagePadding -> 
                  0], {0.5, 0.5}, {0, 0}, 1], Boxed -> False, ImageSize -> 
               250, PlotRange -> 1.36, SphericalRegion -> True, ViewAngle -> 
               0.298, PlotLabel -> Style["volume", "Label"]]}, Center, 
             2]}}]]], 
      "Specifications" :> {{{$CellContext`tt$$, 5, "time"}, 0, 10}}, 
      "Options" :> {}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{601., {246., 251.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->223754102],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Relation of Radius, Surface Area, and Volume of a Sphere",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
RelationOfRadiusSurfaceAreaAndVolumeOfASphere/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
RelationOfRadiusSurfaceAreaAndVolumeOfASphere/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
RelationOfRadiusSurfaceAreaAndVolumeOfASphere/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
RelationOfRadiusSurfaceAreaAndVolumeOfASphere/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
RelationOfRadiusSurfaceAreaAndVolumeOfASphere/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Joe Bolte",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Joe+Bolte"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Joe+Bolte"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
RelationOfRadiusSurfaceAreaAndVolumeOfASphere"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Relation of Radius, Surface Area, and Volume of a Sphere - \
Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 248, 4, 70, "Section"],
Cell[841, 29, 14274, 296, 70, "Input",
 CellID->1239828196]
}, Open  ]],
Cell[15130, 328, 4751, 101, 70, "Output",
 CellID->223754102],
Cell[CellGroupData[{
Cell[19906, 433, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[20282, 444, 1076, 31, 70, "Text"],
Cell[21361, 477, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[21701, 488, 424, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[22150, 506, 829, 24, 70, "Text"],
Cell[22982, 532, 1221, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature fTzBpiNYcxJeoDDhBXvZNzV2 *)
