(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     39127,        980]
NotebookOptionsPosition[     37975,        938]
NotebookOutlinePosition[     38610,        962]
CellTagsIndexPosition[     38567,        959]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["A Generalization of the Mean Value Theorem ", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"TrianglePointc", "[", 
   RowBox[{"poly_", ",", " ", "x_", ",", 
    RowBox[{"{", 
     RowBox[{"a_", ",", "b_"}], "}"}]}], "]"}], " ", ":=", " ", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"sol", ",", "sol1"}], "}"}], ",", 
    RowBox[{
     RowBox[{"sol", " ", "=", " ", 
      RowBox[{"x", "/.", " ", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"poly", " ", "-", 
                 RowBox[{"(", 
                  RowBox[{"poly", "/.", 
                   RowBox[{"x", "\[Rule]", "a"}]}], ")"}]}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{"b", "-", "x"}], ")"}]}], ")"}], "-", 
             RowBox[{"D", "[", 
              RowBox[{"poly", ",", " ", "x"}], "]"}]}], "\[Equal]", "0"}], 
           ",", "x"}], "]"}], ",", "5"}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"sol1", "=", 
      RowBox[{
       RowBox[{"Select", "[", 
        RowBox[{"sol", ",", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Im", "[", "#", "]"}], "\[Equal]", "0"}], "&&", " ", 
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{"a", ",", "b"}], "]"}], "\[LessEqual]", " ", "#", 
            "\[LessEqual]", " ", 
            RowBox[{"Max", "[", 
             RowBox[{"a", ",", "b"}], "]"}]}]}], "&"}]}], "]"}], "[", 
       RowBox[{"[", "All", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Select", "[", 
       RowBox[{"sol1", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"Abs", "[", "#", "]"}], "==", 
          RowBox[{"Max", "[", 
           RowBox[{"Abs", "[", "sol1", "]"}], "]"}]}], "&"}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TriangleGraphics", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a0_", ",", " ", "a1_", ",", " ", "a2_", ",", "a3_"}], "}"}], 
    ",", " ", 
    RowBox[{"{", 
     RowBox[{"a_", ",", "b_"}], "}"}]}], "]"}], " ", ":=", " ", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "fa", ",", "fb", ",", "fc", ",", "c", ",", "ab", ",", "ac", ",", "bc", 
      ",", "\[Alpha]", ",", "\[Beta]", ",", "\[Gamma]", ",", "poly"}], "}"}], 
    ",", "\[IndentingNewLine]", "             ", 
    RowBox[{
     RowBox[{"ab", "=", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}]}], ";", 
     RowBox[{"ac", "=", 
      RowBox[{"{", 
       RowBox[{"a", ",", "c"}], "}"}]}], ";", 
     RowBox[{"bc", "=", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}]}], ";", "\[IndentingNewLine]", 
     "             ", 
     RowBox[{"fa", " ", "=", 
      RowBox[{"poly", "[", "a", "]"}]}], ";", 
     RowBox[{"fb", " ", "=", " ", 
      RowBox[{"poly", "[", "b", "]"}]}], ";", 
     RowBox[{"fc", "=", 
      RowBox[{"poly", "[", "c", "]"}]}], ";", "\[IndentingNewLine]", 
     "             ", 
     RowBox[{
      RowBox[{"poly", "[", "x_", "]"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a0", ",", " ", "a1", ",", " ", "a2", ",", "a3"}], "}"}], ".",
        
       RowBox[{"x", "^", 
        RowBox[{"(", 
         RowBox[{"Range", "[", 
          RowBox[{"0", ",", " ", "3"}], "]"}], ")"}]}]}]}], ";", "         ", 
     "\[IndentingNewLine]", "             ", 
     RowBox[{"c", " ", "=", " ", 
      RowBox[{"TrianglePointc", "[", 
       RowBox[{
        RowBox[{"poly", "[", "x", "]"}], ",", " ", "x", ",", " ", 
        RowBox[{"{", 
         RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], " ", ";", 
     "\[IndentingNewLine]", "             ", 
     RowBox[{"\[Alpha]", "=", 
      RowBox[{"ArcTan", "[", 
       RowBox[{
        RowBox[{"poly", "'"}], "[", "a", "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "            ", 
     RowBox[{"\[Beta]", "=", 
      RowBox[{"ArcTan", "[", 
       RowBox[{
        RowBox[{"poly", "'"}], "[", "b", "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "            ", 
     RowBox[{"\[Gamma]", "=", 
      RowBox[{"ArcTan", "[", 
       RowBox[{
        RowBox[{"poly", "'"}], "[", "c", "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "          ", 
     RowBox[{
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{"poly", "[", "x", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"-", "2.5"}], ",", " ", "2.5"}], "}"}], ",", 
            RowBox[{"PlotStyle", " ", "\[Rule]", " ", 
             RowBox[{"{", 
              RowBox[{"Blue", ",", 
               RowBox[{"Thickness", "[", ".01", "]"}]}], "}"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ",", 
          "\[IndentingNewLine]", "  ", 
          RowBox[{"Graphics", "[", 
           RowBox[{"{", " ", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"RGBColor", "[", 
                RowBox[{"0.492", ",", "0.740", ",", "0."}], "]"}], ",", 
               RowBox[{"Polygon", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"c", ",", "fc"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"c", "-", 
                    FractionBox["fc", 
                    RowBox[{
                    RowBox[{"poly", "'"}], "[", "c", "]"}]]}], ",", "0"}], 
                   "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"c", "+", 
                    FractionBox[
                    RowBox[{"fc", 
                    RowBox[{"(", 
                    RowBox[{"b", "-", "c"}], ")"}]}], 
                    RowBox[{"fc", "-", "fa"}]]}], ",", "0"}], "}"}]}], "}"}], 
                "]"}]}], "}"}], "  ", ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"1.", ",", "0.492", ",", "0."}], "]"}], ",", " ", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"c", ",", "fc"}], "}"}], ",", " ", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"c", "+", 
                    FractionBox[
                    RowBox[{"fc", 
                    RowBox[{"(", 
                    RowBox[{"b", "-", "c"}], ")"}]}], 
                    RowBox[{"fc", "-", "fa"}]]}], ",", "0"}], "}"}]}], "}"}], 
                "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"1.", ",", "0.492", ",", "0."}], "]"}], ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"c", "-", 
                    FractionBox["fc", 
                    RowBox[{
                    RowBox[{"poly", "'"}], "[", "c", "]"}]]}], ",", "0"}], 
                   "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"c", "+", 
                    FractionBox[
                    RowBox[{"fc", 
                    RowBox[{"(", 
                    RowBox[{"b", "-", "c"}], ")"}]}], 
                    RowBox[{"fc", "-", "fa"}]]}], ",", "0"}], "}"}]}], "}"}], 
                "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"1.", ",", "0.492", ",", "0."}], "]"}], ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"c", "-", 
                    FractionBox["fc", 
                    RowBox[{
                    RowBox[{"poly", "'"}], "[", "c", "]"}]]}], ",", "0"}], 
                   "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"c", ",", "fc"}], "}"}]}], "}"}], "]"}]}], "}"}], 
             " ", ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"Black", ",", " ", 
               RowBox[{"PointSize", "[", "0.015", "]"}], ",", " ", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"c", ",", " ", "fc"}], "}"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Black", ",", " ", 
               RowBox[{"PointSize", "[", "0.015", "]"}], ",", " ", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"b", ",", " ", "fa"}], "}"}], "]"}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"Gray", ",", " ", "Dashed", ",", 
               RowBox[{"Thickness", "[", "0.001", "]"}], ",", " ", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"a", ",", "fa"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"b", ",", "fa"}], "}"}]}], "}"}], "]"}], ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"c", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"c", ",", "fc"}], "}"}]}], "}"}], "]"}], ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"a", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"a", ",", "fa"}], "}"}]}], "}"}], "]"}], ",", "  ",
                
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"b", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"b", ",", "fa"}], "}"}]}], "}"}], "]"}]}], "}"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<(\>\"", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], ",", 
                  "\"\<,\>\"", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                  "\"\<(\>\"", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", 
                  "\"\<))\>\""}], "}"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"b", "+", ".35"}], ",", "fa"}], "}"}]}], "]"}], ",", 
             
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"b", ",", 
                 RowBox[{"-", "0.4"}]}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<c\>\"", ",", "Italic"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"c", ",", 
                 RowBox[{"-", "0.4"}]}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"a", ",", 
                 RowBox[{"-", "0.4"}]}], "}"}]}], "]"}]}], 
            "\[IndentingNewLine]", "}"}], "]"}]}], " ", "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"AxesOrigin", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}]}], ",", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
        RowBox[{"PlotRange", " ", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2.5"}], ",", " ", "2.5"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "7"}], ",", "7"}], "}"}]}], "}"}]}], ",", " ", 
        "\[IndentingNewLine]", 
        RowBox[{"AspectRatio", " ", "\[Rule]", " ", "1"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"400", ",", "340"}], "}"}]}], ",", 
        RowBox[{"ImagePadding", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"30", ",", "20"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"30", ",", "30"}], "}"}]}], "}"}]}]}], "]"}], "//", 
      "N"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.416728078671875*^9, 3.41672810025*^9}, {
   3.4167384513372087`*^9, 3.416738452055972*^9}, {3.416766481674821*^9, 
   3.416766532424409*^9}, {3.4167665826281767`*^9, 3.4167667624429784`*^9}, {
   3.417170068037081*^9, 3.417170116927393*^9}, {3.4171701508646755`*^9, 
   3.4171701990831165`*^9}},
 CellID->155826837],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"TriangleGraphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c0", ",", "c1", ",", "c2", ",", "c3"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}]}], "]"}], " ", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", " ", ".9", ",", " ", "\"\<a\>\""}], " ", "}"}], ",", 
     " ", 
     RowBox[{"-", "1.5"}], ",", " ", "1.5", ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}]}], "}"}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "  ", "1.7", ",", " ", "\"\<b\>\""}], " ", "}"}], ",",
      " ", 
     RowBox[{"-", "2"}], ",", " ", "2", ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}]}], "}"}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "c0", ",", "   ", ".5", ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(0\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "1"}], ",", " ", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "c1", ",", ".1", ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(1\)]\)\>\""}], "}"}], ",", " ", ".1", 
     ",", " ", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "c2", ",", "  ", "1", ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(2\)]\)\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "1"}], ",", " ", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c3", ",", " ", "1", ",", "\"\<c3\>\""}], "}"}], ",", 
     RowBox[{"-", "1"}], ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "Left", ",", "Right", ",", "Top", ",", "Top", ",", "Top", ",", "Top"}], 
     "}"}]}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4167384635093174`*^9, 3.416738463696821*^9}, {
   3.4169175661950703`*^9, 3.4169175700105567`*^9}, {3.4169176792376175`*^9, 
   3.416917706446742*^9}, {3.4169181191401663`*^9, 3.4169181425037613`*^9}, {
   3.4169186016239443`*^9, 3.4169186062606115`*^9}, {3.41691882124975*^9, 
   3.416918825145352*^9}, {3.416919002209958*^9, 3.416919031211661*^9}},
 CellID->88839819]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0.9, $CellContext`b$$ = 
    1.7, $CellContext`c0$$ = 0.5, $CellContext`c1$$ = 0.1, $CellContext`c2$$ =
     1, $CellContext`c3$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 0.9, "a"}, -1.5, 1.5}, {{
       Hold[$CellContext`b$$], 1.7, "b"}, -2, 2}, {{
       Hold[$CellContext`c0$$], 0.5, 
       "\!\(\*SubscriptBox[\(c\), \(0\)]\)"}, -1, 1}, {{
       Hold[$CellContext`c1$$], 0.1, "\!\(\*SubscriptBox[\(c\), \(1\)]\)"}, 
      0.1, 1}, {{
       Hold[$CellContext`c2$$], 1, "\!\(\*SubscriptBox[\(c\), \(2\)]\)"}, -1, 
      1}, {{
       Hold[$CellContext`c3$$], 1, "c3"}, -1, 1}}, Typeset`size$$ = {
    400., {168., 172.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`a$90813$$ = 
    0, $CellContext`b$90814$$ = 0, $CellContext`c0$90815$$ = 
    0, $CellContext`c1$90816$$ = 0, $CellContext`c2$90817$$ = 
    0, $CellContext`c3$90818$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 0.9, $CellContext`b$$ = 
        1.7, $CellContext`c0$$ = 0.5, $CellContext`c1$$ = 
        0.1, $CellContext`c2$$ = 1, $CellContext`c3$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$90813$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$90814$$, 0], 
        Hold[$CellContext`c0$$, $CellContext`c0$90815$$, 0], 
        Hold[$CellContext`c1$$, $CellContext`c1$90816$$, 0], 
        Hold[$CellContext`c2$$, $CellContext`c2$90817$$, 0], 
        Hold[$CellContext`c3$$, $CellContext`c3$90818$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`TriangleGraphics[{$CellContext`c0$$, \
$CellContext`c1$$, $CellContext`c2$$, $CellContext`c3$$}, {$CellContext`a$$, \
$CellContext`b$$}], 
      "Specifications" :> {{{$CellContext`a$$, 0.9, "a"}, -1.5, 1.5, 
         ControlType -> VerticalSlider}, {{$CellContext`b$$, 1.7, "b"}, -2, 2,
          ControlType -> 
         VerticalSlider}, {{$CellContext`c0$$, 0.5, 
          "\!\(\*SubscriptBox[\(c\), \(0\)]\)"}, -1, 1, Appearance -> 
         "Labeled"}, {{$CellContext`c1$$, 0.1, 
          "\!\(\*SubscriptBox[\(c\), \(1\)]\)"}, 0.1, 1, Appearance -> 
         "Labeled"}, {{$CellContext`c2$$, 1, 
          "\!\(\*SubscriptBox[\(c\), \(2\)]\)"}, -1, 1, Appearance -> 
         "Labeled"}, {{$CellContext`c3$$, 1, "c3"}, -1, 1, Appearance -> 
         "Labeled"}}, 
      "Options" :> {ControlPlacement -> {Left, Right, Top, Top, Top, Top}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{519., {252., 257.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`TriangleGraphics[{
           Pattern[$CellContext`a0, 
            Blank[]], 
           Pattern[$CellContext`a1, 
            Blank[]], 
           Pattern[$CellContext`a2, 
            Blank[]], 
           Pattern[$CellContext`a3, 
            Blank[]]}, {
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]}] := 
        Module[{$CellContext`fa, $CellContext`fb, $CellContext`fc, \
$CellContext`c, $CellContext`ab, $CellContext`ac, $CellContext`bc, \
$CellContext`\[Alpha], $CellContext`\[Beta], $CellContext`\[Gamma], \
$CellContext`poly}, $CellContext`ab = {$CellContext`a, $CellContext`b}; \
$CellContext`ac = {$CellContext`a, $CellContext`c}; $CellContext`bc = \
{$CellContext`b, $CellContext`c}; $CellContext`fa = \
$CellContext`poly[$CellContext`a]; $CellContext`fb = \
$CellContext`poly[$CellContext`b]; $CellContext`fc = \
$CellContext`poly[$CellContext`c]; $CellContext`poly[
             Pattern[$CellContext`x, 
              Blank[]]] = 
           Dot[{$CellContext`a0, $CellContext`a1, $CellContext`a2, \
$CellContext`a3}, $CellContext`x^
             Range[0, 3]]; $CellContext`c = $CellContext`TrianglePointc[
             $CellContext`poly[$CellContext`x], $CellContext`x, \
{$CellContext`a, $CellContext`b}]; $CellContext`\[Alpha] = ArcTan[
             Derivative[
             1][$CellContext`poly][$CellContext`a]]; $CellContext`\[Beta] = 
           ArcTan[
             Derivative[
             1][$CellContext`poly][$CellContext`b]]; $CellContext`\[Gamma] = 
           ArcTan[
             Derivative[1][$CellContext`poly][$CellContext`c]]; N[
            Show[{
              Plot[
               $CellContext`poly[$CellContext`x], {$CellContext`x, -2.5, 2.5},
                PlotStyle -> {Blue, 
                 Thickness[0.01]}, PlotRange -> All], 
              Graphics[{{
                 RGBColor[0.492, 0.74, 0.], 
                 
                 Polygon[{{$CellContext`c, $CellContext`fc}, {$CellContext`c - \
$CellContext`fc/Derivative[1][$CellContext`poly][$CellContext`c], 
                    0}, {$CellContext`c + ($CellContext`fc ($CellContext`b - \
$CellContext`c))/($CellContext`fc - $CellContext`fa), 0}}]}, {
                 Thickness[0.01], 
                 RGBColor[1., 0.492, 0.], 
                 
                 Line[{{$CellContext`c, $CellContext`fc}, {$CellContext`c + \
($CellContext`fc ($CellContext`b - $CellContext`c))/($CellContext`fc - \
$CellContext`fa), 0}}]}, {
                 Thickness[0.01], 
                 RGBColor[1., 0.492, 0.], 
                 
                 Line[{{$CellContext`c - $CellContext`fc/Derivative[
                    1][$CellContext`poly][$CellContext`c], 
                    0}, {$CellContext`c + ($CellContext`fc ($CellContext`b - \
$CellContext`c))/($CellContext`fc - $CellContext`fa), 0}}]}, {
                 Thickness[0.01], 
                 RGBColor[1., 0.492, 0.], 
                 
                 Line[{{$CellContext`c - $CellContext`fc/Derivative[
                    1][$CellContext`poly][$CellContext`c], 
                    0}, {$CellContext`c, $CellContext`fc}}]}, {Black, 
                 PointSize[0.015], 
                 Point[{$CellContext`c, $CellContext`fc}]}, {Black, 
                 PointSize[0.015], 
                 Point[{$CellContext`b, $CellContext`fa}]}, {Gray, Dashed, 
                 Thickness[0.001], 
                 
                 Line[{{$CellContext`a, $CellContext`fa}, {$CellContext`b, \
$CellContext`fa}}], 
                 
                 Line[{{$CellContext`c, 
                    0}, {$CellContext`c, $CellContext`fc}}], 
                 
                 Line[{{$CellContext`a, 
                    0}, {$CellContext`a, $CellContext`fa}}], 
                 
                 Line[{{$CellContext`b, 
                    0}, {$CellContext`b, $CellContext`fa}}]}, 
                Text[
                 Row[{"(", 
                   Style["b", Italic], ",", 
                   Style["f", Italic], "(", 
                   Style["a", Italic], "))"}], {$CellContext`b + 
                  0.35, $CellContext`fa}], 
                Text[
                 Style["b", Italic], {$CellContext`b, -0.4}], 
                Text[
                 Style["c", Italic], {$CellContext`c, -0.4}], 
                Text[
                 Style["a", Italic], {$CellContext`a, -0.4}]}]}, 
             AxesOrigin -> {0, 0}, Axes -> True, Frame -> True, 
             PlotRange -> {{-2.5, 2.5}, {-7, 7}}, AspectRatio -> 1, 
             ImageSize -> {400, 340}, 
             ImagePadding -> {{30, 20}, {30, 30}}]]], $CellContext`ab = {0.9, 
         1.7}, $CellContext`ac = {0.9, 
         1.3579883225738318`}, $CellContext`bc = {1.7, 
         1.3579883225738318`}, $CellContext`\[Alpha] = 
        1.3438288162362853`, $CellContext`\[Beta] = 
        1.4888112423782656`, $CellContext`\[Gamma] = 
        1.4515805254952214`, $CellContext`poly[
          Pattern[$CellContext`x$, 
           Blank[]]] = 
        0.5 + 0.1 $CellContext`x$ + $CellContext`x$^2 + $CellContext`x$^3, 
        Attributes[$CellContext`x$] = {
         Temporary}, $CellContext`TrianglePointc[
          Pattern[$CellContext`poly, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]], {
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]}] := 
        Module[{$CellContext`sol, $CellContext`sol1}, $CellContext`sol = 
           ReplaceAll[$CellContext`x, 
             N[
              
              Solve[($CellContext`poly - 
                  ReplaceAll[$CellContext`poly, $CellContext`x -> \
$CellContext`a])/($CellContext`b - $CellContext`x) - 
                D[$CellContext`poly, $CellContext`x] == 0, $CellContext`x], 
              5]]; $CellContext`sol1 = Part[
             
             Select[$CellContext`sol, And[
              Im[#] == 0, Min[$CellContext`a, $CellContext`b] <= # <= 
               Max[$CellContext`a, $CellContext`b]]& ], All]; Part[
            Select[$CellContext`sol1, Abs[#] == Max[
               Abs[$CellContext`sol1]]& ], 1]], 
        Attributes[Derivative] = {NHoldAll, ReadProtected}, 
        Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True); 
     ReleaseHold[{{
         HoldComplete[$CellContext`TrianglePointc[
            Pattern[$CellContext`poly, 
             Blank[]], 
            Pattern[$CellContext`x, 
             Blank[]], {
             Pattern[$CellContext`a, 
              Blank[]], 
             Pattern[$CellContext`b, 
              Blank[]]}] := 
          Module[{$CellContext`sol, $CellContext`sol1}, $CellContext`sol = 
             ReplaceAll[$CellContext`x, 
               N[
                
                Solve[($CellContext`poly - 
                    ReplaceAll[$CellContext`poly, $CellContext`x -> \
$CellContext`a])/($CellContext`b - $CellContext`x) - 
                  D[$CellContext`poly, $CellContext`x] == 0, $CellContext`x], 
                5]]; $CellContext`sol1 = Part[
               
               Select[$CellContext`sol, And[
                Im[#] == 0, Min[$CellContext`a, $CellContext`b] <= # <= 
                 Max[$CellContext`a, $CellContext`b]]& ], All]; Part[
              Select[$CellContext`sol1, Abs[#] == Max[
                 Abs[$CellContext`sol1]]& ], 1]]], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`TriangleGraphics[{
             Pattern[$CellContext`a0, 
              Blank[]], 
             Pattern[$CellContext`a1, 
              Blank[]], 
             Pattern[$CellContext`a2, 
              Blank[]], 
             Pattern[$CellContext`a3, 
              Blank[]]}, {
             Pattern[$CellContext`a, 
              Blank[]], 
             Pattern[$CellContext`b, 
              Blank[]]}] := 
          Module[{$CellContext`fa, $CellContext`fb, $CellContext`fc, \
$CellContext`c, $CellContext`ab, $CellContext`ac, $CellContext`bc, \
$CellContext`\[Alpha], $CellContext`\[Beta], $CellContext`\[Gamma], \
$CellContext`poly}, $CellContext`ab = {$CellContext`a, $CellContext`b}; \
$CellContext`ac = {$CellContext`a, $CellContext`c}; $CellContext`bc = \
{$CellContext`b, $CellContext`c}; $CellContext`fa = \
$CellContext`poly[$CellContext`a]; $CellContext`fb = \
$CellContext`poly[$CellContext`b]; $CellContext`fc = \
$CellContext`poly[$CellContext`c]; $CellContext`poly[
               Pattern[$CellContext`x, 
                Blank[]]] = 
             Dot[{$CellContext`a0, $CellContext`a1, $CellContext`a2, \
$CellContext`a3}, $CellContext`x^
               Range[0, 3]]; $CellContext`c = $CellContext`TrianglePointc[
               $CellContext`poly[$CellContext`x], $CellContext`x, \
{$CellContext`a, $CellContext`b}]; $CellContext`\[Alpha] = ArcTan[
               Derivative[
               1][$CellContext`poly][$CellContext`a]]; $CellContext`\[Beta] = 
             ArcTan[
               Derivative[
               1][$CellContext`poly][$CellContext`b]]; $CellContext`\[Gamma] = 
             ArcTan[
               Derivative[1][$CellContext`poly][$CellContext`c]]; N[
              Show[{
                Plot[
                 $CellContext`poly[$CellContext`x], {$CellContext`x, -2.5, 
                  2.5}, PlotStyle -> {Blue, 
                   Thickness[0.01]}, PlotRange -> All], 
                Graphics[{{
                   RGBColor[0.492, 0.74, 0.], 
                   
                   Polygon[{{$CellContext`c, $CellContext`fc}, \
{$CellContext`c - $CellContext`fc/Derivative[
                    1][$CellContext`poly][$CellContext`c], 
                    0}, {$CellContext`c + $CellContext`fc ($CellContext`b - \
$CellContext`c)/($CellContext`fc - $CellContext`fa), 0}}]}, {
                   Thickness[0.01], 
                   RGBColor[1., 0.492, 0.], 
                   
                   Line[{{$CellContext`c, $CellContext`fc}, {$CellContext`c + \
$CellContext`fc ($CellContext`b - $CellContext`c)/($CellContext`fc - \
$CellContext`fa), 0}}]}, {
                   Thickness[0.01], 
                   RGBColor[1., 0.492, 0.], 
                   
                   Line[{{$CellContext`c - $CellContext`fc/Derivative[
                    1][$CellContext`poly][$CellContext`c], 
                    0}, {$CellContext`c + $CellContext`fc ($CellContext`b - \
$CellContext`c)/($CellContext`fc - $CellContext`fa), 0}}]}, {
                   Thickness[0.01], 
                   RGBColor[1., 0.492, 0.], 
                   
                   Line[{{$CellContext`c - $CellContext`fc/Derivative[
                    1][$CellContext`poly][$CellContext`c], 
                    0}, {$CellContext`c, $CellContext`fc}}]}, {Black, 
                   PointSize[0.015], 
                   Point[{$CellContext`c, $CellContext`fc}]}, {Black, 
                   PointSize[0.015], 
                   Point[{$CellContext`b, $CellContext`fa}]}, {Gray, Dashed, 
                   Thickness[0.001], 
                   
                   Line[{{$CellContext`a, $CellContext`fa}, {$CellContext`b, \
$CellContext`fa}}], 
                   
                   Line[{{$CellContext`c, 
                    0}, {$CellContext`c, $CellContext`fc}}], 
                   
                   Line[{{$CellContext`a, 
                    0}, {$CellContext`a, $CellContext`fa}}], 
                   
                   Line[{{$CellContext`b, 
                    0}, {$CellContext`b, $CellContext`fa}}]}, 
                  Text[
                   Row[{"(", 
                    Style["b", Italic], ",", 
                    Style["f", Italic], "(", 
                    Style["a", Italic], "))"}], {$CellContext`b + 
                    0.35, $CellContext`fa}], 
                  Text[
                   Style["b", Italic], {$CellContext`b, -0.4}], 
                  Text[
                   Style["c", Italic], {$CellContext`c, -0.4}], 
                  Text[
                   Style["a", Italic], {$CellContext`a, -0.4}]}]}, 
               AxesOrigin -> {0, 0}, Axes -> True, Frame -> True, 
               PlotRange -> {{-2.5, 2.5}, {-7, 7}}, AspectRatio -> 1, 
               ImageSize -> {400, 340}, 
               ImagePadding -> {{30, 20}, {30, 30}}]]]]}}]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->237848262],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["A Generalization of the Mean Value Theorem ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
AGeneralizationOfTheMeanValueTheorem/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/AGeneralizationOfTheMeanValueTheorem/"],\

 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
AGeneralizationOfTheMeanValueTheorem/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
AGeneralizationOfTheMeanValueTheorem/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/AGeneralizationOfTheMeanValueTheorem/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Soledad M\.aa S\[AAcute]ez Mart\[IAcute]nez",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%\
E1ez+Mart%EDnez"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%E1ez+\
Mart%EDnez"],
 " and ",
 ButtonBox["F\[EAcute]lix Mart\[IAcute]nez de la Rosa",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%\
EDnez+de+la+Rosa"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%EDnez+\
de+la+Rosa"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
AGeneralizationOfTheMeanValueTheorem"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"A Generalization of the Mean Value Theorem  - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 235, 4, 70, "Section"],
Cell[828, 29, 13976, 353, 70, "Input",
 CellID->155826837],
Cell[14807, 384, 2751, 72, 70, "Input",
 CellID->88839819]
}, Open  ]],
Cell[17573, 459, 15727, 330, 70, "Output",
 CellID->237848262],
Cell[CellGroupData[{
Cell[33325, 793, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[33701, 804, 1016, 30, 70, "Text"],
Cell[34720, 836, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[35060, 847, 818, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[35903, 875, 829, 24, 70, "Text"],
Cell[36735, 901, 1212, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature LQzaR4RRty50YC0evnY7AiWW *)
