(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     30144,        787]
NotebookOptionsPosition[     28840,        739]
NotebookOutlinePosition[     29497,        764]
CellTagsIndexPosition[     29454,        761]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Approximating the Derivative by the Symmetric Difference Quotient\
\>", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"fline", "[", 
   RowBox[{"f_", ",", 
    RowBox[{"{", 
     RowBox[{"x0_", ",", "x1_"}], "}"}], ",", "r_"}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"f", "[", "x", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "x0", ",", "x1", ",", "r"}], "}"}]}], "]"}]}]], "Input",\

 InitializationCell->True,
 CellID->1130508611],

Cell[BoxData[
 RowBox[{
  RowBox[{"ndline", "[", 
   RowBox[{"f_", ",", "x0_", ",", "dx_", ",", "ddx_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x0", ",", "#2"}], "}"}], "+", 
       RowBox[{"ddx", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "dx"}], ",", 
           RowBox[{"-", "#1"}]}], "}"}], "/", 
         RowBox[{"Norm", "[", 
          RowBox[{"{", 
           RowBox[{"#1", ",", "dx"}], "}"}], "]"}]}]}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"x0", ",", "#2"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x0", ",", "#2"}], "}"}], "+", 
       RowBox[{"ddx", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"dx", ",", 
           RowBox[{"-", "#3"}]}], "}"}], "/", 
         RowBox[{"Norm", "[", 
          RowBox[{"{", 
           RowBox[{"#3", ",", "dx"}], "}"}], "]"}]}]}]}]}], 
     "\[IndentingNewLine]", "}"}], "&"}], "[", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x0", "]"}], "-", 
     RowBox[{"f", "[", 
      RowBox[{"x0", "-", "dx"}], "]"}]}], ",", 
    RowBox[{"f", "[", "x0", "]"}], ",", 
    RowBox[{
     RowBox[{"f", "[", "x0", "]"}], "-", 
     RowBox[{"f", "[", 
      RowBox[{"x0", "+", "dx"}], "]"}]}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellID->103691304],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Pane", "[", 
    RowBox[{
     RowBox[{"Column", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Text", "@", 
          RowBox[{"Grid", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"\"\<\>\"", ",", "\"\<\>\"", ",", 
                RowBox[{"TraditionalForm", "[", 
                 RowBox[{"HoldForm", "[", 
                  RowBox[{
                   RowBox[{
                    SubscriptBox["\[PartialD]", "a"], 
                    RowBox[{"Sin", "[", "a", "]"}]}], "=", 
                   RowBox[{"Cos", "[", "a", "]"}]}], "]"}], "]"}], ",", 
                RowBox[{"N", "[", 
                 RowBox[{"Cos", "[", "p", "]"}], "]"}], ",", "\"\<\>\"", ",", 
                "\"\<\>\""}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"TraditionalForm", "[", 
                 RowBox[{"HoldForm", "[", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"Sin", "[", "a", "]"}], "-", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"a", "-", "d"}], "]"}]}], "d"], "]"}], "]"}], ",",
                 
                RowBox[{"N", "[", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"Sin", "[", "p", "]"}], "-", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"p", "-", "dp"}], "]"}]}], ")"}], "/", 
                  RowBox[{"(", "dp", ")"}]}], "]"}], ",", 
                RowBox[{"TraditionalForm", "[", 
                 RowBox[{"HoldForm", "[", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"a", "+", "d"}], "]"}], "-", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"a", "-", "d"}], "]"}]}], 
                   RowBox[{"2", " ", "d"}]], "]"}], "]"}], ",", 
                RowBox[{"N", "[", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"p", "+", "dp"}], "]"}], "-", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"p", "-", "dp"}], "]"}]}], ")"}], "/", 
                  RowBox[{"(", 
                   RowBox[{"2", "dp"}], ")"}]}], "]"}], ",", 
                RowBox[{"TraditionalForm", "[", 
                 RowBox[{"HoldForm", "[", 
                  FractionBox[
                   RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"a", "+", "d"}], "]"}], "-", 
                    RowBox[{"Sin", "[", "a", "]"}]}], "d"], "]"}], "]"}], ",",
                 
                RowBox[{"N", "[", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"p", "+", "dp"}], "]"}], "-", 
                    RowBox[{"Sin", "[", "p", "]"}]}], ")"}], "/", 
                  RowBox[{"(", "dp", ")"}]}], "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"\"\<error\>\"", ",", 
                RowBox[{"N", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sin", "[", "p", "]"}], "-", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"p", "-", "dp"}], "]"}]}], ")"}], "/", 
                   RowBox[{"(", "dp", ")"}]}], "-", 
                  RowBox[{"Cos", "[", "p", "]"}]}], "]"}], ",", 
                "\"\<error\>\"", ",", 
                RowBox[{"N", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"p", "+", "dp"}], "]"}], "-", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"p", "-", "dp"}], "]"}]}], ")"}], "/", 
                   RowBox[{"(", 
                    RowBox[{"2", "dp"}], ")"}]}], "-", 
                  RowBox[{"Cos", "[", "p", "]"}]}], "]"}], ",", 
                "\"\<error\>\"", ",", 
                RowBox[{"N", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"p", "+", "dp"}], "]"}], "-", 
                    RowBox[{"Sin", "[", "p", "]"}]}], ")"}], "/", 
                   RowBox[{"(", "dp", ")"}]}], "-", 
                  RowBox[{"Cos", "[", "p", "]"}]}], "]"}]}], "}"}], ",", 
              RowBox[{"{", "}"}]}], "}"}], ",", 
            RowBox[{"ItemSize", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"12", ",", "2"}], "}"}]}], ",", 
            RowBox[{"BaseStyle", "\[Rule]", 
             RowBox[{"{", "10", "}"}]}], ",", 
            RowBox[{"Dividers", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                "False", ",", "False", ",", "True", ",", "False", ",", "True",
                  ",", "False", ",", "False"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"False", ",", "True", ",", "False"}], "}"}]}], 
              "}"}]}]}], "]"}]}], ",", 
         RowBox[{"Row", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Graphics", "[", 
                RowBox[{"#", ",", 
                 RowBox[{"PlotRange", "\[Rule]", 
                  RowBox[{"2", "Pi"}]}], ",", 
                 RowBox[{"ImageSize", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"200", ",", "200"}], "}"}]}]}], "]"}], ",", 
               RowBox[{"Graphics", "[", 
                RowBox[{"#", ",", 
                 RowBox[{"PlotRange", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"p", "-", 
                    RowBox[{"2", "dp"}]}], ",", 
                    RowBox[{"p", "+", 
                    RowBox[{"2", "dp"}]}]}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"Sin", "[", "p", "]"}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], "dp"}], ",", 
                    RowBox[{"2", "dp"}]}], "}"}]}]}], "}"}]}], ",", 
                 RowBox[{"ImageSize", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"200", ",", "200"}], "}"}]}]}], "]"}]}], "}"}], 
             "&"}], "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Lighter", "@", "Yellow"}], ",", 
              RowBox[{"Polygon", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"p", "-", "dp"}], ",", 
                   RowBox[{
                    RowBox[{"-", "2"}], "Pi"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"p", "-", "dp"}], ",", 
                   RowBox[{"2", "Pi"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"p", ",", 
                   RowBox[{"2", "Pi"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"p", ",", 
                   RowBox[{
                    RowBox[{"-", "2"}], "Pi"}]}], "}"}]}], "}"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Lighter", "@", "Orange"}], ",", 
              RowBox[{"Polygon", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"p", ",", 
                   RowBox[{
                    RowBox[{"-", "2"}], "Pi"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"p", ",", 
                   RowBox[{"2", "Pi"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"p", "+", "dp"}], ",", 
                   RowBox[{"2", "Pi"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"p", "+", "dp"}], ",", 
                   RowBox[{
                    RowBox[{"-", "2"}], "Pi"}]}], "}"}]}], "}"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Opacity", "[", ".35", "]"}], ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Sin", "[", 
                  RowBox[{"p", "-", "dp"}], "]"}], "<", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"p", "+", "dp"}], "]"}]}], ",", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{".12", ",", ".61", ",", ".78"}], "]"}], ",", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{".71", ",", ".14", ",", ".71"}], "]"}]}], "]"}], ",",
               
              RowBox[{"Polygon", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "2"}], "Pi"}], ",", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"p", "-", "dp"}], "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"2", "Pi"}], ",", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"p", "-", "dp"}], "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"2", "Pi"}], ",", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"p", "+", "dp"}], "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "2"}], "Pi"}], ",", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"p", "+", "dp"}], "]"}]}], "}"}]}], "}"}], "]"}], 
              ",", 
              RowBox[{"Opacity", "[", "1", "]"}], ",", "Black", ",", 
              RowBox[{"Line", "@", 
               RowBox[{"fline", "[", 
                RowBox[{"Sin", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "2"}], "Pi"}], ",", 
                   RowBox[{"2", "Pi"}]}], "}"}], ",", 
                 RowBox[{"Pi", "/", "120"}]}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Darker", "@", "Blue"}], ",", 
              RowBox[{"Line", "@", 
               RowBox[{"ndline", "[", 
                RowBox[{"Sin", ",", "p", ",", "dp", ",", "5"}], "]"}]}], ",", 
              
              RowBox[{"Darker", "@", "Red"}], ",", 
              RowBox[{"Polygon", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"p", "-", "dp"}], ",", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"p", "-", "dp"}], "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"p", ",", 
                   RowBox[{"Sin", "[", "p", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"p", "+", "dp"}], ",", 
                   RowBox[{"Sin", "[", 
                    RowBox[{"p", "+", "dp"}], "]"}]}], "}"}]}], "}"}], 
               "]"}]}], "}"}], "]"}], ",", "\"\<\\t  \>\""}], "]"}]}], "}"}], 
       ",", "Center"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"600", ",", "375"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", 
       RowBox[{"Pi", "/", "3"}], ",", "\"\<angle a\>\""}], "}"}], ",", 
     RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dp", ",", 
       RowBox[{"Pi", "/", "6"}], ",", "\"\<difference d\>\""}], "}"}], ",", 
     RowBox[{"1", "/", "120"}], ",", "Pi"}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3914479422820377`*^9, 3.391447942585329*^9}, {
   3.3914479768258057`*^9, 3.3914480536753483`*^9}, {3.391448086421854*^9, 
   3.391448145772359*^9}, {3.391448189058134*^9, 3.391448242212741*^9}, {
   3.391448276720244*^9, 3.3914483158214073`*^9}, {3.391448367677867*^9, 
   3.3914484771568937`*^9}, 3.3914485128630333`*^9, {3.391448560066111*^9, 
   3.3914486083308268`*^9}, {3.391448643568832*^9, 3.391448657240981*^9}, {
   3.421423389115486*^9, 3.4214234344751515`*^9}, {3.421423755433873*^9, 
   3.421423757234053*^9}, {3.4214237873720665`*^9, 3.4214237881381435`*^9}, {
   3.421423842420571*^9, 3.421423989599287*^9}, {3.4214240397813053`*^9, 
   3.421424091987525*^9}},
 CellID->23765364]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`dp$$ = Rational[1, 6] Pi, $CellContext`p$$ =
     Rational[1, 3] Pi, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`p$$], Rational[1, 3] Pi, "angle a"}, -Pi, Pi}, {{
       Hold[$CellContext`dp$$], Rational[1, 6] Pi, "difference d"}, 
      Rational[1, 120], Pi}}, Typeset`size$$ = {600., {185., 190.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`p$628$$ = 0, $CellContext`dp$629$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`dp$$ = Rational[1, 6] Pi, $CellContext`p$$ = 
        Rational[1, 3] Pi}, "ControllerVariables" :> {
        Hold[$CellContext`p$$, $CellContext`p$628$$, 0], 
        Hold[$CellContext`dp$$, $CellContext`dp$629$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        Column[{
          Text[
           Grid[{{"", "", 
              TraditionalForm[
               HoldForm[D[
                  Sin[$CellContext`a], $CellContext`a] = 
                Cos[$CellContext`a]]], 
              N[
               Cos[$CellContext`p$$]], "", ""}, {
              TraditionalForm[
               
               HoldForm[(Sin[$CellContext`a] - 
                 Sin[$CellContext`a - $CellContext`d])/$CellContext`d]], 
              
              N[(Sin[$CellContext`p$$] - 
                Sin[$CellContext`p$$ - $CellContext`dp$$])/$CellContext`dp$$],
               
              TraditionalForm[
               
               HoldForm[(Sin[$CellContext`a + $CellContext`d] - 
                 Sin[$CellContext`a - $CellContext`d])/(2 $CellContext`d)]], 
              N[(Sin[$CellContext`p$$ + $CellContext`dp$$] - 
                Sin[$CellContext`p$$ - $CellContext`dp$$])/(
               2 $CellContext`dp$$)], 
              TraditionalForm[
               
               HoldForm[(Sin[$CellContext`a + $CellContext`d] - 
                 Sin[$CellContext`a])/$CellContext`d]], 
              
              N[(Sin[$CellContext`p$$ + $CellContext`dp$$] - 
                Sin[$CellContext`p$$])/$CellContext`dp$$]}, {"error", 
              
              N[(Sin[$CellContext`p$$] - 
                 Sin[$CellContext`p$$ - $CellContext`dp$$])/$CellContext`dp$$ - 
               Cos[$CellContext`p$$]], "error", 
              
              N[(Sin[$CellContext`p$$ + $CellContext`dp$$] - 
                 Sin[$CellContext`p$$ - $CellContext`dp$$])/(
                2 $CellContext`dp$$) - Cos[$CellContext`p$$]], "error", 
              
              N[(Sin[$CellContext`p$$ + $CellContext`dp$$] - 
                 Sin[$CellContext`p$$])/$CellContext`dp$$ - 
               Cos[$CellContext`p$$]]}, {}}, ItemSize -> {12, 2}, 
            BaseStyle -> {10}, 
            Dividers -> {{False, False, True, False, True, False, False}, {
              False, True, False}}]], 
          Row[
           ({
            Graphics[#, PlotRange -> 2 Pi, ImageSize -> {200, 200}], 
            
            Graphics[#, 
             PlotRange -> {{$CellContext`p$$ - 
                2 $CellContext`dp$$, $CellContext`p$$ + 2 $CellContext`dp$$}, 
               Sin[$CellContext`p$$] + {(-2) $CellContext`dp$$, 
                 2 $CellContext`dp$$}}, ImageSize -> {200, 200}]}& )[{
             Lighter[Yellow], 
             
             Polygon[{{$CellContext`p$$ - $CellContext`dp$$, (-2) 
                Pi}, {$CellContext`p$$ - $CellContext`dp$$, 2 
                Pi}, {$CellContext`p$$, 2 Pi}, {$CellContext`p$$, (-2) Pi}}], 
             
             Lighter[Orange], 
             
             Polygon[{{$CellContext`p$$, (-2) Pi}, {$CellContext`p$$, 2 
                Pi}, {$CellContext`p$$ + $CellContext`dp$$, 2 
                Pi}, {$CellContext`p$$ + $CellContext`dp$$, (-2) Pi}}], 
             Opacity[0.35], 
             If[
             Sin[$CellContext`p$$ - $CellContext`dp$$] < 
              Sin[$CellContext`p$$ + $CellContext`dp$$], 
              RGBColor[0.12, 0.61, 0.78], 
              RGBColor[0.71, 0.14, 0.71]], 
             Polygon[{{(-2) Pi, 
                Sin[$CellContext`p$$ - $CellContext`dp$$]}, {2 Pi, 
                Sin[$CellContext`p$$ - $CellContext`dp$$]}, {2 Pi, 
                Sin[$CellContext`p$$ + $CellContext`dp$$]}, {(-2) Pi, 
                Sin[$CellContext`p$$ + $CellContext`dp$$]}}], 
             Opacity[1], Black, 
             Line[
              $CellContext`fline[Sin, {(-2) Pi, 2 Pi}, Pi/120]], 
             Darker[Blue], 
             Line[
              $CellContext`ndline[
              Sin, $CellContext`p$$, $CellContext`dp$$, 5]], 
             Darker[Red], 
             Polygon[{{$CellContext`p$$ - $CellContext`dp$$, 
                Sin[$CellContext`p$$ - $CellContext`dp$$]}, {$CellContext`p$$,
                 
                Sin[$CellContext`p$$]}, {$CellContext`p$$ + $CellContext`dp$$,
                 
                Sin[$CellContext`p$$ + $CellContext`dp$$]}}]}], "\t  "]}, 
         Center], {600, 375}], 
      "Specifications" :> {{{$CellContext`p$$, Rational[1, 3] Pi, 
          "angle a"}, -Pi, 
         Pi}, {{$CellContext`dp$$, Rational[1, 6] Pi, "difference d"}, 
         Rational[1, 120], Pi}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{644., {242., 247.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({
       Attributes[PlotRange] = {ReadProtected}, $CellContext`fline[
          Pattern[$CellContext`f, 
           Blank[]], {
           Pattern[$CellContext`x0, 
            Blank[]], 
           Pattern[$CellContext`x1, 
            Blank[]]}, 
          Pattern[$CellContext`r, 
           Blank[]]] := Table[{$CellContext`x, 
           $CellContext`f[$CellContext`x]}, {$CellContext`x, $CellContext`x0, \
$CellContext`x1, $CellContext`r}], $CellContext`ndline[
          Pattern[$CellContext`f, 
           Blank[]], 
          Pattern[$CellContext`x0, 
           Blank[]], 
          Pattern[$CellContext`dx, 
           Blank[]], 
          Pattern[$CellContext`ddx, 
           
           Blank[]]] := ({{$CellContext`x0, #2} + $CellContext`ddx \
({-$CellContext`dx, -#}/
            Norm[{#, $CellContext`dx}]), {$CellContext`x0, #2}, \
{$CellContext`x0, #2} + $CellContext`ddx ({$CellContext`dx, -#3}/
            Norm[{#3, $CellContext`dx}])}& )[$CellContext`f[$CellContext`x0] - \
$CellContext`f[$CellContext`x0 - $CellContext`dx], 
          $CellContext`f[$CellContext`x0], $CellContext`f[$CellContext`x0] - \
$CellContext`f[$CellContext`x0 + $CellContext`dx]]}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`fline[
           Pattern[$CellContext`f, 
            Blank[]], {
            Pattern[$CellContext`x0, 
             Blank[]], 
            Pattern[$CellContext`x1, 
             Blank[]]}, 
           Pattern[$CellContext`r, 
            Blank[]]] := Table[{$CellContext`x, 
            $CellContext`f[$CellContext`x]}, {$CellContext`x, \
$CellContext`x0, $CellContext`x1, $CellContext`r}], $CellContext`ndline[
           Pattern[$CellContext`f, 
            Blank[]], 
           Pattern[$CellContext`x0, 
            Blank[]], 
           Pattern[$CellContext`dx, 
            Blank[]], 
           Pattern[$CellContext`ddx, 
            
            Blank[]]] := ({{$CellContext`x0, #2} + $CellContext`ddx \
({-$CellContext`dx, -#}/
             Norm[{#, $CellContext`dx}]), {$CellContext`x0, #2}, \
{$CellContext`x0, #2} + $CellContext`ddx ({$CellContext`dx, -#3}/
             Norm[{#3, $CellContext`dx}])}& )[$CellContext`f[$CellContext`x0] - \
$CellContext`f[$CellContext`x0 - $CellContext`dx], 
           $CellContext`f[$CellContext`x0], $CellContext`f[$CellContext`x0] - \
$CellContext`f[$CellContext`x0 + $CellContext`dx]]}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->238166251],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Approximating the Derivative by the Symmetric Difference \
Quotient",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ApproximatingTheDerivativeByTheSymmetricDifferenceQuotient/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
ApproximatingTheDerivativeByTheSymmetricDifferenceQuotient/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
ApproximatingTheDerivativeByTheSymmetricDifferenceQuotient/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ApproximatingTheDerivativeByTheSymmetricDifferenceQuotient/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
ApproximatingTheDerivativeByTheSymmetricDifferenceQuotient/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Michael Schreiber",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Michael+\
Schreiber"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Michael+Schreiber"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->202572579],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ApproximatingTheDerivativeByTheSymmetricDifferenceQuotient"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Approximating the Derivative by the Symmetric Difference \
Quotient - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 265, 6, 70, "Section"],
Cell[858, 31, 435, 15, 70, "Input",
 InitializationCell->True,
 CellID->1130508611],
Cell[1296, 48, 1470, 47, 70, "Input",
 InitializationCell->True,
 CellID->103691304],
Cell[2769, 97, 13015, 310, 70, "Input",
 CellID->23765364]
}, Open  ]],
Cell[15799, 410, 8561, 187, 70, "Output",
 CellID->238166251],
Cell[CellGroupData[{
Cell[24385, 601, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[24761, 612, 1152, 32, 70, "Text"],
Cell[25916, 646, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[26256, 657, 465, 15, 70, "Text",
 CellID->202572579],
Cell[CellGroupData[{
Cell[26746, 676, 829, 24, 70, "Text"],
Cell[27578, 702, 1234, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 7Rj#uyskMIt6eCpqEx0GcLFF *)
