(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     25344,        669]
NotebookOptionsPosition[     24265,        630]
NotebookOutlinePosition[     24907,        654]
CellTagsIndexPosition[     24864,        651]
WindowTitle->Approximating the Tangent to a Curve with Secants - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Approximating the Tangent to a Curve with Secants", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"1", ",", "x_"}], "]"}], ":=", 
     SqrtBox["x"]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"2", ",", "x_"}], "]"}], ":=", 
     FractionBox[
      SuperscriptBox["x", "2"], "5"]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"3", ",", "x_"}], "]"}], ":=", 
     FractionBox[
      SuperscriptBox["x", "3"], "25"]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"4", ",", "x_"}], "]"}], ":=", 
     RowBox[{"2", 
      RowBox[{"Sin", "[", 
       FractionBox[
        RowBox[{"x", "*", "\[Pi]"}], "5"], "]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"5", ",", "x_"}], "]"}], ":=", 
     RowBox[{"2", 
      RowBox[{"Cos", "[", 
       FractionBox[
        RowBox[{"x", "*", "\[Pi]"}], "5"], "]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"a", "=", 
     RowBox[{"pt", "-", "1", "+", "ma"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"b", "=", 
     RowBox[{"pt", "+", "1", "+", "mb"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"a", "<", "0.0"}], ",", 
      RowBox[{"a", "=", "0.0"}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"b", ">", "5.0"}], ",", 
      RowBox[{"b", "=", "5.0"}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"der", "[", "x_", "]"}], ":=", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"p", ",", "x"}], "]"}], ",", "x"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"mx", "=", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"f", "[", 
         RowBox[{"p", ",", "x2"}], "]"}], ",", "x2"}], "]"}], "/.", 
      RowBox[{"x2", "\[Rule]", "pt"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"a", "==", "b"}], ",", 
      RowBox[{"m", "=", "mx"}], ",", 
      RowBox[{"m", "=", 
       FractionBox[
        RowBox[{
         RowBox[{"f", "[", 
          RowBox[{"p", ",", "b"}], "]"}], "-", 
         RowBox[{"f", "[", 
          RowBox[{"p", ",", "a"}], "]"}]}], 
        RowBox[{"b", "-", "a"}]]}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"int", "=", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"p", ",", "a"}], "]"}], "-", 
      RowBox[{"m", "*", "a"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"eint", "=", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"p", ",", "pt"}], "]"}], "-", 
      RowBox[{"mx", "*", "pt"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"graph", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"f", "[", 
          RowBox[{"p", ",", "x"}], "]"}], ",", 
         RowBox[{
          RowBox[{"m", "*", "x"}], "+", "int"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "5"}], "}"}], " ", ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"550", ",", "350"}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}]}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2"}], ",", "5"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"tangraph", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"mx", "*", "x"}], "+", "eint"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "5"}], "}"}], " ", ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"550", ",", "350"}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}]}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2"}], ",", "5"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Directive", "[", 
         RowBox[{"Dashed", ",", "Red"}], "]"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"graph", ",", "\[IndentingNewLine]", 
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", ".025", "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"a", ",", 
                   RowBox[{"f", "[", 
                    RowBox[{"p", ",", "a"}], "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"b", ",", 
                   RowBox[{"f", "[", 
                    RowBox[{"p", ",", "b"}], "]"}]}], "}"}]}], "}"}], "]"}], 
              ",", "Red", ",", " ", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"pt", ",", 
                 RowBox[{"f", "[", 
                  RowBox[{"p", ",", "pt"}], "]"}]}], "}"}], "]"}]}], "}"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                   "\"\< = \>\"", ",", "pt"}], "}"}], "]"}], ",", "9"}], 
               "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "4.8"}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{"\"\<slope of tangent = \>\"", ",", "mx"}], "}"}], 
                 "]"}], ",", "14"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2", ",", "4.8"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "1"}], ",", ".1"}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{"\"\<slope of secant = \>\"", ",", "m"}], "}"}], 
                 "]"}], ",", "14"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2", ",", "4.4"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "1"}], ",", ".1"}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{"\"\<equation of tangent: \>\"", ",", 
                   RowBox[{"TraditionalForm", "[", 
                    RowBox[{"y", "==", 
                    RowBox[{
                    RowBox[{"mx", " ", "x"}], " ", "+", "eint"}]}], "]"}]}], 
                  "}"}], "]"}], ",", "14"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2", ",", 
                RowBox[{"-", "1"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "1"}], ",", ".1"}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{"\"\<equation of secant:  \>\"", ",", 
                   RowBox[{"TraditionalForm", "[", 
                    RowBox[{"y", " ", "\[Equal]", 
                    RowBox[{
                    RowBox[{"m", " ", "x"}], " ", "+", "int"}]}], "]"}]}], 
                  "}"}], "]"}], ",", "14"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2", ",", 
                RowBox[{"-", "1.4"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "1"}], ",", ".1"}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "5"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "2"}], ",", "5"}], "}"}]}], "}"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"550", ",", "350"}], "}"}]}]}], "]"}], ",", " ", 
        "tangraph"}], "}"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"550", ",", "350"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", "4", ",", "\"\<function\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Sqrt", "[", "x", "]"}], "]"}]}], ",", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "/", "5"}], "]"}]}], ",", 
       RowBox[{"3", "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"x", "^", "3"}], "/", "25"}], "]"}]}], ",", " ", 
       RowBox[{"4", "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"2", 
          RowBox[{"Sin", "[", 
           FractionBox[
            RowBox[{"x", "*", "\[Pi]"}], "5"], "]"}]}], "]"}]}], ",", 
       RowBox[{"5", "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"2", 
          RowBox[{"Cos", "[", 
           FractionBox[
            RowBox[{"x", "*", "\[Pi]"}], "5"], "]"}]}], "]"}]}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pt", ",", "2.6", ",", "\"\<point position (red)\>\""}], "}"}], 
     ",", "0.5", ",", "4.5", ",", ".1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ma", ",", "0", ",", "\"\<move A\>\""}], "}"}], ",", 
     RowBox[{"-", "1"}], ",", "1", ",", ".1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mb", ",", "0", ",", "\"\<move B\>\""}], "}"}], ",", 
     RowBox[{"-", "1"}], ",", "1", ",", ".1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"p", ",", " ", "pt", ",", "ma", ",", "mb"}], "}"}]}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.45981604866*^9, {3.4598538968072863`*^9, 
   3.4598540788024845`*^9}, {3.45986654560202*^9, 3.4598666158993444`*^9}, {
   3.4598666485870543`*^9, 3.4598666663371677`*^9}, {3.459866829135084*^9, 
   3.45986688157292*^9}, 3.4598669691516056`*^9, {3.4598670016049385`*^9, 
   3.459867044964591*^9}, {3.4598670977930536`*^9, 3.4598671374339323`*^9}, {
   3.459867168918509*^9, 3.459867236106439*^9}, {3.4598673229351196`*^9, 
   3.4598673532321887`*^9}, {3.459874782505163*^9, 3.459874813407028*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ma$$ = 0, $CellContext`mb$$ = 
    0, $CellContext`p$$ = 4, $CellContext`pt$$ = 2.3, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`p$$], 4, "function"}, {
      1 -> TraditionalForm[$CellContext`x^Rational[1, 2]], 2 -> 
       TraditionalForm[Rational[1, 5] $CellContext`x^2], 3 -> 
       TraditionalForm[Rational[1, 25] $CellContext`x^3], 4 -> 
       TraditionalForm[2 Sin[Rational[1, 5] Pi $CellContext`x]], 5 -> 
       TraditionalForm[2 Cos[Rational[1, 5] Pi $CellContext`x]]}}, {{
       Hold[$CellContext`pt$$], 2.3, "point position (red)"}, 0.5, 4.5, 
      0.1}, {{
       Hold[$CellContext`ma$$], 0, "move A"}, -1, 1, 0.1}, {{
       Hold[$CellContext`mb$$], 0, "move B"}, -1, 1, 0.1}}, Typeset`size$$ = {
    550., {173., 177.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`p$102623$$ = 
    False, $CellContext`pt$102624$$ = 0, $CellContext`ma$102625$$ = 
    0, $CellContext`mb$102626$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ma$$ = 0, $CellContext`mb$$ = 
        0, $CellContext`p$$ = 4, $CellContext`pt$$ = 2.3}, 
      "ControllerVariables" :> {
        Hold[$CellContext`p$$, $CellContext`p$102623$$, False], 
        Hold[$CellContext`pt$$, $CellContext`pt$102624$$, 0], 
        Hold[$CellContext`ma$$, $CellContext`ma$102625$$, 0], 
        Hold[$CellContext`mb$$, $CellContext`mb$102626$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`f[1, 
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x^Rational[1, 2]; $CellContext`f[2, 
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x^2/5; $CellContext`f[3, 
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x^3/25; $CellContext`f[4, 
          Pattern[$CellContext`x, 
           Blank[]]] := 2 Sin[$CellContext`x Pi/5]; $CellContext`f[5, 
          Pattern[$CellContext`x, 
           Blank[]]] := 
        2 Cos[$CellContext`x Pi/5]; $CellContext`a = $CellContext`pt$$ - 
         1 + $CellContext`ma$$; $CellContext`b = $CellContext`pt$$ + 
         1 + $CellContext`mb$$; If[$CellContext`a < 0., $CellContext`a = 0.]; 
       If[$CellContext`b > 5., $CellContext`b = 5.]; $CellContext`der[
          Pattern[$CellContext`x$, 
           Blank[]]] := D[
          $CellContext`f[$CellContext`p$$, $CellContext`x$], $CellContext`x$]; \
$CellContext`mx = ReplaceAll[
          D[
           $CellContext`f[$CellContext`p$$, $CellContext`x2], \
$CellContext`x2], $CellContext`x2 -> $CellContext`pt$$]; 
       If[$CellContext`a == $CellContext`b, $CellContext`m = $CellContext`mx, \
$CellContext`m = ($CellContext`f[$CellContext`p$$, $CellContext`b] - \
$CellContext`f[$CellContext`p$$, $CellContext`a])/($CellContext`b - \
$CellContext`a)]; $CellContext`int = $CellContext`f[$CellContext`p$$, \
$CellContext`a] - $CellContext`m $CellContext`a; $CellContext`eint = \
$CellContext`f[$CellContext`p$$, $CellContext`pt$$] - $CellContext`mx \
$CellContext`pt$$; $CellContext`graph = Plot[{
           $CellContext`f[$CellContext`p$$, $CellContext`x], $CellContext`m \
$CellContext`x + $CellContext`int}, {$CellContext`x, 0, 5}, 
          ImageSize -> {550, 350}, 
          AxesLabel -> {$CellContext`x, $CellContext`y}, 
          PlotRange -> {{0, 5}, {-2, 5}}]; $CellContext`tangraph = 
        Plot[$CellContext`mx $CellContext`x + $CellContext`eint, \
{$CellContext`x, 0, 5}, ImageSize -> {550, 350}, 
          AxesLabel -> {$CellContext`x, $CellContext`y}, 
          PlotRange -> {{0, 5}, {-2, 5}}, PlotStyle -> 
          Directive[Dashed, Red]]; Show[{$CellContext`graph, 
          Graphics[{{
             PointSize[0.025], 
             Point[{{$CellContext`a, 
                $CellContext`f[$CellContext`p$$, $CellContext`a]}, \
{$CellContext`b, 
                $CellContext`f[$CellContext`p$$, $CellContext`b]}}], Red, 
             Point[{$CellContext`pt$$, 
               $CellContext`f[$CellContext`p$$, $CellContext`pt$$]}]}, 
            Text[
             Style[
              Row[{
                Style["x", Italic], " = ", $CellContext`pt$$}], 9], {1, 4.8}], 
            Text[
             Style[
              Row[{"slope of tangent = ", $CellContext`mx}], 14], {
             2, 4.8}, {-1, 0.1}], 
            Text[
             Style[
              Row[{"slope of secant = ", $CellContext`m}], 14], {
             2, 4.4}, {-1, 0.1}], 
            Text[
             Style[
              Row[{"equation of tangent: ", 
                
                TraditionalForm[$CellContext`y == $CellContext`mx \
$CellContext`x + $CellContext`eint]}], 14], {2, -1}, {-1, 0.1}], 
            Text[
             Style[
              Row[{"equation of secant:  ", 
                
                TraditionalForm[$CellContext`y == $CellContext`m \
$CellContext`x + $CellContext`int]}], 14], {2, -1.4}, {-1, 0.1}]}, 
           PlotRange -> {{0, 5}, {-2, 5}}, 
           ImageSize -> {550, 350}], $CellContext`tangraph}, 
         ImageSize -> {550, 350}]), 
      "Specifications" :> {{{$CellContext`p$$, 4, "function"}, {
         1 -> TraditionalForm[$CellContext`x^Rational[1, 2]], 2 -> 
          TraditionalForm[Rational[1, 5] $CellContext`x^2], 3 -> 
          TraditionalForm[Rational[1, 25] $CellContext`x^3], 4 -> 
          TraditionalForm[2 Sin[Rational[1, 5] Pi $CellContext`x]], 5 -> 
          TraditionalForm[2 Cos[Rational[1, 5] Pi $CellContext`x]]}, 
         ControlType -> 
         PopupMenu}, {{$CellContext`pt$$, 2.3, "point position (red)"}, 0.5, 
         4.5, 0.1, Appearance -> 
         "Labeled"}, {{$CellContext`ma$$, 0, "move A"}, -1, 1, 0.1, 
         Appearance -> "Labeled"}, {{$CellContext`mb$$, 0, "move B"}, -1, 1, 
         0.1, Appearance -> "Labeled"}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`p$$, $CellContext`pt$$, \
$CellContext`ma$$, $CellContext`mb$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{595., {264., 269.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->1763245512],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Approximating the Tangent to a Curve with Secants",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ApproximatingTheTangentToACurveWithSecants/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
ApproximatingTheTangentToACurveWithSecants/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
ApproximatingTheTangentToACurveWithSecants/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ApproximatingTheTangentToACurveWithSecants/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
ApproximatingTheTangentToACurveWithSecants/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Stephen Wilkerson",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Stephen+\
Wilkerson"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Stephen+Wilkerson"],
 " (Towson University)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ApproximatingTheTangentToACurveWithSecants"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{775, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Approximating the Tangent to a Curve with Secants - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[639, 23, 241, 4, 70, "Section"],
Cell[883, 29, 12142, 322, 70, "Input"]
}, Open  ]],
Cell[13040, 354, 6836, 135, 70, "Output",
 CellID->1763245512],
Cell[CellGroupData[{
Cell[19901, 493, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[20277, 504, 1054, 31, 70, "Text"],
Cell[21334, 537, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[21674, 548, 470, 15, 70, "Text"],
Cell[CellGroupData[{
Cell[22169, 567, 847, 24, 70, "Text"],
Cell[23019, 593, 1218, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature cT4zZpxU3desWAprrcLnnZ#C *)
