(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     14569,        409]
NotebookOptionsPosition[     13494,        369]
NotebookOutlinePosition[     14140,        394]
CellTagsIndexPosition[     14097,        391]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Bolzano's Continuous but Nowhere Differentiable Function", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{"bolA", "[", "n", "]"}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".1"}], ",", "1.1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".6"}], ",", ".6"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "350"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "0", ",", "6", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"InterpolateIH", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"a_", ",", "b_"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"c_", ",", "d_"}], "}"}]}], "]"}], ":=", 
       RowBox[{"N", "@", "\[IndentingNewLine]", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"a", "+", 
             RowBox[{
              RowBox[{"1", "/", "4"}], 
              RowBox[{"(", 
               RowBox[{"c", "-", "a"}], ")"}]}]}], ",", 
            RowBox[{"b", "-", 
             RowBox[{
              RowBox[{"1", "/", "2"}], 
              RowBox[{"(", 
               RowBox[{"d", "-", "b"}], ")"}]}]}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"a", "+", 
             RowBox[{
              RowBox[{"1", "/", "2"}], 
              RowBox[{"(", 
               RowBox[{"c", "-", "a"}], ")"}]}]}], ",", "b"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"a", "+", 
             RowBox[{
              RowBox[{"3", "/", "4"}], 
              RowBox[{"(", 
               RowBox[{"c", "-", "a"}], ")"}]}]}], ",", 
            RowBox[{"b", "+", 
             RowBox[{
              RowBox[{"1", "/", "2"}], 
              RowBox[{"(", 
               RowBox[{"d", "-", "b"}], ")"}]}]}]}], "}"}]}], 
         "\[IndentingNewLine]", "}"}]}]}], ";", "\n", 
      RowBox[{
       RowBox[{"bolA", "[", "0", "]"}], "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0.5"}], "}"}]}], "}"}]}], ";", "\n", 
      RowBox[{
       RowBox[{"bolA", "[", "n_", "]"}], ":=", 
       RowBox[{
        RowBox[{"bolA", "[", "n", "]"}], "=", "\[IndentingNewLine]", 
        RowBox[{"Join", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Flatten", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Join", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"bolA", "[", 
                   RowBox[{"n", "-", "1"}], "]"}], "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "}"}], ",", 
                RowBox[{"InterpolateIH", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"bolA", "[", 
                    RowBox[{"n", "-", "1"}], "]"}], "[", 
                   RowBox[{"[", "i", "]"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"bolA", "[", 
                    RowBox[{"n", "-", "1"}], "]"}], "[", 
                   RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "]"}]}], 
               "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"i", ",", 
                RowBox[{
                 RowBox[{"Length", "[", 
                  RowBox[{"bolA", "[", 
                   RowBox[{"n", "-", "1"}], "]"}], "]"}], "-", "1"}]}], 
               "}"}]}], "\[IndentingNewLine]", "]"}], ",", 
            "\[IndentingNewLine]", "1"}], "\[IndentingNewLine]", "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Last", "[", 
            RowBox[{"bolA", "[", 
             RowBox[{"n", "-", "1"}], "]"}], "]"}], "}"}]}], 
         "\[IndentingNewLine]", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
     ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.433057263765625*^9, 3.4330572675*^9}, {
   3.433243406859375*^9, 3.433243445828125*^9}, {3.43324416825*^9, 
   3.433244169171875*^9}, {3.433244200890625*^9, 3.433244219796875*^9}, {
   3.433244252359375*^9, 3.433244252859375*^9}, {3.43324430790625*^9, 
   3.43324431159375*^9}, {3.43324441121875*^9, 3.43324441203125*^9}, {
   3.433260239424235*^9, 3.4332602964779396`*^9}, 3.433267143781068*^9, 
   3.4332673212628922`*^9, 3.4332674482972827`*^9, {3.4332684156310825`*^9, 
   3.433268444722225*^9}, {3.43353856340625*^9, 3.43353856909375*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n$$], 0, 6, 1}}, Typeset`size$$ = {
    500., {173., 177.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`n$867$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$867$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ListLinePlot[
        $CellContext`bolA[$CellContext`n$$], Axes -> True, 
        PlotRange -> {{-0.1, 1.1}, {-0.6, 0.6}}, ImageSize -> {500, 350}], 
      "Specifications" :> {{$CellContext`n$$, 0, 6, 1, Appearance -> 
         "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {216., 221.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`InterpolateIH[{
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]}, {
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]}] := 
       N[{{$CellContext`a + (1/
             4) ($CellContext`c - $CellContext`a), $CellContext`b - (1/
            2) ($CellContext`d - $CellContext`b)}, {$CellContext`a + (1/
             2) ($CellContext`c - $CellContext`a), $CellContext`b}, \
{$CellContext`a + (3/4) ($CellContext`c - $CellContext`a), $CellContext`b + (
             1/2) ($CellContext`d - $CellContext`b)}}]; $CellContext`bolA[
        0] = {{0, 0}, {1, 0.5}}; $CellContext`bolA[
         Pattern[$CellContext`n, 
          Blank[]]] := ($CellContext`bolA[$CellContext`n] = Join[
          Flatten[
           Table[
            Join[{
              Part[
               $CellContext`bolA[$CellContext`n - 1], $CellContext`i]}, 
             $CellContext`InterpolateIH[
              Part[
               $CellContext`bolA[$CellContext`n - 1], $CellContext`i], 
              Part[
               $CellContext`bolA[$CellContext`n - 1], $CellContext`i + 
               1]]], {$CellContext`i, Length[
               $CellContext`bolA[$CellContext`n - 1]] - 1}], 1], {
           Last[
            $CellContext`bolA[$CellContext`n - 1]]}]); Null); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->1117744],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Bolzano's Continuous but Nowhere Differentiable Function",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
BolzanosContinuousButNowhereDifferentiableFunction/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
BolzanosContinuousButNowhereDifferentiableFunction/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
BolzanosContinuousButNowhereDifferentiableFunction/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
BolzanosContinuousButNowhereDifferentiableFunction/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
BolzanosContinuousButNowhereDifferentiableFunction/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
BolzanosContinuousButNowhereDifferentiableFunction"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Bolzano's Continuous but Nowhere Differentiable Function - \
Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 248, 4, 70, "Section"],
Cell[841, 29, 5164, 130, 70, "Input"]
}, Open  ]],
Cell[6020, 162, 3082, 67, 70, "Output",
 CellID->1117744],
Cell[CellGroupData[{
Cell[9127, 233, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9503, 244, 1101, 31, 70, "Text"],
Cell[10607, 277, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10947, 288, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[11408, 306, 829, 24, 70, "Text"],
Cell[12240, 332, 1226, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 8SjFLwSnZM@I5D0B7MQfx@9@ *)
