(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    292509,       5713]
NotebookOptionsPosition[    291183,       5664]
NotebookOutlinePosition[    291791,       5688]
CellTagsIndexPosition[    291748,       5685]
WindowTitle->Calculus Slalom - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Calculus Slalom", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"$X", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$xRange", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"2", "\[Pi]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$yRange", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$length", "=", "0.7"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"$min\[CapitalDelta]s", "=", "0.04"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"minimum", " ", "change", " ", "in", " ", "position"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$fOrder", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$fbarOrder", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$imageSize", "=", "400"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$plPadding", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.6", ",", 
       RowBox[{"$length", "+", "0.2"}]}], "}"}], ",", "0.5"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MyNormalize", "=", 
   RowBox[{
    RowBox[{"#", "/", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"#", ".", "#"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}]}]}], "&"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MyNorm", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"#", ".", "#"}], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{"1", "/", "2"}], ")"}]}], "&"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"DSmooth", "[", "l_", "]"}], ":=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Switch", "[", 
        RowBox[{"i", ",", "\[IndentingNewLine]", "1", ",", 
         RowBox[{"{", 
          RowBox[{"l", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
           "}"}], ",", "\[IndentingNewLine]", "2", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              FractionBox[
               RowBox[{"x0", "+", "x1"}], "2"], ",", 
              RowBox[{"y0", "+", 
               RowBox[{
                FractionBox[
                 RowBox[{"y2", "-", "y1"}], 
                 RowBox[{"x2", "-", "x1"}]], 
                RowBox[{"(", 
                 FractionBox[
                  RowBox[{"x1", "-", "x0"}], "2"], ")"}]}]}]}], "}"}], "/.", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x0", "\[Rule]", 
               RowBox[{"l", "\[LeftDoubleBracket]", 
                RowBox[{"i", ",", "1"}], "\[RightDoubleBracket]"}]}], ",", 
              RowBox[{"x1", "\[Rule]", 
               RowBox[{"l", "\[LeftDoubleBracket]", 
                RowBox[{
                 RowBox[{"i", "-", "1"}], ",", "1"}], 
                "\[RightDoubleBracket]"}]}], ",", 
              RowBox[{"x2", "\[Rule]", 
               RowBox[{"l", "\[LeftDoubleBracket]", 
                RowBox[{
                 RowBox[{"i", "+", "1"}], ",", "1"}], 
                "\[RightDoubleBracket]"}]}], ",", 
              RowBox[{"y0", "\[Rule]", 
               RowBox[{"l", "\[LeftDoubleBracket]", 
                RowBox[{"i", ",", "2"}], "\[RightDoubleBracket]"}]}], ",", 
              RowBox[{"y1", "\[Rule]", 
               RowBox[{"l", "\[LeftDoubleBracket]", 
                RowBox[{
                 RowBox[{"i", "-", "1"}], ",", "2"}], 
                "\[RightDoubleBracket]"}]}], ",", 
              RowBox[{"y2", "\[Rule]", 
               RowBox[{"l", "\[LeftDoubleBracket]", 
                RowBox[{
                 RowBox[{"i", "+", "1"}], ",", "2"}], 
                "\[RightDoubleBracket]"}]}]}], "}"}]}], ",", 
           RowBox[{
           "l", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Length", "[", "l", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              FractionBox[
               RowBox[{"x0", "+", "x2"}], "2"], ",", 
              RowBox[{"y0", "+", 
               RowBox[{
                FractionBox[
                 RowBox[{"y2", "-", "y1"}], 
                 RowBox[{"x2", "-", "x1"}]], 
                RowBox[{"(", 
                 FractionBox[
                  RowBox[{"x2", "-", "x0"}], "2"], ")"}]}]}]}], "}"}], "/.", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x0", "\[Rule]", 
               RowBox[{"l", "\[LeftDoubleBracket]", 
                RowBox[{
                 RowBox[{"i", "-", "1"}], ",", "1"}], 
                "\[RightDoubleBracket]"}]}], ",", 
              RowBox[{"x1", "\[Rule]", 
               RowBox[{"l", "\[LeftDoubleBracket]", 
                RowBox[{
                 RowBox[{"i", "-", "2"}], ",", "1"}], 
                "\[RightDoubleBracket]"}]}], ",", 
              RowBox[{"x2", "\[Rule]", 
               RowBox[{"l", "\[LeftDoubleBracket]", 
                RowBox[{"i", ",", "1"}], "\[RightDoubleBracket]"}]}], ",", 
              RowBox[{"y0", "\[Rule]", 
               RowBox[{"l", "\[LeftDoubleBracket]", 
                RowBox[{
                 RowBox[{"i", "-", "1"}], ",", "2"}], 
                "\[RightDoubleBracket]"}]}], ",", 
              RowBox[{"y1", "\[Rule]", 
               RowBox[{"l", "\[LeftDoubleBracket]", 
                RowBox[{
                 RowBox[{"i", "-", "2"}], ",", "2"}], 
                "\[RightDoubleBracket]"}]}], ",", 
              RowBox[{"y2", "\[Rule]", 
               RowBox[{"l", "\[LeftDoubleBracket]", 
                RowBox[{"i", ",", "2"}], "\[RightDoubleBracket]"}]}]}], 
             "}"}]}], ",", 
           RowBox[{
           "l", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
          "}"}], ",", "\[IndentingNewLine]", "_", ",", "\[IndentingNewLine]", 
         
         RowBox[{"{", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               FractionBox[
                RowBox[{"x0", "+", "x1"}], "2"], ",", 
               RowBox[{"y0", "+", 
                RowBox[{
                 RowBox[{"Tan", "[", 
                  RowBox[{"0.5", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"y2", "-", "y1"}], 
                    RowBox[{"x2", "-", "x1"}]], "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x0", "\[Rule]", 
                    RowBox[{"l", "\[LeftDoubleBracket]", 
                    RowBox[{"i", ",", "1"}], "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"x1", "\[Rule]", 
                    RowBox[{"l", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"i", "-", "1"}], ",", "1"}], 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"x2", "\[Rule]", 
                    RowBox[{"l", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", "1"}], 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"y0", "\[Rule]", 
                    RowBox[{"l", "\[LeftDoubleBracket]", 
                    RowBox[{"i", ",", "2"}], "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"y1", "\[Rule]", 
                    RowBox[{"l", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"i", "-", "1"}], ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"y2", "\[Rule]", 
                    RowBox[{"l", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", "2"}], 
                    "\[RightDoubleBracket]"}]}]}], "}"}]}], "]"}], "+", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"y2", "-", "y1"}], 
                    RowBox[{"x2", "-", "x1"}]], "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x0", "\[Rule]", 
                    RowBox[{"l", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"i", "-", "1"}], ",", "1"}], 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"x1", "\[Rule]", 
                    RowBox[{"l", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"i", "-", "2"}], ",", "1"}], 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"x2", "\[Rule]", 
                    RowBox[{"l", "\[LeftDoubleBracket]", 
                    RowBox[{"i", ",", "1"}], "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"y0", "\[Rule]", 
                    RowBox[{"l", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"i", "-", "1"}], ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"y1", "\[Rule]", 
                    RowBox[{"l", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"i", "-", "2"}], ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"y2", "\[Rule]", 
                    RowBox[{"l", "\[LeftDoubleBracket]", 
                    RowBox[{"i", ",", "2"}], "\[RightDoubleBracket]"}]}]}], 
                    "}"}]}], "]"}]}], ")"}]}], "]"}], 
                 RowBox[{"(", 
                  FractionBox[
                   RowBox[{"x1", "-", "x0"}], "2"], ")"}]}]}]}], "}"}], "/.", 
             
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "\[Rule]", 
                RowBox[{"l", "\[LeftDoubleBracket]", 
                 RowBox[{"i", ",", "1"}], "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"x1", "\[Rule]", 
                RowBox[{"l", "\[LeftDoubleBracket]", 
                 RowBox[{
                  RowBox[{"i", "-", "1"}], ",", "1"}], 
                 "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"x2", "\[Rule]", 
                RowBox[{"l", "\[LeftDoubleBracket]", 
                 RowBox[{
                  RowBox[{"i", "+", "1"}], ",", "1"}], 
                 "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"y0", "\[Rule]", 
                RowBox[{"l", "\[LeftDoubleBracket]", 
                 RowBox[{"i", ",", "2"}], "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"y1", "\[Rule]", 
                RowBox[{"l", "\[LeftDoubleBracket]", 
                 RowBox[{
                  RowBox[{"i", "-", "1"}], ",", "2"}], 
                 "\[RightDoubleBracket]"}]}], ",", 
               RowBox[{"y2", "\[Rule]", 
                RowBox[{"l", "\[LeftDoubleBracket]", 
                 RowBox[{
                  RowBox[{"i", "+", "1"}], ",", "2"}], 
                 "\[RightDoubleBracket]"}]}]}], "}"}]}], ")"}], ",", 
           RowBox[{
           "l", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
          "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "l", "]"}]}], "}"}]}], "]"}], ",", "1"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$gateXs", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\"\<student\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2.", ",", "3.", ",", "5."}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"\"\<math major\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1.5", ",", "3.", ",", "4.3", ",", "5.3"}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"\"\<prof\>\"", "\[Rule]", 
      RowBox[{"Range", "[", 
       RowBox[{"1", ",", "6", ",", "1."}], "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$gateRanges", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\"\<student\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<derivative\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], ",", 
        RowBox[{"\"\<integral\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "0.5"}], ",", "0.5"}], "}"}]}], ",", 
        RowBox[{"\"\<polar\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0.", ",", "0.9"}], "}"}]}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"\"\<math major\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<derivative\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1.7"}], ",", "1.7"}], "}"}]}], ",", 
        RowBox[{"\"\<integral\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "0.6"}], ",", "0.6"}], "}"}]}], ",", 
        RowBox[{"\"\<polar\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "0.9"}], ",", "0.9"}], "}"}]}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"\"\<prof\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<derivative\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2."}], ",", "2."}], "}"}]}], ",", 
        RowBox[{"\"\<integral\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "0.8"}], ",", "0.8"}], "}"}]}], ",", 
        RowBox[{"\"\<polar\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "0.9"}], ",", "0.9"}], "}"}]}]}], "}"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$gateTolerances", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\"\<student\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<derivative\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0.04", ",", "0.15"}], "}"}]}], ",", 
        RowBox[{"\"\<integral\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0.04", ",", "0.12"}], "}"}]}], ",", 
        RowBox[{"\"\<polar\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0.03", ",", "0.05"}], "}"}]}]}], "}"}]}], ",", 
     RowBox[{"\"\<math major\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<derivative\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0.04", ",", "0.12"}], "}"}]}], ",", 
        RowBox[{"\"\<integral\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0.04", ",", "0.08"}], "}"}]}], ",", 
        RowBox[{"\"\<polar\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0.03", ",", "0.04"}], "}"}]}]}], "}"}]}], ",", 
     RowBox[{"\"\<prof\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<derivative\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0.03", ",", "0.08"}], "}"}]}], ",", 
        RowBox[{"\"\<integral\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0.03", ",", "0.05"}], "}"}]}], ",", 
        RowBox[{"\"\<polar\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0.03", ",", "0.025"}], "}"}]}]}], "}"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$gateWingLength", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\"\<derivative\>\"", "\[Rule]", "0.2"}], ",", 
     RowBox[{"\"\<integral\>\"", "\[Rule]", "0.2"}], ",", 
     RowBox[{"\"\<polar\>\"", "\[Rule]", "0.1"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Gates", "[", 
    RowBox[{"seed_", ",", "game_", ",", "level_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"Gates", "[", 
     RowBox[{"seed", ",", "game", ",", "level"}], "]"}], "=", 
    RowBox[{"(*", " ", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"x", ",", "val"}], "}"}], "}"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"SeedRandom", "[", "seed", "]"}], ";", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"level", "/.", "$gateXs"}], ",", 
         RowBox[{
          RowBox[{"Switch", "[", 
           RowBox[{
           "game", ",", "\[IndentingNewLine]", "\"\<derivative\>\"", ",", 
            RowBox[{"#", "&"}], ",", "\[IndentingNewLine]", 
            "\"\<integral\>\"", ",", 
            RowBox[{
             RowBox[{"FoldList", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"#1", "+", "#2"}], ">", "2.2"}], "||", 
                   RowBox[{
                    RowBox[{"#1", "+", "#2"}], "<", 
                    RowBox[{"-", "2.2"}]}]}], ",", 
                  RowBox[{"#1", "-", "#2"}], ",", 
                  RowBox[{"#1", "+", "#2"}]}], "]"}], "&"}], ",", 
               RowBox[{"First", "[", "#", "]"}], ",", 
               RowBox[{"Rest", "[", "#", "]"}]}], "]"}], "&"}], ",", 
            "\[IndentingNewLine]", "\"\<polar\>\"", ",", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"#", ">", "0"}], ",", 
                 RowBox[{"#", "+", "0.1"}], ",", 
                 RowBox[{"#", "-", "0.1"}]}], "]"}], "&"}], "/@", "#"}], 
             "&"}]}], "]"}], "@", 
          RowBox[{"RandomReal", "[", 
           RowBox[{
            RowBox[{"game", "/.", 
             RowBox[{"(", 
              RowBox[{"level", "/.", "$gateRanges"}], ")"}]}], ",", 
            RowBox[{"Length", "[", 
             RowBox[{"level", "/.", "$gateXs"}], "]"}]}], "]"}]}]}], "}"}]}], 
      ")"}], "//", "Transpose"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Score", "[", 
    RowBox[{"fn_", ",", 
     RowBox[{"{", 
      RowBox[{"x0_", ",", "y0_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[CapitalDelta]x_", ",", "\[CapitalDelta]y_"}], "}"}], ",", 
     "gateWingLength_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"10", 
     RowBox[{"Count", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"fn", "[", "x0", "]"}], ",", 
         RowBox[{"fn", "[", 
          RowBox[{"x0", "-", "\[CapitalDelta]x"}], "]"}], ",", 
         RowBox[{"fn", "[", 
          RowBox[{"x0", "+", "\[CapitalDelta]x"}], "]"}], ",", 
         RowBox[{"fn", "[", 
          RowBox[{"x0", "-", 
           RowBox[{"0.3", "\[CapitalDelta]x"}]}], "]"}], ",", 
         RowBox[{"fn", "[", 
          RowBox[{"x0", "+", 
           RowBox[{"0.3", "\[CapitalDelta]x"}]}], "]"}]}], "}"}], ",", 
       RowBox[{"_", "?", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"y0", "-", "\[CapitalDelta]y"}], "\[LessEqual]", "#", 
           "\[LessEqual]", 
           RowBox[{"y0", "+", "\[CapitalDelta]y"}]}], "&"}], ")"}]}]}], 
      "]"}]}], "+", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"y0", "-", "\[CapitalDelta]y", "-", "gateWingLength"}], "<", 
        RowBox[{"fn", "[", "x0", "]"}], "<", 
        RowBox[{"y0", "-", "\[CapitalDelta]y"}]}], "||", 
       RowBox[{
        RowBox[{"y0", "+", "\[CapitalDelta]y"}], "<", 
        RowBox[{"fn", "[", "x0", "]"}], "<", 
        RowBox[{"y0", "+", "\[CapitalDelta]y", "+", "gateWingLength"}]}]}], 
      ",", "5", ",", "0"}], "]"}]}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, 3.443272645687727*^9, {3.4432727131734543`*^9, 
   3.443272715749856*^9}, {3.443284623265329*^9, 3.4432846306536713`*^9}, 
   3.443428957254896*^9, {3.4439470832695436`*^9, 3.443947090480562*^9}, {
   3.443947544836686*^9, 3.443947546067457*^9}, {3.443947915201126*^9, 
   3.44394792360821*^9}, 3.444225891873948*^9, 3.444225931696321*^9, {
   3.444226101532549*^9, 3.444226101621426*^9}, 3.444226627034807*^9, {
   3.444227467723579*^9, 3.444227496247521*^9}, {3.4453306114322147`*^9, 
   3.4453306142824*^9}, 3.4453306586561937`*^9, {3.445330749742022*^9, 
   3.4453307663817368`*^9}, {3.445330837163087*^9, 3.445330847457733*^9}, 
   3.445332391177375*^9, 3.44533299086526*^9, 3.445333108386218*^9, {
   3.445333179467558*^9, 3.4453331852485247`*^9}, {3.445335072014637*^9, 
   3.4453350744512672`*^9}, {3.44535450347351*^9, 3.445354505239622*^9}, {
   3.4463947778745475`*^9, 3.4463947781835785`*^9}},
 CellID->503781080],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"new", " ", "game", " ", "business"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"resetgame", "||", 
       RowBox[{"game", "=!=", "lastgame"}], "||", 
       RowBox[{"level", "=!=", "lastlevel"}], "||", 
       RowBox[{"seed", "\[NotEqual]", "lastseed"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"X", "=", 
        RowBox[{"$X", "+", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"2", 
            RowBox[{"$length", "/", "3"}]}], ",", 
           RowBox[{"$length", "/", "4"}]}], "}"}]}]}], ";", 
       RowBox[{"XX", "=", "$X"}], ";", 
       RowBox[{"xList", "=", 
        RowBox[{"{", "$X", "}"}]}], ";", 
       RowBox[{"lastX", "=", "$X"}], ";", 
       RowBox[{"currentscores", "=", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"total", "=", "0"}], ";", 
       RowBox[{"resetgame", "=", "False"}], ";", 
       RowBox[{"lastgame", "=", "game"}], ";", 
       RowBox[{"lastlevel", "=", "level"}], ";", 
       RowBox[{"lastseed", "=", "seed"}], ";", 
       RowBox[{"gameover", "=", "False"}]}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{"process", " ", "moved", " ", "Locator", " ", "X"}], " ", "*)"}],
     "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"!", "gameover"}], "&&", 
       RowBox[{
        RowBox[{"X", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        ">", 
        RowBox[{
         RowBox[{"XX", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
          "+", "$min\[CapitalDelta]s"}]}], "&&", 
       RowBox[{
        RowBox[{"MyNorm", "[", 
         RowBox[{"X", "-", "XX"}], "]"}], ">", 
        RowBox[{"$length", "+", "$min\[CapitalDelta]s"}]}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"lastX", "===", "$X"}], ",", "\[IndentingNewLine]", 
         RowBox[{"XX", "=", 
          RowBox[{"X", "-", 
           RowBox[{"$length", " ", 
            RowBox[{"MyNormalize", "[", 
             RowBox[{"X", "-", "XX"}], "]"}]}]}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"XX", "=", 
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"df", "=", 
              RowBox[{"X", "-", "XX"}]}], "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"XX", "+", 
              RowBox[{"t", " ", "df"}]}], "/.", 
             RowBox[{"FindRoot", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"MyNorm", "[", 
                 RowBox[{"XX", "+", 
                  RowBox[{"t", " ", "df"}], "-", "X"}], "]"}], "\[Equal]", 
                "$length"}], ",", 
               RowBox[{"{", 
                RowBox[{"t", ",", "0"}], "}"}]}], "]"}]}]}], "]"}]}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"lastX", "=", "X"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
          "XX", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ">", 
          RowBox[{
           RowBox[{
            RowBox[{"Last", "[", "xList", "]"}], "\[LeftDoubleBracket]", "1", 
            "\[RightDoubleBracket]"}], "+", "0.005"}]}], ",", 
         RowBox[{"(*", " ", 
          RowBox[{
           RowBox[{"+", "0.005"}], " ", "to", " ", "minimize", " ", "erratic",
            " ", "derivatives"}], " ", "*)"}], "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Length", "[", "xList", "]"}], ">", "2"}], ",", 
            RowBox[{"xList", "=", 
             RowBox[{"Join", "[", 
              RowBox[{"xList", ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"#", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], 
                    "\[Equal]", 
                    RowBox[{
                    RowBox[{"Last", "[", "xList", "]"}], 
                    "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
                   ",", 
                   RowBox[{"Rest", "[", "#", "]"}], ",", "#"}], "]"}], "&"}], 
                "@", 
                RowBox[{"With", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"ff", "=", 
                    RowBox[{"Interpolation", "[", 
                    RowBox[{
                    RowBox[{"DSmooth", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"xList", "\[LeftDoubleBracket]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "2"}], ",", 
                    RowBox[{"-", "1"}]}], "}"}], "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{"{", "XX", "}"}]}], "]"}], "]"}], ",", 
                    RowBox[{"InterpolationOrder", "\[Rule]", "$fOrder"}]}], 
                    "]"}]}], "}"}], ",", 
                  RowBox[{"With", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"fpts", "=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"lastx", "=", "0"}], ",", 
                    RowBox[{"\[CapitalDelta]x", "=", "0.05"}]}], "}"}], ",", 
                    RowBox[{"MovingAverage", "[", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Max", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"First", "@", 
                    RowBox[{"Last", "[", "xList", "]"}]}], "-", 
                    "\[CapitalDelta]x"}], ",", 
                    RowBox[{"ff", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}]}], "]"}], ",", 
                    RowBox[{"ff", "[", 
                    RowBox[{"Max", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"First", "@", 
                    RowBox[{"Last", "[", "xList", "]"}]}], "-", 
                    "\[CapitalDelta]x"}], ",", 
                    RowBox[{"ff", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "1"}], 
                    "\[RightDoubleBracket]"}]}], "]"}], "]"}]}], "}"}], "}"}],
                     ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"lastx", "=", "x"}], ",", 
                    RowBox[{"ff", "[", "x", "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"First", "@", 
                    RowBox[{"Last", "[", "xList", "]"}]}], ",", 
                    RowBox[{"ff", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}], ",", "\[CapitalDelta]x"}], 
                    "}"}]}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"ff", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"ff", "[", 
                    RowBox[{"ff", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"2", 
                    RowBox[{"ff", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], "-", "lastx"}], ",", 
                    RowBox[{
                    RowBox[{"2", 
                    RowBox[{"ff", "[", 
                    RowBox[{"ff", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}], "]"}]}], "-", 
                    RowBox[{"ff", "[", "lastx", "]"}]}]}], "}"}]}], "}"}]}], 
                    "]"}], ",", "3"}], "]"}]}], "]"}]}], "}"}], ",", "fpts"}],
                    "]"}]}], "\[IndentingNewLine]", "]"}]}]}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"xList", "=", 
             RowBox[{"Append", "[", 
              RowBox[{"xList", ",", "XX"}], "]"}]}]}], "\[IndentingNewLine]", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"xList", "=!=", 
             RowBox[{"{", "$X", "}"}]}], ",", 
            RowBox[{
             RowBox[{"f", "=", 
              RowBox[{"Interpolation", "[", 
               RowBox[{"xList", ",", 
                RowBox[{"InterpolationOrder", "\[Rule]", 
                 RowBox[{"(", 
                  RowBox[{"Min", "[", 
                   RowBox[{"$fOrder", ",", 
                    RowBox[{
                    RowBox[{"Length", "[", "xList", "]"}], "-", "1"}]}], 
                   "]"}], ")"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"fbar", "=", 
              RowBox[{"With", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"fpts", "=", 
                  RowBox[{"Module", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"lastx", "=", "0"}], ",", 
                    RowBox[{"\[CapitalDelta]x", "=", "0.05"}]}], "}"}], ",", 
                    RowBox[{"MovingAverage", "[", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Min", "[", 
                    RowBox[{"\[CapitalDelta]x", ",", 
                    RowBox[{"f", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"f", "[", "0", "]"}], "-", 
                    RowBox[{"f", "[", 
                    RowBox[{"Min", "[", 
                    RowBox[{"\[CapitalDelta]x", ",", 
                    RowBox[{"f", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], "]"}], "]"}]}]}], "}"}], 
                    "}"}], ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"lastx", "=", "x"}], ",", 
                    RowBox[{"f", "[", "x", "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "0", ",", 
                    RowBox[{"f", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}], ",", "\[CapitalDelta]x"}], 
                    "}"}]}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"f", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"f", "[", 
                    RowBox[{"f", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"2", 
                    RowBox[{"f", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], "-", "lastx"}], ",", 
                    RowBox[{
                    RowBox[{"2", 
                    RowBox[{"f", "[", 
                    RowBox[{"f", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}], "]"}]}], "-", 
                    RowBox[{"f", "[", "lastx", "]"}]}]}], "}"}]}], "}"}]}], 
                    "]"}], ",", "3"}], "]"}]}], "]"}]}], "}"}], ",", 
                RowBox[{
                 RowBox[{"Interpolation", "[", 
                  RowBox[{"fpts", ",", 
                   RowBox[{"InterpolationOrder", "\[Rule]", 
                    RowBox[{"(", 
                    RowBox[{"Min", "[", 
                    RowBox[{"$fbarOrder", ",", 
                    RowBox[{
                    RowBox[{"Length", "[", "fpts", "]"}], "-", "1"}]}], "]"}],
                     ")"}]}]}], "]"}], ";", "f"}]}], "]"}]}]}]}], 
           "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"XX", "=", 
          RowBox[{"Last", "[", "xList", "]"}]}]}], "]"}]}]}], 
     "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{"MAIN", " ", "DISPLAY"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Pane", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Column", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Show", "[", 
           RowBox[{"(*", " ", 
            RowBox[{"TOP", ":", " ", 
             RowBox[{
              RowBox[{"user", "'"}], "s", " ", "function"}]}], " ", "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Graphics", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Lighter", "[", "Blue", "]"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Tuples", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "#", "}"}], ",", "$yRange"}], "}"}], "]"}], 
                   "&"}], "/@", 
                  RowBox[{"(", 
                   RowBox[{"level", "/.", "$gateXs"}], ")"}]}], "]"}], ",", 
                "Red", ",", 
                RowBox[{"Line", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Tuples", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "#", "}"}], ",", "$yRange"}], "}"}], "]"}], 
                   "&"}], "/@", "$xRange"}], "]"}], ",", 
                RowBox[{"Text", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<S t a r t\>\"", ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], 
                    ",", "12"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    "$xRange", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", 
                    RowBox[{"-", "1.6"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "1"}], "}"}]}], "]"}], ",", 
                RowBox[{"Text", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<F i n i s h\>\"", ",", 
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], 
                    ",", "12"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    "$xRange", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "1.6"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "1"}], "}"}]}], "]"}], ",", 
                RowBox[{"Darker", "[", "Blue", "]"}], ",", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"xList", "=!=", 
                   RowBox[{"{", "$X", "}"}]}], ",", 
                  RowBox[{"Line", "[", "xList", "]"}], ",", 
                  RowBox[{"Point", "[", "xList", "]"}]}], "]"}], ",", "Red", 
                ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{"XX", ",", "X"}], "}"}], "]"}], ",", 
                RowBox[{"EdgeForm", "[", "Red", "]"}], ",", "White", ",", 
                RowBox[{"Disk", "[", 
                 RowBox[{"XX", ",", "0.1"}], "]"}], ",", "Black", ",", 
                RowBox[{"Point", "[", "XX", "]"}]}], "}"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"$xRange", ",", "$yRange"}], "}"}]}], ",", 
              RowBox[{"PlotRangePadding", "\[Rule]", "0.5"}], ",", 
              RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
              RowBox[{"Axes", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"True", ",", "False"}], "}"}]}], ",", 
              RowBox[{"Frame", "\[Rule]", "True"}], ",", 
              RowBox[{"FrameTicks", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"t", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "t", "]"}], ",", "t", ",", 
                    "\"\<\>\""}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"t", ",", 
                    RowBox[{
                    RowBox[{"-", "12"}], "/", "10"}], ",", 
                    RowBox[{"12", "/", "10"}], ",", 
                    RowBox[{"2", "/", "10"}]}], "}"}]}], "]"}], ",", "None"}],
                   "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"Automatic", ",", "Automatic"}], "}"}]}], "}"}]}]}],
              "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Graphics", "[", 
             RowBox[{"If", "[", 
              RowBox[{"gameover", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Opacity", "[", "0.6", "]"}], ",", 
                 RowBox[{"Text", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Game Over\>\"", ",", "64"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"\[Pi]", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], "]"}]}], "}"}], ",", 
               RowBox[{"{", "}"}]}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"ImageSize", "\[Rule]", "$imageSize"}], ",", 
            RowBox[{"PlotRangePadding", "\[Rule]", "$plPadding"}]}], 
           "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Show", "[", 
           RowBox[{"(*", " ", 
            RowBox[{"BOTTOM", ":", " ", 
             RowBox[{"objective", " ", "graph"}]}], " ", "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"xList", "=!=", 
               RowBox[{"{", "$X", "}"}]}], ",", "\[IndentingNewLine]", 
              RowBox[{"Switch", "[", 
               RowBox[{
               "game", ",", "\[IndentingNewLine]", "\"\<derivative\>\"", ",", 
                
                RowBox[{
                 RowBox[{"objfn", "=", 
                  RowBox[{"fbar", "'"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"With", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"fpts", "=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"lastx", "=", "0"}], ",", 
                    RowBox[{"\[CapitalDelta]x", "=", "0.05"}]}], "}"}], ",", 
                    RowBox[{"MovingAverage", "[", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Min", "[", 
                    RowBox[{"\[CapitalDelta]x", ",", 
                    RowBox[{"objfn", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ",", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"objfn", "[", "0", "]"}], "-", 
                    RowBox[{"objfn", "[", 
                    RowBox[{"Min", "[", 
                    RowBox[{"\[CapitalDelta]x", ",", 
                    RowBox[{"objfn", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], "]"}], "]"}]}], ")"}]}], 
                    "}"}], "}"}], ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"lastx", "=", "x"}], ",", 
                    RowBox[{"objfn", "[", "x", "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "0", ",", 
                    RowBox[{"objfn", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}], ",", "\[CapitalDelta]x"}], 
                    "}"}]}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"objfn", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"objfn", "[", 
                    RowBox[{"objfn", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"2", 
                    RowBox[{"objfn", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], "-", "lastx"}], ",", 
                    RowBox[{
                    RowBox[{"2", 
                    RowBox[{"objfn", "[", 
                    RowBox[{"objfn", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}], "]"}]}], "-", 
                    RowBox[{"objfn", "[", "lastx", "]"}]}]}], "}"}]}], 
                    "}"}]}], "]"}], ",", "3"}], "]"}]}], "]"}]}], "}"}], ",", 
                   
                   RowBox[{
                    RowBox[{"objfn", "=", 
                    RowBox[{"Interpolation", "[", 
                    RowBox[{"fpts", ",", 
                    RowBox[{"InterpolationOrder", "\[Rule]", 
                    RowBox[{"(", 
                    RowBox[{"Min", "[", 
                    RowBox[{"$fbarOrder", ",", 
                    RowBox[{
                    RowBox[{"Length", "[", "fpts", "]"}], "-", "1"}]}], "]"}],
                     ")"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{
                    RowBox[{"Line", "[", "fpts", "]"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"$xRange", ",", 
                    RowBox[{"2.2", "$yRange"}]}], "}"}]}], ",", 
                    RowBox[{"PlotRangePadding", "\[Rule]", "$plPadding"}]}], 
                    "]"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
                "\"\<integral\>\"", ",", 
                RowBox[{
                 RowBox[{"objfn", "=", 
                  RowBox[{"First", "[", 
                   RowBox[{"A", "/.", 
                    RowBox[{"NDSolve", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"A", "'"}], "[", "x", "]"}], "\[Equal]", 
                    RowBox[{"fbar", "[", "x", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"A", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], 
                    ",", "A", ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "0", ",", 
                    RowBox[{"fbar", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], "}"}]}], "]"}]}], "]"}]}], 
                 ";", 
                 RowBox[{"Plot", "[", 
                  RowBox[{
                   RowBox[{"objfn", "[", "x", "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"x", ",", "0", ",", 
                    RowBox[{"objfn", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], "}"}], ",", 
                   RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"$xRange", ",", 
                    RowBox[{"2.2", "$yRange"}]}], "}"}]}], ",", 
                   RowBox[{"PlotRangePadding", "\[Rule]", "$plPadding"}]}], 
                  "]"}]}], ",", "\[IndentingNewLine]", "\"\<polar\>\"", ",", 
                RowBox[{
                 RowBox[{"objfn", "=", "fbar"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"Line", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], 
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}]}], "}"}], "&"}], "/@", 
                    "xList"}], "]"}], "}"}], ",", 
                   RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{
                    "$yRange", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ",", 
                   RowBox[{"PlotRangePadding", "\[Rule]", "0.2"}]}], "]"}], 
                 ";", "\[IndentingNewLine]", 
                 RowBox[{"ParametricPlot", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"objfn", "[", "x", "]"}], 
                    RowBox[{"Cos", "[", "x", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"objfn", "[", "x", "]"}], 
                    RowBox[{"Sin", "[", "x", "]"}]}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"x", ",", "0", ",", 
                    RowBox[{"objfn", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], "}"}], ",", 
                   RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{
                    "$yRange", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ",", 
                   RowBox[{"PlotRangePadding", "\[Rule]", "0.2"}]}], "]"}]}], 
                ",", "\[IndentingNewLine]", "_", ",", 
                RowBox[{"Graphics", "[", 
                 RowBox[{"Inset", "[", 
                  RowBox[{"Style", "[", 
                   RowBox[{
                    RowBox[{"StringForm", "[", 
                    RowBox[{
                    "\"\<Error: undefined game '``'\>\"", ",", "game"}], 
                    "]"}], ",", "Red", ",", "18"}], "]"}], "]"}], "]"}]}], 
               "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"objfn", "=", 
                RowBox[{"0", "&"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"game", "===", "\"\<polar\>\""}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{
                   RowBox[{"{", "}"}], ",", 
                   RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{
                    "$yRange", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ",", 
                   RowBox[{"PlotRangePadding", "\[Rule]", "0.2"}]}], "]"}], 
                 ",", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{
                   RowBox[{"{", "}"}], ",", 
                   RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"$xRange", ",", 
                    RowBox[{"2.2", "$yRange"}]}], "}"}]}], ",", 
                   RowBox[{"PlotRangePadding", "\[Rule]", "$plPadding"}]}], 
                  "]"}]}], "\[IndentingNewLine]", "]"}]}]}], 
             "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Switch", "[", 
             RowBox[{"game", ",", 
              RowBox[{"(*", " ", "GATES", " ", "*)"}], "\[IndentingNewLine]", 
              
              RowBox[{"\"\<derivative\>\"", "|", "\"\<integral\>\""}], ",", 
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Line", "[", 
                  RowBox[{
                   RowBox[{"Function", "[", 
                    RowBox[{"p", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"p", "+", "#"}], "&"}], "/@", 
                    RowBox[{
                    RowBox[{"Tuples", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "1"}], "}"}], " ", "#"}], "&"}], 
                    ")"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{"game", "/.", 
                    RowBox[{"(", 
                    RowBox[{
                    "level", "/.", "\[InvisibleSpace]", "$gateTolerances"}], 
                    ")"}]}], ")"}]}], "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2", ",", "4", ",", "3", ",", "1"}], 
                    "}"}], "\[RightDoubleBracket]"}]}]}], "]"}], "/@", 
                   RowBox[{"Gates", "[", 
                    RowBox[{"seed", ",", "game", ",", "level"}], "]"}]}], 
                  "]"}], ",", 
                 RowBox[{"Lighter", "[", "Blue", "]"}], ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"Flatten", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"game", "/.", 
                    RowBox[{"(", 
                    RowBox[{
                    "level", "/.", "\[InvisibleSpace]", "$gateTolerances"}], 
                    ")"}]}], ")"}], "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"game", "/.", 
                    RowBox[{"(", 
                    RowBox[{
                    "level", "/.", "\[InvisibleSpace]", "$gateTolerances"}], 
                    ")"}]}], ")"}], "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "+", 
                    RowBox[{"(", 
                    RowBox[{"game", "/.", "$gateWingLength"}], ")"}]}]}], 
                    "}"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"game", "/.", 
                    RowBox[{"(", 
                    RowBox[{
                    "level", "/.", "\[InvisibleSpace]", "$gateTolerances"}], 
                    ")"}]}], ")"}], "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"game", "/.", 
                    RowBox[{"(", 
                    RowBox[{
                    "level", "/.", "\[InvisibleSpace]", "$gateTolerances"}], 
                    ")"}]}], ")"}], "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{"game", "/.", "$gateWingLength"}], ")"}]}]}], 
                    "}"}]}], "}"}]}], "}"}], "&"}], "/@", 
                    RowBox[{"Gates", "[", 
                    RowBox[{"seed", ",", "game", ",", "level"}], "]"}]}], ",",
                     "1"}], "]"}], "]"}]}], "\[IndentingNewLine]", "}"}], 
               "]"}], ",", "\[IndentingNewLine]", "\"\<polar\>\"", ",", 
              RowBox[{"Graphics", "[", 
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"MapIndexed", "[", 
                  RowBox[{
                   RowBox[{"Function", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"p", ",", "i"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], 
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}]}], "}"}], "&"}], "/@", 
                    
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"p", "+", "#"}], "&"}], "/@", 
                    RowBox[{
                    RowBox[{"Tuples", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "1"}], "}"}], " ", "#"}], "&"}], 
                    ")"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{"game", "/.", 
                    RowBox[{"(", 
                    RowBox[{
                    "level", "/.", "\[InvisibleSpace]", "$gateTolerances"}], 
                    ")"}]}], ")"}]}], "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2", ",", "4", ",", "3", ",", "1"}], 
                    "}"}], "\[RightDoubleBracket]"}]}], ")"}]}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"First", "@", "i"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "+", 
                    RowBox[{"0.", 
                    RowBox[{"Sign", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "]"}], "0.12"}]}], ")"}], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "-", 
                    FractionBox["0.1", 
                    RowBox[{"0.1", "+", 
                    RowBox[{"Abs", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "]"}]}]]}], "]"}], ",", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "-", 
                    FractionBox["0.10", 
                    RowBox[{"0.1", "+", 
                    RowBox[{"Abs", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "]"}]}]]}], "]"}]}], "}"}]}], 
                    "&"}], "@", "p"}]}], "]"}]}], "}"}]}], "]"}], ",", 
                   RowBox[{"Gates", "[", 
                    RowBox[{"seed", ",", "game", ",", "level"}], "]"}]}], 
                  "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Darker", "[", "Red", "]"}], ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], 
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}]}], "}"}], "&"}], "@", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"game", "/.", 
                    RowBox[{"(", 
                    RowBox[{
                    "level", "/.", "\[InvisibleSpace]", "$gateTolerances"}], 
                    ")"}]}], ")"}], "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}]}], "}"}]}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "<", "0"}], ",", "0", ",", 
                    "1.1"}], "]"}], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}], "}"}]}]}], "}"}], 
                    "&"}], "/@", 
                   RowBox[{"Gates", "[", 
                    RowBox[{"seed", ",", "game", ",", "level"}], "]"}]}], 
                  "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Lighter", "[", "Blue", "]"}], ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], 
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}]}], "}"}], "&"}], "@", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"game", "/.", 
                    RowBox[{"(", 
                    RowBox[{
                    "level", "/.", "\[InvisibleSpace]", "$gateTolerances"}], 
                    ")"}]}], ")"}], "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}]}], "}"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], ">", "0"}], ",", "0", ",", 
                    RowBox[{"-", "1.1"}]}], "]"}], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}], "}"}]}]}], "}"}], 
                    "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "<", "0"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Dashing", "[", "0.01", "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"1.1", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}], "}"}]}]}], "}"}], 
                    "]"}]}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}]}], "}"}], "&"}], "/@", 
                  RowBox[{"Gates", "[", 
                   RowBox[{"seed", ",", "game", ",", "level"}], "]"}]}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Darker", "[", 
                  RowBox[{"Green", ",", 
                   RowBox[{"1", "/", "2"}]}], "]"}], ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"Flatten", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"game", "/.", 
                    RowBox[{"(", 
                    RowBox[{
                    "level", "/.", "\[InvisibleSpace]", "$gateTolerances"}], 
                    ")"}]}], ")"}], "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], ")"}], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}], "}"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"game", "/.", 
                    RowBox[{"(", 
                    RowBox[{
                    "level", "/.", "\[InvisibleSpace]", "$gateTolerances"}], 
                    ")"}]}], ")"}], "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "+", 
                    RowBox[{"(", 
                    RowBox[{"game", "/.", "$gateWingLength"}], ")"}]}], ")"}], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}], "}"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"game", "/.", 
                    RowBox[{"(", 
                    RowBox[{
                    "level", "/.", "\[InvisibleSpace]", "$gateTolerances"}], 
                    ")"}]}], ")"}], "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], ")"}], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}], "}"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"game", "/.", 
                    RowBox[{"(", 
                    RowBox[{
                    "level", "/.", "\[InvisibleSpace]", "$gateTolerances"}], 
                    ")"}]}], ")"}], "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{"game", "/.", "$gateWingLength"}], ")"}]}], ")"}], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}], "}"}]}]}], "}"}]}], 
                    "}"}], "&"}], "/@", 
                    RowBox[{"Gates", "[", 
                    RowBox[{"seed", ",", "game", ",", "level"}], "]"}]}], ",",
                     "1"}], "]"}], "]"}]}], "}"}], "]"}]}], 
             "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"xList", "=!=", 
               RowBox[{"{", "$X", "}"}]}], ",", 
              RowBox[{"(*", " ", 
               RowBox[{"SCORE", " ", "the", " ", "gates"}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"Module", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"tol", "=", 
                  RowBox[{"game", "/.", 
                   RowBox[{"(", 
                    RowBox[{
                    "level", "/.", "\[InvisibleSpace]", "$gateTolerances"}], 
                    ")"}]}]}], "}"}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Function", "[", 
                   RowBox[{"p", ",", 
                    RowBox[{"currentscores", "=", 
                    RowBox[{"Append", "[", 
                    RowBox[{"currentscores", ",", 
                    RowBox[{"{", 
                    RowBox[{"p", ",", 
                    RowBox[{"Score", "[", 
                    RowBox[{"objfn", ",", "p", ",", "tol", ",", 
                    RowBox[{"game", "/.", "$gateWingLength"}]}], "]"}]}], 
                    "}"}]}], "]"}]}]}], "]"}], "/@", 
                  RowBox[{"Select", "[", 
                   RowBox[{
                    RowBox[{"Gates", "[", 
                    RowBox[{"seed", ",", "game", ",", "level"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"currentscores", "===", 
                    RowBox[{"{", "}"}]}], ",", "0", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Last", "[", "currentscores", "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "+", 
                    RowBox[{"0.5", "$min\[CapitalDelta]s"}], "+", 
                    RowBox[{
                    "tol", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "+", "0.001"}]}], "]"}], "<", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "+", 
                    RowBox[{"0.5", "$min\[CapitalDelta]s"}], "+", 
                    RowBox[{
                    "tol", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "<", 
                    RowBox[{"fbar", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], "&"}]}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"total", "=", 
                  RowBox[{"Total", "[", 
                   RowBox[{"Last", "/@", "currentscores"}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"!", "gameover"}], "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Last", "[", "xList", "]"}], 
                    "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                    "\[GreaterEqual]", 
                    RowBox[{
                    RowBox[{
                    "$xRange", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "-", "0.05"}]}]}], ",", 
                   RowBox[{"gameover", "=", "True"}]}], "]"}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Switch", "[", 
                  RowBox[{"game", ",", "\[IndentingNewLine]", 
                   RowBox[{"\"\<derivative\>\"", "|", "\"\<integral\>\""}], 
                   ",", "\[IndentingNewLine]", 
                   RowBox[{"Graphics", "[", 
                    RowBox[{
                    RowBox[{"Function", "[", 
                    RowBox[{"ptscore", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{
                    "ptscore", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], ",", "18"}], "]"}], ",", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"ptscore", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}], "<", 
                    "0"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "ptscore", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"0.2", "+", 
                    RowBox[{
                    "tol", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}]}], "}"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "1."}]}], "}"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "ptscore", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"0.2", "+", 
                    RowBox[{
                    "tol", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}]}], "}"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1.1"}], "}"}]}], "}"}]}], "]"}]}]}], 
                    "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "ptscore", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "\[Equal]", "50"}], ",", 
                    RowBox[{"Darker", "[", "Green", "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "ptscore", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "\[Equal]", "0"}], ",", "Red", 
                    ",", "Yellow"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Polygon", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "ptscore", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "+", "#"}], "&"}], "/@", 
                    RowBox[{
                    RowBox[{"Tuples", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "1"}], "}"}], " ", "#"}], "&"}], 
                    ")"}], "/@", "tol"}], "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2", ",", "4", ",", "3"}], "}"}], 
                    "\[RightDoubleBracket]"}]}], "]"}]}], "}"}]}], "]"}], "/@",
                     "currentscores"}], "\[IndentingNewLine]", "]"}], ",", 
                   "\[IndentingNewLine]", "\"\<polar\>\"", ",", 
                   RowBox[{"Graphics", "[", 
                    RowBox[{
                    RowBox[{"Function", "[", 
                    RowBox[{"ptscore", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{
                    "ptscore", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], ",", "18"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"ptscore", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}], "<", 
                    "0"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], 
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}]}], "}"}], "&"}], "@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "ptscore", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"0.1", "+", 
                    RowBox[{
                    "tol", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}]}], "}"}]}], ")"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], 
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}]}], "}"}], "&"}], "@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "ptscore", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"0.1", "+", 
                    RowBox[{
                    "tol", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}]}], "}"}]}], ")"}]}]}], 
                    "]"}]}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "ptscore", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "\[Equal]", "50"}], ",", 
                    RowBox[{"Darker", "[", "Green", "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "ptscore", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "\[Equal]", "0"}], ",", "Red", 
                    ",", "Yellow"}], "]"}]}], "]"}], ",", 
                    RowBox[{"Polygon", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], 
                    RowBox[{"Cos", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], 
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}]}], "}"}], "&"}], "/@", 
                    
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "ptscore", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "+", "#"}], "&"}], "/@", 
                    RowBox[{
                    RowBox[{"Tuples", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "1"}], "}"}], " ", "#"}], "&"}], 
                    ")"}], "/@", "tol"}], "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2", ",", "4", ",", "3"}], "}"}], 
                    "\[RightDoubleBracket]"}]}], ")"}]}], "]"}]}], "}"}]}], 
                    "]"}], "/@", "currentscores"}], "]"}]}], 
                  "\[IndentingNewLine]", "]"}]}]}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Graphics", "[", 
               RowBox[{"{", "}"}], "]"}]}], "\[IndentingNewLine]", "]"}], ",",
             "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{"gameover", ",", 
              RowBox[{"(*", " ", 
               RowBox[{"gameover", " ", "\[Implies]", " ", 
                RowBox[{"show", " ", "final", " ", "total"}]}], " ", "*)"}], 
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
                 RowBox[{"RGBColor", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"totalHue", "+=", 
                    RowBox[{"RandomReal", "[", 
                    RowBox[{"{", 
                    RowBox[{"0.05", ",", "0.5"}], "}"}], "]"}]}], ";", 
                    SuperscriptBox[
                    RowBox[{"Sin", "[", 
                    RowBox[{"2", "totalHue"}], "]"}], "2"]}], ",", 
                   SuperscriptBox[
                    RowBox[{"Sin", "[", 
                    RowBox[{"E", " ", "totalHue"}], "]"}], "2"], ",", 
                   SuperscriptBox[
                    RowBox[{"Sin", "[", 
                    RowBox[{
                    SqrtBox["3"], "totalHue"}], "]"}], "2"]}], "]"}], ",", 
                 RowBox[{"Text", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{"total", ",", "175"}], "]"}], ",", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"game", "===", "\"\<polar\>\""}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\[Pi]", "+", 
                    RowBox[{"$length", "/", "2"}]}], ",", "0"}], "}"}]}], 
                    "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\[Pi]", "+", 
                    RowBox[{"$length", "/", "2"}]}], ",", "2.5"}], "}"}]}], 
                  "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"Graphics", "[", 
               RowBox[{"{", "}"}], "]"}]}], "\[IndentingNewLine]", "]"}], ",",
             "\[IndentingNewLine]", 
            RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
            RowBox[{"Frame", "\[Rule]", "True"}], ",", 
            RowBox[{"Axes", "\[Rule]", "True"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"game", "===", "\"\<polar\>\""}], ",", 
               RowBox[{"0.75", "$imageSize"}], ",", "$imageSize"}], "]"}]}]}],
            "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"400", ",", "490"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"X", ",", 
       RowBox[{"$X", "+", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"2", 
           RowBox[{"$length", "/", "3"}]}], ",", 
          RowBox[{"$length", "/", "4"}]}], "}"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
       "$xRange", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ",", 
       RowBox[{
        RowBox[{
        "$yRange", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "-", 
        RowBox[{"$length", "/", "2"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
        "$xRange", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
        "+", "$length"}], ",", 
       RowBox[{
        RowBox[{
        "$yRange", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
        "+", 
        RowBox[{"$length", "/", "2"}]}]}], "}"}], ",", "Locator"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"XX", ",", "$X"}], "}"}], ",", "None"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"lastX", ",", "$X"}], "}"}], ",", "None"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xList", ",", 
       RowBox[{"{", "$X", "}"}]}], "}"}], ",", "None"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"f", ",", "None"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"fbar", ",", "None"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"objfn", ",", "None"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"resetgame", ",", "False"}], "}"}], ",", "None"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"seed", ",", "0", ",", "\"\<new game\>\""}], "}"}], ",", "0", 
     ",", "10000000", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"lastseed", ",", "0"}], "}"}], ",", "None"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Button", "[", 
    RowBox[{"\"\<new game\>\"", ",", 
     RowBox[{"seed", "=", 
      RowBox[{"RandomInteger", "[", 
       RowBox[{"{", 
        RowBox[{"0", ",", "10000000"}], "}"}], "]"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Button", "[", 
    RowBox[{"\"\<reset game\>\"", ",", 
     RowBox[{
      RowBox[{"X", "=", 
       RowBox[{"$X", "+", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"2", 
           RowBox[{"$length", "/", "3"}]}], ",", 
          RowBox[{"$length", "/", "4"}]}], "}"}]}]}], ";", 
      RowBox[{"resetgame", "=", "True"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"game", ",", "\"\<derivative\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "\[Rule]", 
        RowBox[{"Pane", "[", 
         RowBox[{"#", ",", 
          RowBox[{"ImageSize", "\[Rule]", "70"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Center"}], ",", 
          RowBox[{"BaseStyle", "\[Rule]", 
           RowBox[{"{", "Medium", "}"}]}]}], "]"}]}], "&"}], "/@", 
      RowBox[{"{", 
       RowBox[{
       "\"\<derivative\>\"", ",", "\"\<integral\>\"", ",", "\"\<polar\>\""}], 
       "}"}]}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Vertical\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"lastgame", ",", "\"\<derivative\>\""}], "}"}], ",", "None"}], 
    "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"level", ",", "\"\<student\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "\[Rule]", 
        RowBox[{"Pane", "[", 
         RowBox[{"#", ",", 
          RowBox[{"ImageSize", "\[Rule]", "70"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Center"}], ",", 
          RowBox[{"BaseStyle", "\[Rule]", 
           RowBox[{"{", "Medium", "}"}]}]}], "]"}]}], "&"}], "/@", 
      RowBox[{"{", 
       RowBox[{
       "\"\<student\>\"", ",", "\"\<math major\>\"", ",", "\"\<prof\>\""}], 
       "}"}]}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Vertical\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"lastlevel", ",", "\"\<student\>\""}], "}"}], ",", "None"}], 
    "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"currentscores", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", "None"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"total", ",", "0"}], "}"}], ",", 
     RowBox[{
      RowBox[{"Framed", "@", 
       RowBox[{"Pane", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", "total", "]"}], ",", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", "18", "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"40", ",", "22"}], "}"}]}], ",", 
         RowBox[{"Alignment", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Right", ",", "Center"}], "}"}]}]}], "]"}]}], "&"}]}], 
    "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"gameover", ",", "False"}], "}"}], ",", "None"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"totalHue", ",", "0"}], "}"}], ",", "None"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"X", ",", "game", ",", "level", ",", "seed"}], "}"}]}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "9", ",", "11", ",", "13"}], "}"}]}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.433940070260077*^9, 3.433940218129361*^9}, {
   3.433940253309518*^9, 3.4339405765523977`*^9}, {3.433968154491066*^9, 
   3.433968266329258*^9}, {3.433968300037116*^9, 3.433968345358782*^9}, {
   3.43396838083479*^9, 3.4339684300976467`*^9}, {3.4339685735172586`*^9, 
   3.433968580293929*^9}, {3.433968672002438*^9, 3.433968743108778*^9}, 
   3.433968851541275*^9, {3.4339688995564137`*^9, 3.4339689009312353`*^9}, {
   3.433969445950521*^9, 3.4339694609221773`*^9}, {3.4339707756182404`*^9, 
   3.433970831845337*^9}, {3.4339709407638617`*^9, 3.4339709411475687`*^9}, {
   3.4340965746881027`*^9, 3.434096676285359*^9}, {3.434096945707404*^9, 
   3.434097000982036*^9}, {3.434097107849639*^9, 3.434097148138074*^9}, {
   3.434097178634177*^9, 3.434097180602059*^9}, {3.434097429796268*^9, 
   3.4340974972506437`*^9}, {3.434097750033535*^9, 3.434097823215459*^9}, {
   3.434098839602552*^9, 3.434098888508358*^9}, {3.434098926364593*^9, 
   3.434098960452783*^9}, {3.4340989965907793`*^9, 3.434099115400385*^9}, {
   3.43409917559167*^9, 3.434099179621063*^9}, {3.434099415505941*^9, 
   3.434099416134905*^9}, {3.434099606956756*^9, 3.434099616394248*^9}, {
   3.434101262023757*^9, 3.434101262921386*^9}, {3.4341836815701*^9, 
   3.434183781298411*^9}, {3.4341838493275948`*^9, 3.434183876189139*^9}, {
   3.4341839295830183`*^9, 3.4341839721168003`*^9}, {3.434442145608755*^9, 
   3.434442223922701*^9}, 3.434442564797475*^9, {3.434880994714573*^9, 
   3.434881092377389*^9}, {3.434881137406145*^9, 3.434881168120916*^9}, {
   3.434881205070744*^9, 3.434881261984764*^9}, {3.4348814265519457`*^9, 
   3.434881464247107*^9}, {3.434881552613909*^9, 3.4348816419346123`*^9}, {
   3.434882416333436*^9, 3.4348824271799793`*^9}, {3.434882575491692*^9, 
   3.4348825804578333`*^9}, {3.434882752354004*^9, 3.434882753334489*^9}, {
   3.434882867645529*^9, 3.434882872707686*^9}, {3.434883009469418*^9, 
   3.434883037260016*^9}, {3.434883212699275*^9, 3.4348832489834557`*^9}, {
   3.434883285096116*^9, 3.434883288737541*^9}, 3.4348833699665203`*^9, 
   3.4348834249808064`*^9, {3.434883506367016*^9, 3.434883513905489*^9}, 
   3.434883593967972*^9, {3.434883735789669*^9, 3.434883736978804*^9}, {
   3.434883971554137*^9, 3.4348839927930927`*^9}, {3.434884260532878*^9, 
   3.434884273093547*^9}, {3.434884304926408*^9, 3.4348843092269897`*^9}, {
   3.4348843396203403`*^9, 3.434884344278823*^9}, {3.434884398453741*^9, 
   3.434884402968287*^9}, 3.434884435703279*^9, {3.43488453245728*^9, 
   3.4348845370581083`*^9}, {3.434884637787117*^9, 3.434884674038603*^9}, 
   3.434884711210237*^9, {3.435007724908098*^9, 3.435007744211694*^9}, {
   3.435007798252029*^9, 3.4350078609242067`*^9}, {3.4350079383662*^9, 
   3.43500794117384*^9}, {3.435007985001472*^9, 3.435007990728998*^9}, {
   3.435008949577612*^9, 3.435009001720757*^9}, {3.435009032703874*^9, 
   3.435009084575572*^9}, {3.439344119293727*^9, 3.439344124193399*^9}, {
   3.439344209575588*^9, 3.439344210501945*^9}, {3.439344257960894*^9, 
   3.439344258260888*^9}, {3.439344297597434*^9, 3.439344341870495*^9}, 
   3.4393443761007643`*^9, {3.439344442875297*^9, 3.43934446807001*^9}, 
   3.4393445724346247`*^9, {3.439344943381297*^9, 3.43934494381114*^9}, {
   3.439345128894004*^9, 3.439345159368306*^9}, {3.439345264104149*^9, 
   3.439345267367565*^9}, {3.4393454598533087`*^9, 3.439345549285674*^9}, 
   3.439345647207314*^9, {3.4393458825468893`*^9, 3.439345904036467*^9}, {
   3.439345946995881*^9, 3.439345947322489*^9}, 3.439346068246499*^9, {
   3.439346119767831*^9, 3.439346125911831*^9}, {3.439346255936021*^9, 
   3.439346256129458*^9}, {3.439346350390409*^9, 3.439346357031908*^9}, 
   3.439346676922261*^9, 3.4393469391713*^9, {3.4393470089589577`*^9, 
   3.439347016545772*^9}, {3.439347346740872*^9, 3.439347347535178*^9}, {
   3.439378510786029*^9, 3.439378511296278*^9}, {3.439380794700405*^9, 
   3.439380924024335*^9}, {3.439380981592901*^9, 3.4393809817829247`*^9}, {
   3.4393810273551617`*^9, 3.4393810330950108`*^9}, {3.439382671478486*^9, 
   3.439382699486038*^9}, {3.439382844448986*^9, 3.4393828530685053`*^9}, {
   3.439382980248555*^9, 3.439383022938321*^9}, {3.43938305578334*^9, 
   3.4393830904404583`*^9}, {3.4393848388827353`*^9, 3.439384880054846*^9}, {
   3.439385033837513*^9, 3.4393850500963163`*^9}, 3.439385117222991*^9, {
   3.439385214979662*^9, 3.439385215963955*^9}, {3.439385334212017*^9, 
   3.439385361236273*^9}, {3.4393869590070047`*^9, 3.439387222911537*^9}, {
   3.439387396985054*^9, 3.439387402329075*^9}, {3.4393874525071087`*^9, 
   3.439387463337715*^9}, {3.439387523956596*^9, 3.4393875285255404`*^9}, {
   3.4393875923857718`*^9, 3.43938769266952*^9}, {3.43938773387545*^9, 
   3.4393877951594067`*^9}, {3.4393878448187*^9, 3.439388061503961*^9}, 
   3.439388184404179*^9, {3.439388294249629*^9, 3.439388345770104*^9}, {
   3.439388512393066*^9, 3.439388571620585*^9}, {3.439388635997101*^9, 
   3.439388645676568*^9}, 3.4393887348318863`*^9, {3.439388987731946*^9, 
   3.439389058979459*^9}, 3.439389120025*^9, {3.4393893096551657`*^9, 
   3.4393893203692493`*^9}, {3.439389371925744*^9, 3.439389428377191*^9}, {
   3.439390108729229*^9, 3.439390149191984*^9}, {3.439390187760345*^9, 
   3.439390193657886*^9}, {3.439390232655676*^9, 3.4393903226129208`*^9}, {
   3.4393904011086893`*^9, 3.439390448425057*^9}, {3.439390510903199*^9, 
   3.4393906481492453`*^9}, {3.439390681496189*^9, 3.439390786121257*^9}, {
   3.439390820821591*^9, 3.4393908591074877`*^9}, {3.439390904379676*^9, 
   3.439390950566307*^9}, {3.439390981697942*^9, 3.439391247334289*^9}, {
   3.439391298723461*^9, 3.439391303185893*^9}, {3.439391395270031*^9, 
   3.439391397686384*^9}, {3.439391496212776*^9, 3.439391506200828*^9}, {
   3.43939154838033*^9, 3.439391566932041*^9}, 3.4393916166730213`*^9, {
   3.439391664401001*^9, 3.4393917142488403`*^9}, {3.439392014382415*^9, 
   3.439392027189837*^9}, {3.439392072542787*^9, 3.439392134494499*^9}, 
   3.4394044843695*^9, {3.4394047001412697`*^9, 3.4394047359690638`*^9}, {
   3.439404775044087*^9, 3.439404815407056*^9}, 3.439404853248808*^9, {
   3.43940526837781*^9, 3.439405287465189*^9}, {3.4394149553961973`*^9, 
   3.4394151391877337`*^9}, 3.4394153666911182`*^9, {3.439415591318111*^9, 
   3.439415593207487*^9}, {3.4394218654680567`*^9, 3.439421870170576*^9}, {
   3.439424609412222*^9, 3.439424795520479*^9}, {3.439424869214817*^9, 
   3.43942492156846*^9}, {3.439425238293848*^9, 3.4394252387569723`*^9}, {
   3.439425416761364*^9, 3.43942544848767*^9}, {3.439425542011561*^9, 
   3.439425619868626*^9}, {3.439425783694031*^9, 3.4394258298548517`*^9}, {
   3.439425925238505*^9, 3.4394259592744637`*^9}, {3.439426176742404*^9, 
   3.439426216927265*^9}, 3.439426271118753*^9, {3.4394264867540283`*^9, 
   3.4394265078071527`*^9}, 3.439426604156187*^9, 3.439426969279375*^9, {
   3.439427072153472*^9, 3.43942711770265*^9}, {3.439427165433344*^9, 
   3.439427269622175*^9}, {3.439427372905437*^9, 3.4394274467587423`*^9}, {
   3.4394276515897713`*^9, 3.439427652790408*^9}, {3.439428228704307*^9, 
   3.439428237551276*^9}, {3.439428348688161*^9, 3.4394283490783863`*^9}, {
   3.439428404059498*^9, 3.4394285034903297`*^9}, {3.4394285699285*^9, 
   3.439428574861075*^9}, {3.439429188974468*^9, 3.439429191247601*^9}, {
   3.4394293530338917`*^9, 3.439429366226132*^9}, {3.439429423968875*^9, 
   3.439429445010569*^9}, {3.4394294838676357`*^9, 3.439429627918494*^9}, {
   3.439429671967392*^9, 3.439429682798821*^9}, {3.439430156322191*^9, 
   3.439430196565599*^9}, {3.439430332723568*^9, 3.439430338215427*^9}, {
   3.439430388098868*^9, 3.4394304116057243`*^9}, {3.439430581338504*^9, 
   3.439430595378893*^9}, {3.4394308094337063`*^9, 3.439430811739196*^9}, {
   3.439430876647088*^9, 3.439431182498465*^9}, {3.439431272529251*^9, 
   3.439431306783499*^9}, {3.4394313601835423`*^9, 3.439431376835616*^9}, {
   3.439431444275223*^9, 3.439431603673985*^9}, {3.439431679639463*^9, 
   3.439431679777317*^9}, {3.439432020326359*^9, 3.439432065094796*^9}, {
   3.439432119209915*^9, 3.4394321440249434`*^9}, {3.439432193803226*^9, 
   3.439432273539798*^9}, {3.439432328193069*^9, 3.43943233154952*^9}, {
   3.439432981754196*^9, 3.439432987382813*^9}, 3.439433020444372*^9, {
   3.439433068736199*^9, 3.439433096145014*^9}, {3.439433185095002*^9, 
   3.439433286058384*^9}, {3.439433324309371*^9, 3.439433348446567*^9}, {
   3.4394333868697166`*^9, 3.439433401209133*^9}, {3.4394335190013323`*^9, 
   3.439433519110108*^9}, {3.439433626529365*^9, 3.439433629744706*^9}, {
   3.439433712864559*^9, 3.439433728115622*^9}, {3.4394337761169357`*^9, 
   3.439433778236454*^9}, {3.4394338112240887`*^9, 3.439433820774523*^9}, 
   3.4394639157818327`*^9, {3.439463976542062*^9, 3.439464011329399*^9}, {
   3.4394640887833776`*^9, 3.4394640890132093`*^9}, {3.439464184176647*^9, 
   3.439464201637298*^9}, {3.439464975023705*^9, 3.439464986236517*^9}, {
   3.439465603693552*^9, 3.4394656264548903`*^9}, {3.4394672623725023`*^9, 
   3.4394673048307457`*^9}, {3.439467780843711*^9, 3.439467813038468*^9}, {
   3.439467848932002*^9, 3.4394678728807697`*^9}, {3.439467913484726*^9, 
   3.4394680344755163`*^9}, {3.439468093141561*^9, 3.439468094706728*^9}, {
   3.439468896710937*^9, 3.439468929583441*^9}, {3.439469242578793*^9, 
   3.4394692690146914`*^9}, {3.439469325712275*^9, 3.439469326291985*^9}, {
   3.439469659013928*^9, 3.439469662338565*^9}, {3.4394696962671413`*^9, 
   3.4394697260847692`*^9}, {3.439469809953123*^9, 3.439469831570113*^9}, {
   3.4394701532919807`*^9, 3.439470197741781*^9}, {3.4394702435733547`*^9, 
   3.439470328985983*^9}, {3.439470364011209*^9, 3.439470370990069*^9}, {
   3.439470439106824*^9, 3.439470468700588*^9}, 3.439470533030058*^9, 
   3.4394706133935127`*^9, {3.439470644547948*^9, 3.439470651426766*^9}, {
   3.43947069307122*^9, 3.439470745546342*^9}, {3.4394708112878447`*^9, 
   3.439470814814829*^9}, {3.4394710590821123`*^9, 3.439471098268815*^9}, {
   3.439471153920485*^9, 3.439471154360836*^9}, {3.439471779142809*^9, 
   3.439471792181077*^9}, 3.4394719468614483`*^9, {3.439472395067327*^9, 
   3.439472402423069*^9}, {3.439472753661829*^9, 3.439472765965816*^9}, {
   3.4394728694629793`*^9, 3.439472872650131*^9}, {3.439473556566656*^9, 
   3.439473574648118*^9}, {3.439474123261979*^9, 3.439474142663271*^9}, 
   3.4394742148212852`*^9, 3.439474246363852*^9, {3.439474296351706*^9, 
   3.439474327060503*^9}, {3.439475311606297*^9, 3.43947531685037*^9}, {
   3.439475553051264*^9, 3.439475608217444*^9}, {3.439475916360445*^9, 
   3.4394759164549103`*^9}, {3.4394765244493217`*^9, 3.439476525814755*^9}, {
   3.439476900628153*^9, 3.439476961306498*^9}, {3.43947700356254*^9, 
   3.439477104908474*^9}, {3.439477144671225*^9, 3.439477253927796*^9}, {
   3.4394772893011847`*^9, 3.439477342924307*^9}, {3.439477381490942*^9, 
   3.4394773859617643`*^9}, {3.4394774403372602`*^9, 3.439477495998043*^9}, {
   3.43947753110888*^9, 3.4394775993192787`*^9}, {3.439477743969878*^9, 
   3.439477757555439*^9}, {3.439477938858364*^9, 3.4394779517223186`*^9}, {
   3.439478046830668*^9, 3.439478065079795*^9}, {3.439478814831524*^9, 
   3.4394788308073463`*^9}, {3.439478915078143*^9, 3.439478932947227*^9}, {
   3.439478998199519*^9, 3.4394790004170923`*^9}, {3.439479034079712*^9, 
   3.439479045313195*^9}, 3.439479121717373*^9, {3.4394792176643467`*^9, 
   3.439479221004632*^9}, {3.4394792655190773`*^9, 3.439479332358758*^9}, 
   3.4394794079669533`*^9, {3.439479602041779*^9, 3.4394796488093357`*^9}, {
   3.439479898351475*^9, 3.439479972450015*^9}, {3.439480011281322*^9, 
   3.4394800830065107`*^9}, {3.439480123238185*^9, 3.439480164912943*^9}, {
   3.439480195531242*^9, 3.4394802029730873`*^9}, {3.439480268713687*^9, 
   3.439480324741152*^9}, 3.439480461513954*^9, {3.439480525473073*^9, 
   3.439480607179543*^9}, {3.439480689479464*^9, 3.439480690913368*^9}, {
   3.43948082378004*^9, 3.439480825879157*^9}, {3.439480874743836*^9, 
   3.4394808759136267`*^9}, 3.4394809624065313`*^9, {3.4394810039133387`*^9, 
   3.439481006203701*^9}, {3.439481052042746*^9, 3.439481064556508*^9}, 
   3.439481195300707*^9, {3.4394812901845922`*^9, 3.43948129326891*^9}, 
   3.4394813589224873`*^9, {3.439481588808695*^9, 3.439481591116325*^9}, 
   3.439481636790156*^9, {3.439497547135878*^9, 3.4394975632728558`*^9}, {
   3.439498314123563*^9, 3.4394983213731947`*^9}, {3.439498492327388*^9, 
   3.4394985191830883`*^9}, 3.439500223350768*^9, 3.439501178581051*^9, {
   3.439501280264119*^9, 3.4395012874934196`*^9}, {3.439501808520351*^9, 
   3.439501865895836*^9}, {3.439501918489387*^9, 3.439501965453081*^9}, {
   3.439502025585208*^9, 3.439502025818576*^9}, {3.439502061632393*^9, 
   3.439502074490547*^9}, {3.439502123745387*^9, 3.439502131833724*^9}, {
   3.439502196472612*^9, 3.439502208818569*^9}, {3.4395022597097273`*^9, 
   3.4395022795609694`*^9}, {3.439502555984303*^9, 3.439502556090043*^9}, {
   3.439502660572626*^9, 3.439502675981371*^9}, {3.439502768257605*^9, 
   3.439502781626903*^9}, {3.439502888630039*^9, 3.439502920978142*^9}, {
   3.439502954292143*^9, 3.4395029913035793`*^9}, {3.4395032337595243`*^9, 
   3.439503245608807*^9}, {3.4395032950357924`*^9, 3.4395033295377398`*^9}, {
   3.439512365631878*^9, 3.439512407859693*^9}, {3.439512479561557*^9, 
   3.4395124804101686`*^9}, {3.439512743464879*^9, 3.439512757371242*^9}, 
   3.4395128196567583`*^9, {3.439513040093693*^9, 3.439513040638291*^9}, 
   3.439513477852791*^9, 3.439513694826215*^9, 3.439517966808268*^9, {
   3.439518002318733*^9, 3.439518330114155*^9}, {3.43951838038698*^9, 
   3.439518389097102*^9}, {3.439518459885353*^9, 3.439518498414543*^9}, {
   3.439518931835163*^9, 3.4395190818678083`*^9}, {3.439519136366437*^9, 
   3.43951914458249*^9}, {3.439519212189345*^9, 3.4395192509599943`*^9}, {
   3.439519378730301*^9, 3.439519446428768*^9}, {3.439519476644874*^9, 
   3.439519491311503*^9}, {3.439519560995287*^9, 3.439519565593316*^9}, {
   3.439519597148303*^9, 3.439519600876543*^9}, {3.439519814031625*^9, 
   3.439519862169897*^9}, {3.4395199354299097`*^9, 3.439519941255011*^9}, {
   3.439520858745041*^9, 3.439520866583625*^9}, {3.439520899764469*^9, 
   3.43952090568333*^9}, {3.439520963590049*^9, 3.439520970966773*^9}, {
   3.4395216034103613`*^9, 3.439521606161203*^9}, {3.439609239198063*^9, 
   3.439609250881782*^9}, {3.439609672438858*^9, 3.439609674720252*^9}, {
   3.4396120455655127`*^9, 3.439612080827183*^9}, {3.439612119514008*^9, 
   3.439612143399968*^9}, {3.4396122042716303`*^9, 3.4396122260923023`*^9}, 
   3.439612416785368*^9, {3.4396124775765247`*^9, 3.439612481080697*^9}, 
   3.439612554216345*^9, {3.4396126867969112`*^9, 3.439612702663148*^9}, {
   3.4396128037802553`*^9, 3.439612815412801*^9}, {3.439612853472413*^9, 
   3.439612991549616*^9}, {3.4396130596280193`*^9, 3.439613062866918*^9}, 
   3.4396131372930183`*^9, 3.439613188011457*^9, 3.43961324465201*^9, {
   3.4396133465594177`*^9, 3.439613348397238*^9}, {3.4396134828510027`*^9, 
   3.4396134948535023`*^9}, {3.439613559127487*^9, 3.439613615071301*^9}, {
   3.439615309995117*^9, 3.439615358851405*^9}, {3.439615395926578*^9, 
   3.439615489254552*^9}, {3.43961555937245*^9, 3.439615560847064*^9}, {
   3.439615835349773*^9, 3.4396158618843937`*^9}, {3.439615918013953*^9, 
   3.439615919579967*^9}, {3.439616042787484*^9, 3.4396160647236423`*^9}, {
   3.439616538046816*^9, 3.439616561311284*^9}, {3.439616593960827*^9, 
   3.439616609923272*^9}, {3.4396167422196093`*^9, 3.43961675221336*^9}, {
   3.439616807058468*^9, 3.43961683471069*^9}, {3.439616885465762*^9, 
   3.439616925368396*^9}, {3.4396430063224*^9, 3.439643104104199*^9}, {
   3.439643231829625*^9, 3.439643268046817*^9}, {3.439658290563231*^9, 
   3.439658342234015*^9}, {3.439658418911539*^9, 3.439658423530492*^9}, 
   3.439661131268897*^9, {3.4396639787309923`*^9, 3.439663981953301*^9}, 
   3.439664080772509*^9, {3.439664318291297*^9, 3.4396643222935*^9}, 
   3.439664369570505*^9, {3.4396652777631063`*^9, 3.4396653402211027`*^9}, {
   3.439665374629325*^9, 3.43966567805195*^9}, {3.439665715719124*^9, 
   3.439665722382552*^9}, {3.439665774489367*^9, 3.439665776221833*^9}, {
   3.439665853223377*^9, 3.4396658816523027`*^9}, {3.439665999026733*^9, 
   3.439665999148181*^9}, {3.439666346330711*^9, 3.4396663549714937`*^9}, {
   3.4396665489089108`*^9, 3.439666550475161*^9}, {3.4396675421658907`*^9, 
   3.4396675459660788`*^9}, {3.439667611104229*^9, 3.43966762672169*^9}, 
   3.43966768760701*^9, {3.439667741094462*^9, 3.439667780688676*^9}, {
   3.4396891067820807`*^9, 3.439689110806823*^9}, {3.439727744523247*^9, 
   3.439727795967367*^9}, {3.4397280850439587`*^9, 3.439728090807425*^9}, 
   3.439728326930581*^9, {3.43972855170303*^9, 3.4397286101445932`*^9}, {
   3.4397286629124203`*^9, 3.439728723532214*^9}, {3.439729410259378*^9, 
   3.439729450673189*^9}, {3.439729638236114*^9, 3.4397297249407597`*^9}, {
   3.439729800400276*^9, 3.439729843686357*^9}, 3.43973121983491*^9, {
   3.439988082639514*^9, 3.4399881729209547`*^9}, {3.439988250952889*^9, 
   3.439988271692115*^9}, {3.439988306094802*^9, 3.4399883513929243`*^9}, {
   3.439988382520529*^9, 3.4399885342293053`*^9}, {3.4399886716021023`*^9, 
   3.439988696588544*^9}, {3.440008017155693*^9, 3.440008056267256*^9}, {
   3.440008142244747*^9, 3.440008172367589*^9}, {3.440008208838807*^9, 
   3.4400082301179657`*^9}, {3.440008490078361*^9, 3.440008548934863*^9}, {
   3.440008579413706*^9, 3.440008611287122*^9}, {3.440008717168357*^9, 
   3.440008739406514*^9}, 3.440008811978451*^9, {3.4400088774762506`*^9, 
   3.440008894823407*^9}, {3.440008927270393*^9, 3.440008993121256*^9}, {
   3.4400094503643436`*^9, 3.4400094533589497`*^9}, {3.440013183180769*^9, 
   3.440013184012274*^9}, {3.440013421231007*^9, 3.4400134268530703`*^9}, {
   3.440014532484439*^9, 3.440014535056217*^9}, {3.440014573215374*^9, 
   3.440014631781645*^9}, {3.4400146645059547`*^9, 3.440014690712352*^9}, {
   3.4418019472504873`*^9, 3.441801969257749*^9}, {3.441802024650831*^9, 
   3.441802062814054*^9}, 3.441802105389573*^9, 3.441802276172256*^9, {
   3.4432726372773533`*^9, 3.4432726992191343`*^9}, 3.443272729380267*^9, {
   3.4432732131272793`*^9, 3.443273217552215*^9}, {3.443273270655792*^9, 
   3.443273276250305*^9}, {3.443284273406396*^9, 3.443284280768368*^9}, {
   3.443284367167974*^9, 3.443284381330055*^9}, {3.443284545740663*^9, 
   3.4432845547988997`*^9}, {3.443284586518834*^9, 3.443284586982053*^9}, {
   3.443428777333043*^9, 3.443428803069737*^9}, {3.4434288511915817`*^9, 
   3.4434288513581038`*^9}, {3.4434290271841087`*^9, 3.44342905024704*^9}, {
   3.443946838712963*^9, 3.443946898640539*^9}, {3.443946943226706*^9, 
   3.4439469723188543`*^9}, {3.44394703298083*^9, 3.443947057046316*^9}, {
   3.4439471151047153`*^9, 3.443947116778417*^9}, {3.444225141795535*^9, 
   3.4442251531663923`*^9}, {3.4442254510764513`*^9, 3.444225460734984*^9}, {
   3.444225546970154*^9, 3.444225550482381*^9}, {3.444226915168264*^9, 
   3.4442269728323183`*^9}, {3.444227127187901*^9, 3.444227127346332*^9}, 
   3.4442272456509247`*^9, 3.444231383646406*^9, {3.444231415207314*^9, 
   3.444231415532557*^9}, {3.445328288972026*^9, 3.445328316611944*^9}, {
   3.445328481245605*^9, 3.4453285837386103`*^9}, {3.4453286162605762`*^9, 
   3.445328642936549*^9}, {3.445328709547*^9, 3.445328874653632*^9}, {
   3.445328906526123*^9, 3.445328949877372*^9}, {3.44532898159729*^9, 
   3.4453289876951237`*^9}, {3.445329058415271*^9, 3.44532906845813*^9}, {
   3.445329112849888*^9, 3.445329186997154*^9}, 3.445329300878128*^9, {
   3.445329336540324*^9, 3.445329405486682*^9}, {3.4453306008892727`*^9, 
   3.4453306041648893`*^9}, {3.445330672827965*^9, 3.44533069179593*^9}, {
   3.445330724166974*^9, 3.445330737416638*^9}, {3.4453307987375393`*^9, 
   3.445330826792972*^9}, {3.445330994222514*^9, 3.445330995575981*^9}, {
   3.445331088745613*^9, 3.445331124201008*^9}, {3.445331262291726*^9, 
   3.4453312779687643`*^9}, {3.445331982297303*^9, 3.445332016675292*^9}, {
   3.44533206291908*^9, 3.445332063062736*^9}, {3.445332126088348*^9, 
   3.445332127688423*^9}, {3.445332456669531*^9, 3.4453324957790813`*^9}, {
   3.445332544170074*^9, 3.445332545392241*^9}, {3.445332606974741*^9, 
   3.445332625352456*^9}, {3.445332661934154*^9, 3.445332753028242*^9}, {
   3.445332786029449*^9, 3.445332797055387*^9}, {3.4453328511905117`*^9, 
   3.4453328531913843`*^9}, {3.44533289031496*^9, 3.445332892522051*^9}, {
   3.4453332728468637`*^9, 3.445333280114398*^9}, {3.445333356209969*^9, 
   3.4453333773273277`*^9}, {3.445333469884618*^9, 3.4453334983320208`*^9}, {
   3.4453335287664747`*^9, 3.445333654482432*^9}, {3.4453338357472277`*^9, 
   3.445333862763557*^9}, {3.445334476485445*^9, 3.445334484056096*^9}, {
   3.445334601524517*^9, 3.4453346022259073`*^9}, 3.445335046558714*^9, {
   3.4463947531840787`*^9, 3.44639475349711*^9}},
 CellID->1393960107]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`currentscores$$ = {}, $CellContext`f$$ = 
    0, $CellContext`fbar$$ = 0, $CellContext`game$$ = 
    "derivative", $CellContext`gameover$$ = False, $CellContext`lastgame$$ = 
    "derivative", $CellContext`lastlevel$$ = 
    "student", $CellContext`lastseed$$ = 0, $CellContext`lastX$$ = {0, 
    0}, $CellContext`level$$ = "student", $CellContext`objfn$$ = 
    0& , $CellContext`resetgame$$ = False, $CellContext`seed$$ = 
    0, $CellContext`total$$ = 0, $CellContext`totalHue$$ = 
    0, $CellContext`X$$ = {0.4666666666666666, 
    0.175}, $CellContext`xList$$ = {{0, 0}}, $CellContext`XX$$ = {0, 0}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`X$$], {0.4666666666666666, 0.175}}, {0, -1.35}, {
      6.983185307179586, 1.35}}, {{
       Hold[$CellContext`XX$$], {0, 0}}, 0}, {{
       Hold[$CellContext`lastX$$], {0, 0}}, 0}, {{
       Hold[$CellContext`xList$$], {{0, 0}}}, 0}, {
      Hold[$CellContext`f$$], 0}, {
      Hold[$CellContext`fbar$$], 0}, {{
       Hold[$CellContext`objfn$$], 0& }, 0}, {{
       Hold[$CellContext`resetgame$$], False}, 0}, {{
       Hold[$CellContext`seed$$], 0, "new game"}, 0, 10000000, 1}, {{
       Hold[$CellContext`lastseed$$], 0}, 0}, {
      Hold[
       Button[
       "new game", $CellContext`seed$$ = RandomInteger[{0, 10000000}]]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Button[
       "reset game", $CellContext`X$$ = $CellContext`$X + {
           2 ($CellContext`$length/3), $CellContext`$length/
            4}; $CellContext`resetgame$$ = True]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`game$$], "derivative"}, {
      "derivative" -> 
       Pane["derivative", ImageSize -> 70, Alignment -> Center, 
         BaseStyle -> {Medium}], "integral" -> 
       Pane[
        "integral", ImageSize -> 70, Alignment -> Center, 
         BaseStyle -> {Medium}], "polar" -> 
       Pane["polar", ImageSize -> 70, Alignment -> Center, 
         BaseStyle -> {Medium}]}}, {{
       Hold[$CellContext`lastgame$$], "derivative"}, 0}, {{
       Hold[$CellContext`level$$], "student"}, {
      "student" -> 
       Pane["student", ImageSize -> 70, Alignment -> Center, 
         BaseStyle -> {Medium}], "math major" -> 
       Pane["math major", ImageSize -> 70, Alignment -> Center, 
         BaseStyle -> {Medium}], "prof" -> 
       Pane["prof", ImageSize -> 70, Alignment -> Center, 
         BaseStyle -> {Medium}]}}, {{
       Hold[$CellContext`lastlevel$$], "student"}, 0}, {{
       Hold[$CellContext`currentscores$$], {}}, 0}, {{
       Hold[$CellContext`total$$], 0}, 
      Dynamic[Framed[
        Pane[
         Dynamic[$CellContext`total$$], BaseStyle -> {18}, 
         ImageSize -> {40, 22}, Alignment -> {Right, Center}]]& ]}, {{
       Hold[$CellContext`gameover$$], False}, 0}, {{
       Hold[$CellContext`totalHue$$], 0}, 0}}, Typeset`size$$ = {
    400., {242.5, 247.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`X$256731$$ = {0, 
    0}, $CellContext`seed$256732$$ = 0, $CellContext`game$256733$$ = 
    False, $CellContext`level$256734$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`currentscores$$ = {}, $CellContext`f$$ = 
        0, $CellContext`fbar$$ = 0, $CellContext`game$$ = 
        "derivative", $CellContext`gameover$$ = 
        False, $CellContext`lastgame$$ = 
        "derivative", $CellContext`lastlevel$$ = 
        "student", $CellContext`lastseed$$ = 
        0, $CellContext`lastX$$ = {0, 0}, $CellContext`level$$ = 
        "student", $CellContext`objfn$$ = 0& , $CellContext`resetgame$$ = 
        False, $CellContext`seed$$ = 0, $CellContext`total$$ = 
        0, $CellContext`totalHue$$ = 
        0, $CellContext`X$$ = {0.4666666666666666, 
         0.175}, $CellContext`xList$$ = {{0, 0}}, $CellContext`XX$$ = {0, 0}},
       "ControllerVariables" :> {
        Hold[$CellContext`X$$, $CellContext`X$256731$$, {0, 0}], 
        Hold[$CellContext`seed$$, $CellContext`seed$256732$$, 0], 
        Hold[$CellContext`game$$, $CellContext`game$256733$$, False], 
        Hold[$CellContext`level$$, $CellContext`level$256734$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> (If[
         Or[$CellContext`resetgame$$, $CellContext`game$$ =!= \
$CellContext`lastgame$$, $CellContext`level$$ =!= $CellContext`lastlevel$$, \
$CellContext`seed$$ != $CellContext`lastseed$$], $CellContext`X$$ = \
$CellContext`$X + {
            2 ($CellContext`$length/3), $CellContext`$length/
             4}; $CellContext`XX$$ = $CellContext`$X; $CellContext`xList$$ = \
{$CellContext`$X}; $CellContext`lastX$$ = $CellContext`$X; \
$CellContext`currentscores$$ = {}; $CellContext`total$$ = 
          0; $CellContext`resetgame$$ = 
          False; $CellContext`lastgame$$ = $CellContext`game$$; \
$CellContext`lastlevel$$ = $CellContext`level$$; $CellContext`lastseed$$ = \
$CellContext`seed$$; $CellContext`gameover$$ = False]; If[
         And[
          Not[$CellContext`gameover$$], Part[$CellContext`X$$, 1] > 
          Part[$CellContext`XX$$, 
             1] + $CellContext`$min\[CapitalDelta]s, \
$CellContext`MyNorm[$CellContext`X$$ - $CellContext`XX$$] > \
$CellContext`$length + $CellContext`$min\[CapitalDelta]s], 
         If[$CellContext`lastX$$ === $CellContext`$X, $CellContext`XX$$ = \
$CellContext`X$$ - $CellContext`$length \
$CellContext`MyNormalize[$CellContext`X$$ - $CellContext`XX$$], \
$CellContext`XX$$ = 
           With[{$CellContext`df$ = $CellContext`X$$ - $CellContext`XX$$}, 
             ReplaceAll[$CellContext`XX$$ + $CellContext`t $CellContext`df$, 
              
              FindRoot[$CellContext`MyNorm[$CellContext`XX$$ + $CellContext`t \
$CellContext`df$ - $CellContext`X$$] == $CellContext`$length, {$CellContext`t,
                 0}]]]]; $CellContext`lastX$$ = $CellContext`X$$; 
         If[Part[$CellContext`XX$$, 1] > Part[
              Last[$CellContext`xList$$], 1] + 0.005, 
           If[Length[$CellContext`xList$$] > 2, $CellContext`xList$$ = 
             Join[$CellContext`xList$$, 
               (If[Part[#, 1, 1] == Part[
                  Last[$CellContext`xList$$], 1], 
                Rest[#], #]& )[
                With[{$CellContext`ff$ = Interpolation[
                    $CellContext`DSmooth[
                    Join[
                    
                    Part[$CellContext`xList$$, {-2, -1}], \
{$CellContext`XX$$}]], InterpolationOrder -> $CellContext`$fOrder]}, 
                 
                 With[{$CellContext`fpts = 
                   Module[{$CellContext`lastx$ = 
                    0, $CellContext`\[CapitalDelta]x$ = 0.05}, 
                    MovingAverage[
                    Join[{{
                    Max[First[
                    
                    Last[$CellContext`xList$$]] - \
$CellContext`\[CapitalDelta]x$, 
                    Part[$CellContext`ff$, 1, 1, 1]], 
                    $CellContext`ff$[
                    Max[First[
                    
                    Last[$CellContext`xList$$]] - \
$CellContext`\[CapitalDelta]x$, 
                    Part[$CellContext`ff$, 1, 1, 1]]]}}, 
                    Table[{$CellContext`lastx$ = DemonstrationsTools`x, 
                    $CellContext`ff$[DemonstrationsTools`x]}, {
                    DemonstrationsTools`x, 
                    First[
                    Last[$CellContext`xList$$]], 
                    
                    Part[$CellContext`ff$, 1, 1, 
                    2], $CellContext`\[CapitalDelta]x$}], {{
                    Part[$CellContext`ff$, 1, 1, 2], 
                    $CellContext`ff$[
                    Part[$CellContext`ff$, 1, 1, 2]]}, {
                    2 Part[$CellContext`ff$, 1, 1, 2] - $CellContext`lastx$, 
                    2 $CellContext`ff$[
                    
                    Part[$CellContext`ff$, 1, 1, 
                    2]] - $CellContext`ff$[$CellContext`lastx$]}}], 
                    3]]}, $CellContext`fpts]]]], $CellContext`xList$$ = 
             Append[$CellContext`xList$$, $CellContext`XX$$]]; 
           If[$CellContext`xList$$ =!= {$CellContext`$X}, $CellContext`f$$ = 
              Interpolation[$CellContext`xList$$, InterpolationOrder -> 
                Min[$CellContext`$fOrder, Length[$CellContext`xList$$] - 
                  1]]; $CellContext`fbar$$ = 
              With[{$CellContext`fpts$ = 
                 Module[{$CellContext`lastx$ = 
                    0, $CellContext`\[CapitalDelta]x$ = 0.05}, 
                   MovingAverage[
                    Join[{{-Min[$CellContext`\[CapitalDelta]x$, 
                    Part[$CellContext`f$$, 1, 1, 2]], $CellContext`f$$[
                    0] - $CellContext`f$$[
                    Min[$CellContext`\[CapitalDelta]x$, 
                    Part[$CellContext`f$$, 1, 1, 2]]]}}, 
                    Table[{$CellContext`lastx$ = DemonstrationsTools`x, 
                    $CellContext`f$$[DemonstrationsTools`x]}, {
                    DemonstrationsTools`x, 0, 
                    
                    Part[$CellContext`f$$, 1, 1, 
                    2], $CellContext`\[CapitalDelta]x$}], {{
                    Part[$CellContext`f$$, 1, 1, 2], 
                    $CellContext`f$$[
                    Part[$CellContext`f$$, 1, 1, 2]]}, {
                    2 Part[$CellContext`f$$, 1, 1, 2] - $CellContext`lastx$, 
                    2 $CellContext`f$$[
                    
                    Part[$CellContext`f$$, 1, 1, 
                    2]] - $CellContext`f$$[$CellContext`lastx$]}}], 3]]}, 
                Interpolation[$CellContext`fpts$, InterpolationOrder -> 
                  Min[$CellContext`$fbarOrder, Length[$CellContext`fpts$] - 
                    1]]; $CellContext`f$$]], $CellContext`XX$$ = 
           Last[$CellContext`xList$$]]]; Pane[
         Column[{
           Show[
            Graphics[{
              Lighter[Blue], 
              Line[
               Map[Tuples[{{#}, $CellContext`$yRange}]& , 
                ReplaceAll[$CellContext`level$$, $CellContext`$gateXs]]], Red, 
              Line[
               Map[
               Tuples[{{#}, $CellContext`$yRange}]& , $CellContext`$xRange]], 
              
              Text[
               Style["S t a r t", FontFamily -> "Helvetica", 12], {
                Part[$CellContext`$xRange, 1], 0}, {0, -1.6}, {0, 1}], 
              Text[
               Style["F i n i s h", FontFamily -> "Helvetica", 12], {
                Part[$CellContext`$xRange, 2], 0}, {0, 1.6}, {0, 1}], 
              Darker[Blue], 
              If[$CellContext`xList$$ =!= {$CellContext`$X}, 
               Line[$CellContext`xList$$], 
               Point[$CellContext`xList$$]], Red, 
              Line[{$CellContext`XX$$, $CellContext`X$$}], 
              EdgeForm[Red], White, 
              Disk[$CellContext`XX$$, 0.1], Black, 
              Point[$CellContext`XX$$]}, 
             PlotRange -> {$CellContext`$xRange, $CellContext`$yRange}, 
             PlotRangePadding -> 0.5, AspectRatio -> Automatic, 
             Axes -> {True, False}, Frame -> True, FrameTicks -> {{
                Table[{$CellContext`t, 
                  If[
                   IntegerQ[$CellContext`t], $CellContext`t, 
                   ""]}, {$CellContext`t, (-12)/10, 12/10, 2/10}], None}, {
               Automatic, Automatic}}], 
            Graphics[
             If[$CellContext`gameover$$, {
               Opacity[0.6], 
               Text[
                Style["Game Over", 64], {Pi, 0}, {0, 0}]}, {}]], 
            ImageSize -> $CellContext`$imageSize, 
            PlotRangePadding -> $CellContext`$plPadding], 
           Show[
            If[$CellContext`xList$$ =!= {$CellContext`$X}, 
             
             Switch[$CellContext`game$$, 
              "derivative", $CellContext`objfn$$ = 
               Derivative[1][$CellContext`fbar$$]; 
              With[{$CellContext`fpts$ = 
                 Module[{$CellContext`lastx$ = 
                    0, $CellContext`\[CapitalDelta]x$ = 0.05}, 
                   MovingAverage[
                    Join[{{-Min[$CellContext`\[CapitalDelta]x$, 
                    
                    Part[$CellContext`objfn$$, 1, 1, 
                    2]], $CellContext`objfn$$[0] - $CellContext`objfn$$[
                    Min[$CellContext`\[CapitalDelta]x$, 
                    Part[$CellContext`objfn$$, 1, 1, 2]]]}}, 
                    Table[{$CellContext`lastx$ = DemonstrationsTools`x, 
                    $CellContext`objfn$$[DemonstrationsTools`x]}, {
                    DemonstrationsTools`x, 0, 
                    
                    Part[$CellContext`objfn$$, 1, 1, 
                    2], $CellContext`\[CapitalDelta]x$}], {{
                    Part[$CellContext`objfn$$, 1, 1, 2], 
                    $CellContext`objfn$$[
                    Part[$CellContext`objfn$$, 1, 1, 2]]}, {
                    2 Part[$CellContext`objfn$$, 1, 1, 
                    2] - $CellContext`lastx$, 2 $CellContext`objfn$$[
                    
                    Part[$CellContext`objfn$$, 1, 1, 
                    2]] - $CellContext`objfn$$[$CellContext`lastx$]}}], 
                    3]]}, $CellContext`objfn$$ = 
                 Interpolation[$CellContext`fpts$, InterpolationOrder -> 
                   Min[$CellContext`$fbarOrder, Length[$CellContext`fpts$] - 
                    1]]; Graphics[
                  Line[$CellContext`fpts$], 
                  PlotRange -> {$CellContext`$xRange, 
                    2.2 $CellContext`$yRange}, 
                  PlotRangePadding -> $CellContext`$plPadding]], 
              "integral", $CellContext`objfn$$ = First[
                 ReplaceAll[$CellContext`A, 
                  
                  NDSolve[{
                   Derivative[1][$CellContext`A][
                    DemonstrationsTools`x] == $CellContext`fbar$$[
                    DemonstrationsTools`x], $CellContext`A[0] == 
                    0}, $CellContext`A, {DemonstrationsTools`x, 0, 
                    Part[$CellContext`fbar$$, 1, 1, 2]}]]]; Plot[
                $CellContext`objfn$$[DemonstrationsTools`x], {
                DemonstrationsTools`x, 0, 
                 Part[$CellContext`objfn$$, 1, 1, 2]}, 
                PlotRange -> {$CellContext`$xRange, 2.2 $CellContext`$yRange},
                 PlotRangePadding -> $CellContext`$plPadding], 
              "polar", $CellContext`objfn$$ = $CellContext`fbar$$; Graphics[{
                 Line[
                  Map[{Part[#, 2] Cos[
                    Part[#, 1]], Part[#, 2] Sin[
                    Part[#, 1]]}& , $CellContext`xList$$]]}, PlotRange -> 
                Part[$CellContext`$yRange, 1], PlotRangePadding -> 0.2]; 
              ParametricPlot[{$CellContext`objfn$$[DemonstrationsTools`x] 
                 Cos[DemonstrationsTools`x], $CellContext`objfn$$[
                  DemonstrationsTools`x] Sin[DemonstrationsTools`x]}, {
                DemonstrationsTools`x, 0, 
                 Part[$CellContext`objfn$$, 1, 1, 2]}, PlotRange -> 
                Part[$CellContext`$yRange, 1], PlotRangePadding -> 0.2], 
              Blank[], 
              Graphics[
               Inset[
                Style[
                 StringForm[
                 "Error: undefined game '``'", $CellContext`game$$], Red, 
                 18]]]], $CellContext`objfn$$ = 0& ; 
             If[$CellContext`game$$ === "polar", 
               
               Graphics[{}, PlotRange -> Part[$CellContext`$yRange, 1], 
                PlotRangePadding -> 0.2], 
               
               Graphics[{}, 
                PlotRange -> {$CellContext`$xRange, 2.2 $CellContext`$yRange},
                 PlotRangePadding -> $CellContext`$plPadding]]], 
            Switch[$CellContext`game$$, 
             Alternatives["derivative", "integral"], 
             Graphics[{
               Line[
                Map[
                 Function[$CellContext`p$, 
                  Map[$CellContext`p$ + #& , 
                   Part[
                    Tuples[
                    Map[{-1, 1} #& , 
                    ReplaceAll[$CellContext`game$$, 
                    
                    ReplaceAll[$CellContext`level$$, \
$CellContext`$gateTolerances]]]], {1, 2, 4, 3, 1}]]], 
                 $CellContext`Gates[$CellContext`seed$$, $CellContext`game$$, \
$CellContext`level$$]]], 
               Lighter[Blue], 
               Line[
                Flatten[
                 Map[{{{
                    Part[#, 1], Part[#, 2] + Part[
                    ReplaceAll[$CellContext`game$$, 
                    
                    ReplaceAll[$CellContext`level$$, \
$CellContext`$gateTolerances]], 2]}, {
                    Part[#, 1], Part[#, 2] + Part[
                    ReplaceAll[$CellContext`game$$, 
                    
                    ReplaceAll[$CellContext`level$$, \
$CellContext`$gateTolerances]], 2] + 
                    ReplaceAll[$CellContext`game$$, \
$CellContext`$gateWingLength]}}, {{
                    Part[#, 1], Part[#, 2] - Part[
                    ReplaceAll[$CellContext`game$$, 
                    
                    ReplaceAll[$CellContext`level$$, \
$CellContext`$gateTolerances]], 2]}, {
                    Part[#, 1], Part[#, 2] - Part[
                    ReplaceAll[$CellContext`game$$, 
                    
                    ReplaceAll[$CellContext`level$$, \
$CellContext`$gateTolerances]], 2] - 
                    ReplaceAll[$CellContext`game$$, \
$CellContext`$gateWingLength]}}}& , 
                  $CellContext`Gates[$CellContext`seed$$, \
$CellContext`game$$, $CellContext`level$$]], 1]]}], "polar", 
             Graphics[{
               MapIndexed[
                Function[{$CellContext`p$, $CellContext`i$}, {
                  Line[
                   Map[{Part[#, 2] Cos[
                    Part[#, 1]], Part[#, 2] Sin[
                    Part[#, 1]]}& , 
                    Map[$CellContext`p$ + #& , 
                    Part[
                    Tuples[
                    Map[{-1, 1} #& , 
                    ReplaceAll[$CellContext`game$$, 
                    
                    ReplaceAll[$CellContext`level$$, \
$CellContext`$gateTolerances]]]], {1, 2, 4, 3, 1}]]]], 
                  Text[
                   First[$CellContext`i$], 
                   ((Part[#, 2] + 0. Sign[
                    Part[#, 2]] 0.12) {
                    Cos[Part[#, 1] - 0.1/(0.1 + Abs[
                    Part[#, 2]])], 
                    Sin[Part[#, 1] - 0.1/(0.1 + Abs[
                    Part[#, 2]])]}& )[$CellContext`p$]]}], 
                $CellContext`Gates[$CellContext`seed$$, $CellContext`game$$, \
$CellContext`level$$]], 
               Darker[Red], 
               Line[
                Map[{
                  ({Part[#, 2] Cos[
                    Part[#, 1]], Part[#, 2] Sin[
                    Part[#, 1]]}& )[{
                    Part[#, 1], Part[#, 2] + Part[
                    ReplaceAll[$CellContext`game$$, 
                    
                    ReplaceAll[$CellContext`level$$, \
$CellContext`$gateTolerances]], 2]}], If[Part[#, 2] < 0, 0, 1.1] {
                    Cos[
                    Part[#, 1]], 
                    Sin[
                    Part[#, 1]]}}& , 
                 $CellContext`Gates[$CellContext`seed$$, $CellContext`game$$, \
$CellContext`level$$]]], 
               Lighter[Blue], 
               Map[{
                 Line[{
                   ({Part[#, 2] Cos[
                    Part[#, 1]], Part[#, 2] Sin[
                    Part[#, 1]]}& )[{
                    Part[#, 1], Part[#, 2] - Part[
                    ReplaceAll[$CellContext`game$$, 
                    
                    ReplaceAll[$CellContext`level$$, \
$CellContext`$gateTolerances]], 2]}], If[Part[#, 2] > 0, 0, -1.1] {
                    Cos[
                    Part[#, 1]], 
                    Sin[
                    Part[#, 1]]}}], 
                 If[Part[#, 2] < 0, {
                   Dashing[0.01], 
                   Line[{{0, 0}, 1.1 {
                    Cos[
                    Part[#, 1]], 
                    Sin[
                    Part[#, 1]]}}]}, {}]}& , 
                $CellContext`Gates[$CellContext`seed$$, $CellContext`game$$, \
$CellContext`level$$]], 
               Darker[Green, 1/2], 
               Line[
                Flatten[
                 Map[{{(Part[#, 2] + Part[
                    ReplaceAll[$CellContext`game$$, 
                    
                    ReplaceAll[$CellContext`level$$, \
$CellContext`$gateTolerances]], 2]) {
                    Cos[
                    Part[#, 1]], 
                    Sin[
                    Part[#, 1]]}, (Part[#, 2] + Part[
                    ReplaceAll[$CellContext`game$$, 
                    
                    ReplaceAll[$CellContext`level$$, \
$CellContext`$gateTolerances]], 2] + 
                    ReplaceAll[$CellContext`game$$, \
$CellContext`$gateWingLength]) {
                    Cos[
                    Part[#, 1]], 
                    Sin[
                    Part[#, 1]]}}, {(Part[#, 2] - Part[
                    ReplaceAll[$CellContext`game$$, 
                    
                    ReplaceAll[$CellContext`level$$, \
$CellContext`$gateTolerances]], 2]) {
                    Cos[
                    Part[#, 1]], 
                    Sin[
                    Part[#, 1]]}, (Part[#, 2] - Part[
                    ReplaceAll[$CellContext`game$$, 
                    
                    ReplaceAll[$CellContext`level$$, \
$CellContext`$gateTolerances]], 2] - 
                    ReplaceAll[$CellContext`game$$, \
$CellContext`$gateWingLength]) {
                    Cos[
                    Part[#, 1]], 
                    Sin[
                    Part[#, 1]]}}}& , 
                  $CellContext`Gates[$CellContext`seed$$, \
$CellContext`game$$, $CellContext`level$$]], 1]]}]], 
            If[$CellContext`xList$$ =!= {$CellContext`$X}, 
             Module[{$CellContext`tol$ = ReplaceAll[$CellContext`game$$, 
                 
                 ReplaceAll[$CellContext`level$$, \
$CellContext`$gateTolerances]]}, Map[
                
                Function[$CellContext`p$, $CellContext`currentscores$$ = 
                 Append[$CellContext`currentscores$$, {$CellContext`p$, 
                    $CellContext`Score[$CellContext`objfn$$, $CellContext`p$, \
$CellContext`tol$, 
                    
                    ReplaceAll[$CellContext`game$$, \
$CellContext`$gateWingLength]]}]], 
                Select[
                 $CellContext`Gates[$CellContext`seed$$, $CellContext`game$$, \
$CellContext`level$$], If[$CellContext`currentscores$$ === {}, 0, Part[
                    Last[$CellContext`currentscores$$], 1, 1] + 
                   0.5 $CellContext`$min\[CapitalDelta]s + 
                   Part[$CellContext`tol$, 1] + 0.001] < 
                 Part[#, 1] + 0.5 $CellContext`$min\[CapitalDelta]s + 
                  Part[$CellContext`tol$, 1] < 
                 Part[$CellContext`fbar$$, 1, 1, 2]& ]]; $CellContext`total$$ = 
               Total[
                 Map[Last, $CellContext`currentscores$$]]; If[
                And[
                 Not[$CellContext`gameover$$], Part[
                   Last[$CellContext`xList$$], 1] >= 
                 Part[$CellContext`$xRange, 2] - 
                  0.05], $CellContext`gameover$$ = True]; 
              Switch[$CellContext`game$$, 
                Alternatives["derivative", "integral"], 
                Graphics[
                 Map[
                  Function[$CellContext`ptscore$, {
                    Text[
                    Style[
                    Part[$CellContext`ptscore$, 2], 18], 
                    Apply[Sequence, 
                    If[
                    Part[$CellContext`ptscore$, 1, 2] < 0, {
                    Part[$CellContext`ptscore$, 1] + {
                    0, 0.2 + Part[$CellContext`tol$, 2]}, {0, -1.}}, {
                    Part[$CellContext`ptscore$, 1] - {
                    0, 0.2 + Part[$CellContext`tol$, 2]}, {0, 1.1}}]]], 
                    If[Part[$CellContext`ptscore$, 2] == 50, 
                    Darker[Green], 
                    If[Part[$CellContext`ptscore$, 2] == 0, Red, Yellow]], 
                    Polygon[
                    Map[Part[$CellContext`ptscore$, 1] + #& , 
                    Part[
                    Tuples[
                    Map[{-1, 1} #& , $CellContext`tol$]], {1, 2, 4, 
                    3}]]]}], $CellContext`currentscores$$]], "polar", 
                Graphics[
                 Map[
                  Function[$CellContext`ptscore$, {
                    Text[
                    Style[
                    Part[$CellContext`ptscore$, 2], 18], 
                    If[Part[$CellContext`ptscore$, 1, 2] < 0, 
                    ({Part[#, 2] Cos[
                    Part[#, 1]], Part[#, 2] Sin[
                    Part[#, 1]]}& )[
                    Part[$CellContext`ptscore$, 1] - {
                    0, 0.1 + Part[$CellContext`tol$, 2]}], 
                    ({Part[#, 2] Cos[
                    Part[#, 1]], Part[#, 2] Sin[
                    Part[#, 1]]}& )[
                    Part[$CellContext`ptscore$, 1] + {
                    0, 0.1 + Part[$CellContext`tol$, 2]}]]], 
                    If[Part[$CellContext`ptscore$, 2] == 50, 
                    Darker[Green], 
                    If[Part[$CellContext`ptscore$, 2] == 0, Red, Yellow]], 
                    Polygon[
                    Map[{Part[#, 2] Cos[
                    Part[#, 1]], Part[#, 2] Sin[
                    Part[#, 1]]}& , 
                    Map[Part[$CellContext`ptscore$, 1] + #& , 
                    Part[
                    Tuples[
                    Map[{-1, 1} #& , $CellContext`tol$]], {1, 2, 4, 
                    3}]]]]}], $CellContext`currentscores$$]]]], 
             Graphics[{}]], 
            If[$CellContext`gameover$$, 
             Graphics[{
               Opacity[0.5], 
               RGBColor[AddTo[$CellContext`totalHue$$, 
                  RandomReal[{0.05, 0.5}]]; Sin[2 $CellContext`totalHue$$]^2, 
                Sin[E $CellContext`totalHue$$]^2, 
                Sin[3^Rational[1, 2] $CellContext`totalHue$$]^2], 
               Text[
                Style[$CellContext`total$$, 175], 
                
                If[$CellContext`game$$ === "polar", {0, 0}, {
                 Pi + $CellContext`$length/2, 0}], {0, 0}, {
                Pi + $CellContext`$length/2, 2.5}]}], 
             Graphics[{}]], AspectRatio -> Automatic, Frame -> True, Axes -> 
            True, ImageSize -> 
            If[$CellContext`game$$ === "polar", 
              0.75 $CellContext`$imageSize, $CellContext`$imageSize]]}, 
          Alignment -> Center], ImageSize -> {400, 490}]), 
      "Specifications" :> {{{$CellContext`X$$, {0.4666666666666666, 0.175}}, {
         0, -1.35}, {6.983185307179586, 1.35}, ControlType -> 
         Locator}, {{$CellContext`XX$$, {0, 0}}, 0, ControlType -> 
         None}, {{$CellContext`lastX$$, {0, 0}}, 0, ControlType -> 
         None}, {{$CellContext`xList$$, {{0, 0}}}, 0, ControlType -> 
         None}, {$CellContext`f$$, 0, ControlType -> 
         None}, {$CellContext`fbar$$, 0, ControlType -> 
         None}, {{$CellContext`objfn$$, 0& }, 0, ControlType -> 
         None}, {{$CellContext`resetgame$$, False}, 0, ControlType -> 
         None}, {{$CellContext`seed$$, 0, "new game"}, 0, 10000000, 1, 
         ImageSize -> Small}, {{$CellContext`lastseed$$, 0}, 0, ControlType -> 
         None}, 
        Button[
        "new game", $CellContext`seed$$ = RandomInteger[{0, 10000000}]], 
        Button[
        "reset game", $CellContext`X$$ = $CellContext`$X + {
            2 ($CellContext`$length/3), $CellContext`$length/
             4}; $CellContext`resetgame$$ = True], {{$CellContext`game$$, 
          "derivative"}, {
         "derivative" -> 
          Pane["derivative", ImageSize -> 70, Alignment -> Center, 
            BaseStyle -> {Medium}], "integral" -> 
          Pane["integral", ImageSize -> 70, Alignment -> Center, 
            BaseStyle -> {Medium}], "polar" -> 
          Pane["polar", ImageSize -> 70, Alignment -> Center, 
            BaseStyle -> {Medium}]}, Appearance -> 
         "Vertical"}, {{$CellContext`lastgame$$, "derivative"}, 0, 
         ControlType -> None}, {{$CellContext`level$$, "student"}, {
         "student" -> 
          Pane["student", ImageSize -> 70, Alignment -> Center, 
            BaseStyle -> {Medium}], "math major" -> 
          Pane["math major", ImageSize -> 70, Alignment -> Center, 
            BaseStyle -> {Medium}], "prof" -> 
          Pane["prof", ImageSize -> 70, Alignment -> Center, 
            BaseStyle -> {Medium}]}, Appearance -> 
         "Vertical"}, {{$CellContext`lastlevel$$, "student"}, 0, ControlType -> 
         None}, {{$CellContext`currentscores$$, {}}, 0, ControlType -> 
         None}, {{$CellContext`total$$, 0}, 
         Dynamic[Framed[
           Pane[
            Dynamic[$CellContext`total$$], BaseStyle -> {18}, 
            ImageSize -> {40, 22}, 
            Alignment -> {Right, Center}]]& ]}, {{$CellContext`gameover$$, 
          False}, 0, ControlType -> None}, {{$CellContext`totalHue$$, 0}, 0, 
         ControlType -> None}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`X$$, $CellContext`game$$, \
$CellContext`level$$, $CellContext`seed$$}, ControlPlacement -> Left, 
        AutorunSequencing -> {1, 9, 11, 13}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{618., {275., 280.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`$X = {0, 0}, $CellContext`$length = 
        0.7, $CellContext`$min\[CapitalDelta]s = 0.04, $CellContext`MyNorm = 
        Dot[#, #]^(1/2)& , $CellContext`MyNormalize = #/
         Dot[#, #]^(1/2)& , $CellContext`DSmooth[
          Pattern[$CellContext`l, 
           Blank[]]] := Flatten[
          Table[
           Switch[$CellContext`i, 1, {
             Part[$CellContext`l, $CellContext`i]}, 2, {
             
             ReplaceAll[{($CellContext`x0 + $CellContext`x1)/
               2, $CellContext`y0 + (($CellContext`y2 - \
$CellContext`y1)/($CellContext`x2 - $CellContext`x1)) (($CellContext`x1 - \
$CellContext`x0)/2)}, {$CellContext`x0 -> 
               Part[$CellContext`l, $CellContext`i, 1], $CellContext`x1 -> 
               Part[$CellContext`l, $CellContext`i - 1, 1], $CellContext`x2 -> 
               Part[$CellContext`l, $CellContext`i + 1, 1], $CellContext`y0 -> 
               Part[$CellContext`l, $CellContext`i, 2], $CellContext`y1 -> 
               Part[$CellContext`l, $CellContext`i - 1, 2], $CellContext`y2 -> 
               Part[$CellContext`l, $CellContext`i + 1, 2]}], 
             Part[$CellContext`l, $CellContext`i]}, 
            Length[$CellContext`l], {
             
             ReplaceAll[{($CellContext`x0 + $CellContext`x2)/
               2, $CellContext`y0 + (($CellContext`y2 - \
$CellContext`y1)/($CellContext`x2 - $CellContext`x1)) (($CellContext`x2 - \
$CellContext`x0)/2)}, {$CellContext`x0 -> 
               Part[$CellContext`l, $CellContext`i - 1, 1], $CellContext`x1 -> 
               Part[$CellContext`l, $CellContext`i - 2, 1], $CellContext`x2 -> 
               Part[$CellContext`l, $CellContext`i, 1], $CellContext`y0 -> 
               Part[$CellContext`l, $CellContext`i - 1, 2], $CellContext`y1 -> 
               Part[$CellContext`l, $CellContext`i - 2, 2], $CellContext`y2 -> 
               Part[$CellContext`l, $CellContext`i, 2]}], 
             Part[$CellContext`l, $CellContext`i]}, 
            Blank[], {
             
             ReplaceAll[{($CellContext`x0 + $CellContext`x1)/
               2, $CellContext`y0 + Tan[0.5 (ArcTan[
                    
                    ReplaceAll[($CellContext`y2 - \
$CellContext`y1)/($CellContext`x2 - $CellContext`x1), {$CellContext`x0 -> 
                    Part[$CellContext`l, $CellContext`i, 1], $CellContext`x1 -> 
                    Part[$CellContext`l, $CellContext`i - 1, 
                    1], $CellContext`x2 -> 
                    Part[$CellContext`l, $CellContext`i + 1, 
                    1], $CellContext`y0 -> 
                    Part[$CellContext`l, $CellContext`i, 2], $CellContext`y1 -> 
                    Part[$CellContext`l, $CellContext`i - 1, 
                    2], $CellContext`y2 -> 
                    Part[$CellContext`l, $CellContext`i + 1, 2]}]] + ArcTan[
                    
                    ReplaceAll[($CellContext`y2 - \
$CellContext`y1)/($CellContext`x2 - $CellContext`x1), {$CellContext`x0 -> 
                    Part[$CellContext`l, $CellContext`i - 1, 
                    1], $CellContext`x1 -> 
                    Part[$CellContext`l, $CellContext`i - 2, 
                    1], $CellContext`x2 -> 
                    Part[$CellContext`l, $CellContext`i, 1], $CellContext`y0 -> 
                    Part[$CellContext`l, $CellContext`i - 1, 
                    2], $CellContext`y1 -> 
                    Part[$CellContext`l, $CellContext`i - 2, 
                    2], $CellContext`y2 -> 
                    Part[$CellContext`l, $CellContext`i, 
                    2]}]])] (($CellContext`x1 - $CellContext`x0)/
                 2)}, {$CellContext`x0 -> 
               Part[$CellContext`l, $CellContext`i, 1], $CellContext`x1 -> 
               Part[$CellContext`l, $CellContext`i - 1, 1], $CellContext`x2 -> 
               Part[$CellContext`l, $CellContext`i + 1, 1], $CellContext`y0 -> 
               Part[$CellContext`l, $CellContext`i, 2], $CellContext`y1 -> 
               Part[$CellContext`l, $CellContext`i - 1, 2], $CellContext`y2 -> 
               Part[$CellContext`l, $CellContext`i + 1, 2]}], 
             Part[$CellContext`l, $CellContext`i]}], {$CellContext`i, 
            Length[$CellContext`l]}], 1], $CellContext`$fOrder = 
        1, $CellContext`$fbarOrder = 
        1, $CellContext`$yRange = {-1, 1}, $CellContext`$gateXs = {
         "student" -> {2., 3., 5.}, "math major" -> {1.5, 3., 4.3, 5.3}, 
          "prof" -> {1., 2., 3., 4., 5., 6.}}, $CellContext`$xRange = {
         0, 2 Pi}, 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`$imageSize = 
        400, $CellContext`$plPadding = {{0.6, 0.8999999999999999}, 0.5}, 
        Attributes[Derivative] = {
         NHoldAll, ReadProtected}, $CellContext`$gateTolerances = {
         "student" -> {
           "derivative" -> {0.04, 0.15}, "integral" -> {0.04, 0.12}, 
            "polar" -> {0.03, 0.05}}, 
          "math major" -> {
           "derivative" -> {0.04, 0.12}, "integral" -> {0.04, 0.08}, 
            "polar" -> {0.03, 0.04}}, 
          "prof" -> {
           "derivative" -> {0.03, 0.08}, "integral" -> {0.03, 0.05}, 
            "polar" -> {0.03, 0.025}}}, $CellContext`Gates[
         0, "derivative", "math major"] = {{1.5, 0.5183905471116974}, {3., 
         0.45243921125465114`}, {4.5, 0.6215644953466448}, {5.5, 
         0.22559622571729765`}}, $CellContext`Gates[
         0, "derivative", "prof"] = {{1., 0.6098712318961139}, {2., 
         0.5322814250054719}, {3., 0.7312523474666408}, {4., 
         0.2654073243732915}, {5., 1.7408087866373272`}, {6., 
         1.9047510276084054`}}, $CellContext`Gates[
         0, "derivative", "student"] = {{2., 0.4574034239220852}, {3., 
         0.39921106875410395`}, {5., 0.5484392605999808}}, $CellContext`Gates[
         0, "integral", "math major"] = {{1.5, 0.18296136956883435`}, {3., 
         0.34264579707047593`}, {4.3, 0.5620215013104684}, {5.3, 
         0.6416436986224558}}, $CellContext`Gates[0, "integral", "prof"] = {{
         1., 0.2439484927584452}, {2., 0.456861062760634}, {3., 
         0.74936200174729}, {4., 0.8555249314966065}, {5., 
         1.5518484461515372`}, {6., 2.313748857194899}}, $CellContext`Gates[
         0, "integral", "student"] = {{2., 0.1219742463792226}, {3., 
         0.228430531380317}, {5., 0.374681000873645}}, $CellContext`Gates[
         0, "polar", "math major"] = {{1.5, 0.3744420543532513}, {3., 
         0.33952664125246235`}, {4.5, 0.4290635563599884}, {5.5, 
         0.21943329596798114`}}, $CellContext`Gates[0, "polar", "prof"] = {{
         1., 0.3744420543532513}, {2., 0.33952664125246235`}, {3., 
         0.4290635563599884}, {4., 0.21943329596798114`}, {5., 
         0.8833639539867971}, {6., 0.9571379624237822}}, $CellContext`Gates[
         0, "polar", "student"] = {{2., 0.6872210271766257}, {3., 
         0.6697633206262312}, {5., 0.7145317781799942}}, $CellContext`Gates[
         34651, "derivative", "student"] = {{2., 0.8836782851629117}, {
         3., -0.12199478749852233`}, {
         5., -0.4945073172153549}}, $CellContext`Gates[
         38748, "derivative", "student"] = {{2., 0.09085075463666215}, {3., 
         0.11202545363058558`}, {5., 0.228722505526469}}, $CellContext`Gates[
         50495, "derivative", "student"] = {{2., 0.07735824986959372}, {3., 
         1.4816283098391647`}, {5., 0.4238631683361209}}, $CellContext`Gates[
         59524, "polar", "prof"] = {{1., -0.8057642271142976}, {
         2., -0.9205303628261373}, {3., -0.2702753553011611}, {
         4., -0.12774539530735388`}, {5., -0.12136205643008582`}, {
         6., -0.6020538730871036}}, $CellContext`Gates[
         115768, "polar", "prof"] = {{1., 0.8533890527825995}, {2., 
         0.6765258550677967}, {3., -0.6004200644058794}, {
         4., -0.9144460862196183}, {5., -0.33724313218608415`}, {
         6., -0.6646802190687299}}, $CellContext`Gates[
         118562, "derivative", "student"] = {{2., 0.8511368600619518}, {
         3., -1.0007723860861217`}, {
         5., -1.364520340252787}}, $CellContext`Gates[
         119720, "derivative", "student"] = {{2., -0.5114313963672283}, {
         3., -0.719260777408766}, {5., 
         1.2362061379326734`}}, $CellContext`Gates[
         124593, "polar", "prof"] = {{1., -0.994894082993908}, {
         2., -0.3415109138167559}, {3., 0.862039665862189}, {4., 
         0.1276515427050068}, {5., 0.5757610166641979}, {
         6., -0.5390395521849468}}, $CellContext`Gates[
         150484, "polar", "prof"] = {{1., -0.2656703776734707}, {2., 
         0.14815752289775244`}, {3., -0.2821952320306077}, {
         4., -0.6618815174353324}, {5., -0.5129037060595082}, {
         6., -0.9697806677539232}}, $CellContext`Gates[
         178571, "polar", "prof"] = {{1., 0.774640573582062}, {2., 
         0.4818568240365123}, {3., -0.6397225828105543}, {
         4., -0.7668858602379881}, {5., -0.3352699342892226}, {
         6., -0.550513736851688}}, $CellContext`Gates[
         184288, "derivative", "student"] = {{2., -0.1983185658170079}, {3., 
         0.30328011813858247`}, {
         5., -0.6824506285113809}}, $CellContext`Gates[
         242658, "polar", "prof"] = {{1., -0.6422471861666276}, {2., 
         0.7471726959511792}, {3., -0.4868414191000622}, {
         4., -0.3786174052563841}, {5., 0.5194210906877789}, {6., 
         0.8414825561837337}}, $CellContext`Gates[
         297619, "derivative", "prof"] = {{1., -0.37781306112030855`}, {2., 
         1.5245518623439844`}, {3., 0.514417858959046}, {4., 
         0.31100987451392736`}, {5., -1.4656096238718925`}, {6., 
         0.3696012488670126}}, $CellContext`Gates[
         303833, "derivative", "student"] = {{2., 0.7805877544406838}, {3., 
         0.880808319356559}, {5., 0.2552912341143134}}, $CellContext`Gates[
         308888, "derivative", "student"] = {{2., 0.0858765688450962}, {
         3., -0.20065664112521997`}, {
         5., -0.6168211339136405}}, $CellContext`Gates[
         317846, "derivative", "student"] = {{2., -0.8550604753123783}, {
         3., -0.6667862171353072}, {5., 
         0.9413927886498588}}, $CellContext`Gates[
         359849, "polar", "math major"] = {{1.5, -0.6955656602178991}, {3., 
         0.8630514981936609}, {4.3, -0.3674362129159844}, {
         5.3, -0.32568982177800965`}}, $CellContext`Gates[
         381212, "derivative", "student"] = {{2., 0.3745621496647402}, {3., 
         1.0864614198617124`}, {5., 0.3432835451820049}}, $CellContext`Gates[
         416101, "polar", "prof"] = {{1., 0.8240988986805821}, {
         2., -0.26896483284825645`}, {3., 0.20064374926950804`}, {
         4., -0.4173060925288382}, {5., 0.12814705644217375`}, {6., 
         0.5380494313320322}}, $CellContext`Gates[
         416667, "derivative", "prof"] = {{1., 1.0174681496665565`}, {2., 
         0.42511439854578814`}, {3., 0.3942918603907781}, {4., 
         1.2530751457165117`}, {5., 1.3880465111379205`}, {
         6., -0.4807084958317249}}, $CellContext`Gates[
         416946, "derivative", "student"] = {{2., -0.11494591858385039`}, {3.,
          0.7354485551175811}, {5., -0.5546993978944093}}, $CellContext`Gates[
         434287, "polar", "prof"] = {{1., -0.5238899884308074}, {
         2., -0.7662393778452902}, {3., 0.4936629651944723}, {4., 
         0.9287786289480627}, {5., 0.7548067951132887}, {
         6., -0.16331576536429396`}}, $CellContext`Gates[
         450189, "derivative", "student"] = {{2., -0.8301269065342898}, {
         3., -1.0002882012972716`}, {
         5., -1.0447796123055881`}}, $CellContext`Gates[
         463575, "derivative", "student"] = {{2., -1.4328561697622773`}, {3., 
         0.8342821509959322}, {5., -0.720735084746507}}, $CellContext`Gates[
         475592, "derivative", "student"] = {{2., -0.5601435161924355}, {
         3., -1.1143016138547144`}, {
         5., -0.22746272503990195`}}, $CellContext`Gates[
         478347, "derivative", "student"] = {{2., -1.248483641232217}, {
         3., -0.7657139816119245}, {
         5., -0.6668846717794477}}, $CellContext`Gates[
         498806, "derivative", "student"] = {{2., 0.7906725664525931}, {
         3., -1.1078292178436895`}, {5., 
         0.9846762983850672}}, $CellContext`Gates[
         505581, "derivative", "student"] = {{2., 1.4708647752320836`}, {3., 
         1.08632724527516}, {5., 0.06779414703730069}}, $CellContext`Gates[
         508580, "polar", "prof"] = {{1., -0.6131766263386956}, {
         2., -0.8277475275165783}, {3., 0.4013849150084642}, {4., 
         0.7317543864552633}, {5., 0.6921719777506866}, {
         6., -0.6924124219716824}}, $CellContext`Gates[
         519154, "derivative", "student"] = {{2., -0.18474103953103427`}, {3.,
          1.4318264314025848`}, {5., 
         1.1852037347605586`}}, $CellContext`Gates[
         525465, "derivative", "student"] = {{2., 1.0849397217642966`}, {
         3., -0.12352961362594339`}, {5., 
         0.24539038975278338`}}, $CellContext`Gates[
         526312, "derivative", "student"] = {{2., 0.2952769237802979}, {3., 
         1.4503439427873914`}, {5., 
         0.40159181838509106`}}, $CellContext`Gates[
         641036, "derivative", "student"] = {{2., -1.4236831634212899`}, {3., 
         0.7412212278453367}, {5., -0.9225033010892973}}, $CellContext`Gates[
         652365, "polar", "student"] = {{2., 0.5012255232773939}, {3., 
         0.7300682533834191}, {5., 0.4377114393436472}}, $CellContext`Gates[
         660262, "derivative", "student"] = {{2., -0.49215483804008286`}, {
         3., -0.7387349293230385}, {
         5., -0.25884044445098553`}}, $CellContext`Gates[
         706330, "derivative", "student"] = {{2., -0.37296054582974847`}, {3.,
          0.8427586650895904}, {5., 
         0.15168779148866296`}}, $CellContext`Gates[
         753454, "polar", "math major"] = {{1.5, 0.5193044662532443}, {
         3., -0.11197004947880843`}, {4.3, 0.11993079580339519`}, {
         5.5, -0.1473942092571762}}, $CellContext`Gates[
         773810, "polar", "prof"] = {{1., 0.2186549318309651}, {
         2., -0.7309834069619331}, {3., 0.5717018604942424}, {4., 
         0.4946903614909738}, {5., -0.563374176485289}, {
         6., -0.6260368040356415}}, $CellContext`Gates[
         782200, "polar", "math major"] = {{1.5, 0.9380598854313472}, {
         3., -0.1278972231585466}, {4.5, 0.4586170021347512}, {
         5.5, -0.1713579430060496}}, $CellContext`Gates[
         839931, "derivative", "student"] = {{2., -0.7844781367629157}, {
         3., -0.14578821767894556`}, {
         5., -0.32832277419421807`}}, $CellContext`Gates[
         849610, "derivative", "student"] = {{2., 0.3996444534435417}, {
         3., -0.2497954700174665}, {
         5., -0.036892573008858065`}}, $CellContext`Gates[
         864479, "derivative", "student"] = {{2., 1.1814948937143104`}, {
         3., -0.2730276336774473}, {5., 
         0.9092432444839584}}, $CellContext`Gates[
         892857, "polar", "prof"] = {{1., -0.1503089107328889}, {
         2., -0.9774030524850846}, {3., 0.2925100403595938}, {4., 
         0.6550328824948285}, {5., 0.20320928913672845`}, {
         6., -0.6661496751701818}}, $CellContext`Gates[
         901953, "derivative", "student"] = {{2., -1.229925666410126}, {
         3., -1.3725562930563537`}, {
         5., -0.4922230336716913}}, $CellContext`Gates[
         945695, "derivative", "student"] = {{2., 0.7769655462116436}, {3., 
         1.3084457331599308`}, {5., 0.5950009813900854}}, $CellContext`Gates[
         988324, "derivative", "student"] = {{2., -1.4573516957099173`}, {3., 
         0.6783099254066647}, {
         5., -0.40868677016515864`}}, $CellContext`Gates[
         1011905, "polar", "prof"] = {{1., 0.6887328881534932}, {
         2., -0.14701914065502555`}, {3., -0.5696903361335622}, {4., 
         0.94011702170439}, {5., 0.4066812252885489}, {
         6., -0.6873502113143161}}, $CellContext`Gates[
         1030807, "polar", "prof"] = {{1., 0.7978316285729193}, {
         2., -0.3969852259563428}, {3., 0.1289917483805473}, {
         4., -0.18419038795174228`}, {5., -0.3097088235072646}, {
         6., -0.9010126188618525}}, $CellContext`Gates[
         1042741, "polar", "math major"] = {{1.5, 0.6972668133892038}, {3., 
         0.49124880006488014`}, {4.3, 0.9309688882410091}, {5.3, 
         0.9800886419252731}}, $CellContext`Gates[
         1045021, "polar", "student"] = {{2., 0.893070989518608}, {3., 
         0.8085057791008776}, {5., 0.8917333387242687}}, $CellContext`Gates[
         1062149, "polar", "prof"] = {{1., 0.15968013422635421`}, {
         2., -0.5483248263387622}, {3., 0.38935094583657415`}, {
         4., -0.3917437453616114}, {5., -0.7601328163856812}, {
         6., -0.6651903212506566}}, $CellContext`Gates[
         1085239, "polar", "prof"] = {{1., 0.9421323916168979}, {2., 
         0.15198000368039413`}, {3., 0.1557095226447557}, {4., 
         0.5585473290777204}, {5., 0.9687325312166343}, {
         6., -0.22180730911357208`}}, $CellContext`Gates[
         1087004, "derivative", "student"] = {{2., -0.8591718931610304}, {3., 
         1.3196242189143215`}, {
         5., -0.48575905405374264`}}, $CellContext`Gates[
         1113566, "polar", "prof"] = {{1., 0.2162846657875707}, {
         2., -0.32921820125437173`}, {3., 0.1388703459646127}, {
         4., -0.8347364502375761}, {5., -0.9266839270555532}, {6., 
         0.87924521727875}}, $CellContext`Gates[
         1122724, "derivative", "student"] = {{2., -0.5109071386376187}, {
         3., -0.7822011424863735}, {5., 
         1.2620292266129596`}}, $CellContext`Gates[
         1134474, "derivative", "student"] = {{2., -0.648960207580441}, {
         3., -0.5874638779818246}, {5., 
         1.2413920594867447`}}, $CellContext`Gates[
         1139552, "integral", "student"] = {{2., -0.17565079419018326`}, {3., 
         0.21966975138976097`}, {5., 0.1627282705049269}}, $CellContext`Gates[
         1146361, "polar", "student"] = {{2., 0.7780909472696911}, {3., 
         0.6854909367521929}, {5., 0.41904449981644354`}}, $CellContext`Gates[
         1162353, "polar", "math major"] = {{1.5, -0.3203405567513643}, {3., 
         0.2188512360796552}, {4.3, -0.8540185103725085}, {
         5.3, -0.34529904469689787`}}, $CellContext`Gates[
         1189634, "derivative", "student"] = {{2., 1.1293684103614456`}, {3., 
         0.5352257822871298}, {5., 0.08800916178676843}}, $CellContext`Gates[
         1229803, "derivative", "student"] = {{2., 1.4630857251598783`}, {
         3., -0.1916601035114036}, {
         5., -0.10464203684197315`}}, $CellContext`Gates[
         1236228, "polar", "prof"] = {{1., 0.30310387803201155`}, {
         2., -0.2433251026165956}, {3., 0.5901522836022822}, {
         4., -0.9045983525969087}, {5., 0.17934598439752705`}, {
         6., -0.8114375569452928}}, $CellContext`Gates[
         1250000, "derivative", "prof"] = {{1., -1.4051908037099832`}, {
         2., -1.3559598659766126`}, {3., -0.33101354233951064`}, {4., 
         1.4567934426930291`}, {5., 1.8023784530691254`}, {
         6., -1.27881448262624}}, $CellContext`Gates[
         1268510, "derivative", "student"] = {{2., -0.5504891902719806}, {3., 
         1.1544031146717586`}, {5., 
         0.40422300947287937`}}, $CellContext`Gates[
         1276504, "derivative", "student"] = {{2., -0.9693892419953762}, {
         3., -0.6753122928508062}, {5., 
         1.2993379865106318`}}, $CellContext`Gates[
         1288056, "derivative", "student"] = {{2., -0.717633006871643}, {3., 
         1.4844136178831437`}, {5., 0.06596785756462786}}, $CellContext`Gates[
         1314335, "derivative", "student"] = {{2., -0.8787885699884472}, {
         3., -0.1586291751187172}, {
         5., -1.4099495266124276`}}, $CellContext`Gates[
         1330485, "derivative", "student"] = {{2., 0.22962802287330764`}, {3.,
          0.5273277173051207}, {
         5., -0.05019244572859627}}, $CellContext`Gates[
         1332311, "derivative", "student"] = {{2., -0.08901209863609694}, {
         3., -0.43523743821589633`}, {5., 
         1.2468301720419355`}}, $CellContext`Gates[
         1357170, "derivative", "student"] = {{2., 0.4437319256591419}, {
         3., -0.6507320025651029}, {
         5., -0.8441372428566307}}, $CellContext`Gates[
         1366407, "polar", "math major"] = {{1.5, -0.2977714534258119}, {3., 
         0.849999785961859}, {4.3, 0.727972612421181}, {
         5.3, -0.7170205933419486}}, $CellContext`Gates[
         1369048, "integral", "student"] = {{2., 0.01536494598038396}, {
         3., -0.2238010009414182}, {
         5., -0.1328250532094699}}, $CellContext`Gates[
         1369048, "polar", "prof"] = {{1., 0.1345711284558643}, {
         2., -0.6381233805740546}, {3., 0.30469588239688405`}, {4., 
         0.8305048428236445}, {5., 0.7840037359768787}, {6., 
         0.16890716718678425`}}, $CellContext`Gates[
         1380965, "derivative", "student"] = {{2., -1.2874534769267338`}, {
         3., -1.241321555403541}, {
         5., -1.0628843665616499`}}, $CellContext`Gates[
         1404308, "derivative", "student"] = {{2., -0.0020431641948137624`}, {
         3., 1.1783698601462582`}, {5., 
         1.0318654345666394`}}, $CellContext`Gates[
         1431027, "derivative", "student"] = {{2., -1.005815626574377}, {3., 
         0.6917695453088744}, {5., -1.0170108748936082`}}, $CellContext`Gates[
         1477024, "derivative", "student"] = {{2., 0.7301751858702934}, {3., 
         0.2336132788177947}, {5., 0.9433599912968544}}, $CellContext`Gates[
         1488095, "integral", "student"] = {{2., 0.27899000705970844`}, {
         3., -0.08712250306075986}, {5., 
         0.1342451811602825}}, $CellContext`Gates[
         1488095, "polar", "prof"] = {{1., 0.7277275158843438}, {
         2., -0.9237531477710536}, {3., 0.5980772894973451}, {
         4., -0.8804058206946207}, {5., -0.5665107102055255}, {6., 
         0.4486141125251687}}, $CellContext`Gates[
         1510295, "derivative", "student"] = {{2., -0.5196736086100979}, {3., 
         1.0355695999904295`}, {5., 1.2993809399487484`}}, $CellContext`Gates[
         1607143, "polar", "prof"] = {{1., 0.3745525341817143}, {2., 
         0.7668247142095049}, {3., 0.17241970552912803`}, {4., 
         0.28630340876834903`}, {5., -0.2216686452763076}, {
         6., -0.3110377170852122}}, $CellContext`Gates[
         1633430, "derivative", "student"] = {{2., 0.8382005410671303}, {
         3., -0.9224432268272285}, {5., 
         0.6565411560627723}}, $CellContext`Gates[
         1658058, "derivative", "student"] = {{2., 0.18501035795588638`}, {
         3., -1.418724533806412}, {
         5., -0.11851645672764555`}}, $CellContext`Gates[
         1660765, "derivative", "student"] = {{2., 0.11534988627047493`}, {
         3., -0.0296833131705041}, {5., 
         1.1207317483113428`}}, $CellContext`Gates[
         1699294, "derivative", "student"] = {{2., -1.3746400007742618`}, {
         3., -0.6300385386062661}, {
         5., -0.742395616169274}}, $CellContext`Gates[
         1720286, "polar", "prof"] = {{1., -0.4256843396948441}, {2., 
         0.8111429888692644}, {3., 0.24620117836048108`}, {4., 
         0.5434455601903964}, {5., -0.8905834970134864}, {6., 
         0.8290199946941413}}, $CellContext`Gates[
         1726190, "derivative", "prof"] = {{1., 1.7796457562289092`}, {2., 
         1.6659767319257304`}, {3., -0.6674828703295494}, {4., 
         1.092212990024655}, {5., -0.20085319762308362`}, {
         6., -1.1051127318369378`}}, $CellContext`Gates[
         1780344, "derivative", "student"] = {{2., -1.0737325122742898`}, {
         3., -1.1149618519886206`}, {5., 
         0.9781044920966941}}, $CellContext`Gates[
         1807790, "polar", "prof"] = {{1., -0.8424972499060809}, {2., 
         0.250809203965355}, {3., 0.6577840995941439}, {
         4., -0.9318071418898309}, {5., -0.5368536941910301}, {
         6., -0.15363597050970804`}}, $CellContext`Gates[
         1811307, "polar", "prof"] = {{1., -0.4091124397690379}, {2., 
         0.60332425692724}, {3., -0.3260634136139119}, {4., 
         0.5345309870273373}, {5., -0.8896271548947642}, {6., 
         0.9746640695579408}}, $CellContext`Gates[
         1818823, "polar", "student"] = {{2., 0.9870473135225564}, {3., 
         0.8250736771756602}, {5., 0.43160473942961475`}}, $CellContext`Gates[
         1845238, "derivative", "prof"] = {{1., 1.79668381724486}, {
         2., -0.362423457088493}, {3., 0.8850140937923685}, {4., 
         1.1500251342368664`}, {5., 1.8282932024967327`}, {
         6., -1.621990745602881}}, $CellContext`Gates[
         1845238, "integral", "student"] = {{2., 0.3593367634489719}, {3., 
         0.2868520720312733}, {5., 0.46385489078974684`}}, $CellContext`Gates[
         1912048, "derivative", "student"] = {{2., 0.9399029552714104}, {
         3., -1.192693971060788}, {
         5., -0.6168407486527219}}, $CellContext`Gates[
         1921129, "derivative", "student"] = {{2., 0.7830813412569082}, {3., 
         0.8015321965416184}, {5., 0.09102204134292613}}, $CellContext`Gates[
         1923172, "derivative", "student"] = {{2., -1.2359304333729932`}, {
         3., -1.1857987662539795`}, {5., 
         0.43654991494661477`}}, $CellContext`Gates[
         1964286, "integral", "student"] = {{2., 0.2777030197093975}, {3., 
         0.2520150777873067}, {5., 0.06564327256377211}}, $CellContext`Gates[
         1964286, "polar", "prof"] = {{1., 0.7248317943461448}, {
         2., -0.1577978693247041}, {3., -0.519336561752953}, {4., 
         0.591493154447419}, {5., 0.15703737399542508`}, {
         6., -0.4496810039903746}}, $CellContext`Gates[
         1965009, "polar", "prof"] = {{1., 0.35427329199883084`}, {2., 
         0.6424553551775197}, {3., -0.7697142444539294}, {4., 
         0.11719088031645467`}, {5., -0.41663675598779226`}, {6., 
         0.48954246907435806`}}, $CellContext`Gates[
         1965043, "polar", "prof"] = {{1., 0.18816620619037164`}, {2., 
         0.8065067422306734}, {3., -0.7944310695865141}, {
         4., -0.373619849880959}, {5., -0.604293816492789}, {
         6., -0.4540929769952119}}, $CellContext`Gates[
         1966361, "derivative", "student"] = {{2., -0.15938762274495666`}, {
         3., -1.1377624883905693`}, {
         5., -0.6556656376226391}}, $CellContext`Gates[
         1997230, "derivative", "student"] = {{2., -0.8336480234273198}, {
         3., -0.2658520124409325}, {5., 
         0.5122015802004327}}, $CellContext`Gates[
         2035004, "derivative", "student"] = {{2., 0.8323069625577029}, {
         3., -0.7942018984380299}, {5., 
         1.4350825150514392`}}, $CellContext`Gates[
         2053678, "derivative", "student"] = {{2., 0.3925691329311096}, {3., 
         1.359173268118072}, {5., 0.610682098893399}}, $CellContext`Gates[
         2056761, "polar", "prof"] = {{1., -0.1729928573927916}, {
         2., -0.5312773144771715}, {3., -0.18116783871743883`}, {4., 
         0.2413616205734285}, {5., 0.20201275480617245`}, {
         6., -0.4944914064136702}}, $CellContext`Gates[
         2065514, "derivative", "student"] = {{2., -0.9945423239930133}, {3., 
         1.1605647259523337`}, {5., 0.5368753697596915}}, $CellContext`Gates[
         2068020, "derivative", "student"] = {{2., 0.6776458669182235}, {3., 
         0.5510671234880826}, {5., 0.1553613262229483}}, $CellContext`Gates[
         2083333, "derivative", "prof"] = {{1., 0.12460473864692112`}, {2., 
         0.6401309561135484}, {3., 1.8953744732290811`}, {
         4., -1.6268407070963695`}, {5., -1.3142685022507363`}, {
         6., -0.8959847580031539}}, $CellContext`Gates[
         2083333, "integral", "student"] = {{2., 0.024920947729384135`}, {3., 
         0.15294713895209378`}, {5., 0.53202203359791}}, $CellContext`Gates[
         2096627, "derivative", "student"] = {{2., 1.2925417495220062`}, {
         3., -0.8298980384903438}, {5., 
         0.8928440831549711}}, $CellContext`Gates[
         2129884, "derivative", "student"] = {{2., -1.4739840338985006`}, {
         3., -0.9592963152992064}, {
         5., -0.9294787126048716}}, $CellContext`Gates[
         2141368, "derivative", "student"] = {{2., 0.09366431078066562}, {3., 
         0.4235802081720639}, {5., 1.4956801059942668`}}, $CellContext`Gates[
         2166737, "derivative", "student"] = {{2., -1.0645471564424875`}, {3.,
          0.13177518835831048`}, {
         5., -0.03469824945275679}}, $CellContext`Gates[
         2177796, "polar", "prof"] = {{1., 0.9253927478173408}, {2., 
         0.6698499655957163}, {3., 0.4443081934017198}, {4., 
         0.18437244094029462`}, {5., 0.6797263734815518}, {
         6., -0.41022097747150343`}}, $CellContext`Gates[
         2202381, "polar", "prof"] = {{1., 0.8670316738392735}, {
         2., -0.8434266925636559}, {3., -0.22343279166783683`}, {
         4., -0.3809798781605508}, {5., -0.18342405524940322`}, {6., 
         0.5322811701994289}}, $CellContext`Gates[
         2217245, "derivative", "student"] = {{2., 1.442209124058011}, {3., 
         0.6972486397553617}, {5., 1.0363805966152704`}}, $CellContext`Gates[
         2254870, "derivative", "student"] = {{2., 0.7878410377672074}, {3., 
         1.0799428341246644`}, {5., 0.442752756887427}}, $CellContext`Gates[
         2284373, "derivative", "student"] = {{2., -0.4052506945240779}, {
         3., -1.4342036435004113`}, {5., 
         1.1836967178883144`}}, $CellContext`Gates[
         2291821, "derivative", "student"] = {{2., 0.5105205205838343}, {3., 
         0.8361169745298636}, {5., 0.8250281920209508}}, $CellContext`Gates[
         2293743, "derivative", "student"] = {{2., 0.8546308011554409}, {
         3., -1.0013004247708377`}, {5., 
         0.9583149750911018}}, $CellContext`Gates[
         2310111, "derivative", "student"] = {{2., 0.36894110398216373`}, {
         3., -0.1366911593059692}, {
         5., -1.4704772017737597`}}, $CellContext`Gates[
         2355747, "polar", "math major"] = {{1.5, -0.48045341371681294`}, {3.,
          0.8024869820604547}, {4.3, -0.5956482686858421}, {
         5.3, -0.36300782277208954`}}, $CellContext`Gates[
         2355747, "polar", "prof"] = {{1., -0.48045341371681294`}, {2., 
         0.8024869820604547}, {3., -0.5956482686858421}, {
         4., -0.36300782277208954`}, {5., 0.8262910369988669}, {6., 
         0.1665999789162748}}, $CellContext`Gates[
         2355747, "polar", "student"] = {{2., 0.35977329314159356`}, {3., 
         0.9012434910302274}, {5., 0.302175865657079}}, $CellContext`Gates[
         2440476, "derivative", "prof"] = {{1., -1.2019310268574985`}, {2., 
         0.8069751381243151}, {3., 0.15806308436740757`}, {
         4., -1.3567340708400089`}, {5., -0.3430946887742694}, {6., 
         1.1585724905105792`}}, $CellContext`Gates[
         2440476, "integral", "student"] = {{2., -0.2403862053714998}, {
         3., -0.07899117774663678}, {
         5., -0.047378560873155395`}}, $CellContext`Gates[
         2440476, "polar", "prof"] = {{1., -0.6408689620858746}, {2., 
         0.46313881215594177`}, {3., 0.1711283879653335}, {
         4., -0.710530331878004}, {5., -0.25439260994842117`}, {6., 
         0.6213576207297605}}, $CellContext`Gates[
         2463607, "polar", "prof"] = {{1., -0.3582895493045014}, {
         2., -0.20002759521200844`}, {3., 0.23281616543478637`}, {
         4., -0.6557112412104255}, {5., -0.5184791984046883}, {
         6., -0.597738793902915}}, $CellContext`Gates[
         2465542, "derivative", "student"] = {{2., 1.0310655404837377`}, {
         3., -0.2901142243732089}, {5., 
         1.2416584360621226`}}, $CellContext`Gates[
         2471507, "derivative", "student"] = {{2., -1.1236061688546979`}, {
         3., -1.2949058587317936`}, {5., 
         1.1234643329894878`}}, $CellContext`Gates[
         2485328, "polar", "prof"] = {{1., 0.6171959105420143}, {2., 
         0.3171407692647693}, {3., 0.5043942716826567}, {
         4., -0.46470655551223616`}, {5., 0.6688585398539754}, {
         6., -0.6223879932372401}}, $CellContext`Gates[
         2485786, "derivative", "student"] = {{2., -0.5721006843112804}, {3., 
         1.108986320897083}, {5., 0.631804600270665}}, $CellContext`Gates[
         2502117, "derivative", "student"] = {{2., -0.34171566052861646`}, {
         3., -0.3187248466062904}, {
         5., -0.7657960441380123}}, $CellContext`Gates[
         2542784, "derivative", "student"] = {{2., -0.8213418806345336}, {
         3., -0.5994118194591134}, {5., 
         0.017758199177288603`}}, $CellContext`Gates[
         2559524, "derivative", "prof"] = {{1., 1.331726114403195}, {2., 
         1.0221438986762506`}, {3., 1.2743101876699816`}, {4., 
         1.6859719907248865`}, {5., 0.14461935483396982`}, {
         6., -1.5711558656407236`}}, $CellContext`Gates[
         2559524, "integral", "student"] = {{2., 0.2663452228806389}, {3., 
         0.47077400261588886`}, {5., 0.7256360401498851}}, $CellContext`Gates[
         2559524, "polar", "prof"] = {{1., 0.6992767514814376}, {2., 
         0.5599647544043126}, {3., 0.6734395844514917}, {4., 
         0.8586873958261986}, {5., 0.1650787096752863}, {
         6., -0.8070201395383257}}, $CellContext`Gates[
         2581745, "derivative", "student"] = {{2., -0.20165022016284517`}, {
         3., -0.4021624075180954}, {5., 
         0.07958410275549976}}, $CellContext`Gates[
         2620115, "polar", "prof"] = {{1., -0.6155974048005585}, {
         2., -0.14908121616840023`}, {3., -0.8281181146168347}, {
         4., -0.44002393750163094`}, {5., -0.6894735938048248}, {
         6., -0.4311466200352617}}, $CellContext`Gates[
         2676798, "integral", "student"] = {{2., 0.28484608819898716`}, {
         3., -0.07329908724204737}, {
         5., -0.15906460320994675`}}, $CellContext`Gates[
         2678571, "polar", "prof"] = {{1., -0.5246001473990528}, {2., 
         0.36623967246924616`}, {3., -0.13939838592916712`}, {
         4., -0.9707307369424217}, {5., -0.3324664060023438}, {
         6., -0.8528746761796558}}, $CellContext`Gates[
         2712420, "derivative", "student"] = {{2., -0.6230871075394466}, {
         3., -1.3646053631505444`}, {5., 
         1.4610060530023832`}}, $CellContext`Gates[
         2716831, "derivative", "student"] = {{2., -1.4800746062180714`}, {3.,
          1.2271086139133391`}, {5., 1.339549053076639}}, $CellContext`Gates[
         2734358, "derivative", "student"] = {{2., 1.0180710014034213`}, {
         3., -0.5705024984938607}, {
         5., -0.4282450674148235}}, $CellContext`Gates[
         2735518, "polar", "prof"] = {{1., 0.5800607536112622}, {
         2., -0.3754163941606302}, {3., -0.17208612219661337`}, {
         4., -0.8451104891172104}, {5., 0.7112444813157602}, {6., 
         0.8611654427694105}}, $CellContext`Gates[
         2772143, "derivative", "student"] = {{2., -0.09409724173857548}, {
         3., -1.2076724938749885`}, {
         5., -0.40845120660406486`}}, $CellContext`Gates[
         2797619, "derivative", "prof"] = {{1., -0.8807422596621679}, {
         2., -0.6361408053095676}, {3., 0.7507706761315873}, {
         4., -0.053000764814472134`}, {5., -1.9244892512155563`}, {
         6., -0.039875469663706475`}}, $CellContext`Gates[
         2797619, "integral", "student"] = {{2., -0.17614845193243367`}, {
         3., -0.30337661299434737`}, {
         5., -0.15322247776803}}, $CellContext`Gates[
         2797619, "polar", "prof"] = {{1., -0.49633401684797585`}, {
         2., -0.3862633623893056}, {3., 0.4378468042592142}, {
         4., -0.12385034416651255`}, {5., -0.9660201630470003}, {
         6., -0.11794396134866805`}}, $CellContext`Gates[
         2819707, "polar", "prof"] = {{1., -0.2443613048203174}, {2., 
         0.4114672773759612}, {3., -0.199604378229067}, {
         4., -0.1868966058002152}, {5., 0.9285913384145176}, {
         6., -0.6085097031540031}}, $CellContext`Gates[
         2833945, "integral", "student"] = {{2., 0.36955480838345967`}, {3., 
         0.5552104138768406}, {5., 0.18688761394010767`}}, $CellContext`Gates[
         2862766, "derivative", "student"] = {{2., 0.021614302580311495`}, {
         3., -1.2924765543929109`}, {
         5., -0.664544617841325}}, $CellContext`Gates[
         2877243, "derivative", "student"] = {{2., -1.1636007011169314`}, {
         3., -1.033243444410021}, {
         5., -0.42449660255310473`}}, $CellContext`Gates[
         2885634, "derivative", "student"] = {{2., -0.5468751203517499}, {
         3., -1.3736676892030513`}, {
         5., -0.5692662382941323}}, $CellContext`Gates[
         2916667, "integral", "student"] = {{2., 0.17974795500990393`}, {
         3., -0.11976107170035144`}, {5., 
         0.014040414491522046`}}, $CellContext`Gates[
         2922527, "derivative", "student"] = {{2., 0.2556288777888991}, {3., 
         0.06721387336245144}, {5., 
         0.24708968037104917`}}, $CellContext`Gates[
         2928598, "derivative", "student"] = {{2., 0.09433846378340505}, {
         3., -1.076610083699506}, {5., 
         0.23813427072528004`}}, $CellContext`Gates[
         2937262, "derivative", "student"] = {{2., 0.13207063934066543`}, {3.,
          0.07559809090151681}, {5., 0.5984806952258896}}, $CellContext`Gates[
         2940929, "derivative", "student"] = {{2., -0.5214223811451415}, {3., 
         0.3925120532563895}, {5., 0.8936176861792973}}, $CellContext`Gates[
         3028282, "derivative", "student"] = {{2., -0.41648599879168646`}, {
         3., 1.3562700550006754`}, {
         5., -1.1440777486976597`}}, $CellContext`Gates[
         3035714, "derivative", "prof"] = {{1., 1.8961884162914746`}, {
         2., -0.11049015472987822`}, {3., -0.25772126560220343`}, {4., 
         1.5461555725493126`}, {5., 1.6068094401835245`}, {6., 
         1.8732533927983148`}}, $CellContext`Gates[
         3035714, "polar", "prof"] = {{1., 0.9532847873311633}, {
         2., -0.14972056962844552`}, {3., -0.21597456952099173`}, {4., 
         0.7957700076471904}, {5., 0.8230642480825859}, {6., 
         0.9429640267592417}}, $CellContext`Gates[
         3040095, "derivative", "student"] = {{2., -0.7426282388880874}, {
         3., -0.8194038001001789}, {
         5., -0.46135050078509465`}}, $CellContext`Gates[
         3086638, "derivative", "student"] = {{2., -0.6448244261818266}, {3., 
         1.0494754451411197`}, {5., 1.0069495406462252`}}, $CellContext`Gates[
         3096964, "derivative", "student"] = {{2., 0.15753534813453562`}, {
         3., -0.45658163749900993`}, {5., 
         0.910910642244712}}, $CellContext`Gates[
         3109218, "derivative", "student"] = {{2., -0.560996745055351}, {
         3., -0.3130868473864421}, {5., 
         1.105348995112231}}, $CellContext`Gates[
         3154762, "integral", "student"] = {{2., 0.2115139472203733}, {
         3., -0.11666196348839997`}, {5., 
         0.20155782092378327`}}, $CellContext`Gates[
         3154762, "polar", "prof"] = {{1., 0.5759063812458399}, {
         2., -0.8383957990947398}, {3., 0.8159945149274125}, {4., 
         0.4197591290409587}, {5., 0.13873860038305788`}, {6., 
         0.8721749980310877}}, $CellContext`Gates[
         3166566, "polar", "student"] = {{2., 0.9496276352273845}, {3., 
         0.2632457091904503}, {5., 0.4315496388037092}}, $CellContext`Gates[
         3219161, "derivative", "student"] = {{2., 0.683196858124326}, {
         3., -0.6892688894188415}, {
         5., -0.46386055635087775`}}, $CellContext`Gates[
         3234467, "derivative", "student"] = {{2., 0.14813524691752278`}, {
         3., -0.8866945674553657}, {
         5., -0.4596031087513861}}, $CellContext`Gates[
         3234467, "integral", "student"] = {{2., 0.03950273251133929}, {
         3., -0.196949152143425}, {
         5., -0.3195099811437947}}, $CellContext`Gates[
         3255407, "derivative", "student"] = {{2., 0.18231370842744798`}, {3.,
          0.8096922398108637}, {5., 0.2596167360963637}}, $CellContext`Gates[
         3273810, "derivative", "prof"] = {{1., -0.5962039536521146}, {
         2., -1.121931520961403}, {3., -0.03134222711633328}, {4., 
         0.939589037265316}, {5., -0.904450552630002}, {
         6., -0.5338854761865255}}, $CellContext`Gates[
         3273810, "integral", "student"] = {{2., -0.11924079073042315`}, {
         3., -0.3436270949227038}, {
         5., -0.3498955403459707}}, $CellContext`Gates[
         3274033, "derivative", "student"] = {{2., -0.8754728575067485}, {
         3., -1.098163174404652}, {
         5., -0.13848122552188613`}}, $CellContext`Gates[
         3389841, "derivative", "student"] = {{2., 0.36617380235537844`}, {
         3., -0.28902784121469693`}, {
         5., -0.9064981753711221}}, $CellContext`Gates[
         3392857, "integral", "student"] = {{2., 0.11213425288617707`}, {3., 
         0.19234076498530372`}, {5., 
         0.14136739297494438`}}, $CellContext`Gates[
         3392857, "polar", "prof"] = {{1., 0.3523020689938988}, {2., 
         0.28046465222303485`}, {3., -0.21469008702330808`}, {
         4., -0.19036043190466403`}, {5., 0.9626217277571668}, {6., 
         0.6578773591305714}}, $CellContext`Gates[
         3450080, "derivative", "student"] = {{2., 1.4940379331896017`}, {3., 
         1.3641944820857423`}, {
         5., -1.0422037891102418`}}, $CellContext`Gates[
         3469224, "polar", "math major"] = {{1.5, 0.10968044785997214`}, {
         3., -0.47296045972232326`}, {4.3, 0.3435426189548444}, {
         5.3, -0.5852514096124052}}, $CellContext`Gates[
         3469224, "polar", "prof"] = {{1., 0.10968044785997214`}, {
         2., -0.47296045972232326`}, {3., 0.3435426189548444}, {
         4., -0.5852514096124052}, {5., 0.18478093044483038`}, {6., 
         0.18030279349722003`}}, $CellContext`Gates[
         3469224, "polar", "student"] = {{2., 0.5548402239299861}, {3., 
         0.3635197701388384}, {5., 0.6717713094774223}}, $CellContext`Gates[
         3473280, "derivative", "student"] = {{2., 0.935307135464492}, {3., 
         1.0927538600268951`}, {5., -0.7948731033237504}}, $CellContext`Gates[
         3502415, "polar", "prof"] = {{1., -0.5572548903352968}, {
         2., -0.7449643580649478}, {3., -0.3049552240649004}, {
         4., -0.2591697332715731}, {5., -0.7218188870091272}, {6., 
         0.20136289894960094`}}, $CellContext`Gates[
         3511905, "derivative", "prof"] = {{1., -0.8624409006635734}, {2., 
         1.1419007705118789`}, {3., 1.6448969933788629`}, {
         4., -0.6331628740817541}, {5., -1.6500705831572615`}, {
         6., -1.73977186526223}}, $CellContext`Gates[
         3511905, "polar", "prof"] = {{1., -0.48809840529860826`}, {2., 
         0.6138553467303453}, {3., 0.840203647020488}, {
         4., -0.38492329333678954`}, {5., -0.8425317624207679}, {
         6., -0.8828973393680036}}, $CellContext`Gates[
         3517320, "derivative", "student"] = {{2., 0.5278418699992624}, {3., 
         0.023707708431221164`}, {
         5., -1.0249074504753097`}}, $CellContext`Gates[
         3522501, "derivative", "student"] = {{2., -0.978434088758227}, {
         3., -0.9395300577338608}, {
         5., -1.0460818265064997`}}, $CellContext`Gates[
         3533642, "derivative", "student"] = {{2., -1.0520419324690278`}, {3.,
          1.3869247494526826`}, {5., 
         1.2982432588171138`}}, $CellContext`Gates[
         3563413, "polar", "prof"] = {{1., -0.7085589554234505}, {2., 
         0.5550315455402334}, {3., -0.38785522863701904`}, {
         4., -0.5952017776835307}, {5., 0.8965367496897402}, {6., 
         0.9107820667239984}}, $CellContext`Gates[
         3627975, "derivative", "student"] = {{2., 1.4454873302277802`}, {3., 
         1.486072582800066}, {5., -1.1689044469319816`}}, $CellContext`Gates[
         3630952, "polar", "prof"] = {{1., -0.49934136912633675`}, {
         2., -0.2198950382195907}, {3., 0.7551821301706022}, {
         4., -0.8813467594168948}, {5., -0.5969734422365661}, {
         6., -0.27718808543347107`}}, $CellContext`Gates[
         3672825, "derivative", "student"] = {{2., 0.9820292909093622}, {3., 
         0.6204259578632616}, {5., 0.6102573652494705}}, $CellContext`Gates[
         3683777, "derivative", "student"] = {{2., 1.3096861603567111`}, {
         3., -0.021372072616449245`}, {5., 
         0.17109081745624444`}}, $CellContext`Gates[
         3726226, "derivative", "math major"] = {{1.5, 0.5331485834212009}, {
         3., -1.6244105647155203`}, {4.3, 0.9363029042294162}, {5.5, 
         0.9551569227562693}}, $CellContext`Gates[
         3726226, "integral", "math major"] = {{1.5, 0.1881700882663062}, {
         3., -0.385151287515642}, {4.3, -0.05469143896408335}, {5.5, 
         0.28242276906754116`}}, $CellContext`Gates[
         3726226, "polar", "math major"] = {{1.5, 0.3822551323994591}, {
         3., -0.9599820636729227}, {4.3, 0.5956897728273381}, {5.5, 
         0.6056713120474363}}, $CellContext`Gates[
         3730066, "polar", "prof"] = {{1., -0.7083023587199667}, {2., 
         0.2666119081534938}, {3., 0.10808640712612752`}, {
         4., -0.7190165854940233}, {5., -0.6993165230112853}, {6., 
         0.8090786194805152}}, $CellContext`Gates[
         3733650, "polar", "prof"] = {{1., 0.348027118003598}, {2., 
         0.5368174103470199}, {3., -0.662995883966717}, {4., 
         0.5065303077216238}, {5., 0.16406647271057642`}, {
         6., -0.9419970567685784}}, $CellContext`Gates[
         3741696, "polar", "student"] = {{2., 0.2249163963840193}, {3., 
         0.24068966927767746`}, {5., 0.9262544466193863}}, $CellContext`Gates[
         3743338, "derivative", "student"] = {{2., -1.2571120187777565`}, {3.,
          1.4916153631078632`}, {
         5., -0.1636879838222347}}, $CellContext`Gates[
         3743999, "derivative", "student"] = {{2., 0.4251603504942043}, {3., 
         1.2967963832006832`}, {5., 1.3002946390744299`}}, $CellContext`Gates[
         3744010, "derivative", "student"] = {{2., 1.1467972752317497`}, {3., 
         0.3275681843769753}, {
         5., -0.31983149598538585`}}, $CellContext`Gates[
         3750000, "polar", "prof"] = {{1., 0.9870537955519006}, {2., 
         0.1324739300531789}, {3., -0.21567206506683326`}, {
         4., -0.9464734175767712}, {5., -0.9529344938293293}, {6., 
         0.18037770093434605`}}, $CellContext`Gates[
         3768806, "derivative", "student"] = {{2., 0.7596930892190539}, {3., 
         0.3922486946834436}, {
         5., -0.38547987780162707`}}, $CellContext`Gates[
         3828227, "derivative", "student"] = {{2., -1.1899315820513445`}, {3.,
          1.1628931731900183`}, {5., 
         0.002194254914901883}}, $CellContext`Gates[
         3839477, "derivative", "student"] = {{2., 0.4949497033803274}, {
         3., -1.2797380865582455`}, {5., 
         0.26425250752904184`}}, $CellContext`Gates[
         3857919, "derivative", "student"] = {{2., 1.1897822920080685`}, {
         3., -1.404624119806961}, {
         5., -0.4976194831098404}}, $CellContext`Gates[
         3868917, "derivative", "student"] = {{2., -1.1091239655263152`}, {3.,
          0.12523344013865412`}, {5., 
         0.6160584829108151}}, $CellContext`Gates[
         3869048, "derivative", "prof"] = {{1., -0.2959697625888644}, {2., 
         0.6513780405713891}, {3., -0.2197605908703535}, {
         4., -0.07410351833739526}, {5., 1.6849091602262556`}, {6., 
         0.45349194679074323`}}, $CellContext`Gates[
         3869048, "integral", "student"] = {{2., -0.05919395251777293}, {3., 
         0.07108165559650481}, {5., 0.02712953742243407}}, $CellContext`Gates[
         3886157, "derivative", "student"] = {{2., -1.053442549384262}, {
         3., -0.40922959198560793`}, {
         5., -0.45727598181113205`}}, $CellContext`Gates[
         3903893, "derivative", "student"] = {{2., -0.8517419396927997}, {
         3., -0.026687267848161333`}, {
         5., -0.7030399762875064}}, $CellContext`Gates[
         3917880, "derivative", "student"] = {{2., 1.314485543492367}, {
         3., -1.2326714510893213`}, {5., 
         0.3029175649810636}}, $CellContext`Gates[
         3920120, "derivative", "student"] = {{2., -0.9966349466804796}, {
         3., -0.41723412161123186`}, {5., 
         0.9232419413871575}}, $CellContext`Gates[
         3930409, "polar", "student"] = {{2., 0.6088241954803373}, {3., 
         0.38923801370384536`}, {5., 
         0.35114211158221154`}}, $CellContext`Gates[
         3947793, "polar", "math major"] = {{1.5, 0.7359811148779544}, {
         3., -0.4487833608053723}, {4.3, -0.24054358282000834`}, {
         5.5, -0.9669803850301563}}, $CellContext`Gates[
         3988095, "integral", "student"] = {{2., 0.21740057502992416`}, {3., 
         0.3946565682115428}, {5., 0.5809386381576165}}, $CellContext`Gates[
         3990048, "polar", "prof"] = {{1., 0.292386970731103}, {
         2., -0.604787545445462}, {3., 0.8711031346863715}, {
         4., -0.9858306912913893}, {5., 0.43414325447264124`}, {
         6., -0.5061211677905656}}, $CellContext`Gates[
         4000555, "polar", "math major"] = {{1.5, -0.48227104171263}, {
         3., -0.7251273827710695}, {4.3, -0.5924779386150573}, {
         5.3, -0.404791870685011}}, $CellContext`Gates[
         4065718, "derivative", "student"] = {{2., -0.03353845657896137}, {
         3., -0.40538635231318576`}, {5., 
         0.9075410265047337}}, $CellContext`Gates[
         4069002, "derivative", "student"] = {{2., -0.1905567826875494}, {
         3., -0.4828952192379816}, {
         5., -0.646081250261231}}, $CellContext`Gates[
         4095901, "derivative", "student"] = {{2., -0.7695197067023338}, {3., 
         1.1830128028640248`}, {5., -0.9064984379656003}}, $CellContext`Gates[
         4201100, "polar", "student"] = {{2., 0.12148177272981378`}, {3., 
         0.9692754232828573}, {5., 0.32456648328271487`}}, $CellContext`Gates[
         4202452, "derivative", "student"] = {{2., -0.9099131223826409}, {
         3., -1.4833024554487437`}, {5., 
         0.013365734853016065`}}, $CellContext`Gates[
         4219653, "polar", "prof"] = {{1., 0.6142817376984738}, {
         2., -0.3986625083123191}, {3., 0.43323577237176225`}, {
         4., -0.9334119312891996}, {5., 0.8552432638715851}, {
         6., -0.3306196644507441}}, $CellContext`Gates[
         4226190, "derivative", "prof"] = {{1., 1.9349070317341086`}, {
         2., -1.8771760128088815`}, {3., -1.2778369255434248`}, {4., 
         1.5406399539428435`}, {5., -1.4761292402673085`}, {
         6., -0.12140339204908468`}}, $CellContext`Gates[
         4226190, "integral", "student"] = {{2., 0.38698140634682154`}, {3., 
         0.011546203785045117`}, {
         5., -0.24402118132363992`}}, $CellContext`Gates[
         4226190, "polar", "prof"] = {{1., 0.9707081642803489}, {
         2., -0.9447292057639968}, {3., -0.6750266164945414}, {4., 
         0.7932879792742796}, {5., -0.7642581581202891}, {
         6., -0.15463152642208824`}}, $CellContext`Gates[
         4255641, "derivative", "student"] = {{2., 0.9289929946051991}, {3., 
         0.7268113686081037}, {5., 0.6947913894893851}}, $CellContext`Gates[
         4312215, "polar", "prof"] = {{1., 0.46216070719492197`}, {
         2., -0.9191455727580439}, {3., -0.42859727413063}, {4., 
         0.21775723224314794`}, {5., -0.4250115251790624}, {6., 
         0.7567061515625076}}, $CellContext`Gates[
         4318975, "derivative", "student"] = {{2., -0.49104161028418325`}, {
         3., -0.33243878488921474`}, {
         5., -1.1126373884643899`}}, $CellContext`Gates[
         4328577, "derivative", "student"] = {{2., 1.2762552770740552`}, {3., 
         1.13784059351297}, {5., -0.5104810322637641}}, $CellContext`Gates[
         4332645, "polar", "prof"] = {{1., -0.3951233035186451}, {
         2., -0.1467986247513803}, {3., 0.7149407671445934}, {4., 
         0.9591795025006221}, {5., 0.467493581698076}, {6., 
         0.13956668410305131`}}, $CellContext`Gates[
         4333983, "polar", "math major"] = {{1.5, -0.3913401739093335}, {3., 
         0.32577057850025815`}, {4.3, 0.27637015292239064`}, {
         5.3, -0.11532922336953214`}}, $CellContext`Gates[
         4335664, "derivative", "student"] = {{2., 0.08228342147544687}, {
         3., -0.1199380092586324}, {
         5., -0.4229106406695031}}, $CellContext`Gates[
         4345238, "derivative", "prof"] = {{1., -0.7856901859911991}, {2., 
         1.9248650428262195`}, {3., -1.6482371318388305`}, {
         4., -1.720015817225133}, {5., 1.4427407976849063`}, {
         6., -1.4239599372716718`}}, $CellContext`Gates[
         4345238, "polar", "prof"] = {{1., -0.4535605836960398}, {2., 
         0.9661892692717985}, {3., -0.8417067093274738}, {
         4., -0.8740071177513099}, {5., 0.7492333589582078}, {
         6., -0.7407819717722525}}, $CellContext`Gates[
         4356696, "polar", "prof"] = {{1., -0.4672944613474178}, {2., 
         0.8401720750929517}, {3., 0.1197216406103209}, {
         4., -0.9415491569578268}, {5., -0.8103525566671842}, {6., 
         0.9526284071634107}}, $CellContext`Gates[
         4358592, "polar", "math major"] = {{1.5, -0.32946575869198147`}, {
         3., -0.7043701955433542}, {4.5, 0.23881034317574415`}, {5.5, 
         0.7222584133857158}}, $CellContext`Gates[
         4358592, "polar", "prof"] = {{1., -0.32946575869198147`}, {
         2., -0.7043701955433542}, {3., 0.23881034317574415`}, {4., 
         0.7222584133857158}, {5., 0.9546003233025208}, {6., 
         0.46043295085907}}, $CellContext`Gates[
         4394192, "polar", "math major"] = {{1.5, -0.7350837277324714}, {
         3., -0.1081786647093165}, {4.5, -0.8953375337434829}, {5.5, 
         0.66603725305601}}, $CellContext`Gates[
         4408299, "derivative", "student"] = {{2., 0.5802554395606156}, {
         3., -1.0106468438382032`}, {5., 
         1.4231691625329903`}}, $CellContext`Gates[
         4455532, "derivative", "student"] = {{2., -1.4985717169838049`}, {3.,
          1.0732135597855228`}, {5., 0.6075739593587342}}, $CellContext`Gates[
         4464286, "derivative", "prof"] = {{1., 1.5401277234303636`}, {
         2., -0.15436909347261363`}, {3., 0.4149606390674476}, {4., 
         0.7968424940818304}, {5., -1.0930019071119839`}, {
         6., -0.03662060147750967}}, $CellContext`Gates[
         4464286, "integral", "student"] = {{2., 0.3080255446860727}, {3., 
         0.2771517259915499}, {5., 0.36014385380503944`}}, $CellContext`Gates[
         4480709, "derivative", "student"] = {{2., -0.1416085678525043}, {
         3., -1.4316761625482757`}, {5., 
         1.175878339673396}}, $CellContext`Gates[
         4498996, "polar", "math major"] = {{1.5, -0.7424509666486422}, {
         3., -0.7181495326024571}, {4.3, 0.7071524025852262}, {5.5, 
         0.7748604592474221}}, $CellContext`Gates[
         4504318, "derivative", "student"] = {{2., -0.15354185036989243`}, {
         3., -1.3394012475422432`}, {
         5., -0.3795578448946335}}, $CellContext`Gates[
         4560137, "derivative", "student"] = {{2., 1.1426036117035245`}, {
         3., -1.039525358072515}, {5., 
         0.24418059185730812`}}, $CellContext`Gates[
         4573944, "derivative", "student"] = {{2., 1.199762705687081}, {
         3., -1.351588176583188}, {5., 
         1.2686758079336515`}}, $CellContext`Gates[
         4579454, "derivative", "student"] = {{2., -0.05332326211019023}, {3.,
          0.11380177583752005`}, {5., 
         0.5863790376989639}}, $CellContext`Gates[
         4583333, "derivative", "prof"] = {{1., -0.008586152726133278}, {2., 
         1.0399312686234454`}, {3., -1.4749490075839145`}, {
         4., -0.49051547386595296`}, {5., 0.9359229986560393}, {6., 
         1.3539742832700137`}}, $CellContext`Gates[
         4625036, "derivative", "student"] = {{2., 0.13279545293376405`}, {
         3., -0.033865588287337545`}, {
         5., -1.201543936554665}}, $CellContext`Gates[
         4647761, "derivative", "student"] = {{2., 0.021881610041901034`}, {
         3., 0.03088594527313404}, {5., 
         0.18600735751622555`}}, $CellContext`Gates[
         4669740, "derivative", "student"] = {{2., 0.7120422115654685}, {3., 
         0.9038109548564419}, {5., -1.1538977840882039`}}, $CellContext`Gates[
         4702381, "polar", "math major"] = {{1.5, -0.8355206028571488}, {3., 
         0.6814158385913912}, {4.3, 0.6040945760377706}, {5.3, 
         0.40152938105816716`}}, $CellContext`Gates[
         4702381, "polar", "prof"] = {{1., -0.8355206028571488}, {2., 
         0.6814158385913912}, {3., 0.6040945760377706}, {4., 
         0.40152938105816716`}, {5., 0.8342889114089823}, {
         6., -0.5574232804566982}}, $CellContext`Gates[
         4714602, "polar", "prof"] = {{1., -0.41944156410724653`}, {2., 
         0.4239919209455455}, {3., -0.3420358143341672}, {4., 
         0.7533165378785042}, {5., 0.6751411265187527}, {6., 
         0.9834208726123398}}, $CellContext`Gates[
         4717081, "derivative", "student"] = {{2., -0.21445090492511198`}, {
         3., -0.03834240661528732}, {5., 
         1.4023918653136906`}}, $CellContext`Gates[
         4722869, "derivative", "student"] = {{2., -0.7868983225225472}, {3., 
         0.9037616959360815}, {5., 0.5292227602815229}}, $CellContext`Gates[
         4729944, "derivative", "student"] = {{2., -1.0506511315079727`}, {3.,
          0.08522502009800625}, {
         5., -0.6470829434036913}}, $CellContext`Gates[
         4733747, "derivative", "student"] = {{2., -1.0866986659447928`}, {3.,
          1.151132664256064}, {5., -0.6454499852017785}}, $CellContext`Gates[
         4774390, "derivative", "student"] = {{2., -1.4167615435183007`}, {3.,
          1.1067766037907614`}, {5., 
         1.0507108012386759`}}, $CellContext`Gates[
         4775717, "polar", "prof"] = {{1., 0.6669869268009915}, {2., 
         0.31626455319172064`}, {3., -0.590179607896581}, {4., 
         0.16551480100963847`}, {5., -0.13387787955362543`}, {
         6., -0.3734991117718315}}, $CellContext`Gates[
         4809712, "derivative", "student"] = {{2., -0.05673389397276729}, {
         3., -1.0276073549714795`}, {
         5., -0.9019164901893859}}, $CellContext`Gates[
         4821429, "integral", "student"] = {{2., -0.01603893652498134}, {
         3., -0.06564155114717218}, {5., 
         0.32692317760528833`}}, $CellContext`Gates[
         4821429, "polar", "math major"] = {{1.5, -0.1360876071812082}, {
         3., -0.21160588289992913`}, {4.3, 0.9832706396930363}, {5.3, 
         0.5327053470522184}}, $CellContext`Gates[
         4821429, "polar", "prof"] = {{1., -0.1360876071812082}, {
         2., -0.21160588289992913`}, {3., 0.9832706396930363}, {4., 
         0.5327053470522184}, {5., 0.3207951448877563}, {6., 
         0.2500301987397803}}, $CellContext`Gates[
         4865568, "derivative", "student"] = {{2., 0.9502945449555629}, {
         3., -0.6128249787585478}, {5., 
         0.4223252961701869}}, $CellContext`Gates[
         4900601, "derivative", "student"] = {{2., 1.4730519063033425`}, {
         3., -0.7500125716309718}, {5., 
         0.16841370855354576`}}, $CellContext`Gates[
         4903371, "polar", "student"] = {{2., 0.41689006042053767`}, {3., 
         0.5702764844149868}, {5., 0.23406391615781244`}}, $CellContext`Gates[
         4922902, "integral", "student"] = {{2., 0.30787625976020694`}, {3., 
         0.2689160773311492}, {5., 0.10708091927705787`}}, $CellContext`Gates[
         4940476, "derivative", "prof"] = {{1., -0.7279435368023233}, {
         2., -1.7141835890207195`}, {3., 0.6894484054078838}, {4., 
         1.6534199913996082`}, {5., 1.855188443366619}, {6., 
         0.8898220960271201}}, $CellContext`Gates[
         4940476, "integral", "student"] = {{2., -0.1455887073604647}, {
         3., -0.48842542516460874`}, {
         5., -0.3505357440830321}}, $CellContext`Gates[
         4940476, "polar", "math major"] = {{1.5, -0.4275745915610457}, {
         3., -0.8713826150593239}, {4.3, 0.41025178243354776`}, {5.3, 
         0.8440389961298237}}, $CellContext`Gates[
         4940476, "polar", "prof"] = {{1., -0.4275745915610457}, {
         2., -0.8713826150593239}, {3., 0.41025178243354776`}, {4., 
         0.8440389961298237}, {5., 0.9348347995149785}, {6., 
         0.5004199432122037}}, $CellContext`Gates[
         4966007, "derivative", "student"] = {{2., 1.3270828872154858`}, {3., 
         1.1453877074779157`}, {5., 0.6637852214281539}}, $CellContext`Gates[
         4993834, "derivative", "student"] = {{2., 0.6066200639666004}, {
         3., -0.3755406608154628}, {5., 
         0.4502067329896233}}, $CellContext`Gates[
         5034653, "derivative", "student"] = {{2., 1.0013588130541908`}, {3., 
         1.3642537278616276`}, {5., 0.8315068058142883}}, $CellContext`Gates[
         5059524, "derivative", "prof"] = {{1., -1.8117781592201316`}, {2., 
         0.4802324860326834}, {3., -1.8043026293449511`}, {
         4., -0.8688534055702322}, {5., 1.3606642084207845`}, {
         6., -1.5148543950657185`}}, $CellContext`Gates[
         5059524, "integral", "student"] = {{2., -0.3623556318440264}, {
         3., -0.26630913463748973`}, {
         5., -0.62716966050648}}, $CellContext`Gates[
         5059524, "polar", "math major"] = {{1.5, -0.9153001716490593}, {3., 
         0.3161046187147075}, {4.3, -0.9119361832052281}, {
         5.3, -0.4909840325066045}}, $CellContext`Gates[
         5059524, "polar", "prof"] = {{1., -0.9153001716490593}, {2., 
         0.3161046187147075}, {3., -0.9119361832052281}, {
         4., -0.4909840325066045}, {5., 0.7122988937893527}, {
         6., -0.7816844777795734}}, $CellContext`Gates[
         5107967, "polar", "math major"] = {{1.5, 0.5256032924780677}, {
         3., -0.3715566657977457}, {4.3, -0.5714402948153}, {
         5.3, -0.2690038077581137}}, $CellContext`Gates[
         5118348, "polar", "prof"] = {{1., -0.18085732226963006`}, {
         2., -0.2774121381581217}, {3., -0.8135142887428887}, {
         4., -0.13903769643839894`}, {5., -0.6573861983023658}, {
         6., -0.19792054144863416`}}, $CellContext`Gates[
         5125418, "derivative", "student"] = {{2., 0.5045530335992829}, {
         3., -0.6297116880038178}, {
         5., -0.9517351208232698}}, $CellContext`Gates[
         5125910, "derivative", "student"] = {{2., 0.9950946174148845}, {
         3., -0.2655060610766018}, {5., 
         0.984293143245301}}, $CellContext`Gates[
         5129786, "derivative", "student"] = {{2., 0.41681637746866773`}, {3.,
          1.1763449002215731`}, {5., 
         0.31946017954137673`}}, $CellContext`Gates[
         5152177, "polar", "prof"] = {{1., 0.6597611881368873}, {
         2., -0.7447784824982969}, {3., -0.4216705126543693}, {
         4., -0.313598030316958}, {5., -0.9095019403688264}, {
         6., -0.5978113458184618}}, $CellContext`Gates[
         5157710, "derivative", "student"] = {{2., 0.6120305905646299}, {
         3., -1.281789166817846}, {
         5., -1.3035768473767089`}}, $CellContext`Gates[
         5178571, "integral", "student"] = {{2., -0.01884897863488244}, {
         3., -0.30241978679245407`}, {
         5., -0.3546728227270983}}, $CellContext`Gates[
         5178571, "polar", "math major"] = {{1.5, -0.14241020192848533`}, {
         3., -0.7380343183545363}, {4.3, -0.21756933085294908`}, {
         5.3, -0.8108403850342515}}, $CellContext`Gates[
         5178571, "polar", "prof"] = {{1., -0.14241020192848533`}, {
         2., -0.7380343183545363}, {3., -0.21756933085294908`}, {
         4., -0.8108403850342515}, {5., -0.16154454979552693`}, {6., 
         0.331437543701003}}, $CellContext`Gates[
         5214190, "derivative", "student"] = {{2., -0.5051621100579617}, {3., 
         0.8740497210506035}, {5., 0.4025238527984003}}, $CellContext`Gates[
         5232723, "derivative", "student"] = {{2., -0.8631947878471262}, {3., 
         0.036735389228347515`}, {
         5., -1.4185834897042522`}}, $CellContext`Gates[
         5288284, "derivative", "student"] = {{2., -0.0944140619070204}, {3., 
         0.09936584008675187}, {5., -0.8285878271538252}}, $CellContext`Gates[
         5297619, "derivative", "prof"] = {{1., 1.5459674373631511`}, {2., 
         0.5541054464625015}, {3., 0.961049491259212}, {
         4., -1.5887853377166268`}, {5., -1.311448520098498}, {
         6., -0.3641076525867657}}, $CellContext`Gates[
         5297619, "integral", "student"] = {{2., 0.3091934874726301}, {3., 
         0.4200145767651302}, {5., 0.6122244750169725}}, $CellContext`Gates[
         5297619, "polar", "math major"] = {{1.5, 0.7956853468134181}, {3., 
         0.3493474509081257}, {4.3, 0.5324722710666453}, {
         5.3, -0.8149534019724821}}, $CellContext`Gates[
         5297619, "polar", "prof"] = {{1., 0.7956853468134181}, {2., 
         0.3493474509081257}, {3., 0.5324722710666453}, {
         4., -0.8149534019724821}, {5., -0.6901518340443243}, {
         6., -0.2638484436640448}}, $CellContext`Gates[
         5304320, "integral", "student"] = {{2., 0.0016519639733019176`}, {
         3., -0.25911455202612954`}, {
         5., -0.1380634144168691}}, $CellContext`Gates[
         5349934, "derivative", "student"] = {{2., 0.4571343497186815}, {
         3., -1.0621374942245936`}, {5., 
         0.4134946993621611}}, $CellContext`Gates[
         5365071, "derivative", "student"] = {{2., -1.3923191404843909`}, {
         3., -1.096256437442375}, {5., 
         0.8195674160386766}}, $CellContext`Gates[
         5376398, "derivative", "student"] = {{2., -0.1804885511533918}, {3., 
         1.066252088522809}, {5., -1.0260699215418763`}}, $CellContext`Gates[
         5389898, "polar", "prof"] = {{1., 0.6851001808038027}, {2., 
         0.8080243557419834}, {3., 0.7122686140651514}, {4., 
         0.8525759311577227}, {5., 0.5860853182238251}, {
         6., -0.8210434732044373}}, $CellContext`Gates[
         5399032, "derivative", "student"] = {{2., 0.7734544243889863}, {3., 
         0.797623963729218}, {5., 1.2678156676534158`}}, $CellContext`Gates[
         5416667, "derivative", "prof"] = {{1., 0.25823490198707866`}, {2., 
         1.381678782834796}, {3., 1.8749612055115623`}, {4., 
         0.30734105602931105`}, {5., 0.9770609557887022}, {6., 
         0.7993304580608216}}, $CellContext`Gates[
         5421991, "polar", "prof"] = {{1., -0.47770123731279346`}, {2., 
         0.3471984925356816}, {3., -0.5123840567367565}, {4., 
         0.25568123123254105`}, {5., 0.4472995622459516}, {
         6., -0.6424068417760352}}, $CellContext`Gates[
         5437893, "derivative", "student"] = {{2., 0.4648100385553464}, {3., 
         0.826534493594056}, {5., 0.34077083494678995`}}, $CellContext`Gates[
         5463622, "derivative", "student"] = {{2., 0.10172443504137352`}, {3.,
          1.290125793640227}, {5., -1.0897436658587578`}}, $CellContext`Gates[
         5472520, "derivative", "student"] = {{2., -1.0574282790004013`}, {3.,
          0.9894180716561642}, {
         5., -1.1541850937149647`}}, $CellContext`Gates[
         5516319, "derivative", "student"] = {{2., -0.597822018024929}, {3., 
         1.0702787798531475`}, {5., -0.7372245098449701}}, $CellContext`Gates[
         5522730, "polar", "math major"] = {{1.5, -0.5935532772136448}, {3., 
         0.7273105185917433}, {4.5, 0.5676510423479483}, {5.5, 
         0.3761148357795582}}, $CellContext`Gates[
         5535714, "derivative", "prof"] = {{1., -0.5306683738550682}, {2., 
         0.2856129441556803}, {3., -0.2704513423560453}, {4., 
         0.5793158963942453}, {5., 0.07177310894272004}, {
         6., -1.9733566688007462`}}, $CellContext`Gates[
         5535714, "integral", "student"] = {{2., -0.10613367477101376`}, {
         3., -0.049011085939877796`}, {
         5., -0.10310135441108703`}}, $CellContext`Gates[
         5535714, "polar", "math major"] = {{1.5, -0.33880076823478056`}, {3.,
          0.22852582487005604`}, {4.3, -0.22170310406022056`}, {5.3, 
         0.36069215337741045`}}, $CellContext`Gates[
         5535714, "polar", "prof"] = {{1., -0.33880076823478056`}, {2., 
         0.22852582487005604`}, {3., -0.22170310406022056`}, {4., 
         0.36069215337741045`}, {5., 0.13229789902422376`}, {
         6., -0.9880105009603358}}, $CellContext`Gates[
         5535797, "derivative", "student"] = {{2., 0.019033762645930707`}, {
         3., 0.4336821414849279}, {5., 
         1.427859071898455}}, $CellContext`Gates[
         5550577, "derivative", "student"] = {{2., 0.5720586716019742}, {
         3., -0.7911351663593305}, {
         5., -0.9575323757876424}}, $CellContext`Gates[
         5585387, "derivative", "student"] = {{2., 0.12043330026971422`}, {
         3., -0.8248756003030855}, {5., 
         0.5340926226387399}}, $CellContext`Gates[
         5589529, "polar", "math major"] = {{1.5, 0.40979003945886683`}, {
         3., -0.2413477807161434}, {4.3, 0.2869468572439996}, {5.3, 
         0.43944290221265836`}}, $CellContext`Gates[
         5604513, "derivative", "student"] = {{2., -0.4888124077521887}, {
         3., -0.2992880514198042}, {
         5., -0.15222921291787372`}}, $CellContext`Gates[
         5654762, "integral", "student"] = {{2., 0.02135003099154309}, {
         3., -0.19882236167106437`}, {5., 
         0.09112135827882029}}, $CellContext`Gates[
         5654762, "polar", "math major"] = {{1.5, 0.14803756973097207`}, {
         3., -0.5953878834908667}, {4.5, 0.7523733698872407}, {5.5, 
         0.9166651254277495}}, $CellContext`Gates[
         5654762, "polar", "prof"] = {{1., 0.14803756973097207`}, {
         2., -0.5953878834908667}, {3., 0.7523733698872407}, {4., 
         0.9166651254277495}, {5., 0.8795840608115423}, {
         6., -0.8149838136562667}}, $CellContext`Gates[
         5665854, "derivative", "student"] = {{2., 0.781739614166229}, {
         3., -1.4831523035453538`}, {
         5., -0.21621329685601598`}}, $CellContext`Gates[
         5670409, "polar", "prof"] = {{1., -0.8070227741776824}, {2., 
         0.11135099935935946`}, {3., -0.16989102300429063`}, {
         4., -0.380052440709309}, {5., -0.8723188545872268}, {6., 
         0.4462253362275187}}, $CellContext`Gates[
         5688610, "polar", "prof"] = {{1., -0.9247582237288091}, {2., 
         0.39423735737893295`}, {3., -0.10135371117366967`}, {4., 
         0.3112634587105013}, {5., 0.496258353146131}, {
         6., -0.7297145424039532}}, $CellContext`Gates[
         5703593, "derivative", "student"] = {{2., 0.24550296140347694`}, {3.,
          0.4744857148539978}, {5., 1.1317290196880183`}}, $CellContext`Gates[
         5715680, "polar", "math major"] = {{1.5, 0.7333539378535446}, {3., 
         0.5728508549313277}, {4.3, -0.7717691871143105}, {5.3, 
         0.4698154692709616}}, $CellContext`Gates[
         5730219, "polar", "math major"] = {{1.5, -0.2134714208238754}, {3., 
         0.9603510372094893}, {4.3, -0.1779359554452488}, {5.5, 
         0.24691530434118505`}}, $CellContext`Gates[
         5757532, "polar", "math major"] = {{1.5, -0.2078711722137946}, {3., 
         0.1574514518443765}, {4.5, 0.22510544330045726`}, {5.5, 
         0.6731688133597399}}, $CellContext`Gates[
         5773810, "polar", "math major"] = {{1.5, -0.9734090111029586}, {3., 
         0.7295178606828999}, {4.5, 0.8778654347408507}, {5.5, 
         0.34817859103976045`}}, $CellContext`Gates[
         5773810, "polar", "prof"] = {{1., -0.9734090111029586}, {2., 
         0.7295178606828999}, {3., 0.8778654347408507}, {4., 
         0.34817859103976045`}, {5., 0.3177556345255951}, {6., 
         0.8141325332367656}}, $CellContext`Gates[
         5782305, "polar", "prof"] = {{1., 0.5123889621153958}, {
         2., -0.591445239393252}, {3., -0.973937090786608}, {4., 
         0.584080823035935}, {5., 0.7451732826837508}, {6., 
         0.8095487207515112}}, $CellContext`Gates[
         5788320, "derivative", "student"] = {{2., 1.4670528145841768`}, {
         3., -1.290529010030352}, {5., 
         0.8903718823746578}}, $CellContext`Gates[
         5801183, "derivative", "student"] = {{2., -0.12291343088515294`}, {
         3., 0.07857082572318852}, {5., 
         0.23539006238837423`}}, $CellContext`Gates[
         5805646, "derivative", "student"] = {{2., -0.11993815566726873`}, {
         3., -0.2593748783144081}, {5., 
         0.28137800806044666`}}, $CellContext`Gates[
         5892857, "derivative", "prof"] = {{1., 0.7871214601332817}, {2., 
         1.9156199453248446`}, {3., -1.7216145268043288`}, {
         4., -0.9952501184384959}, {5., 0.2607558017905047}, {6., 
         1.442035106639155}}, $CellContext`Gates[
         5892857, "integral", "student"] = {{2., 0.1574242920266562}, {3., 
         0.5405482810916251}, {5., 0.19622537573075927`}}, $CellContext`Gates[
         5892857, "polar", "math major"] = {{1.5, 0.4542046570599768}, {3., 
         0.9620289753961798}, {4.5, -0.874726537061948}, {
         5.5, -0.5478625532973233}}, $CellContext`Gates[
         5892857, "polar", "prof"] = {{1., 0.4542046570599768}, {2., 
         0.9620289753961798}, {3., -0.874726537061948}, {
         4., -0.5478625532973233}, {5., 0.21734011080572682`}, {6., 
         0.7489157979876196}}, $CellContext`Gates[
         5923975, "derivative", "student"] = {{2., 0.96679641513078}, {
         3., -1.0990943509529068`}, {5., 
         1.2843857696783205`}}, $CellContext`Gates[
         5925652, "derivative", "student"] = {{2., 0.7199746130234832}, {
         3., -1.294900279321312}, {5., 
         1.0772341501280698`}}, $CellContext`Gates[
         5935850, "integral", "student"] = {{2., -0.030753843032900408`}, {
         3., -0.335021684558243}, {5., 
         0.018883102801387608`}}, $CellContext`Gates[
         5942726, "derivative", "student"] = {{2., 0.9358276821015803}, {
         3., -1.4675559081884137`}, {
         5., -1.291691690613563}}, $CellContext`Gates[
         6011905, "integral", "student"] = {{2., -0.3472861234623007}, {
         3., -0.6946111521747216}, {
         5., -0.9953382426904358}}, $CellContext`Gates[
         6011905, "polar", "math major"] = {{1.5, -0.8813937777901762}, {
         3., -0.8814813146029467}, {4.5, -0.7766359536603565}, {
         5.5, -0.8768724799460522}}, $CellContext`Gates[
         6012484, "polar", "student"] = {{2., 0.7877791032802945}, {3., 
         0.6449855650840208}, {5., 0.2913694106932381}}, $CellContext`Gates[
         6015857, "derivative", "student"] = {{2., 0.5939542970912033}, {3., 
         1.3382083264772282`}, {5., -1.396803778404931}}, $CellContext`Gates[
         6037601, "derivative", "student"] = {{2., -1.2498679489038214`}, {3.,
          0.11031214385934618`}, {
         5., -1.1713305971294927`}}, $CellContext`Gates[
         6047195, "polar", "math major"] = {{1.5, 0.8915107487306021}, {3., 
         0.22624931314472888`}, {4.5, 0.5151502112436382}, {5.5, 
         0.6741678747051746}}, $CellContext`Gates[
         6066837, "derivative", "student"] = {{2., 1.234287893110717}, {
         3., -0.36157213336040783`}, {
         5., -1.30042748426143}}, $CellContext`Gates[
         6091283, "integral", "student"] = {{2., 0.4103505855242666}, {3., 
         0.5395810800164951}, {5., 0.1578433793373375}}, $CellContext`Gates[
         6100077, "derivative", "student"] = {{2., -1.411799789310665}, {
         3., -1.0463796084144006`}, {5., 
         0.7171748359912575}}, $CellContext`Gates[
         6130952, "derivative", "prof"] = {{1., 1.1568613623521546`}, {2., 
         1.1622436934506393`}, {3., -0.08492974089858762}, {
         4., -0.15613101814284658`}, {5., -1.2779305410201074`}, {
         6., -0.13672121083806488`}}, $CellContext`Gates[
         6130952, "polar", "math major"] = {{1.5, 0.6205876130584697}, {3., 
         0.6230096620527877}, {4.3, -0.13821838340436435`}, {
         5.3, -0.1702589581642812}}, $CellContext`Gates[
         6134870, "polar", "student"] = {{2., 0.8238856858565846}, {3., 
         0.9376658438817829}, {5., 0.9937744492180691}}, $CellContext`Gates[
         6153910, "derivative", "student"] = {{2., -0.7256108765838256}, {
         3., -0.7724461999628609}, {5., 
         0.37038564879659575`}}, $CellContext`Gates[
         6161620, "derivative", "student"] = {{2., 1.1620591470304635`}, {3., 
         0.6773962299686893}, {
         5., -0.15701321472640917`}}, $CellContext`Gates[
         6174160, "derivative", "student"] = {{2., -1.2830043036980614`}, {
         3., -0.06268740009432072}, {
         5., -0.7899776032943073}}, $CellContext`Gates[
         6210738, "derivative", "student"] = {{2., -1.150770685468074}, {
         3., -0.4696236651895447}, {5., 
         0.8930462172055407}}, $CellContext`Gates[
         6228208, "derivative", "student"] = {{2., -0.5801244777855232}, {3., 
         1.3636688358550142`}, {
         5., -1.4694239148564465`}}, $CellContext`Gates[
         6233129, "polar", "prof"] = {{1., -0.6056066842331925}, {
         2., -0.8853081940184263}, {3., -0.4441316362651503}, {4., 
         0.16829483163843797`}, {5., 0.11850801841875028`}, {
         6., -0.8886892170065993}}, $CellContext`Gates[
         6250000, "derivative", "prof"] = {{1., 0.1690216480499922}, {
         2., -0.09437783673252831}, {3., 1.3814818049583923`}, {4., 
         0.985362948868806}, {5., 1.0506784733021721`}, {
         6., -1.69200314482441}}, $CellContext`Gates[
         6250000, "integral", "student"] = {{2., 0.03380432960999835}, {3., 
         0.014928762263492601`}, {5., 0.291225123255171}}, $CellContext`Gates[
         6250000, "polar", "prof"] = {{1., 0.17605974162249619`}, {
         2., -0.14247002652963783`}, {3., 0.7216668122312763}, {4., 
         0.5434133269909628}, {5., 0.5728053129859773}, {
         6., -0.8614014151709847}}, $CellContext`Gates[
         6251112, "polar", "student"] = {{2., 0.8046583153637747}, {3., 
         0.24282192748634104`}, {5., 0.8741057515998127}}, $CellContext`Gates[
         6259822, "derivative", "student"] = {{2., 1.0799347106655803`}, {
         3., -1.0769186789778264`}, {5., 
         0.5189188939277773}}, $CellContext`Gates[
         6272176, "derivative", "student"] = {{2., 0.3894896612322407}, {3., 
         0.1769220205452644}, {5., -1.1336483939308777`}}, $CellContext`Gates[
         6275210, "polar", "math major"] = {{1.5, -0.8020978104113538}, {
         3., -0.1979265012984545}, {4.3, 0.35215656620178704`}, {
         5.3, -0.8513966927906326}}, $CellContext`Gates[
         6313160, "derivative", "student"] = {{2., -1.1589777672436394`}, {3.,
          0.9705100992448426}, {5., 0.9489697572958296}}, $CellContext`Gates[
         6322281, "derivative", "student"] = {{2., -0.6212433252758851}, {
         3., -0.651185204727553}, {5., 
         1.1757165618164862`}}, $CellContext`Gates[
         6360641, "derivative", "student"] = {{2., -0.26888679490501044`}, {
         3., -0.17499191569219175`}, {5., 
         0.4447984750231253}}, $CellContext`Gates[
         6369048, "derivative", "prof"] = {{1., 0.9159602906944482}, {2., 
         1.054053767341566}, {3., 0.6129571115181234}, {
         4., -1.1908151061954886`}, {5., 1.3828546060113087`}, {
         6., -1.4505315920533857`}}, $CellContext`Gates[
         6369048, "integral", "student"] = {{2., 0.1831920581388895}, {3., 
         0.3940028116072025}, {5., 0.5165942339108271}}, $CellContext`Gates[
         6369048, "polar", "math major"] = {{1.5, 0.5121821308125017}, {3., 
         0.5743241953037045}, {4.3, 0.37583070018315545`}, {
         5.3, -0.6358667977879698}}, $CellContext`Gates[
         6398313, "derivative", "student"] = {{2., 1.2383951512709075`}, {
         3., -1.277222027819164}, {
         5., -0.19910601965443142`}}, $CellContext`Gates[
         6415104, "derivative", "student"] = {{2., 0.23380084531971956`}, {
         3., -1.4516169587625072`}, {5., 
         0.7742569049997075}}, $CellContext`Gates[
         6467295, "derivative", "student"] = {{2., -0.24965280417336722`}, {
         3., 1.213359741825835}, {5., 
         0.35011176024578106`}}, $CellContext`Gates[
         6488095, "integral", "student"] = {{2., 0.025279023381040266`}, {3., 
         0.17799952163205335`}, {5., 
         0.28392297547382883`}}, $CellContext`Gates[
         6488095, "polar", "math major"] = {{1.5, 0.15687780260734066`}, {3., 
         0.44362112106477924`}, {4.3, 0.3383277711439948}, {5.3, 
         0.11192630098067449`}}, $CellContext`Gates[
         6488095, "polar", "prof"] = {{1., 0.15687780260734066`}, {2., 
         0.44362112106477924`}, {3., 0.3383277711439948}, {4., 
         0.11192630098067449`}, {5., -0.8165128548948984}, {
         6., -0.7701578028666368}}, $CellContext`Gates[
         6542626, "polar", "prof"] = {{1., -0.15899231844432374`}, {2., 
         0.7503864080884809}, {3., 0.635377396790138}, {4., 
         0.12660332233459784`}, {5., -0.73536861128406}, {6., 
         0.19750116769508744`}}, $CellContext`Gates[
         6544626, "integral", "math major"] = {{1.5, -0.23995672557251524`}, {
         3., -0.706829878379357}, {4.3, -0.6106981967291185}, {
         5.3, -0.4879942150984298}}, $CellContext`Gates[
         6544626, "polar", "math major"] = {{1.5, -0.4599350883587733}, {
         3., -0.8003097292102631}, {4.3, 0.24419752247535734`}, {5.5, 
         0.28405597244603287`}}, $CellContext`Gates[
         6555470, "polar", "prof"] = {{1., -0.2669976239282773}, {
         2., -0.9539680637023046}, {3., 0.11912326760648365`}, {4., 
         0.8312247276391712}, {5., 0.16233495147549118`}, {
         6., -0.2935585760625651}}, $CellContext`Gates[
         6575763, "polar", "math major"] = {{1.5, 0.3274517869530639}, {
         3., -0.4719804042587973}, {4.3, -0.7777816373409897}, {5.3, 
         0.47302080665789104`}}, $CellContext`Gates[
         6583564, "polar", "math major"] = {{1.5, -0.35072899508277}, {3., 
         0.22754182349628174`}, {4.5, 0.23840351684676123`}, {5.5, 
         0.1342621758948698}}, $CellContext`Gates[
         6583564, "polar", "prof"] = {{1., -0.35072899508277}, {2., 
         0.22754182349628174`}, {3., 0.23840351684676123`}, {4., 
         0.1342621758948698}, {5., -0.4710871673897373}, {
         6., -0.6761536594657106}}, $CellContext`Gates[
         6583564, "polar", "student"] = {{2., 0.42463550245861503`}, {3., 
         0.6137709117481409}, {5., 0.6192017584233807}}, $CellContext`Gates[
         6585990, "derivative", "student"] = {{2., -0.48203680046615904`}, {
         3., -0.5798286379849928}, {
         5., -1.2166761676919373`}}, $CellContext`Gates[
         6602055, "derivative", "student"] = {{2., 1.4931519488552851`}, {
         3., -0.29303901102124286`}, {5., 
         0.3411000202882084}}, $CellContext`Gates[
         6606461, "derivative", "student"] = {{2., -1.051168708907368}, {
         3., -0.9309743617576243}, {5., 
         0.5886456788116545}}, $CellContext`Gates[
         6607143, "integral", "student"] = {{2., -0.15428968917809027`}, {
         3., -0.36533835447931884`}, {
         5., -0.5728224368211335}}, $CellContext`Gates[
         6607143, "polar", "math major"] = {{1.5, -0.4471518006507028}, {
         3., -0.5748594969277642}, {4.3, -0.566839185269083}, {5.3, 
         0.11886589446688581`}}, $CellContext`Gates[
         6633526, "derivative", "student"] = {{2., 0.13751057637906428`}, {3.,
          1.2813315030641146`}, {
         5., -0.013487956591001549`}}, $CellContext`Gates[
         6720610, "derivative", "student"] = {{2., -0.44867367208281994`}, {
         3., 0.2856297217177053}, {5., 
         0.9535820572085862}}, $CellContext`Gates[
         6726190, "derivative", "prof"] = {{1., 1.3823727066192468`}, {
         2., -0.09605632828742383}, {3., 0.3321679396414545}, {
         4., -0.01023182229592301}, {5., -1.9697602329363635`}, {6., 
         0.423992516489073}}, $CellContext`Gates[
         6726190, "integral", "student"] = {{2., 0.2764745413238492}, {3., 
         0.2572632756663642}, {5., 0.3236968635946551}}, $CellContext`Gates[
         6726190, "polar", "math major"] = {{1.5, 0.7220677179786609}, {
         3., -0.14322534772934095`}, {4.3, 0.24947557283865454`}, {
         5.3, -0.10460432003316536`}}, $CellContext`Gates[
         6728185, "derivative", "student"] = {{2., -1.2592599588487108`}, {
         3., -1.338429333444453}, {5., 
         0.3028020771969313}}, $CellContext`Gates[
         6728185, "integral", "student"] = {{2., -0.3358026556929896}, {
         3., -0.6927171446115106}, {
         5., -0.6119699240256624}}, $CellContext`Gates[
         6728185, "polar", "student"] = {{2., 0.17222201234538684`}, {3., 
         0.14847119996666405`}, {5., 0.6408406231590793}}, $CellContext`Gates[
         6733175, "derivative", "student"] = {{2., 1.0641544067109283`}, {
         3., -0.7430676206330196}, {
         5., -0.2604930984100502}}, $CellContext`Gates[
         6739790, "derivative", "student"] = {{2., 1.282341258586607}, {
         3., -0.7705206790844814}, {5., 
         0.08079350367815508}}, $CellContext`Gates[
         6819647, "derivative", "student"] = {{2., 0.32689572549295054`}, {
         3., -0.3794450055713048}, {
         5., -1.309317183440986}}, $CellContext`Gates[
         6845238, "derivative", "prof"] = {{1., 0.6624589591301069}, {
         2., -1.7237493075841588`}, {3., 0.7113122126735556}, {4., 
         0.05747719290456921}, {5., 1.5349043273002847`}, {
         6., -0.6520846000088065}}, $CellContext`Gates[
         6845238, "integral", "student"] = {{2., 0.13249179182602133`}, {
         3., -0.2122580696908105}, {
         5., -0.06999562715609953}}, $CellContext`Gates[
         6845238, "polar", "math major"] = {{1.5, 0.39810653160854803`}, {
         3., -0.8756871884128715}, {4.3, 0.42009049570309986`}, {5.3, 
         0.12586473680705615`}}, $CellContext`Gates[
         6848194, "derivative", "student"] = {{2., 0.7156203201839073}, {
         3., -1.4622397327379568`}, {5., 
         0.1804450683513963}}, $CellContext`Gates[
         6865366, "derivative", "student"] = {{2., -0.21664488133776594`}, {
         3., 0.0948142416206803}, {
         5., -0.9591157394875296}}, $CellContext`Gates[
         6901529, "derivative", "student"] = {{2., 0.9092607092706047}, {
         3., -0.6362955993845096}, {5., 
         0.5702106854252866}}, $CellContext`Gates[
         6911485, "polar", "prof"] = {{1., -0.7001117957374888}, {
         2., -0.7728995767501073}, {3., 0.6670147172266797}, {4., 
         0.6426705542972669}, {5., -0.5056127540821608}, {
         6., -0.5311534885928525}}, $CellContext`Gates[
         6952559, "derivative", "student"] = {{2., -0.12954751545876597`}, {
         3., -0.07531087629291733}, {
         5., -0.06680605626021041}}, $CellContext`Gates[
         6964286, "integral", "student"] = {{2., 0.16681729343674423`}, {3., 
         0.32515898556767375`}, {5., 0.6898244099891295}}, $CellContext`Gates[
         6964286, "polar", "math major"] = {{1.5, 0.4753389102326747}, {3., 
         0.4562688072945912}, {4.3, 0.9204972049482757}, {5.3, 
         0.8028519573837739}}, $CellContext`Gates[
         6964286, "polar", "prof"] = {{1., 0.4753389102326747}, {2., 
         0.4562688072945912}, {3., 0.9204972049482757}, {4., 
         0.8028519573837739}, {5., -0.3883713274194641}, {6., 
         0.3257273738144545}}, $CellContext`Gates[
         6989288, "derivative", "student"] = {{2., -1.1370886031363905`}, {
         3., -1.1045197142357113`}, {
         5., -0.9966199683062493}}, $CellContext`Gates[
         6990238, "polar", "prof"] = {{1., 0.14210887062224922`}, {2., 
         0.3157067886181747}, {3., 0.6095569524913781}, {
         4., -0.4281511940964505}, {5., -0.9619592002749296}, {
         6., -0.43267581871432303`}}, $CellContext`Gates[
         6999069, "polar", "math major"] = {{1.5, -0.8210465857766268}, {3., 
         0.9679519207585917}, {4.3, 0.40435489692646687`}, {
         5.3, -0.7779096038335921}}, $CellContext`Gates[
         7017670, "derivative", "student"] = {{2., -0.3395349031864967}, {
         3., -0.4003967063454823}, {
         5., -0.8659557718159241}}, $CellContext`Gates[
         7030776, "integral", "student"] = {{2., 0.31167449665385605`}, {3., 
         0.5682642609093631}, {5., 0.46375173063495057`}}, $CellContext`Gates[
         7031926, "derivative", "student"] = {{2., -0.12290023525689087`}, {
         3., -0.5088861595349536}, {5., 
         1.1837443118127622`}}, $CellContext`Gates[
         7055844, "polar", "prof"] = {{1., 0.569350662346867}, {2., 
         0.42702165122921076`}, {3., 0.3296306160401813}, {4., 
         0.10395889772368597`}, {5., -0.3491904849523232}, {6., 
         0.6811338724321104}}, $CellContext`Gates[
         7066728, "derivative", "student"] = {{2., -1.1639700067877774`}, {
         3., -1.0987315577522643`}, {5., 
         0.20636924750159746`}}, $CellContext`Gates[
         7083333, "integral", "student"] = {{2., -0.2969777767232715}, {
         3., -0.4292565608093861}, {
         5., -0.03808387622244713}}, $CellContext`Gates[
         7083333, "polar", "math major"] = {{1.5, -0.7681999976273607}, {
         3., -0.3976272641937574}, {4.3, 0.9801385403206128}, {5.3, 
         0.12164781813582329`}}, $CellContext`Gates[
         7089965, "derivative", "student"] = {{2., -0.1943287541267944}, {
         3., -0.799902193097032}, {
         5., -0.7725277366301411}}, $CellContext`Gates[
         7106576, "polar", "math major"] = {{1.5, 0.4693647634004384}, {
         3., -0.2124900308026624}, {4.3, 0.8247633813666736}, {5.3, 
         0.6153396233979661}}, $CellContext`Gates[
         7115660, "derivative", "student"] = {{2., 0.5393172145627991}, {
         3., -1.3523339973885697`}, {5., 
         0.8781618538590319}}, $CellContext`Gates[
         7138974, "polar", "prof"] = {{1., -0.20016669404832169`}, {2., 
         0.4555155573224433}, {3., 0.3895284703312093}, {
         4., -0.8900853463359765}, {5., -0.6108336156820621}, {6., 
         0.7719234120090163}}, $CellContext`Gates[
         7142130, "derivative", "student"] = {{2., 1.1495400252822776`}, {
         3., -0.09943603017754654}, {5., 
         0.4891815380293174}}, $CellContext`Gates[
         7157388, "derivative", "student"] = {{2., 0.26873960063671376`}, {
         3., -1.2170473606634755`}, {
         5., -0.5683537954821292}}, $CellContext`Gates[
         7194753, "derivative", "student"] = {{2., -1.0385194218690188`}, {3.,
          0.349148688473087}, {5., -1.3457456016274323`}}, $CellContext`Gates[
         7202381, "derivative", "prof"] = {{1., 0.24293757575327923`}, {
         2., -1.6491601156054188`}, {3., -0.07236511043369731}, {
         4., -1.702849000776257}, {5., -0.33128492572371826`}, {6., 
         0.8196439299588727}}, $CellContext`Gates[
         7202381, "polar", "prof"] = {{1., 0.20932190908897566`}, {
         2., -0.8421220520224385}, {3., -0.13256429969516406`}, {
         4., -0.8662820503493157}, {5., -0.24907821657567322`}, {6., 
         0.46883976848149256`}}, $CellContext`Gates[
         7215258, "derivative", "student"] = {{2., 0.10480546499766685`}, {
         3., -0.24368477518912002`}, {5., 
         1.1173660490051809`}}, $CellContext`Gates[
         7255268, "polar", "prof"] = {{1., 0.7685632739926039}, {2., 
         0.21075777258885733`}, {3., -0.9241613976320794}, {4., 
         0.8777291095038059}, {5., 0.38589021310504623`}, {6., 
         0.7078776935127572}}, $CellContext`Gates[
         7308172, "derivative", "student"] = {{2., 0.5796141704091848}, {3., 
         0.09459963943035188}, {
         5., -0.10250627085621478`}}, $CellContext`Gates[
         7316561, "polar", "math major"] = {{1.5, -0.47777122675091854`}, {
         3., -0.8440170853404968}, {4.3, 0.7522400842109337}, {5.3, 
         0.2391872950363009}}, $CellContext`Gates[
         7321429, "polar", "math major"] = {{1.5, 0.46721691620058425`}, {
         3., -0.8778135837648543}, {4.3, 0.25015364259535955`}, {
         5.3, -0.78150042343773}}, $CellContext`Gates[
         7326655, "polar", "prof"] = {{1., -0.6646798424773185}, {2., 
         0.9746809295938327}, {3., -0.4702915570003995}, {4., 
         0.28502155596193324`}, {5., -0.6836036577860555}, {6., 
         0.5166480617994863}}, $CellContext`Gates[
         7375241, "polar", "math major"] = {{1.5, -0.43568740875754564`}, {3.,
          0.6374024685974716}, {4.3, 0.22811310443354751`}, {
         5.5, -0.6373158200406478}}, $CellContext`Gates[
         7377466, "derivative", "student"] = {{2., 0.9739141140265346}, {
         3., -0.5860310049465767}, {
         5., -1.1484383716970363`}}, $CellContext`Gates[
         7416668, "derivative", "student"] = {{2., -0.9345531930541382}, {3., 
         1.3833687482474168`}, {5., -0.553032663436233}}, $CellContext`Gates[
         7430201, "derivative", "student"] = {{2., -0.29264283403465274`}, {
         3., -1.4232589174566312`}, {
         5., -0.8826998854891723}}, $CellContext`Gates[
         7440476, "derivative", "prof"] = {{1., 0.6298632263235735}, {2., 
         0.8672623995714641}, {3., 1.1450404842877457`}, {4., 
         0.35875372388401683`}, {5., 1.8236151323767986`}, {
         6., -1.4406952847877594`}}, $CellContext`Gates[
         7440476, "integral", "student"] = {{2., 0.12597264526471452`}, {3., 
         0.2994251251790072}, {5., 0.5284332220365562}}, $CellContext`Gates[
         7440476, "polar", "math major"] = {{1.5, 0.3834384518456079}, {3., 
         0.4902680798071589}, {4.3, 0.6152682179294854}, {5.3, 
         0.2614391757478075}}, $CellContext`Gates[
         7440476, "polar", "prof"] = {{1., 0.3834384518456079}, {2., 
         0.4902680798071589}, {3., 0.6152682179294854}, {4., 
         0.2614391757478075}, {5., 0.9206268095695592}, {
         6., -0.748312878154492}}, $CellContext`Gates[
         7446332, "polar", "math major"] = {{1.5, 0.9749866204738401}, {
         3., -0.26600632850726524`}, {4.3, 0.647667916400469}, {5.3, 
         0.12008876700045015`}}, $CellContext`Gates[
         7464258, "derivative", "student"] = {{2., -1.1286037442760284`}, {3.,
          0.30398927831969935`}, {5., 
         0.7387756524342892}}, $CellContext`Gates[
         7507128, "derivative", "student"] = {{2., 0.051182101175408334`}, {
         3., 1.1142664009890026`}, {5., 
         0.1401406780321608}}, $CellContext`Gates[
         7517264, "derivative", "student"] = {{2., -1.2021418895498979`}, {3.,
          0.942944572704155}, {5., 0.29127113079085376`}}, $CellContext`Gates[
         7537337, "derivative", "student"] = {{2., -1.4256026027427362`}, {
         3., -0.8193406701961559}, {
         5., -1.2966189665058376`}}, $CellContext`Gates[
         7548610, "derivative", "student"] = {{2., -1.0597262697950276`}, {3.,
          0.7066629460549079}, {
         5., -1.2231405080016096`}}, $CellContext`Gates[
         7556993, "polar", "student"] = {{2., 0.8513586043122094}, {3., 
         0.1633111292221943}, {5., 0.5624442831534495}}, $CellContext`Gates[
         7559524, "derivative", "prof"] = {{1., -1.1593520255953322`}, {2., 
         1.036780213563687}, {3., 0.29501133698405635`}, {
         4., -1.1583415645667596`}, {5., 0.16193860675246086`}, {
         6., -0.8551781925250594}}, $CellContext`Gates[
         7559524, "integral", "student"] = {{2., -0.23187040511906654`}, {
         3., -0.024514362406329315`}, {5., 
         0.03448790499048182}}, $CellContext`Gates[
         7559524, "polar", "math major"] = {{1.5, -0.6217084115178996}, {3., 
         0.5665510961036592}, {4.3, 0.23275510164282523`}, {
         5.3, -0.621253704055042}}, $CellContext`Gates[
         7586625, "polar", "prof"] = {{1., -0.7485657934493862}, {2., 
         0.7061065942557606}, {3., -0.4279586527071183}, {4., 
         0.6011339286742764}, {5., 0.5688728929504098}, {
         6., -0.5259142752172047}}, $CellContext`Gates[
         7624361, "derivative", "student"] = {{2., 0.6680468049334154}, {3., 
         0.6441531323412466}, {5., 1.0632272074385813`}}, $CellContext`Gates[
         7648189, "polar", "student"] = {{2., 0.23162012440003601`}, {3., 
         0.742514972442377}, {5., 0.21209628130128014`}}, $CellContext`Gates[
         7678571, "integral", "student"] = {{2., 0.3241786142108638}, {3., 
         0.3081726399680731}, {5., 0.2228332215956872}}, $CellContext`Gates[
         7700693, "derivative", "student"] = {{2., -0.7700916075251754}, {
         3., -0.33287534548677833`}, {
         5., -0.15240679233394694`}}, $CellContext`Gates[
         7726301, "polar", "prof"] = {{1., -0.7624802550462636}, {
         2., -0.6732548597762572}, {3., 0.22942705278152467`}, {4., 
         0.9554286928558947}, {5., 0.17429924774601382`}, {6., 
         0.4548775623005413}}, $CellContext`Gates[
         7736246, "polar", "prof"] = {{1., -0.4616768234184193}, {2., 
         0.6403883756032344}, {3., 0.12737384954339506`}, {4., 
         0.43268506469371537`}, {5., -0.18148891797725267`}, {
         6., -0.5429001586617467}}, $CellContext`Gates[
         7762394, "derivative", "student"] = {{2., 0.021090576908737724`}, {
         3., 1.1366845128302918`}, {
         5., -0.0953839413109856}}, $CellContext`Gates[
         7763973, "derivative", "student"] = {{2., 0.47081841273887637`}, {
         3., -1.492365491806951}, {
         5., -1.1565435579632655`}}, $CellContext`Gates[
         7788235, "derivative", "student"] = {{2., 0.5804687767739827}, {3., 
         0.3222719576220969}, {
         5., -0.047242704764315135`}}, $CellContext`Gates[
         7797619, "derivative", "prof"] = {{1., -0.43848535720673}, {2., 
         1.2718612836176701`}, {3., -0.8798007756110833}, {4., 
         1.7286111272944007`}, {5., 1.4967355700126355`}, {
         6., -0.881348392758313}}, $CellContext`Gates[
         7797619, "polar", "math major"] = {{1.5, -0.29731841074302856`}, {3.,
          0.6723375776279513}, {4.3, -0.49591034902498776`}, {5.3, 
         0.8778750072824802}}, $CellContext`Gates[
         7848579, "derivative", "student"] = {{2., -1.2498370134100019`}, {
         3., -0.017424447259510423`}, {5., 
         0.6861783888004096}}, $CellContext`Gates[
         7853822, "polar", "prof"] = {{1., 0.7958809103442078}, {
         2., -0.6777578890603867}, {3., -0.8307245447910993}, {4., 
         0.9213135120566313}, {5., -0.11872324734654197`}, {
         6., -0.11974724456855981`}}, $CellContext`Gates[
         7854753, "polar", "prof"] = {{1., -0.8500246460390252}, {
         2., -0.8459352425485817}, {3., 0.933364326677033}, {4., 
         0.620844328172005}, {5., -0.8400235407641227}, {6., 
         0.6723165457253585}}, $CellContext`Gates[
         7909402, "derivative", "student"] = {{2., -0.8676281652970004}, {
         3., -1.0643216973403264`}, {
         5., -1.1924684011322135`}}, $CellContext`Gates[
         7916667, "integral", "student"] = {{2., 0.17897477069131984`}, {
         3., -0.1965391200537988}, {
         5., -0.43420587218114093`}}, $CellContext`Gates[
         7916667, "polar", "prof"] = {{1., 0.5026932340554698}, {
         2., -0.9449062541765166}, {3., -0.6347501922865199}, {4., 
         0.994797746361271}, {5., -0.21682609695912572`}, {6., 
         0.983801452371955}}, $CellContext`Gates[
         7924465, "derivative", "student"] = {{2., 0.06995166075257941}, {3., 
         1.180939639781716}, {5., 0.883563567608201}}, $CellContext`Gates[
         7947765, "derivative", "student"] = {{2., 1.1851450238628605`}, {3., 
         1.3774558299188513`}, {5., -0.8487688426635938}}, $CellContext`Gates[
         7949705, "derivative", "student"] = {{2., -1.2905328118185881`}, {3.,
          0.7436168508861414}, {5., -0.4625559352914905}}, $CellContext`Gates[
         7963318, "derivative", "student"] = {{2., -0.6321010573897006}, {
         3., -1.415007331895012}, {5., 
         0.10161272453943493`}}, $CellContext`Gates[
         7963367, "derivative", "student"] = {{2., 1.3786216500300368`}, {3., 
         1.4538545943010837`}, {5., -0.572097214703319}}, $CellContext`Gates[
         7973294, "derivative", "student"] = {{2., -1.158004829252004}, {
         3., -0.02101502598370253}, {5., 
         0.7636002226592797}}, $CellContext`Gates[
         7991707, "polar", "prof"] = {{1., -0.404144967637427}, {
         2., -0.1447652257348663}, {3., 0.47655667743687047`}, {
         4., -0.6300740102261105}, {5., 0.7819691334178306}, {6., 
         0.972580843609239}}, $CellContext`Gates[
         8003381, "derivative", "student"] = {{2., -1.1140987573196863`}, {3.,
          0.2721822208535958}, {5., 0.3894410001176025}}, $CellContext`Gates[
         8009468, "polar", "prof"] = {{1., -0.5222288927547155}, {
         2., -0.18751037431105147`}, {3., 0.8051426029582073}, {4., 
         0.5025651160969037}, {5., 0.5277091788619462}, {
         6., -0.5687746005279796}}, $CellContext`Gates[
         8019136, "derivative", "student"] = {{2., 0.7727412186784015}, {
         3., -0.35015752581180415`}, {5., 
         0.20820169435006175`}}, $CellContext`Gates[
         8035714, "integral", "student"] = {{2., 0.2426219904880631}, {3., 
         0.5385710727841317}, {5., 0.2386016155231303}}, $CellContext`Gates[
         8044468, "polar", "math major"] = {{1.5, -0.6417623326820395}, {3., 
         0.8758827316392036}, {4.3, -0.2903328920234539}, {5.5, 
         0.7973332322964842}}, $CellContext`Gates[
         8045675, "polar", "math major"] = {{1.5, -0.2786879372064036}, {3., 
         0.7884189724301}, {4.3, 0.4658198410358131}, {5.3, 
         0.16452982319880097`}}, $CellContext`Gates[
         8073513, "derivative", "student"] = {{2., 0.8757543172493305}, {
         3., -0.9511872897159943}, {
         5., -0.6419083487619504}}, $CellContext`Gates[
         8085609, "polar", "student"] = {{2., 0.4174765305127641}, {3., 
         0.9044832117111696}, {5., 0.9131351384757149}}, $CellContext`Gates[
         8118551, "polar", "student"] = {{2., 0.7352027246693205}, {3., 
         0.2642889863302911}, {5., 0.9736093398734638}}, $CellContext`Gates[
         8127080, "polar", "student"] = {{2., 0.8724374633640599}, {3., 
         0.7714086969628042}, {5., 0.4403545160025626}}, $CellContext`Gates[
         8154762, "derivative", "prof"] = {{1., 0.615812104731015}, {
         2., -0.7804441602141514}, {3., 1.1874862709137322`}, {
         4., -0.6683065998578632}, {5., -0.643224000256339}, {6., 
         1.9527159816579793`}}, $CellContext`Gates[
         8154762, "integral", "student"] = {{2., 0.123162420946203}, {
         3., -0.03292641109662742}, {5., 
         0.20457084308611884`}}, $CellContext`Gates[
         8156323, "polar", "math major"] = {{1.5, -0.5701999161333963}, {
         3., -0.3536776620251615}, {4.3, 0.9569563452295554}, {
         5.5, -0.8470859745987361}}, $CellContext`Gates[
         8174476, "derivative", "student"] = {{2., -0.47114533590947705`}, {
         3., -0.7142055812302766}, {5., 
         0.743691736066534}}, $CellContext`Gates[
         8190744, "polar", "prof"] = {{1., 0.8479883844580608}, {2., 
         0.2456398158861867}, {3., -0.1522989913884837}, {4., 
         0.43419460672548593`}, {5., -0.6913577723189904}, {6., 
         0.26012452936016917`}}, $CellContext`Gates[
         8197458, "derivative", "student"] = {{2., 1.4761680793444842`}, {3., 
         0.7158000326641094}, {5., 0.9344026135039769}}, $CellContext`Gates[
         8211443, "derivative", "student"] = {{2., 0.2686567091954668}, {
         3., -1.120708877223079}, {5., 
         0.9727110822934968}}, $CellContext`Gates[
         8214732, "polar", "prof"] = {{1., 0.8960383357373803}, {
         2., -0.3865303551960938}, {3., 0.3242602362775443}, {4., 
         0.1261138238159644}, {5., 0.7384775537883342}, {
         6., -0.525479231877576}}, $CellContext`Gates[
         8217568, "derivative", "student"] = {{2., -0.7252522841353466}, {
         3., -0.4903313499154205}, {
         5., -0.5817656729936926}}, $CellContext`Gates[
         8259131, "polar", "prof"] = {{1., 0.39893055790483156`}, {
         2., -0.13996006173408962`}, {3., 0.6232311049384783}, {4., 
         0.28069866982681846`}, {5., 0.25518108806511763`}, {6., 
         0.9310429345083747}}, $CellContext`Gates[
         8266274, "integral", "student"] = {{2., -0.05070093914374141}, {3., 
         0.19100181674284555`}, {5., 
         0.23786840100974205`}}, $CellContext`Gates[
         8273810, "integral", "student"] = {{2., 0.07584850480466088}, {
         3., -0.04568047504391792}, {
         5., -0.18453183615775304`}}, $CellContext`Gates[
         8273810, "polar", "math major"] = {{1.5, 0.2706591358104874}, {
         3., -0.37344020465930183`}, {4.3, -0.4124155625061289}, {5.3, 
         0.17923400569535577`}}, $CellContext`Gates[
         8311522, "derivative", "student"] = {{2., 0.9014476584718221}, {3., 
         1.075339968103716}, {5., -1.2753476869630234`}}, $CellContext`Gates[
         8341057, "polar", "prof"] = {{1., -0.5285598161786499}, {
         2., -0.6213088300261073}, {3., -0.28963186955034403`}, {4., 
         0.7225326034838172}, {5., -0.6058864768245219}, {
         6., -0.1053962459673369}}, $CellContext`Gates[
         8341488, "derivative", "student"] = {{2., 1.1138172828924686`}, {
         3., -1.289634833375791}, {5., 
         0.519012715298512}}, $CellContext`Gates[
         8347885, "derivative", "student"] = {{2., -0.8806725418108803}, {
         3., -0.7503507192562568}, {5., 
         0.09851408650480753}}, $CellContext`Gates[
         8355776, "derivative", "student"] = {{2., -0.5698431656301155}, {
         3., -0.7987797207043963}, {5., 
         1.3907628143489266`}}, $CellContext`Gates[
         8392857, "derivative", "prof"] = {{1., -1.720588295118266}, {2., 
         1.5189619340386704`}, {3., -0.48532182767521803`}, {
         4., -1.5878731012474514`}, {5., -0.9309553999615945}, {
         6., -0.4299882219896638}}, $CellContext`Gates[
         8392857, "integral", "student"] = {{2., -0.3441176590236533}, {
         3., -0.04032527221591942}, {
         5., -0.13738963775096324`}}, $CellContext`Gates[
         8392857, "polar", "prof"] = {{1., -0.8742647328032199}, {2., 
         0.7835328703174017}, {3., -0.3183948224538481}, {
         4., -0.8145428955613533}, {5., -0.5189299299827178}, {
         6., -0.2934946998953486}}, $CellContext`Gates[
         8429459, "derivative", "student"] = {{2., -1.4451417457951443`}, {3.,
          1.4914394814859318`}, {5., 0.3623252139179778}}, $CellContext`Gates[
         8430121, "polar", "math major"] = {{1.5, -0.6297512067303223}, {3., 
         0.5685635868235938}, {4.3, -0.34235874581330605`}, {
         5.3, -0.8470456449693043}}, $CellContext`Gates[
         8499474, "derivative", "student"] = {{2., -1.0015442413196234`}, {3.,
          0.1425685833582353}, {
         5., -1.3272908399700674`}}, $CellContext`Gates[
         8511905, "integral", "student"] = {{2., -0.22388093252540964`}, {
         3., -0.19229744049245}, {
         5., -0.45426148180016934`}}, $CellContext`Gates[
         8525253, "polar", "prof"] = {{1., -0.16820692624555936`}, {
         2., -0.6761120712596672}, {3., -0.38521379930920385`}, {
         4., -0.13990131575511314`}, {5., -0.2854026061085645}, {6., 
         0.3802057054379099}}, $CellContext`Gates[
         8545533, "derivative", "student"] = {{2., -0.7156003061070768}, {3., 
         1.0824666878001565`}, {
         5., -1.0530103745423025`}}, $CellContext`Gates[
         8576258, "derivative", "student"] = {{2., 0.5454064702730435}, {
         3., -0.3178445144133093}, {5., 
         0.26377152401503334`}}, $CellContext`Gates[
         8580893, "derivative", "student"] = {{2., 1.1691024715351652`}, {
         3., -0.9468154235059512}, {5., 
         0.8280937182291037}}, $CellContext`Gates[
         8582662, "polar", "math major"] = {{1.5, -0.7355563977872669}, {3., 
         0.9248877044421348}, {4.3, -0.7388699531983013}, {5.3, 
         0.9211469462464609}}, $CellContext`Gates[
         8603500, "derivative", "student"] = {{2., 0.5257559137730095}, {3., 
         0.31872156107483995`}, {
         5., -1.4181642591101005`}}, $CellContext`Gates[
         8622863, "integral", "student"] = {{2., -0.20464727033087649`}, {
         3., -0.19506867368027814`}, {5., 
         0.10201216610822395`}}, $CellContext`Gates[
         8630952, "integral", "student"] = {{2., -0.08278104475145653}, {3., 
         0.09106062709112295}, {5., 
         0.21151759707586293`}}, $CellContext`Gates[
         8707954, "polar", "student"] = {{2., 0.3456094082653285}, {3., 
         0.22273125054389944`}, {5., 
         0.11736812061220395`}}, $CellContext`Gates[
         8710420, "derivative", "student"] = {{2., 1.2818247966064655`}, {3., 
         1.222796540902353}, {5., -0.38551895901547617`}}, $CellContext`Gates[
         8727355, "derivative", "student"] = {{2., -1.387654499767721}, {3., 
         0.3485363858517072}, {5., -1.1954539072707209`}}, $CellContext`Gates[
         8739759, "derivative", "student"] = {{2., 1.2948107636784183`}, {
         3., -0.8460703298021861}, {5., 
         0.20980956858846422`}}, $CellContext`Gates[
         8744623, "derivative", "student"] = {{2., 1.0275527526229462`}, {3., 
         1.4785255092571248`}, {5., -0.9919621657777951}}, $CellContext`Gates[
         8750000, "integral", "student"] = {{2., 0.37325683897802664`}, {3., 
         0.12886659602214434`}, {5., 0.4074082589529321}}, $CellContext`Gates[
         8750000, "polar", "prof"] = {{1., 0.9398278877005598}, {
         2., -0.6498780466507349}, {3., 0.7267187415942725}, {4., 
         0.6481943339133255}, {5., -0.7205227953553138}, {6., 
         0.4623899071280627}}, $CellContext`Gates[
         8751513, "derivative", "student"] = {{2., -1.048835241853931}, {
         3., -0.4902711322187674}, {
         5., -1.4911668623768222`}}, $CellContext`Gates[
         8759340, "derivative", "student"] = {{2., 0.5602172130543082}, {
         3., -1.290211227796192}, {5., 
         0.5950371053616523}}, $CellContext`Gates[
         8762771, "derivative", "student"] = {{2., 0.8512064278632279}, {3., 
         0.9197327577416052}, {5., -1.4913022495893928`}}, $CellContext`Gates[
         8767660, "derivative", "student"] = {{2., 0.8018129287790865}, {3., 
         0.6363323259586604}, {5., 0.3331891786805361}}, $CellContext`Gates[
         8777542, "derivative", "student"] = {{2., 0.8651264802799936}, {3., 
         1.3390166951164755`}, {5., -0.7770895366395578}}, $CellContext`Gates[
         8800347, "derivative", "student"] = {{2., -0.24928114568634285`}, {
         3., 0.30035628208022835`}, {
         5., -1.237042839377036}}, $CellContext`Gates[
         8809906, "derivative", "student"] = {{2., 1.1121854828056463`}, {
         3., -0.14987247304469875`}, {5., 
         1.3841758945267921`}}, $CellContext`Gates[
         8819416, "derivative", "student"] = {{2., -0.7490298943976561}, {3., 
         0.915781459338791}, {5., 1.2608356275686443`}}, $CellContext`Gates[
         8840168, "integral", "student"] = {{2., -0.3690096461272242}, {
         3., -0.7010850547668687}, {
         5., -0.41723168763054164`}}, $CellContext`Gates[
         8869048, "derivative", "prof"] = {{1., -0.7363414598313129}, {
         2., -1.4135528931884327`}, {3., 1.2567051622322873`}, {
         4., -1.6443000224217599`}, {5., 0.5593360437462769}, {
         6., -0.9023421627715411}}, $CellContext`Gates[
         8869048, "integral", "student"] = {{2., -0.14726829196626268`}, {
         3., -0.42997887060394935`}, {
         5., -0.178637838157492}}, $CellContext`Gates[
         8979498, "polar", "math major"] = {{1.5, -0.9643340903018115}, {
         3., -0.24002714494730695`}, {4.3, -0.8616173709588432}, {
         5.3, -0.8678041164934754}}, $CellContext`Gates[
         8979498, "polar", "prof"] = {{1., -0.9643340903018115}, {
         2., -0.24002714494730695`}, {3., -0.8616173709588432}, {
         4., -0.8678041164934754}, {5., -0.2485951603540281}, {
         6., -0.3976741142502108}}, $CellContext`Gates[
         8988095, "integral", "student"] = {{2., -0.04681246934471628}, {
         3., -0.10038446533448786`}, {5., 
         0.2878563216788754}}, $CellContext`Gates[
         8988095, "polar", "prof"] = {{1., -0.2053280560256118}, {
         2., -0.2205369909769858}, {3., 0.9735417707800672}, {
         4., -0.35766341268092405`}, {5., -0.16418006773336993`}, {
         6., -0.8227482447668072}}, $CellContext`Gates[
         8990213, "derivative", "student"] = {{2., -0.18726510855750877`}, {
         3., 0.05252791524059752}, {
         5., -0.48616507420570265`}}, $CellContext`Gates[
         8991881, "derivative", "student"] = {{2., 0.7389979664815733}, {3., 
         1.1411787396935216`}, {5., 0.5853214643379143}}, $CellContext`Gates[
         9009797, "derivative", "student"] = {{2., 0.383511330643306}, {3., 
         0.5806980179801613}, {5., 1.4160166113129362`}}, $CellContext`Gates[
         9014103, "derivative", "student"] = {{2., 1.1266845826821204`}, {3., 
         0.18283077724765562`}, {5., 0.6001202550148195}}, $CellContext`Gates[
         9067827, "polar", "math major"] = {{1.5, 0.9075592511276674}, {
         3., -0.27945765169931824`}, {4.3, 0.33276839385114865`}, {5.3, 
         0.7087175692901674}}, $CellContext`Gates[
         9107143, "derivative", "prof"] = {{1., -0.28180570915048886`}, {2., 
         1.5611639134665278`}, {3., 0.4913463614510576}, {4., 
         1.4473550984679386`}, {5., 0.6871889279794781}, {
         6., -1.375173385680629}}, $CellContext`Gates[
         9107143, "integral", "student"] = {{2., -0.056361141830097994`}, {3.,
          0.2558716408632076}, {5., 0.354140913153419}}, $CellContext`Gates[
         9143979, "derivative", "student"] = {{2., -1.281003093277108}, {
         3., -0.2298282850406217}, {
         5., -0.33603591803232646`}}, $CellContext`Gates[
         9159334, "derivative", "student"] = {{2., -0.3553084102135964}, {
         3., -0.7566326835566342}, {
         5., -1.3318720338005003`}}, $CellContext`Gates[
         9200277, "derivative", "math major"] = {{1.5, 
         0.42338651259575233`}, {3., -0.15972887430157456`}, {
         4.3, -1.5530660289830922`}, {
         5.3, -0.8253782795322211}}, $CellContext`Gates[
         9200277, "integral", "math major"] = {{1.5, 0.1494305338573243}, {3.,
          0.09305563704500397}, {4.3, -0.45508531436079314`}, {
         5.3, -0.7463952953721651}}, $CellContext`Gates[
         9200277, "polar", "math major"] = {{1.5, 0.324145800785986}, {
         3., -0.18456234521848094`}, {4.3, -0.9222114271086962}, {
         5.3, -0.536964971517058}}, $CellContext`Gates[
         9200277, "polar", "prof"] = {{1., 0.324145800785986}, {
         2., -0.18456234521848094`}, {3., -0.9222114271086962}, {
         4., -0.536964971517058}, {5., -0.6521468864074053}, {
         6., -0.5357083180700969}}, $CellContext`Gates[
         9226190, "integral", "student"] = {{2., 0.1792482116412868}, {3., 
         0.05170311755496315}, {5., 0.0105949634389777}}, $CellContext`Gates[
         9232307, "derivative", "student"] = {{2., -0.6691892386080385}, {3., 
         1.119805805817319}, {5., 0.8719467165254464}}, $CellContext`Gates[
         9263699, "polar", "prof"] = {{1., -0.7582109707186037}, {2., 
         0.730142345946227}, {3., -0.4077645574297065}, {
         4., -0.7551018414640119}, {5., -0.20550432920256903`}, {6., 
         0.9268449176927666}}, $CellContext`Gates[
         9327059, "polar", "math major"] = {{1.5, -0.1999630537290348}, {3., 
         0.5448399324901761}, {4.3, 0.4161322310368426}, {5.3, 
         0.709541564818425}}, $CellContext`Gates[
         9345238, "integral", "student"] = {{2., 0.04195798707312082}, {3., 
         0.40656870226231034`}, {5., 
         0.07636128623624927}}, $CellContext`Gates[
         9348063, "integral", "student"] = {{2., -0.08594481955997435}, {
         3., -0.18682144415079383`}, {5., 
         0.09306683814561634}}, $CellContext`Gates[
         9351177, "derivative", "student"] = {{2., 0.3640692125132592}, {3., 
         0.1222617499923011}, {5., 1.0168002600316672`}}, $CellContext`Gates[
         9369628, "derivative", "student"] = {{2., 1.2746523126132683`}, {
         3., -1.0412236039818028`}, {5., 
         0.0674708558722461}}, $CellContext`Gates[
         9377893, "derivative", "student"] = {{2., -1.2709775939262071`}, {
         3., -1.457623656340021}, {5., 
         0.5212239882706218}}, $CellContext`Gates[
         9400664, "derivative", "student"] = {{2., 0.5819298102618804}, {
         3., -0.14620606872320252`}, {5., 
         0.6415012238255899}}, $CellContext`Gates[
         9402693, "derivative", "student"] = {{2., -0.846836416161155}, {3., 
         1.3425948732035948`}, {5., 
         0.21763385549205339`}}, $CellContext`Gates[
         9414467, "polar", "math major"] = {{1.5, -0.24061143767138696`}, {
         3., -0.9627521280138215}, {4.3, 0.6256061149111932}, {5.3, 
         0.6127122862423658}}, $CellContext`Gates[
         9444246, "polar", "prof"] = {{1., 0.7175358529862405}, {2., 
         0.5293796023458163}, {3., -0.5088420057175108}, {4., 
         0.6648166317785357}, {5., 0.902306031104754}, {
         6., -0.14773455928401483`}}, $CellContext`Gates[
         9464286, "integral", "student"] = {{2., -0.2859310363275007}, {
         3., -0.17563868127049265`}, {
         5., -0.3313127301284029}}, $CellContext`Gates[
         9482297, "polar", "math major"] = {{1.5, 0.1126482875580889}, {3., 
         0.2868781503967698}, {4.3, -0.8041743896178793}, {5.5, 
         0.4733931022964363}}, $CellContext`Gates[
         9552052, "derivative", "student"] = {{2., -0.6376576269449443}, {
         3., -0.46863638571975663`}, {5., 
         0.9586985117892173}}, $CellContext`Gates[
         9565920, "derivative", "student"] = {{2., 0.5440381169215609}, {3., 
         0.9378849740993385}, {5., -1.130753468434258}}, $CellContext`Gates[
         9570203, "derivative", "student"] = {{2., 0.8851671302907347}, {3., 
         1.1249791926000077`}, {5., -0.6189777907062677}}, $CellContext`Gates[
         9571805, "derivative", "student"] = {{2., 0.8427043391723332}, {3., 
         0.06279256110123832}, {5., 0.08867576466636695}}, $CellContext`Gates[
         9576826, "derivative", "student"] = {{2., 0.250415611236674}, {3., 
         0.8236375616354605}, {
         5., -0.37497130853617033`}}, $CellContext`Gates[
         9582085, "derivative", "student"] = {{2., -1.1343637707857495`}, {3.,
          0.025057017411813653`}, {
         5., -0.5104633097731419}}, $CellContext`Gates[
         9583333, "derivative", "prof"] = {{1., 1.3284065537670253`}, {
         2., -1.5091955359442508`}, {3., 1.3189253951498596`}, {4., 
         0.23174284354233432`}, {5., -1.1189192027280894`}, {
         6., -0.7887517364964438}}, $CellContext`Gates[
         9583333, "integral", "student"] = {{2., 0.26568131075340506`}, {
         3., -0.036157796435445255`}, {5., 
         0.22762728259452658`}}, $CellContext`Gates[
         9589575, "polar", "student"] = {{2., 0.8924372150650415}, {3., 
         0.25081572498880433`}, {5., 0.7500732111733632}}, $CellContext`Gates[
         9607216, "derivative", "student"] = {{2., 1.4333460695762517`}, {
         3., -0.1280389064252745}, {
         5., -0.5521875202832431}}, $CellContext`Gates[
         9611373, "derivative", "student"] = {{2., -0.21046938458138165`}, {
         3., -1.4716074548399898`}, {
         5., -0.33474537658080106`}}, $CellContext`Gates[
         9616292, "polar", "prof"] = {{1., 0.5890733804357237}, {2., 
         0.748725741403497}, {3., -0.4148156946457505}, {
         4., -0.3489821069746103}, {5., -0.8545903797909394}, {
         6., -0.8786732939813754}}, $CellContext`Gates[
         9628834, "derivative", "student"] = {{2., -1.480090116468257}, {
         3., -0.3785279110078168}, {5., 
         0.44235327640219246`}}, $CellContext`Gates[
         9630585, "derivative", "student"] = {{2., -0.35167395102800825`}, {
         3., -0.2032966451335252}, {
         5., -1.3718140066404612`}}, $CellContext`Gates[
         9645353, "derivative", "student"] = {{2., -0.808743700216517}, {3., 
         1.4689097562122218`}, {5., -0.4459609120607606}}, $CellContext`Gates[
         9702381, "integral", "student"] = {{2., -0.13908933950503521`}, {
         3., -0.030766003454571145`}, {
         5., -0.3927787475388046}}, $CellContext`Gates[
         9746448, "polar", "student"] = {{2., 0.5267785715051803}, {3., 
         0.7340813401654374}, {5., 0.6917320574940247}}, $CellContext`Gates[
         9787340, "derivative", "student"] = {{2., -0.5027368479212089}, {3., 
         1.440410569138499}, {5., -0.41312708244202856`}}, $CellContext`Gates[
         9808134, "derivative", "student"] = {{2., -1.3146530072946208`}, {3.,
          1.0305528785920401`}, {
         5., -0.44175900741238205`}}, $CellContext`Gates[
         9817381, "derivative", "student"] = {{2., -1.4411344650075852`}, {
         3., -0.3310312550729346}, {
         5., -1.4307888750519826`}}, $CellContext`Gates[
         9818348, "derivative", "student"] = {{2., -1.0706770147173632`}, {3.,
          0.9891797946187451}, {5., 1.0597325912235211`}}, $CellContext`Gates[
         9821429, "derivative", "prof"] = {{1., -0.021886593339225158`}, {
         2., -1.6036307704232202`}, {3., -0.9092043437698223}, {4., 
         0.6946635682872158}, {5., 1.8420281593393275`}, {
         6., -0.9308839176436274}}, $CellContext`Gates[
         9821429, "integral", "student"] = {{2., -0.004377318667845076}, {
         3., -0.3251034727524893}, {
         5., -0.5069443415064538}}, $CellContext`Gates[
         9821429, "polar", "prof"] = {{1., -0.10984896700265159`}, {
         2., -0.8216338466904493}, {3., -0.5091419546964201}, {4., 
         0.4125986057292471}, {5., 0.9289126717026973}, {
         6., -0.5188977629396326}}, $CellContext`Gates[
         9837301, "polar", "prof"] = {{1., -0.8507455574339745}, {2., 
         0.35590050625258207`}, {3., -0.1877379770868796}, {
         4., -0.49871295160225226`}, {5., 0.3351917732940305}, {
         6., -0.6279575018150284}}, $CellContext`Gates[
         9845027, "derivative", "student"] = {{2., 0.7632255746423882}, {3., 
         0.06108963092555264}, {
         5., -1.1461188777856846`}}, $CellContext`Gates[
         9857187, "derivative", "student"] = {{2., 0.17271365977742015`}, {3.,
          0.4739699792285723}, {5., -1.249357884375475}}, $CellContext`Gates[
         9931422, "polar", "prof"] = {{1., 0.11703761111743596`}, {
         2., -0.20556678082403881`}, {3., -0.7740033156582177}, {
         4., -0.7969348911364901}, {5., 0.5323636401249033}, {6., 
         0.46624849885678443`}}, $CellContext`Gates[
         9940476, "integral", "student"] = {{2., 0.021933419789905928`}, {
         3., -0.2498645708229732}, {
         5., -0.6145256146526565}}, $CellContext`Gates[
         9940476, "polar", "prof"] = {{1., 0.1493501945272885}, {
         2., -0.7115454788789778}, {3., -0.9204873486167874}, {4., 
         0.5457674467817578}, {5., -0.3801240439845758}, {
         6., -0.8848579581907187}}, $CellContext`Gates[
         9957033, "derivative", "student"] = {{2., 0.9366207939068136}, {
         3., -1.378336771613414}, {5., 
         1.2947371987395595`}}, $CellContext`Gates[
         9962446, "derivative", "student"] = {{2., 1.1630338672826044`}, {3., 
         0.47057237654829187`}, {5., 
         0.02450800467099068}}, $CellContext`Gates[
         10000000, "derivative", "prof"] = {{1., -0.4404168268589439}, {2., 
         0.10593605361217318`}, {3., -1.4853031100567593`}, {4., 
         1.030306811325576}, {5., 0.4438229742683104}, {6., 
         1.4185915639660607`}}, $CellContext`Gates[
         10000000, "integral", "student"] = {{2., -0.08808336537178896}, {
         3., -0.0668961546493545}, {
         5., -0.36395677666070647`}}, $CellContext`Gates[
         10000000, "polar", "prof"] = {{1., -0.2981875720865247}, {2., 
         0.14767122412547798`}, {3., -0.7683863995255419}, {4., 
         0.563638065096509}, {5., 0.29972033842073953`}, {6., 
         0.7383662037847273}}, $CellContext`Gates[
          Pattern[$CellContext`seed, 
           Blank[]], 
          Pattern[$CellContext`game, 
           Blank[]], 
          Pattern[$CellContext`level, 
           
           Blank[]]] := ($CellContext`Gates[$CellContext`seed, \
$CellContext`game, $CellContext`level] = 
         Transpose[SeedRandom[$CellContext`seed]; {
             ReplaceAll[$CellContext`level, $CellContext`$gateXs], 
             
             Switch[$CellContext`game, "derivative", #& , "integral", 
              FoldList[If[
                Or[# + #2 > 2.2, # + #2 < -2.2], # - #2, # + #2]& , 
               First[#], 
               Rest[#]]& , "polar", Map[If[# > 0, # + 0.1, # - 0.1]& , #]& ][
              RandomReal[
               ReplaceAll[$CellContext`game, 
                ReplaceAll[$CellContext`level, $CellContext`$gateRanges]], 
               Length[
                
                ReplaceAll[$CellContext`level, $CellContext`$gateXs]]]]}]), \
$CellContext`$gateRanges = {
         "student" -> {
           "derivative" -> {-1.5, 1.5}, "integral" -> {-0.5, 0.5}, 
            "polar" -> {0., 0.9}}, 
          "math major" -> {
           "derivative" -> {-1.7, 1.7}, "integral" -> {-0.6, 0.6}, 
            "polar" -> {-0.9, 0.9}}, 
          "prof" -> {
           "derivative" -> {-2., 2.}, "integral" -> {-0.8, 0.8}, 
            "polar" -> {-0.9, 0.9}}}, $CellContext`$gateWingLength = {
         "derivative" -> 0.2, "integral" -> 0.2, "polar" -> 
          0.1}, $CellContext`Score[
          Pattern[$CellContext`fn, 
           Blank[]], {
           Pattern[$CellContext`x0, 
            Blank[]], 
           Pattern[$CellContext`y0, 
            Blank[]]}, {
           Pattern[$CellContext`\[CapitalDelta]x, 
            Blank[]], 
           Pattern[$CellContext`\[CapitalDelta]y, 
            Blank[]]}] := 10 Count[{
             $CellContext`fn[$CellContext`x0], 
             $CellContext`fn[$CellContext`x0 - $CellContext`\[CapitalDelta]x], 
             $CellContext`fn[$CellContext`x0 + $CellContext`\[CapitalDelta]x], 
             $CellContext`fn[$CellContext`x0 - 
              0.3 $CellContext`\[CapitalDelta]x], 
             $CellContext`fn[$CellContext`x0 + 
              0.3 $CellContext`\[CapitalDelta]x]}, 
            PatternTest[
             
             Blank[], $CellContext`y0 - $CellContext`\[CapitalDelta]y <= # <= \
$CellContext`y0 + $CellContext`\[CapitalDelta]y& ]] + If[
           
           Or[$CellContext`y0 - $CellContext`\[CapitalDelta]y - \
$CellContext`$gateWingLength < $CellContext`fn[$CellContext`x0] < \
$CellContext`y0 - $CellContext`\[CapitalDelta]y, $CellContext`y0 + \
$CellContext`\[CapitalDelta]y < $CellContext`fn[$CellContext`x0] < \
$CellContext`y0 + $CellContext`\[CapitalDelta]y + \
$CellContext`$gateWingLength], 5, 0], $CellContext`Score[
          Pattern[$CellContext`fn, 
           Blank[]], {
           Pattern[$CellContext`x0, 
            Blank[]], 
           Pattern[$CellContext`y0, 
            Blank[]]}, {
           Pattern[$CellContext`\[CapitalDelta]x, 
            Blank[]], 
           Pattern[$CellContext`\[CapitalDelta]y, 
            Blank[]]}, 
          Pattern[$CellContext`gateWingLength, 
           Blank[]]] := 10 Count[{
             $CellContext`fn[$CellContext`x0], 
             $CellContext`fn[$CellContext`x0 - $CellContext`\[CapitalDelta]x], 
             $CellContext`fn[$CellContext`x0 + $CellContext`\[CapitalDelta]x], 
             $CellContext`fn[$CellContext`x0 - 
              0.3 $CellContext`\[CapitalDelta]x], 
             $CellContext`fn[$CellContext`x0 + 
              0.3 $CellContext`\[CapitalDelta]x]}, 
            PatternTest[
             
             Blank[], $CellContext`y0 - $CellContext`\[CapitalDelta]y <= # <= \
$CellContext`y0 + $CellContext`\[CapitalDelta]y& ]] + If[
           
           Or[$CellContext`y0 - $CellContext`\[CapitalDelta]y - \
$CellContext`gateWingLength < $CellContext`fn[$CellContext`x0] < \
$CellContext`y0 - $CellContext`\[CapitalDelta]y, $CellContext`y0 + \
$CellContext`\[CapitalDelta]y < $CellContext`fn[$CellContext`x0] < \
$CellContext`y0 + $CellContext`\[CapitalDelta]y + \
$CellContext`gateWingLength], 5, 0]}; Typeset`initDone$$ = True); 
     ReleaseHold[{{
         HoldComplete[$CellContext`$X = {0, 0}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`$xRange = {0, 2 Pi}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`$yRange = {-1, 1}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`$length = 0.7; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`$min\[CapitalDelta]s = 0.04; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`$fOrder = 1; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`$fbarOrder = 1; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`$imageSize = 400; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`$plPadding = {{
             0.6, $CellContext`$length + 0.2}, 0.5}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`MyNormalize = #/Dot[#, #]^(1/2)& ; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`MyNorm = Dot[#, #]^(1/2)& ; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`DSmooth[
             Pattern[$CellContext`l, 
              Blank[]]] := Flatten[
             Table[
              Switch[$CellContext`i, 1, {
                Part[$CellContext`l, $CellContext`i]}, 2, {
                
                ReplaceAll[{($CellContext`x0 + $CellContext`x1)/
                  2, $CellContext`y0 + (($CellContext`y2 - \
$CellContext`y1)/($CellContext`x2 - $CellContext`x1)) (($CellContext`x1 - \
$CellContext`x0)/2)}, {$CellContext`x0 -> 
                  Part[$CellContext`l, $CellContext`i, 1], $CellContext`x1 -> 
                  Part[$CellContext`l, $CellContext`i - 1, 
                    1], $CellContext`x2 -> 
                  Part[$CellContext`l, $CellContext`i + 1, 
                    1], $CellContext`y0 -> 
                  Part[$CellContext`l, $CellContext`i, 2], $CellContext`y1 -> 
                  Part[$CellContext`l, $CellContext`i - 1, 
                    2], $CellContext`y2 -> 
                  Part[$CellContext`l, $CellContext`i + 1, 2]}], 
                Part[$CellContext`l, $CellContext`i]}, 
               Length[$CellContext`l], {
                
                ReplaceAll[{($CellContext`x0 + $CellContext`x2)/
                  2, $CellContext`y0 + (($CellContext`y2 - \
$CellContext`y1)/($CellContext`x2 - $CellContext`x1)) (($CellContext`x2 - \
$CellContext`x0)/2)}, {$CellContext`x0 -> 
                  Part[$CellContext`l, $CellContext`i - 1, 
                    1], $CellContext`x1 -> 
                  Part[$CellContext`l, $CellContext`i - 2, 
                    1], $CellContext`x2 -> 
                  Part[$CellContext`l, $CellContext`i, 1], $CellContext`y0 -> 
                  Part[$CellContext`l, $CellContext`i - 1, 
                    2], $CellContext`y1 -> 
                  Part[$CellContext`l, $CellContext`i - 2, 
                    2], $CellContext`y2 -> 
                  Part[$CellContext`l, $CellContext`i, 2]}], 
                Part[$CellContext`l, $CellContext`i]}, 
               Blank[], {
                
                ReplaceAll[{($CellContext`x0 + $CellContext`x1)/
                  2, $CellContext`y0 + Tan[0.5 (ArcTan[
                    
                    ReplaceAll[($CellContext`y2 - \
$CellContext`y1)/($CellContext`x2 - $CellContext`x1), {$CellContext`x0 -> 
                    Part[$CellContext`l, $CellContext`i, 1], $CellContext`x1 -> 
                    Part[$CellContext`l, $CellContext`i - 1, 
                    1], $CellContext`x2 -> 
                    Part[$CellContext`l, $CellContext`i + 1, 
                    1], $CellContext`y0 -> 
                    Part[$CellContext`l, $CellContext`i, 2], $CellContext`y1 -> 
                    Part[$CellContext`l, $CellContext`i - 1, 
                    2], $CellContext`y2 -> 
                    Part[$CellContext`l, $CellContext`i + 1, 2]}]] + ArcTan[
                    
                    ReplaceAll[($CellContext`y2 - \
$CellContext`y1)/($CellContext`x2 - $CellContext`x1), {$CellContext`x0 -> 
                    Part[$CellContext`l, $CellContext`i - 1, 
                    1], $CellContext`x1 -> 
                    Part[$CellContext`l, $CellContext`i - 2, 
                    1], $CellContext`x2 -> 
                    Part[$CellContext`l, $CellContext`i, 1], $CellContext`y0 -> 
                    Part[$CellContext`l, $CellContext`i - 1, 
                    2], $CellContext`y1 -> 
                    Part[$CellContext`l, $CellContext`i - 2, 
                    2], $CellContext`y2 -> 
                    Part[$CellContext`l, $CellContext`i, 
                    2]}]])] (($CellContext`x1 - $CellContext`x0)/
                    2)}, {$CellContext`x0 -> 
                  Part[$CellContext`l, $CellContext`i, 1], $CellContext`x1 -> 
                  Part[$CellContext`l, $CellContext`i - 1, 
                    1], $CellContext`x2 -> 
                  Part[$CellContext`l, $CellContext`i + 1, 
                    1], $CellContext`y0 -> 
                  Part[$CellContext`l, $CellContext`i, 2], $CellContext`y1 -> 
                  Part[$CellContext`l, $CellContext`i - 1, 
                    2], $CellContext`y2 -> 
                  Part[$CellContext`l, $CellContext`i + 1, 2]}], 
                Part[$CellContext`l, $CellContext`i]}], {$CellContext`i, 
               Length[$CellContext`l]}], 1]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`$gateXs = {
            "student" -> {2., 3., 5.}, "math major" -> {1.5, 3., 4.3, 5.3}, 
             "prof" -> Range[1, 6, 1.]}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`$gateRanges = {
            "student" -> {
              "derivative" -> {-1.5, 1.5}, "integral" -> {-0.5, 0.5}, 
               "polar" -> {0., 0.9}}, 
             "math major" -> {
              "derivative" -> {-1.7, 1.7}, "integral" -> {-0.6, 0.6}, 
               "polar" -> {-0.9, 0.9}}, 
             "prof" -> {
              "derivative" -> {-2., 2.}, "integral" -> {-0.8, 0.8}, 
               "polar" -> {-0.9, 0.9}}}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`$gateTolerances = {
            "student" -> {
              "derivative" -> {0.04, 0.15}, "integral" -> {0.04, 0.12}, 
               "polar" -> {0.03, 0.05}}, 
             "math major" -> {
              "derivative" -> {0.04, 0.12}, "integral" -> {0.04, 0.08}, 
               "polar" -> {0.03, 0.04}}, 
             "prof" -> {
              "derivative" -> {0.03, 0.08}, "integral" -> {0.03, 0.05}, 
               "polar" -> {0.03, 0.025}}}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`$gateWingLength = {
            "derivative" -> 0.2, "integral" -> 0.2, "polar" -> 0.1}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`Gates[
             Pattern[$CellContext`seed, 
              Blank[]], 
             Pattern[$CellContext`game, 
              Blank[]], 
             Pattern[$CellContext`level, 
              
              Blank[]]] := ($CellContext`Gates[$CellContext`seed, \
$CellContext`game, $CellContext`level] = 
            Transpose[SeedRandom[$CellContext`seed]; {
                ReplaceAll[$CellContext`level, $CellContext`$gateXs], 
                
                Switch[$CellContext`game, "derivative", #& , "integral", 
                 FoldList[If[
                   Or[# + #2 > 2.2, # + #2 < -2.2], # - #2, # + #2]& , 
                  First[#], 
                  Rest[#]]& , "polar", Map[
                 If[# > 0, # + 0.1, # - 0.1]& , #]& ][
                 RandomReal[
                  ReplaceAll[$CellContext`game, 
                   ReplaceAll[$CellContext`level, $CellContext`$gateRanges]], 
                  
                  Length[
                   ReplaceAll[$CellContext`level, $CellContext`$gateXs]]]]}]); 
          Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`Score[
             Pattern[$CellContext`fn, 
              Blank[]], {
              Pattern[$CellContext`x0, 
               Blank[]], 
              Pattern[$CellContext`y0, 
               Blank[]]}, {
              Pattern[$CellContext`\[CapitalDelta]x, 
               Blank[]], 
              Pattern[$CellContext`\[CapitalDelta]y, 
               Blank[]]}, 
             Pattern[$CellContext`gateWingLength, 
              Blank[]]] := 10 Count[{
                $CellContext`fn[$CellContext`x0], 
                $CellContext`fn[$CellContext`x0 - \
$CellContext`\[CapitalDelta]x], 
                $CellContext`fn[$CellContext`x0 + \
$CellContext`\[CapitalDelta]x], 
                $CellContext`fn[$CellContext`x0 - 
                 0.3 $CellContext`\[CapitalDelta]x], 
                $CellContext`fn[$CellContext`x0 + 
                 0.3 $CellContext`\[CapitalDelta]x]}, 
               PatternTest[
                
                Blank[], $CellContext`y0 - $CellContext`\[CapitalDelta]y <= # <= \
$CellContext`y0 + $CellContext`\[CapitalDelta]y& ]] + If[
              
              Or[$CellContext`y0 - $CellContext`\[CapitalDelta]y - \
$CellContext`gateWingLength < $CellContext`fn[$CellContext`x0] < \
$CellContext`y0 - $CellContext`\[CapitalDelta]y, $CellContext`y0 + \
$CellContext`\[CapitalDelta]y < $CellContext`fn[$CellContext`x0] < \
$CellContext`y0 + $CellContext`\[CapitalDelta]y + \
$CellContext`gateWingLength], 5, 0]; Null]}}]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->82107145],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Calculus Slalom",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CalculusSlalom/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/CalculusSlalom/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/CalculusSlalom/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CalculusSlalom/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/CalculusSlalom/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Michael Rogers",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Michael+Rogers"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Michael+Rogers"],
 " (Oxford College/Emory University)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "Suggested by: ",
 ButtonBox["Stan Wagon",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Stan+Wagon"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Stan+Wagon"],
 " (Macalester College)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->761734856],

Cell[TextData[{
 "Based on a program by: ",
 ButtonBox["Jim Henle",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jim+Henle"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jim+Henle"],
 " (Smith College)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->106379209]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
CalculusSlalom"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Calculus Slalom - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[605, 23, 207, 4, 70, "Section"],
Cell[815, 29, 20615, 518, 70, "Input",
 InitializationCell->True,
 CellID->503781080],
Cell[21433, 549, 96258, 2028, 70, "Input",
 CellID->1393960107]
}, Open  ]],
Cell[117706, 2580, 168320, 2911, 70, "Output",
 CellID->82107145],
Cell[CellGroupData[{
Cell[286051, 5495, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[286427, 5506, 862, 24, 70, "Text"],
Cell[287292, 5532, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[287654, 5545, 475, 15, 70, "Text"],
Cell[288132, 5562, 471, 16, 70, "Text",
 CellID->761734856],
Cell[288606, 5580, 472, 16, 70, "Text",
 CellID->106379209]
}, Open  ]],
Cell[CellGroupData[{
Cell[289115, 5601, 847, 24, 70, "Text"],
Cell[289965, 5627, 1190, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature oSNCu0FzP7JYaDD0gZTuy6nA *)
