(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     25440,        682]
NotebookOptionsPosition[     24372,        642]
NotebookOutlinePosition[     24987,        666]
CellTagsIndexPosition[     24944,        663]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Cauchy Mean-Value Theorem", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "t_", "]"}], ":=", 
     RowBox[{"1", "+", 
      RowBox[{"A1", " ", 
       RowBox[{"t", "^", "k1"}]}]}]}], ";", " ", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"g", "[", "t_", "]"}], ":=", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "t"}], "+", 
      RowBox[{"A2", " ", 
       RowBox[{"t", "^", "k2"}]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"h", "[", "t_", "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"f", "[", "t", "]"}], ",", 
       RowBox[{"g", "[", "t", "]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Beta]", "[", "t_", "]"}], ":=", 
     RowBox[{"ArcTan", "[", 
      FractionBox[
       RowBox[{
        RowBox[{"g", "'"}], "[", "t", "]"}], 
       RowBox[{
        RowBox[{"f", "'"}], "[", "t", "]"}]], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"csolution", "=", 
     RowBox[{"x", "/.", " ", 
      RowBox[{"N", "[", 
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"f", "'"}], "[", "x", "]"}], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"g", "[", "b", "]"}], "-", 
              RowBox[{"g", "[", "a", "]"}]}], ")"}]}], "-", 
           RowBox[{
            RowBox[{
             RowBox[{"g", "'"}], "[", "x", "]"}], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"f", "[", "b", "]"}], "-", 
              RowBox[{"f", "[", "a", "]"}]}], ")"}]}]}], "\[Equal]", "0"}], 
         ",", "x"}], "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"c1", "=", 
     RowBox[{
      RowBox[{"Select", "[", 
       RowBox[{"csolution", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"a", "<", 
           RowBox[{"Re", "[", "#", "]"}], "<", "b"}], " ", "&&", " ", 
          RowBox[{
           RowBox[{"Im", "[", "#", "]"}], "\[Equal]", "0"}]}], "&"}]}], "]"}],
       "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"ParametricPlot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"h", "[", "t", "]"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "a", ",", "b"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5"}], ",", "6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5"}], ",", "6"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"400", ",", "350"}], "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", ".004", "]"}], ",", "Blue"}], "}"}], 
        "}"}]}], ",", 
      RowBox[{"Epilog", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<X(c)\>\"", ",", "Medium", ",", "Italic"}], "]"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"f", "[", "c1", "]"}], ",", 
             RowBox[{
              RowBox[{"g", "[", "c1", "]"}], "-", ".5"}]}], "}"}]}], "]"}], 
         ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<X(a)\>\"", ",", "Medium", ",", "Italic"}], "]"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"f", "[", "a", "]"}], "-", ".5"}], ",", 
             RowBox[{"g", "[", "a", "]"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<X(b)\>\"", ",", "Medium", ",", "Italic"}], "]"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"f", "[", "b", "]"}], "+", ".5"}], ",", 
             RowBox[{"g", "[", "b", "]"}]}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Red", ",", " ", 
           RowBox[{"Thickness", "[", ".005", "]"}], ",", " ", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"f", "[", "a", "]"}], ",", " ", 
                RowBox[{"g", "[", "a", "]"}]}], "}"}], ",", " ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"f", "[", "b", "]"}], ",", " ", 
                RowBox[{"g", "[", "b", "]"}]}], "}"}]}], "}"}], "]"}]}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Green", ",", " ", 
           RowBox[{"Thickness", "[", ".005", "]"}], ",", " ", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"f", "[", "c1", "]"}], "-", 
                 RowBox[{
                  SqrtBox["5"], " ", 
                  RowBox[{"Cos", "[", 
                   RowBox[{"\[Beta]", "[", "c1", "]"}], "]"}]}]}], ",", " ", 
                RowBox[{
                 RowBox[{"g", "[", "c1", "]"}], "-", 
                 RowBox[{
                  SqrtBox["5"], 
                  RowBox[{"Sin", "[", 
                   RowBox[{"\[Beta]", "[", "c1", "]"}], "]"}]}]}]}], "}"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"f", "[", "c1", "]"}], "+", 
                 RowBox[{
                  SqrtBox[
                   RowBox[{"5", " "}]], " ", 
                  RowBox[{"Cos", "[", 
                   RowBox[{"\[Beta]", "[", "c1", "]"}], "]"}]}]}], ",", " ", 
                RowBox[{
                 RowBox[{"g", "[", "c1", "]"}], "+", 
                 RowBox[{
                  SqrtBox["5"], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"\[Beta]", "[", "c1", "]"}], "]"}]}]}]}], "}"}]}], 
             "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", ".01", "]"}], ",", "Blue", ",", " ", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"f", "[", "a", "]"}], ",", 
              RowBox[{"g", "[", "a", "]"}]}], "}"}], "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", ".01", "]"}], ",", "Blue", ",", " ", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"f", "[", "b", "]"}], ",", 
              RowBox[{"g", "[", "b", "]"}]}], "}"}], "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", ".01", "]"}], ",", "Blue", ",", " ", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"f", "[", "c1", "]"}], ",", 
              RowBox[{"g", "[", "c1", "]"}]}], "}"}], "]"}]}], "}"}]}], 
        "}"}]}], ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<X\>\"", ",", "Italic"}], "]"}], ",", "\"\<(\>\"", 
            ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<t\>\"", ",", "Italic"}], "]"}], ",", 
            "\"\<)=(1 + \>\"", ",", 
            RowBox[{"Subscript", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<A\>\"", ",", "Italic"}], "]"}], ",", "1"}], "]"}],
             ",", "\"\< \>\"", ",", 
            RowBox[{"Superscript", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<t\>\"", ",", "Italic"}], "]"}], ",", 
              RowBox[{"Subscript", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}], ",", "1"}], 
               "]"}]}], "]"}], ",", "\"\<, 1 + 2 \>\"", ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<t\>\"", ",", "Italic"}], "]"}], ",", "\"\< + \>\"", 
            ",", 
            RowBox[{"Subscript", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<A\>\"", ",", "Italic"}], "]"}], ",", "2"}], "]"}],
             ",", "\"\< \>\"", ",", 
            RowBox[{"Superscript", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<t\>\"", ",", "Italic"}], "]"}], ",", 
              RowBox[{"Subscript", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}], ",", "2"}], 
               "]"}]}], "]"}], ",", "\"\<)\>\""}], "}"}], "]"}], ",", 
         "Medium"}], "]"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "A1", ",", " ", "1", ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(A\), \(1\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "1"}], ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"A2", ",", " ", 
       RowBox[{"-", "1"}], ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(A\), \(2\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "1"}], ",", "0.1", ",", ".013", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"Exclusions", "\[Rule]", "0"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "k1", ",", " ", "2", ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(k\), \(1\)]\)\>\""}], "}"}], ",", "1", ",", 
     "2", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "k2", ",", " ", "3", ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(k\), \(2\)]\)\>\""}], "}"}], ",", "2", ",", 
     "3", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"-", "2"}], ",", "\"\<a\>\""}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", 
     RowBox[{"-", "1.1"}], ",", ".3", ",", 
     RowBox[{"ControlType", "\[Rule]", " ", "VerticalSlider"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "1.9", ",", "\"\<b\>\""}], "}"}], ",", "1", ",", 
     "1.9", ",", ".3", ",", 
     RowBox[{"ControlType", "\[Rule]", " ", "VerticalSlider"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "Top", ",", "Top", ",", "Top", ",", "Top", ",", "Left", ",", "Right"}], 
     "}"}]}], ",", " ", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.421062563765767*^9, 3.421062564178808*^9}, {
   3.4210626581182013`*^9, 3.4210627100443935`*^9}, {3.4210709579821043`*^9, 
   3.4210709695832644`*^9}, {3.421156446352236*^9, 3.4211564479313936`*^9}, {
   3.4211607036269207`*^9, 3.4211608936479206`*^9}, {3.421579602296875*^9, 
   3.421579607375*^9}},
 CellID->1037627]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = -2, $CellContext`A1$$ = 
    1, $CellContext`A2$$ = -1, $CellContext`b$$ = 1.9, $CellContext`k1$$ = 
    2, $CellContext`k2$$ = 3, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`A1$$], 1, "\!\(\*SubscriptBox[\(A\), \(1\)]\)"}, -1, 
      1}, {{
       Hold[$CellContext`A2$$], -1, "\!\(\*SubscriptBox[\(A\), \(2\)]\)"}, -1,
       0.1, 0.013}, {{
       Hold[$CellContext`k1$$], 2, "\!\(\*SubscriptBox[\(k\), \(1\)]\)"}, 1, 
      2, 1}, {{
       Hold[$CellContext`k2$$], 3, "\!\(\*SubscriptBox[\(k\), \(2\)]\)"}, 2, 
      3, 1}, {{
       Hold[$CellContext`a$$], -2, "a"}, -2, -1.1, 0.3}, {{
       Hold[$CellContext`b$$], 1.9, "b"}, 1, 1.9, 0.3}}, Typeset`size$$ = {
    400., {173., 177.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`A1$1138$$ = 
    0, $CellContext`A2$1139$$ = 0, $CellContext`k1$1140$$ = 
    0, $CellContext`k2$1141$$ = 0, $CellContext`a$1142$$ = 
    0, $CellContext`b$1143$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = -2, $CellContext`A1$$ = 
        1, $CellContext`A2$$ = -1, $CellContext`b$$ = 1.9, $CellContext`k1$$ = 
        2, $CellContext`k2$$ = 3}, "ControllerVariables" :> {
        Hold[$CellContext`A1$$, $CellContext`A1$1138$$, 0], 
        Hold[$CellContext`A2$$, $CellContext`A2$1139$$, 0], 
        Hold[$CellContext`k1$$, $CellContext`k1$1140$$, 0], 
        Hold[$CellContext`k2$$, $CellContext`k2$1141$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$1142$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$1143$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`f[
          Pattern[$CellContext`t$, 
           Blank[]]] := 
        1 + $CellContext`A1$$ $CellContext`t$^$CellContext`k1$$; \
$CellContext`g[
          Pattern[$CellContext`t$, 
           Blank[]]] := 
        1 + 2 $CellContext`t$ + $CellContext`A2$$ \
$CellContext`t$^$CellContext`k2$$; $CellContext`h[
          Pattern[$CellContext`t, 
           Blank[]]] := {
          $CellContext`f[$CellContext`t], 
          $CellContext`g[$CellContext`t]}; $CellContext`\[Beta][
          Pattern[$CellContext`t, 
           Blank[]]] := 
        ArcTan[Derivative[1][$CellContext`g][$CellContext`t]/Derivative[
          1][$CellContext`f][$CellContext`t]]; $CellContext`csolution = 
        ReplaceAll[$CellContext`x, 
          N[
           Solve[
           Derivative[
               1][$CellContext`f][$CellContext`x] \
($CellContext`g[$CellContext`b$$] - $CellContext`g[$CellContext`a$$]) - 
             Derivative[
              1][$CellContext`g][$CellContext`x] \
($CellContext`f[$CellContext`b$$] - $CellContext`f[$CellContext`a$$]) == 
            0, $CellContext`x]]]; $CellContext`c1 = Part[
          
          Select[$CellContext`csolution, 
           And[$CellContext`a$$ < Re[#] < $CellContext`b$$, Im[#] == 0]& ], 
          1]; ParametricPlot[{
          $CellContext`h[$CellContext`t]}, {$CellContext`t, $CellContext`a$$, \
$CellContext`b$$}, PlotRange -> {{-5, 6}, {-5, 6}}, ImageSize -> {400, 350}, 
         PlotStyle -> {{
            Thickness[0.004], Blue}}, Epilog -> {
           Text[
            Style["X(c)", Medium, Italic], {
             $CellContext`f[$CellContext`c1], $CellContext`g[$CellContext`c1] - 
             0.5}], 
           Text[
            Style[
            "X(a)", Medium, Italic], {$CellContext`f[$CellContext`a$$] - 
             0.5, 
             $CellContext`g[$CellContext`a$$]}], 
           Text[
            Style[
            "X(b)", Medium, Italic], {$CellContext`f[$CellContext`b$$] + 
             0.5, 
             $CellContext`g[$CellContext`b$$]}], {Red, 
            Thickness[0.005], 
            Line[{{
               $CellContext`f[$CellContext`a$$], 
               $CellContext`g[$CellContext`a$$]}, {
               $CellContext`f[$CellContext`b$$], 
               $CellContext`g[$CellContext`b$$]}}]}, {Green, 
            Thickness[0.005], 
            Line[{{$CellContext`f[$CellContext`c1] - 5^Rational[1, 2] Cos[
                 $CellContext`\[Beta][$CellContext`c1]], \
$CellContext`g[$CellContext`c1] - 5^Rational[1, 2] Sin[
                 $CellContext`\[Beta][$CellContext`c1]]}, \
{$CellContext`f[$CellContext`c1] + 5^Rational[1, 2] Cos[
                  $CellContext`\[Beta][$CellContext`c1]], \
$CellContext`g[$CellContext`c1] + 5^Rational[1, 2] Sin[
                  $CellContext`\[Beta][$CellContext`c1]]}}]}, {
            PointSize[0.01], Blue, 
            Point[{
              $CellContext`f[$CellContext`a$$], 
              $CellContext`g[$CellContext`a$$]}]}, {
            PointSize[0.01], Blue, 
            Point[{
              $CellContext`f[$CellContext`b$$], 
              $CellContext`g[$CellContext`b$$]}]}, {
            PointSize[0.01], Blue, 
            Point[{
              $CellContext`f[$CellContext`c1], 
              $CellContext`g[$CellContext`c1]}]}}, PlotLabel -> Style[
           Row[{
             Style["X", Italic], "(", 
             Style["t", Italic], ")=(1 + ", 
             Subscript[
              Style["A", Italic], 1], " ", 
             Superscript[
              Style["t", Italic], 
              Subscript[
               Style["k", Italic], 1]], ", 1 + 2 ", 
             Style["t", Italic], " + ", 
             Subscript[
              Style["A", Italic], 2], " ", 
             Superscript[
              Style["t", Italic], 
              Subscript[
               Style["k", Italic], 2]], ")"}], Medium]]), 
      "Specifications" :> {{{$CellContext`A1$$, 1, 
          "\!\(\*SubscriptBox[\(A\), \(1\)]\)"}, -1, 1, Appearance -> 
         "Labeled"}, {{$CellContext`A2$$, -1, 
          "\!\(\*SubscriptBox[\(A\), \(2\)]\)"}, -1, 0.1, 0.013, Appearance -> 
         "Labeled", Exclusions -> 
         0}, {{$CellContext`k1$$, 2, "\!\(\*SubscriptBox[\(k\), \(1\)]\)"}, 1,
          2, 1, Appearance -> 
         "Labeled"}, {{$CellContext`k2$$, 3, 
          "\!\(\*SubscriptBox[\(k\), \(2\)]\)"}, 2, 3, 1, Appearance -> 
         "Labeled"}, {{$CellContext`a$$, -2, "a"}, -2, -1.1, 0.3, ControlType -> 
         VerticalSlider}, {{$CellContext`b$$, 1.9, "b"}, 1, 1.9, 0.3, 
         ControlType -> VerticalSlider}}, 
      "Options" :> {
       ControlPlacement -> {Top, Top, Top, Top, Left, Right}, TrackedSymbols -> 
        Manipulate}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{519., {257., 262.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->366996792],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Cauchy Mean-Value Theorem",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CauchyMeanValueTheorem/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/CauchyMeanValueTheorem/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/CauchyMeanValueTheorem/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CauchyMeanValueTheorem/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/CauchyMeanValueTheorem/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Soledad M\.aa S\[AAcute]ez Mart\[IAcute]nez",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%\
E1ez+Mart%EDnez"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%E1ez+\
Mart%EDnez"],
 " and ",
 ButtonBox["F\[EAcute]lix Mart\[IAcute]nez de la Rosa",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%\
EDnez+de+la+Rosa"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%EDnez+\
de+la+Rosa"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
CauchyMeanValueTheorem"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Cauchy Mean-Value Theorem - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 217, 4, 70, "Section"],
Cell[810, 29, 11714, 311, 70, "Input",
 CellID->1037627]
}, Open  ]],
Cell[12539, 343, 7276, 156, 70, "Output",
 CellID->366996792],
Cell[CellGroupData[{
Cell[19840, 503, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[20216, 514, 912, 24, 70, "Text"],
Cell[21131, 540, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[21471, 551, 818, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[22314, 579, 829, 24, 70, "Text"],
Cell[23146, 605, 1198, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature lQN32qlC@WqRWDDXqvU2mU5u *)
