(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     25308,        664]
NotebookOptionsPosition[     24262,        625]
NotebookOutlinePosition[     24874,        649]
CellTagsIndexPosition[     24831,        646]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Derivative as a Function", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"fcn", "===", "Log"}], "&&", 
       RowBox[{"a", "<", ".001"}]}], ",", 
      RowBox[{"a", "=", ".001"}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "set", " ", "height", " ", "of", " ", "inset", " ", "text", " ", "for", 
      " ", "slope"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"m", "=", 
     RowBox[{"Max", "[", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"fcn", "[", "5", "]"}], "]"}], ",", 
       RowBox[{"Abs", "[", 
        RowBox[{"fcn", "[", "6", "]"}], "]"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"change", " ", "domain", " ", "for", " ", "log"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"fcn", "[", "2", "]"}], "\[Equal]", 
       RowBox[{"Log", "[", "2", "]"}]}], ",", 
      RowBox[{"left", "=", ".001"}], ",", 
      RowBox[{"left", "=", 
       RowBox[{"-", "8"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "change", " ", "plotrange", " ", "for", " ", "log", " ", "and", " ", 
      "trig", " ", "functions"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Which", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"fcn", "[", "2", "]"}], "\[Equal]", 
       RowBox[{"Log", "[", "2", "]"}]}], ",", 
      RowBox[{"r", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2"}], ",", "3"}], "}"}]}], ",", 
      RowBox[{
       RowBox[{"fcn", "[", 
        RowBox[{"Pi", "/", "4"}], "]"}], "==", 
       RowBox[{"Sin", "[", 
        RowBox[{"Pi", "/", "4"}], "]"}]}], ",", 
      RowBox[{"r", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2"}], ",", "2"}], "}"}]}], ",", "True", ",", 
      RowBox[{"r", "=", "Automatic"}]}], "]"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
    "GraphicsRow", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"first", " ", "row"}], " ", "-", " ", "function"}], "*)"}], 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Show", "[", 
         RowBox[{
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{"fcn", "[", "x", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "left", ",", "8"}], "}"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"Thickness", "[", ".007", "]"}]}], ",", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"Scaled", "[", ".7", "]"}]}], ",", 
            RowBox[{"PlotRange", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "8"}], ",", "12"}], "}"}], ",", "r"}], "}"}]}], 
            ",", 
            RowBox[{"PlotLabel", " ", "\[Rule]", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Framed", "[", 
                RowBox[{
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{"\"\<function \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<)\>\"", ",", "\"\< = \>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    StyleBox[
                    RowBox[{"fcn", "[", "x", "]"}], "WarholOrange"], ",", 
                    "TraditionalForm"}], 
                    StyleBox["]", "WarholOrange"]}]}], "}"}], "]"}], ",", 
                 RowBox[{"Background", "\[Rule]", "LightGray"}]}], "]"}], ",",
                "14"}], "]"}]}], ",", 
            RowBox[{"Epilog", "\[Rule]", " ", 
             RowBox[{"Inset", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<m\>\"", ",", " ", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{
                    RowBox[{"fcn", "'"}], "[", "a", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"4", ",", "2"}], "}"}]}], "]"}]}], "}"}], "]"}], 
                 ",", "14", ",", 
                 RowBox[{"Background", "\[Rule]", "LightRed"}]}], "]"}], ",", 
               
               RowBox[{"{", 
                RowBox[{"10", ",", 
                 RowBox[{"m", "/", "2"}]}], "}"}]}], "]"}]}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"ListPlot", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"{", 
              RowBox[{"a", ",", 
               RowBox[{"fcn", "[", "a", "]"}]}], "}"}], "}"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"Black", ",", 
               RowBox[{"PointSize", "[", "Large", "]"}]}], "}"}]}]}], "]"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"fcn", "[", "a", "]"}], "+", 
             RowBox[{
              RowBox[{
               RowBox[{"fcn", "'"}], "[", "a", "]"}], "*", 
              RowBox[{"(", 
               RowBox[{"x", "-", "a"}], ")"}]}]}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"a", "-", "2"}], ",", 
              RowBox[{"a", "+", "2"}]}], "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"Red", ",", 
               RowBox[{"Thickness", "[", ".012", "]"}], ",", 
               RowBox[{"Opacity", "[", ".6", "]"}]}], "}"}]}]}], "]"}], ",", 
          RowBox[{"PlotRangePadding", "\[Rule]", "1"}]}], "]"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"second", " ", "row"}], " ", "-", " ", "derivative"}], 
         "*)"}], "\[IndentingNewLine]", 
        RowBox[{"Show", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"fcn", "'"}], "[", "x", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "left", ",", "8"}], "}"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"Thickness", "[", ".007", "]"}]}], " ", ",", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"Scaled", "[", ".7", "]"}]}], ",", 
            RowBox[{"PlotRange", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "8"}], ",", "12"}], "}"}], ",", "r"}], "}"}]}], 
            ",", 
            RowBox[{"PlotLabel", " ", "\[Rule]", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Framed", "[", 
                RowBox[{
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{"\"\<derivative \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f'\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<)\>\""}], "}"}], "]"}], ",", 
                 RowBox[{"Background", "\[Rule]", "LightGray"}]}], "]"}], ",",
                "14"}], "]"}]}], ",", 
            RowBox[{"Epilog", "\[Rule]", " ", 
             RowBox[{"Inset", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", " ", "Italic"}], "]"}], ",", 
                    "\"\< = \>\"", ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{
                    RowBox[{"fcn", "'"}], "[", "a", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"4", ",", "2"}], "}"}]}], "]"}]}], "}"}], "]"}], 
                 ",", "14", ",", 
                 RowBox[{"Background", "\[Rule]", "LightRed"}]}], "]"}], ",", 
               
               RowBox[{"{", 
                RowBox[{"10", ",", 
                 RowBox[{
                  RowBox[{"fcn", "'"}], "[", "a", "]"}]}], "}"}]}], "]"}]}]}],
            "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Graphics", "[", 
           RowBox[{"{", 
            RowBox[{"Dashed", ",", "Red", ",", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{
                   RowBox[{"fcn", "'"}], "[", "a", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"a", ",", 
                  RowBox[{
                   RowBox[{"fcn", "'"}], "[", "a", "]"}]}], "}"}]}], "}"}], 
              "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"ListPlot", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"{", 
              RowBox[{"a", ",", 
               RowBox[{
                RowBox[{"fcn", "'"}], "[", "a", "]"}]}], "}"}], "}"}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", "Large", "]"}], ",", "Red"}], 
              "}"}]}]}], "]"}], ",", 
          RowBox[{"PlotRangePadding", "\[Rule]", "1"}]}], "]"}]}], "}"}], ",",
       
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"600", ",", "300"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "1", ",", "\"\<x\>\""}], "}"}], ",", 
     RowBox[{"Dynamic", "[", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"fcn", "===", "Log"}], ",", ".001", ",", 
        RowBox[{"-", "8"}]}], "]"}], "]"}], ",", "8", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fcn", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"#", "^", "2"}], ")"}], "&"}], ",", "\"\<function\>\""}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Identity", "\[Rule]", 
        RowBox[{"ToString", "[", 
         RowBox[{"x", ",", "TraditionalForm"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"#", "^", "2"}], ")"}], "&"}], ")"}], "\[Rule]", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{"x", "^", "2"}], ",", "TraditionalForm"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"#", "^", "3"}], ")"}], "&"}], ")"}], "\[Rule]", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{"x", "^", "3"}], ",", "TraditionalForm"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Sin", "\[Rule]", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{"Sin", "[", "x", "]"}], ",", "TraditionalForm"}], "]"}]}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"Cos", "\[Rule]", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{"Cos", "[", "x", "]"}], ",", "TraditionalForm"}], "]"}]}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"Exp", "\[Rule]", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{"Exp", "[", "x", "]"}], ",", "TraditionalForm"}], "]"}]}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"Log", "\[Rule]", " ", 
        RowBox[{"ToString", "[", 
         RowBox[{
          RowBox[{"Log", "[", "x", "]"}], ",", "TraditionalForm"}], "]"}]}]}],
       "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4335128909306393`*^9, {3.433513000593799*^9, 
   3.433513001837318*^9}, {3.4335213265068927`*^9, 3.433521369234165*^9}, {
   3.4335214008913307`*^9, 3.4335214090251436`*^9}, {3.433596481726352*^9, 
   3.433596484997679*^9}, {3.4336944999703407`*^9, 3.433694570195362*^9}, {
   3.433694624098752*^9, 3.4336946685421963`*^9}, {3.4342142727869854`*^9, 
   3.4342142993596425`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`fcn$$ = #^2& , 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 1, "x"}, 
      Dynamic[
       If[$CellContext`fcn$$ === Log, 0.001, -8]], 8}, {{
       Hold[$CellContext`fcn$$], #^2& , "function"}, {
      Identity -> "\!\(TraditionalForm\`x\)", (#^2& ) -> 
       "\!\(TraditionalForm\`x\^2\)", (#^3& ) -> 
       "\!\(TraditionalForm\`x\^3\)", Sin -> 
       "\!\(TraditionalForm\`\(sin(x)\)\)", Cos -> 
       "\!\(TraditionalForm\`\(cos(x)\)\)", Exp -> 
       "\!\(TraditionalForm\`\[ExponentialE]\^x\)", Log -> 
       "\!\(TraditionalForm\`\(log(x)\)\)"}}}, Typeset`size$$ = {
    600., {148., 152.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$116893$$ = 
    0, $CellContext`fcn$116894$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 1, $CellContext`fcn$$ = #^2& }, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$116893$$, 0], 
        Hold[$CellContext`fcn$$, $CellContext`fcn$116894$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> (If[
         And[$CellContext`fcn$$ === Log, $CellContext`a$$ < 
          0.001], $CellContext`a$$ = 0.001]; $CellContext`m = Max[
          Abs[
           $CellContext`fcn$$[5]], 
          Abs[
           $CellContext`fcn$$[6]]]; 
       If[$CellContext`fcn$$[2] == Log[2], $CellContext`left = 
         0.001, $CellContext`left = -8]; 
       Which[$CellContext`fcn$$[2] == 
         Log[2], $CellContext`r = {-2, 3}, $CellContext`fcn$$[Pi/4] == 
         Sin[Pi/4], $CellContext`r = {-2, 2}, True, $CellContext`r = 
         Automatic]; GraphicsRow[{
          Show[
           Plot[
            $CellContext`fcn$$[$CellContext`x], {$CellContext`x, \
$CellContext`left, 8}, PlotStyle -> Thickness[0.007], ImageSize -> 
            Scaled[0.7], PlotRange -> {{-8, 12}, $CellContext`r}, PlotLabel -> 
            Style[
              Framed[
               Row[{"function ", 
                 Style["f", Italic], "(", 
                 Style["x", Italic], ")", " = ", 
                 ToString[
                  $CellContext`fcn$$[$CellContext`x], TraditionalForm]}], 
               Background -> LightGray], 14], Epilog -> Inset[
              Style[
               Row[{
                 Style["m", Italic], " = ", 
                 NumberForm[
                  N[
                   Derivative[1][$CellContext`fcn$$][$CellContext`a$$]], {4, 
                  2}]}], 14, Background -> LightRed], {
              10, $CellContext`m/2}]], 
           ListPlot[{{$CellContext`a$$, 
              $CellContext`fcn$$[$CellContext`a$$]}}, PlotStyle -> {Black, 
              PointSize[Large]}], 
           
           Plot[$CellContext`fcn$$[$CellContext`a$$] + 
            Derivative[
              1][$CellContext`fcn$$][$CellContext`a$$] ($CellContext`x - \
$CellContext`a$$), {$CellContext`x, $CellContext`a$$ - 2, $CellContext`a$$ + 
             2}, PlotStyle -> {Red, 
              Thickness[0.012], 
              Opacity[0.6]}], PlotRangePadding -> 1], 
          Show[
           Plot[
            Derivative[
            1][$CellContext`fcn$$][$CellContext`x], {$CellContext`x, \
$CellContext`left, 8}, PlotStyle -> Thickness[0.007], ImageSize -> 
            Scaled[0.7], PlotRange -> {{-8, 12}, $CellContext`r}, PlotLabel -> 
            Style[
              Framed[
               Row[{"derivative ", 
                 Style["f'", Italic], "(", 
                 Style["x", Italic], ")"}], Background -> LightGray], 14], 
            Epilog -> Inset[
              Style[
               Row[{
                 Style["y", Italic], " = ", 
                 NumberForm[
                  N[
                   Derivative[1][$CellContext`fcn$$][$CellContext`a$$]], {4, 
                  2}]}], 14, Background -> LightRed], {10, 
               Derivative[1][$CellContext`fcn$$][$CellContext`a$$]}]], 
           Graphics[{Dashed, Red, 
             Line[{{0, 
                Derivative[
                1][$CellContext`fcn$$][$CellContext`a$$]}, {$CellContext`a$$, 
                
                Derivative[1][$CellContext`fcn$$][$CellContext`a$$]}}]}], 
           ListPlot[{{$CellContext`a$$, 
              Derivative[1][$CellContext`fcn$$][$CellContext`a$$]}}, 
            PlotStyle -> {
              PointSize[Large], Red}], PlotRangePadding -> 1]}, 
         ImageSize -> {600, 300}]), 
      "Specifications" :> {{{$CellContext`a$$, 1, "x"}, 
         Dynamic[
          If[$CellContext`fcn$$ === Log, 0.001, -8]], 8, Appearance -> 
         "Labeled"}, {{$CellContext`fcn$$, #^2& , "function"}, {
         Identity -> "\!\(TraditionalForm\`x\)", (#^2& ) -> 
          "\!\(TraditionalForm\`x\^2\)", (#^3& ) -> 
          "\!\(TraditionalForm\`x\^3\)", Sin -> 
          "\!\(TraditionalForm\`\(sin(x)\)\)", Cos -> 
          "\!\(TraditionalForm\`\(cos(x)\)\)", Exp -> 
          "\!\(TraditionalForm\`\[ExponentialE]\^x\)", Log -> 
          "\!\(TraditionalForm\`\(log(x)\)\)"}, ControlType -> SetterBar}}, 
      "Options" :> {TrackedSymbols -> Manipulate}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{644., {204., 209.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->82320775],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Derivative as a Function",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DerivativeAsAFunction/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/DerivativeAsAFunction/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/DerivativeAsAFunction/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DerivativeAsAFunction/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/DerivativeAsAFunction/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Jim Brandt",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
DerivativeAsAFunction"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Derivative as a Function - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 216, 4, 70, "Section"],
Cell[809, 29, 13226, 330, 70, "Input"]
}, Open  ]],
Cell[14050, 362, 6053, 130, 70, "Output",
 CellID->82320775],
Cell[CellGroupData[{
Cell[20128, 496, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[20504, 507, 906, 24, 70, "Text"],
Cell[21413, 533, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[21753, 544, 427, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[22205, 562, 829, 24, 70, "Text"],
Cell[23037, 588, 1197, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature OQ4bqeq89y3EoCDL40ESGE9x *)
