(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15549,        449]
NotebookOptionsPosition[     14448,        408]
NotebookOutlinePosition[     15076,        432]
CellTagsIndexPosition[     15033,        429]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Derivatives of Exponential Functions", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"Evaluate", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"t", "^", "x"}], ",", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"t", "^", "x"}], ",", "x"}], "]"}], ",", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"t", "^", "x"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "2"}], "}"}]}], "]"}]}], "}"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Darker", "[", 
           RowBox[{"Blue", ",", ".2"}], "]"}], ",", 
          RowBox[{"Darker", "[", 
           RowBox[{"Green", ",", ".5"}], "]"}], ",", 
          RowBox[{"Lighter", "[", 
           RowBox[{"Purple", ",", ".2"}], "]"}]}], "}"}]}]}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"PointSize", "[", ".02", "]"}], ",", 
         RowBox[{"Darker", "[", 
          RowBox[{"Blue", ",", ".2"}], "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2.8"}], ",", 
            RowBox[{"-", ".5"}]}], "}"}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Superscript", "[", 
              RowBox[{"\"\<b\>\"", ",", "\"\<x\>\""}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "2.5"}], ",", 
               RowBox[{"-", ".5"}]}], "}"}]}], "]"}], ",", "16", ",", "Bold", 
           ",", "Italic"}], "]"}], ",", 
         RowBox[{"Darker", "[", 
          RowBox[{"Green", ",", ".5"}], "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2.8"}], ",", 
            RowBox[{"-", "1.25"}]}], "}"}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Unevaluated", "[", 
              RowBox[{
               SubscriptBox["\[PartialD]", "\"\<x\>\""], " ", 
               RowBox[{"Superscript", "[", 
                RowBox[{"\"\<b\>\"", ",", "\"\<x\>\""}], "]"}]}], "]"}], ",", 
             
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "2.5"}], ",", 
               RowBox[{"-", "1.25"}]}], "}"}]}], "]"}], ",", "Bold", ",", 
           "16", ",", "Italic"}], "]"}], ",", 
         RowBox[{"Lighter", "[", 
          RowBox[{"Purple", ",", ".2"}], "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2.8"}], ",", 
            RowBox[{"-", "2.5"}]}], "}"}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Unevaluated", "[", 
              RowBox[{"D", "[", 
               RowBox[{
                RowBox[{"Superscript", "[", 
                 RowBox[{"\"\<b\>\"", ",", "\"\<x\>\""}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "2"}], "}"}]}], "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "2.45"}], ",", 
               RowBox[{"-", "2.5"}]}], "}"}]}], "]"}], ",", "16", ",", "Bold",
            ",", "Italic"}], "]"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "}"}]}]}], "]"}], ",", 
     RowBox[{"Graphics", "@", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"\"\<b = \>\"", "<>", 
           RowBox[{"ToString", "[", 
            RowBox[{"t", ",", "TraditionalForm"}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"1.5", ",", 
            RowBox[{"-", "2.5"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"GrayLevel", "[", 
         RowBox[{".3", ",", ".6"}], "]"}], ",", "Bold", ",", "16"}], "]"}]}], 
     ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"450", ",", "350"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", ".75", ",", "\"\<base b\>\""}], "}"}], ",", ".1", ",",
      "Pi"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", ".75", ",", "\"\<special values for b\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"Sqrt", "[", "2", "]"}], ",", "E", ",", "\[Pi]"}], "}"}]}], 
    "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, 3.3593914449415*^9, {3.35939435815144*^9, 
   3.3593943747151*^9}, 3.35939692328435*^9, {3.36231378824223*^9, 
   3.36231379973876*^9}, {3.36231384402244*^9, 3.36231384453317*^9}, {
   3.36231387655922*^9, 3.36231397616244*^9}, {3.3623141997707*^9, 
   3.36231422721014*^9}, {3.36231458187061*^9, 3.36231460282474*^9}, {
   3.36250867737061*^9, 3.36250868059795*^9}, 3.36916503297575*^9, {
   3.36916511887927*^9, 3.36916512640009*^9}, {3.3779742155672827`*^9, 
   3.377974252540447*^9}, 3.3779743252149477`*^9, {3.3779744071427546`*^9, 
   3.3779744126506743`*^9}, {3.37797447472994*^9, 3.377974491824521*^9}, {
   3.3779749975917788`*^9, 3.3779750038107204`*^9}, {3.3837508475*^9, 
   3.38375084878125*^9}, {3.383751528015625*^9, 3.383751562875*^9}, {
   3.383751636328125*^9, 3.383751685921875*^9}, {3.383751877515625*^9, 
   3.3837520168125*^9}, {3.383752048953125*^9, 3.383752060375*^9}, {
   3.38375361809375*^9, 3.383753640109375*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`t$$ = 0.75, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`t$$], 0.75, "base b"}, 0.1, Pi}, {{
       Hold[$CellContext`t$$], 0.75, "special values for b"}, {
      1, 2^Rational[1, 2], E, Pi}}}, Typeset`size$$ = {450., {173., 177.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`t$371$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`t$$ = 0.75}, 
      "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$371$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[
         Evaluate[{$CellContext`t$$^$CellContext`x, 
           D[$CellContext`t$$^$CellContext`x, $CellContext`x], 
           
           D[$CellContext`t$$^$CellContext`x, {$CellContext`x, 
             2}]}], {$CellContext`x, -3, 3}, PlotRange -> {{-3, 3}, {-3, 3}}, 
         PlotStyle -> {
           Darker[Blue, 0.2], 
           Darker[Green, 0.5], 
           Lighter[Purple, 0.2]}], 
        Graphics[{
          PointSize[0.02], 
          Darker[Blue, 0.2], 
          Point[{-2.8, -0.5}], 
          Style[
           Text[
            Superscript["b", "x"], {-2.5, -0.5}], 16, Bold, Italic], 
          Darker[Green, 0.5], 
          Point[{-2.8, -1.25}], 
          Style[
           Text[
            Unevaluated[
             D[
              Superscript["b", "x"], "x"]], {-2.5, -1.25}], Bold, 16, Italic],
           
          Lighter[Purple, 0.2], 
          Point[{-2.8, -2.5}], 
          Style[
           Text[
            Unevaluated[
             D[
              Superscript["b", "x"], {$CellContext`x, 2}]], {-2.45, -2.5}], 
           16, Bold, Italic]}, PlotRange -> {{-3, 3}, {-3, 3}}], 
        Graphics[
         Style[
          Text[
           StringJoin["b = ", 
            ToString[$CellContext`t$$, TraditionalForm]], {1.5, -2.5}], 
          GrayLevel[0.3, 0.6], Bold, 16]], ImageSize -> {450, 350}], 
      "Specifications" :> {{{$CellContext`t$$, 0.75, "base b"}, 0.1, 
         Pi}, {{$CellContext`t$$, 0.75, "special values for b"}, {
         1, 2^Rational[1, 2], E, Pi}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {229., 234.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->573123895],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Derivatives of Exponential Functions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DerivativesOfExponentialFunctions/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/DerivativesOfExponentialFunctions/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
DerivativesOfExponentialFunctions/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DerivativesOfExponentialFunctions/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/DerivativesOfExponentialFunctions/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Rob Morris",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Rob+Morris"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Rob+Morris"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->266339098],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
DerivativesOfExponentialFunctions"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Derivatives of Exponential Functions - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 228, 4, 70, "Section"],
Cell[821, 29, 6261, 163, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[7097, 195, 3074, 74, 70, "Output",
 CellID->573123895],
Cell[CellGroupData[{
Cell[10196, 273, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10572, 284, 992, 29, 70, "Text"],
Cell[11567, 315, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[11907, 326, 447, 15, 70, "Text",
 CellID->266339098],
Cell[CellGroupData[{
Cell[12379, 345, 829, 24, 70, "Text"],
Cell[13211, 371, 1209, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature BQzfoyqWNI3DkD0P91KypuWb *)
