(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     25877,        667]
NotebookOptionsPosition[     24634,        620]
NotebookOutlinePosition[     25248,        644]
CellTagsIndexPosition[     25205,        641]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Differential of a Function", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], " ", ":=", " ", 
   RowBox[{
    SuperscriptBox["x", "2"], "+", "x"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"df", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"2", "x"}], "+", "1"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.43581284284375*^9, 3.4358128468125*^9}, {
  3.435813673578125*^9, 3.43581369*^9}},
 CellID->182331808],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Plot", "[", " ", 
      RowBox[{
       RowBox[{"f", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"x0", "-", 
          RowBox[{"2", " ", "h"}]}], ",", 
         RowBox[{"x0", "+", 
          RowBox[{"2", " ", "h"}]}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x0", "-", 
             RowBox[{"2", "*", "h"}]}], ",", 
            RowBox[{"x0", "+", 
             RowBox[{"2", "*", "h"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"f", "[", "x0", "]"}], "-", 
             RowBox[{"2", "*", "h"}]}], ",", 
            RowBox[{
             RowBox[{"f", "[", "x0", "]"}], "+", 
             RowBox[{"2", "*", "h"}]}]}], "}"}]}], "}"}]}], ",", 
       RowBox[{"Axes", "\[Rule]", 
        RowBox[{"If", "[", 
         RowBox[{"hint", ",", 
          RowBox[{"{", 
           RowBox[{"True", ",", "True"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"False", ",", "False"}], "}"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"PlotStyle", "\[Rule]", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"RGBColor", "[", 
           RowBox[{"0.378912", ",", " ", "0.742199", ",", " ", "0.570321"}], 
           "]"}], ",", 
          RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Prolog", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"GrayLevel", "[", "1", "]"}], ",", 
          RowBox[{"Disk", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x0", ",", 
              RowBox[{"f", "[", "x0", "]"}]}], "}"}], ",", 
            RowBox[{"0.8", "h"}]}], "]"}], ",", "Yellow", ",", 
          RowBox[{"Circle", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x0", ",", 
              RowBox[{"f", "[", "x0", "]"}]}], "}"}], ",", 
            RowBox[{"0.8", "h"}]}], "]"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"PlotLabel", "\[Rule]", " ", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", "\"\<(\>\"", 
           ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "\"\<)\>\""}], 
          "}"}], "]"}]}], ",", 
       RowBox[{"Epilog", "\[Rule]", " ", 
        RowBox[{"{", 
         RowBox[{"Red", ",", 
          RowBox[{"PointSize", "[", ".015", "]"}], ",", " ", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"x0", ",", 
             RowBox[{"f", "[", "x0", "]"}]}], "}"}], "]"}]}], "}"}]}], ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"x0", ",", 
          RowBox[{"f", "[", "x0", "]"}]}], "}"}]}], ",", 
       RowBox[{"Background", "\[Rule]", " ", 
        RowBox[{"GrayLevel", "[", "0.9", "]"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Red"}], ",", 
       RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
       RowBox[{"ImagePadding", "\[Rule]", "0.01"}]}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"x0", "-", "dx"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"df", "[", "x0", "]"}], 
               RowBox[{"(", 
                RowBox[{"-", "dx"}], ")"}]}], "+", 
              RowBox[{"f", "[", "x0", "]"}]}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"x0", "+", "dx"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"df", "[", "x0", "]"}], 
               RowBox[{"(", "dx", ")"}]}], "+", 
              RowBox[{"f", "[", "x0", "]"}]}]}], "}"}]}], "}"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"RGBColor", "[", 
           RowBox[{"1", ",", " ", "0", ",", " ", "0"}], "]"}], ",", 
          RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "+", "dx"}], ",", 
               RowBox[{"f", "[", "x0", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "+", "dx"}], ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"df", "[", "x0", "]"}], 
                 RowBox[{"(", "dx", ")"}]}], "+", 
                RowBox[{"f", "[", "x0", "]"}]}]}], "}"}]}], "}"}], "]"}], ",",
           
          RowBox[{"RGBColor", "[", 
           RowBox[{"0.501961", ",", " ", "0.501961", ",", " ", "0"}], "]"}], 
          ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x0", ",", 
               RowBox[{"f", "[", "x0", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x0", "+", "dx"}], ",", 
               RowBox[{"f", "[", "x0", "]"}]}], "}"}]}], "}"}], "]"}]}], 
         "}"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<d\[InvisibleSpace]y\>\"", ",", "Italic"}], "]"}], 
             ",", "\"\< = \>\"", ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<y' d\[InvisibleSpace]x\>\"", ",", "Italic"}], 
              "]"}]}], "}"}], "]"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"x0", "+", "dx"}], ",", 
                RowBox[{"f", "[", "x0", "]"}]}], "}"}], "+", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"x0", "+", "dx"}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"df", "[", "x0", "]"}], 
                  RowBox[{"(", "dx", ")"}]}], "+", 
                 RowBox[{"f", "[", "x0", "]"}]}]}], "}"}]}], ")"}], "/", 
            "2"}], "+", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"dx", "/", "2"}], ",", "0"}], "}"}]}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<d\[InvisibleSpace]x\>\"", ",", "Italic"}], "]"}], ",",
           
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x0", ",", 
                RowBox[{"f", "[", "x0", "]"}]}], "}"}], "+", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"x0", "+", "dx"}], ",", 
                RowBox[{"f", "[", "x0", "]"}]}], "}"}]}], ")"}], "/", "2"}], 
           "+", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{
              RowBox[{"-", "dx"}], "/", "4"}]}], "}"}]}]}], "]"}]}], "}"}], 
      "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "x0", ",", "0.5", ",", "\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\)\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "1.46"}], ",", "0.5", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"h", ",", "1", ",", "\"\<zoom\>\""}], "}"}], ",", "1", ",", 
     SuperscriptBox["10", 
      RowBox[{"-", "6"}]]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dx", ",", "0.3", ",", "\"\<dx\>\""}], "}"}], ",", "0.0001", 
     ",", "0.301", ",", "0.001", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"hint", ",", "True", ",", "\"\<show axes\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.395822272671875*^9, 3.39582241034375*^9}, {
   3.39582245490625*^9, 3.395822463921875*^9}, {3.3958224939375*^9, 
   3.395822498828125*^9}, {3.395822529484375*^9, 3.395822547984375*^9}, 
   3.395822602359375*^9, {3.395822642046875*^9, 3.395822642296875*^9}, 
   3.395822691953125*^9, {3.395822727875*^9, 3.39582286484375*^9}, {
   3.39582290753125*^9, 3.395823010296875*^9}, {3.395823053015625*^9, 
   3.395823083796875*^9}, {3.395823323828125*^9, 3.39582333903125*^9}, 
   3.395823587453125*^9, {3.395823658078125*^9, 3.395823730359375*^9}, {
   3.39582411909375*^9, 3.395824155921875*^9}, {3.3958241928125*^9, 
   3.39582420115625*^9}, {3.395824778140625*^9, 3.395824778640625*^9}, 
   3.3958273551875*^9, {3.395827413046875*^9, 3.39582741496875*^9}, 
   3.395827450125*^9, 3.39582749746875*^9, {3.39582760534375*^9, 
   3.39582764434375*^9}, {3.3958278261875*^9, 3.395828072796875*^9}, {
   3.395828123734375*^9, 3.395828143140625*^9}, {3.395828371109375*^9, 
   3.39582838034375*^9}, {3.395828413875*^9, 3.3958285066875*^9}, {
   3.395828548625*^9, 3.395828614609375*^9}, {3.39582869184375*^9, 
   3.395828743421875*^9}, {3.395829116515625*^9, 3.395829164015625*^9}, {
   3.395835251171875*^9, 3.39583525178125*^9}, {3.396072362484375*^9, 
   3.39607238125*^9}, {3.3960792438125*^9, 3.396079273375*^9}, {
   3.396592140453125*^9, 3.396592141546875*^9}, {3.3967989324375*^9, 
   3.396798935390625*^9}, {3.3968044083504343`*^9, 3.3968044233348885`*^9}, {
   3.3968046302055645`*^9, 3.3968046842978516`*^9}, {3.3968283781972027`*^9, 
   3.3968284419439383`*^9}, {3.396892649086605*^9, 3.3968926499198756`*^9}, {
   3.435813054640625*^9, 3.4358130910625*^9}, {3.43581322128125*^9, 
   3.435813248140625*^9}, {3.43581328565625*^9, 3.435813362765625*^9}, {
   3.435813476171875*^9, 3.435813482140625*^9}, {3.43581351575*^9, 
   3.43581353840625*^9}, {3.435813570796875*^9, 3.43581358434375*^9}, 
   3.43581372884375*^9, {3.435813991859375*^9, 3.43581401028125*^9}, {
   3.435814083921875*^9, 3.435814084546875*^9}, {3.43581411871875*^9, 
   3.43581414046875*^9}, {3.435814180265625*^9, 3.43581421553125*^9}, {
   3.43581477721875*^9, 3.435814877375*^9}, {3.435814961453125*^9, 
   3.4358149966875*^9}, {3.435815154828125*^9, 3.43581515909375*^9}, {
   3.43581525484375*^9, 3.43581526740625*^9}, {3.435815322375*^9, 
   3.435815323625*^9}, {3.435815354578125*^9, 3.4358155408125*^9}, {
   3.435815578703125*^9, 3.435815589171875*^9}, {3.435815639109375*^9, 
   3.435815642890625*^9}, {3.43581575*^9, 3.435815762078125*^9}, {
   3.43581579340625*^9, 3.435815899*^9}, {3.435815933171875*^9, 
   3.43581596196875*^9}, 3.435815999703125*^9, {3.435816034484375*^9, 
   3.435816081578125*^9}, {3.43581611165625*^9, 3.43581611628125*^9}, 
   3.435816177296875*^9, {3.43581624984375*^9, 3.435816254640625*^9}, 
   3.435816302375*^9, {3.4358163341875*^9, 3.435816352*^9}, {
   3.43581644234375*^9, 3.435816449125*^9}, {3.435816506078125*^9, 
   3.4358165334375*^9}, {3.435816636609375*^9, 3.435816663734375*^9}, {
   3.4358167100625*^9, 3.43581673684375*^9}, 3.43581677553125*^9, 
   3.435816891328125*^9, {3.435817009140625*^9, 3.43581701565625*^9}, {
   3.435817266640625*^9, 3.435817285734375*^9}, {3.435817322578125*^9, 
   3.435817473859375*^9}, {3.435817531890625*^9, 3.43581755984375*^9}, {
   3.435817617953125*^9, 3.435817771859375*^9}, {3.43581783771875*^9, 
   3.43581783875*^9}, {3.435819022015625*^9, 3.4358190590625*^9}, {
   3.435819091328125*^9, 3.4358190974375*^9}, {3.435819133140625*^9, 
   3.435819140125*^9}, {3.435969707375*^9, 3.435969733828125*^9}, {
   3.435969794375*^9, 3.43596986846875*^9}, {3.4383500768606997`*^9, 
   3.4383500966575747`*^9}, {3.438520265236061*^9, 3.438520278533391*^9}},
 CellID->10659525]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`dx$$ = 0.3, $CellContext`h$$ = 
    1, $CellContext`hint$$ = True, $CellContext`x0$$ = 0.5, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x0$$], 0.5, 
       "\!\(\*SubscriptBox[\(x\), \(0\)]\)"}, -1.46, 0.5}, {{
       Hold[$CellContext`h$$], 1, "zoom"}, 1, 
      Rational[1, 1000000]}, {{
       Hold[$CellContext`dx$$], 0.3, "dx"}, 0.0001, 0.301, 0.001}, {{
       Hold[$CellContext`hint$$], True, "show axes"}, {False, True}}}, 
    Typeset`size$$ = {360., {185., 190.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`x0$22071$$ = 0, $CellContext`h$22072$$ = 
    0, $CellContext`dx$22073$$ = 0, $CellContext`hint$22074$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`dx$$ = 0.3, $CellContext`h$$ = 
        1, $CellContext`hint$$ = True, $CellContext`x0$$ = 0.5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x0$$, $CellContext`x0$22071$$, 0], 
        Hold[$CellContext`h$$, $CellContext`h$22072$$, 0], 
        Hold[$CellContext`dx$$, $CellContext`dx$22073$$, 0], 
        Hold[$CellContext`hint$$, $CellContext`hint$22074$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[
         $CellContext`f[$CellContext`x], {$CellContext`x, $CellContext`x0$$ - 
          2 $CellContext`h$$, $CellContext`x0$$ + 2 $CellContext`h$$}, 
         PlotRange -> {{$CellContext`x0$$ - 
            2 $CellContext`h$$, $CellContext`x0$$ + 
            2 $CellContext`h$$}, {$CellContext`f[$CellContext`x0$$] - 
            2 $CellContext`h$$, $CellContext`f[$CellContext`x0$$] + 
            2 $CellContext`h$$}}, Axes -> 
         If[$CellContext`hint$$, {True, True}, {False, False}], 
         PlotStyle -> {
           RGBColor[0.378912, 0.742199, 0.570321], 
           Thickness[0.005]}, Prolog -> {
           GrayLevel[1], 
           Disk[{$CellContext`x0$$, 
             $CellContext`f[$CellContext`x0$$]}, 0.8 $CellContext`h$$], 
           Yellow, 
           Circle[{$CellContext`x0$$, 
             $CellContext`f[$CellContext`x0$$]}, 0.8 $CellContext`h$$]}, 
         PlotLabel -> Row[{
            Style["f", Italic], "(", 
            Style["x", Italic], ")"}], Epilog -> {Red, 
           PointSize[0.015], 
           Point[{$CellContext`x0$$, 
             $CellContext`f[$CellContext`x0$$]}]}, 
         AxesOrigin -> {$CellContext`x0$$, 
           $CellContext`f[$CellContext`x0$$]}, Background -> GrayLevel[0.9], 
         PlotStyle -> Red, AspectRatio -> 1, ImagePadding -> 0.01], 
        Graphics[{
          
          Line[{{$CellContext`x0$$ - $CellContext`dx$$, \
$CellContext`df[$CellContext`x0$$] (-$CellContext`dx$$) + \
$CellContext`f[$CellContext`x0$$]}, {$CellContext`x0$$ + $CellContext`dx$$, \
$CellContext`df[$CellContext`x0$$] $CellContext`dx$$ + \
$CellContext`f[$CellContext`x0$$]}}], {
           RGBColor[1, 0, 0], 
           Thickness[0.005], 
           Line[{{$CellContext`x0$$ + $CellContext`dx$$, 
              $CellContext`f[$CellContext`x0$$]}, {$CellContext`x0$$ + \
$CellContext`dx$$, $CellContext`df[$CellContext`x0$$] $CellContext`dx$$ + \
$CellContext`f[$CellContext`x0$$]}}], 
           RGBColor[0.501961, 0.501961, 0], 
           Line[{{$CellContext`x0$$, 
              $CellContext`f[$CellContext`x0$$]}, {$CellContext`x0$$ + \
$CellContext`dx$$, 
              $CellContext`f[$CellContext`x0$$]}}]}, 
          Text[
           Row[{
             Style["d\[InvisibleSpace]y", Italic], " = ", 
             Style[
             "y' d\[InvisibleSpace]x", 
              Italic]}], ({$CellContext`x0$$ + $CellContext`dx$$, 
               $CellContext`f[$CellContext`x0$$]} + {$CellContext`x0$$ + \
$CellContext`dx$$, $CellContext`df[$CellContext`x0$$] $CellContext`dx$$ + \
$CellContext`f[$CellContext`x0$$]})/2 + {$CellContext`dx$$/2, 0}], 
          Text[
           Style["d\[InvisibleSpace]x", Italic], ({$CellContext`x0$$, 
               $CellContext`f[$CellContext`x0$$]} + {$CellContext`x0$$ + \
$CellContext`dx$$, 
               $CellContext`f[$CellContext`x0$$]})/2 + {
            0, (-$CellContext`dx$$)/4}]}]], 
      "Specifications" :> {{{$CellContext`x0$$, 0.5, 
          "\!\(\*SubscriptBox[\(x\), \(0\)]\)"}, -1.46, 0.5, Appearance -> 
         "Labeled"}, {{$CellContext`h$$, 1, "zoom"}, 1, 
         Rational[1, 1000000]}, {{$CellContext`dx$$, 0.3, "dx"}, 0.0001, 
         0.301, 0.001, Appearance -> 
         "Labeled"}, {{$CellContext`hint$$, True, "show axes"}, {
         False, True}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{404., {264., 269.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]]] := $CellContext`x^2 + $CellContext`x, 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`df[
          Pattern[$CellContext`x, 
           Blank[]]] := 2 $CellContext`x + 1}; Typeset`initDone$$ = True); 
     ReleaseHold[{{
         HoldComplete[$CellContext`f[
             Pattern[$CellContext`x, 
              Blank[]]] := $CellContext`x^2 + $CellContext`x; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`df[
             Pattern[$CellContext`x, 
              Blank[]]] := 2 $CellContext`x + 1; Null]}}]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->18808690],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Differential of a Function",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DifferentialOfAFunction/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/DifferentialOfAFunction/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/DifferentialOfAFunction/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DifferentialOfAFunction/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/DifferentialOfAFunction/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "Additional contributions by: ",
 ButtonBox["Wolfang Narrath",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Wolfang+\
Narrath"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Wolfang+Narrath"],
 " and ",
 ButtonBox["Reinhard Simonovits",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Reinhard+\
Simonovits"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Reinhard+Simonovits"]\

}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->73798521]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
DifferentialOfAFunction"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Differential of a Function - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 218, 4, 70, "Section"],
Cell[811, 29, 456, 14, 70, "Input",
 InitializationCell->True,
 CellID->182331808],
Cell[1270, 45, 12216, 285, 70, "Input",
 CellID->10659525]
}, Open  ]],
Cell[13501, 333, 6148, 125, 70, "Output",
 CellID->18808690],
Cell[CellGroupData[{
Cell[19674, 462, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[20050, 473, 918, 24, 70, "Text"],
Cell[20971, 499, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[21333, 512, 436, 14, 70, "Text"],
Cell[21772, 528, 748, 24, 70, "Text",
 CellID->73798521]
}, Open  ]],
Cell[CellGroupData[{
Cell[22557, 557, 847, 24, 70, "Text"],
Cell[23407, 583, 1199, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature NRNnIQw3yy0wrDT5ZZAfc9Sn *)
