(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15727,        431]
NotebookOptionsPosition[     14581,        388]
NotebookOutlinePosition[     15199,        412]
CellTagsIndexPosition[     15156,        409]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Differentiation Microscope", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], " ", ":=", " ", 
   RowBox[{"Abs", "[", 
    RowBox[{
     SuperscriptBox["x", "2"], "+", "x"}], "]"}]}], ";"}]], "Input",
 CellID->182331808],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", " ", 
    RowBox[{
     RowBox[{"f", "[", "x", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"x0", "-", 
        RowBox[{"2", " ", "h"}]}], ",", 
       RowBox[{"x0", "+", 
        RowBox[{"2", " ", "h"}]}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x0", "-", 
           RowBox[{"2", "*", "h"}]}], ",", 
          RowBox[{"x0", "+", 
           RowBox[{"2", "*", "h"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"f", "[", "x0", "]"}], "-", 
           RowBox[{"2", "*", "h"}]}], ",", 
          RowBox[{
           RowBox[{"f", "[", "x0", "]"}], "+", 
           RowBox[{"2", "*", "h"}]}]}], "}"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotStyle", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.378912", ",", " ", "0.742199", ",", " ", "0.570321"}], 
         "]"}], ",", 
        RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Prolog", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"GrayLevel", "[", "1", "]"}], ",", 
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x0", ",", 
            RowBox[{"f", "[", "x0", "]"}]}], "}"}], ",", 
          RowBox[{"0.8", "h"}]}], "]"}], ",", "Yellow", ",", 
        RowBox[{"Circle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x0", ",", 
            RowBox[{"f", "[", "x0", "]"}]}], "}"}], ",", 
          RowBox[{"0.8", "h"}]}], "]"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotLabel", "\[Rule]", " ", "\"\<f[x]\>\""}], ",", 
     RowBox[{"Epilog", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"Red", ",", 
        RowBox[{"PointSize", "[", ".015", "]"}], ",", " ", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"x0", ",", 
           RowBox[{"f", "[", "x0", "]"}]}], "}"}], "]"}]}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"x0", ",", 
        RowBox[{"f", "[", "x0", "]"}]}], "}"}]}], ",", 
     RowBox[{"Background", "\[Rule]", " ", 
      RowBox[{"GrayLevel", "[", "0.9", "]"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Red"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "0.1"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", 
       RowBox[{"-", "1"}], ",", 
       "\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "1.46"}], ",", "0.5", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"h", ",", "1", ",", "\"\<zoom\>\""}], "}"}], ",", "1", ",", 
     SuperscriptBox["10", 
      RowBox[{"-", "6"}]]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"Row", "[", 
     RowBox[{"{", " ", 
      RowBox[{"\"\<The differentiation microscope for \>\"", ",", 
       RowBox[{"TraditionalForm", "[", 
        RowBox[{"HoldForm", "[", 
         RowBox[{
          RowBox[{"f", "[", "x", "]"}], "\[Equal]", 
          RowBox[{"Abs", "[", 
           RowBox[{
            RowBox[{"x", "^", "2"}], "+", "x"}], "]"}]}], "]"}], "]"}]}], 
      "}"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.395822272671875*^9, 3.39582241034375*^9}, {
   3.39582245490625*^9, 3.395822463921875*^9}, {3.3958224939375*^9, 
   3.395822498828125*^9}, {3.395822529484375*^9, 3.395822547984375*^9}, 
   3.395822602359375*^9, {3.395822642046875*^9, 3.395822642296875*^9}, 
   3.395822691953125*^9, {3.395822727875*^9, 3.39582286484375*^9}, {
   3.39582290753125*^9, 3.395823010296875*^9}, {3.395823053015625*^9, 
   3.395823083796875*^9}, {3.395823323828125*^9, 3.39582333903125*^9}, 
   3.395823587453125*^9, {3.395823658078125*^9, 3.395823730359375*^9}, {
   3.39582411909375*^9, 3.395824155921875*^9}, {3.3958241928125*^9, 
   3.39582420115625*^9}, {3.395824778140625*^9, 3.395824778640625*^9}, 
   3.3958273551875*^9, {3.395827413046875*^9, 3.39582741496875*^9}, 
   3.395827450125*^9, 3.39582749746875*^9, {3.39582760534375*^9, 
   3.39582764434375*^9}, {3.3958278261875*^9, 3.395828072796875*^9}, {
   3.395828123734375*^9, 3.395828143140625*^9}, {3.395828371109375*^9, 
   3.39582838034375*^9}, {3.395828413875*^9, 3.3958285066875*^9}, {
   3.395828548625*^9, 3.395828614609375*^9}, {3.39582869184375*^9, 
   3.395828743421875*^9}, {3.395829116515625*^9, 3.395829164015625*^9}, {
   3.395835251171875*^9, 3.39583525178125*^9}, {3.396072362484375*^9, 
   3.39607238125*^9}, {3.3960792438125*^9, 3.396079273375*^9}, {
   3.396592140453125*^9, 3.396592141546875*^9}, {3.3967989324375*^9, 
   3.396798935390625*^9}, {3.3968044083504343`*^9, 3.3968044233348885`*^9}, {
   3.3968046302055645`*^9, 3.3968046842978516`*^9}, {3.3968283781972027`*^9, 
   3.3968284419439383`*^9}, {3.396892649086605*^9, 3.3968926499198756`*^9}},
 CellID->10659525]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`h$$ = 1, $CellContext`x0$$ = -1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x0$$], -1, 
       "\!\(\*SubscriptBox[\(x\), \(0\)]\)"}, -1.46, 0.5}, {{
       Hold[$CellContext`h$$], 1, "zoom"}, 1, 
      Rational[1, 1000000]}}, Typeset`size$$ = {360., {178., 182.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`x0$5058$$ = 0, $CellContext`h$5059$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`h$$ = 1, $CellContext`x0$$ = -1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x0$$, $CellContext`x0$5058$$, 0], 
        Hold[$CellContext`h$$, $CellContext`h$5059$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[
        $CellContext`f[$CellContext`x], {$CellContext`x, $CellContext`x0$$ - 
         2 $CellContext`h$$, $CellContext`x0$$ + 2 $CellContext`h$$}, 
        PlotRange -> {{$CellContext`x0$$ - 
           2 $CellContext`h$$, $CellContext`x0$$ + 
           2 $CellContext`h$$}, {$CellContext`f[$CellContext`x0$$] - 
           2 $CellContext`h$$, $CellContext`f[$CellContext`x0$$] + 
           2 $CellContext`h$$}}, PlotStyle -> {
          RGBColor[0.378912, 0.742199, 0.570321], 
          Thickness[0.005]}, Prolog -> {
          GrayLevel[1], 
          Disk[{$CellContext`x0$$, 
            $CellContext`f[$CellContext`x0$$]}, 0.8 $CellContext`h$$], Yellow,
           
          Circle[{$CellContext`x0$$, 
            $CellContext`f[$CellContext`x0$$]}, 0.8 $CellContext`h$$]}, 
        PlotLabel -> "f[x]", Epilog -> {Red, 
          PointSize[0.015], 
          Point[{$CellContext`x0$$, 
            $CellContext`f[$CellContext`x0$$]}]}, 
        AxesOrigin -> {$CellContext`x0$$, 
          $CellContext`f[$CellContext`x0$$]}, Background -> GrayLevel[0.9], 
        PlotStyle -> Red, AspectRatio -> 1, ImagePadding -> 0.1], 
      "Specifications" :> {{{$CellContext`x0$$, -1, 
          "\!\(\*SubscriptBox[\(x\), \(0\)]\)"}, -1.46, 0.5, Appearance -> 
         "Labeled"}, Delimiter, {{$CellContext`h$$, 1, "zoom"}, 1, 
         Rational[1, 1000000]}}, 
      "Options" :> {
       FrameLabel -> Row[{"The differentiation microscope for ", 
           TraditionalForm[
            
            HoldForm[$CellContext`f[$CellContext`x] == 
             Abs[$CellContext`x^2 + $CellContext`x]]]}]}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{404., {254., 259.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]]] := Abs[$CellContext`x^2 + $CellContext`x], 
        Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`f[
            Pattern[$CellContext`x, 
             Blank[]]] := Abs[$CellContext`x^2 + $CellContext`x]; Null}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->127008022],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Differentiation Microscope",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DifferentiationMicroscope/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/DifferentiationMicroscope/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/DifferentiationMicroscope/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DifferentiationMicroscope/"], 
    None},
  ButtonNote->"http://demonstrations.wolfram.com/DifferentiationMicroscope/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Wolfgang Narrath",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Wolfgang+\
Narrath"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Wolfgang+Narrath"],
 " and ",
 ButtonBox["Reinhard Simonovits",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Reinhard+\
Simonovits"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Reinhard+Simonovits"]\

}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->281765797],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
DifferentiationMicroscope"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Differentiation Microscope - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 218, 4, 70, "Section"],
Cell[811, 29, 211, 7, 70, "Input",
 CellID->182331808],
Cell[1025, 38, 5326, 125, 70, "Input",
 CellID->10659525]
}, Open  ]],
Cell[6366, 166, 3704, 76, 70, "Output",
 CellID->127008022],
Cell[CellGroupData[{
Cell[10095, 246, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10471, 257, 942, 27, 70, "Text"],
Cell[11416, 286, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[11756, 297, 739, 24, 70, "Text",
 CellID->281765797],
Cell[CellGroupData[{
Cell[12520, 325, 829, 24, 70, "Text"],
Cell[13352, 351, 1201, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature cS43PcxJvbNjpDDiw7QfmPvh *)
