(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     22573,        609]
NotebookOptionsPosition[     21519,        570]
NotebookOutlinePosition[     22138,        594]
CellTagsIndexPosition[     22095,        591]
WindowTitle->Displacement along a Curve - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Displacement along a Curve", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"x", "^", "3"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Medium", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"x", "^", "3"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"x", "+", "a"}], ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "+", "a"}], ")"}], "^", "3"}]}], "}"}]}], "}"}], 
         "]"}], ",", "Red", ",", 
        RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"x", "^", "3"}]}], "}"}]}], "}"}], "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"x", "+", "a"}], ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "+", "a"}], ")"}], "^", "3"}]}], "}"}]}], "}"}], 
         "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"x", "^", "3"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"x", "+", "a"}], ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "+", "a"}], ")"}], "^", "3"}]}], "}"}]}], "}"}], 
         "]"}], ",", "Black", ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            SubscriptBox[
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)\>\"", ",",
                "Italic"}], "]"}], "1"], ",", "15"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "-", "0.2"}], ",", 
            RowBox[{
             RowBox[{"x", "^", "3"}], "+", "5"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            SubscriptBox[
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)\>\"", ",",
                "Italic"}], "]"}], "2"], ",", "15"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "+", "a", "-", "0.2"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "+", "a"}], ")"}], "^", "3"}], "+", "5"}]}], 
           "}"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"\"\<\[CapitalDelta]\>\"", ",", 
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)\>\"", 
                 ",", "Italic"}], "]"}]}], "}"}], "]"}], ",", "15"}], "]"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "+", 
             RowBox[{"a", "/", "2"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"x", "^", "3"}], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"x", "+", "a"}], ")"}], "^", "3"}]}], ")"}], "/", 
              "2"}], "+", "5"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               SubscriptBox[
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)\>\"", 
                  ",", "Italic"}], "]"}], "1"], ",", "\"\< = \>\"", " ", ",", 
               " ", 
               RowBox[{"NumberForm", "[", 
                RowBox[{"x", ",", 
                 RowBox[{"{", 
                  RowBox[{"5", ",", "2"}], "}"}]}], "]"}], " ", ",", " ", 
               "\"\< \>\"", ",", 
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<\!\(\*OverscriptBox[\(i\), \(\[RightVector]\)]\)\>\"", 
                 ",", "Italic"}], "]"}], " ", ",", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "^", "3"}], ">", "0"}], ",", "\"\< + \>\"", 
                 " ", ",", "\"\< \>\""}], "]"}], " ", ",", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"x", "^", "3"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"5", ",", "2"}], "}"}]}], "]"}], " ", ",", 
               "\"\< \>\"", ",", " ", 
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<\!\(\*OverscriptBox[\(j\), \(\[RightVector]\)]\)\>\"", 
                 ",", "Italic"}], "]"}]}], " ", "}"}], "]"}], ",", "14"}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2.5"}], ",", "60"}], "}"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               SubscriptBox[
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)\>\"", 
                  ",", "Italic"}], "]"}], "2"], ",", "\"\< = \>\"", " ", ",", 
               " ", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"x", "+", "a"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"5", ",", "2"}], "}"}]}], "]"}], " ", ",", " ", 
               "\"\< \>\"", ",", 
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<\!\(\*OverscriptBox[\(i\), \(\[RightVector]\)]\)\>\"", 
                 ",", "Italic"}], "]"}], " ", ",", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"x", "+", "a"}], ")"}], "^", "3"}], ">", "0"}], 
                 ",", "\"\< + \>\"", " ", ",", "\"\< \>\""}], "]"}], " ", ",", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"x", "+", "a"}], ")"}], "^", "3"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"5", ",", "2"}], "}"}]}], "]"}], " ", ",", 
               "\"\< \>\"", ",", " ", 
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<\!\(\*OverscriptBox[\(j\), \(\[RightVector]\)]\)\>\"", 
                 ",", "Italic"}], "]"}]}], " ", "}"}], "]"}], ",", "14"}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2.5"}], ",", "50"}], "}"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"\"\<\[CapitalDelta]\>\"", ",", 
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)\>\"", 
                 ",", "Italic"}], "]"}], ",", "\"\< = \>\"", " ", ",", " ", 
               RowBox[{"NumberForm", "[", 
                RowBox[{"a", ",", 
                 RowBox[{"{", 
                  RowBox[{"5", ",", "2"}], "}"}]}], "]"}], " ", ",", " ", 
               "\"\< \>\"", ",", 
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<\!\(\*OverscriptBox[\(i\), \(\[RightVector]\)]\)\>\"", 
                 ",", "Italic"}], "]"}], " ", ",", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "+", "a"}], ")"}], "^", "3"}], "-", 
                   RowBox[{"x", "^", "3"}]}], ">", "0"}], ",", "\"\< + \>\"", 
                 " ", ",", "\"\< \>\""}], "]"}], ",", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"x", "+", "a"}], ")"}], "^", "3"}], "-", 
                  RowBox[{"x", "^", "3"}]}], ",", 
                 RowBox[{"{", 
                  RowBox[{"5", ",", "2"}], "}"}]}], "]"}], ",", " ", 
               "\"\< \>\"", ",", " ", 
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<\!\(\*OverscriptBox[\(j\), \(\[RightVector]\)]\)\>\"", 
                 ",", "Italic"}], "]"}]}], " ", "}"}], "]"}], ",", "14"}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2.5"}], ",", "40"}], "}"}]}], "]"}]}], "}"}], "]"}],
      ",", "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "300"}], "}"}]}]}], "\[IndentingNewLine]", "]"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "1.2", ",", "\"\<\[CapitalDelta]x\>\""}], "}"}], ",", 
     
     RowBox[{"-", "1.5"}], ",", "1.5", ",", "0.1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", "2.3", ",", "\"\<x\>\""}], "}"}], ",", 
     RowBox[{"-", "3.5"}], ",", "3.0", ",", "0.1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.45119026021875*^9, {3.451301530883216*^9, 
   3.4513016770358295`*^9}, {3.4513242267303762`*^9, 
   3.4513244536053762`*^9}, {3.4513244874960012`*^9, 
   3.4513245571366262`*^9}, {3.4513246029960012`*^9, 
   3.4513247214022512`*^9}, {3.4513251104335012`*^9, 
   3.4513252719960012`*^9}, {3.4513253021835012`*^9, 
   3.4513253540116262`*^9}, {3.4513256824335012`*^9, 
   3.4513256904491262`*^9}, {3.4513257217772512`*^9, 
   3.4513257254647512`*^9}, {3.4513257574022512`*^9, 3.4513257910272512`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = -1.1, $CellContext`x$$ = 
    1.2000000000000002`, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], -1.1, "\[CapitalDelta]x"}, -1.5, 1.5, 0.1}, {{
       Hold[$CellContext`x$$], 1.2000000000000002`, "x"}, -3.5, 3., 0.1}}, 
    Typeset`size$$ = {500., {148., 152.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`a$68728$$ = 0, $CellContext`x$68729$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = -1.1, $CellContext`x$$ = 
        1.2000000000000002`}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$68728$$, 0], 
        Hold[$CellContext`x$$, $CellContext`x$68729$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[$CellContext`x$$^3, {$CellContext`x$$, -4, 4}], 
        Graphics[{
          PointSize[Medium], 
          
          Point[{{$CellContext`x$$, $CellContext`x$$^3}, {$CellContext`x$$ + \
$CellContext`a$$, ($CellContext`x$$ + $CellContext`a$$)^3}}], Red, 
          Thickness[0.005], 
          Arrow[{{0, 0}, {$CellContext`x$$, $CellContext`x$$^3}}], 
          
          Arrow[{{0, 
            0}, {$CellContext`x$$ + $CellContext`a$$, ($CellContext`x$$ + \
$CellContext`a$$)^3}}], 
          
          Arrow[{{$CellContext`x$$, $CellContext`x$$^3}, {$CellContext`x$$ + \
$CellContext`a$$, ($CellContext`x$$ + $CellContext`a$$)^3}}], Black, 
          Text[
           Style[
            Subscript[
             Style[
             "\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)", Italic], 1], 
            15], {$CellContext`x$$ - 0.2, $CellContext`x$$^3 + 5}], 
          Text[
           Style[
            Subscript[
             Style[
             "\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)", Italic], 2], 
            15], {$CellContext`x$$ + $CellContext`a$$ - 
            0.2, ($CellContext`x$$ + $CellContext`a$$)^3 + 5}], 
          Text[
           Style[
            Row[{"\[CapitalDelta]", 
              Style[
              "\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)", Italic]}], 
            15], {$CellContext`x$$ + $CellContext`a$$/
             2, ($CellContext`x$$^3 + ($CellContext`x$$ + \
$CellContext`a$$)^3)/2 + 5}], 
          Text[
           Style[
            Row[{
              Subscript[
               Style[
               "\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)", Italic], 
               1], " = ", 
              NumberForm[$CellContext`x$$, {5, 2}], " ", 
              Style[
              "\!\(\*OverscriptBox[\(i\), \(\[RightVector]\)]\)", Italic], 
              If[$CellContext`x$$^3 > 0, " + ", " "], 
              NumberForm[$CellContext`x$$^3, {5, 2}], " ", 
              Style[
              "\!\(\*OverscriptBox[\(j\), \(\[RightVector]\)]\)", Italic]}], 
            14], {-2.5, 60}], 
          Text[
           Style[
            Row[{
              Subscript[
               Style[
               "\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)", Italic], 
               2], " = ", 
              NumberForm[$CellContext`x$$ + $CellContext`a$$, {5, 2}], " ", 
              Style[
              "\!\(\*OverscriptBox[\(i\), \(\[RightVector]\)]\)", Italic], 
              If[($CellContext`x$$ + $CellContext`a$$)^3 > 0, " + ", " "], 
              NumberForm[($CellContext`x$$ + $CellContext`a$$)^3, {5, 2}], 
              " ", 
              Style[
              "\!\(\*OverscriptBox[\(j\), \(\[RightVector]\)]\)", Italic]}], 
            14], {-2.5, 50}], 
          Text[
           Style[
            Row[{"\[CapitalDelta]", 
              Style[
              "\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)", Italic], 
              " = ", 
              NumberForm[$CellContext`a$$, {5, 2}], " ", 
              Style[
              "\!\(\*OverscriptBox[\(i\), \(\[RightVector]\)]\)", Italic], 
              
              If[($CellContext`x$$ + $CellContext`a$$)^3 - $CellContext`x$$^3 > 
               0, " + ", " "], 
              
              NumberForm[($CellContext`x$$ + $CellContext`a$$)^3 - \
$CellContext`x$$^3, {5, 2}], " ", 
              Style[
              "\!\(\*OverscriptBox[\(j\), \(\[RightVector]\)]\)", Italic]}], 
            14], {-2.5, 40}]}], ImageSize -> {500, 300}], 
      "Specifications" :> {{{$CellContext`a$$, -1.1, 
          "\[CapitalDelta]x"}, -1.5, 1.5, 0.1, Appearance -> 
         "Labeled"}, {{$CellContext`x$$, 1.2000000000000002`, "x"}, -3.5, 3., 
         0.1, Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{545., {206., 211.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->154763391],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Displacement along a Curve",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DisplacementAlongACurve/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/DisplacementAlongACurve/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/DisplacementAlongACurve/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DisplacementAlongACurve/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/DisplacementAlongACurve/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Anping Zeng",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Anping+Zeng"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Anping+Zeng"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
DisplacementAlongACurve"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Displacement along a Curve - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[616, 23, 218, 4, 70, "Section"],
Cell[837, 29, 11011, 282, 70, "Input"]
}, Open  ]],
Cell[11863, 314, 5462, 123, 70, "Output",
 CellID->154763391],
Cell[CellGroupData[{
Cell[17350, 441, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[17726, 452, 918, 24, 70, "Text"],
Cell[18647, 478, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[18987, 489, 430, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[19442, 507, 847, 24, 70, "Text"],
Cell[20292, 533, 1199, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature TQ45wN6OHqD#ZADnM2AwkLAB *)
