(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     29310,        759]
NotebookOptionsPosition[     28130,        715]
NotebookOutlinePosition[     28737,        739]
CellTagsIndexPosition[     28694,        736]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Flett's Theorem", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"FlettPointc", "[", 
   RowBox[{"poly_", ",", " ", "x_", ",", "a_"}], "]"}], " ", ":=", " ", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "sol", "}"}], ",", 
    RowBox[{
     RowBox[{"sol", " ", "=", " ", 
      RowBox[{"x", "/.", " ", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"poly", " ", "-", 
                 RowBox[{"(", 
                  RowBox[{"poly", "/.", 
                   RowBox[{"x", "\[Rule]", "a"}]}], ")"}]}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{"x", "-", "a"}], ")"}]}], ")"}], "-", 
             RowBox[{"D", "[", 
              RowBox[{"poly", ",", " ", "x"}], "]"}]}], "\[Equal]", "0"}], 
           ",", "x"}], "]"}], ",", "5"}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Select", "[", 
       RowBox[{"sol", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"Abs", "[", "#", "]"}], "==", 
          RowBox[{"Min", "[", 
           RowBox[{"Abs", "[", "sol", "]"}], "]"}]}], "&"}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}]}]], "Input",
 CellID->526989246],

Cell[BoxData[
 RowBox[{
  RowBox[{"FlettGraphics", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a0_", ",", " ", "a1_", ",", " ", "a3_"}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"a_", ",", "b_"}], "}"}]}], "]"}], " ", ":=", " ", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"fa", ",", "fb", ",", "fc", ",", "c"}], "}"}], ",", 
    "\[IndentingNewLine]", "             ", 
    RowBox[{
     RowBox[{"ab", "=", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}]}], ";", 
     RowBox[{"ac", "=", 
      RowBox[{"{", 
       RowBox[{"a", ",", "c"}], "}"}]}], ";", 
     RowBox[{"bc", "=", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}]}], ";", "\[IndentingNewLine]", 
     "             ", 
     RowBox[{
      RowBox[{"poly", "[", "x_", "]"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a0", ",", " ", "a1", ",", " ", "0", ",", "a3"}], "}"}], ".", 
       
       RowBox[{"x", "^", 
        RowBox[{"(", 
         RowBox[{"Range", "[", 
          RowBox[{"0", ",", " ", "3"}], "]"}], ")"}]}]}]}], ";", 
     "\[IndentingNewLine]", "             ", 
     RowBox[{"fa", " ", "=", 
      RowBox[{"poly", "[", "a", "]"}]}], ";", 
     RowBox[{"fb", " ", "=", " ", 
      RowBox[{"poly", "[", "b", "]"}]}], ";", 
     RowBox[{"fc", "=", 
      RowBox[{"poly", "[", "c", "]"}]}], ";", "\[IndentingNewLine]", 
     "             ", 
     RowBox[{"c", " ", "=", " ", 
      RowBox[{"FlettPointc", "[", 
       RowBox[{
        RowBox[{"poly", "[", "x", "]"}], ",", " ", "x", ",", " ", "a"}], 
       "]"}]}], " ", ";", "\[IndentingNewLine]", "             ", 
     RowBox[{"\[Alpha]", "=", 
      RowBox[{"ArcTan", "[", 
       RowBox[{
        RowBox[{"poly", "'"}], "[", "a", "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "            ", 
     RowBox[{"\[Beta]", "=", 
      RowBox[{"ArcTan", "[", 
       RowBox[{
        RowBox[{"poly", "'"}], "[", "b", "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "            ", 
     RowBox[{"\[Gamma]", "=", 
      RowBox[{"ArcTan", "[", 
       RowBox[{
        RowBox[{"poly", "'"}], "[", "c", "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "          ", 
     RowBox[{
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{"poly", "[", "x", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"-", "2.5"}], ",", " ", "2.5"}], "}"}], ",", 
            RowBox[{"PlotStyle", " ", "\[Rule]", " ", 
             RowBox[{"{", 
              RowBox[{"Blue", ",", 
               RowBox[{"Thickness", "[", ".01", "]"}]}], "}"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ",", 
          "\[IndentingNewLine]", "  ", 
          RowBox[{"Graphics", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"1.", ",", "0.492", ",", "0."}], "]"}], ",", " ", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"a", ",", " ", "fa"}], "}"}], ",", " ", 
                  RowBox[{"{", 
                   RowBox[{"c", ",", " ", "fc"}], "}"}]}], "}"}], "]"}]}], 
              "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"Black", ",", " ", 
               RowBox[{"PointSize", "[", "0.02", "]"}], ",", " ", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"c", ",", " ", "fc"}], "}"}], "]"}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"Gray", ",", " ", 
               RowBox[{"Thickness", "[", "0.001", "]"}], ",", " ", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"a", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"a", ",", "fa"}], "}"}]}], "}"}], "]"}], ",", "  ",
                
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"b", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"b", ",", "fb"}], "}"}]}], "}"}], "]"}], ",", "  ",
                
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"c", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"c", ",", "fc"}], "}"}]}], "}"}], "]"}]}], "}"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0.492", ",", "0.740", ",", "0."}], "]"}], ",", " ", 
               "\[IndentingNewLine]", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"a", "-", 
                    RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], " ", ",", 
                    RowBox[{"fa", " ", "-", " ", 
                    RowBox[{"Sin", "[", "\[Alpha]", "]"}]}]}], " ", "}"}], 
                  ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"a", "+", 
                    RowBox[{"Cos", "[", "\[Alpha]", "]"}]}], " ", ",", 
                    RowBox[{"fa", " ", "+", " ", 
                    RowBox[{"Sin", "[", "\[Alpha]", "]"}]}]}], " ", "}"}]}], 
                 "}"}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"b", "-", 
                    RowBox[{"Cos", "[", "\[Beta]", "]"}]}], " ", ",", 
                    RowBox[{"fb", " ", "-", " ", 
                    RowBox[{"Sin", "[", "\[Beta]", "]"}]}]}], " ", "}"}], ",",
                   
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"b", "+", 
                    RowBox[{"Cos", "[", "\[Beta]", "]"}]}], " ", ",", 
                    RowBox[{"fb", " ", "+", " ", 
                    RowBox[{"Sin", "[", "\[Beta]", "]"}]}]}], " ", "}"}]}], 
                 "}"}], "]"}]}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PlotRange", " ", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2.5"}], ",", " ", "2.5"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "7"}], ",", "7"}], "}"}]}], "}"}]}], ",", " ", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
        RowBox[{"AspectRatio", " ", "\[Rule]", " ", "1"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"400", ",", "340"}], "}"}]}], ",", 
        RowBox[{"ImagePadding", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"30", ",", "20"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"30", ",", "30"}], "}"}]}], "}"}]}]}], "]"}], "//", 
      "N"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4136519910563507`*^9, 3.413651998356848*^9}, 
   3.41370747525*^9},
 CellID->193775248],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"FlettGraphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c0", ",", "c1", ",", "c3"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"-", "a"}]}], "}"}]}], "]"}], " ", ",", "\[IndentingNewLine]", 
   
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", " ", 
       RowBox[{"-", "2"}], ",", "\"\<a\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "2"}], ",", " ", "0", ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}]}], "}"}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c0", ",", " ", 
       RowBox[{"-", "0.5"}], ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(a\), \(0\)]\)\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "1"}], ",", " ", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c1", ",", 
       RowBox[{"-", "0.6"}], ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(a\), \(1\)]\)\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "1"}], ",", " ", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "c3", ",", " ", "0.7", ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(a\), \(3\)]\)\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "1"}], ",", " ", "1", ",", ".013"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Left", ",", "Top", ",", "Top", ",", "Top"}], "}"}]}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3", ",", "4"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4137074916875*^9, 3.413707492734375*^9}, {
   3.4138215649135118`*^9, 3.41382156755412*^9}, {3.4138216559441795`*^9, 
   3.4138216568660483`*^9}, {3.413910065253687*^9, 3.4139100658943076`*^9}},
 CellID->2579057]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = -2, $CellContext`c0$$ = -0.5, \
$CellContext`c1$$ = -0.6, $CellContext`c3$$ = 0.7, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], -2, "a"}, -2, 0}, {{
       Hold[$CellContext`c0$$], -0.5, 
       "\!\(\*SubscriptBox[\(a\), \(0\)]\)"}, -1, 1}, {{
       Hold[$CellContext`c1$$], -0.6, 
       "\!\(\*SubscriptBox[\(a\), \(1\)]\)"}, -1, 1}, {{
       Hold[$CellContext`c3$$], 0.7, 
       "\!\(\*SubscriptBox[\(a\), \(3\)]\)"}, -1, 1, 0.013}}, 
    Typeset`size$$ = {400., {168., 172.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`a$656926$$ = 0, $CellContext`c0$656927$$ = 
    0, $CellContext`c1$656928$$ = 0, $CellContext`c3$656929$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = -2, $CellContext`c0$$ = -0.5, \
$CellContext`c1$$ = -0.6, $CellContext`c3$$ = 0.7}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$656926$$, 0], 
        Hold[$CellContext`c0$$, $CellContext`c0$656927$$, 0], 
        Hold[$CellContext`c1$$, $CellContext`c1$656928$$, 0], 
        Hold[$CellContext`c3$$, $CellContext`c3$656929$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`FlettGraphics[{$CellContext`c0$$, \
$CellContext`c1$$, $CellContext`c3$$}, {$CellContext`a$$, -$CellContext`a$$}],
       "Specifications" :> {{{$CellContext`a$$, -2, "a"}, -2, 0, ControlType -> 
         VerticalSlider}, {{$CellContext`c0$$, -0.5, 
          "\!\(\*SubscriptBox[\(a\), \(0\)]\)"}, -1, 
         1}, {{$CellContext`c1$$, -0.6, 
          "\!\(\*SubscriptBox[\(a\), \(1\)]\)"}, -1, 
         1}, {{$CellContext`c3$$, 0.7, 
          "\!\(\*SubscriptBox[\(a\), \(3\)]\)"}, -1, 1, 0.013}}, 
      "Options" :> {
       ControlPlacement -> {Left, Top, Top, Top}, 
        AutorunSequencing -> {2, 3, 4}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{481., {238., 243.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`FlettGraphics[{
           Pattern[$CellContext`a0, 
            Blank[]], 
           Pattern[$CellContext`a1, 
            Blank[]], 
           Pattern[$CellContext`a3, 
            Blank[]]}, {
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]}] := 
        Module[{$CellContext`fa, $CellContext`fb, $CellContext`fc, \
$CellContext`c}, $CellContext`ab = {$CellContext`a, $CellContext`b}; \
$CellContext`ac = {$CellContext`a, $CellContext`c}; $CellContext`bc = \
{$CellContext`b, $CellContext`c}; $CellContext`poly[
             Pattern[$CellContext`x, 
              Blank[]]] = 
           Dot[{$CellContext`a0, $CellContext`a1, 
              0, $CellContext`a3}, $CellContext`x^
             Range[0, 
               3]]; $CellContext`fa = $CellContext`poly[$CellContext`a]; \
$CellContext`fb = $CellContext`poly[$CellContext`b]; $CellContext`fc = \
$CellContext`poly[$CellContext`c]; $CellContext`c = $CellContext`FlettPointc[
             $CellContext`poly[$CellContext`x], $CellContext`x, \
$CellContext`a]; $CellContext`\[Alpha] = ArcTan[
             Derivative[
             1][$CellContext`poly][$CellContext`a]]; $CellContext`\[Beta] = 
           ArcTan[
             Derivative[
             1][$CellContext`poly][$CellContext`b]]; $CellContext`\[Gamma] = 
           ArcTan[
             Derivative[1][$CellContext`poly][$CellContext`c]]; N[
            Show[{
              Plot[
               $CellContext`poly[$CellContext`x], {$CellContext`x, -2.5, 2.5},
                PlotStyle -> {Blue, 
                 Thickness[0.01]}, PlotRange -> All], 
              Graphics[{{
                 Thickness[0.01], 
                 RGBColor[1., 0.492, 0.], 
                 
                 Line[{{$CellContext`a, $CellContext`fa}, {$CellContext`c, \
$CellContext`fc}}]}, {Black, 
                 PointSize[0.02], 
                 Point[{$CellContext`c, $CellContext`fc}]}, {Gray, 
                 Thickness[0.001], 
                 
                 Line[{{$CellContext`a, 
                    0}, {$CellContext`a, $CellContext`fa}}], 
                 
                 Line[{{$CellContext`b, 
                    0}, {$CellContext`b, $CellContext`fb}}], 
                 
                 Line[{{$CellContext`c, 
                    0}, {$CellContext`c, $CellContext`fc}}]}, {
                 Thickness[0.01], 
                 RGBColor[0.492, 0.74, 0.], 
                 
                 Line[{{$CellContext`a - 
                    Cos[$CellContext`\[Alpha]], $CellContext`fa - 
                    Sin[$CellContext`\[Alpha]]}, {$CellContext`a + 
                    Cos[$CellContext`\[Alpha]], $CellContext`fa + 
                    Sin[$CellContext`\[Alpha]]}}], 
                 
                 Line[{{$CellContext`b - 
                    Cos[$CellContext`\[Beta]], $CellContext`fb - 
                    Sin[$CellContext`\[Beta]]}, {$CellContext`b + 
                    Cos[$CellContext`\[Beta]], $CellContext`fb + 
                    Sin[$CellContext`\[Beta]]}}]}}]}, 
             PlotRange -> {{-2.5, 2.5}, {-7, 7}}, Axes -> True, Frame -> True,
              AspectRatio -> 1, ImageSize -> {400, 340}, 
             ImagePadding -> {{30, 20}, {30, 30}}]]], $CellContext`ab = {-2, 
         2}, $CellContext`ac = {-2, $CellContext`c$656876}, 
        Attributes[$CellContext`c$656876] = {
         Temporary}, $CellContext`c$656876 = 
        1., $CellContext`bc = {2, $CellContext`c$656876}, $CellContext`poly[
          Pattern[$CellContext`x$, 
           Blank[]]] = -0.5 - 0.6 $CellContext`x$ + 0.7 $CellContext`x$^3, 
        Attributes[$CellContext`x$] = {Temporary}, $CellContext`FlettPointc[
          Pattern[$CellContext`poly, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]]] := 
        Module[{$CellContext`sol}, $CellContext`sol = 
           ReplaceAll[$CellContext`x, 
             N[
              
              Solve[($CellContext`poly - 
                  ReplaceAll[$CellContext`poly, $CellContext`x -> \
$CellContext`a])/($CellContext`x - $CellContext`a) - 
                D[$CellContext`poly, $CellContext`x] == 0, $CellContext`x], 
              5]]; Part[
            Select[$CellContext`sol, Abs[#] == Min[
               Abs[$CellContext`sol]]& ], 1]], $CellContext`\[Alpha] = 
        1.4432867685796584`, 
        Attributes[Derivative] = {
         NHoldAll, ReadProtected}, $CellContext`\[Beta] = 
        1.4432867685796584`, $CellContext`\[Gamma] = 0.9827937232473289, 
        Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`FlettPointc[
           Pattern[$CellContext`poly, 
            Blank[]], 
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]]] := 
         Module[{$CellContext`sol}, $CellContext`sol = 
            ReplaceAll[$CellContext`x, 
              N[
               
               Solve[($CellContext`poly - 
                   ReplaceAll[$CellContext`poly, $CellContext`x -> \
$CellContext`a])/($CellContext`x - $CellContext`a) - 
                 D[$CellContext`poly, $CellContext`x] == 0, $CellContext`x], 
               5]]; Part[
             Select[$CellContext`sol, Abs[#] == Min[
                Abs[$CellContext`sol]]& ], 1]], $CellContext`FlettGraphics[{
            Pattern[$CellContext`a0, 
             Blank[]], 
            Pattern[$CellContext`a1, 
             Blank[]], 
            Pattern[$CellContext`a3, 
             Blank[]]}, {
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]}] := 
         Module[{$CellContext`fa, $CellContext`fb, $CellContext`fc, \
$CellContext`c}, $CellContext`ab = {$CellContext`a, $CellContext`b}; \
$CellContext`ac = {$CellContext`a, $CellContext`c}; $CellContext`bc = \
{$CellContext`b, $CellContext`c}; $CellContext`poly[
              Pattern[$CellContext`x, 
               Blank[]]] = 
            Dot[{$CellContext`a0, $CellContext`a1, 
               0, $CellContext`a3}, $CellContext`x^
              Range[0, 
                3]]; $CellContext`fa = $CellContext`poly[$CellContext`a]; \
$CellContext`fb = $CellContext`poly[$CellContext`b]; $CellContext`fc = \
$CellContext`poly[$CellContext`c]; $CellContext`c = $CellContext`FlettPointc[
              $CellContext`poly[$CellContext`x], $CellContext`x, \
$CellContext`a]; $CellContext`\[Alpha] = ArcTan[
              Derivative[
              1][$CellContext`poly][$CellContext`a]]; $CellContext`\[Beta] = 
            ArcTan[
              Derivative[
              1][$CellContext`poly][$CellContext`b]]; $CellContext`\[Gamma] = 
            ArcTan[
              Derivative[1][$CellContext`poly][$CellContext`c]]; N[
             Show[{
               Plot[
                $CellContext`poly[$CellContext`x], {$CellContext`x, -2.5, 
                 2.5}, PlotStyle -> {Blue, 
                  Thickness[0.01]}, PlotRange -> All], 
               Graphics[{{
                  Thickness[0.01], 
                  RGBColor[1., 0.492, 0.], 
                  
                  Line[{{$CellContext`a, $CellContext`fa}, {$CellContext`c, \
$CellContext`fc}}]}, {Black, 
                  PointSize[0.02], 
                  Point[{$CellContext`c, $CellContext`fc}]}, {Gray, 
                  Thickness[0.001], 
                  
                  Line[{{$CellContext`a, 
                    0}, {$CellContext`a, $CellContext`fa}}], 
                  
                  Line[{{$CellContext`b, 
                    0}, {$CellContext`b, $CellContext`fb}}], 
                  
                  Line[{{$CellContext`c, 
                    0}, {$CellContext`c, $CellContext`fc}}]}, {
                  Thickness[0.01], 
                  RGBColor[0.492, 0.74, 0.], 
                  
                  Line[{{$CellContext`a - 
                    Cos[$CellContext`\[Alpha]], $CellContext`fa - 
                    Sin[$CellContext`\[Alpha]]}, {$CellContext`a + 
                    Cos[$CellContext`\[Alpha]], $CellContext`fa + 
                    Sin[$CellContext`\[Alpha]]}}], 
                  Line[{{$CellContext`b - 
                    Cos[$CellContext`\[Beta]], $CellContext`fb - 
                    Sin[$CellContext`\[Beta]]}, {$CellContext`b + 
                    Cos[$CellContext`\[Beta]], $CellContext`fb + 
                    Sin[$CellContext`\[Beta]]}}]}}]}, 
              PlotRange -> {{-2.5, 2.5}, {-7, 7}}, Axes -> True, Frame -> 
              True, AspectRatio -> 1, ImageSize -> {400, 340}, 
              ImagePadding -> {{30, 20}, {30, 30}}]]]}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->305180103],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Flett's Theorem",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FlettsTheorem/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/FlettsTheorem/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/FlettsTheorem/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FlettsTheorem/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/FlettsTheorem/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Soledad M\.aa S\[AAcute]ez Mart\[IAcute]nez",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%\
E1ez+Mart%EDnez"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%E1ez+\
Mart%EDnez"],
 " and ",
 ButtonBox["F\[EAcute]lix Mart\[IAcute]nez de la Rosa.",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%\
EDnez+de+la+Rosa."], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%EDnez+\
de+la+Rosa."]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
FlettsTheorem"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Flett's Theorem - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 207, 4, 70, "Section"],
Cell[800, 29, 1343, 39, 70, "Input",
 CellID->526989246],
Cell[2146, 70, 7867, 198, 70, "Input",
 CellID->193775248],
Cell[10016, 270, 1994, 52, 70, "Input",
 CellID->2579057]
}, Open  ]],
Cell[12025, 325, 11609, 247, 70, "Output",
 CellID->305180103],
Cell[CellGroupData[{
Cell[23659, 576, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[24035, 587, 857, 24, 70, "Text"],
Cell[24895, 613, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[25235, 624, 821, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[26081, 652, 829, 24, 70, "Text"],
Cell[26913, 678, 1189, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature rTjXDjAQGEaGCCDqC8wLQz#d *)
