(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     32115,        833]
NotebookOptionsPosition[     31009,        792]
NotebookOutlinePosition[     31621,        816]
CellTagsIndexPosition[     31578,        813]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Graphing Derivatives", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"g", "[", 
     RowBox[{"func_", ",", "t_"}], "]"}], ":=", 
    RowBox[{"D", "[", 
     RowBox[{"func", ",", "x"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"p1", "=", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["x", "3"]}], "+", 
     SuperscriptBox["x", "2"], "+", 
     RowBox[{"12", " ", "x"}], "-", "2"}]}], ";"}], "    ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Define", " ", "first", " ", "function", " ", "of", " ", "x", " ", 
    "here"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"p2", " ", "=", " ", 
    RowBox[{"Sin", "[", "x", "]"}]}], ";"}], "                     ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Define", " ", "Second", " ", "function", " ", "of", " ", "x", " ", 
    "here"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"p3", " ", "=", " ", 
    RowBox[{"Cos", "[", "x", "]"}]}], ";"}], "                    ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Define", " ", "Third", " ", "function", " ", "of", " ", "x", " ", 
    "here"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xmin", " ", "=", " ", 
    RowBox[{"-", "6"}]}], ";"}], "                          ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Max", " ", "and", " ", "Min", " ", "x", " ", "values", " ", "of", " ", 
    "the", " ", "function", " ", "p"}], " ", "*)"}]}], "\[IndentingNewLine]", 

 RowBox[{
  RowBox[{
   RowBox[{"xmax", " ", "=", " ", "6"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pp", "=", 
    RowBox[{"D", "[", 
     RowBox[{"p1", ",", "x"}], "]"}]}], ";"}], "                    ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "pp", " ", "is", " ", "defined", " ", "as", " ", "the", " ", "derivative", 
    " ", "of", " ", "function", " ", "p"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pp2", " ", "=", " ", 
    RowBox[{"D", "[", 
     RowBox[{"p2", ",", "x"}], "]"}]}], ";"}], 
  "    "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pp3", " ", "=", " ", 
    RowBox[{"D", "[", 
     RowBox[{"p3", ",", "x"}], "]"}]}], ";"}], 
  "                   "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dx", "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"xmax", "-", "xmin"}], ")"}], "/", "5"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"smin", " ", "=", " ", 
    RowBox[{"-", "6.1"}]}], ";"}], "                      ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"slider", " ", "max"}], ",", "min", ",", " ", 
    RowBox[{"and", " ", "starting", " ", "point", " ", "values"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"smax", " ", "=", " ", "6"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sstart", " ", "=", " ", 
   RowBox[{"-", "6"}]}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.397919026751375*^9, 3.3979190272045*^9}, {
   3.397919321032625*^9, 3.39791932736075*^9}, {3.3979251406875*^9, 
   3.397925141640625*^9}},
 CellID->134835394],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Grid", "[", 
    RowBox[{"{", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"left", " ", "graph"}], " ", "*)"}], "\[IndentingNewLine]", 
      "\t", 
      RowBox[{
       RowBox[{"Plot", "[", 
        RowBox[{"gr", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", " ", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"xmin", "-", ".5"}], ",", 
              RowBox[{"xmax", "+", ".5"}]}], "}"}], ",", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"gr", "===", "p1"}], ",", "200", ",", "Pi"}], "]"}], 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1."}], ",", "1."}], "}"}]}]}], "}"}]}], ",", 
         RowBox[{"AxesLabel", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<x\>\"", ",", "Italic", ",", "14"}], "]"}], ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<f(x)\>\"", ",", "Italic", ",", "14"}], "]"}]}], 
           "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "275"}], ",", 
         RowBox[{"Ticks", "\[Rule]", "None"}], ",", "\[IndentingNewLine]", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
            RowBox[{"Thickness", "[", ".005", "]"}]}], " ", "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Epilog", "\[Rule]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"Black", ",", 
              RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Point", "[", 
               RowBox[{"{", " ", 
                RowBox[{
                 RowBox[{"xi", "+", "1"}], ",", 
                 RowBox[{
                  RowBox[{"g", "[", 
                   RowBox[{"gr", ",", "xi"}], "]"}], "+", "gr"}]}], " ", 
                "}"}], "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{"{", " ", 
                RowBox[{
                 RowBox[{"xi", "+", "1"}], ",", "gr"}], " ", "}"}], "]"}], 
              ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", " ", 
                  RowBox[{"xi", ",", "gr"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"xi", "+", "1"}], ",", "gr"}], "}"}]}], "}"}], 
               "]"}], ",", "\[IndentingNewLine]", "Red", ",", 
              RowBox[{"PointSize", "[", ".02", "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"xi", ",", "gr"}], "}"}], "]"}], ",", 
              RowBox[{"Thickness", "[", ".005", "]"}], ",", "Blue", ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"xi", "-", "dx"}], ",", 
                   RowBox[{"gr", "-", 
                    RowBox[{"dx", " ", 
                    RowBox[{"g", "[", 
                    RowBox[{"gr", ",", "xi"}], "]"}]}]}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"xi", "+", "dx"}], ",", 
                   RowBox[{"gr", "+", 
                    RowBox[{"dx", " ", 
                    RowBox[{"g", "[", 
                    RowBox[{"gr", ",", "xi"}], "]"}]}]}]}], "}"}]}], "}"}], 
               "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"RGBColor", "[", 
               RowBox[{"0", ",", " ", "0.501961", ",", " ", "0"}], "]"}], ",",
               
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", " ", 
                  RowBox[{
                   RowBox[{"xi", "+", "1"}], ",", "gr"}], " ", "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"xi", "+", "1"}], ",", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"gr", ",", "xi"}], "]"}], "1"}], "+", "gr"}]}], 
                  "}"}]}], "}"}], "]"}], ",", 
              StyleBox[
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Inset", "[", 
                  RowBox[{
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<1\>\"", ",", "Plain", ",", "Black"}], "]"}], 
                    "}"}], "]"}], ",", 
                   RowBox[{"{", " ", 
                    RowBox[{
                    RowBox[{"xi", "+", ".55"}], ",", 
                    RowBox[{"gr", "+", ".25"}]}], "}"}]}], "]"}], " ", ",", 
                 "14"}], "]"}],
               FontColor->GrayLevel[0]], 
              StyleBox[",",
               FontColor->GrayLevel[0]], 
              StyleBox[
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Inset", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<f'(\>\"", ",", 
                    RowBox[{"Subscript", "[", 
                    RowBox[{"\"\<x\>\"", ",", "0"}], "]"}], ",", 
                    "\"\<)\>\""}], "}"}], "]"}], ",", "Black", ",", 
                    "Italic"}], "]"}], ",", 
                   RowBox[{"{", " ", 
                    RowBox[{
                    RowBox[{"xi", "+", "1.9"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"g", "[", 
                    RowBox[{"gr", ",", "xi"}], "]"}]}], "/", "2"}], ")"}], 
                    "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"gr", ",", "xi"}], "]"}], " ", "+", "gr"}], 
                    ")"}]}]}], " ", "}"}]}], "]"}], " ", ",", "14"}], "]"}],
               FontColor->GrayLevel[0]]}], "}"}], "/.", 
            RowBox[{"x", "\[Rule]", "xi"}]}], ")"}]}], ",", 
         RowBox[{"PlotRangePadding", "\[Rule]", "2.5"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Spacer", "[", "30", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"right", " ", "graph"}], " ", "*)"}], "\[IndentingNewLine]", 
       "         ", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Which", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"gr", "\[Equal]", "p1"}], "&&", 
             RowBox[{"x", "<", "xi"}]}], ",", 
            RowBox[{"pp", "/.", 
             RowBox[{"xi", "\[Rule]", "x"}]}], ",", 
            RowBox[{
             RowBox[{"gr", "\[Equal]", "p2"}], "&&", 
             RowBox[{"x", "<", "xi"}]}], ",", 
            RowBox[{"pp2", "/.", 
             RowBox[{"xi", "\[Rule]", "x"}]}], ",", 
            RowBox[{
             RowBox[{"gr", "\[Equal]", "p3"}], "&&", 
             RowBox[{"x", "<", "xi"}]}], ",", 
            RowBox[{"pp3", "/.", 
             RowBox[{"xi", "\[Rule]", "x"}]}]}], "]"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
            RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"xmin", "-", ".5"}], ",", 
              RowBox[{"xmax", "+", ".5"}]}], "}"}], ",", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"gr", "===", "p1"}], ",", "200", ",", "Pi"}], "]"}], 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1."}], ",", "1."}], "}"}]}]}], "}"}]}], ",", 
         "     ", 
         RowBox[{"AxesLabel", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<x\>\"", ",", "Italic", ",", "14"}], "]"}], ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<f'(x)\>\"", ",", "Italic", ",", "14"}], "]"}]}], 
           "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "275"}], ",", 
         RowBox[{"Ticks", "\[Rule]", "None"}], ",", 
         RowBox[{"Filling", "\[Rule]", 
          RowBox[{"If", "[", 
           RowBox[{"fill", ",", "Axis", ",", "None"}], "]"}]}], ",", 
         RowBox[{"FillingStyle", "\[Rule]", " ", 
          RowBox[{"If", "[", 
           RowBox[{"fill", ",", 
            RowBox[{"Lighter", "[", "Blue", "]"}], ",", "None"}], "]"}]}], 
         ",", 
         RowBox[{"Epilog", "\[Rule]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"RGBColor", "[", 
               RowBox[{"0", ",", " ", "0.501961", ",", " ", "0"}], "]"}], ",",
               
              RowBox[{"Thickness", "[", ".008", "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", " ", 
                  RowBox[{"xi", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"xi", ",", 
                   RowBox[{"g", "[", 
                    RowBox[{"gr", ",", "xi"}], "]"}]}], "}"}]}], "}"}], 
               "]"}]}], "}"}], "/.", 
            RowBox[{"x", "\[Rule]", "xi"}]}], ")"}]}]}], "]"}]}], "}"}], 
     "}"}], "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Manipulate", " ", "Options"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"gr", ",", "p1", ",", "\"\<function\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"p1", "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["x", "3"]}], 
          StyleBox["+", "WarholOrange"], 
          StyleBox[
           SuperscriptBox["x", "2"], "WarholOrange"], 
          StyleBox["+", "WarholOrange"], 
          StyleBox[
           RowBox[{"12", " ", "x"}], "WarholOrange"], 
          StyleBox["-", "WarholOrange"], 
          StyleBox["2", "WarholOrange"]}], 
         StyleBox["]", "WarholOrange"]}]}], 
       StyleBox[",", "WarholOrange"], 
       RowBox[{
        StyleBox["p2", "WarholOrange"], 
        StyleBox["\[Rule]", "WarholOrange"], 
        RowBox[{"TraditionalForm", "[", 
         StyleBox[
          RowBox[{"Sin", "[", "x", "]"}], "WarholOrange"], 
         StyleBox["]", "WarholOrange"]}]}], 
       StyleBox[",", "WarholOrange"], 
       RowBox[{
        StyleBox["p3", "WarholOrange"], 
        StyleBox["\[Rule]", "WarholOrange"], 
        RowBox[{"TraditionalForm", "[", 
         StyleBox[
          RowBox[{"Cos", "[", "x", "]"}], "WarholOrange"], "]"}]}]}], "}"}], 
     ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], 
   RowBox[{"(*", " ", 
    RowBox[{"Dropdown", " ", "Menu", " ", "specifications"}], " ", "*)"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "xi", ",", "sstart", ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\)\>\""}], "}"}], ",", "smin", 
     ",", "smax", ",", " ", "0.005", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], 
   RowBox[{"(*", 
    RowBox[{"Slider", " ", "specs"}], "*)"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fill", ",", "False", ",", "\"\<shade curve\>\""}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], 
   RowBox[{"(*", " ", 
    RowBox[{"Checkbox", " ", "specs"}], " ", "*)"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.39791940461075*^9, 3.397919466157625*^9, {
   3.398014999411113*^9, 3.3980151127377872`*^9}, {3.39801514959669*^9, 
   3.3980151568309727`*^9}, {3.398102701897826*^9, 3.3981027194281783`*^9}, {
   3.3981027653009815`*^9, 3.398102776581871*^9}, {3.3981028553918486`*^9, 
   3.398102912515021*^9}, {3.3981029748724003`*^9, 3.398102978137921*^9}, {
   3.3981030174335384`*^9, 3.39810303191745*^9}, {3.398166353637531*^9, 
   3.39816645313562*^9}, {3.3991280028103027`*^9, 3.3991280081228027`*^9}, {
   3.3992054273152027`*^9, 3.3992054958620777`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`fill$$ = False, $CellContext`gr$$ = -2 + 
    12 $CellContext`x + $CellContext`x^2 - $CellContext`x^3, \
$CellContext`xi$$ = -6, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`gr$$], -2 + 
       12 $CellContext`x + $CellContext`x^2 - $CellContext`x^3, 
       "function"}, {-2 + 
        12 $CellContext`x + $CellContext`x^2 - $CellContext`x^3 -> 
       TraditionalForm[-2 + 
         12 $CellContext`x + $CellContext`x^2 - $CellContext`x^3], 
       Sin[$CellContext`x] -> TraditionalForm[
         Sin[$CellContext`x]], Cos[$CellContext`x] -> TraditionalForm[
         Cos[$CellContext`x]]}}, {{
       Hold[$CellContext`xi$$], -6, 
       "\!\(\*SubscriptBox[\(x\), \(0\)]\)"}, -6.1, 6, 0.005}, {{
       Hold[$CellContext`fill$$], False, "shade curve"}, {True, False}}}, 
    Typeset`size$$ = {596., {89.5, 94.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`gr$24219$$ = False, $CellContext`xi$24220$$ = 
    0, $CellContext`fill$24221$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`fill$$ = 
        False, $CellContext`gr$$ = -2 + 
         12 $CellContext`x + $CellContext`x^2 - $CellContext`x^3, \
$CellContext`xi$$ = -6}, "ControllerVariables" :> {
        Hold[$CellContext`gr$$, $CellContext`gr$24219$$, False], 
        Hold[$CellContext`xi$$, $CellContext`xi$24220$$, 0], 
        Hold[$CellContext`fill$$, $CellContext`fill$24221$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Grid[{{
          
          Plot[$CellContext`gr$$, {$CellContext`x, $CellContext`xmin, \
$CellContext`xmax}, 
           PlotRange -> {{$CellContext`xmin - 0.5, $CellContext`xmax + 0.5}, 
             If[$CellContext`gr$$ === $CellContext`p1, 200, Pi] {-1., 1.}}, 
           AxesLabel -> {
             Style["x", Italic, 14], 
             Style["f(x)", Italic, 14]}, ImageSize -> 275, Ticks -> None, 
           PlotStyle -> {
             GrayLevel[0], 
             Thickness[0.005]}, Epilog -> ReplaceAll[{Black, 
              PointSize[0.02], 
              
              Point[{$CellContext`xi$$ + 
                1, $CellContext`g[$CellContext`gr$$, $CellContext`xi$$] + \
$CellContext`gr$$}], 
              Point[{$CellContext`xi$$ + 1, $CellContext`gr$$}], 
              
              Line[{{$CellContext`xi$$, $CellContext`gr$$}, \
{$CellContext`xi$$ + 1, $CellContext`gr$$}}], Red, 
              PointSize[0.02], 
              Point[{$CellContext`xi$$, $CellContext`gr$$}], 
              Thickness[0.005], Blue, 
              
              Line[{{$CellContext`xi$$ - $CellContext`dx, $CellContext`gr$$ - \
$CellContext`dx $CellContext`g[$CellContext`gr$$, $CellContext`xi$$]}, \
{$CellContext`xi$$ + $CellContext`dx, $CellContext`gr$$ + $CellContext`dx \
$CellContext`g[$CellContext`gr$$, $CellContext`xi$$]}}], 
              RGBColor[0, 0.501961, 0], 
              
              Line[{{$CellContext`xi$$ + 
                 1, $CellContext`gr$$}, {$CellContext`xi$$ + 
                 1, $CellContext`g[$CellContext`gr$$, $CellContext`xi$$] 
                  1 + $CellContext`gr$$}}], 
              Style[
               Inset[
                Row[{
                  Style["1", Plain, Black]}], {$CellContext`xi$$ + 
                 0.55, $CellContext`gr$$ + 0.25}], 14], 
              Style[
               Inset[
                Style[
                 Row[{"f'(", 
                   Subscript["x", 0], ")"}], Black, 
                 Italic], {$CellContext`xi$$ + 
                 1.9, (-$CellContext`g[$CellContext`gr$$, $CellContext`xi$$])/
                  2 + ($CellContext`g[$CellContext`gr$$, $CellContext`xi$$] + \
$CellContext`gr$$)}], 14]}, $CellContext`x -> $CellContext`xi$$], 
           PlotRangePadding -> 2.5], 
          Spacer[30], 
          Plot[{
            Which[
             
             And[$CellContext`gr$$ == $CellContext`p1, $CellContext`x < \
$CellContext`xi$$], 
             ReplaceAll[$CellContext`pp, $CellContext`xi$$ -> $CellContext`x],
              
             
             And[$CellContext`gr$$ == $CellContext`p2, $CellContext`x < \
$CellContext`xi$$], 
             
             ReplaceAll[$CellContext`pp2, $CellContext`xi$$ -> \
$CellContext`x], 
             
             And[$CellContext`gr$$ == $CellContext`p3, $CellContext`x < \
$CellContext`xi$$], 
             
             ReplaceAll[$CellContext`pp3, $CellContext`xi$$ -> \
$CellContext`x]]}, {$CellContext`x, $CellContext`xmin, $CellContext`xmax}, 
           PlotStyle -> {
             GrayLevel[0], 
             Thickness[0.005]}, 
           PlotRange -> {{$CellContext`xmin - 0.5, $CellContext`xmax + 0.5}, 
             If[$CellContext`gr$$ === $CellContext`p1, 200, Pi] {-1., 1.}}, 
           AxesLabel -> {
             Style["x", Italic, 14], 
             Style["f'(x)", Italic, 14]}, ImageSize -> 275, Ticks -> None, 
           Filling -> If[$CellContext`fill$$, Axis, None], FillingStyle -> 
           If[$CellContext`fill$$, 
             Lighter[Blue], None], Epilog -> ReplaceAll[{
              RGBColor[0, 0.501961, 0], 
              Thickness[0.008], 
              Line[{{$CellContext`xi$$, 0}, {$CellContext`xi$$, 
                 $CellContext`g[$CellContext`gr$$, $CellContext`xi$$]}}]}, \
$CellContext`x -> $CellContext`xi$$]]}}], 
      "Specifications" :> {{{$CellContext`gr$$, -2 + 
          12 $CellContext`x + $CellContext`x^2 - $CellContext`x^3, 
          "function"}, {-2 + 
           12 $CellContext`x + $CellContext`x^2 - $CellContext`x^3 -> 
          TraditionalForm[-2 + 
            12 $CellContext`x + $CellContext`x^2 - $CellContext`x^3], 
          Sin[$CellContext`x] -> TraditionalForm[
            Sin[$CellContext`x]], Cos[$CellContext`x] -> TraditionalForm[
            Cos[$CellContext`x]]}, ControlType -> 
         PopupMenu}, {{$CellContext`xi$$, -6, 
          "\!\(\*SubscriptBox[\(x\), \(0\)]\)"}, -6.1, 6, 0.005, Appearance -> 
         "Labeled"}, {{$CellContext`fill$$, False, "shade curve"}, {
         True, False}}}, "Options" :> {AutorunSequencing -> {1, 2}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{640., {155., 160.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`xmin = -6, $CellContext`xmax = 6, 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`p1 = -2 + 
         12 $CellContext`x + $CellContext`x^2 - $CellContext`x^3, \
$CellContext`g[
          Pattern[$CellContext`func, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]]] := D[$CellContext`func, $CellContext`x], $CellContext`dx = 
        12/5, Attributes[Subscript] = {NHoldRest}, $CellContext`pp = 
        12 + 2 $CellContext`x - 3 $CellContext`x^2, $CellContext`p2 = 
        Sin[$CellContext`x], $CellContext`pp2 = 
        Cos[$CellContext`x], $CellContext`p3 = 
        Cos[$CellContext`x], $CellContext`pp3 = -Sin[$CellContext`x]}; 
      Typeset`initDone$$ = True); ReleaseHold[{{
         HoldComplete[$CellContext`g[
             Pattern[$CellContext`func, 
              Blank[]], 
             Pattern[$CellContext`t, 
              Blank[]]] := D[$CellContext`func, $CellContext`x]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`p1 = -$CellContext`x^3 + $CellContext`x^2 + 
            12 $CellContext`x - 2; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`p2 = Sin[$CellContext`x]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`p3 = Cos[$CellContext`x]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`xmin = -6; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`xmax = 6; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`pp = D[$CellContext`p1, $CellContext`x]; 
          Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`pp2 = D[$CellContext`p2, $CellContext`x]; 
          Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`pp3 = D[$CellContext`p3, $CellContext`x]; 
          Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`dx = ($CellContext`xmax - \
$CellContext`xmin)/5; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`smin = -6.1; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`smax = 6; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`sstart = -6; Null], 
         HoldComplete[Null]}}]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->42425609],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Graphing Derivatives",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/GraphingDerivatives/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/GraphingDerivatives/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/GraphingDerivatives/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/GraphingDerivatives/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/GraphingDerivatives/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Joshua Fritz, Chad Pierson,",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Joshua+Fritz%2C+\
Chad+Pierson%2C"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Joshua+Fritz%2C+Chad+\
Pierson%2C"],
 " and ",
 ButtonBox["Angela Sharp",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Angela+Sharp"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Angela+Sharp"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
GraphingDerivatives"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Graphing Derivatives - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 212, 4, 70, "Section"],
Cell[805, 29, 3204, 97, 70, "Input",
 CellID->134835394],
Cell[4012, 128, 13192, 323, 70, "Input"]
}, Open  ]],
Cell[17219, 454, 9332, 196, 70, "Output",
 CellID->42425609],
Cell[CellGroupData[{
Cell[26576, 654, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[26952, 665, 892, 24, 70, "Text"],
Cell[27847, 691, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[28187, 702, 742, 23, 70, "Text"],
Cell[CellGroupData[{
Cell[28954, 729, 829, 24, 70, "Text"],
Cell[29786, 755, 1195, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature PRz8iIPrR@yN6Bpq7TBW4iFP *)
