(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     19182,        516]
NotebookOptionsPosition[     18074,        475]
NotebookOutlinePosition[     18694,        499]
CellTagsIndexPosition[     18651,        496]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Instantaneous Rate of Change", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"xstart", " ", "=", " ", 
   RowBox[{"-", "5"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xstop", "=", " ", "5"}], ";"}]}], "Input",
 CellID->13892713],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"p", "=", 
        StyleBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox[
            StyleBox[
             RowBox[{"x", 
              StyleBox["x", "WarholOrange"]}]], "3"]}], "+", 
          SuperscriptBox["xx", "2"], "+", 
          RowBox[{"12", " ", "xx"}], "-", "2"}], "WarholOrange"]}], ",", 
       RowBox[{"dx", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"xstop", "-", "xstart"}], ")"}], "/", "5"}]}]}], "}"}], ",",
      
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"pp", "=", 
         RowBox[{"D", "[", 
          RowBox[{"p", ",", "xx"}], "]"}]}], "}"}], ",", 
       RowBox[{"Plot", "[", 
        RowBox[{"p", ",", 
         RowBox[{"{", 
          RowBox[{"xx", ",", 
           RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"xstart", "-", "1"}], ",", 
              RowBox[{"xstop", "+", "1"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "50"}], ",", "90"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", " ", "600"}], ",", " ", 
         RowBox[{"AxesLabel", "\[Rule]", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<x\>\"", ",", "14", ",", "Italic"}], "]"}], ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<y\>\"", ",", "14", ",", "Italic"}], "]"}]}], 
           "}"}]}], ",", 
         RowBox[{"Background", "\[Rule]", 
          RowBox[{"RGBColor", "[", 
           RowBox[{"0.972549", ",", "0.937255", ",", "0.694118"}], "]"}]}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"0.378912", ",", " ", "0.742199", ",", " ", "0.570321"}],
              "]"}], ",", 
            RowBox[{"Thickness", "[", ".005", "]"}]}], " ", "}"}]}], ",", 
         RowBox[{"Epilog", "\[Rule]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"Black", ",", 
              RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Arrowheads", "[", ".025", "]"}], ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"5.8", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"6", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "89"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "91"}], "}"}]}], "}"}], "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{"{", " ", 
                RowBox[{
                 RowBox[{"xi", "+", "1"}], ",", 
                 RowBox[{
                  RowBox[{"pp", " ", "1"}], "+", "p"}]}], " ", "}"}], "]"}], 
              ",", 
              RowBox[{"Point", "[", 
               RowBox[{"{", " ", 
                RowBox[{
                 RowBox[{"xi", "+", "1"}], ",", "p"}], " ", "}"}], "]"}], ",",
               
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", " ", 
                  RowBox[{"xi", ",", "p"}], " ", "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"xi", "+", "1"}], ",", "p"}], "}"}]}], "}"}], 
               "]"}], ",", "\[IndentingNewLine]", "Red", ",", 
              RowBox[{"PointSize", "[", ".02", "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"xi", ",", "p"}], "}"}], "]"}], ",", 
              RowBox[{"Thickness", "[", ".005", "]"}], ",", "Blue", ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"xi", "-", "dx"}], ",", 
                   RowBox[{"p", "-", 
                    RowBox[{"dx", "pp"}]}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"xi", "+", "dx"}], ",", 
                   RowBox[{"p", "+", 
                    RowBox[{"dx", "pp"}]}]}], "}"}]}], "}"}], "]"}], ",", 
              "\[IndentingNewLine]", "Red", ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", " ", 
                  RowBox[{
                   RowBox[{"xi", "+", "1"}], ",", "p"}], " ", "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"xi", "+", "1"}], ",", 
                   RowBox[{
                    RowBox[{"pp", " ", "1"}], "+", "p"}]}], "}"}]}], "}"}], 
               "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"Inset", "[", 
                 RowBox[{
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"HoldForm", "[", 
                    RowBox[{
                    RowBox[{"f", "[", "x", "]"}], "==", " ", 
                    StyleBox[
                    RowBox[{
                    RowBox[{"-", 
                    SuperscriptBox["x", "3"]}], "+", 
                    SuperscriptBox["x", "2"], "+", 
                    RowBox[{"12", " ", "x"}], "-", "3"}], "WarholOrange"]}], 
                    StyleBox["]", "WarholOrange"]}], 
                   StyleBox["]", "WarholOrange"]}], ",", " ", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "80"}], "}"}]}], "]"}], ",", " ", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{
                 "0.378912", ",", " ", "0.742199", ",", " ", "0.570321"}], 
                 "]"}], ",", "20"}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"Inset", "[", 
                 RowBox[{
                  RowBox[{"Row", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<  k\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< =  \>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{
                    RowBox[{"pp", "/.", 
                    RowBox[{"xx", "\[Rule]", "xi"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}]}], "]"}], "]"}]}], "}"}], 
                   "]"}], ",", 
                  RowBox[{"{", " ", 
                   RowBox[{
                    RowBox[{"xi", "+", "1.9"}], ",", "p"}], " ", "}"}]}], 
                 "]"}], " ", ",", "14"}], "]"}]}], "}"}], "/.", 
            RowBox[{"xx", "\[Rule]", "xi"}]}], ")"}]}]}], "]"}]}], "]"}]}], 
    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xi", ",", "0", ",", " ", 
       SubscriptBox["x", "0"]}], "}"}], ",", "xstart", ",", "xstop", ",", " ",
      "0.005", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.391354350125*^9, 3.391354377640625*^9}, {
   3.39151695778125*^9, 3.391516957984375*^9}, 3.391528270640625*^9, {
   3.39152845925*^9, 3.3915284711875*^9}, {3.391528547203125*^9, 
   3.39152855359375*^9}, 3.391528659234375*^9, 3.391528995796875*^9, 
   3.391529099171875*^9, {3.391537920645189*^9, 3.391537921826888*^9}, 
   3.3915387930496445`*^9, {3.391538824254515*^9, 3.391538856591013*^9}, 
   3.39203148009035*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`xi$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`xi$$], 0, 
       Subscript[$CellContext`x, 0]}, -5, 5, 0.005}}, Typeset`size$$ = {
    600., {188., 193.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`xi$224$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`xi$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`xi$$, $CellContext`xi$224$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`p$ = -$CellContext`xx^3 + $CellContext`xx^2 + 
          12 $CellContext`xx - 
          2, $CellContext`dx$ = ($CellContext`xstop - $CellContext`xstart)/5},
         
        With[{$CellContext`pp$ = D[$CellContext`p$, $CellContext`xx]}, 
         Plot[$CellContext`p$, {$CellContext`xx, -6, 6}, 
          PlotRange -> {{$CellContext`xstart - 1, $CellContext`xstop + 
             1}, {-50, 90}}, ImageSize -> 600, AxesLabel -> {
            Style["x", 14, Italic], 
            Style["y", 14, Italic]}, Background -> 
          RGBColor[0.972549, 0.937255, 0.694118], PlotStyle -> {
            RGBColor[0.378912, 0.742199, 0.570321], 
            Thickness[0.005]}, Epilog -> ReplaceAll[{Black, 
             PointSize[0.02], 
             Arrowheads[0.025], 
             Arrow[{{5.8, 0}, {6, 0}}], 
             Arrow[{{0, 89}, {0, 91}}], 
             
             Point[{$CellContext`xi$$ + 
               1, $CellContext`pp$ 1 + $CellContext`p$}], 
             Point[{$CellContext`xi$$ + 1, $CellContext`p$}], 
             Line[{{$CellContext`xi$$, $CellContext`p$}, {$CellContext`xi$$ + 
                1, $CellContext`p$}}], Red, 
             PointSize[0.02], 
             Point[{$CellContext`xi$$, $CellContext`p$}], 
             Thickness[0.005], Blue, 
             
             Line[{{$CellContext`xi$$ - $CellContext`dx$, $CellContext`p$ - \
$CellContext`dx$ $CellContext`pp$}, {$CellContext`xi$$ + $CellContext`dx$, \
$CellContext`p$ + $CellContext`dx$ $CellContext`pp$}}], Red, 
             
             Line[{{$CellContext`xi$$ + 
                1, $CellContext`p$}, {$CellContext`xi$$ + 
                1, $CellContext`pp$ 1 + $CellContext`p$}}], 
             Style[
              Inset[
               TraditionalForm[
                
                HoldForm[$CellContext`f[$CellContext`x] == -$CellContext`x^3 + \
$CellContext`x^2 + 12 $CellContext`x - 3]], {3, 80}], 
              RGBColor[0.378912, 0.742199, 0.570321], 20], 
             Style[
              Inset[
               Row[{
                 Style["  k", Italic], " =  ", 
                 ToString[
                  NumberForm[
                   
                   ReplaceAll[$CellContext`pp$, $CellContext`xx -> \
$CellContext`xi$$], {2, 3}]]}], {$CellContext`xi$$ + 1.9, $CellContext`p$}], 
              14]}, $CellContext`xx -> $CellContext`xi$$]]]], 
      "Specifications" :> {{{$CellContext`xi$$, 0, 
          Subscript[$CellContext`x, 0]}, -5, 5, 0.005, Appearance -> 
         "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{644., {231., 236.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`xstop = 5, $CellContext`xstart = -5, 
        Attributes[Subscript] = {NHoldRest}}; Typeset`initDone$$ = True); 
     ReleaseHold[{{
         HoldComplete[$CellContext`xstart = -5; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`xstop = 5; Null]}}]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->215032164],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Instantaneous Rate of Change",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/InstantaneousRateOfChange/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/InstantaneousRateOfChange/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/InstantaneousRateOfChange/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/InstantaneousRateOfChange/"], 
    None},
  ButtonNote->"http://demonstrations.wolfram.com/InstantaneousRateOfChange/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Wolfgang Narrath",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Wolfgang+\
Narrath"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Wolfgang+Narrath"],
 " and ",
 ButtonBox["Reinhard Simonovits",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Reinhard+\
Simonovits"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Reinhard+Simonovits"]\

}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
InstantaneousRateOfChange"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Instantaneous Rate of Change - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 220, 4, 70, "Section"],
Cell[813, 29, 199, 6, 70, "Input",
 CellID->13892713],
Cell[1015, 37, 8212, 198, 70, "Input"]
}, Open  ]],
Cell[9242, 238, 4339, 92, 70, "Output",
 CellID->215032164],
Cell[CellGroupData[{
Cell[13606, 334, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13982, 345, 944, 27, 70, "Text"],
Cell[14929, 374, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15269, 385, 719, 23, 70, "Text"],
Cell[CellGroupData[{
Cell[16013, 412, 829, 24, 70, "Text"],
Cell[16845, 438, 1201, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature pTzNQ@Ly1c1H5DTbbH#QK4Vt *)
