(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     40695,        943]
NotebookOptionsPosition[     39513,        899]
NotebookOutlinePosition[     40161,        924]
CellTagsIndexPosition[     40118,        921]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Instantaneous Rate of Change: Exploring More Functions", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"funccolor", "=", 
   RowBox[{"RGBColor", "[", 
    RowBox[{"0.378912", ",", "0.742199", ",", "0.570321"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.396798976140625*^9, 3.396798986890625*^9}, {
   3.3968048997634544`*^9, 3.3968049004059763`*^9}, {3.3972193488237934`*^9, 
   3.3972193497150755`*^9}},
 CellID->249363567],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"x0", "<", "#"}], ",", 
        RowBox[{"x0", "=", "#"}]}], "]"}], "&"}], "[", 
     RowBox[{"Switch", "[", 
      RowBox[{"func", ",", "p2", ",", 
       RowBox[{"-", "1.1"}], ",", "p3", ",", 
       RowBox[{"-", "1.17"}], ",", "p4", ",", 
       RowBox[{"-", "2.8"}], ",", "expf", ",", ".02", ",", "logisticf", ",", 
       "0.01"}], "]"}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"x0", ">", "#"}], ",", 
        RowBox[{"x0", "=", "#"}]}], "]"}], "&"}], "[", 
     RowBox[{"Switch", "[", 
      RowBox[{
      "func", ",", "p2", ",", "4.9", ",", "p3", ",", "3.9", ",", "p4", ",", 
       "2.8", ",", "expf", ",", "8.8", ",", "logisticf", ",", "7"}], "]"}], 
     "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Switch", "[", 
     RowBox[{"func", ",", "\[IndentingNewLine]", "p2", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "xstart", ",", "xstop", ",", "ystart", ",", "ystop", ",", 
          "kchangesides", ",", "koffsetleft", ",", "koffsetright", ",", 
          "finset"}], "}"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "6.1", ",", 
          RowBox[{"-", "8"}], ",", "11", ",", "3.5", ",", "1.6", ",", "0.6", 
          ",", 
          RowBox[{"{", 
           RowBox[{"4.9", ",", "10"}], "}"}]}], "}"}]}], ";", 
       RowBox[{"f", "=", 
        RowBox[{"Function", "[", 
         RowBox[{"x", ",", 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["x", "2"]}], "+", 
           RowBox[{"4", " ", "x"}], "+", "5"}]}], "]"}]}]}], ",", 
      "\[IndentingNewLine]", "p3", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "xstart", ",", "xstop", ",", "ystart", ",", "ystop", ",", 
          "kchangesides", ",", "koffsetleft", ",", "koffsetright", ",", 
          "finset"}], "}"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "5", ",", 
          RowBox[{"-", "7.5"}], ",", "21", ",", "2.3", ",", "1.6", ",", "0.5",
           ",", 
          RowBox[{"{", 
           RowBox[{"3", ",", "20"}], "}"}]}], "}"}]}], ";", 
       RowBox[{"f", "=", 
        RowBox[{"Function", "[", 
         RowBox[{"x", ",", 
          RowBox[{
           SuperscriptBox["x", "3"], "-", 
           RowBox[{"6", " ", 
            SuperscriptBox["x", "2"]}], "+", 
           RowBox[{"5", " ", "x"}], "+", "12"}]}], "]"}]}]}], ",", 
      "\[IndentingNewLine]", "p4", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "xstart", ",", "xstop", ",", "ystart", ",", "ystop", ",", 
          "kchangesides", ",", "koffsetleft", ",", "koffsetright", ",", 
          "finset"}], "}"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "4.5", ",", 
          RowBox[{"-", "2.1"}], ",", "1.7", ",", "1.4", ",", "1.6", ",", 
          "0.5", ",", 
          RowBox[{"{", 
           RowBox[{"1.5", ",", "1.3"}], "}"}]}], "}"}]}], ";", 
       RowBox[{"f", "=", 
        RowBox[{"Function", "[", 
         RowBox[{"x", ",", 
          RowBox[{
           FractionBox[
            SuperscriptBox["x", "4"], "8"], "-", 
           SuperscriptBox["x", "2"], "+", "1"}]}], "]"}]}]}], ",", 
      "\[IndentingNewLine]", "expf", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "xstart", ",", "xstop", ",", "ystart", ",", "ystop", ",", 
          "kchangesides", ",", "koffsetleft", ",", "koffsetright", ",", 
          "finset"}], "}"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.1"}], ",", "10", ",", 
          RowBox[{"-", "0.6"}], ",", "3.2", ",", "5", ",", "1.75", ",", "0.8",
           ",", 
          RowBox[{"{", 
           RowBox[{"7.5", ",", "2.9"}], "}"}]}], "}"}]}], ";", 
       RowBox[{"f", "=", 
        RowBox[{"Function", "[", 
         RowBox[{"x", ",", 
          RowBox[{"3", " ", "x", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "0.5"}], " ", "x"}]]}]}], "]"}]}]}], ",", 
      "\[IndentingNewLine]", "logisticf", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "xstart", ",", "xstop", ",", "ystart", ",", "ystop", ",", 
          "kchangesides", ",", "koffsetleft", ",", "koffsetright", ",", 
          "finset"}], "}"}], "=", 
        RowBox[{"{", 
         RowBox[{"0", ",", "8", ",", 
          RowBox[{"-", "0.3"}], ",", "2.1", ",", "5", ",", "1.5", ",", "0.5", 
          ",", 
          RowBox[{"{", 
           RowBox[{"2", ",", "1.8"}], "}"}]}], "}"}]}], ";", 
       RowBox[{"f", "=", 
        RowBox[{"Function", "[", 
         RowBox[{"x", ",", 
          FractionBox["2", 
           RowBox[{"1", "+", 
            RowBox[{"61", " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "1.1"}], " ", "x"}]]}]}]]}], "]"}]}]}]}], "]"}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"dx", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"xstop", "-", "xstart"}], ")"}], "/", "5"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"f", "[", "x", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "xstart", ",", "xstop"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"xstart", ",", "xstop"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"ystart", ",", "ystop"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "600"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<x\>\"", ",", "14", ",", "Italic"}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<y\>\"", ",", "14", ",", "Italic"}], "]"}]}], "}"}]}], 
      ",", 
      RowBox[{"Background", "\[Rule]", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.972549", ",", "0.937255", ",", "0.694118"}], "]"}]}], ",", 
      
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"0.378912", ",", "0.742199", ",", "0.570321"}], "]"}], 
           ",", 
           RowBox[{"Thickness", "[", ".005", "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"0.992157", ",", "0.368627", ",", "0.207843"}], "]"}], 
           ",", 
           RowBox[{"Dashing", "[", 
            RowBox[{"{", 
             RowBox[{".02", ",", "0.007"}], "}"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"0.501961", ",", " ", "0", ",", " ", "0.25098"}], "]"}], 
           ",", 
           RowBox[{"Dashing", "[", 
            RowBox[{"{", 
             RowBox[{".02", ",", "0.0045", ",", ".02", ",", "0.01"}], "}"}], 
            "]"}]}], "}"}]}], "}"}]}], ",", 
      RowBox[{"Epilog", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Black", ",", 
         RowBox[{"PointSize", "[", ".015", "]"}], ",", 
         RowBox[{"Arrowheads", "[", ".025", "]"}], ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"xstop", "-", ".02"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"xstop", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"ystop", "-", ".02"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "ystop"}], "}"}]}], "}"}], "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x0", ",", 
              RowBox[{"f", "[", "x0", "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x0", "+", "1"}], ",", 
              RowBox[{"f", "[", "x0", "]"}]}], "}"}]}], "}"}], "]"}], ",", 
         RowBox[{"Thickness", "[", ".005", "]"}], ",", "Blue", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x0", "-", "dx"}], ",", 
              RowBox[{
               RowBox[{"f", "[", "x0", "]"}], "-", 
               RowBox[{"dx", " ", 
                RowBox[{
                 RowBox[{"f", "'"}], "[", "x0", "]"}]}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x0", "+", "dx"}], ",", 
              RowBox[{
               RowBox[{"f", "[", "x0", "]"}], "+", 
               RowBox[{"dx", " ", 
                RowBox[{
                 RowBox[{"f", "'"}], "[", "x0", "]"}]}]}]}], "}"}]}], "}"}], 
          "]"}], ",", "Red", ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"x0", ",", 
            RowBox[{"f", "[", "x0", "]"}]}], "}"}], "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x0", "+", "1"}], ",", 
              RowBox[{"f", "[", "x0", "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x0", "+", "1"}], ",", 
              RowBox[{
               RowBox[{
                RowBox[{"f", "'"}], "[", "x0", "]"}], "+", 
               RowBox[{"f", "[", "x0", "]"}]}]}], "}"}]}], "}"}], "]"}], ",", 
         "Black", ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x0", "+", "1"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"f", "'"}], "[", "x0", "]"}], "+", 
             RowBox[{"f", "[", "x0", "]"}]}]}], "}"}], "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x0", "+", "1"}], ",", 
            RowBox[{"f", "[", "x0", "]"}]}], "}"}], "]"}], ",", "Red", ",", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Inset", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}], ",", 
                "\"\< = \>\"", ",", 
                RowBox[{"ToString", "[", 
                 RowBox[{"NumberForm", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"f", "'"}], "[", "x0", "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"4", ",", "2"}], "}"}]}], "]"}], "]"}]}], "}"}], 
              "]"}], ",", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"x0", "<", "kchangesides"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"x0", "+", "koffsetleft"}], ",", 
                 RowBox[{"f", "[", "x0", "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"x0", "-", "koffsetright"}], ",", 
                 RowBox[{"f", "[", "x0", "]"}]}], "}"}]}], "]"}]}], "]"}], 
           ",", "14"}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Inset", "[", 
            RowBox[{
             RowBox[{"TraditionalForm", "@", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"HoldForm", "[", 
                  RowBox[{"f", "[", "x", "]"}], "]"}], ",", "\"\< = \>\"", 
                 ",", 
                 RowBox[{"f", "[", "x", "]"}]}], "}"}], "]"}]}], ",", 
             "finset"}], "]"}], ",", "funccolor", ",", "20"}], "]"}]}], 
        "}"}]}]}], "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]",
    
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"func", ",", "p2", ",", "\"\<functions\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
       "p2", "\[Rule]", 
        "\"\<- \!\(\*SuperscriptBox[\(x\), \(2\)]\) + 4 x + 5\>\""}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
       "p3", "\[Rule]", 
        "\"\< \!\(\*SuperscriptBox[\(x\), \(3\)]\)- 6 \
\!\(\*SuperscriptBox[\(x\), \(2\)]\)+ 5 x + 12\>\""}], ",", 
       RowBox[{
       "p4", "\[Rule]", 
        "\"\< \!\(\*FractionBox[SuperscriptBox[\(x\), \(4\)], \(\(8\)\(\\\ \)\
\)]\) - \!\(\*SuperscriptBox[\(x\), \(2\)]\) + 1\>\""}], ",", 
       RowBox[{
       "expf", "\[Rule]", 
        "\"\< 3 x \!\(\*SuperscriptBox[\(\[ExponentialE]\), \(\(-0.5\)\\\ \
x\)]\)\>\""}], ",", 
       RowBox[{
       "logisticf", "\[Rule]", 
        "\"\<\!\(\*FractionBox[\(2\), \(1\\\  + \\\ 61\\\ \*SuperscriptBox[\(\
\[ExponentialE]\), \(\(-1.1\)\\\ x\)]\)]\)\>\""}]}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", "0", ",", 
       SubscriptBox["x", "0"]}], "}"}], ",", 
     RowBox[{"Evaluate", "@", 
      RowBox[{"Switch", "[", 
       RowBox[{"func", ",", "p2", ",", 
        RowBox[{"Sequence", "@@", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1.1"}], ",", "4.9"}], "}"}]}], ",", "p3", ",", 
        RowBox[{"Sequence", "@@", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1.17"}], ",", "3.9"}], "}"}]}], ",", "p4", ",", 
        RowBox[{"Sequence", "@@", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2.8"}], ",", "2.8"}], "}"}]}], ",", "expf", ",", 
        RowBox[{"Sequence", "@@", 
         RowBox[{"{", 
          RowBox[{".02", ",", "8.8"}], "}"}]}], ",", "logisticf", ",", 
        RowBox[{"Sequence", "@@", 
         RowBox[{"{", 
          RowBox[{"0.01", ",", "7"}], "}"}]}]}], "]"}]}], ",", 
     RowBox[{"ControlType", "\[Rule]", "LabeledSlider"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"Row", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}], ",", 
       "\"\<, the instantaneous rate of change\>\""}], "}"}], "]"}]}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"1", ",", "25"}], "}"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.395644955953125*^9, 3.39564497015625*^9}, {
   3.39564508446875*^9, 3.395645157875*^9}, {3.3956451906875*^9, 
   3.39564521215625*^9}, {3.395645248421875*^9, 3.395645261125*^9}, 
   3.39564529428125*^9, {3.395645350296875*^9, 3.395645572921875*^9}, {
   3.3956456785625*^9, 3.395645709953125*^9}, {3.395645792875*^9, 
   3.395645816328125*^9}, {3.395645863171875*^9, 3.39564588515625*^9}, {
   3.39564591553125*^9, 3.395645924765625*^9}, {3.395645979578125*^9, 
   3.39564599728125*^9}, {3.39564603365625*^9, 3.395646059*^9}, {
   3.395646115296875*^9, 3.395646293765625*^9}, {3.395646338984375*^9, 
   3.395646353859375*^9}, {3.395646628515625*^9, 3.39564663128125*^9}, {
   3.39564670928125*^9, 3.395646813609375*^9}, {3.39564710403125*^9, 
   3.395647152546875*^9}, {3.395647333515625*^9, 3.395647362765625*^9}, {
   3.395661258734375*^9, 3.39566127609375*^9}, {3.395661334734375*^9, 
   3.395661359296875*^9}, {3.395662166671875*^9, 3.39566219765625*^9}, 
   3.39566223290625*^9, {3.395662267953125*^9, 3.39566227109375*^9}, 
   3.3956623185*^9, {3.395662577859375*^9, 3.395662624828125*^9}, {
   3.3956629870625*^9, 3.395662992859375*^9}, {3.395663033*^9, 
   3.395663052890625*^9}, {3.395663158734375*^9, 3.395663191140625*^9}, {
   3.39566329246875*^9, 3.395663379125*^9}, {3.395663556640625*^9, 
   3.39566361815625*^9}, {3.395663747578125*^9, 3.39566378546875*^9}, {
   3.395664502265625*^9, 3.395664565703125*^9}, {3.395664682015625*^9, 
   3.395664682625*^9}, {3.39575660809375*^9, 3.3957566814375*^9}, 
   3.3957567205625*^9, {3.39575676940625*^9, 3.395756770109375*^9}, {
   3.39575680334375*^9, 3.3957568039375*^9}, {3.395756882625*^9, 
   3.39575688715625*^9}, {3.395756936578125*^9, 3.39575696425*^9}, {
   3.395757038703125*^9, 3.395757071734375*^9}, {3.395833528703125*^9, 
   3.395833532890625*^9}, {3.39583374440625*^9, 3.395833772421875*^9}, {
   3.39583381471875*^9, 3.395833826859375*^9}, {3.395833874875*^9, 
   3.39583388340625*^9}, {3.395833936125*^9, 3.395833961671875*^9}, {
   3.3958340256875*^9, 3.395834087828125*^9}, {3.39583412853125*^9, 
   3.395834130859375*^9}, {3.395834178921875*^9, 3.395834222671875*^9}, {
   3.39583429528125*^9, 3.395834322875*^9}, 3.39583437290625*^9, {
   3.39583441334375*^9, 3.39583441446875*^9}, {3.395834448578125*^9, 
   3.3958344489375*^9}, {3.395834618359375*^9, 3.395834624703125*^9}, {
   3.39583489625*^9, 3.395834909984375*^9}, 3.39583496621875*^9, {
   3.39583507446875*^9, 3.3958350880625*^9}, {3.395991697703125*^9, 
   3.395991720375*^9}, {3.395991751640625*^9, 3.3959917563125*^9}, {
   3.39599179546875*^9, 3.395991814125*^9}, {3.395991901078125*^9, 
   3.395991903265625*^9}, 3.3959919484375*^9, {3.39599203228125*^9, 
   3.39599203675*^9}, {3.3959920846875*^9, 3.395992137875*^9}, {
   3.395992233796875*^9, 3.395992249359375*^9}, {3.395992306578125*^9, 
   3.3959923086875*^9}, {3.39599235321875*^9, 3.395992375046875*^9}, {
   3.3959924158125*^9, 3.395992420671875*^9}, {3.395992464890625*^9, 
   3.395992509734375*^9}, {3.395992716109375*^9, 3.395992730453125*^9}, {
   3.395992843015625*^9, 3.395992849546875*^9}, {3.395992884578125*^9, 
   3.3959929276875*^9}, {3.395992960359375*^9, 3.39599296678125*^9}, 
   3.395993032234375*^9, {3.395993470421875*^9, 3.395993496765625*^9}, {
   3.39599353471875*^9, 3.395993558125*^9}, {3.395993618015625*^9, 
   3.395993629109375*^9}, {3.3959938888125*^9, 3.395993982640625*^9}, {
   3.395994083421875*^9, 3.39599410771875*^9}, {3.3959941723125*^9, 
   3.395994204921875*^9}, {3.39599432609375*^9, 3.395994347796875*^9}, {
   3.39599442375*^9, 3.395994464234375*^9}, {3.395994532796875*^9, 
   3.395994534140625*^9}, {3.395994827859375*^9, 3.39599487621875*^9}, {
   3.39599491278125*^9, 3.395994938609375*^9}, {3.395994972375*^9, 
   3.395995016828125*^9}, {3.395995067640625*^9, 3.395995072578125*^9}, {
   3.395995267484375*^9, 3.395995278109375*^9}, {3.396068631421875*^9, 
   3.396068634765625*^9}, {3.396069437890625*^9, 3.39606944990625*^9}, {
   3.396069505359375*^9, 3.396069511796875*^9}, {3.396069563296875*^9, 
   3.39606957534375*^9}, {3.39606961421875*^9, 3.39606976990625*^9}, {
   3.396069830859375*^9, 3.396069861609375*^9}, 3.39607008209375*^9, {
   3.396070403328125*^9, 3.396070424890625*^9}, {3.396070512578125*^9, 
   3.396070527546875*^9}, {3.39607056303125*^9, 3.39607058478125*^9}, {
   3.396070707296875*^9, 3.396070754890625*^9}, 3.396070870484375*^9, {
   3.39607099921875*^9, 3.3960710060625*^9}, {3.3960710446875*^9, 
   3.396071078*^9}, {3.39607112690625*^9, 3.3960711495625*^9}, {
   3.396071189390625*^9, 3.396071219078125*^9}, 3.396071250203125*^9, {
   3.396071299015625*^9, 3.3960713148125*^9}, {3.396071347609375*^9, 
   3.39607134790625*^9}, {3.396071386828125*^9, 3.396071414265625*^9}, {
   3.396071480046875*^9, 3.39607150715625*^9}, {3.396071659734375*^9, 
   3.396071660546875*^9}, {3.396071847609375*^9, 3.39607186209375*^9}, 
   3.3960719315*^9, {3.39607201475*^9, 3.396072034234375*^9}, {
   3.3960721025625*^9, 3.396072107734375*^9}, {3.3960722345625*^9, 
   3.396072236703125*^9}, {3.396176013375*^9, 3.396176040953125*^9}, {
   3.396323770390625*^9, 3.396323780359375*^9}, {3.396326490203125*^9, 
   3.3963265133125*^9}, {3.396326565015625*^9, 3.396326613453125*^9}, {
   3.396326668765625*^9, 3.396326821359375*^9}, {3.39632692165625*^9, 
   3.396326925*^9}, {3.396327001546875*^9, 3.39632724009375*^9}, {
   3.396327297703125*^9, 3.39632734128125*^9}, {3.396327404828125*^9, 
   3.39632764315625*^9}, {3.3963276975625*^9, 3.396327706203125*^9}, 
   3.396327809359375*^9, {3.3963278731875*^9, 3.396327878625*^9}, {
   3.3963279188125*^9, 3.396327929234375*^9}, 3.396327974484375*^9, {
   3.396328103484375*^9, 3.396328122015625*^9}, {3.3963282118125*^9, 
   3.3963283249375*^9}, {3.396328414171875*^9, 3.3963284205625*^9}, {
   3.39632852234375*^9, 3.39632861559375*^9}, {3.396328649828125*^9, 
   3.39632865846875*^9}, {3.396328697671875*^9, 3.396328707375*^9}, {
   3.39632874021875*^9, 3.3963287489375*^9}, {3.39632878825*^9, 
   3.39632883909375*^9}, {3.39632887525*^9, 3.396328989890625*^9}, {
   3.396329059640625*^9, 3.3963291359375*^9}, {3.396329186859375*^9, 
   3.39632926434375*^9}, {3.39632937465625*^9, 3.396329482125*^9}, {
   3.39632951415625*^9, 3.39632956409375*^9}, {3.3963296109375*^9, 
   3.396329631953125*^9}, 3.396329674203125*^9, {3.396329767921875*^9, 
   3.396329812421875*^9}, {3.3963299694375*^9, 3.39633000759375*^9}, {
   3.39633004775*^9, 3.396330091109375*^9}, {3.39633013321875*^9, 
   3.396330184390625*^9}, {3.396330215078125*^9, 3.396330230015625*^9}, {
   3.39633026496875*^9, 3.396330283640625*^9}, {3.396330474828125*^9, 
   3.396330513703125*^9}, {3.39633056153125*^9, 3.396330566234375*^9}, {
   3.396337631765625*^9, 3.3963376645*^9}, {3.396337741484375*^9, 
   3.39633774246875*^9}, {3.39633782128125*^9, 3.396337869203125*^9}, {
   3.396337936109375*^9, 3.396337953890625*^9}, {3.396338013828125*^9, 
   3.39633801528125*^9}, {3.396338061125*^9, 3.39633807846875*^9}, {
   3.39633811065625*^9, 3.396338115453125*^9}, 3.396338150640625*^9, 
   3.3963382720625*^9, 3.396338342359375*^9, {3.396338432796875*^9, 
   3.39633843390625*^9}, {3.39633848975*^9, 3.396338493546875*^9}, {
   3.396338532*^9, 3.396338532578125*^9}, {3.396338657328125*^9, 
   3.396338737984375*^9}, {3.396338790375*^9, 3.39633880096875*^9}, {
   3.396338858421875*^9, 3.396338872046875*^9}, {3.396339239109375*^9, 
   3.396339240421875*^9}, {3.39633929753125*^9, 3.3963393199375*^9}, {
   3.396339369703125*^9, 3.396339372671875*^9}, {3.396339581953125*^9, 
   3.3963396285625*^9}, {3.396339675125*^9, 3.39633967521875*^9}, {
   3.396339841984375*^9, 3.396339888265625*^9}, {3.396339919984375*^9, 
   3.39633994615625*^9}, {3.3963400061875*^9, 3.39634005403125*^9}, {
   3.396340104359375*^9, 3.396340136453125*^9}, {3.3965845605*^9, 
   3.396584561921875*^9}, {3.396584632390625*^9, 3.39658465275*^9}, {
   3.396621116546875*^9, 3.39662113334375*^9}, {3.396798967234375*^9, 
   3.3967989985625*^9}, {3.396804913457196*^9, 3.396804920534973*^9}, {
   3.396813001194274*^9, 3.396813003600231*^9}, {3.3968130569531174`*^9, 
   3.3968130586716585`*^9}, {3.396813119820472*^9, 3.396813233072324*^9}, {
   3.396813280019739*^9, 3.3968132803009553`*^9}, {3.3968133381220484`*^9, 
   3.39681351361633*^9}, {3.3968136643011303`*^9, 3.3968137753188787`*^9}, {
   3.3968138083773584`*^9, 3.3968138757402897`*^9}, 3.397219339750747*^9, {
   3.3972194001976657`*^9, 3.3972194057556577`*^9}, {3.3974783564256783`*^9, 
   3.397478388211384*^9}, {3.397478435389222*^9, 3.3974785169364815`*^9}, {
   3.3980200957208796`*^9, 3.3980200960333753`*^9}},
 CellID->18462638]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`func$$ = $CellContext`p2, $CellContext`x0$$ \
= 0, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`func$$], $CellContext`p2, 
       "functions"}, {$CellContext`p2 -> 
       "- \!\(\*SuperscriptBox[\(x\), \(2\)]\) + 4 x + 5", $CellContext`p3 -> 
       " \!\(\*SuperscriptBox[\(x\), \(3\)]\)- 6 \!\(\*SuperscriptBox[\(x\), \
\(2\)]\)+ 5 x + 12", $CellContext`p4 -> 
       " \!\(\*FractionBox[SuperscriptBox[\(x\), \(4\)], \(\(8\)\( \)\)]\) - \
\!\(\*SuperscriptBox[\(x\), \(2\)]\) + 1", $CellContext`expf -> 
       " 3 x \!\(\*SuperscriptBox[\(\[ExponentialE]\), \(\(-0.5\) x\)]\)", \
$CellContext`logisticf -> 
       "\!\(\*FractionBox[\(2\), \(1  +  61 \
\*SuperscriptBox[\(\[ExponentialE]\), \(\(-1.1\) x\)]\)]\)"}}, {{
       Hold[$CellContext`x0$$], 0, 
       Subscript[$CellContext`x, 0]}, 
      Dynamic[
       Switch[$CellContext`func$$, $CellContext`p2, 
        Apply[Sequence, {-1.1, 4.9}], $CellContext`p3, 
        Apply[Sequence, {-1.17, 3.9}], $CellContext`p4, 
        Apply[Sequence, {-2.8, 2.8}], $CellContext`expf, 
        Apply[Sequence, {0.02, 8.8}], $CellContext`logisticf, 
        Apply[Sequence, {0.01, 7}]]]}}, Typeset`size$$ = {600., {188., 193.}},
     Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`func$24333$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`func$$ = $CellContext`p2, \
$CellContext`x0$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`func$$, $CellContext`func$24333$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ((If[$CellContext`x0$$ < #, $CellContext`x0$$ = #]& )[
         Switch[$CellContext`func$$, $CellContext`p2, -1.1, $CellContext`p3, \
-1.17, $CellContext`p4, -2.8, $CellContext`expf, 0.02, $CellContext`logisticf,
           0.01]]; (If[$CellContext`x0$$ > #, $CellContext`x0$$ = #]& )[
         Switch[$CellContext`func$$, $CellContext`p2, 4.9, $CellContext`p3, 
          3.9, $CellContext`p4, 2.8, $CellContext`expf, 
          8.8, $CellContext`logisticf, 7]]; 
       Switch[$CellContext`func$$, $CellContext`p2, {$CellContext`xstart, \
$CellContext`xstop, $CellContext`ystart, $CellContext`ystop, \
$CellContext`kchangesides, $CellContext`koffsetleft, \
$CellContext`koffsetright, $CellContext`finset} = {-2, 6.1, -8, 11, 3.5, 1.6, 
            0.6, {4.9, 10}}; $CellContext`f = 
          Function[$CellContext`x, -$CellContext`x^2 + 4 $CellContext`x + 
            5], $CellContext`p3, {$CellContext`xstart, $CellContext`xstop, \
$CellContext`ystart, $CellContext`ystop, $CellContext`kchangesides, \
$CellContext`koffsetleft, $CellContext`koffsetright, $CellContext`finset} = \
{-2, 5, -7.5, 21, 2.3, 1.6, 0.5, {3, 20}}; $CellContext`f = 
          Function[$CellContext`x, $CellContext`x^3 - 6 $CellContext`x^2 + 
            5 $CellContext`x + 
            12], $CellContext`p4, {$CellContext`xstart, $CellContext`xstop, \
$CellContext`ystart, $CellContext`ystop, $CellContext`kchangesides, \
$CellContext`koffsetleft, $CellContext`koffsetright, $CellContext`finset} = \
{-3, 4.5, -2.1, 1.7, 1.4, 1.6, 0.5, {1.5, 1.3}}; $CellContext`f = 
          Function[$CellContext`x, $CellContext`x^4/8 - $CellContext`x^2 + 
            1], $CellContext`expf, {$CellContext`xstart, $CellContext`xstop, \
$CellContext`ystart, $CellContext`ystop, $CellContext`kchangesides, \
$CellContext`koffsetleft, $CellContext`koffsetright, $CellContext`finset} = \
{-0.1, 10, -0.6, 3.2, 5, 1.75, 0.8, {7.5, 2.9}}; $CellContext`f = 
          Function[$CellContext`x, 3 $CellContext`x 
            E^((-0.5) $CellContext`x)], $CellContext`logisticf, \
{$CellContext`xstart, $CellContext`xstop, $CellContext`ystart, \
$CellContext`ystop, $CellContext`kchangesides, $CellContext`koffsetleft, \
$CellContext`koffsetright, $CellContext`finset} = {
           0, 8, -0.3, 2.1, 5, 1.5, 0.5, {2, 1.8}}; $CellContext`f = 
          Function[$CellContext`x, 2/(1 + 
            61 E^((-1.1) $CellContext`x))]]; $CellContext`dx = \
($CellContext`xstop - $CellContext`xstart)/5; Plot[
         $CellContext`f[$CellContext`x], {$CellContext`x, \
$CellContext`xstart, $CellContext`xstop}, 
         PlotRange -> {{$CellContext`xstart, $CellContext`xstop}, \
{$CellContext`ystart, $CellContext`ystop}}, ImageSize -> 600, AxesLabel -> {
           Style["x", 14, Italic], 
           Style["y", 14, Italic]}, Background -> 
         RGBColor[0.972549, 0.937255, 0.694118], PlotStyle -> {{
            RGBColor[0.378912, 0.742199, 0.570321], 
            Thickness[0.005]}, {
            RGBColor[0.992157, 0.368627, 0.207843], 
            Dashing[{0.02, 0.007}]}, {
            RGBColor[0.501961, 0, 0.25098], 
            Dashing[{0.02, 0.0045, 0.02, 0.01}]}}, Epilog -> {Black, 
           PointSize[0.015], 
           Arrowheads[0.025], 
           Arrow[{{$CellContext`xstop - 0.02, 0}, {$CellContext`xstop, 0}}], 
           Arrow[{{0, $CellContext`ystop - 0.02}, {0, $CellContext`ystop}}], 
           Line[{{$CellContext`x0$$, 
              $CellContext`f[$CellContext`x0$$]}, {$CellContext`x0$$ + 1, 
              $CellContext`f[$CellContext`x0$$]}}], 
           Thickness[0.005], Blue, 
           
           Line[{{$CellContext`x0$$ - $CellContext`dx, \
$CellContext`f[$CellContext`x0$$] - $CellContext`dx 
              Derivative[
               1][$CellContext`f][$CellContext`x0$$]}, {$CellContext`x0$$ + \
$CellContext`dx, $CellContext`f[$CellContext`x0$$] + $CellContext`dx 
               Derivative[1][$CellContext`f][$CellContext`x0$$]}}], Red, 
           Point[{$CellContext`x0$$, 
             $CellContext`f[$CellContext`x0$$]}], 
           Line[{{$CellContext`x0$$ + 1, 
              $CellContext`f[$CellContext`x0$$]}, {$CellContext`x0$$ + 1, 
              Derivative[
               1][$CellContext`f][$CellContext`x0$$] + \
$CellContext`f[$CellContext`x0$$]}}], Black, 
           
           Point[{$CellContext`x0$$ + 1, 
             Derivative[
              1][$CellContext`f][$CellContext`x0$$] + \
$CellContext`f[$CellContext`x0$$]}], 
           Point[{$CellContext`x0$$ + 1, 
             $CellContext`f[$CellContext`x0$$]}], Red, 
           Style[
            Inset[
             Row[{
               Style["k", Italic], " = ", 
               ToString[
                NumberForm[
                 Derivative[1][$CellContext`f][$CellContext`x0$$], {4, 2}]]}],
              
             
             If[$CellContext`x0$$ < $CellContext`kchangesides, \
{$CellContext`x0$$ + $CellContext`koffsetleft, 
               $CellContext`f[$CellContext`x0$$]}, {$CellContext`x0$$ - \
$CellContext`koffsetright, 
               $CellContext`f[$CellContext`x0$$]}]], 14], 
           Style[
            Inset[
             TraditionalForm[
              Row[{
                HoldForm[
                 $CellContext`f[$CellContext`x]], " = ", 
                $CellContext`f[$CellContext`x]}]], $CellContext`finset], \
$CellContext`funccolor, 20]}]), 
      "Specifications" :> {{{$CellContext`func$$, $CellContext`p2, 
          "functions"}, {$CellContext`p2 -> 
          "- \!\(\*SuperscriptBox[\(x\), \(2\)]\) + 4 x + 5", $CellContext`p3 -> 
          " \!\(\*SuperscriptBox[\(x\), \(3\)]\)- 6 \
\!\(\*SuperscriptBox[\(x\), \(2\)]\)+ 5 x + 12", $CellContext`p4 -> 
          " \!\(\*FractionBox[SuperscriptBox[\(x\), \(4\)], \(\(8\)\( \)\)]\) \
- \!\(\*SuperscriptBox[\(x\), \(2\)]\) + 1", $CellContext`expf -> 
          " 3 x \!\(\*SuperscriptBox[\(\[ExponentialE]\), \(\(-0.5\) x\)]\)", \
$CellContext`logisticf -> 
          "\!\(\*FractionBox[\(2\), \(1  +  61 \*SuperscriptBox[\(\
\[ExponentialE]\), \(\(-1.1\) x\)]\)]\)"}}, 
        Delimiter, {{$CellContext`x0$$, 0, 
          Subscript[$CellContext`x, 0]}, 
         Dynamic[
          Switch[$CellContext`func$$, $CellContext`p2, 
           Apply[Sequence, {-1.1, 4.9}], $CellContext`p3, 
           Apply[Sequence, {-1.17, 3.9}], $CellContext`p4, 
           Apply[Sequence, {-2.8, 2.8}], $CellContext`expf, 
           Apply[Sequence, {0.02, 8.8}], $CellContext`logisticf, 
           Apply[Sequence, {0.01, 7}]]], ControlType -> LabeledSlider}}, 
      "Options" :> {FrameLabel -> Row[{
           Style["k", Italic], ", the instantaneous rate of change"}], 
        TrackedSymbols -> Manipulate, AutorunSequencing -> {{1, 25}}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{644., {266., 271.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`xstart = -2, $CellContext`xstop = 
        6.1, $CellContext`ystart = -8, $CellContext`ystop = 
        11, $CellContext`kchangesides = 3.5, $CellContext`koffsetleft = 
        1.6, $CellContext`koffsetright = 
        0.6, $CellContext`finset = {4.9, 10}, $CellContext`f = 
        Function[$CellContext`x, -$CellContext`x^2 + 4 $CellContext`x + 
          5], $CellContext`dx = 1.62, Attributes[PlotRange] = {ReadProtected},
         Attributes[Derivative] = {
         NHoldAll, ReadProtected}, $CellContext`funccolor = 
        RGBColor[0.378912, 0.742199, 0.570321], 
        Attributes[Subscript] = {NHoldRest}}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`funccolor = 
          RGBColor[0.378912, 0.742199, 0.570321]; Null}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->160810741],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Instantaneous Rate of Change: Exploring More Functions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
InstantaneousRateOfChangeExploringMoreFunctions/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
InstantaneousRateOfChangeExploringMoreFunctions/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
InstantaneousRateOfChangeExploringMoreFunctions/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
InstantaneousRateOfChangeExploringMoreFunctions/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
InstantaneousRateOfChangeExploringMoreFunctions/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Wolfgang Narrath",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Wolfgang+\
Narrath"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Wolfgang+Narrath"],
 " and ",
 ButtonBox["Reinhard Simonovits",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Reinhard+\
Simonovits"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Reinhard+Simonovits"]\

}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->281765797],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
InstantaneousRateOfChangeExploringMoreFunctions"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Instantaneous Rate of Change: Exploring More Functions - \
Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 246, 4, 70, "Section"],
Cell[839, 29, 388, 10, 70, "Input",
 CellID->249363567],
Cell[1230, 41, 23519, 516, 70, "Input",
 CellID->18462638]
}, Open  ]],
Cell[24764, 560, 10074, 189, 70, "Output",
 CellID->160810741],
Cell[CellGroupData[{
Cell[34863, 753, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[35239, 764, 1084, 31, 70, "Text"],
Cell[36326, 797, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[36666, 808, 739, 24, 70, "Text",
 CellID->281765797],
Cell[CellGroupData[{
Cell[37430, 836, 829, 24, 70, "Text"],
Cell[38262, 862, 1223, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature dQ4u6XIznQ555ApCNHAk5SXS *)
