(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     30887,        789]
NotebookOptionsPosition[     29684,        744]
NotebookOutlinePosition[     30294,        768]
CellTagsIndexPosition[     30251,        765]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Mean Value Theorem", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"rollePointb", "[", 
   RowBox[{"poly_", ",", " ", "x_", ",", " ", 
    RowBox[{"{", 
     RowBox[{"a_", ",", "c_"}], "}"}]}], "]"}], " ", ":=", " ", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "sol", "}"}], ",", 
    RowBox[{
     RowBox[{"sol", " ", "=", " ", 
      RowBox[{"x", "/.", " ", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"poly", "/.", " ", 
                 RowBox[{"x", " ", "\[Rule]", " ", "c"}]}], ")"}], " ", "-", 
               " ", 
               RowBox[{"(", 
                RowBox[{"poly", "/.", " ", 
                 RowBox[{"x", " ", "\[Rule]", " ", "a"}]}], ")"}]}], ")"}], 
             "/", 
             RowBox[{"(", 
              RowBox[{"c", " ", "-", " ", "a"}], ")"}]}], "\[Equal]", 
            RowBox[{"(", 
             RowBox[{"D", "[", 
              RowBox[{"poly", ",", " ", "x"}], "]"}], ")"}]}], ",", "x"}], 
          "]"}], ",", "20"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Select", "[", 
       RowBox[{"sol", ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Im", "[", "#", "]"}], "\[Equal]", "0"}], "&&", 
          RowBox[{
           RowBox[{"Min", "[", 
            RowBox[{"a", ",", " ", "c"}], "]"}], "\[LessEqual]", "#", 
           "\[LessEqual]", 
           RowBox[{"Max", "[", 
            RowBox[{"a", ",", " ", "c"}], "]"}]}]}], "&"}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes:>{{3.34952424082579*^9, 3.34952434706645*^9}, {
   3.3495244626307*^9, 3.34952450296499*^9}, {3.34954339632352*^9, 
   3.34954357711325*^9}, {3.34954371155623*^9, 3.3495437737876*^9}, {
   3.34954433154*^9, 3.34954437059149*^9}, {3.3495444062803*^9, 
   3.34954441046312*^9}, 3.34954452945094*^9, {3.34954504605257*^9, 
   3.34954505518049*^9}, {3.34954567611527*^9, 3.34954569137657*^9}},
 CellID->81243231],

Cell[BoxData[
 RowBox[{
  RowBox[{"meanValueGraphics", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a0_", ",", " ", "a1_", ",", " ", "a2_", ",", " ", "a3_"}], 
     "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"a_", ",", "c_"}], "}"}]}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "\[CapitalDelta]", ",", "\[CapitalDelta]1", ",", "fa", ",", "fb", ",", 
      "fc", ",", "b"}], "}"}], ",", "\[IndentingNewLine]", "             ", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "=", 
      RowBox[{"Abs", "[", 
       RowBox[{"c", "-", "a"}], "]"}]}], ";", 
     RowBox[{"\[CapitalDelta]1", "=", "2"}], ";", 
     RowBox[{"ac", "=", 
      RowBox[{"{", 
       RowBox[{"a", ",", "c"}], "}"}]}], ";", "\[IndentingNewLine]", 
     "               ", 
     RowBox[{
      RowBox[{"poly", "[", "x_", "]"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a0", ",", " ", "a1", ",", " ", "a2", ",", " ", "a3"}], "}"}],
        ".", 
       RowBox[{"x", "^", 
        RowBox[{"(", 
         RowBox[{"Range", "[", 
          RowBox[{"0", ",", " ", "3"}], "]"}], ")"}]}]}]}], ";", 
     "\[IndentingNewLine]", "              ", 
     RowBox[{"fa", " ", "=", 
      RowBox[{"poly", "[", "a", "]"}]}], ";", 
     RowBox[{"fc", "=", 
      RowBox[{"poly", "[", "c", "]"}]}], ";", "\[IndentingNewLine]", 
     "               ", 
     RowBox[{"b", " ", "=", " ", 
      RowBox[{"rollePointb", "[", 
       RowBox[{
        RowBox[{"poly", "[", "x", "]"}], ",", " ", "x", ",", " ", 
        RowBox[{"{", 
         RowBox[{"a", ",", "c"}], "}"}]}], "]"}]}], " ", ";", 
     "\[IndentingNewLine]", "               ", 
     RowBox[{"fb", " ", "=", " ", 
      RowBox[{"poly", "[", "b", "]"}]}], ";", 
     RowBox[{"\[Alpha]", "=", 
      RowBox[{"ArcTan", "[", 
       RowBox[{
        RowBox[{"poly", "'"}], "[", "b", "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "             ", 
     RowBox[{
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Plot", "[", 
           RowBox[{
            RowBox[{"poly", "[", "x", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"-", "2.5"}], ",", " ", "2.5"}], "}"}], ",", 
            RowBox[{"PlotStyle", " ", "\[Rule]", " ", 
             RowBox[{"{", 
              RowBox[{"Blue", ",", 
               RowBox[{"Thickness", "[", ".01", "]"}]}], "}"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Graphics", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", ".01", "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"1.", ",", "0.492", ",", "0."}], "]"}], ",", " ", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"a", ",", " ", "fa"}], "}"}], ",", " ", 
                  RowBox[{"{", 
                   RowBox[{"c", ",", " ", "fc"}], "}"}]}], "}"}], "]"}]}], 
              "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"Black", ",", " ", 
               RowBox[{"PointSize", "[", "0.01", "]"}], ",", " ", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"b", ",", " ", "fb"}], "}"}], "]"}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"Gray", ",", " ", 
               RowBox[{"Thickness", "[", "0.001", "]"}], ",", " ", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"a", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"a", ",", "fa"}], "}"}]}], "}"}], "]"}], ",", "  ",
                
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"c", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"c", ",", "fc"}], "}"}]}], "}"}], "]"}]}], "}"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", ".01", "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0.492", ",", "0.740", ",", "0."}], "]"}], ",", " ", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"b", "-", 
                    RowBox[{
                    RowBox[{"Cos", "[", "\[Alpha]", "]"}], " ", 
                    RowBox[{"\[CapitalDelta]1", "/", "2"}]}]}], ",", 
                    RowBox[{"fb", " ", "-", " ", 
                    RowBox[{
                    RowBox[{"Sin", "[", "\[Alpha]", "]"}], " ", 
                    RowBox[{"\[CapitalDelta]1", "/", "2"}]}]}]}], "}"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"b", "+", 
                    RowBox[{
                    RowBox[{"Cos", "[", "\[Alpha]", "]"}], " ", 
                    RowBox[{"\[CapitalDelta]1", "/", "2"}]}]}], ",", 
                    RowBox[{"fb", " ", "+", " ", 
                    RowBox[{
                    RowBox[{"Sin", "[", "\[Alpha]", "]"}], " ", 
                    RowBox[{"\[CapitalDelta]1", "/", "2"}]}]}]}], "}"}]}], 
                 "}"}], "]"}]}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PlotRange", " ", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2.5"}], ",", " ", "2.5"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}], ",", " ", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
        RowBox[{"AspectRatio", " ", "\[Rule]", " ", "1"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"400", ",", "340"}], "}"}]}], ",", 
        RowBox[{"ImagePadding", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"30", ",", "20"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"30", ",", "30"}], "}"}]}], "}"}]}]}], "]"}], "//", 
      "N"}]}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.34952424082579*^9, 3.34952434706645*^9}, {
   3.3495244626307*^9, 3.34952450296499*^9}, {3.34954339632352*^9, 
   3.34954351026968*^9}, {3.34954358276071*^9, 3.34954394531136*^9}, {
   3.34954409884031*^9, 3.34954410312907*^9}, {3.34954414105752*^9, 
   3.34954430808062*^9}, {3.34954445615946*^9, 3.34954445900389*^9}, {
   3.34954450691148*^9, 3.34954451040561*^9}, {3.34954459169877*^9, 
   3.34954474142928*^9}, 3.34954483985122*^9, {3.34954489686044*^9, 
   3.34954495472469*^9}, {3.34954502976266*^9, 3.3495450328008*^9}, {
   3.34954523352441*^9, 3.34954530953156*^9}, {3.34954548621307*^9, 
   3.34954549169155*^9}, {3.34954569609182*^9, 3.34954571009705*^9}, {
   3.34962427652545*^9, 3.34962428117847*^9}, {3.35722372435938*^9, 
   3.3572237450625*^9}, {3.36483480210624*^9, 3.36483484718004*^9}, {
   3.3648349692152*^9, 3.36483496927769*^9}, {3.36483501008627*^9, 
   3.36483505562878*^9}, {3.36483513023099*^9, 3.36483513790213*^9}, {
   3.36483518792857*^9, 3.36483525193805*^9}},
 CellID->38332354],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"a", "===", "c"}], ",", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"c", "\[Equal]", "2"}], ",", 
        RowBox[{"c", "=", 
         RowBox[{"c", "-", ".001"}]}], ",", 
        RowBox[{"c", "=", 
         RowBox[{"c", "+", ".001"}]}]}], "]"}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"meanValueGraphics", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"c0", ",", "c1", ",", "c2", ",", "c3"}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"a", ",", " ", "c"}], "}"}]}], "]"}]}], " ", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", " ", 
       RowBox[{"-", "2"}], ",", "\"\<a\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "2"}], ",", " ", "2", ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}]}], "}"}], ",", " ", 
   
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", " ", 
       RowBox[{"-", "2"}], ",", "\"\<c\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "2"}], ",", " ", "2", ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c0", ",", " ", 
       RowBox[{"-", "0.5"}], ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(0\)]\)\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "1"}], ",", " ", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c1", ",", 
       RowBox[{"-", "0.6"}], ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(1\)]\)\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "1"}], ",", " ", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "c2", ",", " ", "1", ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(2\)]\)\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "1"}], ",", " ", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "c3", ",", " ", "0.7", ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(3\)]\)\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "1"}], ",", " ", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "Left", ",", "Right", ",", "Top", ",", "Top", ",", "Top", ",", "Top"}], 
     "}"}]}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"3", ",", "4", ",", "5", ",", "6"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.38685980340625*^9, 3.386859875359375*^9}},
 CellID->170696202]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = -2, $CellContext`c$$ = -1.999, \
$CellContext`c0$$ = -0.5, $CellContext`c1$$ = -0.6, $CellContext`c2$$ = 
    1, $CellContext`c3$$ = 0.7, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], -2, "a"}, -2, 2}, {{
       Hold[$CellContext`c$$], -1.999, "c"}, -2, 2}, {{
       Hold[$CellContext`c0$$], -0.5, 
       "\!\(\*SubscriptBox[\(c\), \(0\)]\)"}, -1, 1}, {{
       Hold[$CellContext`c1$$], -0.6, 
       "\!\(\*SubscriptBox[\(c\), \(1\)]\)"}, -1, 1}, {{
       Hold[$CellContext`c2$$], 1, "\!\(\*SubscriptBox[\(c\), \(2\)]\)"}, -1, 
      1}, {{
       Hold[$CellContext`c3$$], 0.7, 
       "\!\(\*SubscriptBox[\(c\), \(3\)]\)"}, -1, 1}}, Typeset`size$$ = {
    400., {168., 172.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`a$98829$$ = 
    0, $CellContext`c$98830$$ = 0, $CellContext`c0$98831$$ = 
    0, $CellContext`c1$98832$$ = 0, $CellContext`c2$98833$$ = 
    0, $CellContext`c3$98834$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = -2, $CellContext`c$$ = -1.999, \
$CellContext`c0$$ = -0.5, $CellContext`c1$$ = -0.6, $CellContext`c2$$ = 
        1, $CellContext`c3$$ = 0.7}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$98829$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$98830$$, 0], 
        Hold[$CellContext`c0$$, $CellContext`c0$98831$$, 0], 
        Hold[$CellContext`c1$$, $CellContext`c1$98832$$, 0], 
        Hold[$CellContext`c2$$, $CellContext`c2$98833$$, 0], 
        Hold[$CellContext`c3$$, $CellContext`c3$98834$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (If[$CellContext`a$$ === $CellContext`c$$, 
         If[$CellContext`c$$ == 
          2, $CellContext`c$$ = $CellContext`c$$ - 
           0.001, $CellContext`c$$ = $CellContext`c$$ + 
           0.001]]; $CellContext`meanValueGraphics[{$CellContext`c0$$, \
$CellContext`c1$$, $CellContext`c2$$, $CellContext`c3$$}, {$CellContext`a$$, \
$CellContext`c$$}]), 
      "Specifications" :> {{{$CellContext`a$$, -2, "a"}, -2, 2, ControlType -> 
         VerticalSlider}, {{$CellContext`c$$, -1.999, "c"}, -2, 2, 
         ControlType -> 
         VerticalSlider}, {{$CellContext`c0$$, -0.5, 
          "\!\(\*SubscriptBox[\(c\), \(0\)]\)"}, -1, 
         1}, {{$CellContext`c1$$, -0.6, 
          "\!\(\*SubscriptBox[\(c\), \(1\)]\)"}, -1, 
         1}, {{$CellContext`c2$$, 1, 
          "\!\(\*SubscriptBox[\(c\), \(2\)]\)"}, -1, 
         1}, {{$CellContext`c3$$, 0.7, 
          "\!\(\*SubscriptBox[\(c\), \(3\)]\)"}, -1, 1}}, 
      "Options" :> {
       ControlPlacement -> {Left, Right, Top, Top, Top, Top}, 
        AutorunSequencing -> {3, 4, 5, 6}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{518., {252., 257.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`meanValueGraphics[{
           Pattern[$CellContext`a0, 
            Blank[]], 
           Pattern[$CellContext`a1, 
            Blank[]], 
           Pattern[$CellContext`a2, 
            Blank[]], 
           Pattern[$CellContext`a3, 
            Blank[]]}, {
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]]}] := 
        Module[{$CellContext`\[CapitalDelta], $CellContext`\[CapitalDelta]1, \
$CellContext`fa, $CellContext`fb, $CellContext`fc, $CellContext`b}, \
$CellContext`\[CapitalDelta] = 
           Abs[$CellContext`c - $CellContext`a]; \
$CellContext`\[CapitalDelta]1 = 
           2; $CellContext`ac = {$CellContext`a, $CellContext`c}; \
$CellContext`poly[
             Pattern[$CellContext`x, 
              Blank[]]] = 
           Dot[{$CellContext`a0, $CellContext`a1, $CellContext`a2, \
$CellContext`a3}, $CellContext`x^
             Range[0, 
               3]]; $CellContext`fa = $CellContext`poly[$CellContext`a]; \
$CellContext`fc = $CellContext`poly[$CellContext`c]; $CellContext`b = \
$CellContext`rollePointb[
             $CellContext`poly[$CellContext`x], $CellContext`x, \
{$CellContext`a, $CellContext`c}]; $CellContext`fb = \
$CellContext`poly[$CellContext`b]; $CellContext`\[Alpha] = ArcTan[
             Derivative[1][$CellContext`poly][$CellContext`b]]; N[
            Show[{
              Plot[
               $CellContext`poly[$CellContext`x], {$CellContext`x, -2.5, 2.5},
                PlotStyle -> {Blue, 
                 Thickness[0.01]}, PlotRange -> All], 
              Graphics[{{
                 Thickness[0.01], 
                 RGBColor[1., 0.492, 0.], 
                 
                 Line[{{$CellContext`a, $CellContext`fa}, {$CellContext`c, \
$CellContext`fc}}]}, {Black, 
                 PointSize[0.01], 
                 Point[{$CellContext`b, $CellContext`fb}]}, {Gray, 
                 Thickness[0.001], 
                 
                 Line[{{$CellContext`a, 
                    0}, {$CellContext`a, $CellContext`fa}}], 
                 
                 Line[{{$CellContext`c, 
                    0}, {$CellContext`c, $CellContext`fc}}]}, {
                 Thickness[0.01], 
                 RGBColor[0.492, 0.74, 0.], 
                 
                 Line[{{$CellContext`b - 
                    Cos[$CellContext`\[Alpha]] ($CellContext`\[CapitalDelta]1/
                    2), $CellContext`fb - 
                    Sin[$CellContext`\[Alpha]] ($CellContext`\[CapitalDelta]1/
                    2)}, {$CellContext`b + 
                    Cos[$CellContext`\[Alpha]] ($CellContext`\[CapitalDelta]1/
                    2), $CellContext`fb + 
                    Sin[$CellContext`\[Alpha]] ($CellContext`\[CapitalDelta]1/
                    2)}}]}}]}, PlotRange -> {{-2.5, 2.5}, {-6, 6}}, Axes -> 
             True, Frame -> True, AspectRatio -> 1, ImageSize -> {400, 340}, 
             ImagePadding -> {{30, 20}, {30, 
              30}}]]], $CellContext`ac = {-2, -1.999}, $CellContext`poly[
          Pattern[$CellContext`x$, 
           Blank[]]] = -0.5 - 0.6 $CellContext`x$ + $CellContext`x$^2 + 
         0.7 $CellContext`x$^3, 
        Attributes[$CellContext`x$] = {Temporary}, $CellContext`rollePointb[
          Pattern[$CellContext`poly, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]], {
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`c, 
            Blank[]]}] := 
        Module[{$CellContext`sol}, $CellContext`sol = 
           ReplaceAll[$CellContext`x, 
             N[
              
              Solve[(ReplaceAll[$CellContext`poly, $CellContext`x -> \
$CellContext`c] - 
                 ReplaceAll[$CellContext`poly, $CellContext`x -> \
$CellContext`a])/($CellContext`c - $CellContext`a) == 
               D[$CellContext`poly, $CellContext`x], $CellContext`x], 20]]; 
          Part[
            
            Select[$CellContext`sol, And[
             Im[#] == 0, Min[$CellContext`a, $CellContext`c] <= # <= 
              Max[$CellContext`a, $CellContext`c]]& ], 
            1]], $CellContext`\[Alpha] = 1.3132652399945328`, 
        Attributes[Derivative] = {NHoldAll, ReadProtected}, 
        Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`rollePointb[
           Pattern[$CellContext`poly, 
            Blank[]], 
           Pattern[$CellContext`x, 
            Blank[]], {
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`c, 
             Blank[]]}] := 
         Module[{$CellContext`sol}, $CellContext`sol = 
            ReplaceAll[$CellContext`x, 
              N[
               
               Solve[(ReplaceAll[$CellContext`poly, $CellContext`x -> \
$CellContext`c] - 
                  ReplaceAll[$CellContext`poly, $CellContext`x -> \
$CellContext`a])/($CellContext`c - $CellContext`a) == 
                D[$CellContext`poly, $CellContext`x], $CellContext`x], 20]]; 
           Part[
             
             Select[$CellContext`sol, And[
              Im[#] == 0, Min[$CellContext`a, $CellContext`c] <= # <= 
               Max[$CellContext`a, $CellContext`c]]& ], 
             1]], $CellContext`meanValueGraphics[{
            Pattern[$CellContext`a0, 
             Blank[]], 
            Pattern[$CellContext`a1, 
             Blank[]], 
            Pattern[$CellContext`a2, 
             Blank[]], 
            Pattern[$CellContext`a3, 
             Blank[]]}, {
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`c, 
             Blank[]]}] := 
         Module[{$CellContext`\[CapitalDelta], $CellContext`\[CapitalDelta]1, \
$CellContext`fa, $CellContext`fb, $CellContext`fc, $CellContext`b}, \
$CellContext`\[CapitalDelta] = 
            Abs[$CellContext`c - $CellContext`a]; \
$CellContext`\[CapitalDelta]1 = 
            2; $CellContext`ac = {$CellContext`a, $CellContext`c}; \
$CellContext`poly[
              Pattern[$CellContext`x, 
               Blank[]]] = 
            Dot[{$CellContext`a0, $CellContext`a1, $CellContext`a2, \
$CellContext`a3}, $CellContext`x^
              Range[0, 
                3]]; $CellContext`fa = $CellContext`poly[$CellContext`a]; \
$CellContext`fc = $CellContext`poly[$CellContext`c]; $CellContext`b = \
$CellContext`rollePointb[
              $CellContext`poly[$CellContext`x], $CellContext`x, \
{$CellContext`a, $CellContext`c}]; $CellContext`fb = \
$CellContext`poly[$CellContext`b]; $CellContext`\[Alpha] = ArcTan[
              Derivative[1][$CellContext`poly][$CellContext`b]]; N[
             Show[{
               Plot[
                $CellContext`poly[$CellContext`x], {$CellContext`x, -2.5, 
                 2.5}, PlotStyle -> {Blue, 
                  Thickness[0.01]}, PlotRange -> All], 
               Graphics[{{
                  Thickness[0.01], 
                  RGBColor[1., 0.492, 0.], 
                  
                  Line[{{$CellContext`a, $CellContext`fa}, {$CellContext`c, \
$CellContext`fc}}]}, {Black, 
                  PointSize[0.01], 
                  Point[{$CellContext`b, $CellContext`fb}]}, {Gray, 
                  Thickness[0.001], 
                  Line[{{$CellContext`a, 
                    0}, {$CellContext`a, $CellContext`fa}}], 
                  
                  Line[{{$CellContext`c, 
                    0}, {$CellContext`c, $CellContext`fc}}]}, {
                  Thickness[0.01], 
                  RGBColor[0.492, 0.74, 0.], 
                  
                  Line[{{$CellContext`b - 
                    Cos[$CellContext`\[Alpha]] ($CellContext`\[CapitalDelta]1/
                    2), $CellContext`fb - 
                    Sin[$CellContext`\[Alpha]] ($CellContext`\[CapitalDelta]1/
                    2)}, {$CellContext`b + 
                    Cos[$CellContext`\[Alpha]] ($CellContext`\[CapitalDelta]1/
                    2), $CellContext`fb + 
                    Sin[$CellContext`\[Alpha]] ($CellContext`\[CapitalDelta]1/
                    2)}}]}}]}, PlotRange -> {{-2.5, 2.5}, {-6, 6}}, Axes -> 
              True, Frame -> True, AspectRatio -> 1, ImageSize -> {400, 340}, 
              ImagePadding -> {{30, 20}, {30, 30}}]]]}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->144359619],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Mean Value Theorem",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/MeanValueTheorem/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/MeanValueTheorem/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/MeanValueTheorem/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/MeanValueTheorem/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/MeanValueTheorem/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Michael Trott",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Michael+Trott"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Michael+Trott"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->498693172],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
MeanValueTheorem"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Mean Value Theorem - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 210, 4, 70, "Section"],
Cell[803, 29, 2131, 55, 70, "Input",
 CellID->81243231],
Cell[2937, 86, 7819, 184, 70, "Input",
 CellID->38332354],
Cell[10759, 272, 2768, 77, 70, "Input",
 CellID->170696202]
}, Open  ]],
Cell[13542, 352, 11990, 258, 70, "Output",
 CellID->144359619],
Cell[CellGroupData[{
Cell[25557, 614, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[25933, 625, 875, 24, 70, "Text"],
Cell[26811, 651, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[27151, 662, 456, 15, 70, "Text",
 CellID->498693172],
Cell[CellGroupData[{
Cell[27632, 681, 829, 24, 70, "Text"],
Cell[28464, 707, 1192, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature PQ49HwXS#0XBSAp@emdTZyac *)
