(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11783,        331]
NotebookOptionsPosition[     10741,        292]
NotebookOutlinePosition[     11359,        316]
CellTagsIndexPosition[     11316,        313]
WindowTitle->Polynomial and Derivative - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Polynomial and Derivative", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"myf", "[", "x_", "]"}], ":=", 
      RowBox[{"Evaluate", "[", 
       RowBox[{"InterpolatingPolynomial", "[", 
        RowBox[{"pts", ",", " ", "x"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"fder", "[", "x_", "]"}], ":=", 
      RowBox[{"Evaluate", "[", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"myf", "[", "x", "]"}], ",", " ", "x"}], "]"}], "]"}]}], ";",
      "\[IndentingNewLine]", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"myf", "[", "x", "]"}], ",", " ", 
         RowBox[{"fder", "[", "x", "]"}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"x", ",", " ", 
         RowBox[{"-", "2"}], ",", " ", "2"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", " ", "Thick"}], ",", " ", 
       RowBox[{"PlotRange", "\[Rule]", "10"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"500", ",", "300"}], "}"}]}]}], "]"}]}], ",", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"pts", ",", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"SeedRandom", "[", "123", "]"}], ";", " ", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"RandomReal", "[", 
               RowBox[{"{", 
                RowBox[{"k", ",", " ", 
                 RowBox[{"k", "+", ".8"}]}], "}"}], "]"}], ",", " ", 
              RowBox[{"RandomReal", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "2"}], ",", " ", "2"}], "}"}], "]"}]}], "}"}], 
            ",", " ", 
            RowBox[{"{", 
             RowBox[{"k", ",", " ", 
              RowBox[{"-", "2"}], ",", " ", "1.2", ",", " ", ".8"}], "}"}]}], 
           "]"}]}], ")"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "2"}], ",", 
        RowBox[{"-", "10"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "10"}], "}"}], ",", " ", "Locator"}], "}"}], ",", 
    RowBox[{"TrackedSymbols", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.439940146483614*^9, 3.439940147501052*^9}, {
   3.4595443828222065`*^9, 3.4595443901972537`*^9}, {3.459544468322754*^9, 
   3.459544507385504*^9}, {3.459544600136097*^9, 3.459544612854929*^9}, {
   3.4597678736474977`*^9, 3.459767957348867*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`pts$$ = {{-1.6354246900240652`, 
    1.9113036749408856`}, {-0.44542828538222734`, 
    1.8488629955961837`}, {-0.15812167936712385`, -0.13316574942716564`}, {
    0.4493106518295985, -0.4574219824167729}, {1.543870728415978, 
    1.1149758867780077`}}, Typeset`show$$ = True, Typeset`bookmarkList$$ = {},
     Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`pts$$], {{-1.6354246900240652`, 
       1.9113036749408856`}, {-0.44542828538222734`, 
       1.8488629955961837`}, {-0.15812167936712385`, -0.13316574942716564`}, {
       0.4493106518295985, -0.4574219824167729}, {1.543870728415978, 
       1.1149758867780077`}}}, {-2, -10}, {2, 10}}}, Typeset`size$$ = {
    500., {148., 152.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`pts$7776$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`pts$$ = {{-1.6354246900240652`, 
         1.9113036749408856`}, {-0.44542828538222734`, 
         1.8488629955961837`}, {-0.15812167936712385`, \
-0.13316574942716564`}, {0.4493106518295985, -0.4574219824167729}, {
         1.543870728415978, 1.1149758867780077`}}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`pts$$, $CellContext`pts$7776$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`myf[
          Pattern[$CellContext`x$, 
           Blank[]]] := Evaluate[
          
          InterpolatingPolynomial[$CellContext`pts$$, $CellContext`x$]]; \
$CellContext`fder[
          Pattern[$CellContext`x, 
           Blank[]]] := Evaluate[
          D[
           $CellContext`myf[$CellContext`x], $CellContext`x]]; Plot[{
          $CellContext`myf[$CellContext`x], 
          $CellContext`fder[$CellContext`x]}, {$CellContext`x, -2, 2}, 
         PlotStyle -> Thick, PlotRange -> 10, ImageSize -> {500, 300}]), 
      "Specifications" :> {{{$CellContext`pts$$, {{-1.6354246900240652`, 
          1.9113036749408856`}, {-0.44542828538222734`, 
          1.8488629955961837`}, {-0.15812167936712385`, \
-0.13316574942716564`}, {0.4493106518295985, -0.4574219824167729}, {
          1.543870728415978, 1.1149758867780077`}}}, {-2, -10}, {2, 10}, 
         ControlType -> Locator}}, "Options" :> {TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{551., {180., 185.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->456321648],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Polynomial and Derivative",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolynomialAndDerivative/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PolynomialAndDerivative/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/PolynomialAndDerivative/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolynomialAndDerivative/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PolynomialAndDerivative/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ruth Dover",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ruth+Dover"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ruth+Dover"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PolynomialAndDerivative"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Polynomial and Derivative - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[615, 23, 217, 4, 70, "Section"],
Cell[835, 29, 2575, 67, 70, "Input"]
}, Open  ]],
Cell[3425, 99, 3126, 60, 70, "Output",
 CellID->456321648],
Cell[CellGroupData[{
Cell[6576, 163, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[6952, 174, 917, 24, 70, "Text"],
Cell[7872, 200, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[8212, 211, 427, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[8664, 229, 847, 24, 70, "Text"],
Cell[9514, 255, 1199, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature BTzy39IKgg0@kA093fJquvgp *)
