(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     14503,        410]
NotebookOptionsPosition[     13445,        370]
NotebookOutlinePosition[     14055,        394]
CellTagsIndexPosition[     14012,        391]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Secant Approximations", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "+", "3"}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{"x", "-", "1"}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{"x", "-", "3"}], ")"}]}]}], ";", 
    RowBox[{"Grid", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Text", "[", 
              RowBox[{"\"\<tangent slope = \>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{
                 RowBox[{"D", "[", 
                  RowBox[{
                   RowBox[{"f", "[", "t", "]"}], ",", "t"}], "]"}], "/.", 
                 RowBox[{"t", "\[Rule]", "a"}]}], "]"}]}], "]"}], ",", " ", 
             "Pink", ",", " ", "15"}], "]"}], ",", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Text", "[", 
              RowBox[{"\"\<  secant slope =  \>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"f", "[", 
                    RowBox[{"a", "+", "h"}], "]"}], "-", 
                   RowBox[{"f", "[", "a", "]"}]}], ")"}], "/", "h"}], "]"}]}],
               "]"}], ",", " ", "Green", ",", " ", "15"}], "]"}]}], "}"}], 
         "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"f", "[", "x", "]"}], ",", 
            RowBox[{
             RowBox[{"f", "[", "a", "]"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"D", "[", 
                 RowBox[{
                  RowBox[{"f", "[", "t", "]"}], ",", "t"}], "]"}], "/.", 
                RowBox[{"t", "\[Rule]", "a"}]}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"x", "-", "a"}], ")"}]}]}], ",", " ", 
            RowBox[{
             RowBox[{"f", "[", "a", "]"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"f", "[", 
                   RowBox[{"a", "+", "h"}], "]"}], "-", 
                  RowBox[{"f", "[", "a", "]"}]}], ")"}], "/", "h"}], ")"}], 
              "*", 
              RowBox[{"(", 
               RowBox[{"x", "-", "a"}], ")"}]}]}]}], "}"}], " ", ",", " ", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "5"}], ",", "1"}], "}"}], ",", " ", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Blue", ",", " ", "Pink", ",", " ", "Green"}], "}"}]}], 
          ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "75"}], ",", "35"}], "}"}]}], ",", " ", 
          RowBox[{"ImageSize", "\[Rule]", "450"}], ",", " ", 
          RowBox[{"Prolog", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", ".02", "]"}], ",", "Pink", ",", " ", 
               
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"a", ",", 
                  RowBox[{"f", "[", "a", "]"}]}], "}"}], "]"}]}], "}"}], ",", 
             
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", ".02", "]"}], ",", " ", "Green", ",",
                " ", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"a", "+", "h"}], ",", 
                  RowBox[{"f", "[", 
                   RowBox[{"a", "+", "h"}], "]"}]}], "}"}], "]"}]}], "}"}]}], 
            "}"}]}]}], "]"}], "}"}]}], "}"}], "]"}]}], ",", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", " ", 
       RowBox[{"-", "3"}], ",", "\"\<point of tangency\>\""}], "}"}], ",", 
     " ", 
     RowBox[{"-", "4"}], ",", ".5"}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"h", ",", ".5", ",", "\"\<h\>\""}], "}"}], ",", " ", ".01", ",",
      "2"}], "}"}], ",", " ", 
   RowBox[{"TrackedSymbols", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"a", ",", "h"}], "}"}]}], ",", " ", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{3.35696210375764*^9, 3.3854757192543106`*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = -3, $CellContext`h$$ = 0.5, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], -3, "point of tangency"}, -4, 0.5}, {{
       Hold[$CellContext`h$$], 0.5, "h"}, 0.01, 2}}, Typeset`size$$ = {
    450., {148., 153.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`a$4610$$ = 
    0, $CellContext`h$4611$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = -3, $CellContext`h$$ = 0.5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$4610$$, 0], 
        Hold[$CellContext`h$$, $CellContext`h$4611$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]]] = ($CellContext`x + 3) ($CellContext`x - 
          1) ($CellContext`x - 3); Grid[{{
           Row[{
             Style[
              Text[
               StringJoin["tangent slope = ", 
                ToString[
                 ReplaceAll[
                  D[
                   $CellContext`f[$CellContext`t], $CellContext`t], \
$CellContext`t -> $CellContext`a$$]]]], Pink, 15], 
             Style[
              Text[
               StringJoin["  secant slope =  ", 
                
                ToString[($CellContext`f[$CellContext`a$$ + $CellContext`h$$] - \
$CellContext`f[$CellContext`a$$])/$CellContext`h$$]]], Green, 15]}]}, {
           Plot[{
             $CellContext`f[$CellContext`x], $CellContext`f[$CellContext`a$$] + 
             ReplaceAll[
                D[
                 $CellContext`f[$CellContext`t], $CellContext`t], \
$CellContext`t -> $CellContext`a$$] ($CellContext`x - $CellContext`a$$), \
$CellContext`f[$CellContext`a$$] + (($CellContext`f[$CellContext`a$$ + \
$CellContext`h$$] - $CellContext`f[$CellContext`a$$])/$CellContext`h$$) \
($CellContext`x - $CellContext`a$$)}, {$CellContext`x, -5, 1}, 
            PlotStyle -> {Blue, Pink, Green}, PlotRange -> {-75, 35}, 
            ImageSize -> 450, Prolog -> {{
               PointSize[0.02], Pink, 
               Point[{$CellContext`a$$, 
                 $CellContext`f[$CellContext`a$$]}]}, {
               PointSize[0.02], Green, 
               Point[{$CellContext`a$$ + $CellContext`h$$, 
                 $CellContext`f[$CellContext`a$$ + $CellContext`h$$]}]}}]}}]),
       "Specifications" :> {{{$CellContext`a$$, -3, "point of tangency"}, -4, 
         0.5}, {{$CellContext`h$$, 0.5, "h"}, 0.01, 2}}, 
      "Options" :> {TrackedSymbols -> {$CellContext`a$$, $CellContext`h$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {205., 210.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`f[
         Pattern[$CellContext`x, 
          Blank[]]] = (-3 + $CellContext`x) (-1 + $CellContext`x) (
         3 + $CellContext`x)}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->29658613],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Secant Approximations",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SecantApproximations/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SecantApproximations/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/SecantApproximations/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SecantApproximations/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SecantApproximations/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Chris Boucher",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->18817669],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
SecantApproximations"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Secant Approximations - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 213, 4, 70, "Section"],
Cell[806, 29, 4629, 125, 70, "Input"]
}, Open  ]],
Cell[5450, 157, 3679, 76, 70, "Output",
 CellID->29658613],
Cell[CellGroupData[{
Cell[9154, 237, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9530, 248, 898, 24, 70, "Text"],
Cell[10431, 274, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10771, 285, 455, 15, 70, "Text",
 CellID->18817669],
Cell[CellGroupData[{
Cell[11251, 304, 967, 27, 70, "Text"],
Cell[12221, 333, 1196, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature BSNC4rqkYFLCXCp5JG5WpY3Z *)
