(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     27576,        727]
NotebookOptionsPosition[     26306,        680]
NotebookOutlinePosition[     26952,        705]
CellTagsIndexPosition[     26909,        702]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Tangent Line Using Many Different Limit Configurations", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], "=", 
   RowBox[{
    RowBox[{"x", "^", "3"}], "-", 
    RowBox[{"x", "^", "2"}], "-", 
    RowBox[{"25", "x"}], "+", "35"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.41672689971875*^9, 3.416726899890625*^9}, {
   3.416726974125*^9, 3.4167269955*^9}, {3.4185412270625*^9, 
   3.418541228015625*^9}, {3.41854228340625*^9, 3.418542309546875*^9}, {
   3.4185754565415177`*^9, 3.4185754962133927`*^9}},
 CellID->553451779],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{"h_", ",", "x_"}], "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"x0", "-", 
      RowBox[{"b", " ", "h"}]}], "]"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"f", "[", 
          RowBox[{"x0", "+", 
           RowBox[{"a", " ", "h"}]}], "]"}], "-", 
         RowBox[{"f", "[", 
          RowBox[{"x0", "-", 
           RowBox[{"b", " ", "h"}]}], "]"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"h", 
         RowBox[{"(", 
          RowBox[{"a", "+", "b"}], ")"}]}], ")"}]}], ")"}], "*", 
     RowBox[{"(", 
      RowBox[{"x", "-", "x0", "+", 
       RowBox[{"b", " ", "h"}]}], ")"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.41672689971875*^9, 3.416726899890625*^9}, {
   3.416726974125*^9, 3.4167269955*^9}, {3.4185412270625*^9, 
   3.418541228015625*^9}, {3.41854228340625*^9, 3.418542309546875*^9}, {
   3.4185754565415177`*^9, 3.4185754921508927`*^9}},
 CellID->93676],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "=", 
    RowBox[{"ArcTan", "[", 
     RowBox[{
      RowBox[{"f", "'"}], "[", "x0", "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.41672689971875*^9, 3.416726899890625*^9}, {
   3.416726974125*^9, 3.4167269955*^9}, {3.4185412270625*^9, 
   3.418541228015625*^9}, {3.41854228340625*^9, 3.418542309546875*^9}, {
   3.4185754565415177`*^9, 3.4185754921508927`*^9}},
 CellID->9460564],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "  ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Grid", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"f", "[", "x", "]"}], "\[IndentingNewLine]", ",", 
           RowBox[{
            RowBox[{"f", "[", "x0", "]"}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"D", "[", 
                RowBox[{
                 RowBox[{"f", "[", "t", "]"}], ",", "t"}], "]"}], "/.", 
               RowBox[{"t", "\[Rule]", "x0"}]}], ")"}], "*", 
             RowBox[{"(", 
              RowBox[{"x", "-", "x0"}], ")"}]}]}], ","}], " ", 
          "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", " ", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "6"}], ",", "7"}], "}"}], ",", " ", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", ".005", "]"}], ",", 
              RowBox[{"ColorData", "[", 
               RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}]}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", ".003", "]"}], ",", "Dashed", ",", 
              "Red"}], "}"}], ",", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", ".004", "]"}], ",", "Orange"}], 
             "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "100"}], ",", "100"}], "}"}]}], ",", " ", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"450", ",", "300"}], "}"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"PlotLabel", " ", "\[Rule]", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"HoldForm", "[", 
             RowBox[{
              RowBox[{"f", "[", "x", "]"}], "=", 
              RowBox[{
               SuperscriptBox["x", "3"], "-", 
               SuperscriptBox["x", "2"], "-", 
               RowBox[{"25", "x"}], "+", "35"}]}], "]"}], ",", 
            RowBox[{"Darker", "[", " ", 
             RowBox[{"ColorData", "[", 
              RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], 
             "]"}], ",", "15"}], "]"}]}], ",", 
         RowBox[{"AxesLabel", "\[Rule]", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<x\>\"", ",", "12", ",", "Italic"}], "]"}], ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<y\>\"", ",", "12", ",", "Italic"}], "]"}]}], 
           "}"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"Prolog", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\)\>\"", ",", "Medium", 
                ",", "Italic", ",", "Black"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"x0", ",", 
                RowBox[{"-", "4"}]}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Thickness", "[", "0.005", "]"}], ",", " ", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"x0", "-", 
                    RowBox[{
                    SqrtBox["5"], 
                    RowBox[{"Cos", "[", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"f", "'"}], "[", "x0", "]"}], "]"}], "]"}]}]}], 
                   " ", ",", 
                   RowBox[{
                    RowBox[{"f", "[", "x0", "]"}], " ", "-", " ", 
                    RowBox[{
                    SqrtBox["5"], 
                    RowBox[{"Sin", "[", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"f", "'"}], "[", "x0", "]"}], "]"}], "]"}]}]}]}], 
                  " ", "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"x0", "+", 
                    RowBox[{
                    SqrtBox["5"], 
                    RowBox[{"Cos", "[", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"f", "'"}], "[", "x0", "]"}], "]"}], "]"}]}]}], 
                   " ", ",", 
                   RowBox[{
                    RowBox[{"f", "[", "x0", "]"}], " ", "+", " ", 
                    RowBox[{
                    SqrtBox["5"], 
                    RowBox[{"Sin", "[", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{
                    RowBox[{"f", "'"}], "[", "x0", "]"}], "]"}], "]"}]}]}]}], 
                  " ", "}"}]}], "}"}], "]"}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"Orange", ",", " ", 
              RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x0", "+", 
                    RowBox[{"a", " ", "h"}]}], ",", 
                    RowBox[{"f", "[", 
                    RowBox[{"x0", "+", 
                    RowBox[{"a", " ", "h"}]}], "]"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x0", "-", 
                    RowBox[{"b", " ", "h"}]}], ",", 
                    RowBox[{"f", "[", 
                    RowBox[{"x0", "-", 
                    RowBox[{"b", " ", "h"}]}], "]"}]}], "}"}]}], "}"}], "]"}],
                 ",", 
                RowBox[{"{", 
                 RowBox[{"h", ",", ".1", ",", "1", ",", ".1"}], "}"}]}], 
               "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"Gray", ",", " ", "Dashed", ",", 
              RowBox[{"Thickness", "[", "0.001", "]"}], ",", " ", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"x0", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x0", ",", 
                   RowBox[{"f", "[", "x0", "]"}]}], "}"}]}], "}"}], "]"}]}], 
             "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", ".01", "]"}], ",", 
              RowBox[{"ColorData", "[", 
               RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], ",",
               
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"x0", "+", 
                    RowBox[{"a", " ", "h"}]}], ",", 
                   RowBox[{"f", "[", 
                    RowBox[{"x0", "+", 
                    RowBox[{"a", " ", "h"}]}], "]"}]}], "}"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"h", ",", ".1", ",", "1", ",", ".1"}], "}"}]}], 
               "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", ".01", "]"}], ",", 
              RowBox[{"ColorData", "[", 
               RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], ",",
               
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"x0", "-", 
                    RowBox[{"b", " ", "h"}]}], ",", 
                   RowBox[{"f", "[", 
                    RowBox[{"x0", "-", 
                    RowBox[{"b", " ", "h"}]}], "]"}]}], "}"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"h", ",", ".1", ",", "1", ",", ".1"}], "}"}]}], 
               "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", ".015", "]"}], ",", 
              RowBox[{"ColorData", "[", 
               RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], ",",
               " ", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"x0", ",", 
                 RowBox[{"f", "[", "x0", "]"}]}], "}"}], "]"}]}], "}"}]}], 
           "}"}]}]}], "]"}], 
       RowBox[{"(*", 
        RowBox[{"End", " ", "Plot"}], "*)"}], "\[IndentingNewLine]", "}"}], 
      ",", "\[IndentingNewLine]", 
      StyleBox[
       RowBox[{"{", 
        RowBox[{"Column", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Text", "[", 
              RowBox[{"\"\<tangent slope = \>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{
                 RowBox[{"D", "[", 
                  RowBox[{
                   RowBox[{"f", "[", "t", "]"}], ",", "t"}], "]"}], "/.", 
                 RowBox[{"t", "\[Rule]", "x0"}]}], "]"}]}], "]"}], ",", 
             RowBox[{"Darker", "[", " ", 
              RowBox[{"ColorData", "[", 
               RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], 
              "]"}], ",", " ", "15"}], "]"}], "}"}], ",", "Left"}], "]"}], 
        "}"}],
       FontColor->GrayLevel[0]]}], 
     StyleBox["\[IndentingNewLine]",
      FontColor->GrayLevel[0]], 
     StyleBox["}",
      FontColor->GrayLevel[0]]}], 
    StyleBox["]",
     FontColor->GrayLevel[0]]}], ",", " ", 
   RowBox[{"(*", 
    RowBox[{"End", " ", "Grid"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", " ", 
       RowBox[{"-", "2.5"}], ",", 
       "\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "3"}], ",", "3", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", " ", "3", ",", "\"\<a\>\""}], "}"}], ",", "1", ",", 
     "4", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", " ", "2", ",", "\"\<b\>\""}], "}"}], ",", "1", ",", 
     "4", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"x0", ",", "a", ",", "b"}], "}"}]}], ",", " ", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4185755306665177`*^9, 3.4185755317915177`*^9}, {
   3.4187640609213753`*^9, 3.4187641069682503`*^9}},
 CellID->40908637]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 3, $CellContext`b$$ = 
    2, $CellContext`x0$$ = -2.5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x0$$], -2.5, 
       "\!\(\*SubscriptBox[\(x\), \(0\)]\)"}, -3, 3}, {{
       Hold[$CellContext`a$$], 3, "a"}, 1, 4}, {{
       Hold[$CellContext`b$$], 2, "b"}, 1, 4}}, Typeset`size$$ = {
    450., {158.5, 163.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`x0$1143306$$ = 
    0, $CellContext`a$1143307$$ = 0, $CellContext`b$1143308$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 3, $CellContext`b$$ = 
        2, $CellContext`x0$$ = -2.5}, "ControllerVariables" :> {
        Hold[$CellContext`x0$$, $CellContext`x0$1143306$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$1143307$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$1143308$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Grid[{{
          Plot[{
            $CellContext`f[$CellContext`x], $CellContext`f[$CellContext`x0$$] + 
            ReplaceAll[
               D[
                $CellContext`f[$CellContext`t], $CellContext`t], \
$CellContext`t -> $CellContext`x0$$] ($CellContext`x - $CellContext`x0$$), 
            Null}, {$CellContext`x, -6, 7}, PlotStyle -> {{
              Thickness[0.005], 
              ColorData["HTML", "SlateBlue"]}, {
              Thickness[0.003], Dashed, Red}, {
              Thickness[0.004], Orange}}, PlotRange -> {-100, 100}, 
           ImageSize -> {450, 300}, PlotLabel -> Style[
             
             HoldForm[$CellContext`f[$CellContext`x] = $CellContext`x^3 - \
$CellContext`x^2 - 25 $CellContext`x + 35], 
             Darker[
              ColorData["HTML", "SlateBlue"]], 15], AxesLabel -> {
             Style["x", 12, Italic], 
             Style["y", 12, Italic]}, Prolog -> {
             Text[
              Style[
              "\!\(\*SubscriptBox[\(x\), \(0\)]\)", Medium, Italic, 
               Black], {$CellContext`x0$$, -4}], {Red, 
              Thickness[0.005], 
              Line[{{$CellContext`x0$$ - 5^Rational[1, 2] Cos[
                   ArcTan[
                    Derivative[
                    1][$CellContext`f][$CellContext`x0$$]]], \
$CellContext`f[$CellContext`x0$$] - 5^Rational[1, 2] Sin[
                   ArcTan[
                    Derivative[
                    1][$CellContext`f][$CellContext`x0$$]]]}, \
{$CellContext`x0$$ + 5^Rational[1, 2] Cos[
                    ArcTan[
                    Derivative[
                    1][$CellContext`f][$CellContext`x0$$]]], \
$CellContext`f[$CellContext`x0$$] + 5^Rational[1, 2] Sin[
                    ArcTan[
                    Derivative[1][$CellContext`f][$CellContext`x0$$]]]}}]}, {
             Orange, 
              Thickness[0.005], 
              Table[
               Line[{{$CellContext`x0$$ + $CellContext`a$$ $CellContext`h, 
                  $CellContext`f[$CellContext`x0$$ + $CellContext`a$$ \
$CellContext`h]}, {$CellContext`x0$$ - $CellContext`b$$ $CellContext`h, 
                  $CellContext`f[$CellContext`x0$$ - $CellContext`b$$ \
$CellContext`h]}}], {$CellContext`h, 0.1, 1, 0.1}]}, {Gray, Dashed, 
              Thickness[0.001], 
              Line[{{$CellContext`x0$$, 0}, {$CellContext`x0$$, 
                 $CellContext`f[$CellContext`x0$$]}}]}, {
              PointSize[0.01], 
              ColorData["HTML", "SlateBlue"], 
              Table[
               Point[{$CellContext`x0$$ + $CellContext`a$$ $CellContext`h, 
                 $CellContext`f[$CellContext`x0$$ + $CellContext`a$$ \
$CellContext`h]}], {$CellContext`h, 0.1, 1, 0.1}]}, {
              PointSize[0.01], 
              ColorData["HTML", "SlateBlue"], 
              Table[
               Point[{$CellContext`x0$$ - $CellContext`b$$ $CellContext`h, 
                 $CellContext`f[$CellContext`x0$$ - $CellContext`b$$ \
$CellContext`h]}], {$CellContext`h, 0.1, 1, 0.1}]}, {
              PointSize[0.015], 
              ColorData["HTML", "SlateBlue"], 
              Point[{$CellContext`x0$$, 
                $CellContext`f[$CellContext`x0$$]}]}}]}, {
          Column[{
            Style[
             Text[
              StringJoin["tangent slope = ", 
               ToString[
                ReplaceAll[
                 D[
                  $CellContext`f[$CellContext`t], $CellContext`t], \
$CellContext`t -> $CellContext`x0$$]]]], 
             Darker[
              ColorData["HTML", "SlateBlue"]], 15]}, Left]}}], 
      "Specifications" :> {{{$CellContext`x0$$, -2.5, 
          "\!\(\*SubscriptBox[\(x\), \(0\)]\)"}, -3, 3, Appearance -> 
         "Labeled"}, {{$CellContext`a$$, 3, "a"}, 1, 4, Appearance -> 
         "Labeled"}, {{$CellContext`b$$, 2, "b"}, 1, 4, Appearance -> 
         "Labeled"}}, 
      "Options" :> {
       TrackedSymbols -> {$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$}}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {229., 234.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]]] = 
        35 - 25 $CellContext`x - $CellContext`x^2 + $CellContext`x^3, \
$CellContext`f[
          Pattern[$CellContext`n, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]]] := 
        Abs[((1/Pi)^(1/4) HermiteH[$CellContext`n, $CellContext`x])/(
           E^($CellContext`x^2/2) 
           Sqrt[2^$CellContext`n Factorial[$CellContext`n]])]^2, 
        Attributes[PlotRange] = {ReadProtected}, 
        Attributes[Derivative] = {NHoldAll, ReadProtected}}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`f[
            Pattern[$CellContext`x, 
             Blank[]]] = $CellContext`x^3 - $CellContext`x^2 - 
           25 $CellContext`x + 35; Null, $CellContext`g[
            Pattern[$CellContext`h, 
             Blank[]], 
            Pattern[$CellContext`x, 
             
             Blank[]]] := $CellContext`f[$CellContext`x0 - $CellContext`b \
$CellContext`h] + (($CellContext`f[$CellContext`x0 + $CellContext`a \
$CellContext`h] - $CellContext`f[$CellContext`x0 - $CellContext`b \
$CellContext`h])/($CellContext`h ($CellContext`a + $CellContext`b))) \
($CellContext`x - $CellContext`x0 + $CellContext`b $CellContext`h); 
         Null, $CellContext`\[Alpha] = ArcTan[
            Derivative[1][$CellContext`f][$CellContext`x0]]; Null}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->355829737],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Tangent Line Using Many Different Limit Configurations",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
TangentLineUsingManyDifferentLimitConfigurations/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
TangentLineUsingManyDifferentLimitConfigurations/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
TangentLineUsingManyDifferentLimitConfigurations/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
TangentLineUsingManyDifferentLimitConfigurations/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
TangentLineUsingManyDifferentLimitConfigurations/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Soledad Mar\[IAcute]a S\[AAcute]ez Mart\[IAcute]nez",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Soledad+Mar%EDa+\
S%E1ez+Mart%EDnez"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Soledad+Mar%EDa+S%\
E1ez+Mart%EDnez"],
 " and ",
 ButtonBox["F\[EAcute]lix Mart\[IAcute]nez de la Rosa",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%\
EDnez+de+la+Rosa"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%EDnez+\
de+la+Rosa"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TangentLineUsingManyDifferentLimitConfigurations"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Tangent Line Using Many Different Limit Configurations - \
Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 246, 4, 70, "Section"],
Cell[839, 29, 511, 13, 70, "Input",
 CellID->553451779],
Cell[1353, 44, 1069, 32, 70, "Input",
 CellID->93676],
Cell[2425, 78, 499, 13, 70, "Input",
 CellID->9460564],
Cell[2927, 93, 11342, 281, 70, "Input",
 CellID->40908637]
}, Open  ]],
Cell[14284, 377, 7248, 153, 70, "Output",
 CellID->355829737],
Cell[CellGroupData[{
Cell[21557, 534, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[21933, 545, 1089, 31, 70, "Text"],
Cell[23025, 578, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[23365, 589, 832, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[24222, 617, 829, 24, 70, "Text"],
Cell[25054, 643, 1224, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature PRzULaNAP@gB1BpYb1BxROJ7 *)
