(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     12185,        351]
NotebookOptionsPosition[     11114,        310]
NotebookOutlinePosition[     11721,        334]
CellTagsIndexPosition[     11678,        331]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Tangent to a Curve", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"p", "=", 
        RowBox[{
         RowBox[{"a", 
          RowBox[{"x", "^", "3"}]}], "+", 
         RowBox[{"b", 
          RowBox[{"x", "^", "2"}]}], "+", 
         RowBox[{"c", "x"}]}]}], ",", 
       RowBox[{"dx", "=", ".8"}]}], "}"}], ",", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"pp", "=", 
         RowBox[{"D", "[", 
          RowBox[{"p", ",", "x"}], "]"}]}], "}"}], ",", 
       RowBox[{"Plot", "[", 
        RowBox[{"p", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
         RowBox[{"Ticks", "\[Rule]", "None"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
         RowBox[{"Epilog", "\[Rule]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"Orange", ",", 
              RowBox[{"PointSize", "[", ".02", "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"xi", ",", "p"}], "}"}], "]"}], ",", 
              RowBox[{"Thickness", "[", ".005", "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"xi", "-", "dx"}], ",", 
                   RowBox[{"p", "-", 
                    RowBox[{"dx", "pp"}]}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"xi", "+", "dx"}], ",", 
                   RowBox[{"p", "+", 
                    RowBox[{"dx", "pp"}]}]}], "}"}]}], "}"}], "]"}]}], "}"}], 
            "/.", 
            RowBox[{"x", "\[Rule]", "xi"}]}], ")"}]}]}], "]"}]}], "]"}]}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xi", ",", "0", ",", " ", 
       SubscriptBox["x", "0"]}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", "Delimiter", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"-", "2"}], ",", "\"\<a\>\""}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", 
       RowBox[{"-", "2"}], ",", " ", "\"\<b\>\""}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"-", "2"}], ",", "\"\<c\>\""}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35265021742265*^9, {3.35819980051919*^9, 3.35819980445469*^9}, {
   3.35820116589063*^9, 3.35820121198438*^9}, {3.35820148071875*^9, 
   3.35820149665625*^9}, {3.35822965281359*^9, 3.35822968344826*^9}, {
   3.35825051574482*^9, 3.35825051605526*^9}, {3.35887290177562*^9, 
   3.35887293765864*^9}, {3.37953214603125*^9, 3.379532166328125*^9}},
 CellID->63165447]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = -2, $CellContext`b$$ = -2, \
$CellContext`c$$ = -2, $CellContext`xi$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`xi$$], 0, 
       Subscript[$CellContext`x, 0]}, -2, 2}, {{
       Hold[$CellContext`a$$], -2, "a"}, -2, 2}, {{
       Hold[$CellContext`b$$], -2, "b"}, -2, 2}, {{
       Hold[$CellContext`c$$], -2, "c"}, -2, 2}}, Typeset`size$$ = {360., 
    223.}, Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`xi$836$$ = 0, $CellContext`a$837$$ = 
    0, $CellContext`b$838$$ = 0, $CellContext`c$839$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = -2, $CellContext`b$$ = -2, \
$CellContext`c$$ = -2, $CellContext`xi$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`xi$$, $CellContext`xi$836$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$837$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$838$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$839$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`p$ = $CellContext`a$$ $CellContext`x^3 + \
$CellContext`b$$ $CellContext`x^2 + $CellContext`c$$ $CellContext`x, \
$CellContext`dx$ = 0.8}, 
        With[{$CellContext`pp$ = D[$CellContext`p$, $CellContext`x]}, 
         Plot[$CellContext`p$, {$CellContext`x, -2, 2}, Ticks -> None, 
          PlotRange -> All, Epilog -> ReplaceAll[{Orange, 
             PointSize[0.02], 
             Point[{$CellContext`xi$$, $CellContext`p$}], 
             Thickness[0.005], 
             
             Line[{{$CellContext`xi$$ - $CellContext`dx$, $CellContext`p$ - \
$CellContext`dx$ $CellContext`pp$}, {$CellContext`xi$$ + $CellContext`dx$, \
$CellContext`p$ + $CellContext`dx$ $CellContext`pp$}}]}, $CellContext`x -> \
$CellContext`xi$$]]]], "Specifications" :> {{{$CellContext`xi$$, 0, 
          Subscript[$CellContext`x, 0]}, -2, 2}, 
        Delimiter, {{$CellContext`a$$, -2, "a"}, -2, 
         2}, {{$CellContext`b$$, -2, "b"}, -2, 
         2}, {{$CellContext`c$$, -2, "c"}, -2, 2}}, 
      "Options" :> {ControllerLinking -> True}, "DefaultOptions" :> {}],
     ImageSizeCache->{404., {202., 207.}}],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->448565546],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Tangent to a Curve",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TangentToACurve/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TangentToACurve/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TangentToACurve/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TangentToACurve/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TangentToACurve/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Stephen Wolfram",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Stephen+\
Wolfram"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Stephen+Wolfram"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->516417556],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TangentToACurve"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Tangent to a Curve - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 210, 4, 70, "Section"],
Cell[803, 29, 3030, 84, 70, "Input",
 CellID->63165447]
}, Open  ]],
Cell[3848, 116, 2979, 57, 70, "Output",
 CellID->448565546],
Cell[CellGroupData[{
Cell[6852, 177, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[7228, 188, 870, 24, 70, "Text"],
Cell[8101, 214, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[8441, 225, 459, 15, 70, "Text",
 CellID->516417556],
Cell[CellGroupData[{
Cell[8925, 244, 967, 27, 70, "Text"],
Cell[9895, 273, 1191, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature sTNO3VzML@E8QDDUuyguh3DH *)
