(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     39845,       1006]
NotebookOptionsPosition[     38728,        965]
NotebookOutlinePosition[     39349,        989]
CellTagsIndexPosition[     39306,        986]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["The Definition of the Derivative", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", "x_", "]"}], " ", ":=", 
    RowBox[{"Sqrt", "[", "x", "]"}]}], ";"}], "\[IndentingNewLine]", 
  " "}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"a", " ", "=", " ", "1"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pf", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"f", "[", "x", "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"x", ",", " ", "0", ",", "2.5"}], "}"}], ",", " ", 
      RowBox[{"PlotStyle", " ", "\[Rule]", " ", 
       RowBox[{"Thickness", "[", "0.005", "]"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"m", "[", "x_", "]"}], " ", ":=", " ", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"x", " ", "\[Equal]", " ", "a"}], ",", " ", 
      RowBox[{
       RowBox[{"f", "'"}], "[", "a", "]"}], ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"f", "[", "x", "]"}], " ", "-", " ", 
         RowBox[{"f", "[", "a", "]"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"x", "-", "a"}], ")"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"secantLine", "[", "x_", "]"}], " ", ":=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "[", "a", "]"}], " ", "+", " ", 
       RowBox[{
        RowBox[{"m", "[", "x", "]"}], "*", 
        RowBox[{"(", 
         RowBox[{"t", "-", "a"}], ")"}]}]}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"t", ",", " ", "0", ",", " ", "2.5"}], "}"}], ",", " ", 
      RowBox[{"PlotStyle", " ", "\[Rule]", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"x", " ", "\[NotEqual]", " ", "a"}], " ", ",", " ", 
           "Black", ",", " ", "White"}], "]"}], ",", " ", 
         RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "the", " ", "secant", " ", "line", " ", "disappears", " ", "when", " ", 
     "x"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"a", ".", " ", "The"}], " ", "slope", " ", 
     RowBox[{"m", "[", "a", "]"}], " ", "is", " ", "defined", " ", "to", " ", 
     "avoid", " ", "error", " ", 
     RowBox[{"messages", "."}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"fig", "[", "xx_", "]"}], " ", ":=", " ", 
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"secantLine", "[", "xx", "]"}], ",", "pf", ",", " ", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"PointSize", "[", ".02", "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Black", ",", " ", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"xx", ",", " ", 
              RowBox[{"f", "[", "xx", "]"}]}], "}"}], "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Red", ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"a", ",", 
              RowBox[{"f", "[", "a", "]"}]}], "}"}], "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
            "\"\<The derivative is the slope of the tangent line.\>\"", ",", 
             " ", "Bold"}], "]"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"0.1", ",", " ", "1.65"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
          "\"\<The tangent line is the limit of secant lines.\>\"", ",", " ", 
           
           RowBox[{"{", 
            RowBox[{"0.1", ",", " ", "1.55"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{"\"\<Drag the black point.\>\"", ",", " ", 
           RowBox[{"{", 
            RowBox[{"2.2", ",", " ", "1.25"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"TraditionalForm", "[", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"HoldForm", "[", 
                RowBox[{"f", "[", "x", "]"}], "]"}], ",", "\"\< = \>\""}], 
              "}"}], "]"}], "]"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"1.8", ",", " ", ".9"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"1", ",", "0"}], "}"}]}], "]"}], ",", " ", 
         RowBox[{"(*", " ", 
          RowBox[{
           RowBox[{
           "Text", " ", "is", " ", "positioned", " ", "so", " ", "the"}], " ",
            "=", " ", 
           RowBox[{"signs", " ", "line", " ", "up"}]}], " ", "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{"\"\<\!\(\*SqrtBox[\(x\)]\)\>\"", ",", " ", 
           RowBox[{"{", 
            RowBox[{"1.8", ",", " ", ".9"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"TraditionalForm", "[", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"\"\<The red point is at (1, \>\"", ",", 
               RowBox[{"HoldForm", "@", 
                RowBox[{"f", "[", "1", "]"}]}], ",", "\"\<) = \>\""}], "}"}], 
             "]"}], "]"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"1.8", ",", " ", "0.75"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"1", ",", "0"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{"\"\<(1, 1)\>\"", ",", " ", 
           RowBox[{"{", 
            RowBox[{"1.8", ",", " ", "0.75"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"TraditionalForm", "[", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"\"\<The black point is at (\>\"", ",", 
               RowBox[{"HoldForm", "@", "x"}], " ", ",", "\"\<, \>\"", ",", 
               RowBox[{"HoldForm", "@", 
                RowBox[{"f", "[", "x", "]"}]}], ",", "\"\<\!\(\*
StyleBox[\")\", \"InlineFormula\"]\) = \>\""}], "}"}], "]"}], "]"}], ",", " ",
            
           RowBox[{"{", 
            RowBox[{"1.8", ",", " ", ".6"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"1", ",", "0"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"\"\<(\>\"", "<>", 
            RowBox[{"ToString", "[", "xx", "]"}], "<>", "\"\<, \>\"", " ", "<>",
             
            RowBox[{"ToString", "[", 
             RowBox[{"f", "[", "xx", "]"}], "]"}], "<>", "\"\<)\>\""}], ",", 
           " ", 
           RowBox[{"{", 
            RowBox[{"1.8", ",", " ", ".6"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
         RowBox[{"Text", "[", 
          RowBox[{
          "\"\<The slope of secant line is \!\(\*FractionBox[\(f \((x)\)\\\  \
- \\\ f \((1)\)\), \(x - 1\)]\) = \>\"", ",", " ", 
           RowBox[{"{", 
            RowBox[{"1.8", ",", " ", ".4"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"1", ",", "0"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", " ", 
          RowBox[{
           RowBox[{"ToString", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"f", "[", "xx", "]"}], "-", 
               RowBox[{"f", "[", "a", "]"}]}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{"xx", "-", "a"}], ")"}]}], "]"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"1.8", ",", " ", ".4"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", " ", "0"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"TraditionalForm", "[", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"\"\<The derivative of \>\"", ",", 
               RowBox[{"HoldForm", "@", "f"}], ",", "\"\< at 1 is \>\"", ",", 
               
               RowBox[{
                RowBox[{
                 RowBox[{"HoldForm", "@", "f"}], "'"}], "[", "1", "]"}], ",", 
               "\"\< = \>\""}], "}"}], "]"}], "]"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"1.8", ",", " ", ".2"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"1", ",", "0"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
          "\"\<\!\(\*UnderscriptBox[\(\(lim\)\(\\\ \)\), \(x \[Rule] 1\)]\)\!\
\(\*FractionBox[\(f \((x)\) - f \((1)\)\), \(x - 1\)]\) = 0.5\>\"", ",", " ", 
           
           RowBox[{"{", 
            RowBox[{"1.8", ",", " ", ".2"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}]}], 
        "\[IndentingNewLine]", "}"}], "]"}], ",", " ", 
      RowBox[{"PlotRange", " ", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", " ", "2.5"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", " ", "1.6"}], "}"}]}], "}"}]}], ",", " ", 
      RowBox[{"AxesOrigin", " ", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], ",", " ", 
      RowBox[{"AxesLabel", " ", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"x", ",", " ", "Italic"}], "]"}], ",", 
         RowBox[{"Style", "[", 
          RowBox[{"y", ",", " ", "Italic"}], "]"}]}], "}"}]}], ",", " ", 
      RowBox[{"AspectRatio", " ", "\[Rule]", " ", "Automatic"}], ",", " ", 
      RowBox[{"ImageSize", " ", "\[Rule]", " ", "385"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"myRound", "[", 
     RowBox[{"x_", ",", " ", "n_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"Round", "[", 
      RowBox[{"x", "*", 
       RowBox[{"10", "^", "n"}]}], "]"}], "/", 
     RowBox[{"10.", "^", "n"}]}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Rounds", " ", "to", " ", "n", " ", "decimal", " ", 
     RowBox[{"places", ".", "  ", "This"}], " ", "is", " ", "allows", " ", 
     "user", " ", "to", " ", "get", " ", "x"}], " ", "=", " ", 
    RowBox[{"1", " ", 
     RowBox[{"exactly", "."}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"pt2x", "[", "pt_", "]"}], " ", ":=", " ", 
    RowBox[{"Min", "[", 
     RowBox[{
      RowBox[{"Max", "[", 
       RowBox[{"0", ",", 
        RowBox[{"myRound", "[", 
         RowBox[{
          RowBox[{"pt", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", " ", "3"}], "]"}]}], " ", 
       "]"}], ",", " ", "2.5"}], "]"}]}], ";"}], "  ", "\[IndentingNewLine]", 
  
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Only", " ", "take", " ", "the", " ", "x", " ", "coordinate", " ", "of", 
     " ", "the", " ", "locator"}], ",", " ", 
    RowBox[{
    "rounded", " ", "to", " ", "three", " ", "decimal", " ", "places"}], ",", 
    " ", 
    RowBox[{"and", " ", "put", " ", "it", " ", "in", " ", "the", " ", 
     RowBox[{"interval", " ", "[", 
      RowBox[{"0", ",", " ", "2.5"}], "]"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"finalFig", "[", "pt_", "]"}], " ", ":=", " ", 
   RowBox[{"Quiet", "[", 
    RowBox[{
     RowBox[{"fig", "[", 
      RowBox[{"pt2x", "[", "pt", "]"}], "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Power", "::", "\"\<infy\>\""}], ",", " ", 
       RowBox[{"\[Infinity]", "::", "\"\<indet\>\""}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3906563100010643`*^9, 3.390656347575093*^9}, {
   3.3906563903766384`*^9, 3.3906563913780785`*^9}},
 CellID->205433974],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"finalFig", "[", "pt", "]"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pt", ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", "Locator", ",", " ", 
     RowBox[{"Appearance", " ", "\[Rule]", " ", "None"}]}], "}"}], ",", " ", 
   RowBox[{"SaveDefinitions", " ", "\[Rule]", " ", "True"}]}], " ", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.3895330234100256`*^9, 3.390215145802602*^9, {
   3.390319359968405*^9, 3.3903193673875213`*^9}, {3.3906516764483423`*^9, 
   3.390651679162245*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`pt$$ = {2, 0}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`pt$$], {2, 0}}, {0, 0}, {2, 2}}}, Typeset`size$$ = {
    385., {129., 133.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`pt$1167$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`pt$$ = {2, 0}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`pt$$, $CellContext`pt$1167$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`finalFig[$CellContext`pt$$], 
      "Specifications" :> {{{$CellContext`pt$$, {2, 0}}, {0, 0}, {2, 2}, 
         ControlType -> Locator, Appearance -> None}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{429., {156., 161.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`finalFig[
          Pattern[$CellContext`pt, 
           Blank[]]] := Quiet[
          $CellContext`fig[
           $CellContext`pt2x[$CellContext`pt]], {
           MessageName[Power, "infy"], 
           MessageName[Infinity, "indet"]}], $CellContext`fig[
          Pattern[$CellContext`xx, 
           Blank[]]] := Show[
          $CellContext`secantLine[$CellContext`xx], $CellContext`pf, 
          Graphics[{
            PointSize[0.02], {Black, 
             Point[{$CellContext`xx, 
               $CellContext`f[$CellContext`xx]}]}, {Red, 
             Point[{$CellContext`a, 
               $CellContext`f[$CellContext`a]}]}, 
            Text[
             Style[
             "The derivative is the slope of the tangent line.", Bold], {0.1, 
             1.65}, {-1, 1}], 
            Text[
            "The tangent line is the limit of secant lines.", {0.1, 
             1.55}, {-1, 1}], 
            Text["Drag the black point.", {2.2, 1.25}], 
            Text[
             TraditionalForm[
              Row[{
                HoldForm[
                 $CellContext`f[$CellContext`x]], " = "}]], {1.8, 0.9}, {1, 
             0}], 
            Text["\!\(\*SqrtBox[\(x\)]\)", {1.8, 0.9}, {-1, 0}], 
            Text[
             TraditionalForm[
              Row[{"The red point is at (1, ", 
                HoldForm[
                 $CellContext`f[1]], ") = "}]], {1.8, 0.75}, {1, 0}], 
            Text["(1, 1)", {1.8, 0.75}, {-1, 0}], 
            Text[
             TraditionalForm[
              Row[{"The black point is at (", 
                HoldForm[$CellContext`x], ", ", 
                HoldForm[
                 $CellContext`f[$CellContext`x]], 
                "\!\(\*\nStyleBox[\")\", \"InlineFormula\"]\) = "}]], {1.8, 
             0.6}, {1, 0}], 
            Text[
             StringJoin["(", 
              ToString[$CellContext`xx], ", ", 
              ToString[
               $CellContext`f[$CellContext`xx]], ")"], {1.8, 0.6}, {-1, 0}], 
            Text[
            "The slope of secant line is \!\(\*FractionBox[\(f \((x)\)\\  - \
\\ f \((1)\)\), \(x - 1\)]\) = ", {1.8, 0.4}, {1, 0}], 
            Text[
             
             ToString[($CellContext`f[$CellContext`xx] - \
$CellContext`f[$CellContext`a])/($CellContext`xx - $CellContext`a)], {1.8, 
             0.4}, {-1, 0}], 
            Text[
             TraditionalForm[
              Row[{"The derivative of ", 
                HoldForm[$CellContext`f], " at 1 is ", 
                Derivative[1][
                 HoldForm[$CellContext`f]][1], " = "}]], {1.8, 0.2}, {1, 0}], 
            
            Text[
            "\!\(\*UnderscriptBox[\(\(lim\)\(\\ \)\), \(x \[Rule] \
1\)]\)\!\(\*FractionBox[\(f \((x)\) - f \((1)\)\), \(x - 1\)]\) = 0.5", {1.8, 
             0.2}, {-1, 0}]}], PlotRange -> {{0, 2.5}, {0, 1.6}}, 
          AxesOrigin -> {0, 0}, AxesLabel -> {
            Style[$CellContext`x, Italic], 
            Style[$CellContext`y, Italic]}, AspectRatio -> Automatic, 
          ImageSize -> 385], $CellContext`secantLine[
          Pattern[$CellContext`x, 
           Blank[]]] := 
        Plot[$CellContext`f[$CellContext`a] + $CellContext`m[$CellContext`x] \
($CellContext`t - $CellContext`a), {$CellContext`t, 0, 2.5}, PlotStyle -> {
            If[$CellContext`x != $CellContext`a, Black, White], 
            Thickness[0.004]}], $CellContext`f[
          Pattern[$CellContext`x, 
           Blank[]]] := Sqrt[$CellContext`x], $CellContext`a = 
        1, $CellContext`m[
          Pattern[$CellContext`x, 
           Blank[]]] := If[$CellContext`x == $CellContext`a, 
          Derivative[
          1][$CellContext`f][$CellContext`a], ($CellContext`f[$CellContext`x] - \
$CellContext`f[$CellContext`a])/($CellContext`x - $CellContext`a)], 
        Attributes[Derivative] = {NHoldAll, ReadProtected}, $CellContext`pf = 
        Graphics[{{{}, {}, {
             Hue[0.67, 0.6, 0.6], 
             Thickness[0.005], 
             Line[CompressedData["
1:eJwVyns01AkDxnFMtOFtUe1aismKCMseUZJnwiaX1ZVcwyhyfzlLiraSzatX
7pu7WR0UuWQHRZPIuA8al9iQO72uM8MYI8v72z+e8z2fc56D1KAL18REREQC
if3TnF+pEnpX/UwU9kSHaGVpg9lLtrlMtkSG1e8pUs7Z2G6uu08mO4LCkHjR
L52P3cnVLyQHqVh/8Eene/wz5NQ/UhYn+4Ctant0xKkEWstX47e9g6DGYZXm
08sxsjt3a3MgBLklz8sPuFbA/2RogED5Jv4q1Ldukq4EvW8sf9UsEvckbW8o
m1dhw89mmOt9B5MT6uFZvtUw70w6tDYQBbuFBd+L8a/Q++V6Kkc5Fo5RL3LY
TgyEtSjpLlc8BJsVP2po9AYKKX0di2ZxMNHb4fn9njpQNSmkee8EcE5HnM2k
v0V4iVQNbyAZ2huqq/KuDdg5NKG+qJyBC7u29BqkmRisfxO68DkDKSK2J+xd
mCguTG+cr8iE81j/x1fFTNiG2LrNmWWjtVE+U9G8CY931T6e9abBaKiqM823
GXLZrWLcgSdgj5vInYtvRV47LXheuQgaLq0vu5xYWE2v0hyNK0LkK6UrO9NZ
OO3dMdkjLEJhfaR4XR8LCySBXW1vMSKP7OJW2HTi2Elbo9iYEkhKSxWLG3bh
ffmmmPpyOf7ccL6WLOjGnXYtKz03OnJ+tfffyGTjWcVLtee/0/HFkapfTGej
J92UdIhFR1N8ep0hiw1VbweG/PFK6NGyLZc22WgnReuI7KkCQ3SifsClB9+c
HJLrbq6G37DqqPi3vSgrjx3y16mFynWL6eQbfZiTm4uz8qiFDtl3n99/+6Ae
ZmVyOLUWASbTWrq0PvxhLJU3KazFcEL9/L3mPiS3xXk5Nb1GpX6Dl+XefoRN
JnAtXN7AU9nFNKWkHzSpjvuyP9WDMX/mI4X9Ad5gZyyENEK//2ebO7xBBE5r
TFaWtaFJQB9dLh6G5MFo9dFj7xFucDfCfv8Y4mU6NPPce/Epg56SlzUO6tCl
tyTWBxgrvjTS/24SwU3R1CD1j9CccTcd+GUKFf+WvihvOYK8KDX92wXTyIvw
m9O9PAbRFt0E3sgMomib51cXxrHP+KqO1cosRHrHKIxbkxhIumZxT/AZar94
hV/SnIbM8a/SnCTmMMVPs5d6M4Ods74/3hPOwWra93Zy8Ge4ax0+Wi+Yh+1U
4hElpTkUkT7+NPR5AXON1LutpfOonkgzHXi3CB3ZDwfM3BbxpSXg+4BnS5AE
32N4ZQl0ztcF78OXYbHoJFCx4yC9bDHIUZODwXdXRZ20uMgsVOFGp3BQ9R/m
FTKfC/IDSrfdCgde4qFjXV088CrcvCYcuPAMiaiSzlwB12mJn1/FxQ/eR7ps
PFZhldjEaN7NQ7ecllTocT6uyYwbJAXw8LosKkuLtIZFZRmWPZOHCFHNc6yR
NXyd68YsIK9AcvjWmcBKAf567dGWdXMF04UHU2mR64ioMTqt3bGC1MPf7aix
E8I+7VOXlsoqEjO9WjzIGxg0X+LuDVmFU6prl/TsBlySSh/g7SrWzQuEtLov
CCo69Oi1LB+T06bh72I2ceFEqUiyKx9PTuopdnr8DV1QmdllfJT+Firrrb0F
qqVy9QkhHzF2ntYk/hYMrKzOB59aw9HhvKKYzm08Lz9/7m38GtI1sko7rUUo
l/zjPIT9a7hT/yjdukaEYuPbEKinIsDPinYF7aqilCiLwbS9/gKcCmxxlo0V
peR8YsfpvRCAtp+qyuKLUhjH/tehJxRAtfHpY1tnMUrSk87cZON1JGq/0+yp
E6OUGU0GLNxeh9fKDnabJomyObzPWYa5DmoFjxybQKJM3QrR7tkhRGv7V/cZ
myRKpmUCw8JKCH+z8cQ2wj4yrK2zhGUYNbkfCHeqSpxyIOxQ6lvLIexmENJ0
nfBsAour+jeJsrqp0RVLWMIu0f0R4WMK8qMdhM1GvzW5skWi0J4ubZ21FmLm
Msfaj7CuWj/FgfDD962O4YRLeK+i3An3NNwMTSbsFxouEUyYmj9U0kz4gsrA
v5IJ3/WhKf6wTaLs3r9nfx9h1YkbGsaEw291uQ4TbnU6Z2hJeE0thjZFWMZG
9KInYUNfjgqfME3H82Ea4QOZTzS+sRHC9OmJ9HzCQT5n/JQIzyjvLawgPP9g
vkSNsI5sU0MHYZ8SDV1Dwj2xOd2D//wrmcEgHCYWNjJNuFjSlW5BWCHCdp5H
WKGct3qWcN2KmnCbMDPvNwMHwv8H8jFvwQ==
              "]]}}}, {
          AspectRatio -> GoldenRatio^(-1), Axes -> True, AxesOrigin -> {0, 0},
            PlotRange -> {{0, 2.5}, {0., 1.58113881395012}}, 
           PlotRangeClipping -> True, PlotRangePadding -> {
             Scaled[0.02], 
             Scaled[0.02]}}], 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`pt2x[
          Pattern[$CellContext`pt, 
           Blank[]]] := Min[
          Max[0, 
           $CellContext`myRound[
            Part[$CellContext`pt, 1], 3]], 2.5], $CellContext`myRound[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`n, 
           Blank[]]] := 
        Round[$CellContext`x 10^$CellContext`n]/10.^$CellContext`n}; 
      Typeset`initDone$$ = True); ReleaseHold[{{
         HoldComplete[$CellContext`f[
             Pattern[$CellContext`x, 
              Blank[]]] := Sqrt[$CellContext`x]; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`a = 1; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`pf = Plot[
             $CellContext`f[$CellContext`x], {$CellContext`x, 0, 2.5}, 
             PlotStyle -> Thickness[0.005]]; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`m[
             Pattern[$CellContext`x, 
              Blank[]]] := If[$CellContext`x == $CellContext`a, 
             Derivative[
             1][$CellContext`f][$CellContext`a], \
($CellContext`f[$CellContext`x] - \
$CellContext`f[$CellContext`a])/($CellContext`x - $CellContext`a)]; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`secantLine[
             Pattern[$CellContext`x, 
              Blank[]]] := 
           Plot[$CellContext`f[$CellContext`a] + \
$CellContext`m[$CellContext`x] ($CellContext`t - $CellContext`a), \
{$CellContext`t, 0, 2.5}, PlotStyle -> {
               If[$CellContext`x != $CellContext`a, Black, White], 
               Thickness[0.004]}]; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         ErrorBox[
          RowBox[{
            RowBox[{
              RowBox[{"fig", "[", "xx_", "]"}], ":=", 
              RowBox[{"Show", "[", 
                RowBox[{"secantLine", "[", "xx", "]"}], ",", "pf", ",", 
                RowBox[{"Graphics", "[", 
                  RowBox[{"{", 
                    RowBox[{"PointSize", "[", ".02", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"xx", ",", 
                    RowBox[{"f", "[", "xx", "]"}]}], "}"}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"Red", ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"a", ",", 
                    RowBox[{"f", "[", "a", "]"}]}], "}"}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    
                    RowBox[{
                    "\"The derivative is the slope of the tangent line.\"", 
                    ",", "Bold"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.1", ",", "1.65"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    
                    RowBox[{
                    "\"The tangent line is the limit of secant lines.\"", ",",
                     
                    RowBox[{"{", 
                    RowBox[{"0.1", ",", "1.55"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"Drag the black point.\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"2.2", ",", "1.25"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"HoldForm", "[", 
                    RowBox[{"f", "[", "x", "]"}], "]"}], ",", "\" = \""}], 
                    "}"}], "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1.8", ",", ".9"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\!\(\*SqrtBox[\(x\)]\)\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"1.8", ",", ".9"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"The red point is at (1, \"", ",", 
                    RowBox[{"HoldForm", "@", 
                    RowBox[{"f", "[", "1", "]"}]}], ",", "\") = \""}], "}"}], 
                    "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1.8", ",", "0.75"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"(1, 1)\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"1.8", ",", "0.75"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"Row", "[", 
                    ErrorBox[
                    RowBox[{"{", "\"The black point is at (\"", ",", 
                    RowBox[{"HoldForm", "@", "x"}], ",", "\", \"", ",", 
                    RowBox[{"HoldForm", "@", 
                    RowBox[{"f", "[", "x", "]"}]}], ",", 
                    "\"\!\(\*\nStyleBox[\")\", \"InlineFormula\"]\) = \"", 
                    "}"}]], "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1.8", ",", ".6"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"\"(\"", "<>", 
                    RowBox[{"ToString", "[", "xx", "]"}], "<>", "\", \"", 
                    "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"f", "[", "xx", "]"}], "]"}], "<>", "\")\""}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"1.8", ",", ".6"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    
                    RowBox[{
                    "\"The slope of secant line is \!\(\*FractionBox[\(f \
\((x)\)\\  - \\ f \((1)\)\), \(x - 1\)]\) = \"", ",", 
                    RowBox[{"{", 
                    RowBox[{"1.8", ",", ".4"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"f", "[", "xx", "]"}], "-", 
                    RowBox[{"f", "[", "a", "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"xx", "-", "a"}], ")"}]}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1.8", ",", ".4"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"The derivative of \"", ",", 
                    RowBox[{"HoldForm", "@", "f"}], ",", "\" at 1 is \"", ",",
                     
                    RowBox[{
                    RowBox[{
                    RowBox[{"HoldForm", "@", "f"}], "'"}], "[", "1", "]"}], 
                    ",", "\" = \""}], "}"}], "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1.8", ",", ".2"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    
                    RowBox[{
                    "\"\!\(\*UnderscriptBox[\(\(lim\)\(\\ \)\), \(x \[Rule] 1\
\)]\)\!\(\*FractionBox[\(f \((x)\) - f \((1)\)\), \(x - 1\)]\) = 0.5\"", ",", 
                    
                    RowBox[{"{", 
                    RowBox[{"1.8", ",", ".2"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "}"}], 
                  "]"}], ",", 
                RowBox[{"PlotRange", "\[Rule]", 
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "2.5"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1.6"}], "}"}]}], "}"}]}], ",", 
                RowBox[{"AxesOrigin", "\[Rule]", 
                  RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                RowBox[{"AxesLabel", "\[Rule]", 
                  RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"x", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"y", ",", "Italic"}], "]"}]}], "}"}]}], ",", 
                RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", "385"}], "]"}]}], ";"}]], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`myRound[
             Pattern[$CellContext`x, 
              Blank[]], 
             Pattern[$CellContext`n, 
              Blank[]]] := 
           Round[$CellContext`x 10^$CellContext`n]/10.^$CellContext`n; Null], 
         
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`pt2x[
             Pattern[$CellContext`pt, 
              Blank[]]] := Min[
             Max[0, 
              $CellContext`myRound[
               Part[$CellContext`pt, 1], 3]], 2.5]; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`finalFig[
             Pattern[$CellContext`pt, 
              Blank[]]] := Quiet[
             $CellContext`fig[
              $CellContext`pt2x[$CellContext`pt]], {
              MessageName[Power, "infy"], 
              MessageName[Infinity, "indet"]}]; Null]}}]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->384740516],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["The Definition of the Derivative",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheDefinitionOfTheDerivative/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/TheDefinitionOfTheDerivative/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TheDefinitionOfTheDerivative/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheDefinitionOfTheDerivative/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/TheDefinitionOfTheDerivative/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Jim Swift",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jim+Swift"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jim+Swift"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TheDefinitionOfTheDerivative"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"The Definition of the Derivative - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 224, 4, 70, "Section"],
Cell[817, 29, 12801, 336, 70, "Input",
 CellID->205433974],
Cell[13621, 367, 763, 20, 70, "Input"]
}, Open  ]],
Cell[14399, 390, 19967, 435, 70, "Output",
 CellID->384740516],
Cell[CellGroupData[{
Cell[34391, 829, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[34767, 840, 967, 28, 70, "Text"],
Cell[35737, 870, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[36077, 881, 424, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[36526, 899, 967, 27, 70, "Text"],
Cell[37496, 928, 1204, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature jSjKGxiy7eNkrBTkNKdr3tUk *)
