(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     26527,        667]
NotebookOptionsPosition[     25430,        626]
NotebookOutlinePosition[     26035,        650]
CellTagsIndexPosition[     25992,        647]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["The Product Rule", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"t", "[", "string_", "]"}], ":=", 
   RowBox[{"TraditionalForm", "[", 
    RowBox[{"Style", "[", 
     RowBox[{"string", ",", "18"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tred", "[", "string_", "]"}], ":=", 
   RowBox[{"TraditionalForm", "[", 
    RowBox[{"Style", "[", 
     RowBox[{"string", ",", "18", ",", "Red"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tblue", "[", "string_", "]"}], ":=", 
   RowBox[{"TraditionalForm", "[", 
    RowBox[{"Style", "[", 
     RowBox[{"string", ",", "18", ",", "Blue"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"toffred", "[", "string_", "]"}], ":=", 
   RowBox[{"TraditionalForm", "[", 
    RowBox[{"Style", "[", 
     RowBox[{"string", ",", "18", ",", 
      RowBox[{"RGBColor", "[", 
       RowBox[{".75", ",", "0", ",", "0"}], "]"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"toffblue2", "[", "string_", "]"}], ":=", 
   RowBox[{"TraditionalForm", "[", 
    RowBox[{"Style", "[", 
     RowBox[{"string", ",", "18", ",", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"0", ",", "0", ",", ".65"}], "]"}]}], "]"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.391442630455*^9, 3.3914426389779997`*^9}, {
   3.3914426833780003`*^9, 3.391442692755*^9}},
 CellID->81193957],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Pane", "[", 
    RowBox[{
     RowBox[{"Column", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Text", "@", 
          RowBox[{"Grid", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "t", "[", "\"\<\!\(\*SubscriptBox[\(D\), \(x\)]\)(\>\"", "]"}],
                ",", 
               RowBox[{"tblue", "[", 
                RowBox[{"f", "[", "x", "]"}], "]"}], ",", 
               RowBox[{"tred", "[", 
                RowBox[{"g", "[", "x", "]"}], "]"}], ",", 
               RowBox[{"t", "[", "\"\<) = \>\"", "]"}], ",", " ", 
               RowBox[{"tred", "[", 
                RowBox[{"g", "[", "x", "]"}], "]"}], ",", 
               RowBox[{"toffblue2", "[", 
                RowBox[{"D", "[", 
                 RowBox[{
                  RowBox[{"f", "[", "x", "]"}], ",", "x"}], "]"}], "]"}], ",",
                
               RowBox[{"t", "[", "\"\< + \>\"", "]"}], ",", 
               RowBox[{"tblue", "[", 
                RowBox[{"f", "[", "x", "]"}], "]"}], ",", 
               RowBox[{"toffred", "[", 
                RowBox[{"D", "[", 
                 RowBox[{
                  RowBox[{"g", "[", "x", "]"}], ",", "x"}], "]"}], "]"}]}], 
              "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
               RowBox[{"t", "[", "\"\< = \>\"", "]"}], " ", ",", 
               RowBox[{"tred", "[", "f2", "]"}], ",", 
               RowBox[{"toffblue2", "[", 
                RowBox[{"D", "[", 
                 RowBox[{"f1", ",", "x"}], "]"}], "]"}], ",", 
               RowBox[{"t", "[", "\"\< + \>\"", "]"}], ",", 
               RowBox[{"tblue", "[", "f1", "]"}], ",", 
               RowBox[{"toffred", "[", 
                RowBox[{"D", "[", 
                 RowBox[{"f2", ",", "x"}], "]"}], "]"}]}], "}"}], ",", " ", 
             RowBox[{"{", 
              RowBox[{"\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
               RowBox[{"t", "[", "\"\< = \>\"", "]"}], ",", 
               RowBox[{"t", "[", 
                RowBox[{"D", "[", 
                 RowBox[{
                  RowBox[{"f1", "*", "f2"}], ",", "x"}], "]"}], "]"}], ",", 
               " ", "SpanFromLeft", ",", "SpanFromLeft", ",", "SpanFromLeft", 
               ",", "SpanFromLeft"}], "}"}]}], "}"}], "]"}]}], ",", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"f1", "/.", 
              RowBox[{"x", "\[Rule]", "t"}]}], ",", 
             RowBox[{"f2", "/.", 
              RowBox[{"x", "\[Rule]", "t"}]}], ",", 
             RowBox[{
              RowBox[{"f1", "*", "f2"}], "/.", 
              RowBox[{"x", "\[Rule]", "t"}]}], ",", 
             RowBox[{
              RowBox[{"D", "[", 
               RowBox[{
                RowBox[{"f1", "*", "f2"}], ",", "x"}], "]"}], "/.", 
              RowBox[{"x", "\[Rule]", "t"}]}]}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"t", ",", 
             RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", " ", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"Blue", ",", " ", "Red", ",", " ", "Purple", ",", " ", 
              RowBox[{"{", 
               RowBox[{"Purple", ",", " ", "Thick"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}]}], "}"}], ",", 
       "Center", ",", 
       RowBox[{"Spacings", "\[Rule]", "2"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"450", ",", "300"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]",
    
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f1", ",", " ", 
       RowBox[{"Sin", "[", "x", "]"}], ",", " ", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<f(x)\>\"", ",", "Blue", ",", "14"}], "]"}]}], "}"}], ",",
      " ", 
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "^", "2"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"x", "^", "2"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"Sqrt", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Sqrt", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"Sin", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Sin", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"Cos", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Cos", "[", "x", "]"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"Tan", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Tan", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"Log", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"ln", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"Exp", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Exp", "[", "x", "]"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"ArcSin", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"ArcSin", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"ArcCos", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"ArcCos", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"ArcTan", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"ArcTan", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"Sinh", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Sinh", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"Cosh", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Cosh", "[", "x", "]"}], "]"}]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f2", ",", " ", 
       RowBox[{"x", "^", "2"}], ",", " ", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<g(x)\>\"", ",", "Red", ",", "14"}], "]"}]}], "}"}], ",", 
     " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "^", "2"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"x", "^", "2"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"Sqrt", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Sqrt", "[", "x", "]"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"Sin", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Sin", "[", "x", "]"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"Cos", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Cos", "[", "x", "]"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"Tan", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Tan", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"Log", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"ln", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"Exp", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Exp", "[", "x", "]"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"ArcSin", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"ArcSin", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"ArcCos", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"ArcCos", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"ArcTan", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"ArcTan", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"Sinh", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Sinh", "[", "x", "]"}], "]"}]}], ",", " ", 
       RowBox[{
        RowBox[{"Cosh", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Cosh", "[", "x", "]"}], "]"}]}]}], "}"}]}], "}"}], ",", " ",
    
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.391429097314*^9, 3.391429110042*^9}, {
   3.3914291794049997`*^9, 3.391429183494*^9}, {3.391442588954*^9, 
   3.3914426234630003`*^9}, {3.391442657586*^9, 3.391442657663*^9}, {
   3.391442706335*^9, 3.3914427438710003`*^9}, {3.39145287329*^9, 
   3.391452874523*^9}, {3.3915240963512*^9, 3.3915240984611998`*^9}, {
   3.3915241436702003`*^9, 3.3915241721902*^9}, {3.3915242338802*^9, 
   3.3915244891921997`*^9}, {3.3915245466502*^9, 3.3915245665802*^9}, {
   3.3915246099502*^9, 3.3915246385552*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`f1$$ = 
    Log[$CellContext`x], $CellContext`f2$$ = Cos[$CellContext`x], 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`f1$$], 
       Log[$CellContext`x], 
       Style["f(x)", 
        RGBColor[0, 0, 1], 14]}, {$CellContext`x^2 -> 
       TraditionalForm[$CellContext`x^2], $CellContext`x^Rational[1, 2] -> 
       TraditionalForm[$CellContext`x^Rational[1, 2]], Sin[$CellContext`x] -> 
       TraditionalForm[
         Sin[$CellContext`x]], Cos[$CellContext`x] -> TraditionalForm[
         Cos[$CellContext`x]], Tan[$CellContext`x] -> TraditionalForm[
         Tan[$CellContext`x]], Log[$CellContext`x] -> TraditionalForm[
         $CellContext`ln[$CellContext`x]], E^$CellContext`x -> 
       TraditionalForm[E^$CellContext`x], ArcSin[$CellContext`x] -> 
       TraditionalForm[
         ArcSin[$CellContext`x]], ArcCos[$CellContext`x] -> TraditionalForm[
         ArcCos[$CellContext`x]], ArcTan[$CellContext`x] -> TraditionalForm[
         ArcTan[$CellContext`x]], Sinh[$CellContext`x] -> TraditionalForm[
         Sinh[$CellContext`x]], Cosh[$CellContext`x] -> TraditionalForm[
         Cosh[$CellContext`x]]}}, {{
       Hold[$CellContext`f2$$], 
       Cos[$CellContext`x], 
       Style["g(x)", 
        RGBColor[1, 0, 0], 14]}, {$CellContext`x^2 -> 
       TraditionalForm[$CellContext`x^2], $CellContext`x^Rational[1, 2] -> 
       TraditionalForm[$CellContext`x^Rational[1, 2]], Sin[$CellContext`x] -> 
       TraditionalForm[
         Sin[$CellContext`x]], Cos[$CellContext`x] -> TraditionalForm[
         Cos[$CellContext`x]], Tan[$CellContext`x] -> TraditionalForm[
         Tan[$CellContext`x]], Log[$CellContext`x] -> TraditionalForm[
         $CellContext`ln[$CellContext`x]], E^$CellContext`x -> 
       TraditionalForm[E^$CellContext`x], ArcSin[$CellContext`x] -> 
       TraditionalForm[
         ArcSin[$CellContext`x]], ArcCos[$CellContext`x] -> TraditionalForm[
         ArcCos[$CellContext`x]], ArcTan[$CellContext`x] -> TraditionalForm[
         ArcTan[$CellContext`x]], Sinh[$CellContext`x] -> TraditionalForm[
         Sinh[$CellContext`x]], Cosh[$CellContext`x] -> TraditionalForm[
         Cosh[$CellContext`x]]}}}, Typeset`size$$ = {450., {147.5, 152.5}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`f1$4603$$ = False, $CellContext`f2$4604$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`f1$$ = 
        Log[$CellContext`x], $CellContext`f2$$ = Cos[$CellContext`x]}, 
      "ControllerVariables" :> {
        Hold[$CellContext`f1$$, $CellContext`f1$4603$$, False], 
        Hold[$CellContext`f2$$, $CellContext`f2$4604$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        Column[{
          Text[
           Grid[{{
              $CellContext`t["\!\(\*SubscriptBox[\(D\), \(x\)]\)("], 
              $CellContext`tblue[
               $CellContext`f[$CellContext`x]], 
              $CellContext`tred[
               $CellContext`g[$CellContext`x]], 
              $CellContext`t[") = "], 
              $CellContext`tred[
               $CellContext`g[$CellContext`x]], 
              $CellContext`toffblue2[
               D[
                $CellContext`f[$CellContext`x], $CellContext`x]], 
              $CellContext`t[" + "], 
              $CellContext`tblue[
               $CellContext`f[$CellContext`x]], 
              $CellContext`toffred[
               D[
                $CellContext`g[$CellContext`x], $CellContext`x]]}, {
             "", "", "", 
              $CellContext`t[" = "], 
              $CellContext`tred[$CellContext`f2$$], 
              $CellContext`toffblue2[
               D[$CellContext`f1$$, $CellContext`x]], 
              $CellContext`t[" + "], 
              $CellContext`tblue[$CellContext`f1$$], 
              $CellContext`toffred[
               D[$CellContext`f2$$, $CellContext`x]]}, {"", "", "", 
              $CellContext`t[" = "], 
              $CellContext`t[
               D[$CellContext`f1$$ $CellContext`f2$$, $CellContext`x]], 
              SpanFromLeft, SpanFromLeft, SpanFromLeft, SpanFromLeft}}]], 
          Plot[{
            ReplaceAll[$CellContext`f1$$, $CellContext`x -> $CellContext`t], 
            ReplaceAll[$CellContext`f2$$, $CellContext`x -> $CellContext`t], 
            
            ReplaceAll[$CellContext`f1$$ $CellContext`f2$$, $CellContext`x -> \
$CellContext`t], 
            ReplaceAll[
             
             D[$CellContext`f1$$ $CellContext`f2$$, $CellContext`x], \
$CellContext`x -> $CellContext`t]}, {$CellContext`t, -4, 4}, 
           PlotStyle -> {Blue, Red, Purple, {Purple, Thick}}, ImageSize -> 
           300]}, Center, Spacings -> 2], {450, 300}], 
      "Specifications" :> {{{$CellContext`f1$$, 
          Log[$CellContext`x], 
          Style["f(x)", 
           RGBColor[0, 0, 1], 14]}, {$CellContext`x^2 -> 
          TraditionalForm[$CellContext`x^2], $CellContext`x^Rational[1, 2] -> 
          TraditionalForm[$CellContext`x^Rational[1, 2]], Sin[$CellContext`x] -> 
          TraditionalForm[
            Sin[$CellContext`x]], Cos[$CellContext`x] -> TraditionalForm[
            Cos[$CellContext`x]], Tan[$CellContext`x] -> TraditionalForm[
            Tan[$CellContext`x]], Log[$CellContext`x] -> TraditionalForm[
            $CellContext`ln[$CellContext`x]], E^$CellContext`x -> 
          TraditionalForm[E^$CellContext`x], ArcSin[$CellContext`x] -> 
          TraditionalForm[
            ArcSin[$CellContext`x]], ArcCos[$CellContext`x] -> 
          TraditionalForm[
            ArcCos[$CellContext`x]], ArcTan[$CellContext`x] -> 
          TraditionalForm[
            ArcTan[$CellContext`x]], Sinh[$CellContext`x] -> TraditionalForm[
            Sinh[$CellContext`x]], Cosh[$CellContext`x] -> TraditionalForm[
            Cosh[$CellContext`x]]}}, {{$CellContext`f2$$, 
          Cos[$CellContext`x], 
          Style["g(x)", 
           RGBColor[1, 0, 0], 14]}, {$CellContext`x^2 -> 
          TraditionalForm[$CellContext`x^2], $CellContext`x^Rational[1, 2] -> 
          TraditionalForm[$CellContext`x^Rational[1, 2]], Sin[$CellContext`x] -> 
          TraditionalForm[
            Sin[$CellContext`x]], Cos[$CellContext`x] -> TraditionalForm[
            Cos[$CellContext`x]], Tan[$CellContext`x] -> TraditionalForm[
            Tan[$CellContext`x]], Log[$CellContext`x] -> TraditionalForm[
            $CellContext`ln[$CellContext`x]], E^$CellContext`x -> 
          TraditionalForm[E^$CellContext`x], ArcSin[$CellContext`x] -> 
          TraditionalForm[
            ArcSin[$CellContext`x]], ArcCos[$CellContext`x] -> 
          TraditionalForm[
            ArcCos[$CellContext`x]], ArcTan[$CellContext`x] -> 
          TraditionalForm[
            ArcTan[$CellContext`x]], Sinh[$CellContext`x] -> TraditionalForm[
            Sinh[$CellContext`x]], Cosh[$CellContext`x] -> TraditionalForm[
            Cosh[$CellContext`x]]}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {203., 208.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`t[
          Pattern[$CellContext`string, 
           Blank[]]] := TraditionalForm[
          Style[$CellContext`string, 18]], $CellContext`tblue[
          Pattern[$CellContext`string, 
           Blank[]]] := TraditionalForm[
          Style[$CellContext`string, 18, Blue]], $CellContext`tred[
          Pattern[$CellContext`string, 
           Blank[]]] := TraditionalForm[
          Style[$CellContext`string, 18, Red]], $CellContext`toffblue2[
          Pattern[$CellContext`string, 
           Blank[]]] := TraditionalForm[
          Style[$CellContext`string, 18, 
           RGBColor[0, 0, 0.65]]], $CellContext`toffred[
          Pattern[$CellContext`string, 
           Blank[]]] := TraditionalForm[
          Style[$CellContext`string, 18, 
           RGBColor[0.75, 0, 0]]]}; Typeset`initDone$$ = True); 
     ReleaseHold[{{
         HoldComplete[$CellContext`t[
             Pattern[$CellContext`string, 
              Blank[]]] := TraditionalForm[
             Style[$CellContext`string, 18]]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`tred[
             Pattern[$CellContext`string, 
              Blank[]]] := TraditionalForm[
             Style[$CellContext`string, 18, Red]]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`tblue[
             Pattern[$CellContext`string, 
              Blank[]]] := TraditionalForm[
             Style[$CellContext`string, 18, Blue]]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`toffred[
             Pattern[$CellContext`string, 
              Blank[]]] := TraditionalForm[
             Style[$CellContext`string, 18, 
              RGBColor[0.75, 0, 0]]]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`toffblue2[
             Pattern[$CellContext`string, 
              Blank[]]] := TraditionalForm[
             Style[$CellContext`string, 18, 
              RGBColor[0, 0, 0.65]]]; Null]}}]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->334196955],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["The Product Rule",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheProductRule/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TheProductRule/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TheProductRule/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheProductRule/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TheProductRule/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Chris Boucher",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TheProductRule"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"The Product Rule - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 208, 4, 70, "Section"],
Cell[801, 29, 1462, 43, 70, "Input",
 CellID->81193957],
Cell[2266, 74, 9008, 215, 70, "Input"]
}, Open  ]],
Cell[11289, 292, 9885, 198, 70, "Output",
 CellID->334196955],
Cell[CellGroupData[{
Cell[21199, 494, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[21575, 505, 863, 24, 70, "Text"],
Cell[22441, 531, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[22781, 542, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[23242, 560, 967, 27, 70, "Text"],
Cell[24212, 589, 1190, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature sTzdX7g1mv2KrDDAAU@0gLIE *)
