(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     28149,        746]
NotebookOptionsPosition[     27077,        706]
NotebookOutlinePosition[     27694,        730]
CellTagsIndexPosition[     27651,        727]
WindowTitle->The Tangent Line Problem - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["The Tangent Line Problem", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Switch", "[", 
     RowBox[{
      RowBox[{"\[Omega]", "[", "x", "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"x", "^", "2"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"a", "=", "0"}], ";", 
       RowBox[{"b", "=", "8"}], ";", 
       RowBox[{"c", "=", "2"}], ";", 
       RowBox[{"d", "=", ".00001"}], ";", 
       RowBox[{"e", "=", "3"}], ";", 
       RowBox[{"f", "=", 
        RowBox[{"{", 
         RowBox[{"0", ",", "7"}], "}"}]}], ";", 
       RowBox[{"g", "=", 
        RowBox[{"{", 
         RowBox[{"0", ",", "35"}], "}"}]}], ";", 
       RowBox[{"h", "=", 
        RowBox[{"Max", "[", 
         RowBox[{
          RowBox[{"Min", "[", 
           RowBox[{"e", ",", "h"}], "]"}], ",", "d"}], "]"}]}], ";", 
       RowBox[{"i", "=", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "2.5"}]}], "}"}]}], ";", 
       RowBox[{"j", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "1"}], "}"}]}], ";", 
       RowBox[{"k", "=", 
        RowBox[{"{", 
         RowBox[{"1", ",", "30"}], "}"}]}], ";", 
       RowBox[{"l", "=", 
        RowBox[{"{", 
         RowBox[{"1", ",", "25"}], "}"}]}], ";", 
       RowBox[{"m", "=", 
        RowBox[{"{", 
         RowBox[{"1", ",", "20"}], "}"}]}], ";", 
       RowBox[{"n", "=", 
        RowBox[{"Text", "@", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<tangent to \>\"", ",", 
              RowBox[{"TraditionalForm", "[", 
               RowBox[{"y", "\[Equal]", 
                RowBox[{"x", "^", "2"}]}], "]"}], ",", 
              "\"\< at Q = (2, 4)\>\""}], "}"}], "]"}], ",", "18"}], 
          "]"}]}]}]}], ",", "\[IndentingNewLine]", 
      SqrtBox["x"], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"a", "=", "0"}], ";", 
       RowBox[{"b", "=", "20"}], ";", 
       RowBox[{"c", "=", "2"}], ";", 
       RowBox[{"d", "=", ".00001"}], ";", 
       RowBox[{"e", "=", "15"}], ";", 
       RowBox[{"f", "=", 
        RowBox[{"{", 
         RowBox[{"0", ",", "20"}], "}"}]}], ";", 
       RowBox[{"g", "=", 
        RowBox[{"{", 
         RowBox[{"0", ",", "5"}], "}"}]}], ";", 
       RowBox[{"h", "=", 
        RowBox[{"Max", "[", 
         RowBox[{
          RowBox[{"Min", "[", 
           RowBox[{"e", ",", "h"}], "]"}], ",", "d"}], "]"}]}], ";", 
       RowBox[{"i", "=", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "2.5"}]}], "}"}]}], ";", 
       RowBox[{"j", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "2"}], "}"}]}], ";", 
       RowBox[{"k", "=", 
        RowBox[{"{", 
         RowBox[{"7.5", ",", "2"}], "}"}]}], ";", 
       RowBox[{"l", "=", 
        RowBox[{"{", 
         RowBox[{"7.5", ",", "1.5"}], "}"}]}], ";", 
       RowBox[{"m", "=", 
        RowBox[{"{", 
         RowBox[{"7.5", ",", "1"}], "}"}]}], ";", 
       RowBox[{"n", "=", 
        RowBox[{"Text", "@", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<tangent to \>\"", ",", 
              RowBox[{"TraditionalForm", "[", 
               RowBox[{"y", "\[Equal]", 
                RowBox[{"Sqrt", "[", "x", "]"}]}], "]"}], ",", 
              "\"\< at Q = (2, \!\(\*SqrtBox[\(2\)]\))\>\""}], "}"}], "]"}], 
           ",", "18"}], "]"}]}]}]}], ",", "\[IndentingNewLine]", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", "x"}]], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"a", "=", 
        RowBox[{"-", "6"}]}], ";", 
       RowBox[{"b", "=", "6"}], ";", 
       RowBox[{"c", "=", "0"}], ";", 
       RowBox[{"d", "=", 
        RowBox[{"-", "2.25"}]}], ";", 
       RowBox[{"e", "=", "4.75"}], ";", 
       RowBox[{"f", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", "5"}], "}"}]}], ";", 
       RowBox[{"g", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "10"}], "}"}]}], ";", 
       RowBox[{"h", "=", 
        RowBox[{"Max", "[", 
         RowBox[{
          RowBox[{"Min", "[", 
           RowBox[{"e", ",", "h"}], "]"}], ",", "d"}], "]"}]}], ";", 
       RowBox[{"i", "=", 
        RowBox[{"{", 
         RowBox[{"1.5", ",", ".5"}], "}"}]}], ";", 
       RowBox[{"j", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", 
          RowBox[{"-", ".75"}]}], "}"}]}], ";", 
       RowBox[{"k", "=", 
        RowBox[{"{", 
         RowBox[{".55", ",", "8"}], "}"}]}], ";", 
       RowBox[{"l", "=", 
        RowBox[{"{", 
         RowBox[{".55", ",", "6"}], "}"}]}], ";", 
       RowBox[{"m", "=", 
        RowBox[{"{", 
         RowBox[{".55", ",", "4"}], "}"}]}], ";", 
       RowBox[{"n", "=", 
        RowBox[{"Text", "@", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<tangent to \>\"", ",", 
              RowBox[{"TraditionalForm", "[", 
               RowBox[{"y", "==", 
                RowBox[{"Exp", "[", 
                 RowBox[{"-", "x"}], "]"}]}], "]"}], ",", 
              "\"\< at Q = (0, 1)\>\""}], "}"}], "]"}], ",", "18"}], 
          "]"}]}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Show", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Omega]", "[", "x", "]"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"\[Omega]", "'"}], "[", "c", "]"}], 
            RowBox[{"(", 
             RowBox[{"x", "-", "c"}], ")"}]}], "+", 
           RowBox[{"\[Omega]", "[", "c", "]"}]}], ",", 
          RowBox[{
           RowBox[{
            FractionBox[
             RowBox[{
              RowBox[{"\[Omega]", "[", 
               RowBox[{"c", "+", "h"}], "]"}], "-", 
              RowBox[{"\[Omega]", "[", "c", "]"}]}], "h"], 
            RowBox[{"(", 
             RowBox[{"x", "-", "c"}], ")"}]}], "+", 
           RowBox[{"\[Omega]", "[", "c", "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Thick", ",", "Red", ",", "Brown"}], "}"}]}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", "n"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Thickness", "\[Rule]", ".01"}], ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"c", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"c", "+", "h"}], ",", "0"}], "}"}]}], "}"}], "]"}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"PointSize", "\[Rule]", "Large"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"c", ",", 
            RowBox[{"\[Omega]", "[", "c", "]"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<Q\>\"", ",", "18"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"c", ",", 
             RowBox[{"\[Omega]", "[", "c", "]"}]}], "}"}], ",", "i"}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"c", "+", "h"}], ",", 
            RowBox[{"\[Omega]", "[", 
             RowBox[{"c", "+", "h"}], "]"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<P\>\"", ",", "18"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"c", "+", "h"}], ",", 
             RowBox[{"\[Omega]", "[", 
              RowBox[{"c", "+", "h"}], "]"}]}], "}"}], ",", " ", "j"}], "]"}],
          ",", "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Style", "[", "\"\<P\>\"", "]"}], ",", 
                RowBox[{"\"\< = (\>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"c", "+", "h"}], "]"}], "<>", "\"\<, \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"N", "[", 
                   RowBox[{"\[Omega]", "[", 
                    RowBox[{"c", "+", "h"}], "]"}], "]"}], "]"}], "<>", 
                 "\"\<)\>\""}]}], "}"}], "]"}], ",", "18", ",", "Bold"}], 
            "]"}], ",", "k", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}], ",", 
                RowBox[{"\"\< = \>\"", "<>", 
                 RowBox[{"ToString", "[", "h", "]"}]}]}], "}"}], "]"}], ",", 
             "18", ",", "Bold", ",", 
             RowBox[{"RGBColor", "[", 
              RowBox[{".6", ",", ".73", ",", ".36"}], "]"}]}], "]"}], ",", 
           "l", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], " ", ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"\"\<secant slope = \>\"", "<>", 
              RowBox[{"ToString", "[", 
               RowBox[{"N", "[", 
                FractionBox[
                 RowBox[{
                  RowBox[{"\[Omega]", "[", 
                   RowBox[{"c", "+", "h"}], "]"}], "-", 
                  RowBox[{"\[Omega]", "[", "c", "]"}]}], "h"], "]"}], "]"}]}],
              ",", "18", ",", "Bold", ",", "Brown"}], "]"}], ",", "m", " ", 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"h", "<", "0"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<-h\>\"", ",", "Italic"}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
             RowBox[{"RGBColor", "[", 
              RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", "20"}], 
            "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"c", "+", 
              RowBox[{
               RowBox[{"1", "/", "2"}], "h"}]}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"-", "1"}]}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
        "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"f", ",", "g"}], "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"535", ",", "400"}], "}"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Omega]", ",", 
       RowBox[{
        RowBox[{"#", "^", "2"}], "&"}], ",", "\"\<y = \>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"#", "^", "2"}], "&"}], "\[Rule]", 
        RowBox[{"x", "^", "2"}]}], ",", 
       RowBox[{
        RowBox[{
         SqrtBox["#"], "&"}], "\[Rule]", 
        SqrtBox["x"]}], ",", 
       RowBox[{
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"-", "#"}]], "&"}], "\[Rule]", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", "x"}]]}]}], "}"}], ",", "SetterBar"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"e", ",", "3", ",", "15", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"d", ",", 
     RowBox[{"-", "2.25"}], ",", ".00001", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"h", ",", "e"}], "}"}], ",", "d", ",", "e"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"4", ",", "5"}], "}"}], "}"}]}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4579766289130816`*^9, 3.457976746943884*^9}, {
   3.4579767841146*^9, 3.457976863359524*^9}, {3.457977064853671*^9, 
   3.457977091673353*^9}, {3.4579773660517883`*^9, 3.4579774397411566`*^9}, {
   3.458333590350068*^9, 3.458333764178193*^9}, {3.458333816428193*^9, 
   3.458333831740693*^9}, {3.458333873225068*^9, 3.458333905850068*^9}, {
   3.458333994693818*^9, 3.458334071443818*^9}, 3.458334193303193*^9, {
   3.458334454787568*^9, 3.458334475693818*^9}, {3.458334609396943*^9, 
   3.458334610553193*^9}, {3.458334677990693*^9, 3.458334678584443*^9}, {
   3.458334739443818*^9, 3.458334780037568*^9}, {3.458334866693818*^9, 
   3.458334866943818*^9}},
 CellID->218959086]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`d$$ = -2.25, $CellContext`e$$ = 
    4.75, $CellContext`h$$ = 1.7120000000000004`, $CellContext`\[Omega]$$ = 
    E^(-#)& , Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Omega]$$], #^2& , 
       "y = "}, {(#^2& ) -> $CellContext`x^2, (#^
        Rational[1, 2]& ) -> $CellContext`x^Rational[1, 2], (E^(-#)& ) -> 
       E^(-$CellContext`x)}}, {
      Hold[$CellContext`e$$], 3, 15}, {
      Hold[$CellContext`d$$], -2.25, 0.00001}, {{
       Hold[$CellContext`h$$], $CellContext`e$$}, 
      Dynamic[$CellContext`d$$], 
      Dynamic[$CellContext`e$$]}}, Typeset`size$$ = {535., {198., 202.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`\[Omega]$177758$$ = False, $CellContext`e$177759$$ = 
    0, $CellContext`d$177760$$ = 0, $CellContext`h$177761$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`d$$ = -2.25, $CellContext`e$$ = 
        3, $CellContext`h$$ = $CellContext`e$$, $CellContext`\[Omega]$$ = #^2& \
}, "ControllerVariables" :> {
        Hold[$CellContext`\[Omega]$$, $CellContext`\[Omega]$177758$$, False], 
        
        Hold[$CellContext`e$$, $CellContext`e$177759$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$177760$$, 0], 
        Hold[$CellContext`h$$, $CellContext`h$177761$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> (Switch[
         $CellContext`\[Omega]$$[$CellContext`x], $CellContext`x^2, \
$CellContext`a = 0; $CellContext`b = 8; $CellContext`c = 2; $CellContext`d$$ = 
          0.00001; $CellContext`e$$ = 
          3; $CellContext`f = {0, 7}; $CellContext`g = {0, 
           35}; $CellContext`h$$ = Max[
            
            Min[$CellContext`e$$, $CellContext`h$$], $CellContext`d$$]; \
$CellContext`i = {0, -2.5}; $CellContext`j = {-2, 1}; $CellContext`k = {1, 
           30}; $CellContext`l = {1, 25}; $CellContext`m = {1, 20}; 
         DemonstrationsTools`n = Text[
            Style[
             Row[{"tangent to ", 
               TraditionalForm[$CellContext`y == $CellContext`x^2], 
               " at Q = (2, 4)"}], 18]], $CellContext`x^
         Rational[1, 2], $CellContext`a = 0; $CellContext`b = 
          20; $CellContext`c = 2; $CellContext`d$$ = 
          0.00001; $CellContext`e$$ = 
          15; $CellContext`f = {0, 20}; $CellContext`g = {0, 
           5}; $CellContext`h$$ = Max[
            
            Min[$CellContext`e$$, $CellContext`h$$], $CellContext`d$$]; \
$CellContext`i = {0, -2.5}; $CellContext`j = {-1, 2}; $CellContext`k = {
           7.5, 2}; $CellContext`l = {7.5, 1.5}; $CellContext`m = {7.5, 1}; 
         DemonstrationsTools`n = Text[
            Style[
             Row[{"tangent to ", 
               TraditionalForm[$CellContext`y == Sqrt[$CellContext`x]], 
               " at Q = (2, \!\(\*SqrtBox[\(2\)]\))"}], 18]], 
         E^(-$CellContext`x), $CellContext`a = -6; $CellContext`b = 
          6; $CellContext`c = 0; $CellContext`d$$ = -2.25; $CellContext`e$$ = 
          4.75; $CellContext`f = {-5, 5}; $CellContext`g = {-2, 
           10}; $CellContext`h$$ = Max[
            
            Min[$CellContext`e$$, $CellContext`h$$], $CellContext`d$$]; \
$CellContext`i = {1.5, 0.5}; $CellContext`j = {-2, -0.75}; $CellContext`k = {
           0.55, 8}; $CellContext`l = {0.55, 6}; $CellContext`m = {0.55, 4}; 
         DemonstrationsTools`n = Text[
            Style[
             Row[{"tangent to ", 
               TraditionalForm[$CellContext`y == Exp[-$CellContext`x]], 
               " at Q = (0, 1)"}], 18]]]; Show[
         Plot[{
           $CellContext`\[Omega]$$[$CellContext`x], 
           Derivative[
             1][$CellContext`\[Omega]$$][$CellContext`c] ($CellContext`x - \
$CellContext`c) + $CellContext`\[Omega]$$[$CellContext`c], (($CellContext`\
\[Omega]$$[$CellContext`c + $CellContext`h$$] - \
$CellContext`\[Omega]$$[$CellContext`c])/$CellContext`h$$) ($CellContext`x - \
$CellContext`c) + $CellContext`\[Omega]$$[$CellContext`c]}, {$CellContext`x, \
$CellContext`a, $CellContext`b}, PlotStyle -> {Thick, Red, Brown}, PlotLabel -> 
          DemonstrationsTools`n], 
         Graphics[{{Thickness -> 0.01, 
            RGBColor[0.6, 0.73, 0.36], 
            
            Line[{{$CellContext`c, 0}, {$CellContext`c + $CellContext`h$$, 
               0}}]}, PointSize -> Large, 
           Point[{$CellContext`c, 
             $CellContext`\[Omega]$$[$CellContext`c]}], 
           Text[
            Style["Q", 18], {$CellContext`c, 
             $CellContext`\[Omega]$$[$CellContext`c]}, $CellContext`i], 
           Point[{$CellContext`c + $CellContext`h$$, 
             $CellContext`\[Omega]$$[$CellContext`c + $CellContext`h$$]}], 
           Text[
            Style["P", 18], {$CellContext`c + $CellContext`h$$, 
             $CellContext`\[Omega]$$[$CellContext`c + $CellContext`h$$]}, \
$CellContext`j], 
           Text[
            Style[
             Row[{
               Style["P"], 
               StringJoin[" = (", 
                ToString[$CellContext`c + $CellContext`h$$], ", ", 
                ToString[
                 N[
                  $CellContext`\[Omega]$$[$CellContext`c + \
$CellContext`h$$]]], ")"]}], 18, Bold], $CellContext`k, {-1, 0}], 
           Text[
            Style[
             Row[{
               Style["h", Italic], 
               StringJoin[" = ", 
                ToString[$CellContext`h$$]]}], 18, Bold, 
             RGBColor[0.6, 0.73, 0.36]], $CellContext`l, {-1, 0}], 
           Text[
            Style[
             StringJoin["secant slope = ", 
              ToString[
               
               N[($CellContext`\[Omega]$$[$CellContext`c + $CellContext`h$$] - \
$CellContext`\[Omega]$$[$CellContext`c])/$CellContext`h$$]]], 18, Bold, 
             Brown], $CellContext`m, {-1, 0}], 
           Text[
            Style[
             If[$CellContext`h$$ < 0, 
              Style["-h", Italic], 
              Style["h", Italic]], 
             RGBColor[0.6, 0.73, 0.36], 
             20], {$CellContext`c + (1/2) $CellContext`h$$, 0}, {0, -1}]}], 
         PlotRange -> {$CellContext`f, $CellContext`g}, 
         ImageSize -> {535, 400}]), 
      "Specifications" :> {{{$CellContext`\[Omega]$$, #^2& , 
          "y = "}, {(#^2& ) -> $CellContext`x^2, (#^
           Rational[1, 2]& ) -> $CellContext`x^Rational[1, 2], (E^(-#)& ) -> 
          E^(-$CellContext`x)}, ControlType -> SetterBar}, {$CellContext`e$$, 
         3, 15, ControlType -> None}, {$CellContext`d$$, -2.25, 0.00001, 
         ControlType -> None}, {{$CellContext`h$$, $CellContext`e$$}, 
         Dynamic[$CellContext`d$$], 
         Dynamic[$CellContext`e$$]}}, 
      "Options" :> {AutorunSequencing -> {{4, 5}}, TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{580., {255., 260.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->144348823],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["The Tangent Line Problem",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheTangentLineProblem/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TheTangentLineProblem/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TheTangentLineProblem/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheTangentLineProblem/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TheTangentLineProblem/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Samuel Leung",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Samuel+Leung"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Samuel+Leung"],
 " and ",
 ButtonBox["Michael Largey",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Michael+Largey"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Michael+Largey"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TheTangentLineProblem"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{760, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"The Tangent Line Problem - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[614, 23, 216, 4, 70, "Section"],
Cell[833, 29, 14135, 377, 70, "Input",
 CellID->218959086]
}, Open  ]],
Cell[14983, 409, 7651, 156, 70, "Output",
 CellID->144348823],
Cell[CellGroupData[{
Cell[22659, 569, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[23035, 580, 906, 24, 70, "Text"],
Cell[23944, 606, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[24284, 617, 693, 22, 70, "Text"],
Cell[CellGroupData[{
Cell[25002, 643, 847, 24, 70, "Text"],
Cell[25852, 669, 1197, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 3TzzhyIFQDjA1BDQAE8TC1iI *)
