(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     75866,       1633]
NotebookOptionsPosition[     74783,       1593]
NotebookOutlinePosition[     75401,       1617]
CellTagsIndexPosition[     75358,       1614]
WindowTitle->Automatic Differentiation - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Automatic Differentiation", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"v1", " ", "=", " ", "\"\<\>\""}], ",", " ", "v2", ",", 
       "pairs", ",", "clicked", ",", "stored", ",", "lenstack"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"lenstack", " ", "=", " ", 
       RowBox[{"Length", "[", "stack", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"lenstack", " ", ">", " ", "1"}], ",", " ", 
        RowBox[{"v1", " ", "=", " ", 
         RowBox[{"stack", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"lenstack", " ", ">", " ", "2"}], ",", " ", 
        RowBox[{"v2", " ", "=", " ", 
         RowBox[{"stack", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"lenstack", " ", ">", " ", "2"}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"Which", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"op", " ", "==", " ", "\"\<-\>\""}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"stack", " ", "=", " ", 
            RowBox[{"Rest", "[", "stack", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"stack", "[", 
             RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
            RowBox[{"v2", "-", "v1"}]}], ";"}], ",", "\[IndentingNewLine]", 
          RowBox[{"op", " ", "==", " ", "\"\<+\>\""}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"stack", " ", "=", " ", 
            RowBox[{"Rest", "[", "stack", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"stack", "[", 
             RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
            RowBox[{"v1", " ", "+", " ", "v2"}]}], ";"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"op", " ", "==", " ", "\"\<*\>\""}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"stack", " ", "=", " ", 
            RowBox[{"Rest", "[", "stack", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"stack", "[", 
             RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
            RowBox[{"v1", " ", "*", " ", "v2"}]}], ";"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"op", " ", "==", " ", "\"\</\>\""}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"stack", " ", "=", " ", 
            RowBox[{"Rest", "[", "stack", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"stack", "[", 
             RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
            RowBox[{"v2", "/", "v1"}]}], ";"}], ",", "\[IndentingNewLine]", 
          RowBox[{"op0", " ", "\[Equal]", "\"\<F\>\""}], ",", " ", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"stack", " ", "=", " ", 
            RowBox[{"Rest", "[", "stack", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"stack", "[", 
             RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
            RowBox[{"\"\<F\>\"", "[", 
             RowBox[{"v1", ",", "v2"}], "]"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"op2", " ", "\[Equal]", " ", "\"\<y^x\>\""}], ",", " ", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"stack", " ", "=", " ", 
            RowBox[{"Rest", "[", "stack", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"stack", "[", 
             RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
            RowBox[{"v2", "^", "v1"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"op5", " ", "\[Equal]", " ", "\"\<x<->y\>\""}], ",", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"stack", "[", 
             RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", "v2"}], ";", " ", 
           
           RowBox[{
            RowBox[{"stack", "[", 
             RowBox[{"[", "2", "]"}], "]"}], " ", "=", " ", "v1"}]}]}], 
         "\[IndentingNewLine]", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"lenstack", " ", ">", " ", "1"}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"Which", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"op0", " ", "\[Equal]", " ", "\"\<f\>\""}], ",", " ", 
          RowBox[{
           RowBox[{"stack", "[", 
            RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
           RowBox[{"\"\<f\>\"", "[", "v1", "]"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"op0", " ", "\[Equal]", " ", "\"\<g\>\""}], ",", " ", 
          RowBox[{
           RowBox[{"stack", "[", 
            RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
           RowBox[{"\"\<g\>\"", "[", "v1", "]"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"op0", " ", "\[Equal]", " ", "\"\<h\>\""}], ",", " ", 
          RowBox[{
           RowBox[{"stack", "[", 
            RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
           RowBox[{"\"\<h\>\"", "[", "v1", "]"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"op1", "\[Equal]", " ", "\"\<1/x\>\""}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"v1", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "===", "0"}], "||", 
             RowBox[{
              RowBox[{"v1", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "===", "0."}]}], ",", 
            RowBox[{"op1", "=", "\"\<\>\""}], ",", 
            RowBox[{
             RowBox[{"stack", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "=", " ", 
             RowBox[{"1", "/", "v1"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"op1", "\[Equal]", "\"\<ln\>\""}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"v1", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "===", "0"}], "||", 
             RowBox[{
              RowBox[{
               RowBox[{"v1", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "\[Equal]"}], "===", "."}]}], 
            ",", 
            RowBox[{"op1", "=", "\"\<\>\""}], ",", 
            RowBox[{
             RowBox[{"stack", "[", 
              RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
             RowBox[{"Log", "[", "v1", "]"}]}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"op1", " ", "\[Equal]", " ", "\"\<e^x\>\""}], ",", " ", 
          RowBox[{
           RowBox[{"stack", "[", 
            RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
           RowBox[{"Exp", "[", "v1", "]"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"op2", " ", "\[Equal]", " ", "\"\<log\>\""}], ",", " ", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"v1", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "===", "0"}], "||", 
             RowBox[{
              RowBox[{"v1", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "===", "0."}]}], ",", 
            RowBox[{"op2", "=", "\"\<\>\""}], ",", 
            RowBox[{
             RowBox[{"stack", "[", 
              RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
             RowBox[{
              RowBox[{"Log", "[", "v1", "]"}], "/", 
              RowBox[{"Log", "[", "10", "]"}]}]}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"op2", " ", "\[Equal]", " ", "\"\<10^x\>\""}], ",", 
          RowBox[{
           RowBox[{"stack", "[", 
            RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
           RowBox[{"10", "^", "v1"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"op3", " ", "\[Equal]", " ", "\"\<x^2\>\""}], ",", " ", 
          RowBox[{
           RowBox[{"stack", "[", 
            RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
           RowBox[{"v1", "^", "2"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"op3", " ", "\[Equal]", " ", "\"\<sin\>\""}], ",", " ", 
          RowBox[{
           RowBox[{"stack", "[", 
            RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
           RowBox[{"Sin", "[", "v1", "]"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"op3", " ", "\[Equal]", " ", "\"\<cos\>\""}], ",", " ", 
          RowBox[{
           RowBox[{"stack", "[", 
            RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
           RowBox[{"Cos", "[", "v1", "]"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"op3", " ", "\[Equal]", " ", "\"\<tan\>\""}], ",", " ", 
          RowBox[{
           RowBox[{"stack", "[", 
            RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
           RowBox[{"Tan", "[", "v1", "]"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"op4", " ", "\[Equal]", " ", "\"\<x^(1/2)\>\""}], ",", 
          RowBox[{
           RowBox[{"stack", "[", 
            RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
           RowBox[{"v1", "^", 
            RowBox[{"(", 
             RowBox[{"1", "/", "2"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"op4", " ", "\[Equal]", " ", "\"\<asin\>\""}], ",", " ", 
          RowBox[{
           RowBox[{"stack", "[", 
            RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
           RowBox[{"ArcSin", "[", "v1", "]"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"op4", " ", "\[Equal]", " ", "\"\<acos\>\""}], ",", " ", 
          RowBox[{
           RowBox[{"stack", "[", 
            RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
           RowBox[{"ArcCos", "[", "v1", "]"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"op4", " ", "\[Equal]", " ", "\"\<atan\>\""}], ",", " ", 
          RowBox[{
           RowBox[{"stack", "[", 
            RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
           RowBox[{"ArcTan", "[", "v1", "]"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"op5", " ", "\[Equal]", " ", "\"\<chs\>\""}], ",", " ", 
          RowBox[{
           RowBox[{"stack", "[", 
            RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
           RowBox[{"-", "v1"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"op5", " ", "\[Equal]", " ", "\"\<pop\>\""}], ",", " ", 
          RowBox[{"stack", " ", "=", " ", 
           RowBox[{"Rest", "[", "stack", "]"}]}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"op6", " ", "\[Equal]", " ", "\"\<sto1\>\""}], ",", " ", 
          RowBox[{
           RowBox[{"store", "[", 
            RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", 
           RowBox[{"stack", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"op6", "\[Equal]", " ", "\"\<sto2\>\""}], ",", " ", 
          RowBox[{
           RowBox[{"store", "[", 
            RowBox[{"[", "2", "]"}], "]"}], " ", "=", " ", 
           RowBox[{"stack", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"op6", " ", "\[Equal]", " ", "\"\<sto3\>\""}], ",", " ", 
          RowBox[{
           RowBox[{"store", "[", 
            RowBox[{"[", "3", "]"}], "]"}], " ", "=", " ", 
           RowBox[{"stack", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
         "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Which", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"var", " ", "==", " ", "\"\<x+e\>\""}], ",", 
        RowBox[{"stack", " ", "=", " ", 
         RowBox[{"Prepend", "[", 
          RowBox[{"stack", ",", " ", 
           RowBox[{"makedual", "[", 
            RowBox[{"x", ",", " ", "1"}], "]"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
        "var", " ", "==", " ", 
         "\"\<x+\!\(\*SubscriptBox[\(e\), \(1\)]\)\>\""}], ",", 
        RowBox[{"stack", " ", "=", " ", 
         RowBox[{"Prepend", "[", 
          RowBox[{"stack", ",", " ", 
           RowBox[{"makedual", "[", 
            RowBox[{"x", ",", " ", 
             RowBox[{"{", 
              RowBox[{"1", ",", "0"}], "}"}]}], "]"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
        "var", " ", "==", " ", 
         "\"\<y+\!\(\*SubscriptBox[\(e\), \(2\)]\)\>\""}], ",", 
        RowBox[{"stack", " ", "=", " ", 
         RowBox[{"Prepend", "[", 
          RowBox[{"stack", ",", " ", 
           RowBox[{"makedual", "[", 
            RowBox[{"y", ",", " ", 
             RowBox[{"{", 
              RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"con", " ", "==", " ", "\"\<a\>\""}], ",", 
        RowBox[{"stack", " ", "=", " ", 
         RowBox[{"Prepend", "[", 
          RowBox[{"stack", ",", " ", 
           RowBox[{"makedual", "[", 
            RowBox[{"a", ",", "0"}], "]"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"con", " ", "==", " ", "\"\<b\>\""}], ",", 
        RowBox[{"stack", " ", "=", " ", 
         RowBox[{"Prepend", "[", 
          RowBox[{"stack", ",", " ", 
           RowBox[{"makedual", "[", 
            RowBox[{"b", ",", "0"}], "]"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"con", " ", "==", " ", "\"\<c\>\""}], ",", 
        RowBox[{"stack", " ", "=", " ", 
         RowBox[{"Prepend", "[", 
          RowBox[{"stack", ",", " ", 
           RowBox[{"makedual", "[", 
            RowBox[{"c", ",", "0"}], "]"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"op5", " ", "\[Equal]", " ", "\"\<clear\>\""}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"stack", " ", "=", " ", 
          RowBox[{"{", "\"\<\>\"", "}"}]}], ";", " ", 
         RowBox[{"store", " ", "=", " ", 
          RowBox[{"{", 
           RowBox[{"\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\""}], "}"}]}], 
         ";", 
         RowBox[{"clickedlist", "=", 
          RowBox[{"{", "}"}]}], ";", 
         RowBox[{"lastx", "=", "\"\<\>\""}], ";", " ", 
         RowBox[{"op5", "=", "\"\<\>\""}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"op7", " ", "\[Equal]", " ", "\"\<rcl1\>\""}], ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"store", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "===", "\"\<\>\""}], ",", 
          RowBox[{"op7", "=", "\"\<\>\""}], ",", " ", 
          RowBox[{"stack", " ", "=", " ", 
           RowBox[{"Prepend", "[", 
            RowBox[{"stack", ",", 
             RowBox[{"store", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"op7", " ", "\[Equal]", " ", "\"\<rcl2\>\""}], ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"store", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "===", "\"\<\>\""}], ",", 
          RowBox[{"op7", "=", "\"\<\>\""}], ",", " ", 
          RowBox[{"stack", " ", "=", " ", 
           RowBox[{"Prepend", "[", 
            RowBox[{"stack", ",", 
             RowBox[{"store", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"op7", " ", "\[Equal]", " ", "\"\<rcl3\>\""}], ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"store", "[", 
            RowBox[{"[", "3", "]"}], "]"}], "===", "\"\<\>\""}], ",", 
          RowBox[{"op7", "=", "\"\<\>\""}], ",", " ", 
          RowBox[{"stack", " ", "=", " ", 
           RowBox[{"Prepend", "[", 
            RowBox[{"stack", ",", 
             RowBox[{"store", "[", 
              RowBox[{"[", "3", "]"}], "]"}]}], "]"}]}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"op7", " ", "\[Equal]", " ", "\"\<lastx\>\""}], ",", " ", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"lastx", "===", "\"\<\>\""}], ",", 
          RowBox[{"op7", "=", "\"\<\>\""}], ",", 
          RowBox[{"stack", " ", "=", " ", 
           RowBox[{"Prepend", "[", 
            RowBox[{"stack", ",", " ", "lastx"}], "]"}]}]}], "]"}]}], 
       "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"clicked", " ", "=", " ", 
       RowBox[{"{", 
        RowBox[{
        "var", ",", "con", ",", "op", ",", "op0", ",", "op1", ",", "op2", ",",
          "op3", ",", "op4", ",", "op5", ",", " ", "op6", ",", " ", "op7"}], 
        "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "var", ",", "con", ",", "op", ",", "op0", ",", "op1", ",", "op2", 
           ",", "op3", ",", "op4", ",", "op5", ",", " ", "op6", ",", " ", 
           "op7"}], "}"}], " ", "\[Equal]", " ", 
         RowBox[{"{", 
          RowBox[{
          "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
           "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", 
           ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\""}], "}"}]}], ",", 
        " ", ",", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"lenstack", "\[Equal]", "1"}], "&&", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"var", ",", "con"}], "}"}], "\[Equal]", 
            RowBox[{"{", 
             RowBox[{"\"\<\>\"", ",", "\"\<\>\""}], "}"}]}]}], ",", ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"lenstack", "\[Equal]", "2"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                 "op1", ",", "op2", ",", "op3", ",", "op4", ",", "op6"}], 
                 "}"}], "==", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
                  "\"\<\>\""}], "}"}]}], "||", 
               RowBox[{"op0", "\[Equal]", "\"\<F\>\""}], "||", 
               RowBox[{"op2", "\[Equal]", "\"\<y^x\>\""}], "||", 
               RowBox[{"op5", "\[Equal]", "\"\<x<->y\>\""}]}], ")"}]}], ",", 
            ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"clickedlist", " ", "=", " ", 
              RowBox[{"Join", "[", 
               RowBox[{"clickedlist", ",", " ", 
                RowBox[{"Cases", "[", 
                 RowBox[{"clicked", ",", 
                  RowBox[{"Except", "[", "\"\<\>\"", "]"}]}], "]"}]}], 
               "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"lastx", " ", "=", " ", "v1"}]}]}], "]"}]}], "]"}]}], 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "var", ",", "con", ",", "op", ",", "op0", ",", "op1", ",", "op2", ",",
          "op3", ",", "op4", ",", "op5", ",", " ", "op6", ",", " ", "op7"}], 
        "}"}], " ", "=", " ", 
       RowBox[{"{", 
        RowBox[{
        "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
         "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\"", ",", 
         "\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\""}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"pairs", " ", "=", " ", 
       RowBox[{"Drop", "[", 
        RowBox[{
         RowBox[{"Map", "[", 
          RowBox[{"tolist", ",", "stack"}], "]"}], ",", 
         RowBox[{"-", "1"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"stored", " ", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{"tolist", ",", " ", "store"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Quiet", "@", 
       RowBox[{"Text", "@", 
        RowBox[{"Labeled", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Column", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<\>\"", ",", "\[IndentingNewLine]", 
             RowBox[{"Row", "[", 
              RowBox[{"{", "clickedlist", "}"}], "]"}], ",", "\"\<\>\"", ",", 
             "\[IndentingNewLine]", 
             RowBox[{"TraditionalForm", "@", 
              RowBox[{"Grid", "[", 
               RowBox[{
                RowBox[{"Simplify", "[", "pairs", "]"}], ",", 
                RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]}], ",", 
             "\"\<\>\"", ",", " ", "\[IndentingNewLine]", 
             RowBox[{"TraditionalForm", "@", 
              RowBox[{"Grid", "[", 
               RowBox[{
                RowBox[{"Simplify", "[", 
                 RowBox[{"pairs", "/.", " ", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"x", "\[Rule]", "x0"}], ",", 
                    RowBox[{"y", "\[Rule]", "y0"}]}], "}"}]}], "]"}], ",", 
                RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]}], ",", 
             "\"\<\>\"", ",", "\[IndentingNewLine]", 
             RowBox[{"TraditionalForm", "@", 
              RowBox[{"Grid", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                   "\"\<sto1\>\"", ",", "\"\<sto2\>\"", ",", "\"\<sto3\>\""}],
                    "}"}], ",", "\[IndentingNewLine]", "stored"}], "}"}], ",", 
                RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]}]}], 
            "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<clicked list, \\nstack, \\nvalue at \>\"", ",", 
             RowBox[{"Subscript", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "0"}], 
              "]"}], ",", "\"\< = \>\"", ",", "x0", ",", 
             "\[IndentingNewLine]", "\"\<, or (\>\"", ",", 
             RowBox[{"Subscript", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "0"}], 
              "]"}], ",", "\"\<, \>\"", ",", 
             RowBox[{"Subscript", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", "0"}], 
              "]"}], ",", "\"\<) = (\>\"", ",", "x0", ",", "\"\<,\>\"", ",", 
             "y0", ",", "\"\<)\>\""}], "}"}], "]"}], ",", "Top"}], 
         "]"}]}]}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "x0", ",", " ", "2", ",", 
       "\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\)\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "10"}], ",", " ", "10", ",", ".01", ",", " ", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "y0", ",", " ", "3", ",", 
       "\"\<\!\(\*SubscriptBox[\(y\), \(0\)]\)\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "10"}], ",", " ", "10", ",", ".01", ",", " ", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", " ", "1"}], "}"}], ",", " ", 
     RowBox[{"-", "10"}], ",", " ", "10", ",", ".01", ",", " ", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", " ", "2"}], "}"}], ",", " ", 
     RowBox[{"-", "10"}], ",", " ", "10", ",", ".01", ",", " ", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", " ", "3"}], "}"}], ",", " ", 
     RowBox[{"-", "10"}], ",", " ", "10", ",", ".01", ",", " ", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"var", ",", " ", "\"\<\>\"", ",", "\"\<enter\>\""}], "}"}], ",",
      " ", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\>\"", ",", " ", "\"\<x+e\>\"", ",", 
       "\"\<x+\!\(\*SubscriptBox[\(e\), \(1\)]\)\>\"", ",", 
       "\"\<y+\!\(\*SubscriptBox[\(e\), \(2\)]\)\>\""}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"con", ",", "\"\<\>\"", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<a\>\"", ",", "\"\<b\>\"", ",", "\"\<c\>\""}], "}"}]}], 
    "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"op", ",", " ", "\"\<\>\"", ",", "\"\<op\>\""}], "}"}], ",", 
     " ", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\>\"", ",", " ", "\"\<-\>\"", ",", "\"\<+\>\"", ",", " ", 
       "\"\<*\>\"", ",", "\"\</\>\""}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"op0", ",", "\"\<\>\"", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\>\"", ",", "\"\<f\>\"", ",", "\"\<g\>\"", ",", "\"\<h\>\"", ",", 
       "\"\<F\>\""}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"op1", ",", "\"\<\>\"", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\>\"", ",", "\"\<1/x\>\"", ",", "\"\<ln\>\"", ",", "\"\<e^x\>\""}],
       "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"op2", ",", " ", "\"\<\>\"", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\>\"", ",", "\"\<y^x\>\"", ",", "\"\<log\>\"", ",", 
       "\"\<10^x\>\""}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"op3", ",", "\"\<\>\"", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\>\"", ",", "\"\<x^2\>\"", ",", "\"\<sin\>\"", ",", "\"\<cos\>\"", 
       ",", "\"\<tan\>\""}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"op4", ",", "\"\<\>\"", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\>\"", ",", "\"\<x^(1/2)\>\"", ",", "\"\<asin\>\"", ",", 
       "\"\<acos\>\"", ",", "\"\<atan\>\""}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"op5", ",", "\"\<\>\"", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\>\"", ",", "\"\<x<->y\>\"", ",", "\"\<chs\>\"", ",", 
       "\"\<pop\>\"", ",", "\"\<clear\>\""}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"op6", ",", "\"\<\>\"", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<sto1\>\"", ",", "\"\<sto2\>\"", ",", "\"\<sto3\>\""}], 
      "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"op7", ",", "\"\<\>\"", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<rcl1\>\"", ",", "\"\<rcl2\>\"", ",", "\"\<rcl3\>\"", ",", " ", 
       "\"\<lastx\>\""}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"stack", ",", " ", 
       RowBox[{"{", "\"\<\>\"", "}"}]}], "}"}], ",", " ", 
     RowBox[{"ControlType", " ", "\[Rule]", " ", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"store", ",", " ", 
       RowBox[{"{", 
        RowBox[{"\"\<\>\"", ",", "\"\<\>\"", ",", "\"\<\>\""}], "}"}]}], 
      "}"}], ",", " ", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"clickedlist", ",", " ", 
       RowBox[{"{", "}"}]}], "}"}], ",", " ", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"lastx", ",", " ", "\"\<\>\""}], "}"}], ",", " ", 
     RowBox[{"ControlType", " ", "\[Rule]", " ", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ContentSize", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"300", ",", "350"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", " ", "\[RuleDelayed]", " ", 
    RowBox[{"{", 
     RowBox[{
     "x0", ",", "y0", ",", "a", ",", "b", ",", "c", ",", "var", ",", "con", 
      ",", "op", ",", "op0", ",", "op1", ",", "op2", ",", "op3", ",", 
      "\[IndentingNewLine]", "op4", ",", "op5", ",", "op6", ",", "op7"}], 
     "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"tolist", "[", "\"\<\>\"", "]"}], "=", "\"\<\>\""}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"makedual", "[", 
         RowBox[{"x_", ",", " ", "h_"}], "]"}], " ", "+", " ", 
        RowBox[{"makedual", "[", 
         RowBox[{"y_", ",", " ", "k_"}], "]"}]}], " ", "^:=", " ", 
       RowBox[{"makedual", "[", 
        RowBox[{
         RowBox[{"x", " ", "+", " ", "y"}], ",", " ", 
         RowBox[{"h", " ", "+", " ", "k"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"makedual", "[", 
         RowBox[{"x_", ",", " ", "h_"}], "]"}], " ", "*", " ", 
        RowBox[{"makedual", " ", "[", 
         RowBox[{"y_", ",", " ", "k_"}], "]"}]}], " ", "^:=", " ", 
       RowBox[{"makedual", "[", 
        RowBox[{
         RowBox[{"x", " ", "y"}], ",", " ", 
         RowBox[{
          RowBox[{"x", " ", "k"}], " ", "+", " ", 
          RowBox[{"y", " ", "h"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"a_", " ", "+", " ", 
        RowBox[{"makedual", "[", 
         RowBox[{"x_", ",", " ", "h_"}], "]"}]}], " ", "^:=", " ", 
       RowBox[{"makedual", "[", 
        RowBox[{
         RowBox[{"a", " ", "+", " ", "x"}], ",", " ", "h"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"a_", " ", 
        RowBox[{"makedual", "[", 
         RowBox[{"x_", ",", " ", "h_"}], "]"}]}], " ", "^:=", " ", 
       RowBox[{"makedual", "[", 
        RowBox[{
         RowBox[{"a", " ", "x"}], ",", " ", 
         RowBox[{"a", " ", "h"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"makedual", "[", 
         RowBox[{"x_", ",", " ", "h_"}], "]"}], "^", 
        RowBox[{"makedual", "[", 
         RowBox[{"y_", ",", " ", "k_"}], "]"}]}], " ", "^:=", " ", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"makedual", "[", 
          RowBox[{"y", ",", "k"}], "]"}], " ", 
         RowBox[{"Log", "[", 
          RowBox[{"makedual", "[", 
           RowBox[{"x", ",", "h"}], "]"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"makedual", "[", 
         RowBox[{"x_", ",", " ", "h_"}], "]"}], "^", "nn_"}], " ", "^:=", " ", 
       RowBox[{"makedual", "[", 
        RowBox[{
         RowBox[{"x", "^", "nn"}], ",", " ", 
         RowBox[{"nn", " ", 
          RowBox[{"x", "^", 
           RowBox[{"(", 
            RowBox[{"nn", "-", "1"}], ")"}]}], " ", "h"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"a_", "^", 
        RowBox[{"makedual", "[", 
         RowBox[{"x_", ",", " ", "h_"}], "]"}]}], " ", "^:=", " ", 
       RowBox[{"makedual", "[", 
        RowBox[{
         RowBox[{"a", "^", "x"}], ",", " ", 
         RowBox[{"h", " ", 
          RowBox[{"a", "^", "x"}], " ", 
          RowBox[{"Log", "[", "a", "]"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f_", "[", 
        RowBox[{"makedual", "[", 
         RowBox[{"x_", ",", " ", "h_"}], "]"}], "]"}], " ", "^:=", " ", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"f", "===", "tolist"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "h"}], "}"}], ",", 
         RowBox[{"makedual", "[", 
          RowBox[{
           RowBox[{"f", "[", "x", "]"}], ",", " ", 
           RowBox[{"h", " ", 
            RowBox[{
             RowBox[{"f", "'"}], "[", "x", "]"}]}]}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"F_", "[", 
        RowBox[{
         RowBox[{"makedual", "[", 
          RowBox[{"x0_", ",", "h_"}], "]"}], ",", " ", 
         RowBox[{"makedual", "[", 
          RowBox[{"y0_", ",", "k_"}], "]"}]}], "]"}], " ", "^:=", " ", 
       "\[IndentingNewLine]", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"makedual", "[", 
           RowBox[{
            RowBox[{"F", "[", 
             RowBox[{"x", ",", "y"}], "]"}], ",", " ", 
            RowBox[{
             RowBox[{"h", " ", 
              RowBox[{"D", "[", 
               RowBox[{
                RowBox[{"F", "[", 
                 RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}]}], "+", 
             " ", 
             RowBox[{"k", " ", 
              RowBox[{"D", "[", 
               RowBox[{
                RowBox[{"F", "[", 
                 RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}]}]}]}], 
           "]"}], " ", "/.", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "\[Rule]", "x0"}], ",", " ", 
            RowBox[{"y", "\[Rule]", "y0"}]}], "}"}]}]}], "]"}]}]}], 
     "\[IndentingNewLine]", ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.459080396610125*^9, 3.459080423471836*^9}, {
   3.459080458850861*^9, 3.459080503885742*^9}, {3.459080581664804*^9, 
   3.459080681810425*^9}, {3.459080745332528*^9, 3.45908076240378*^9}, {
   3.4590808072822237`*^9, 3.459081011983592*^9}, {3.45908109036209*^9, 
   3.459081108090206*^9}, {3.459081142043396*^9, 3.459081257978451*^9}, {
   3.459081467944147*^9, 3.45908147258458*^9}, {3.459081577009872*^9, 
   3.459081584690996*^9}, {3.4590816594272013`*^9, 3.459081712202146*^9}, {
   3.459081745356187*^9, 3.459081782549588*^9}, {3.45908182978753*^9, 
   3.4590818489814157`*^9}, 3.4590829754257107`*^9, {3.459083011019087*^9, 
   3.459083012615552*^9}, {3.4590832436708508`*^9, 3.45908346271957*^9}, {
   3.4590834999961967`*^9, 3.45908350530867*^9}, {3.459083557063644*^9, 
   3.459083576608597*^9}, {3.459083626061111*^9, 3.459083638527361*^9}, {
   3.4590836773828573`*^9, 3.459083933920989*^9}, {3.459083984622464*^9, 
   3.4590840505899153`*^9}, 3.459084094583624*^9, {3.459084130560206*^9, 
   3.459084146005913*^9}, {3.459084190268156*^9, 3.459084196286584*^9}, {
   3.459084257206265*^9, 3.45908425921481*^9}, 3.459084321134575*^9, {
   3.459084371333583*^9, 3.4590843738684177`*^9}, {3.459084740826282*^9, 
   3.459084750253703*^9}, {3.459084807095562*^9, 3.459084810103869*^9}, {
   3.4590849795724163`*^9, 3.459084994684298*^9}, {3.459085070957708*^9, 
   3.459085071213543*^9}, {3.459085131127665*^9, 3.459085175049769*^9}, {
   3.4590852591568623`*^9, 3.459085269656782*^9}, {3.459085312783881*^9, 
   3.459085376643408*^9}, {3.459085474078023*^9, 3.4590855128130493`*^9}, {
   3.459085666660255*^9, 3.459085669059965*^9}, {3.4590863546691113`*^9, 
   3.459086440431939*^9}, {3.4590864716652822`*^9, 3.459086483388563*^9}, {
   3.4590866769257193`*^9, 3.4590867018786592`*^9}, {3.45908914066063*^9, 
   3.459089161435834*^9}, {3.459089966671854*^9, 3.459089969182314*^9}, {
   3.459090100877797*^9, 3.459090102068692*^9}, {3.4590901623195744`*^9, 
   3.459090170377699*^9}, {3.4590946494831657`*^9, 3.459094691016871*^9}, {
   3.459095038309698*^9, 3.459095087291692*^9}, {3.459095131649062*^9, 
   3.4590952440068607`*^9}, {3.459095278650385*^9, 3.459095295145061*^9}, {
   3.4590954135202713`*^9, 3.459095721951868*^9}, {3.4590957603959723`*^9, 
   3.459095793856741*^9}, {3.459095925464476*^9, 3.4590959789084387`*^9}, {
   3.4590960408229218`*^9, 3.459096044942151*^9}, {3.459096262542451*^9, 
   3.4590963050291157`*^9}, {3.459096526355712*^9, 3.459096597679822*^9}, {
   3.459096719103664*^9, 3.459096742125296*^9}, {3.4590967944887133`*^9, 
   3.459096885966172*^9}, {3.4590971225637627`*^9, 3.459097123889884*^9}, {
   3.4590971562362747`*^9, 3.4590971740582647`*^9}, {3.4590974239042253`*^9, 
   3.459097468160881*^9}, {3.459097554188401*^9, 3.459097555523137*^9}, {
   3.459098063091257*^9, 3.459098118681778*^9}, {3.4590981631486588`*^9, 
   3.4590983802548122`*^9}, {3.459098420287778*^9, 3.4590987785102243`*^9}, {
   3.45909881692393*^9, 3.459099052858901*^9}, {3.459099100588603*^9, 
   3.459099262554221*^9}, 3.459099382300593*^9, {3.459099425786281*^9, 
   3.4590994498767157`*^9}, {3.459099599182784*^9, 3.4590996270489283`*^9}, {
   3.459099660999694*^9, 3.459099665262012*^9}, {3.459099726850109*^9, 
   3.45909974465718*^9}, {3.459099782031547*^9, 3.4590997967300243`*^9}, {
   3.459099943136039*^9, 3.45909998129679*^9}, {3.459100064610141*^9, 
   3.459100069044985*^9}, {3.459100460791964*^9, 3.4591005094507732`*^9}, {
   3.45910056442278*^9, 3.459100709494092*^9}, {3.459100742339121*^9, 
   3.459100779857657*^9}, {3.459100830483492*^9, 3.4591008750038023`*^9}, {
   3.459100915761731*^9, 3.459100984989596*^9}, {3.459101354972883*^9, 
   3.459101421829726*^9}, {3.4591014922842207`*^9, 3.4591015829875307`*^9}, {
   3.459101890152295*^9, 3.459102045719161*^9}, {3.459102173825714*^9, 
   3.4591023017792788`*^9}, {3.459102350988386*^9, 3.45910237090556*^9}, 
   3.4591024212054243`*^9, 3.459102577685051*^9, {3.459102638094367*^9, 
   3.459102679207136*^9}, {3.4591027494873753`*^9, 3.459102751430451*^9}, {
   3.45910286770074*^9, 3.459102881519453*^9}, {3.459102967195298*^9, 
   3.459102968297885*^9}, {3.459103325328511*^9, 3.459103336195098*^9}, {
   3.459103477881548*^9, 3.459103478321363*^9}, {3.459103817842795*^9, 
   3.459103853684787*^9}, {3.459103885508304*^9, 3.459103933703774*^9}, {
   3.4591039816261168`*^9, 3.459104065946128*^9}, {3.459104226595235*^9, 
   3.459104348517769*^9}, {3.459104407384511*^9, 3.459104409027339*^9}, {
   3.459104451046381*^9, 3.459104455187665*^9}, {3.4591044868319283`*^9, 
   3.459104488355234*^9}, {3.4591047114890213`*^9, 3.459104711928947*^9}, {
   3.459104861490881*^9, 3.4591049101708183`*^9}, {3.459105139698306*^9, 
   3.459105143084744*^9}, {3.459105382546743*^9, 3.459105383714313*^9}, {
   3.4591054917425833`*^9, 3.459105632152432*^9}, {3.459105722676447*^9, 
   3.459105725027926*^9}, {3.459105777298442*^9, 3.459105778799549*^9}, {
   3.459106007124455*^9, 3.459106009416172*^9}, {3.45911722479906*^9, 
   3.4591172858320923`*^9}, 3.459118338534429*^9, {3.459118377592413*^9, 
   3.4591184040331583`*^9}, {3.4591184753448763`*^9, 
   3.4591185120504417`*^9}, {3.459118600341611*^9, 3.459118626894415*^9}, {
   3.459118673734564*^9, 3.459118688529025*^9}, {3.459118723417864*^9, 
   3.459118731756098*^9}, {3.459118767175611*^9, 3.45911879303897*^9}, {
   3.4591189039671383`*^9, 3.4591189272864113`*^9}, {3.4591189684408216`*^9, 
   3.4591189754068813`*^9}, {3.459120381512147*^9, 3.459120549718087*^9}, {
   3.4591206761234493`*^9, 3.459120697978867*^9}, {3.459120757663246*^9, 
   3.4591207806787567`*^9}, {3.459120946008821*^9, 3.4591209489885902`*^9}, 
   3.459121012330347*^9, {3.459121058978546*^9, 3.459121075570702*^9}, {
   3.4591211481647873`*^9, 3.459121164094665*^9}, {3.459121213797785*^9, 
   3.459121215056052*^9}, {3.459121261042651*^9, 3.459121383519431*^9}, {
   3.4591214498978233`*^9, 3.459121710394064*^9}, {3.459121800145751*^9, 
   3.4591218014247007`*^9}, {3.45912190896164*^9, 3.459121943093586*^9}, {
   3.45912206444464*^9, 3.459122083306615*^9}, {3.4591221339826736`*^9, 
   3.4591221499098577`*^9}, {3.459122193192256*^9, 3.459122231022708*^9}, {
   3.45912237659942*^9, 3.459122389003302*^9}, {3.459123643178829*^9, 
   3.459123685168232*^9}, {3.459123767930045*^9, 3.459123770102124*^9}, {
   3.459123870089375*^9, 3.459123877798167*^9}, {3.459123929550231*^9, 
   3.4591239751120157`*^9}, {3.459124061415786*^9, 3.459124062511478*^9}, {
   3.459124223476968*^9, 3.4591242469496803`*^9}, {3.459124283471759*^9, 
   3.4591242855695353`*^9}, {3.4591243451913443`*^9, 
   3.4591244210675287`*^9}, {3.459124763406241*^9, 3.459124774505562*^9}, {
   3.459125042620449*^9, 3.459125046273034*^9}, {3.459149880999546*^9, 
   3.45915000110474*^9}, 3.459150050405216*^9, {3.459150083548366*^9, 
   3.45915011763734*^9}, {3.4591501485105*^9, 3.459150212469037*^9}, {
   3.459150350551366*^9, 3.459150360414649*^9}, {3.459150399098961*^9, 
   3.4591503998498173`*^9}, {3.4591505770398483`*^9, 3.459150577902575*^9}, {
   3.459150615664734*^9, 3.459150719405076*^9}, {3.45915086486335*^9, 
   3.459150917344347*^9}, {3.459150947764948*^9, 3.459150952230226*^9}, {
   3.459151009238194*^9, 3.459151021338593*^9}, {3.459151058228773*^9, 
   3.459151087990615*^9}, {3.4591516295883503`*^9, 3.4591517522795267`*^9}, {
   3.459151793689251*^9, 3.45915189712542*^9}, {3.459152008516152*^9, 
   3.4591520169171047`*^9}, 3.459152082588133*^9, {3.459152147652919*^9, 
   3.459152149909984*^9}, {3.459152375160103*^9, 3.459152388949247*^9}, {
   3.459152428875334*^9, 3.459152459197763*^9}, {3.4591525088689747`*^9, 
   3.4591525458220587`*^9}, 3.459153039236515*^9, {3.459153152802647*^9, 
   3.459153155706108*^9}, {3.459153193586051*^9, 3.459153213908692*^9}, {
   3.4591534505012493`*^9, 3.459153452645677*^9}, {3.459153485022532*^9, 
   3.459153488131527*^9}, {3.459153520071335*^9, 3.4591535473429937`*^9}, {
   3.459153676562928*^9, 3.459153694727914*^9}, {3.459154019742689*^9, 
   3.4591540399167767`*^9}, {3.459154080301673*^9, 3.459154082001689*^9}, {
   3.459154140428646*^9, 3.459154184104394*^9}, 3.459154326480201*^9, {
   3.459154462916093*^9, 3.459154471549589*^9}, {3.4591547274549017`*^9, 
   3.459154731827941*^9}, {3.459155101517612*^9, 3.4591552055098867`*^9}, {
   3.459155304809189*^9, 3.459155309109358*^9}, {3.459155458417453*^9, 
   3.4591554694397373`*^9}, {3.4591555139959373`*^9, 
   3.4591556142991333`*^9}, {3.459155708195153*^9, 3.459155715957539*^9}, {
   3.4591557876156883`*^9, 3.459155788459676*^9}, {3.4591558471618357`*^9, 
   3.459155878659172*^9}, {3.459156006759556*^9, 3.4591560114914627`*^9}, {
   3.459156135908886*^9, 3.4591561470238543`*^9}, {3.4591605075028553`*^9, 
   3.459160510274726*^9}, {3.459160559661974*^9, 3.459160578780892*^9}, {
   3.4591607678713827`*^9, 3.4591607685851097`*^9}, {3.459160803292897*^9, 
   3.459160808035141*^9}, {3.459161156133519*^9, 3.459161211272682*^9}, 
   3.459161349269328*^9, {3.4591614144204884`*^9, 3.459161470782057*^9}, {
   3.4591615281677856`*^9, 3.459161555521492*^9}, {3.459164952451194*^9, 
   3.459164958760622*^9}, {3.459166012079217*^9, 3.4591660142168713`*^9}, {
   3.459166107758444*^9, 3.459166111209206*^9}, {3.45916856360723*^9, 
   3.459168598812533*^9}, {3.4593681038030853`*^9, 3.459368129800905*^9}, {
   3.45936821439885*^9, 3.4593682252660313`*^9}, {3.459377813135242*^9, 
   3.4593778264921637`*^9}, {3.4595148579220715`*^9, 
   3.4595149015704355`*^9}, {3.4595149457718554`*^9, 
   3.4595149461398926`*^9}, {3.459514988252103*^9, 3.459515054355713*^9}, {
   3.459516929974256*^9, 3.459516934162675*^9}, 3.45969562319547*^9, 
   3.459695677921956*^9, {3.4596957874439583`*^9, 3.4596958505957003`*^9}, {
   3.459695968004118*^9, 3.459696008402092*^9}, {3.459696043248128*^9, 
   3.459696066145783*^9}, {3.459696417123693*^9, 3.4596965021618967`*^9}, {
   3.459696557362265*^9, 3.4596965681552773`*^9}, {3.459696741851865*^9, 
   3.459696758276232*^9}, 3.459696862417782*^9, {3.459696967058255*^9, 
   3.4596969907451973`*^9}, {3.459697142542013*^9, 3.459697144988391*^9}, {
   3.459697274799386*^9, 3.4596972776435413`*^9}, {3.459697547414591*^9, 
   3.459697552763693*^9}, 3.459697592056531*^9, {3.459697680228067*^9, 
   3.4596977386640987`*^9}, 3.459697960571924*^9, {3.459698832133342*^9, 
   3.459698833501807*^9}, {3.459698873274522*^9, 3.459698884038249*^9}, 
   3.459698988606291*^9, {3.459793051324996*^9, 3.459793062215621*^9}, {
   3.460938951984104*^9, 3.460938967558894*^9}, {3.4609390199440107`*^9, 
   3.460939082735367*^9}, {3.460939257812608*^9, 3.460939267343328*^9}, 
   3.460960691467188*^9, {3.460960752200202*^9, 3.4609607816599092`*^9}, {
   3.4609608309375477`*^9, 3.460960873730686*^9}, {3.4609610742197227`*^9, 
   3.460961079097252*^9}, {3.460961117425571*^9, 3.4609611484734383`*^9}, {
   3.460961262931222*^9, 3.460961265645381*^9}, {3.460961372637501*^9, 
   3.460961394630271*^9}, {3.4609614263329678`*^9, 3.4609614824048223`*^9}, {
   3.460961571076749*^9, 3.460961603956771*^9}, {3.46096165543661*^9, 
   3.460961663026033*^9}, {3.46096182701892*^9, 3.460961842764462*^9}, {
   3.460961947275947*^9, 3.460961951193025*^9}, {3.46096198713682*^9, 
   3.4609620168663483`*^9}, {3.460962453225263*^9, 3.460962464626574*^9}, {
   3.460962564599811*^9, 3.460962584122161*^9}, {3.460962673956477*^9, 
   3.460962679668913*^9}, {3.460962758184107*^9, 3.46096276864431*^9}, {
   3.4609628342265*^9, 3.460962836240017*^9}, {3.4609628774936447`*^9, 
   3.4609629008803043`*^9}, {3.460963076316107*^9, 3.460963121717657*^9}, {
   3.4609692380594053`*^9, 3.460969270910191*^9}, {3.460969473513373*^9, 
   3.460969506041636*^9}, {3.460969757690007*^9, 3.460969787959435*^9}, {
   3.460995786327643*^9, 3.460995945999298*^9}, {3.4609959815499*^9, 
   3.460996002659753*^9}, {3.460996125690547*^9, 3.460996137238298*^9}, {
   3.4609961875616426`*^9, 3.46099618908445*^9}, {3.460996290934052*^9, 
   3.460996311628604*^9}, {3.460996580843089*^9, 3.460996583402576*^9}, {
   3.460996680846489*^9, 3.4609966836649847`*^9}, {3.460996730763731*^9, 
   3.4609967400067*^9}, {3.4610116339545107`*^9, 3.4610116537826357`*^9}, {
   3.4610118263138857`*^9, 3.4610118362982607`*^9}, {3.4610118783295107`*^9, 
   3.4610120001732607`*^9}, 3.4610120506263857`*^9, {3.4610120956576357`*^9, 
   3.4610120992982607`*^9}, {3.4610122391576357`*^9, 3.461012323458268*^9}, {
   3.4610137666787558`*^9, 3.4610137849912558`*^9}, {3.4610138300537558`*^9, 
   3.4610138558506308`*^9}, {3.4610138914756308`*^9, 3.4610138994443808`*^9}, 
   3.4610140069756308`*^9, 3.4610141167256308`*^9, {3.4610141692725058`*^9, 
   3.4610141987256308`*^9}, 3.4610142471475058`*^9, 3.4610143295989237`*^9, {
   3.461014368690172*^9, 3.461014402047412*^9}, {3.4610144420448523`*^9, 
   3.4610144502318277`*^9}, {3.461014484448388*^9, 3.4610145016972837`*^9}, {
   3.4610821619595633`*^9, 3.461082162076993*^9}, {3.4610822224833593`*^9, 
   3.461082223594578*^9}, 3.461082262079957*^9, 3.4610823770186663`*^9, {
   3.462094127617839*^9, 3.4620941834969883`*^9}, {3.4620942201367903`*^9, 
   3.462094318829154*^9}, {3.4620947437671432`*^9, 3.462094751992715*^9}, {
   3.462094893667597*^9, 3.4620949300191317`*^9}, {3.4620949636300297`*^9, 
   3.462094967716568*^9}, {3.4620951821237917`*^9, 3.462095206736698*^9}, {
   3.462095330560904*^9, 3.462095347929956*^9}, {3.462096702281179*^9, 
   3.462096709449698*^9}, {3.462097982475998*^9, 3.4620979939502363`*^9}, {
   3.462104817968217*^9, 3.46210481981428*^9}, {3.4621050974640303`*^9, 
   3.462105105395925*^9}, {3.4621051450640707`*^9, 3.462105156848502*^9}, {
   3.4621051909825783`*^9, 3.4621052222962523`*^9}, {3.4621093629457903`*^9, 
   3.4621094216139927`*^9}, {3.4622122939416122`*^9, 3.462212341159931*^9}, {
   3.46221326944072*^9, 3.4622133292122583`*^9}, {3.462213368405507*^9, 
   3.462213374760474*^9}, {3.462213510389991*^9, 3.462213546128622*^9}, {
   3.462213594333419*^9, 3.462213689917799*^9}, {3.462215279193886*^9, 
   3.462215296070249*^9}, {3.462215358762501*^9, 3.462215424432612*^9}, {
   3.4622154654502*^9, 3.462215566133589*^9}, {3.462215609271299*^9, 
   3.462215618855093*^9}, {3.462215823827763*^9, 3.462215844122719*^9}, {
   3.4622158762445383`*^9, 3.4622159846972437`*^9}, {3.462216018809658*^9, 
   3.462216045602747*^9}, {3.462216222287054*^9, 3.462216248132886*^9}, {
   3.4622163204605417`*^9, 3.462216321352839*^9}, {3.4622167566235847`*^9, 
   3.462216780546175*^9}, {3.46221685922103*^9, 3.462216859972185*^9}, {
   3.462217166077375*^9, 3.462217187868966*^9}, {3.46221961861896*^9, 
   3.462219623023286*^9}, {3.4622196822766247`*^9, 3.462219701087947*^9}, {
   3.4622197894941196`*^9, 3.462219872001305*^9}, {3.462220107826936*^9, 
   3.462220132710792*^9}, {3.4622204932299967`*^9, 3.4622204979365664`*^9}, {
   3.462220589838064*^9, 3.462220597594246*^9}, {3.4622206618153687`*^9, 
   3.462220687220326*^9}, {3.462220717987474*^9, 3.462220725466799*^9}, {
   3.462221255035128*^9, 3.4622213245583982`*^9}, {3.462221431064487*^9, 
   3.4622214347662582`*^9}, {3.462221491227064*^9, 3.4622215455196247`*^9}, {
   3.462429715686488*^9, 3.462429745393124*^9}},
 CellID->1915562561]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 1, $CellContext`b$$ = 
    2, $CellContext`c$$ = 
    3, $CellContext`clickedlist$$ = {}, $CellContext`con$$ = 
    "", $CellContext`lastx$$ = "", $CellContext`op$$ = 
    "", $CellContext`op0$$ = "", $CellContext`op1$$ = "", $CellContext`op2$$ =
     "", $CellContext`op3$$ = "", $CellContext`op4$$ = 
    "", $CellContext`op5$$ = "", $CellContext`op6$$ = "", $CellContext`op7$$ =
     "", $CellContext`stack$$ = {""}, $CellContext`store$$ = {
    "", "", ""}, $CellContext`var$$ = "", $CellContext`x0$$ = 
    2, $CellContext`y0$$ = 3, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x0$$], 2, "\!\(\*SubscriptBox[\(x\), \(0\)]\)"}, -10,
       10, 0.01}, {{
       Hold[$CellContext`y0$$], 3, "\!\(\*SubscriptBox[\(y\), \(0\)]\)"}, -10,
       10, 0.01}, {{
       Hold[$CellContext`a$$], 1}, -10, 10, 0.01}, {{
       Hold[$CellContext`b$$], 2}, -10, 10, 0.01}, {{
       Hold[$CellContext`c$$], 3}, -10, 10, 0.01}, {{
       Hold[$CellContext`var$$], "", "enter"}, {
      "", "x+e", "x+\!\(\*SubscriptBox[\(e\), \(1\)]\)", 
       "y+\!\(\*SubscriptBox[\(e\), \(2\)]\)"}}, {{
       Hold[$CellContext`con$$], "", ""}, {"a", "b", "c"}}, {{
       Hold[$CellContext`op$$], "", "op"}, {"", "-", "+", "*", "/"}}, {{
       Hold[$CellContext`op0$$], "", ""}, {"", "f", "g", "h", "F"}}, {{
       Hold[$CellContext`op1$$], "", ""}, {"", "1/x", "ln", "e^x"}}, {{
       Hold[$CellContext`op2$$], "", ""}, {"", "y^x", "log", "10^x"}}, {{
       Hold[$CellContext`op3$$], "", ""}, {"", "x^2", "sin", "cos", "tan"}}, {{
       Hold[$CellContext`op4$$], "", ""}, {
      "", "x^(1/2)", "asin", "acos", "atan"}}, {{
       Hold[$CellContext`op5$$], "", ""}, {
      "", "x<->y", "chs", "pop", "clear"}}, {{
       Hold[$CellContext`op6$$], "", ""}, {"sto1", "sto2", "sto3"}}, {{
       Hold[$CellContext`op7$$], "", ""}, {
      "rcl1", "rcl2", "rcl3", "lastx"}}, {{
       Hold[$CellContext`stack$$], {""}}}, {{
       Hold[$CellContext`store$$], {"", "", ""}}}, {{
       Hold[$CellContext`clickedlist$$], {}}}, {{
       Hold[$CellContext`lastx$$], ""}}}, Typeset`size$$ = {
    167., {81., 138.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`x0$158833$$ = 
    0, $CellContext`y0$158834$$ = 0, $CellContext`a$158835$$ = 
    0, $CellContext`b$158836$$ = 0, $CellContext`c$158837$$ = 
    0, $CellContext`var$158838$$ = 0, $CellContext`con$158839$$ = 
    0, $CellContext`op$158840$$ = 0, $CellContext`op0$158841$$ = 
    0, $CellContext`op1$158842$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 1, $CellContext`b$$ = 
        2, $CellContext`c$$ = 
        3, $CellContext`clickedlist$$ = {}, $CellContext`con$$ = 
        "", $CellContext`lastx$$ = "", $CellContext`op$$ = 
        "", $CellContext`op0$$ = "", $CellContext`op1$$ = 
        "", $CellContext`op2$$ = "", $CellContext`op3$$ = 
        "", $CellContext`op4$$ = "", $CellContext`op5$$ = 
        "", $CellContext`op6$$ = "", $CellContext`op7$$ = 
        "", $CellContext`stack$$ = {""}, $CellContext`store$$ = {
         "", "", ""}, $CellContext`var$$ = "", $CellContext`x0$$ = 
        2, $CellContext`y0$$ = 3}, "ControllerVariables" :> {
        Hold[$CellContext`x0$$, $CellContext`x0$158833$$, 0], 
        Hold[$CellContext`y0$$, $CellContext`y0$158834$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$158835$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$158836$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$158837$$, 0], 
        Hold[$CellContext`var$$, $CellContext`var$158838$$, 0], 
        Hold[$CellContext`con$$, $CellContext`con$158839$$, 0], 
        Hold[$CellContext`op$$, $CellContext`op$158840$$, 0], 
        Hold[$CellContext`op0$$, $CellContext`op0$158841$$, 0], 
        Hold[$CellContext`op1$$, $CellContext`op1$158842$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`v1$ = 
         "", $CellContext`v2$, $CellContext`pairs$, $CellContext`clicked$, \
$CellContext`stored$, $CellContext`lenstack$}, $CellContext`lenstack$ = 
         Length[$CellContext`stack$$]; 
        If[$CellContext`lenstack$ > 1, $CellContext`v1$ = 
          Part[$CellContext`stack$$, 1]]; 
        If[$CellContext`lenstack$ > 2, $CellContext`v2$ = 
          Part[$CellContext`stack$$, 2]]; If[$CellContext`lenstack$ > 2, 
          
          Which[$CellContext`op$$ == 
           "-", $CellContext`stack$$ = Rest[$CellContext`stack$$]; 
           Part[$CellContext`stack$$, 
              1] = $CellContext`v2$ - $CellContext`v1$; 
           Null, $CellContext`op$$ == 
           "+", $CellContext`stack$$ = Rest[$CellContext`stack$$]; 
           Part[$CellContext`stack$$, 
              1] = $CellContext`v1$ + $CellContext`v2$; 
           Null, $CellContext`op$$ == 
           "*", $CellContext`stack$$ = Rest[$CellContext`stack$$]; 
           Part[$CellContext`stack$$, 1] = $CellContext`v1$ $CellContext`v2$; 
           Null, $CellContext`op$$ == 
           "/", $CellContext`stack$$ = Rest[$CellContext`stack$$]; 
           Part[$CellContext`stack$$, 1] = $CellContext`v2$/$CellContext`v1$; 
           Null, $CellContext`op0$$ == 
           "F", $CellContext`stack$$ = Rest[$CellContext`stack$$]; 
           Part[$CellContext`stack$$, 1] = 
            "F"[$CellContext`v1$, $CellContext`v2$], $CellContext`op2$$ == 
           "y^x", $CellContext`stack$$ = Rest[$CellContext`stack$$]; 
           Part[$CellContext`stack$$, 
              1] = $CellContext`v2$^$CellContext`v1$, $CellContext`op5$$ == 
           "x<->y", Part[$CellContext`stack$$, 1] = $CellContext`v2$; 
           Part[$CellContext`stack$$, 2] = $CellContext`v1$]]; 
        If[$CellContext`lenstack$ > 1, 
          
          Which[$CellContext`op0$$ == "f", Part[$CellContext`stack$$, 1] = 
           "f"[$CellContext`v1$], $CellContext`op0$$ == "g", 
           Part[$CellContext`stack$$, 1] = 
           "g"[$CellContext`v1$], $CellContext`op0$$ == "h", 
           Part[$CellContext`stack$$, 1] = 
           "h"[$CellContext`v1$], $CellContext`op1$$ == "1/x", 
           If[
            Or[
            Part[$CellContext`v1$, 1] === 0, Part[$CellContext`v1$, 1] == 
             0.], $CellContext`op1$$ = "", Part[$CellContext`stack$$, 1] = 
            1/$CellContext`v1$], $CellContext`op1$$ == "ln", 
           If[
            Or[
            Part[$CellContext`v1$, 1] === 0, Part[$CellContext`v1$, 1] == 
             0.], $CellContext`op1$$ = "", Part[$CellContext`stack$$, 1] = 
            Log[$CellContext`v1$]], $CellContext`op1$$ == "e^x", 
           Part[$CellContext`stack$$, 1] = 
           Exp[$CellContext`v1$], $CellContext`op2$$ == "log", 
           If[
            Or[
            Part[$CellContext`v1$, 1] === 0, Part[$CellContext`v1$, 1] == 
             0.], $CellContext`op2$$ = "", Part[$CellContext`stack$$, 1] = 
            Log[$CellContext`v1$]/Log[10]], $CellContext`op2$$ == "10^x", 
           Part[$CellContext`stack$$, 1] = 
           10^$CellContext`v1$, $CellContext`op3$$ == "x^2", 
           Part[$CellContext`stack$$, 
             1] = $CellContext`v1$^2, $CellContext`op3$$ == "sin", 
           Part[$CellContext`stack$$, 1] = 
           Sin[$CellContext`v1$], $CellContext`op3$$ == "cos", 
           Part[$CellContext`stack$$, 1] = 
           Cos[$CellContext`v1$], $CellContext`op3$$ == "tan", 
           Part[$CellContext`stack$$, 1] = 
           Tan[$CellContext`v1$], $CellContext`op4$$ == "x^(1/2)", 
           Part[$CellContext`stack$$, 1] = $CellContext`v1$^(1/
             2), $CellContext`op4$$ == "asin", Part[$CellContext`stack$$, 1] = 
           ArcSin[$CellContext`v1$], $CellContext`op4$$ == "acos", 
           Part[$CellContext`stack$$, 1] = 
           ArcCos[$CellContext`v1$], $CellContext`op4$$ == "atan", 
           Part[$CellContext`stack$$, 1] = 
           ArcTan[$CellContext`v1$], $CellContext`op5$$ == "chs", 
           Part[$CellContext`stack$$, 
             1] = -$CellContext`v1$, $CellContext`op5$$ == 
           "pop", $CellContext`stack$$ = 
           Rest[$CellContext`stack$$], $CellContext`op6$$ == "sto1", 
           Part[$CellContext`store$$, 1] = 
           Part[$CellContext`stack$$, 1], $CellContext`op6$$ == "sto2", 
           Part[$CellContext`store$$, 2] = 
           Part[$CellContext`stack$$, 1], $CellContext`op6$$ == "sto3", 
           Part[$CellContext`store$$, 3] = Part[$CellContext`stack$$, 1]]]; 
        Which[$CellContext`var$$ == "x+e", $CellContext`stack$$ = 
          Prepend[$CellContext`stack$$, 
            $CellContext`makedual[$CellContext`x, 1]], $CellContext`var$$ == 
          "x+\!\(\*SubscriptBox[\(e\), \(1\)]\)", $CellContext`stack$$ = 
          Prepend[$CellContext`stack$$, 
            $CellContext`makedual[$CellContext`x, {1, 
             0}]], $CellContext`var$$ == 
          "y+\!\(\*SubscriptBox[\(e\), \(2\)]\)", $CellContext`stack$$ = 
          Prepend[$CellContext`stack$$, 
            $CellContext`makedual[$CellContext`y, {0, 
             1}]], $CellContext`con$$ == "a", $CellContext`stack$$ = 
          Prepend[$CellContext`stack$$, 
            $CellContext`makedual[$CellContext`a$$, 0]], $CellContext`con$$ == 
          "b", $CellContext`stack$$ = Prepend[$CellContext`stack$$, 
            $CellContext`makedual[$CellContext`b$$, 0]], $CellContext`con$$ == 
          "c", $CellContext`stack$$ = Prepend[$CellContext`stack$$, 
            $CellContext`makedual[$CellContext`c$$, 0]], $CellContext`op5$$ == 
          "clear", $CellContext`stack$$ = {""}; $CellContext`store$$ = {
            "", "", ""}; $CellContext`clickedlist$$ = {}; \
$CellContext`lastx$$ = ""; $CellContext`op5$$ = "", $CellContext`op7$$ == 
          "rcl1", 
          If[
          Part[$CellContext`store$$, 1] === "", $CellContext`op7$$ = 
           "", $CellContext`stack$$ = Prepend[$CellContext`stack$$, 
             Part[$CellContext`store$$, 1]]], $CellContext`op7$$ == "rcl2", 
          If[
          Part[$CellContext`store$$, 2] === "", $CellContext`op7$$ = 
           "", $CellContext`stack$$ = Prepend[$CellContext`stack$$, 
             Part[$CellContext`store$$, 2]]], $CellContext`op7$$ == "rcl3", 
          If[
          Part[$CellContext`store$$, 3] === "", $CellContext`op7$$ = 
           "", $CellContext`stack$$ = Prepend[$CellContext`stack$$, 
             Part[$CellContext`store$$, 3]]], $CellContext`op7$$ == "lastx", 
          
          If[$CellContext`lastx$$ === "", $CellContext`op7$$ = 
           "", $CellContext`stack$$ = 
           Prepend[$CellContext`stack$$, $CellContext`lastx$$]]]; \
$CellContext`clicked$ = {$CellContext`var$$, $CellContext`con$$, \
$CellContext`op$$, $CellContext`op0$$, $CellContext`op1$$, \
$CellContext`op2$$, $CellContext`op3$$, $CellContext`op4$$, \
$CellContext`op5$$, $CellContext`op6$$, $CellContext`op7$$}; 
        If[{$CellContext`var$$, $CellContext`con$$, $CellContext`op$$, \
$CellContext`op0$$, $CellContext`op1$$, $CellContext`op2$$, \
$CellContext`op3$$, $CellContext`op4$$, $CellContext`op5$$, \
$CellContext`op6$$, $CellContext`op7$$} == {
           "", "", "", "", "", "", "", "", "", "", ""}, Null, 
          If[
           
           And[$CellContext`lenstack$ == 
            1, {$CellContext`var$$, $CellContext`con$$} == {"", ""}], Null, 
           If[
            And[$CellContext`lenstack$ == 2, 
             
             Or[{$CellContext`op1$$, $CellContext`op3$$, $CellContext`op4$$, \
$CellContext`op6$$} == {"", "", "", ""}, $CellContext`op0$$ == 
              "F", $CellContext`op2$$ == "y^x", $CellContext`op5$$ == 
              "x<->y"]], 
            Null, $CellContext`clickedlist$$ = 
             Join[$CellContext`clickedlist$$, 
               Cases[$CellContext`clicked$, 
                Except[
                ""]]]; $CellContext`lastx$$ = $CellContext`v1$]]]; \
{$CellContext`var$$, $CellContext`con$$, $CellContext`op$$, \
$CellContext`op0$$, $CellContext`op1$$, $CellContext`op2$$, \
$CellContext`op3$$, $CellContext`op4$$, $CellContext`op5$$, \
$CellContext`op6$$, $CellContext`op7$$} = {
          "", "", "", "", "", "", "", "", "", "", ""}; $CellContext`pairs$ = 
         Drop[
           
           Map[$CellContext`tolist, $CellContext`stack$$], -1]; \
$CellContext`stored$ = Map[$CellContext`tolist, $CellContext`store$$]; Quiet[
          Text[
           Labeled[
            Column[{"", 
              Row[{$CellContext`clickedlist$$}], "", 
              TraditionalForm[
               Grid[
                Simplify[$CellContext`pairs$], Frame -> All]], "", 
              TraditionalForm[
               Grid[
                Simplify[
                 
                 ReplaceAll[$CellContext`pairs$, {$CellContext`x -> \
$CellContext`x0$$, $CellContext`y -> $CellContext`y0$$}]], Frame -> All]], "", 
              TraditionalForm[
               
               Grid[{{"sto1", "sto2", "sto3"}, $CellContext`stored$}, Frame -> 
                All]]}], 
            Row[{"clicked list, \nstack, \nvalue at ", 
              Subscript[
               Style["x", Italic], 0], " = ", $CellContext`x0$$, ", or (", 
              Subscript[
               Style["x", Italic], 0], ", ", 
              Subscript[
               Style["y", Italic], 0], ") = (", $CellContext`x0$$, 
              ",", $CellContext`y0$$, ")"}], Top]]]], 
      "Specifications" :> {{{$CellContext`x0$$, 2, 
          "\!\(\*SubscriptBox[\(x\), \(0\)]\)"}, -10, 10, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Small}, {{$CellContext`y0$$, 3, 
          "\!\(\*SubscriptBox[\(y\), \(0\)]\)"}, -10, 10, 0.01, Appearance -> 
         "Labeled", ImageSize -> Small}, {{$CellContext`a$$, 1}, -10, 10, 
         0.01, Appearance -> "Labeled", ImageSize -> 
         Small}, {{$CellContext`b$$, 2}, -10, 10, 0.01, Appearance -> 
         "Labeled", ImageSize -> Small}, {{$CellContext`c$$, 3}, -10, 10, 
         0.01, Appearance -> "Labeled", ImageSize -> 
         Small}, {{$CellContext`var$$, "", "enter"}, {
         "", "x+e", "x+\!\(\*SubscriptBox[\(e\), \(1\)]\)", 
          "y+\!\(\*SubscriptBox[\(e\), \(2\)]\)"}}, {{$CellContext`con$$, "", 
          ""}, {"a", "b", "c"}}, {{$CellContext`op$$, "", "op"}, {
         "", "-", "+", "*", "/"}}, {{$CellContext`op0$$, "", ""}, {
         "", "f", "g", "h", "F"}}, {{$CellContext`op1$$, "", ""}, {
         "", "1/x", "ln", "e^x"}}, {{$CellContext`op2$$, "", ""}, {
         "", "y^x", "log", "10^x"}}, {{$CellContext`op3$$, "", ""}, {
         "", "x^2", "sin", "cos", "tan"}}, {{$CellContext`op4$$, "", ""}, {
         "", "x^(1/2)", "asin", "acos", "atan"}}, {{$CellContext`op5$$, "", 
          ""}, {"", "x<->y", "chs", "pop", "clear"}}, {{$CellContext`op6$$, 
          "", ""}, {"sto1", "sto2", "sto3"}}, {{$CellContext`op7$$, "", ""}, {
         "rcl1", "rcl2", "rcl3", "lastx"}}, {{$CellContext`stack$$, {""}}, 
         ControlType -> None}, {{$CellContext`store$$, {"", "", ""}}, 
         ControlType -> None}, {{$CellContext`clickedlist$$, {}}, ControlType -> 
         None}, {{$CellContext`lastx$$, ""}, ControlType -> None}}, 
      "Options" :> {
       ContentSize -> {300, 350}, 
        TrackedSymbols :> {$CellContext`x0$$, $CellContext`y0$$, \
$CellContext`a$$, $CellContext`b$$, $CellContext`c$$, $CellContext`var$$, \
$CellContext`con$$, $CellContext`op$$, $CellContext`op0$$, \
$CellContext`op1$$, $CellContext`op2$$, $CellContext`op3$$, \
$CellContext`op4$$, $CellContext`op5$$, $CellContext`op6$$, \
$CellContext`op7$$}, AutorunSequencing -> {1, 2}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{502., {201., 206.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`tolist[""] = ""; 
      UpSetDelayed[$CellContext`makedual[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]]] + $CellContext`makedual[
          Pattern[$CellContext`y, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]], 
        $CellContext`makedual[$CellContext`x + $CellContext`y, $CellContext`h + \
$CellContext`k]]; UpSetDelayed[$CellContext`makedual[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]]] $CellContext`makedual[
          Pattern[$CellContext`y, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]], 
        $CellContext`makedual[$CellContext`x $CellContext`y, $CellContext`x \
$CellContext`k + $CellContext`y $CellContext`h]]; 
      UpSetDelayed[Pattern[$CellContext`a, 
          Blank[]] + $CellContext`makedual[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]]], 
        $CellContext`makedual[$CellContext`a + $CellContext`x, \
$CellContext`h]]; UpSetDelayed[Pattern[$CellContext`a, 
          Blank[]] $CellContext`makedual[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]]], 
        $CellContext`makedual[$CellContext`a $CellContext`x, $CellContext`a \
$CellContext`h]]; UpSetDelayed[$CellContext`makedual[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]]]^$CellContext`makedual[
          Pattern[$CellContext`y, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]], 
        Exp[$CellContext`makedual[$CellContext`y, $CellContext`k] Log[
           $CellContext`makedual[$CellContext`x, $CellContext`h]]]]; 
      UpSetDelayed[$CellContext`makedual[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]]]^Pattern[$CellContext`nn, 
          Blank[]], 
        $CellContext`makedual[$CellContext`x^$CellContext`nn, \
($CellContext`nn $CellContext`x^($CellContext`nn - 1)) $CellContext`h]]; 
      UpSetDelayed[Pattern[$CellContext`a, 
          Blank[]]^$CellContext`makedual[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]]], 
        $CellContext`makedual[$CellContext`a^$CellContext`x, ($CellContext`h \
$CellContext`a^$CellContext`x) Log[$CellContext`a]]]; UpSetDelayed[
        Pattern[$CellContext`f, 
         Blank[]][
         $CellContext`makedual[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]]]], 
        If[$CellContext`f === $CellContext`tolist, {$CellContext`x, \
$CellContext`h}, 
         $CellContext`makedual[
          $CellContext`f[$CellContext`x], $CellContext`h 
          Derivative[1][$CellContext`f][$CellContext`x]]]]; UpSetDelayed[
        Pattern[$CellContext`F, 
         Blank[]][
         $CellContext`makedual[
          Pattern[$CellContext`x0, 
           Blank[]], 
          Pattern[$CellContext`h, 
           Blank[]]], 
         $CellContext`makedual[
          Pattern[$CellContext`y0, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]]], 
        Module[{$CellContext`x, $CellContext`y}, 
         ReplaceAll[
          $CellContext`makedual[
           $CellContext`F[$CellContext`x, $CellContext`y], $CellContext`h D[
              $CellContext`F[$CellContext`x, $CellContext`y], $CellContext`x] + \
$CellContext`k D[
              $CellContext`F[$CellContext`x, $CellContext`y], \
$CellContext`y]], {$CellContext`x -> $CellContext`x0, $CellContext`y -> \
$CellContext`y0}]]]); Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->165436932],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Automatic Differentiation",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AutomaticDifferentiation/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/AutomaticDifferentiation/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/AutomaticDifferentiation/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AutomaticDifferentiation/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/AutomaticDifferentiation/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Roger B. Kirchner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Roger+B.+\
Kirchner"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Roger+B.+Kirchner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
AutomaticDifferentiation"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Automatic Differentiation - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[615, 23, 217, 4, 70, "Section"],
Cell[835, 29, 49413, 1028, 70, "Input",
 CellID->1915562561]
}, Open  ]],
Cell[50263, 1060, 20300, 398, 70, "Output",
 CellID->165436932],
Cell[CellGroupData[{
Cell[70588, 1462, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[70964, 1473, 928, 26, 70, "Text"],
Cell[71895, 1501, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[72235, 1512, 445, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[72705, 1530, 847, 24, 70, "Text"],
Cell[73555, 1556, 1200, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature VQjQCRu#NBTi2Bph0JkQczGn *)
