(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    112870,       2721]
NotebookOptionsPosition[    111719,       2680]
NotebookOutlinePosition[    112355,       2704]
CellTagsIndexPosition[    112312,       2701]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Calculus-Free Derivatives of Sine and Cosine", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"smSqr", " ", "=", 
   RowBox[{"1", "/", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"projD", " ", "=", " ", 
   RowBox[{"Pi", "+", "smSqr"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"projX", " ", "=", " ", 
   RowBox[{"-", "projD"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"projY", " ", "=", " ", "projD"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"projZ", " ", "=", " ", 
    RowBox[{"-", "projD"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sinColor", "=", "Red"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cosColor", "=", 
   RowBox[{"RGBColor", "[", 
    RowBox[{"0", ",", "0.75", ",", "0"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cirColor", "=", "Blue"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"lSin", "[", 
    RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"k", "\[Equal]", "0"}], ",", "t", ",", 
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"k", "*", "t"}], "]"}], "/", "k"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"lCos", "[", 
     RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"k", "\[Equal]", "0"}], ",", "0", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"Cos", "[", 
          RowBox[{"k", "*", "t"}], "]"}]}], ")"}], "/", "k"}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"helSurf", " ", "=", " ", 
   RowBox[{"Function", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k", ",", "u", ",", "v"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"lSin", "[", 
        RowBox[{"k", ",", "u"}], "]"}], ",", 
       RowBox[{
        RowBox[{"lCos", "[", 
         RowBox[{"k", ",", "u"}], "]"}], "-", "1"}], ",", "v"}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sqrSurf", " ", "=", " ", 
    RowBox[{"Function", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"k", ",", "t", ",", "u", ",", "v"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"u", "/", "Pi"}], "*", "smSqr", "*", 
          RowBox[{"Cos", "[", 
           RowBox[{"k", "*", "t"}], "]"}]}], "+", 
         RowBox[{"lSin", "[", 
          RowBox[{"k", ",", "t"}], "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"u", "/", "Pi"}], "*", "smSqr", "*", 
          RowBox[{"Sin", "[", 
           RowBox[{"k", "*", "t"}], "]"}]}], "+", 
         RowBox[{"lCos", "[", 
          RowBox[{"k", ",", "t"}], "]"}], "-", "1"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"v", "/", "Pi"}], "*", "smSqr"}], "+", "t"}]}], 
       "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"arcSurf", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"Pi", "+", "#3"}], ")"}], "/", "2"}], "/", "Pi"}], "*", 
        RowBox[{"Sin", "[", 
         RowBox[{"#2", "*", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"Pi", "+", "#4"}], ")"}], "/", "2"}], "/", "Pi"}]}], 
         "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"(", 
            RowBox[{"Pi", "+", "#3"}], ")"}]}], "/", "2"}], "/", "Pi"}], "*", 
        
        RowBox[{"Cos", "[", 
         RowBox[{"#2", "*", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"Pi", "+", "#4"}], ")"}], "/", "2"}], "/", "Pi"}]}], 
         "]"}]}], ",", "projZ"}], "}"}], " ", "&"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"theSurfs", "[", 
     RowBox[{
     "k_", ",", "t_", ",", "projCurvOpacity_", ",", "projTangOpacity_", ",", 
      "slopeTriOpacity_", ",", "radTriOpacity_"}], "]"}], ":=", 
    "\[IndentingNewLine]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"helSurf", "[", 
          RowBox[{"k", ",", "u", ",", "v"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"sqrSurf", "[", 
          RowBox[{"k", ",", "t", ",", "u", ",", "v"}], "]"}], ",", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"arcSurf", "[", 
          RowBox[{"k", ",", "t", ",", "u", ",", "v"}], "]"}]}], 
        "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"u", ",", 
         RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"v", ",", 
         RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", "\[IndentingNewLine]", 
       
       RowBox[{"Mesh", "\[Rule]", "None"}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotStyle", "\[Rule]", "\[IndentingNewLine]", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Black", ",", 
            RowBox[{"Opacity", "[", "0.2", "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Black", ",", 
            RowBox[{"Opacity", "[", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "-", "k"}], ")"}], "*", "0.2"}], "]"}]}], "}"}], 
          ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Black", ",", 
            RowBox[{"Opacity", "[", 
             RowBox[{"radTriOpacity", "*", "0.2"}], "]"}]}], "}"}]}], 
         "\[IndentingNewLine]", "}"}]}]}], "]"}], "\[IndentingNewLine]", 
     "}"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"helCurv", "[", 
     RowBox[{"k_", ",", "s_"}], "]"}], ":=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"lSin", "[", 
       RowBox[{"k", ",", "s"}], "]"}], ",", 
      RowBox[{
       RowBox[{"lCos", "[", 
        RowBox[{"k", ",", "s"}], "]"}], "-", "1"}], ",", "s"}], "}"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cosCurv", "[", 
    RowBox[{"k_", ",", "s_"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{"projX", ",", 
     RowBox[{
      RowBox[{"lCos", "[", 
       RowBox[{"k", ",", "s"}], "]"}], "-", "1"}], ",", "s"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sinCurv", "[", 
    RowBox[{"k_", ",", "s_"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"lSin", "[", 
      RowBox[{"k", ",", "s"}], "]"}], ",", "projY", ",", "s"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"cirCurv", "[", 
     RowBox[{"k_", ",", "s_"}], "]"}], ":=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"lSin", "[", 
       RowBox[{"k", ",", "s"}], "]"}], ",", 
      RowBox[{
       RowBox[{"lCos", "[", 
        RowBox[{"k", ",", "s"}], "]"}], "-", "1"}], ",", "projZ"}], "}"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"dstCurv", "[", 
     RowBox[{"k_", ",", "t_", ",", "s_"}], "]"}], " ", ":=", " ", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"aProg", " ", "=", " ", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"s", "<", "0"}], ",", 
          RowBox[{"1", "-", 
           RowBox[{
            RowBox[{"Abs", "[", "s", "]"}], "/", "Pi"}]}], ",", 
          RowBox[{
           RowBox[{"Abs", "[", "s", "]"}], "/", "Pi"}]}], "]"}]}], 
       "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"s", "<", "0"}], ",", "\[IndentingNewLine]", 
         RowBox[{"theResult", "=", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"lSin", "[", 
             RowBox[{"k", ",", 
              RowBox[{"t", "*", "aProg"}]}], "]"}], ",", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"lCos", "[", 
              RowBox[{"k", ",", 
               RowBox[{"t", "*", "aProg"}]}], "]"}]}], ",", "0"}], "}"}]}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"theResult", "=", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"lSin", "[", 
             RowBox[{"k", ",", "t"}], "]"}], ",", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"lCos", "[", 
              RowBox[{"k", ",", "t"}], "]"}]}], ",", 
            RowBox[{"t", "*", "aProg"}]}], "}"}]}]}], "\[IndentingNewLine]", 
        "]"}], ";", "\[IndentingNewLine]", "theResult"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"theCurvs", "[", 
     RowBox[{
     "k_", ",", "t_", ",", "projCurvOpacity_", ",", "projTangOpacity_", ",", 
      "dispOpacity_", ",", " ", "slopeTriOpacity_", ",", " ", 
      "radTriOpacity_"}], "]"}], ":=", "\[IndentingNewLine]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"ParametricPlot3D", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"helCurv", "[", 
          RowBox[{"k", ",", "s"}], "]"}], ",", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"sinCurv", "[", 
          RowBox[{"k", ",", "s"}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"cosCurv", "[", 
          RowBox[{"k", ",", "s"}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"cirCurv", "[", 
          RowBox[{"k", ",", "s"}], "]"}], ",", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"dstCurv", "[", 
          RowBox[{"k", ",", "t", ",", "s"}], "]"}]}], "\[IndentingNewLine]", 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"s", ",", 
         RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", "\[IndentingNewLine]", 
       
       RowBox[{"PlotStyle", "\[Rule]", "\[IndentingNewLine]", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Black", ",", " ", 
            RowBox[{"Thickness", "[", "Large", "]"}]}], " ", "}"}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"sinColor", ",", " ", 
            RowBox[{"Thickness", "[", "Large", "]"}], ",", 
            RowBox[{"Opacity", "[", "projCurvOpacity", "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"cosColor", ",", " ", 
            RowBox[{"Thickness", "[", "Large", "]"}], ",", 
            RowBox[{"Opacity", "[", "projCurvOpacity", "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"cirColor", ",", " ", 
            RowBox[{"Thickness", "[", "Large", "]"}], ",", 
            RowBox[{"Opacity", "[", "projCurvOpacity", "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Yellow", ",", " ", 
            RowBox[{"Thickness", "[", "Large", "]"}], ",", 
            RowBox[{"Opacity", "[", "dispOpacity", "]"}]}], "}"}]}], 
         "\[IndentingNewLine]", "}"}]}]}], "]"}], "\[IndentingNewLine]", 
     "}"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"vectFromV0Dv", "[", 
     RowBox[{"v0_", ",", "dv_"}], "]"}], " ", ":=", " ", 
    RowBox[{"Line", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"v0", "-", 
        RowBox[{"smSqr", "*", "dv"}]}], ",", 
       RowBox[{"v0", "+", 
        RowBox[{"smSqr", "*", "dv"}]}]}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"tanVect", "[", 
     RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
    RowBox[{"vectFromV0Dv", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"lSin", "[", 
         RowBox[{"k", ",", "t"}], "]"}], ",", 
        RowBox[{
         RowBox[{"lCos", "[", 
          RowBox[{"k", ",", "t"}], "]"}], "-", "1"}], ",", "t"}], "}"}], ",", 
      
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Cos", "[", 
         RowBox[{"k", "*", "t"}], "]"}], ",", 
        RowBox[{"Sin", "[", 
         RowBox[{"k", "*", "t"}], "]"}], ",", "1"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sinVectBase", "[", 
    RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"lSin", "[", 
      RowBox[{"k", ",", "t"}], "]"}], ",", "projY", ",", "t"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sinVect", "[", 
    RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"vectFromV0Dv", "[", 
    RowBox[{
     RowBox[{"sinVectBase", "[", 
      RowBox[{"k", ",", "t"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", 
        RowBox[{"k", "*", "t"}], "]"}], ",", "0", ",", "1"}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sinDTVect", "[", 
    RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"vectFromV0Dv", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"sinVectBase", "[", 
       RowBox[{"k", ",", "t"}], "]"}], "+", 
      RowBox[{"smSqr", "*", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"Cos", "[", 
           RowBox[{"k", "*", "t"}], "]"}]}], ",", "0", ",", "0"}], "}"}]}]}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"sinDSinVect", "[", 
     RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
    RowBox[{"vectFromV0Dv", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"sinVectBase", "[", 
        RowBox[{"k", ",", "t"}], "]"}], "+", 
       RowBox[{"smSqr", "*", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Cos", "[", 
         RowBox[{"k", "*", "t"}], "]"}], ",", "0", ",", "0"}], "}"}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cosVectBase", "[", 
    RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{"projX", ",", 
     RowBox[{
      RowBox[{"lCos", "[", 
       RowBox[{"k", ",", "t"}], "]"}], "-", "1"}], ",", "t"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cosVect", "[", 
    RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"vectFromV0Dv", "[", 
    RowBox[{
     RowBox[{"cosVectBase", "[", 
      RowBox[{"k", ",", "t"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"Sin", "[", 
        RowBox[{"k", "*", "t"}], "]"}], ",", "1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cosDTVect", "[", 
    RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"vectFromV0Dv", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"cosVectBase", "[", 
       RowBox[{"k", ",", "t"}], "]"}], "+", 
      RowBox[{"smSqr", "*", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          RowBox[{"Sin", "[", 
           RowBox[{"k", "*", "t"}], "]"}]}], ",", "0"}], "}"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"cosDCosVect", "[", 
     RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
    RowBox[{"vectFromV0Dv", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"cosVectBase", "[", 
        RowBox[{"k", ",", "t"}], "]"}], "+", 
       RowBox[{"smSqr", "*", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"Sin", "[", 
         RowBox[{"k", "*", "t"}], "]"}], ",", "0"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cirVectBase", "[", 
    RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"lSin", "[", 
      RowBox[{"k", ",", "t"}], "]"}], ",", 
     RowBox[{
      RowBox[{"lCos", "[", 
       RowBox[{"k", ",", "t"}], "]"}], "-", "1"}], ",", "projZ"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cirVect", "[", 
    RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"vectFromV0Dv", "[", 
    RowBox[{
     RowBox[{"cirVectBase", "[", 
      RowBox[{"k", ",", "t"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", 
        RowBox[{"k", "*", "t"}], "]"}], ",", 
       RowBox[{"Sin", "[", 
        RowBox[{"k", "*", "t"}], "]"}], ",", "0"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cirDSinVect", "[", 
    RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"vectFromV0Dv", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"cirVectBase", "[", 
       RowBox[{"k", ",", "t"}], "]"}], "+", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Sin", "[", 
             RowBox[{"2", "*", "t"}], "]"}], ">", "0"}], ",", "1", ",", 
           RowBox[{"-", "1"}]}], "]"}], "*", "smSqr", "*", 
         RowBox[{"Cos", "[", 
          RowBox[{"k", "*", "t"}], "]"}]}], ",", "0", ",", "0"}], "}"}]}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"Sin", "[", 
        RowBox[{"k", "*", "t"}], "]"}], ",", "0"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"cirDCosVect", "[", 
     RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
    RowBox[{"vectFromV0Dv", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"cirVectBase", "[", 
        RowBox[{"k", ",", "t"}], "]"}], "+", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Sin", "[", 
              RowBox[{"2", "*", "t"}], "]"}], "<", "0"}], ",", "1", ",", 
            RowBox[{"-", "1"}]}], "]"}], "*", "smSqr", "*", 
          RowBox[{"Sin", "[", 
           RowBox[{"k", "*", "t"}], "]"}]}], ",", "0"}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Cos", "[", 
         RowBox[{"k", "*", "t"}], "]"}], ",", "0", ",", "0"}], "}"}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sinCosVect", "[", 
    RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"vectFromV0Dv", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"projX", ",", "projY", ",", "t"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cirSinVect", "[", 
    RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"vectFromV0Dv", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"lSin", "[", 
        RowBox[{"k", ",", "t"}], "]"}], ",", "projY", ",", "projZ"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", 
        RowBox[{"k", "*", "t"}], "]"}], ",", "0", ",", "0"}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"cirCosVect", "[", 
     RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
    RowBox[{"vectFromV0Dv", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"projX", ",", 
        RowBox[{
         RowBox[{"lCos", "[", 
          RowBox[{"k", ",", "t"}], "]"}], "-", "1"}], ",", "projZ"}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"Sin", "[", 
         RowBox[{"k", "*", "t"}], "]"}], ",", "0"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"radVect", "[", 
    RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"Line", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "projZ"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Sin", "[", "t", "]"}], ",", 
        RowBox[{"-", 
         RowBox[{"Cos", "[", "t", "]"}]}], ",", "projZ"}], "}"}]}], "}"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"radCosVect", "[", 
    RowBox[{"k_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"Line", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "projZ"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"-", 
         RowBox[{"Cos", "[", "t", "]"}]}], ",", "projZ"}], "}"}]}], "}"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"radSinVect", "[", 
     RowBox[{"k_", ",", "t_"}], "]"}], ":=", " ", 
    RowBox[{"Line", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          RowBox[{"Cos", "[", "t", "]"}]}], ",", "projZ"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Sin", "[", "t", "]"}], ",", 
         RowBox[{"-", 
          RowBox[{"Cos", "[", "t", "]"}]}], ",", "projZ"}], "}"}]}], "}"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sinDash", "[", "t_", "]"}], ":=", " ", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Cos", "[", "t", "]"}], "<", "0"}], ",", "Dashed", ",", 
     "Thick"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"cosDash", "[", "t_", "]"}], ":=", " ", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Sin", "[", "t", "]"}], ">", "0"}], ",", "Dashed", ",", 
      "Thick"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sinDashing", "[", "t_", "]"}], ":=", " ", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Cos", "[", "t", "]"}], "<", "0"}], ",", 
     RowBox[{"Dashing", "[", "Small", "]"}], ",", 
     RowBox[{"Dashing", "[", "1", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cosDashing", "[", "t_", "]"}], ":=", " ", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Sin", "[", "t", "]"}], ">", "0"}], ",", 
     RowBox[{"Dashing", "[", "Small", "]"}], ",", 
     RowBox[{"Dashing", "[", "1", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"nonDashing", "[", "t_", "]"}], ":=", " ", 
    RowBox[{"Dashing", "[", "1", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"theVects", "[", 
    RowBox[{
    "k_", ",", "t_", ",", "projCurvOpacity_", ",", "projTangOpacity_", ",", 
     "dispOpacity_", ",", " ", "slopeTriOpacity_", ",", " ", 
     "radialTriOpacity_", ",", " ", "axisOpacity_"}], "]"}], ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"projOpacity", "=", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
           "projCurvOpacity", "+", "projTangOpacity", "+", "slopeTriOpacity", 
            "+", "radialTriOpacity"}], ">", "0"}], ",", " ", "1", ",", " ", 
          "0"}], "]"}]}], ",", "\[IndentingNewLine]", "theResult"}], "}"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"theResult", " ", "=", " ", 
       RowBox[{"Graphics3D", "[", 
        RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Opacity", "[", 
           RowBox[{"projOpacity", "*", "0.2"}], "]"}], ",", 
          RowBox[{"EdgeForm", "[", 
           RowBox[{"Opacity", "[", "0", "]"}], "]"}], ",", 
          "\[IndentingNewLine]", "cosColor", ",", 
          RowBox[{"Polygon", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"projX", ",", 
               RowBox[{"-", "Pi"}], ",", 
               RowBox[{"-", "Pi"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"projX", ",", 
               RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"projX", ",", "Pi", ",", "Pi"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"projX", ",", "Pi", ",", 
               RowBox[{"-", "Pi"}]}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", "sinColor", ",", 
          RowBox[{"Polygon", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "Pi"}], ",", "projY", ",", 
               RowBox[{"-", "Pi"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "Pi"}], ",", "projY", ",", "Pi"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Pi", ",", "projY", ",", "Pi"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Pi", ",", "projY", ",", 
               RowBox[{"-", "Pi"}]}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", "cirColor", ",", 
          RowBox[{"Polygon", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "Pi"}], ",", 
               RowBox[{"-", "Pi"}], ",", "projZ"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "Pi"}], ",", "Pi", ",", "projZ"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Pi", ",", "Pi", ",", "projZ"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Pi", ",", 
               RowBox[{"-", "Pi"}], ",", "projZ"}], "}"}]}], "}"}], "]"}], 
          ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{"The", " ", "Initial", " ", "Tangent", " ", "Vector"}], 
           " ", "*)"}], "\[IndentingNewLine]", 
          RowBox[{"Opacity", "[", "1.0", "]"}], ",", "\[IndentingNewLine]", 
          "Thick", ",", "\[IndentingNewLine]", "Orange", ",", 
          RowBox[{"tanVect", "[", 
           RowBox[{"k", ",", "t"}], "]"}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{"Orthogonal", " ", "Components"}], " ", "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"Opacity", "[", "slopeTriOpacity", "]"}], ",", 
          "\[IndentingNewLine]", "cosColor", ",", 
          RowBox[{"sinDashing", "[", "t", "]"}], ",", 
          RowBox[{"cirSinVect", "[", 
           RowBox[{"k", ",", "t"}], "]"}], ",", "\[IndentingNewLine]", 
          "sinColor", ",", 
          RowBox[{"cosDashing", "[", "t", "]"}], ",", 
          RowBox[{"cirCosVect", "[", 
           RowBox[{"k", ",", "t"}], "]"}], ",", "\[IndentingNewLine]", 
          "cirColor", ",", 
          RowBox[{"nonDashing", "[", "1", "]"}], ",", 
          RowBox[{"sinCosVect", "[", 
           RowBox[{"k", ",", "t"}], "]"}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{"Projected", " ", "slope", " ", "triangle", " ", "legs"}], 
           " ", "*)"}], " ", "\[IndentingNewLine]", "cirColor", ",", 
          RowBox[{"nonDashing", "[", "1", "]"}], ",", 
          RowBox[{"sinDTVect", "[", 
           RowBox[{"k", ",", "t"}], "]"}], ",", "\[IndentingNewLine]", 
          "cosColor", ",", 
          RowBox[{"sinDashing", "[", "t", "]"}], ",", 
          RowBox[{"sinDSinVect", "[", 
           RowBox[{"k", ",", "t"}], "]"}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", "cirColor", ",", 
          RowBox[{"nonDashing", "[", "1", "]"}], ",", 
          RowBox[{"cosDTVect", "[", 
           RowBox[{"k", ",", "t"}], "]"}], ",", "\[IndentingNewLine]", 
          "sinColor", ",", 
          RowBox[{"cosDashing", "[", "t", "]"}], ",", 
          RowBox[{"cosDCosVect", "[", 
           RowBox[{"k", ",", "t"}], "]"}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", "cosColor", ",", 
          RowBox[{"sinDashing", "[", "t", "]"}], ",", 
          RowBox[{"cirDCosVect", "[", 
           RowBox[{"k", ",", "t"}], "]"}], ",", "\[IndentingNewLine]", 
          "sinColor", ",", 
          RowBox[{"cosDashing", "[", "t", "]"}], ",", 
          RowBox[{"cirDSinVect", "[", 
           RowBox[{"k", ",", "t"}], "]"}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{"Projected", " ", "tangent", " ", "vectors"}], " ", "*)"}],
           "\[IndentingNewLine]", 
          RowBox[{"Opacity", "[", 
           RowBox[{"slopeTriOpacity", "+", "projTangOpacity"}], "]"}], ",", 
          "\[IndentingNewLine]", "Black", ",", 
          RowBox[{"nonDashing", "[", "1", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"sinVect", "[", 
           RowBox[{"k", ",", "t"}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"cosVect", "[", 
           RowBox[{"k", ",", "t"}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"cirVect", "[", 
           RowBox[{"k", ",", "t"}], "]"}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
           "Radial", " ", "triangle", " ", "in", " ", "the", " ", "Circle", 
            " ", "Plane"}], " ", "*)"}], "\[IndentingNewLine]", 
          RowBox[{"Opacity", "[", "radialTriOpacity", "]"}], ",", 
          "\[IndentingNewLine]", "cosColor", ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Cos", "[", "t", "]"}], "<", "0"}], ",", 
            RowBox[{"Dashing", "[", "Small", "]"}], ",", 
            RowBox[{"Dashing", "[", "1", "]"}]}], "]"}], ",", 
          RowBox[{"radCosVect", "[", 
           RowBox[{"k", ",", "t"}], "]"}], ",", "\[IndentingNewLine]", 
          "sinColor", ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Sin", "[", "t", "]"}], "<", "0"}], ",", 
            RowBox[{"Dashing", "[", "Small", "]"}], ",", 
            RowBox[{"Dashing", "[", "1", "]"}]}], "]"}], ",", 
          RowBox[{"radSinVect", "[", 
           RowBox[{"k", ",", "t"}], "]"}], ",", "\[IndentingNewLine]", 
          "Black", ",", " ", 
          RowBox[{"radVect", "[", 
           RowBox[{"k", ",", "t"}], "]"}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", "Thin", ",", "\[IndentingNewLine]", 
          RowBox[{"Opacity", "[", "axisOpacity", "]"}], ",", 
          "\[IndentingNewLine]", "Black", ",", "\[IndentingNewLine]", 
          RowBox[{"Dashing", "[", "1", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "projD"}], "}"}]}], "}"}], "]"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"-", "projD"}], ",", "0"}], "}"}]}], "}"}], "]"}], ",",
           "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"projD", ",", "0", ",", "0"}], "}"}]}], "}"}], "]"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Dashing", "[", "Small", "]"}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"-", "projD"}]}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "projD", ",", "0"}], "}"}]}], "}"}], "]"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "projD"}], ",", "0", ",", "0"}], "}"}]}], "}"}], 
           "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Opacity", "[", 
           RowBox[{"axisOpacity", "*", "projOpacity"}], "]"}], ",", 
          "\[IndentingNewLine]", "cosColor", ",", "\[IndentingNewLine]", 
          RowBox[{"Dashing", "[", "1", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"projX", ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"projX", ",", "0", ",", "projD"}], "}"}]}], "}"}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"projX", ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"projX", ",", 
               RowBox[{"-", "projD"}], ",", "0"}], "}"}]}], "}"}], "]"}], ",",
           "\[IndentingNewLine]", 
          RowBox[{"Dashing", "[", "Small", "]"}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"projX", ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"projX", ",", "0", ",", 
               RowBox[{"-", "projD"}]}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"projX", ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"projX", ",", "projD", ",", "0"}], "}"}]}], "}"}], 
           "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          "sinColor", ",", "\[IndentingNewLine]", 
          RowBox[{"Dashing", "[", "1", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "projY", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "projY", ",", "projD"}], "}"}]}], "}"}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "projY", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"projD", ",", "projY", ",", "0"}], "}"}]}], "}"}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Dashing", "[", "Small", "]"}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "projY", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "projY", ",", 
               RowBox[{"-", "projD"}]}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "projY", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "projD"}], ",", "projY", ",", "0"}], "}"}]}], 
            "}"}], "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          "cirColor", ",", "\[IndentingNewLine]", 
          RowBox[{"Dashing", "[", "1", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "projZ"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"-", "projD"}], ",", "projZ"}], "}"}]}], "}"}], "]"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "projZ"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"projD", ",", "0", ",", "projZ"}], "}"}]}], "}"}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Dashing", "[", "Small", "]"}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "projZ"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "projD", ",", "projZ"}], "}"}]}], "}"}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "projZ"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "projD"}], ",", "0", ",", "projZ"}], "}"}]}], 
            "}"}], "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          "Black", ",", "\[IndentingNewLine]", 
          RowBox[{"Opacity", "[", "axisOpacity", "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{"z", ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", 
              RowBox[{"projD", "*", "1.1"}]}], "}"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{"y", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"projD", "*", "1.1"}], ",", "0", ",", "0"}], "}"}]}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{"x", ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{
               RowBox[{"-", "projD"}], "*", "1.1"}], ",", "0"}], "}"}]}], 
           "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Opacity", "[", 
           RowBox[{"axisOpacity", "*", "projOpacity"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{"z", ",", 
            RowBox[{"{", 
             RowBox[{"projX", ",", "0", ",", 
              RowBox[{"projD", "*", "1.1"}]}], "}"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{"x", ",", 
            RowBox[{"{", 
             RowBox[{"projX", ",", 
              RowBox[{
               RowBox[{"-", "projD"}], "*", "1.1"}], ",", "0"}], "}"}]}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{"z", ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "projY", ",", 
              RowBox[{"projD", "*", "1.1"}]}], "}"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{"y", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"projD", "*", "1.1"}], ",", "projY", ",", "0"}], 
             "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{"y", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"projD", "*", "1.1"}], ",", "0", ",", "projZ"}], 
             "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{"x", ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{
               RowBox[{"-", "projD"}], "*", "1.1"}], ",", "projZ"}], "}"}]}], 
           "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], 
        "]"}]}], ";", "\[IndentingNewLine]", "theResult"}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.411633969194323*^9, 3.411633971458794*^9}, {
   3.411634021154015*^9, 3.411634028588689*^9}, {3.411634065842711*^9, 
   3.4116341306976557`*^9}, {3.4116341971949377`*^9, 
   3.4116342919192257`*^9}, {3.411634395814815*^9, 3.4116344379554996`*^9}, {
   3.4117277995501432`*^9, 3.411727802391966*^9}, {3.411728127250094*^9, 
   3.411728164729103*^9}, {3.411728305788039*^9, 3.4117284762758102`*^9}, {
   3.411729996614052*^9, 3.411730031101804*^9}, {3.411730258718872*^9, 
   3.4117302977760077`*^9}, {3.411730569020838*^9, 3.411730838744363*^9}, {
   3.411730869117684*^9, 3.4117308714856367`*^9}, {3.411731029899536*^9, 
   3.411731061915072*^9}, {3.4117312393300877`*^9, 3.411731241427092*^9}, 
   3.4119670046829987`*^9, {3.4119671567312193`*^9, 3.4119671576629677`*^9}, {
   3.411967216098114*^9, 3.411967225423439*^9}, {3.4119672669841967`*^9, 
   3.411967268907558*^9}, {3.4119673720828247`*^9, 3.411967376735982*^9}, {
   3.4119674207597113`*^9, 3.411967456323923*^9}, 3.41196750816916*^9, {
   3.4119676000075808`*^9, 3.411967600785527*^9}, {3.4119676548312817`*^9, 
   3.4119676591031733`*^9}, {3.4119677482030687`*^9, 3.411967847384779*^9}, {
   3.411967909092334*^9, 3.4119679477806253`*^9}, {3.4119682592339487`*^9, 
   3.411968264409853*^9}, {3.411968351943589*^9, 3.4119683746937027`*^9}, {
   3.4119723488145733`*^9, 3.411972403518422*^9}, {3.411972436630064*^9, 
   3.411972446059308*^9}, {3.4119724894174147`*^9, 3.41197252154156*^9}, {
   3.411972574664475*^9, 3.411972605616249*^9}, {3.4119726859470263`*^9, 
   3.411972735235325*^9}, {3.4119728358233557`*^9, 3.411972841851047*^9}, {
   3.411972903202031*^9, 3.4119729092384*^9}, {3.4119729760849953`*^9, 
   3.411972987600194*^9}, {3.411973155235835*^9, 3.4119731668247643`*^9}, {
   3.4119732185412416`*^9, 3.411973229121146*^9}, {3.4119732788026533`*^9, 
   3.411973302571006*^9}, {3.411973336152985*^9, 3.41197334176501*^9}, {
   3.411974011246468*^9, 3.4119740164362917`*^9}, {3.411974068250286*^9, 
   3.411974128501951*^9}, {3.4119749054532948`*^9, 3.4119749165468407`*^9}, {
   3.4119749894096518`*^9, 3.411975319729896*^9}, {3.4119753786406612`*^9, 
   3.411975399918763*^9}, 3.41197547577899*^9, 3.4119755421671352`*^9, {
   3.411975643382008*^9, 3.411975686359702*^9}, 3.4119757380889597`*^9, {
   3.411975777704279*^9, 3.411975794349375*^9}, {3.411975843297373*^9, 
   3.411975856015568*^9}, {3.4119759166260347`*^9, 3.4119759937015953`*^9}, {
   3.411976040940362*^9, 3.411976087681986*^9}, {3.411976131389985*^9, 
   3.411976137941621*^9}, {3.411976232738879*^9, 3.411976305184252*^9}, {
   3.411976393050984*^9, 3.411976414563834*^9}, {3.4119764604090853`*^9, 
   3.4119765329863873`*^9}, {3.411976572093199*^9, 3.411976769187215*^9}, {
   3.411976836305581*^9, 3.411976988868268*^9}, {3.411977037053608*^9, 
   3.411977037659314*^9}, {3.411977072806321*^9, 3.411977435584401*^9}, {
   3.4119776380272408`*^9, 3.4119779026462097`*^9}, {3.411977957465884*^9, 
   3.411978005769261*^9}, {3.411978050109377*^9, 3.411978121399723*^9}, {
   3.4119781585374613`*^9, 3.411978242747509*^9}, {3.411978310266364*^9, 
   3.411978361148007*^9}, {3.411978394805834*^9, 3.411978698542581*^9}, {
   3.41197873320187*^9, 3.411978878975745*^9}, {3.411979208482052*^9, 
   3.4119792090700903`*^9}, {3.411979274913126*^9, 3.4119792806095133`*^9}, {
   3.411979331278102*^9, 3.411979427243279*^9}, {3.411979457324134*^9, 
   3.4119794621618137`*^9}, {3.411979500805765*^9, 3.411979607751639*^9}, {
   3.411979739137526*^9, 3.411980178385833*^9}, {3.4119802129049597`*^9, 
   3.4119803395560913`*^9}, {3.4119804442879887`*^9, 3.411980637732424*^9}, {
   3.4119806723665037`*^9, 3.411980966392362*^9}, {3.411981001232823*^9, 
   3.411981133731958*^9}, {3.411981308944544*^9, 3.411981388675865*^9}, {
   3.41198142968915*^9, 3.41198143048559*^9}, {3.411981494559867*^9, 
   3.411981513293244*^9}, {3.411981587924152*^9, 3.411981592938037*^9}, {
   3.4119817262223597`*^9, 3.411981741344623*^9}, {3.41198178314258*^9, 
   3.411981787375588*^9}, {3.41198185047683*^9, 3.4119818510470324`*^9}, {
   3.411981894129252*^9, 3.411981946230781*^9}, {3.4119819947242613`*^9, 
   3.411982217975197*^9}, {3.4119822531278067`*^9, 3.411982334659972*^9}, {
   3.411982373380508*^9, 3.4119823807841387`*^9}, {3.411982419480815*^9, 
   3.41198242390359*^9}, {3.411982467185062*^9, 3.411982474180801*^9}, {
   3.41198250990123*^9, 3.411982523631706*^9}, {3.4119826092223597`*^9, 
   3.411982747464715*^9}, {3.411982786942213*^9, 3.411982805041671*^9}, {
   3.4119828619883957`*^9, 3.411983047546006*^9}, {3.411983106308406*^9, 
   3.411983255010604*^9}, {3.41198348768473*^9, 3.411983630722066*^9}, {
   3.411983925246064*^9, 3.411984030288864*^9}, {3.411984064571772*^9, 
   3.4119841318274603`*^9}, {3.411984455676647*^9, 3.411984471661436*^9}, {
   3.4119846724028*^9, 3.411984731025185*^9}, {3.411984773316741*^9, 
   3.411984867379711*^9}, {3.411984925404426*^9, 3.4119850272429667`*^9}, {
   3.411985064268935*^9, 3.411985092462481*^9}, {3.411985131990428*^9, 
   3.411985142370981*^9}, 3.4119851943686323`*^9, {3.411985835514331*^9, 
   3.411985838824164*^9}, {3.411985872903009*^9, 3.411986039425192*^9}, {
   3.4119861054417553`*^9, 3.4119861843342323`*^9}, {3.4119862245765*^9, 
   3.411986332129793*^9}, {3.411986385665903*^9, 3.411986556514125*^9}, {
   3.411986594692856*^9, 3.411986613369681*^9}, {3.411986670830123*^9, 
   3.411986944230173*^9}, {3.411987589571978*^9, 3.411987614475568*^9}, {
   3.412145007560986*^9, 3.412145022090671*^9}, {3.4121450575603237`*^9, 
   3.4121450649462423`*^9}, {3.4121451274454*^9, 3.4121451396407213`*^9}, {
   3.4121451851616488`*^9, 3.4121452080870447`*^9}, {3.4121452475838137`*^9, 
   3.412145257346847*^9}, {3.412145297621539*^9, 3.41214543748663*^9}, {
   3.4121455214926357`*^9, 3.4121455290396442`*^9}, {3.412145716220416*^9, 
   3.412145719507353*^9}, {3.412145783957713*^9, 3.412145794036581*^9}, {
   3.412145940829597*^9, 3.4121459630426693`*^9}, {3.412146054095214*^9, 
   3.4121460868902082`*^9}, {3.412146149603962*^9, 3.4121461929349737`*^9}, {
   3.412146274378449*^9, 3.4121462983275633`*^9}, {3.412149743462731*^9, 
   3.4121498149936*^9}, {3.412149873813822*^9, 3.412150037471642*^9}, {
   3.412150072763855*^9, 3.41215034056291*^9}, {3.412150375409992*^9, 
   3.4121505609383993`*^9}, {3.412150599784299*^9, 3.41215071879032*^9}, {
   3.412150835839361*^9, 3.4121510249345713`*^9}, {3.4121511159372272`*^9, 
   3.412151185588724*^9}, {3.412151235555909*^9, 3.412151282097719*^9}, {
   3.412151321417444*^9, 3.412151381209312*^9}, {3.412151620636403*^9, 
   3.412151725037622*^9}, {3.412151755296611*^9, 3.4121518066063147`*^9}, {
   3.412151877187413*^9, 3.4121520796353827`*^9}, {3.412153623357395*^9, 
   3.4121536235065327`*^9}, {3.4121536607191067`*^9, 3.412153678787696*^9}, {
   3.412153709166799*^9, 3.4121538078973093`*^9}, {3.412153893430874*^9, 
   3.412154007659403*^9}, {3.412154049009012*^9, 3.412154161163034*^9}, {
   3.41215439727922*^9, 3.412154433202887*^9}, {3.412154463873478*^9, 
   3.412154467637205*^9}, {3.4121546802670918`*^9, 3.412154704087854*^9}, {
   3.412154782052198*^9, 3.412154972270389*^9}, {3.412155011604143*^9, 
   3.4121550715180902`*^9}, {3.412155104985734*^9, 3.412155164449628*^9}, {
   3.412155196738501*^9, 3.412155227082789*^9}, {3.412155275419078*^9, 
   3.412155301259489*^9}, {3.412161668512945*^9, 3.412161780635824*^9}, {
   3.412162117586437*^9, 3.412162164202558*^9}, {3.412162207358337*^9, 
   3.412162229792679*^9}, {3.412162266398243*^9, 3.412162282210593*^9}, {
   3.4121623250736933`*^9, 3.412162426534562*^9}, {3.4121624754405403`*^9, 
   3.412162573732938*^9}, {3.4121626149907923`*^9, 3.412162714851433*^9}, {
   3.412162761237104*^9, 3.4121628323954678`*^9}, {3.412162876580649*^9, 
   3.412162968866218*^9}, {3.412163047418523*^9, 3.412163086006774*^9}, {
   3.412163126652258*^9, 3.41216322758562*^9}, {3.4121633752556047`*^9, 
   3.412163409256136*^9}, {3.412163448402426*^9, 3.412163552274235*^9}, {
   3.412163617939247*^9, 3.41216371902633*^9}, {3.412163754920519*^9, 
   3.412164062202202*^9}, {3.412164172433794*^9, 3.412164351687234*^9}, {
   3.4121644810710583`*^9, 3.412164516129258*^9}, {3.412164610065135*^9, 
   3.412164652155937*^9}, {3.412164690787756*^9, 3.4121649774958467`*^9}, {
   3.412165031560155*^9, 3.412165187851056*^9}, {3.41216522225607*^9, 
   3.412165405599718*^9}, {3.412165499955205*^9, 3.412165928544982*^9}, {
   3.412165966312916*^9, 3.412166000978162*^9}, {3.412166187629216*^9, 
   3.412166252189661*^9}, {3.4121662899432087`*^9, 3.4121663017289953`*^9}, {
   3.412168446676588*^9, 3.412168446825357*^9}, {3.412168483943638*^9, 
   3.412168515068944*^9}, {3.4121685538082657`*^9, 3.4121686224567337`*^9}, {
   3.4121686808795424`*^9, 3.412168841930756*^9}, {3.4121688905182323`*^9, 
   3.412168901476383*^9}, {3.4121689323133907`*^9, 3.412168946478033*^9}, {
   3.412170211335703*^9, 3.412170214656961*^9}, {3.412171321001276*^9, 
   3.412171326769611*^9}, {3.412171360109187*^9, 3.41217140608291*^9}, {
   3.412232144657035*^9, 3.412232248033578*^9}, {3.4122322903320503`*^9, 
   3.412232354111197*^9}, {3.4122323910606327`*^9, 3.412232401224283*^9}, {
   3.412232435028463*^9, 3.412232439527046*^9}, {3.412232510235292*^9, 
   3.412232538483931*^9}, {3.412232576720717*^9, 3.412232602503336*^9}, {
   3.412233054939109*^9, 3.4122330624682713`*^9}, {3.41223311302246*^9, 
   3.412233241684087*^9}, {3.412233283142501*^9, 3.4122333073506308`*^9}, {
   3.412233366291416*^9, 3.412233405962798*^9}, {3.412233530099195*^9, 
   3.4122336702035427`*^9}, {3.412233775262686*^9, 3.412233822404386*^9}, {
   3.4123250628837557`*^9, 3.412325063373554*^9}},
 CellID->1580460757],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"theSurfs", "[", 
      RowBox[{
      "k", ",", "t", ",", "projCurvOpacity", ",", "projTangOpacity", ",", 
       "slopeTriOpacity", ",", "radTriOpacity"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"theCurvs", "[", 
      RowBox[{
      "k", ",", "t", ",", "projCurvOpacity", ",", "projTangOpacity", ",", 
       "dispsOpacity", ",", " ", "slopeTriOpacity", ",", " ", 
       "radTriOpacity"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"theVects", "[", 
      RowBox[{
      "k", ",", "t", ",", "projCurvOpacity", ",", "projTangOpacity", ",", 
       "dispsOpacity", ",", " ", "slopeTriOpacity", ",", " ", "radTriOpacity",
        ",", " ", "axisOpacity"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Axes", "\[Rule]", "None"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Boxed", "\[Rule]", "False"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "projX"}], ",", "projX"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "projY"}], ",", "projY"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "projZ"}], ",", "projZ"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"350", ",", "350"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "0.", ",", "\"\<displacement \[Theta]\>\""}], "}"}], 
     ",", 
     RowBox[{"-", "3.14"}], ",", "3.14", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dispsOpacity", ",", "0", ",", "\"\<show displacements\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", "Checkbox"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k", ",", "0", ",", "\"\<curvature \[Kappa]\>\""}], "}"}], ",", 
     "0", ",", "1", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "projCurvOpacity", ",", "0", ",", "\"\<show projected curves\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", "Checkbox"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "projTangOpacity", ",", "0", ",", "\"\<show projected tangents\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", "Checkbox"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"axisOpacity", ",", "0", ",", "\"\<show axes\>\""}], "}"}], ",",
      
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", "Checkbox"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "slopeTriOpacity", ",", "0", ",", "\"\<show slope triangles\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", "Checkbox"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "radTriOpacity", ",", "0", ",", "\"\<show radial triangle\>\""}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", "Checkbox"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "1", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", "8"}], 
     "}"}]}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.412325823255722*^9, {3.4123494191629963`*^9, 
   3.4123495229911213`*^9}, {3.412351698999212*^9, 3.412351714687214*^9}, {
   3.412351751329011*^9, 3.412351804033605*^9}, {3.412357257860072*^9, 
   3.412357277625824*^9}, {3.4124409917575407`*^9, 3.4124410132887907`*^9}, {
   3.4124411130075407`*^9, 3.4124411221794157`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`axisOpacity$$ = 
    0, $CellContext`dispsOpacity$$ = 0, $CellContext`k$$ = 
    0, $CellContext`projCurvOpacity$$ = 0, $CellContext`projTangOpacity$$ = 
    0, $CellContext`radTriOpacity$$ = 0, $CellContext`slopeTriOpacity$$ = 
    0, $CellContext`t$$ = 0., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`t$$], 0., "displacement \[Theta]"}, -3.14, 3.14, 
      0.01}, {{
       Hold[$CellContext`dispsOpacity$$], 0, "show displacements"}, {0, 
      1}}, {{
       Hold[$CellContext`k$$], 0, "curvature \[Kappa]"}, 0, 1, 0.01}, {{
       Hold[$CellContext`projCurvOpacity$$], 0, "show projected curves"}, {0, 
      1}}, {{
       Hold[$CellContext`projTangOpacity$$], 0, "show projected tangents"}, {
      0, 1}}, {{
       Hold[$CellContext`axisOpacity$$], 0, "show axes"}, {0, 1}}, {{
       Hold[$CellContext`slopeTriOpacity$$], 0, "show slope triangles"}, {0, 
      1}}, {{
       Hold[$CellContext`radTriOpacity$$], 0, "show radial triangle"}, {0, 
      1}}}, Typeset`size$$ = {350., {173., 177.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`t$25695$$ = 0, $CellContext`dispsOpacity$25696$$ = 
    False, $CellContext`k$25697$$ = 0, $CellContext`projCurvOpacity$25698$$ = 
    False, $CellContext`projTangOpacity$25699$$ = 
    False, $CellContext`axisOpacity$25700$$ = 
    False, $CellContext`slopeTriOpacity$25701$$ = 
    False, $CellContext`radTriOpacity$25702$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`axisOpacity$$ = 
        0, $CellContext`dispsOpacity$$ = 0, $CellContext`k$$ = 
        0, $CellContext`projCurvOpacity$$ = 0, $CellContext`projTangOpacity$$ = 
        0, $CellContext`radTriOpacity$$ = 0, $CellContext`slopeTriOpacity$$ = 
        0, $CellContext`t$$ = 0.}, "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$25695$$, 0], 
        Hold[$CellContext`dispsOpacity$$, $CellContext`dispsOpacity$25696$$, 
         False], 
        Hold[$CellContext`k$$, $CellContext`k$25697$$, 0], 
        Hold[$CellContext`projCurvOpacity$$, \
$CellContext`projCurvOpacity$25698$$, False], 
        Hold[$CellContext`projTangOpacity$$, \
$CellContext`projTangOpacity$25699$$, False], 
        Hold[$CellContext`axisOpacity$$, $CellContext`axisOpacity$25700$$, 
         False], 
        Hold[$CellContext`slopeTriOpacity$$, \
$CellContext`slopeTriOpacity$25701$$, False], 
        Hold[$CellContext`radTriOpacity$$, $CellContext`radTriOpacity$25702$$,
          False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        $CellContext`theSurfs[$CellContext`k$$, $CellContext`t$$, \
$CellContext`projCurvOpacity$$, $CellContext`projTangOpacity$$, \
$CellContext`slopeTriOpacity$$, $CellContext`radTriOpacity$$], 
        $CellContext`theCurvs[$CellContext`k$$, $CellContext`t$$, \
$CellContext`projCurvOpacity$$, $CellContext`projTangOpacity$$, \
$CellContext`dispsOpacity$$, $CellContext`slopeTriOpacity$$, \
$CellContext`radTriOpacity$$], 
        $CellContext`theVects[$CellContext`k$$, $CellContext`t$$, \
$CellContext`projCurvOpacity$$, $CellContext`projTangOpacity$$, \
$CellContext`dispsOpacity$$, $CellContext`slopeTriOpacity$$, \
$CellContext`radTriOpacity$$, $CellContext`axisOpacity$$], Axes -> None, 
        Boxed -> False, 
        PlotRange -> {{-$CellContext`projX, $CellContext`projX}, \
{-$CellContext`projY, $CellContext`projY}, {-$CellContext`projZ, \
$CellContext`projZ}}, ImageSize -> {350, 350}], 
      "Specifications" :> {{{$CellContext`t$$, 0., 
          "displacement \[Theta]"}, -3.14, 3.14, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`dispsOpacity$$, 0, "show displacements"}, {0, 
         1}, ControlType -> 
         Checkbox}, {{$CellContext`k$$, 0, "curvature \[Kappa]"}, 0, 1, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`projCurvOpacity$$, 0, 
          "show projected curves"}, {0, 1}, ControlType -> 
         Checkbox}, {{$CellContext`projTangOpacity$$, 0, 
          "show projected tangents"}, {0, 1}, ControlType -> 
         Checkbox}, {{$CellContext`axisOpacity$$, 0, "show axes"}, {0, 1}, 
         ControlType -> 
         Checkbox}, {{$CellContext`slopeTriOpacity$$, 0, 
          "show slope triangles"}, {0, 1}, ControlType -> 
         Checkbox}, {{$CellContext`radTriOpacity$$, 0, 
          "show radial triangle"}, {0, 1}, ControlType -> Checkbox}}, 
      "Options" :> {
       ControlPlacement -> Left, AutorunSequencing -> {1, 3, 4, 5, 6, 7, 8}, 
        TrackedSymbols -> Manipulate}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{632., {200., 205.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`theSurfs[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]], 
          Pattern[$CellContext`projCurvOpacity, 
           Blank[]], 
          Pattern[$CellContext`projTangOpacity, 
           Blank[]], 
          Pattern[$CellContext`slopeTriOpacity, 
           Blank[]], 
          Pattern[$CellContext`radTriOpacity, 
           Blank[]]] := {
          ParametricPlot3D[{
            $CellContext`helSurf[$CellContext`k, $CellContext`u, \
$CellContext`v], 
            $CellContext`sqrSurf[$CellContext`k, $CellContext`t, \
$CellContext`u, $CellContext`v], 
            $CellContext`arcSurf[$CellContext`k, $CellContext`t, \
$CellContext`u, $CellContext`v]}, {$CellContext`u, -Pi, 
            Pi}, {$CellContext`v, -Pi, Pi}, Mesh -> None, 
           PlotStyle -> {{Black, 
              Opacity[0.2]}, {Black, 
              Opacity[(1 - $CellContext`k) 0.2]}, {Black, 
              
              Opacity[$CellContext`radTriOpacity 
               0.2]}}]}, $CellContext`helSurf = 
        Function[{$CellContext`k, $CellContext`u, $CellContext`v}, {
           $CellContext`lSin[$CellContext`k, $CellContext`u], \
$CellContext`lCos[$CellContext`k, $CellContext`u] - 
           1, $CellContext`v}], $CellContext`lSin[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]]] := 
        If[$CellContext`k == 0, $CellContext`t, 
          Sin[$CellContext`k $CellContext`t]/$CellContext`k], \
$CellContext`lCos[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]]] := 
        If[$CellContext`k == 0, 
          0, (1 - Cos[$CellContext`k $CellContext`t])/$CellContext`k], \
$CellContext`sqrSurf = 
        Function[{$CellContext`k, $CellContext`t, $CellContext`u, \
$CellContext`v}, {(($CellContext`u/Pi) $CellContext`smSqr) 
            Cos[$CellContext`k $CellContext`t] + \
$CellContext`lSin[$CellContext`k, $CellContext`t], (($CellContext`u/
              Pi) $CellContext`smSqr) 
            Sin[$CellContext`k $CellContext`t] + \
$CellContext`lCos[$CellContext`k, $CellContext`t] - 
           1, ($CellContext`v/
             Pi) $CellContext`smSqr + $CellContext`t}], $CellContext`smSqr = 
        1/2, $CellContext`arcSurf = {((Pi + #3)/(2 Pi)) 
          Sin[#2 ((Pi + #4)/(2 Pi))], (-((Pi + #3)/(2 Pi))) 
          Cos[#2 ((Pi + #4)/(2 
             Pi))], $CellContext`projZ}& , $CellContext`projZ = (-1)/2 - 
         Pi, $CellContext`theCurvs[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]], 
          Pattern[$CellContext`projCurvOpacity, 
           Blank[]], 
          Pattern[$CellContext`projTangOpacity, 
           Blank[]], 
          Pattern[$CellContext`dispOpacity, 
           Blank[]], 
          Pattern[$CellContext`slopeTriOpacity, 
           Blank[]], 
          Pattern[$CellContext`radTriOpacity, 
           Blank[]]] := {
          ParametricPlot3D[{
            $CellContext`helCurv[$CellContext`k, $CellContext`s], 
            $CellContext`sinCurv[$CellContext`k, $CellContext`s], 
            $CellContext`cosCurv[$CellContext`k, $CellContext`s], 
            $CellContext`cirCurv[$CellContext`k, $CellContext`s], 
            $CellContext`dstCurv[$CellContext`k, $CellContext`t, \
$CellContext`s]}, {$CellContext`s, -Pi, Pi}, PlotStyle -> {{Black, 
              Thickness[Large]}, {$CellContext`sinColor, 
              Thickness[Large], 
              Opacity[$CellContext`projCurvOpacity]}, {$CellContext`cosColor, 
              
              Thickness[Large], 
              Opacity[$CellContext`projCurvOpacity]}, {$CellContext`cirColor, 
              
              Thickness[Large], 
              Opacity[$CellContext`projCurvOpacity]}, {Yellow, 
              Thickness[Large], 
              Opacity[$CellContext`dispOpacity]}}]}, $CellContext`helCurv[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`s, 
           Blank[]]] := {
          $CellContext`lSin[$CellContext`k, $CellContext`s], \
$CellContext`lCos[$CellContext`k, $CellContext`s] - 
          1, $CellContext`s}, $CellContext`sinCurv[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`s, 
           Blank[]]] := {
          $CellContext`lSin[$CellContext`k, $CellContext`s], \
$CellContext`projY, $CellContext`s}, $CellContext`projY = 
        1/2 + Pi, $CellContext`cosCurv[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`s, 
           
           Blank[]]] := {$CellContext`projX, \
$CellContext`lCos[$CellContext`k, $CellContext`s] - 
          1, $CellContext`s}, $CellContext`projX = (-1)/2 - 
         Pi, $CellContext`cirCurv[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`s, 
           Blank[]]] := {
          $CellContext`lSin[$CellContext`k, $CellContext`s], \
$CellContext`lCos[$CellContext`k, $CellContext`s] - 
          1, $CellContext`projZ}, $CellContext`dstCurv[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]], 
          Pattern[$CellContext`s, 
           Blank[]]] := 
        Module[{$CellContext`aProg = 
           If[$CellContext`s < 0, 1 - Abs[$CellContext`s]/Pi, 
             Abs[$CellContext`s]/Pi]}, 
          If[$CellContext`s < 0, $CellContext`theResult = {
              $CellContext`lSin[$CellContext`k, $CellContext`t \
$CellContext`aProg], -1 + $CellContext`lCos[$CellContext`k, $CellContext`t \
$CellContext`aProg], 0}, $CellContext`theResult = {
              $CellContext`lSin[$CellContext`k, $CellContext`t], -1 + \
$CellContext`lCos[$CellContext`k, $CellContext`t], $CellContext`t \
$CellContext`aProg}]; $CellContext`theResult], $CellContext`theResult = {
         0., -1, 0.}, $CellContext`sinColor = 
        RGBColor[1, 0, 0], $CellContext`cosColor = 
        RGBColor[0, 0.75, 0], $CellContext`cirColor = 
        RGBColor[0, 0, 1], $CellContext`theVects[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]], 
          Pattern[$CellContext`projCurvOpacity, 
           Blank[]], 
          Pattern[$CellContext`projTangOpacity, 
           Blank[]], 
          Pattern[$CellContext`dispOpacity, 
           Blank[]], 
          Pattern[$CellContext`slopeTriOpacity, 
           Blank[]], 
          Pattern[$CellContext`radialTriOpacity, 
           Blank[]], 
          Pattern[$CellContext`axisOpacity, 
           Blank[]]] := 
        Module[{$CellContext`projOpacity = 
           If[$CellContext`projCurvOpacity + $CellContext`projTangOpacity + \
$CellContext`slopeTriOpacity + $CellContext`radialTriOpacity > 0, 1, 
             0], $CellContext`theResult}, $CellContext`theResult = 
           Graphics3D[{
              Opacity[$CellContext`projOpacity 0.2], 
              EdgeForm[
               Opacity[0]], $CellContext`cosColor, 
              
              Polygon[{{$CellContext`projX, -Pi, -Pi}, {$CellContext`projX, -
                 Pi, Pi}, {$CellContext`projX, Pi, Pi}, {$CellContext`projX, 
                 Pi, -Pi}}], $CellContext`sinColor, 
              
              Polygon[{{-Pi, $CellContext`projY, -Pi}, {-
                 Pi, $CellContext`projY, Pi}, {Pi, $CellContext`projY, Pi}, {
                Pi, $CellContext`projY, -Pi}}], $CellContext`cirColor, 
              
              Polygon[{{-Pi, -Pi, $CellContext`projZ}, {-Pi, 
                 Pi, $CellContext`projZ}, {Pi, Pi, $CellContext`projZ}, {
                Pi, -Pi, $CellContext`projZ}}], 
              Opacity[1.], Thick, Orange, 
              $CellContext`tanVect[$CellContext`k, $CellContext`t], 
              Opacity[$CellContext`slopeTriOpacity], $CellContext`cosColor, 
              $CellContext`sinDashing[$CellContext`t], 
              $CellContext`cirSinVect[$CellContext`k, $CellContext`t], \
$CellContext`sinColor, 
              $CellContext`cosDashing[$CellContext`t], 
              $CellContext`cirCosVect[$CellContext`k, $CellContext`t], \
$CellContext`cirColor, 
              $CellContext`nonDashing[1], 
              $CellContext`sinCosVect[$CellContext`k, $CellContext`t], \
$CellContext`cirColor, 
              $CellContext`nonDashing[1], 
              $CellContext`sinDTVect[$CellContext`k, $CellContext`t], \
$CellContext`cosColor, 
              $CellContext`sinDashing[$CellContext`t], 
              $CellContext`sinDSinVect[$CellContext`k, $CellContext`t], \
$CellContext`cirColor, 
              $CellContext`nonDashing[1], 
              $CellContext`cosDTVect[$CellContext`k, $CellContext`t], \
$CellContext`sinColor, 
              $CellContext`cosDashing[$CellContext`t], 
              $CellContext`cosDCosVect[$CellContext`k, $CellContext`t], \
$CellContext`cosColor, 
              $CellContext`sinDashing[$CellContext`t], 
              $CellContext`cirDCosVect[$CellContext`k, $CellContext`t], \
$CellContext`sinColor, 
              $CellContext`cosDashing[$CellContext`t], 
              $CellContext`cirDSinVect[$CellContext`k, $CellContext`t], 
              
              Opacity[$CellContext`slopeTriOpacity + \
$CellContext`projTangOpacity], Black, 
              $CellContext`nonDashing[1], 
              $CellContext`sinVect[$CellContext`k, $CellContext`t], 
              $CellContext`cosVect[$CellContext`k, $CellContext`t], 
              $CellContext`cirVect[$CellContext`k, $CellContext`t], 
              Opacity[$CellContext`radialTriOpacity], $CellContext`cosColor, 
              If[Cos[$CellContext`t] < 0, 
               Dashing[Small], 
               Dashing[1]], 
              $CellContext`radCosVect[$CellContext`k, $CellContext`t], \
$CellContext`sinColor, 
              If[Sin[$CellContext`t] < 0, 
               Dashing[Small], 
               Dashing[1]], 
              $CellContext`radSinVect[$CellContext`k, $CellContext`t], 
              Black, 
              $CellContext`radVect[$CellContext`k, $CellContext`t], Thin, 
              Opacity[$CellContext`axisOpacity], Black, 
              Dashing[1], 
              Line[{{0, 0, 0}, {0, 0, $CellContext`projD}}], 
              Line[{{0, 0, 0}, {0, -$CellContext`projD, 0}}], 
              Line[{{0, 0, 0}, {$CellContext`projD, 0, 0}}], 
              Dashing[Small], 
              Line[{{0, 0, 0}, {0, 0, -$CellContext`projD}}], 
              Line[{{0, 0, 0}, {0, $CellContext`projD, 0}}], 
              Line[{{0, 0, 0}, {-$CellContext`projD, 0, 0}}], 
              
              Opacity[$CellContext`axisOpacity $CellContext`projOpacity], \
$CellContext`cosColor, 
              Dashing[1], 
              
              Line[{{$CellContext`projX, 0, 0}, {$CellContext`projX, 
                 0, $CellContext`projD}}], 
              Line[{{$CellContext`projX, 0, 
                 0}, {$CellContext`projX, -$CellContext`projD, 0}}], 
              Dashing[Small], 
              
              Line[{{$CellContext`projX, 0, 0}, {$CellContext`projX, 
                 0, -$CellContext`projD}}], 
              
              Line[{{$CellContext`projX, 0, 
                 0}, {$CellContext`projX, $CellContext`projD, 
                 0}}], $CellContext`sinColor, 
              Dashing[1], 
              
              Line[{{0, $CellContext`projY, 0}, {
                0, $CellContext`projY, $CellContext`projD}}], 
              
              Line[{{0, $CellContext`projY, 
                 0}, {$CellContext`projD, $CellContext`projY, 0}}], 
              Dashing[Small], 
              
              Line[{{0, $CellContext`projY, 0}, {
                0, $CellContext`projY, -$CellContext`projD}}], 
              
              Line[{{0, $CellContext`projY, 
                 0}, {-$CellContext`projD, $CellContext`projY, 
                 0}}], $CellContext`cirColor, 
              Dashing[1], 
              
              Line[{{0, 0, $CellContext`projZ}, {
                0, -$CellContext`projD, $CellContext`projZ}}], 
              
              Line[{{0, 0, $CellContext`projZ}, {$CellContext`projD, 
                 0, $CellContext`projZ}}], 
              Dashing[Small], 
              
              Line[{{0, 0, $CellContext`projZ}, {
                0, $CellContext`projD, $CellContext`projZ}}], 
              
              Line[{{0, 0, $CellContext`projZ}, {-$CellContext`projD, 
                 0, $CellContext`projZ}}], Black, 
              Opacity[$CellContext`axisOpacity], 
              Text[$CellContext`z, {0, 0, $CellContext`projD 1.1}], 
              Text[$CellContext`y, {$CellContext`projD 1.1, 0, 0}], 
              Text[$CellContext`x, {0, (-$CellContext`projD) 1.1, 0}], 
              Opacity[$CellContext`axisOpacity $CellContext`projOpacity], 
              
              Text[$CellContext`z, {$CellContext`projX, 0, $CellContext`projD 
                1.1}], 
              
              Text[$CellContext`x, {$CellContext`projX, (-$CellContext`projD) 
                1.1, 0}], 
              
              Text[$CellContext`z, {
               0, $CellContext`projY, $CellContext`projD 1.1}], 
              Text[$CellContext`y, {$CellContext`projD 
                1.1, $CellContext`projY, 0}], 
              
              Text[$CellContext`y, {$CellContext`projD 1.1, 
                0, $CellContext`projZ}], 
              
              Text[$CellContext`x, {
               0, (-$CellContext`projD) 
                1.1, $CellContext`projZ}]}]; $CellContext`theResult], \
$CellContext`tanVect[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]]] := $CellContext`vectFromV0Dv[{
           $CellContext`lSin[$CellContext`k, $CellContext`t], \
$CellContext`lCos[$CellContext`k, $CellContext`t] - 1, $CellContext`t}, {
           Cos[$CellContext`k $CellContext`t], 
           Sin[$CellContext`k $CellContext`t], 1}], $CellContext`vectFromV0Dv[
         
          Pattern[$CellContext`v0, 
           Blank[]], 
          Pattern[$CellContext`dv, 
           Blank[]]] := 
        Line[{$CellContext`v0 - $CellContext`smSqr $CellContext`dv, \
$CellContext`v0 + $CellContext`smSqr $CellContext`dv}], \
$CellContext`sinDashing[
          Pattern[$CellContext`t, 
           Blank[]]] := If[Cos[$CellContext`t] < 0, 
          Dashing[Small], 
          Dashing[1]], $CellContext`cirSinVect[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]]] := $CellContext`vectFromV0Dv[{
           $CellContext`lSin[$CellContext`k, $CellContext`t], \
$CellContext`projY, $CellContext`projZ}, {
           Cos[$CellContext`k $CellContext`t], 0, 
           0}], $CellContext`cosDashing[
          Pattern[$CellContext`t, 
           Blank[]]] := If[Sin[$CellContext`t] > 0, 
          Dashing[Small], 
          Dashing[1]], $CellContext`cirCosVect[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           
           Blank[]]] := $CellContext`vectFromV0Dv[{$CellContext`projX, \
$CellContext`lCos[$CellContext`k, $CellContext`t] - 1, $CellContext`projZ}, {
          0, 
           Sin[$CellContext`k $CellContext`t], 0}], $CellContext`nonDashing[
          Pattern[$CellContext`t, 
           Blank[]]] := Dashing[1], $CellContext`sinCosVect[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           
           Blank[]]] := $CellContext`vectFromV0Dv[{$CellContext`projX, \
$CellContext`projY, $CellContext`t}, {0, 0, 1}], $CellContext`sinDTVect[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           
           Blank[]]] := \
$CellContext`vectFromV0Dv[$CellContext`sinVectBase[$CellContext`k, \
$CellContext`t] + $CellContext`smSqr {-Cos[$CellContext`k $CellContext`t], 0, 
             0}, {0, 0, 1}], $CellContext`sinVectBase[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]]] := {
          $CellContext`lSin[$CellContext`k, $CellContext`t], \
$CellContext`projY, $CellContext`t}, $CellContext`sinDSinVect[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           
           Blank[]]] := \
$CellContext`vectFromV0Dv[$CellContext`sinVectBase[$CellContext`k, \
$CellContext`t] + $CellContext`smSqr {0, 0, 1}, {
           Cos[$CellContext`k $CellContext`t], 0, 0}], $CellContext`cosDTVect[
         
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           
           Blank[]]] := \
$CellContext`vectFromV0Dv[$CellContext`cosVectBase[$CellContext`k, \
$CellContext`t] + $CellContext`smSqr {
            0, -Sin[$CellContext`k $CellContext`t], 0}, {0, 0, 
          1}], $CellContext`cosVectBase[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           
           Blank[]]] := {$CellContext`projX, \
$CellContext`lCos[$CellContext`k, $CellContext`t] - 
          1, $CellContext`t}, $CellContext`cosDCosVect[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           
           Blank[]]] := \
$CellContext`vectFromV0Dv[$CellContext`cosVectBase[$CellContext`k, \
$CellContext`t] + $CellContext`smSqr {0, 0, 1}, {0, 
           Sin[$CellContext`k $CellContext`t], 0}], $CellContext`cirDCosVect[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           
           Blank[]]] := \
$CellContext`vectFromV0Dv[$CellContext`cirVectBase[$CellContext`k, \
$CellContext`t] + {
           0, (If[Sin[2 $CellContext`t] < 0, 1, -1] $CellContext`smSqr) 
            Sin[$CellContext`k $CellContext`t], 0}, {
           Cos[$CellContext`k $CellContext`t], 0, 
           0}], $CellContext`cirVectBase[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]]] := {
          $CellContext`lSin[$CellContext`k, $CellContext`t], \
$CellContext`lCos[$CellContext`k, $CellContext`t] - 
          1, $CellContext`projZ}, $CellContext`cirDSinVect[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           
           Blank[]]] := \
$CellContext`vectFromV0Dv[$CellContext`cirVectBase[$CellContext`k, \
$CellContext`t] + {(If[Sin[2 $CellContext`t] > 0, 1, -1] $CellContext`smSqr) 
            Cos[$CellContext`k $CellContext`t], 0, 0}, {0, 
           Sin[$CellContext`k $CellContext`t], 0}], $CellContext`sinVect[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]]] := $CellContext`vectFromV0Dv[
          $CellContext`sinVectBase[$CellContext`k, $CellContext`t], {
           Cos[$CellContext`k $CellContext`t], 0, 1}], $CellContext`cosVect[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]]] := $CellContext`vectFromV0Dv[
          $CellContext`cosVectBase[$CellContext`k, $CellContext`t], {0, 
           Sin[$CellContext`k $CellContext`t], 1}], $CellContext`cirVect[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]]] := $CellContext`vectFromV0Dv[
          $CellContext`cirVectBase[$CellContext`k, $CellContext`t], {
           Cos[$CellContext`k $CellContext`t], 
           Sin[$CellContext`k $CellContext`t], 0}], $CellContext`radCosVect[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]]] := 
        Line[{{0, 0, $CellContext`projZ}, {
           0, -Cos[$CellContext`t], $CellContext`projZ}}], \
$CellContext`radSinVect[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]]] := 
        Line[{{0, -Cos[$CellContext`t], $CellContext`projZ}, {
            Sin[$CellContext`t], -
            Cos[$CellContext`t], $CellContext`projZ}}], $CellContext`radVect[
          Pattern[$CellContext`k, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]]] := Line[{{0, 0, $CellContext`projZ}, {
            Sin[$CellContext`t], -
            Cos[$CellContext`t], $CellContext`projZ}}], $CellContext`projD = 
        1/2 + Pi, Attributes[PlotRange] = {ReadProtected}}; 
      Typeset`initDone$$ = True); ReleaseHold[{{
         HoldComplete[$CellContext`smSqr = 1/2; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`projD = Pi + $CellContext`smSqr; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`projX = -$CellContext`projD; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`projY = $CellContext`projD; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`projZ = -$CellContext`projD; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`sinColor = Red; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`cosColor = RGBColor[0, 0.75, 0]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`cirColor = Blue; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`lSin[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              Blank[]]] := 
           If[$CellContext`k == 0, $CellContext`t, 
             Sin[$CellContext`k $CellContext`t]/$CellContext`k]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`lCos[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              Blank[]]] := 
           If[$CellContext`k == 0, 
             0, (1 - Cos[$CellContext`k $CellContext`t])/$CellContext`k]; 
          Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`helSurf = 
           Function[{$CellContext`k, $CellContext`u, $CellContext`v}, {
              $CellContext`lSin[$CellContext`k, $CellContext`u], \
$CellContext`lCos[$CellContext`k, $CellContext`u] - 1, $CellContext`v}]; 
          Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`sqrSurf = 
           Function[{$CellContext`k, $CellContext`t, $CellContext`u, \
$CellContext`v}, {($CellContext`u/Pi) $CellContext`smSqr 
               Cos[$CellContext`k $CellContext`t] + \
$CellContext`lSin[$CellContext`k, $CellContext`t], ($CellContext`u/
                Pi) $CellContext`smSqr 
               Sin[$CellContext`k $CellContext`t] + \
$CellContext`lCos[$CellContext`k, $CellContext`t] - 
              1, ($CellContext`v/Pi) $CellContext`smSqr + $CellContext`t}]; 
          Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`arcSurf = {(((Pi + #3)/2)/Pi) 
             Sin[#2 (((Pi + #4)/2)/Pi)], (((-(Pi + #3))/2)/Pi) 
             Cos[#2 (((Pi + #4)/2)/Pi)], $CellContext`projZ}& ; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`theSurfs[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              Blank[]], 
             Pattern[$CellContext`projCurvOpacity, 
              Blank[]], 
             Pattern[$CellContext`projTangOpacity, 
              Blank[]], 
             Pattern[$CellContext`slopeTriOpacity, 
              Blank[]], 
             Pattern[$CellContext`radTriOpacity, 
              Blank[]]] := {
             ParametricPlot3D[{
               $CellContext`helSurf[$CellContext`k, $CellContext`u, \
$CellContext`v], 
               $CellContext`sqrSurf[$CellContext`k, $CellContext`t, \
$CellContext`u, $CellContext`v], 
               $CellContext`arcSurf[$CellContext`k, $CellContext`t, \
$CellContext`u, $CellContext`v]}, {$CellContext`u, -Pi, 
               Pi}, {$CellContext`v, -Pi, Pi}, Mesh -> None, 
              PlotStyle -> {{Black, 
                 Opacity[0.2]}, {Black, 
                 Opacity[(1 - $CellContext`k) 0.2]}, {Black, 
                 Opacity[$CellContext`radTriOpacity 0.2]}}]}; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`helCurv[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`s, 
              Blank[]]] := {
             $CellContext`lSin[$CellContext`k, $CellContext`s], \
$CellContext`lCos[$CellContext`k, $CellContext`s] - 1, $CellContext`s}; Null],
          
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`cosCurv[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`s, 
              
              Blank[]]] := {$CellContext`projX, \
$CellContext`lCos[$CellContext`k, $CellContext`s] - 1, $CellContext`s}; Null],
          
         HoldComplete[Null], 
         HoldComplete[$CellContext`sinCurv[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`s, 
              Blank[]]] := {
             $CellContext`lSin[$CellContext`k, $CellContext`s], \
$CellContext`projY, $CellContext`s}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`cirCurv[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`s, 
              Blank[]]] := {
             $CellContext`lSin[$CellContext`k, $CellContext`s], \
$CellContext`lCos[$CellContext`k, $CellContext`s] - 1, $CellContext`projZ}; 
          Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`dstCurv[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              Blank[]], 
             Pattern[$CellContext`s, 
              Blank[]]] := 
           Module[{$CellContext`aProg = 
              If[$CellContext`s < 0, 1 - Abs[$CellContext`s]/Pi, 
                Abs[$CellContext`s]/Pi]}, 
             If[$CellContext`s < 0, $CellContext`theResult = {
                 $CellContext`lSin[$CellContext`k, $CellContext`t \
$CellContext`aProg], -1 + $CellContext`lCos[$CellContext`k, $CellContext`t \
$CellContext`aProg], 0}, $CellContext`theResult = {
                 $CellContext`lSin[$CellContext`k, $CellContext`t], -1 + \
$CellContext`lCos[$CellContext`k, $CellContext`t], $CellContext`t \
$CellContext`aProg}]; $CellContext`theResult]; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`theCurvs[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              Blank[]], 
             Pattern[$CellContext`projCurvOpacity, 
              Blank[]], 
             Pattern[$CellContext`projTangOpacity, 
              Blank[]], 
             Pattern[$CellContext`dispOpacity, 
              Blank[]], 
             Pattern[$CellContext`slopeTriOpacity, 
              Blank[]], 
             Pattern[$CellContext`radTriOpacity, 
              Blank[]]] := {
             ParametricPlot3D[{
               $CellContext`helCurv[$CellContext`k, $CellContext`s], 
               $CellContext`sinCurv[$CellContext`k, $CellContext`s], 
               $CellContext`cosCurv[$CellContext`k, $CellContext`s], 
               $CellContext`cirCurv[$CellContext`k, $CellContext`s], 
               $CellContext`dstCurv[$CellContext`k, $CellContext`t, \
$CellContext`s]}, {$CellContext`s, -Pi, Pi}, PlotStyle -> {{Black, 
                 Thickness[Large]}, {$CellContext`sinColor, 
                 Thickness[Large], 
                 
                 Opacity[$CellContext`projCurvOpacity]}, \
{$CellContext`cosColor, 
                 Thickness[Large], 
                 
                 Opacity[$CellContext`projCurvOpacity]}, \
{$CellContext`cirColor, 
                 Thickness[Large], 
                 Opacity[$CellContext`projCurvOpacity]}, {Yellow, 
                 Thickness[Large], 
                 Opacity[$CellContext`dispOpacity]}}]}; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`vectFromV0Dv[
             Pattern[$CellContext`v0, 
              Blank[]], 
             Pattern[$CellContext`dv, 
              Blank[]]] := 
           Line[{$CellContext`v0 - $CellContext`smSqr $CellContext`dv, \
$CellContext`v0 + $CellContext`smSqr $CellContext`dv}]; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`tanVect[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              Blank[]]] := $CellContext`vectFromV0Dv[{
              $CellContext`lSin[$CellContext`k, $CellContext`t], \
$CellContext`lCos[$CellContext`k, $CellContext`t] - 1, $CellContext`t}, {
              Cos[$CellContext`k $CellContext`t], 
              Sin[$CellContext`k $CellContext`t], 1}]; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`sinVectBase[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              Blank[]]] := {
             $CellContext`lSin[$CellContext`k, $CellContext`t], \
$CellContext`projY, $CellContext`t}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`sinVect[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              Blank[]]] := $CellContext`vectFromV0Dv[
             $CellContext`sinVectBase[$CellContext`k, $CellContext`t], {
              Cos[$CellContext`k $CellContext`t], 0, 1}]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`sinDTVect[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              
              Blank[]]] := \
$CellContext`vectFromV0Dv[$CellContext`sinVectBase[$CellContext`k, \
$CellContext`t] + $CellContext`smSqr {-Cos[$CellContext`k $CellContext`t], 0, 
                0}, {0, 0, 1}]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`sinDSinVect[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              
              Blank[]]] := \
$CellContext`vectFromV0Dv[$CellContext`sinVectBase[$CellContext`k, \
$CellContext`t] + $CellContext`smSqr {0, 0, 1}, {
              Cos[$CellContext`k $CellContext`t], 0, 0}]; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`cosVectBase[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              
              Blank[]]] := {$CellContext`projX, \
$CellContext`lCos[$CellContext`k, $CellContext`t] - 1, $CellContext`t}; Null],
          
         HoldComplete[Null], 
         HoldComplete[$CellContext`cosVect[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              Blank[]]] := $CellContext`vectFromV0Dv[
             $CellContext`cosVectBase[$CellContext`k, $CellContext`t], {0, 
              Sin[$CellContext`k $CellContext`t], 1}]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`cosDTVect[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              
              Blank[]]] := \
$CellContext`vectFromV0Dv[$CellContext`cosVectBase[$CellContext`k, \
$CellContext`t] + $CellContext`smSqr {
               0, -Sin[$CellContext`k $CellContext`t], 0}, {0, 0, 1}]; Null], 
         
         HoldComplete[Null], 
         HoldComplete[$CellContext`cosDCosVect[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              
              Blank[]]] := \
$CellContext`vectFromV0Dv[$CellContext`cosVectBase[$CellContext`k, \
$CellContext`t] + $CellContext`smSqr {0, 0, 1}, {0, 
              Sin[$CellContext`k $CellContext`t], 0}]; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`cirVectBase[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              Blank[]]] := {
             $CellContext`lSin[$CellContext`k, $CellContext`t], \
$CellContext`lCos[$CellContext`k, $CellContext`t] - 1, $CellContext`projZ}; 
          Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`cirVect[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              Blank[]]] := $CellContext`vectFromV0Dv[
             $CellContext`cirVectBase[$CellContext`k, $CellContext`t], {
              Cos[$CellContext`k $CellContext`t], 
              Sin[$CellContext`k $CellContext`t], 0}]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`cirDSinVect[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              
              Blank[]]] := \
$CellContext`vectFromV0Dv[$CellContext`cirVectBase[$CellContext`k, \
$CellContext`t] + {
              If[Sin[2 $CellContext`t] > 0, 1, -1] $CellContext`smSqr 
               Cos[$CellContext`k $CellContext`t], 0, 0}, {0, 
              Sin[$CellContext`k $CellContext`t], 0}]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`cirDCosVect[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              
              Blank[]]] := \
$CellContext`vectFromV0Dv[$CellContext`cirVectBase[$CellContext`k, \
$CellContext`t] + {
              0, If[Sin[2 $CellContext`t] < 0, 1, -1] $CellContext`smSqr 
               Sin[$CellContext`k $CellContext`t], 0}, {
              Cos[$CellContext`k $CellContext`t], 0, 0}]; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`sinCosVect[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              
              Blank[]]] := $CellContext`vectFromV0Dv[{$CellContext`projX, \
$CellContext`projY, $CellContext`t}, {0, 0, 1}]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`cirSinVect[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              Blank[]]] := $CellContext`vectFromV0Dv[{
              $CellContext`lSin[$CellContext`k, $CellContext`t], \
$CellContext`projY, $CellContext`projZ}, {
              Cos[$CellContext`k $CellContext`t], 0, 0}]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`cirCosVect[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              
              Blank[]]] := $CellContext`vectFromV0Dv[{$CellContext`projX, \
$CellContext`lCos[$CellContext`k, $CellContext`t] - 1, $CellContext`projZ}, {
             0, 
              Sin[$CellContext`k $CellContext`t], 0}]; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`radVect[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              Blank[]]] := Line[{{0, 0, $CellContext`projZ}, {
               Sin[$CellContext`t], -
               Cos[$CellContext`t], $CellContext`projZ}}]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`radCosVect[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              Blank[]]] := 
           Line[{{0, 0, $CellContext`projZ}, {
              0, -Cos[$CellContext`t], $CellContext`projZ}}]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`radSinVect[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              Blank[]]] := 
           Line[{{0, -Cos[$CellContext`t], $CellContext`projZ}, {
               Sin[$CellContext`t], -
               Cos[$CellContext`t], $CellContext`projZ}}]; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`sinDash[
             Pattern[$CellContext`t, 
              Blank[]]] := If[Cos[$CellContext`t] < 0, Dashed, Thick]; Null], 
         
         HoldComplete[Null], 
         HoldComplete[$CellContext`cosDash[
             Pattern[$CellContext`t, 
              Blank[]]] := If[Sin[$CellContext`t] > 0, Dashed, Thick]; Null], 
         
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`sinDashing[
             Pattern[$CellContext`t, 
              Blank[]]] := If[Cos[$CellContext`t] < 0, 
             Dashing[Small], 
             Dashing[1]]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`cosDashing[
             Pattern[$CellContext`t, 
              Blank[]]] := If[Sin[$CellContext`t] > 0, 
             Dashing[Small], 
             Dashing[1]]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`nonDashing[
             Pattern[$CellContext`t, 
              Blank[]]] := Dashing[1]; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`theVects[
             Pattern[$CellContext`k, 
              Blank[]], 
             Pattern[$CellContext`t, 
              Blank[]], 
             Pattern[$CellContext`projCurvOpacity, 
              Blank[]], 
             Pattern[$CellContext`projTangOpacity, 
              Blank[]], 
             Pattern[$CellContext`dispOpacity, 
              Blank[]], 
             Pattern[$CellContext`slopeTriOpacity, 
              Blank[]], 
             Pattern[$CellContext`radialTriOpacity, 
              Blank[]], 
             Pattern[$CellContext`axisOpacity, 
              Blank[]]] := 
           Module[{$CellContext`projOpacity = 
              If[$CellContext`projCurvOpacity + $CellContext`projTangOpacity + \
$CellContext`slopeTriOpacity + $CellContext`radialTriOpacity > 0, 1, 
                0], $CellContext`theResult}, $CellContext`theResult = 
              Graphics3D[{
                 Opacity[$CellContext`projOpacity 0.2], 
                 EdgeForm[
                  Opacity[0]], $CellContext`cosColor, 
                 
                 Polygon[{{$CellContext`projX, -Pi, -
                    Pi}, {$CellContext`projX, -Pi, Pi}, {$CellContext`projX, 
                    Pi, Pi}, {$CellContext`projX, Pi, -
                    Pi}}], $CellContext`sinColor, 
                 
                 Polygon[{{-Pi, $CellContext`projY, -Pi}, {-
                    Pi, $CellContext`projY, Pi}, {
                   Pi, $CellContext`projY, Pi}, {
                   Pi, $CellContext`projY, -Pi}}], $CellContext`cirColor, 
                 
                 Polygon[{{-Pi, -Pi, $CellContext`projZ}, {-Pi, 
                    Pi, $CellContext`projZ}, {Pi, Pi, $CellContext`projZ}, {
                   Pi, -Pi, $CellContext`projZ}}], 
                 Opacity[1.], Thick, Orange, 
                 $CellContext`tanVect[$CellContext`k, $CellContext`t], 
                 
                 Opacity[$CellContext`slopeTriOpacity], \
$CellContext`cosColor, 
                 $CellContext`sinDashing[$CellContext`t], 
                 $CellContext`cirSinVect[$CellContext`k, $CellContext`t], \
$CellContext`sinColor, 
                 $CellContext`cosDashing[$CellContext`t], 
                 $CellContext`cirCosVect[$CellContext`k, $CellContext`t], \
$CellContext`cirColor, 
                 $CellContext`nonDashing[1], 
                 $CellContext`sinCosVect[$CellContext`k, $CellContext`t], \
$CellContext`cirColor, 
                 $CellContext`nonDashing[1], 
                 $CellContext`sinDTVect[$CellContext`k, $CellContext`t], \
$CellContext`cosColor, 
                 $CellContext`sinDashing[$CellContext`t], 
                 $CellContext`sinDSinVect[$CellContext`k, $CellContext`t], \
$CellContext`cirColor, 
                 $CellContext`nonDashing[1], 
                 $CellContext`cosDTVect[$CellContext`k, $CellContext`t], \
$CellContext`sinColor, 
                 $CellContext`cosDashing[$CellContext`t], 
                 $CellContext`cosDCosVect[$CellContext`k, $CellContext`t], \
$CellContext`cosColor, 
                 $CellContext`sinDashing[$CellContext`t], 
                 $CellContext`cirDCosVect[$CellContext`k, $CellContext`t], \
$CellContext`sinColor, 
                 $CellContext`cosDashing[$CellContext`t], 
                 $CellContext`cirDSinVect[$CellContext`k, $CellContext`t], 
                 
                 Opacity[$CellContext`slopeTriOpacity + \
$CellContext`projTangOpacity], Black, 
                 $CellContext`nonDashing[1], 
                 $CellContext`sinVect[$CellContext`k, $CellContext`t], 
                 $CellContext`cosVect[$CellContext`k, $CellContext`t], 
                 $CellContext`cirVect[$CellContext`k, $CellContext`t], 
                 
                 Opacity[$CellContext`radialTriOpacity], \
$CellContext`cosColor, 
                 If[Cos[$CellContext`t] < 0, 
                  Dashing[Small], 
                  Dashing[1]], 
                 $CellContext`radCosVect[$CellContext`k, $CellContext`t], \
$CellContext`sinColor, 
                 If[Sin[$CellContext`t] < 0, 
                  Dashing[Small], 
                  Dashing[1]], 
                 $CellContext`radSinVect[$CellContext`k, $CellContext`t], 
                 Black, 
                 $CellContext`radVect[$CellContext`k, $CellContext`t], Thin, 
                 Opacity[$CellContext`axisOpacity], Black, 
                 Dashing[1], 
                 Line[{{0, 0, 0}, {0, 0, $CellContext`projD}}], 
                 Line[{{0, 0, 0}, {0, -$CellContext`projD, 0}}], 
                 Line[{{0, 0, 0}, {$CellContext`projD, 0, 0}}], 
                 Dashing[Small], 
                 Line[{{0, 0, 0}, {0, 0, -$CellContext`projD}}], 
                 Line[{{0, 0, 0}, {0, $CellContext`projD, 0}}], 
                 Line[{{0, 0, 0}, {-$CellContext`projD, 0, 0}}], 
                 
                 Opacity[$CellContext`axisOpacity $CellContext`projOpacity], \
$CellContext`cosColor, 
                 Dashing[1], 
                 
                 Line[{{$CellContext`projX, 0, 0}, {$CellContext`projX, 
                    0, $CellContext`projD}}], 
                 
                 Line[{{$CellContext`projX, 0, 
                    0}, {$CellContext`projX, -$CellContext`projD, 0}}], 
                 Dashing[Small], 
                 
                 Line[{{$CellContext`projX, 0, 0}, {$CellContext`projX, 
                    0, -$CellContext`projD}}], 
                 
                 Line[{{$CellContext`projX, 0, 
                    0}, {$CellContext`projX, $CellContext`projD, 
                    0}}], $CellContext`sinColor, 
                 Dashing[1], 
                 
                 Line[{{0, $CellContext`projY, 0}, {
                   0, $CellContext`projY, $CellContext`projD}}], 
                 
                 Line[{{0, $CellContext`projY, 
                    0}, {$CellContext`projD, $CellContext`projY, 0}}], 
                 Dashing[Small], 
                 
                 Line[{{0, $CellContext`projY, 0}, {
                   0, $CellContext`projY, -$CellContext`projD}}], 
                 
                 Line[{{0, $CellContext`projY, 
                    0}, {-$CellContext`projD, $CellContext`projY, 
                    0}}], $CellContext`cirColor, 
                 Dashing[1], 
                 
                 Line[{{0, 0, $CellContext`projZ}, {
                   0, -$CellContext`projD, $CellContext`projZ}}], 
                 
                 Line[{{0, 0, $CellContext`projZ}, {$CellContext`projD, 
                    0, $CellContext`projZ}}], 
                 Dashing[Small], 
                 
                 Line[{{0, 0, $CellContext`projZ}, {
                   0, $CellContext`projD, $CellContext`projZ}}], 
                 
                 Line[{{0, 0, $CellContext`projZ}, {-$CellContext`projD, 
                    0, $CellContext`projZ}}], Black, 
                 Opacity[$CellContext`axisOpacity], 
                 Text[$CellContext`z, {0, 0, $CellContext`projD 1.1}], 
                 Text[$CellContext`y, {$CellContext`projD 1.1, 0, 0}], 
                 Text[$CellContext`x, {0, (-$CellContext`projD) 1.1, 0}], 
                 Opacity[$CellContext`axisOpacity $CellContext`projOpacity], 
                 
                 Text[$CellContext`z, {$CellContext`projX, 
                   0, $CellContext`projD 1.1}], 
                 
                 Text[$CellContext`x, {$CellContext`projX, \
(-$CellContext`projD) 1.1, 0}], 
                 
                 Text[$CellContext`z, {
                  0, $CellContext`projY, $CellContext`projD 1.1}], 
                 
                 Text[$CellContext`y, {$CellContext`projD 
                   1.1, $CellContext`projY, 0}], 
                 
                 Text[$CellContext`y, {$CellContext`projD 1.1, 
                   0, $CellContext`projZ}], 
                 
                 Text[$CellContext`x, {
                  0, (-$CellContext`projD) 
                   1.1, $CellContext`projZ}]}]; $CellContext`theResult]; 
          Null]}}]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->87147391],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Calculus-Free Derivatives of Sine and Cosine",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
CalculusFreeDerivativesOfSineAndCosine/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/CalculusFreeDerivativesOfSineAndCosine/\
"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
CalculusFreeDerivativesOfSineAndCosine/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
CalculusFreeDerivativesOfSineAndCosine/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/CalculusFreeDerivativesOfSineAndCosine/\
"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["B. D. S. Don McConnell",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=B.+D.+S.+%22Don%\
22+McConnell"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=B.+D.+S.+%22Don%22+\
McConnell"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
CalculusFreeDerivativesOfSineAndCosine"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Calculus-Free Derivatives of Sine and Cosine - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 236, 4, 70, "Section"],
Cell[829, 29, 50747, 1241, 70, "Input",
 CellID->1580460757],
Cell[51579, 1272, 4587, 121, 70, "Input"]
}, Open  ]],
Cell[56181, 1396, 51192, 1143, 70, "Output",
 CellID->87147391],
Cell[CellGroupData[{
Cell[107398, 2543, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[107774, 2554, 1029, 31, 70, "Text"],
Cell[108806, 2587, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[109146, 2598, 474, 15, 70, "Text"],
Cell[CellGroupData[{
Cell[109645, 2617, 829, 24, 70, "Text"],
Cell[110477, 2643, 1214, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature PQ4iNyeyVx8q4ATJuS555LxX *)
