(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     21142,        551]
NotebookOptionsPosition[     20047,        510]
NotebookOutlinePosition[     20668,        534]
CellTagsIndexPosition[     20625,        531]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Derivatives: A Look at Graphs", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"poly", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"x", "-", "1"}], ")"}]}], 
       RowBox[{"(", 
        RowBox[{"x", "-", "3"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"x", "-", "6"}], ")"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "-", "9"}], ")"}], "/", "30"}]}], "+", "2"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"trig", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"Sin", "[", "x", "]"}], "+", 
      RowBox[{"Cos", "[", 
       RowBox[{"2", "x"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ln", "[", "x_", "]"}], ":=", 
     RowBox[{"3", " ", 
      RowBox[{
       RowBox[{"Log", "[", "x", "]"}], "/", "2"}]}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Dynamic", "[", 
     RowBox[{"Refresh", "[", 
      RowBox[{
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"xmin", ",", "xmax", ",", "plotoptions", ",", "curve"}], 
          "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"xmin", "=", "0"}], ";", " ", 
          RowBox[{"xmax", "=", "10"}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"plotoptions", "=", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "10"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}], ",", " ", 
             
             RowBox[{"PlotRangePadding", "\[Rule]", "0.25"}], ",", 
             RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "300"}]}], "}"}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"curve", "[", "x0_", "]"}], ":=", 
           RowBox[{"Show", "[", 
            RowBox[{
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{"fcn", "[", "x", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
               RowBox[{"Evaluate", "[", "plotoptions", "]"}]}], "]"}], ",", 
             RowBox[{"Graphics", "[", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"x0", ",", 
                 RowBox[{"fcn", "[", "x0", "]"}]}], "}"}], "]"}], "]"}]}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"tline", "[", "x0_", "]"}], ":=", 
           RowBox[{"Plot", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"fcn", "'"}], "[", "x0", "]"}], 
               RowBox[{"(", 
                RowBox[{"x", "-", "x0"}], ")"}]}], "+", 
              RowBox[{"fcn", "[", "x0", "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", "Purple"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"deriv1", "[", "x0_", "]"}], ":=", 
           RowBox[{"Show", "[", 
            RowBox[{
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"fcn", "'"}], "[", "x", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
               RowBox[{"Evaluate", "[", "plotoptions", "]"}], ",", 
               RowBox[{"PlotStyle", "\[Rule]", "Brown"}]}], "]"}], ",", 
             RowBox[{"Graphics", "[", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"x0", ",", 
                 RowBox[{
                  RowBox[{"fcn", "'"}], "[", "x0", "]"}]}], "}"}], "]"}], 
              "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"deriv2", "[", "x0_", "]"}], ":=", 
           RowBox[{"Show", "[", 
            RowBox[{
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"fcn", "''"}], "[", "x", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
               RowBox[{"Evaluate", "[", "plotoptions", "]"}], ",", 
               RowBox[{"PlotStyle", "\[Rule]", "Gray"}]}], "]"}], ",", 
             RowBox[{"Graphics", "[", 
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"x0", ",", 
                 RowBox[{
                  RowBox[{"fcn", "''"}], "[", "x0", "]"}]}], "}"}], "]"}], 
              "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"Show", "[", 
           RowBox[{
            RowBox[{"curve", "[", 
             RowBox[{"pt", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
            RowBox[{"Through", "[", 
             RowBox[{"showderivs", "[", 
              RowBox[{"pt", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "400"}]}], "]"}]}]}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ",", 
       RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
        RowBox[{"{", 
         RowBox[{"pt", ",", "showderivs", ",", "fcn"}], "}"}]}]}], "]"}], 
     "]"}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fcn", ",", "poly", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"poly", "\[Rule]", "\"\<polynomial\>\""}], ",", 
       RowBox[{"trig", "\[Rule]", "\"\<trigonometric\>\""}], ",", 
       RowBox[{"ln", "\[Rule]", "\"\<logarithmic\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\"\<\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pt", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "0"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<|\>\"", ",", "20", ",", "Bold", ",", "Red"}], "]"}]}]}], 
    "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showderivs", ",", 
       RowBox[{"{", "tline", "}"}], ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"tline", "\[Rule]", "\"\< tangent line  \>\""}], ",", 
       RowBox[{"deriv1", "\[Rule]", "\"\< first derivative  \>\""}], ",", 
       RowBox[{"deriv2", "\[Rule]", "\"\< second derivative\>\""}]}], "}"}], 
     ",", 
     RowBox[{"ControlType", "\[Rule]", "CheckboxBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"Column", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<move the \>\"", ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<red\>\"", ",", "Red"}], "]"}], ",", 
            "\"\< marker along the \>\"", ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
            "\"\< axis\>\""}], "}"}], "]"}], ",", "16"}], "]"}], "}"}], ",", 
      RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"pt", ",", "showderivs", ",", "fcn"}], "}"}]}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, 3.36276851118984*^9, {3.3701292160377855`*^9, 
   3.3701292187016163`*^9}, 3.370629714518301*^9, {3.37703509208589*^9, 
   3.377035128940527*^9}, {3.382275624545388*^9, 3.3822756520254173`*^9}, {
   3.3822757211769667`*^9, 3.382275721724518*^9}, {3.382275810092414*^9, 
   3.382275833357874*^9}, {3.382286030929746*^9, 3.38228603106978*^9}, {
   3.3907472594755754`*^9, 3.3907472631108027`*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`fcn$$ = $CellContext`poly, \
$CellContext`pt$$ = {1, 0}, $CellContext`showderivs$$ = {$CellContext`tline}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`fcn$$], $CellContext`poly, ""}, {$CellContext`poly -> 
       "polynomial", $CellContext`trig -> "trigonometric", $CellContext`ln -> 
       "logarithmic"}}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`pt$$], {1, 0}}, {0, 0}, {10, 0}}, {{
       Hold[$CellContext`showderivs$$], {$CellContext`tline}, 
       ""}, {$CellContext`tline -> " tangent line  ", $CellContext`deriv1 -> 
       " first derivative  ", $CellContext`deriv2 -> " second derivative"}}}, 
    Typeset`size$$ = {400., {195., 199.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`fcn$71776$$ = False, $CellContext`pt$71777$$ = {0, 
    0}, $CellContext`showderivs$71778$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`fcn$$ = $CellContext`poly, \
$CellContext`pt$$ = {1, 0}, $CellContext`showderivs$$ = {$CellContext`tline}},
       "ControllerVariables" :> {
        Hold[$CellContext`fcn$$, $CellContext`fcn$71776$$, False], 
        Hold[$CellContext`pt$$, $CellContext`pt$71777$$, {0, 0}], 
        Hold[$CellContext`showderivs$$, $CellContext`showderivs$71778$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`poly[
          Pattern[$CellContext`x, 
           
           Blank[]]] := (((-($CellContext`x - 1)) ($CellContext`x - 
             3)) ($CellContext`x - 6)) (($CellContext`x - 9)/30) + 
         2; $CellContext`trig[
          Pattern[$CellContext`x, 
           Blank[]]] := 
        Sin[$CellContext`x] + Cos[2 $CellContext`x]; $CellContext`ln[
          Pattern[$CellContext`x, 
           Blank[]]] := 3 (Log[$CellContext`x]/2); Dynamic[
         Refresh[
          
          Module[{$CellContext`xmin$, $CellContext`xmax$, \
$CellContext`plotoptions$, $CellContext`curve$}, $CellContext`xmin$ = 
            0; $CellContext`xmax$ = 
            10; $CellContext`plotoptions$ = {
             PlotRange -> {{0, 10}, {-5, 5}}, PlotRangePadding -> 0.25, 
              AspectRatio -> Automatic, ImageSize -> 
              300}; $CellContext`curve$[
              Pattern[$CellContext`x0$, 
               Blank[]]] := Show[
              Plot[
               $CellContext`fcn$$[$CellContext`x], {$CellContext`x, \
$CellContext`xmin$, $CellContext`xmax$}, 
               Evaluate[$CellContext`plotoptions$]], 
              Graphics[
               Point[{$CellContext`x0$, 
                 $CellContext`fcn$$[$CellContext`x0$]}]]]; $CellContext`tline[
             
              Pattern[$CellContext`x0$, 
               Blank[]]] := 
            Plot[Derivative[
                1][$CellContext`fcn$$][$CellContext`x0$] ($CellContext`x - \
$CellContext`x0$) + $CellContext`fcn$$[$CellContext`x0$], {$CellContext`x, \
$CellContext`xmin$, $CellContext`xmax$}, PlotStyle -> 
              Purple]; $CellContext`deriv1[
              Pattern[$CellContext`x0$, 
               Blank[]]] := Show[
              Plot[
               Derivative[
               1][$CellContext`fcn$$][$CellContext`x], {$CellContext`x, \
$CellContext`xmin$, $CellContext`xmax$}, 
               Evaluate[$CellContext`plotoptions$], PlotStyle -> Brown], 
              Graphics[
               Point[{$CellContext`x0$, 
                 Derivative[
                 1][$CellContext`fcn$$][$CellContext`x0$]}]]]; \
$CellContext`deriv2[
              Pattern[$CellContext`x0$, 
               Blank[]]] := Show[
              Plot[
               Derivative[
               2][$CellContext`fcn$$][$CellContext`x], {$CellContext`x, \
$CellContext`xmin$, $CellContext`xmax$}, 
               Evaluate[$CellContext`plotoptions$], PlotStyle -> Gray], 
              Graphics[
               Point[{$CellContext`x0$, 
                 Derivative[2][$CellContext`fcn$$][$CellContext`x0$]}]]]; 
           Show[
             $CellContext`curve$[
              Part[$CellContext`pt$$, 1]], 
             Through[
              $CellContext`showderivs$$[
               Part[$CellContext`pt$$, 1]]], ImageSize -> 400]], 
          TrackedSymbols :> {$CellContext`pt$$, $CellContext`showderivs$$, \
$CellContext`fcn$$}]]), 
      "Specifications" :> {{{$CellContext`fcn$$, $CellContext`poly, 
          ""}, {$CellContext`poly -> "polynomial", $CellContext`trig -> 
          "trigonometric", $CellContext`ln -> "logarithmic"}, ControlType -> 
         RadioButtonBar, ControlPlacement -> Top}, Delimiter, 
        "", {{$CellContext`pt$$, {1, 0}}, {0, 0}, {10, 0}, ControlType -> 
         Locator, Appearance -> Style["|", 20, Bold, 
           RGBColor[
           1, 0, 0]]}, {{$CellContext`showderivs$$, {$CellContext`tline}, 
          ""}, {$CellContext`tline -> " tangent line  ", $CellContext`deriv1 -> 
          " first derivative  ", $CellContext`deriv2 -> " second derivative"},
          ControlType -> CheckboxBar, ControlPlacement -> Top}}, 
      "Options" :> {FrameLabel -> Column[{
           Style[
            Row[{"move the ", 
              Style["red", 
               RGBColor[1, 0, 0]], " marker along the ", 
              Style["x", Italic], " axis"}], 16]}, Alignment -> Center], 
        TrackedSymbols :> {$CellContext`pt$$, $CellContext`showderivs$$, \
$CellContext`fcn$$}, AutorunSequencing -> {1, 2}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {267., 272.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->395632988],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Derivatives: A Look at Graphs",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DerivativesALookAtGraphs/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/DerivativesALookAtGraphs/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/DerivativesALookAtGraphs/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DerivativesALookAtGraphs/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/DerivativesALookAtGraphs/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->407948290],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
DerivativesALookAtGraphs"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Derivatives: A Look at Graphs - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 221, 4, 70, "Section"],
Cell[814, 29, 8739, 214, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[9568, 246, 6356, 130, 70, "Output",
 CellID->395632988],
Cell[CellGroupData[{
Cell[15949, 380, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16325, 391, 932, 26, 70, "Text"],
Cell[17260, 419, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[17600, 430, 362, 13, 70, "Text",
 CellID->407948290],
Cell[CellGroupData[{
Cell[17987, 447, 829, 24, 70, "Text"],
Cell[18819, 473, 1200, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 9T4Uwu@5KJzqYBDdT7OP#XCC *)
