(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     22400,        608]
NotebookOptionsPosition[     21291,        567]
NotebookOutlinePosition[     21907,        591]
CellTagsIndexPosition[     21864,        588]
WindowTitle->Differential of the Arc - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Differential of the Arc", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"2", 
         RowBox[{"Cos", "[", "#", "]"}]}], "&"}], ",", 
       RowBox[{
        RowBox[{"Sin", "[", "#", "]"}], "&"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "-", 
         RowBox[{"Sin", "[", "#", "]"}]}], "&"}], ",", 
       RowBox[{
        RowBox[{"1", "-", 
         RowBox[{"Cos", "[", "#", "]"}]}], "&"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"#", 
         RowBox[{"Cos", "[", "#", "]"}]}], "&"}], ",", 
       RowBox[{
        RowBox[{"#", 
         RowBox[{"Sin", "[", "#", "]"}]}], "&"}]}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Df1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"f1", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "1"}], "]"}], "]"}], "[", "t", "]"}], ",", 
         "t"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"f1", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], "[", "t", "]"}], ",", 
         "t"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "3"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.439268521671875*^9, 3.439268526859375*^9}, {
   3.439268599953125*^9, 3.439268634203125*^9}, {3.43926879328125*^9, 
   3.439268877859375*^9}, {3.439269826046875*^9, 3.4392698293125*^9}, {
   3.4392698649375*^9, 3.439269907484375*^9}, {3.439269974671875*^9, 
   3.43926999028125*^9}, {3.4392701014375*^9, 3.4392701521875*^9}, {
   3.439271381578125*^9, 3.43927148015625*^9}, {3.439271521421875*^9, 
   3.439271560421875*^9}, {3.439272132078125*^9, 3.439272164671875*^9}, {
   3.43927979709375*^9, 3.439279821921875*^9}, {3.4392868586875*^9, 
   3.43928688128125*^9}, 3.43928707253125*^9, {3.439287446953125*^9, 
   3.439287450296875*^9}, 3.43928749346875*^9, {3.439287524921875*^9, 
   3.439287584515625*^9}, 3.439287774984375*^9},
 CellID->585276123],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "=", 
        RowBox[{
         RowBox[{"f1", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "1"}], "]"}], "]"}], "[", "t1", "]"}]}], ",", 
       RowBox[{"y", "=", 
        RowBox[{
         RowBox[{"f1", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "2"}], "]"}], "]"}], "[", "t1", "]"}]}], ",", 
       RowBox[{"dx", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Df1", "[", 
            RowBox[{"[", 
             RowBox[{"i", ",", "1"}], "]"}], "]"}], "/.", 
           RowBox[{"{", 
            RowBox[{"t", "\[Rule]", "t1"}], "}"}]}], ")"}], "dt1"}]}], ",", 
       RowBox[{"dy", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Df1", "[", 
            RowBox[{"[", 
             RowBox[{"i", ",", "2"}], "]"}], "]"}], "/.", 
           RowBox[{"{", 
            RowBox[{"t", "->", "t1"}], "}"}]}], ")"}], "dt1"}]}]}], "}"}], 
     ",", 
     RowBox[{"Show", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"RGBColor", "[", 
           RowBox[{"1", ",", " ", "0.501961", ",", " ", "0.25098"}], "]"}], 
          ",", 
          RowBox[{"Thickness", "[", ".005", "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x", "+", "dx"}], ",", "y"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x", "+", "dx"}], ",", 
               RowBox[{"y", "+", "dy"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}]}], "}"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"0.501961", ",", " ", "0.501961", ",", " ", "0"}], "]"}],
             ",", 
            RowBox[{"PointSize", "[", "0.01", "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"f1", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", ",", "1"}], "]"}], "]"}], "[", "t1", "]"}], 
               ",", 
               RowBox[{
                RowBox[{"f1", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", ",", "2"}], "]"}], "]"}], "[", "t1", "]"}]}], 
              "}"}], "]"}]}], "}"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{"hint", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"RGBColor", "[", 
               RowBox[{"0", ",", " ", "0.501961", ",", " ", "1"}], "]"}], ",", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<d\[InvisibleSpace]s\>\"", ",", "16", ",", "Italic"}], 
                 "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"x", "+", 
                   RowBox[{"dx", "/", "2"}]}], ",", 
                  RowBox[{"y", "+", 
                   RowBox[{"dy", "/", "2"}]}]}], "}"}]}], "]"}], ",", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<d\[InvisibleSpace]x\>\"", ",", "16", ",", "Italic"}], 
                 "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"x", "+", 
                   RowBox[{"dx", "/", "2"}]}], ",", "y"}], "}"}]}], "]"}], 
              ",", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<d\[InvisibleSpace]y\>\"", ",", "16", ",", "Italic"}], 
                 "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"x", "+", "dx"}], ",", 
                  RowBox[{"y", "+", 
                   RowBox[{"dy", "/", "2"}]}]}], "}"}]}], "]"}]}], "}"}], ",", 
            RowBox[{"{", "}"}]}], "]"}]}], "}"}], "]"}], ",", 
       RowBox[{"ParametricPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"f1", "[", 
             RowBox[{"[", 
              RowBox[{"i", ",", "1"}], "]"}], "]"}], "[", "t", "]"}], ",", 
           RowBox[{
            RowBox[{"f1", "[", 
             RowBox[{"[", 
              RowBox[{"i", ",", "2"}], "]"}], "]"}], "[", "t", "]"}]}], "}"}],
          ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", 
           RowBox[{"2", "Pi"}]}], "}"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Thickness", "[", ".005", "]"}], "}"}]}]}], "]"}], ",", 
       RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}]}], ",", 
       RowBox[{"Axes", "\[Rule]", "hint2"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "-", 
             RowBox[{"5", "ep"}]}], ",", 
            RowBox[{"x", "+", 
             RowBox[{"5", "ep"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"y", "-", 
             RowBox[{"5", "ep"}]}], ",", 
            RowBox[{"y", "+", 
             RowBox[{"5", "ep"}]}]}], "}"}]}], "}"}]}], ",", 
       RowBox[{"ImagePadding", "\[Rule]", "25"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "\"\<curve\>\""}], "}"}], ",", 
     RowBox[{"Range", "[", "3", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t1", ",", "0.4", ",", "\"\<t\>\""}], "}"}], ",", "0", ",", 
     "Pi", ",", "dt1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dt1", ",", "0.6", ",", "\"\<dt\>\""}], "}"}], ",", "0.005", 
     ",", "0.6", ",", "0.001"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ep", ",", "1.4", ",", "\"\<zoom\>\""}], "}"}], ",", "0.01", 
     ",", "2", ",", "0.001"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"hint", ",", "False", ",", "\"\<show labels\>\""}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"hint2", ",", "False", ",", "\"\<show axes\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4392889591875*^9, 3.4392889850625*^9}, {
   3.4392893153125*^9, 3.439289325046875*^9}, {3.4400112690113096`*^9, 
   3.4400112825269346`*^9}, {3.4400113352300596`*^9, 
   3.4400113911831846`*^9}, {3.4401145987935*^9, 3.440114630121625*^9}, {
   3.4401758691545086`*^9, 3.440175875538147*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`dt1$$ = 0.6, $CellContext`ep$$ = 
    1.4, $CellContext`hint$$ = False, $CellContext`hint2$$ = 
    False, $CellContext`i$$ = 1, $CellContext`t1$$ = 0.4, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`i$$], 1, "curve"}, {1, 2, 3}}, {{
       Hold[$CellContext`t1$$], 0.4, "t"}, 0, Pi, 
      Dynamic[$CellContext`dt1$$]}, {{
       Hold[$CellContext`dt1$$], 0.6, "dt"}, 0.005, 0.6, 0.001}, {{
       Hold[$CellContext`ep$$], 1.4, "zoom"}, 0.01, 2, 0.001}, {{
       Hold[$CellContext`hint$$], False, "show labels"}, {True, False}}, {{
       Hold[$CellContext`hint2$$], False, "show axes"}, {True, False}}}, 
    Typeset`size$$ = {360., {178., 182.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`i$682317$$ = 0, $CellContext`t1$682318$$ = 
    0, $CellContext`dt1$682319$$ = 0, $CellContext`ep$682320$$ = 
    0, $CellContext`hint$682321$$ = False, $CellContext`hint2$682322$$ = 
    False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`dt1$$ = 0.6, $CellContext`ep$$ = 
        1.4, $CellContext`hint$$ = False, $CellContext`hint2$$ = 
        False, $CellContext`i$$ = 1, $CellContext`t1$$ = 0.4}, 
      "ControllerVariables" :> {
        Hold[$CellContext`i$$, $CellContext`i$682317$$, 0], 
        Hold[$CellContext`t1$$, $CellContext`t1$682318$$, 0], 
        Hold[$CellContext`dt1$$, $CellContext`dt1$682319$$, 0], 
        Hold[$CellContext`ep$$, $CellContext`ep$682320$$, 0], 
        Hold[$CellContext`hint$$, $CellContext`hint$682321$$, False], 
        Hold[$CellContext`hint2$$, $CellContext`hint2$682322$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`x$ = 
         Part[$CellContext`f1, $CellContext`i$$, 
           1][$CellContext`t1$$], $CellContext`y$ = 
         Part[$CellContext`f1, $CellContext`i$$, 
           2][$CellContext`t1$$], $CellContext`dx$ = ReplaceAll[
            
            Part[$CellContext`Df1, $CellContext`i$$, 
             1], {$CellContext`t -> $CellContext`t1$$}] $CellContext`dt1$$, \
$CellContext`dy$ = ReplaceAll[
            
            Part[$CellContext`Df1, $CellContext`i$$, 
             2], {$CellContext`t -> $CellContext`t1$$}] $CellContext`dt1$$}, 
        Show[
         Graphics[{
           RGBColor[1, 0.501961, 0.25098], 
           Thickness[0.005], 
           
           Line[{{$CellContext`x$, $CellContext`y$}, {$CellContext`x$ + \
$CellContext`dx$, $CellContext`y$}, {$CellContext`x$ + $CellContext`dx$, \
$CellContext`y$ + $CellContext`dy$}, {$CellContext`x$, $CellContext`y$}}], {
            RGBColor[0.501961, 0.501961, 0], 
            PointSize[0.01], 
            Point[{
              Part[$CellContext`f1, $CellContext`i$$, 1][$CellContext`t1$$], 
              
              Part[$CellContext`f1, $CellContext`i$$, 
               2][$CellContext`t1$$]}]}, 
           If[$CellContext`hint$$, {
             RGBColor[0, 0.501961, 1], 
             Text[
              Style[
              "d\[InvisibleSpace]s", 16, 
               Italic], {$CellContext`x$ + $CellContext`dx$/
                2, $CellContext`y$ + $CellContext`dy$/2}], 
             Text[
              Style[
              "d\[InvisibleSpace]x", 16, 
               Italic], {$CellContext`x$ + $CellContext`dx$/
                2, $CellContext`y$}], 
             Text[
              Style[
              "d\[InvisibleSpace]y", 16, 
               Italic], {$CellContext`x$ + $CellContext`dx$, $CellContext`y$ + \
$CellContext`dy$/2}]}, {}]}], 
         ParametricPlot[{
           Part[$CellContext`f1, $CellContext`i$$, 1][$CellContext`t], 
           
           Part[$CellContext`f1, $CellContext`i$$, 
            2][$CellContext`t]}, {$CellContext`t, 0, 2 Pi}, PlotStyle -> {
            Thickness[0.005]}], AspectRatio -> Automatic, 
         AxesOrigin -> {$CellContext`x$, $CellContext`y$}, 
         Axes -> $CellContext`hint2$$, 
         PlotRange -> {{$CellContext`x$ - 
            5 $CellContext`ep$$, $CellContext`x$ + 
            5 $CellContext`ep$$}, {$CellContext`y$ - 
            5 $CellContext`ep$$, $CellContext`y$ + 5 $CellContext`ep$$}}, 
         ImagePadding -> 25]], 
      "Specifications" :> {{{$CellContext`i$$, 1, "curve"}, {1, 2, 
         3}}, {{$CellContext`t1$$, 0.4, "t"}, 0, Pi, 
         Dynamic[$CellContext`dt1$$]}, {{$CellContext`dt1$$, 0.6, "dt"}, 
         0.005, 0.6, 0.001}, {{$CellContext`ep$$, 1.4, "zoom"}, 0.01, 2, 
         0.001}, {{$CellContext`hint$$, False, "show labels"}, {
         True, False}}, {{$CellContext`hint2$$, False, "show axes"}, {
         True, False}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{405., {280., 285.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`f1 = {{
          2 Cos[#]& , Sin[#]& }, {# - Sin[#]& , 1 - Cos[#]& }, {# Cos[#]& , # 
           Sin[#]& }}, $CellContext`Df1 = {{(-2) Sin[$CellContext`t], 
           Cos[$CellContext`t]}, {1 - Cos[$CellContext`t], 
           Sin[$CellContext`t]}, {
          Cos[$CellContext`t] - $CellContext`t 
           Sin[$CellContext`t], $CellContext`t Cos[$CellContext`t] + 
           Sin[$CellContext`t]}}, Attributes[PlotRange] = {ReadProtected}}; 
      Typeset`initDone$$ = True); ReleaseHold[{{
         HoldComplete[$CellContext`f1 = {{
             2 Cos[#]& , Sin[#]& }, {# - Sin[#]& , 1 - Cos[#]& }, {# 
              Cos[#]& , # Sin[#]& }}; Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`Df1 = Table[{
              D[
               
               Part[$CellContext`f1, $CellContext`i, 
                1][$CellContext`t], $CellContext`t], 
              D[
               
               Part[$CellContext`f1, $CellContext`i, 
                2][$CellContext`t], $CellContext`t]}, {$CellContext`i, 1, 3}]; 
          Null]}}]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->788330607],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Differential of the Arc",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DifferentialOfTheArc/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/DifferentialOfTheArc/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/DifferentialOfTheArc/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DifferentialOfTheArc/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/DifferentialOfTheArc/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
DifferentialOfTheArc"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Differential of the Arc - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[613, 23, 215, 4, 70, "Section"],
Cell[831, 29, 2252, 63, 70, "Input",
 CellID->585276123],
Cell[3086, 94, 7255, 198, 70, "Input"]
}, Open  ]],
Cell[10356, 295, 6756, 139, 70, "Output",
 CellID->788330607],
Cell[CellGroupData[{
Cell[17137, 438, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[17513, 449, 900, 24, 70, "Text"],
Cell[18416, 475, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[18756, 486, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[19217, 504, 847, 24, 70, "Text"],
Cell[20067, 530, 1196, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature iTNx9XNF5UmcbDD7tJkESWIN *)
