(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     29998,        803]
NotebookOptionsPosition[     28884,        762]
NotebookOutlinePosition[     29503,        786]
CellTagsIndexPosition[     29460,        783]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["L'Hospital's Rule for 0/0 Forms", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"functionlist", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<x\>\"", ",", "12", ",", "Italic"}], "]"}], ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<-1\>\"", ",", "12"}], "]"}]}], "}"}], "]"}]}], ",", 
       RowBox[{"x", "-", "1"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<1\>\"", ",", "12"}], "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2", "\[Rule]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Superscript", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<x\>\"", ",", "12", ",", "Italic"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<2\>\"", ",", "12"}], "]"}]}], "]"}], ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<-1\>\"", ",", "12"}], "]"}]}], "}"}], "]"}]}], ",", 
       RowBox[{
        SuperscriptBox["x", "2"], "-", "1"}], ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<2\>\"", ",", "12"}], "]"}], ",", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<x\>\"", ",", "12", ",", "Italic"}], "]"}]}], "}"}], 
        "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"3", "\[Rule]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Superscript", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<x\>\"", ",", "12", ",", "Italic"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<3\>\"", ",", "12"}], "]"}]}], "]"}], ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<-1\>\"", ",", "12"}], "]"}]}], "}"}], "]"}]}], ",", 
       RowBox[{
        SuperscriptBox["x", "3"], "-", "1"}], ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<3\>\"", ",", "12"}], "]"}], ",", 
          RowBox[{"Superscript", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<x\>\"", ",", "12", ",", "Italic"}], "]"}], ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<2\>\"", ",", "12"}], "]"}]}], "]"}]}], "}"}], 
        "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"4", "\[Rule]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<ln(\>\"", ",", "12"}], "]"}], ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<x\>\"", ",", "12", ",", "Italic"}], "]"}], ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<)\>\"", ",", "12"}], "]"}]}], "}"}], "]"}]}], ",", 
       RowBox[{"Log", "[", "x", "]"}], ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<1/\>\"", ",", "12", ",", "Italic"}], "]"}], ",", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<x\>\"", ",", "12", ",", "Italic"}], "]"}]}], "}"}], 
        "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"5", "\[Rule]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<ln(1/\>\"", ",", "12"}], "]"}], ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<x\>\"", ",", "12", ",", "Italic"}], "]"}], ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<)\>\"", ",", "12"}], "]"}]}], "}"}], "]"}]}], ",", 
       RowBox[{"Log", "[", 
        RowBox[{"1", "/", "x"}], "]"}], ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<-1/\>\"", ",", "12", ",", "Italic"}], "]"}], ",", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<x\>\"", ",", "12", ",", "Italic"}], "]"}]}], "}"}], 
        "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"6", "\[Rule]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<sin(\>\"", ",", " ", "12"}], "]"}], ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<x\>\"", ",", " ", "12", ",", "Italic"}], "]"}], ",", 
           
           RowBox[{"Style", "[", 
            RowBox[{"\"\<-1)\>\"", ",", " ", "12"}], "]"}]}], "}"}], "]"}]}], 
       ",", 
       RowBox[{"Sin", "[", 
        RowBox[{"x", "-", "1"}], "]"}], ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<cos(\>\"", ",", " ", "12"}], "]"}], ",", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<x\>\"", ",", " ", "12", ",", "Italic"}], "]"}], ",", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<-1)\>\"", ",", " ", "12"}], "]"}]}], "}"}], "]"}]}], 
      "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3942940620967507`*^9, 3.394294265360751*^9}, {
   3.394294718147751*^9, 3.3942947770477505`*^9}, {3.394295419709751*^9, 
   3.394295426574751*^9}, {3.428334220332634*^9, 3.428334319408061*^9}, {
   3.428334518640503*^9, 3.428334523437544*^9}, {3.4283346179562826`*^9, 
   3.428334641050181*^9}, {3.4283353032722187`*^9, 3.428335367446416*^9}, {
   3.428335418921974*^9, 3.4283354456812525`*^9}, {3.428335591665534*^9, 
   3.428335616612152*^9}, {3.428341347618935*^9, 3.428341678951065*^9}, {
   3.4284980950074396`*^9, 3.4284981437028275`*^9}},
 CellID->714151407],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"functionlist", "[", 
        RowBox[{"[", 
         RowBox[{"f", ",", "2"}], "]"}], "]"}], ",", 
       RowBox[{"functionlist", "[", 
        RowBox[{"[", 
         RowBox[{"g", ",", "2"}], "]"}], "]"}], ",", " ", 
       RowBox[{
        RowBox[{"functionlist", "[", 
         RowBox[{"[", 
          RowBox[{"f", ",", "2"}], "]"}], "]"}], "/", 
        RowBox[{"functionlist", "[", 
         RowBox[{"[", 
          RowBox[{"g", ",", "2"}], "]"}], "]"}]}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "3"}], "}"}], ",", " ", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", " ", "Dashed", ",", " ", "Automatic"}], "}"}]}],
      ",", " ", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"NumberQ", "[", 
              RowBox[{"Limit", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"functionlist", "[", 
                  RowBox[{"[", 
                   RowBox[{"f", ",", "2"}], "]"}], "]"}], "/", 
                 RowBox[{"functionlist", "[", 
                  RowBox[{"[", 
                   RowBox[{"g", ",", "2"}], "]"}], "]"}]}], ",", 
                RowBox[{"x", "\[Rule]", "1"}]}], "]"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               UnderscriptBox["\"\<lim\>\"", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "\[Rule]", 
                 "1"}]], ",", "16"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               UnderscriptBox["\"\<lim\>\"", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "\[Rule]", 
                 "1"}]], ",", "16"}], "]"}]}], "]"}], ",", 
           FractionBox[
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}], "&"}], "/@", 
               "functionlist"}], ")"}], "[", 
             RowBox[{"[", "f", "]"}], "]"}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}], "&"}], "/@", 
               "functionlist"}], ")"}], "[", 
             RowBox[{"[", "g", "]"}], "]"}]], ",", "\"\< = \>\"", ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"NumberQ", "[", 
              RowBox[{"Limit", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"functionlist", "[", 
                  RowBox[{"[", 
                   RowBox[{"f", ",", "2"}], "]"}], "]"}], "/", 
                 RowBox[{"functionlist", "[", 
                  RowBox[{"[", 
                   RowBox[{"g", ",", "2"}], "]"}], "]"}]}], ",", 
                RowBox[{"x", "\[Rule]", "1"}]}], "]"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               UnderscriptBox["\"\<lim\>\"", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "\[Rule]", 
                 "1"}]], ",", "16"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               UnderscriptBox["\"\<lim\>\"", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], "\[Rule]", 
                 "1"}]], ",", "16"}], "]"}]}], "]"}], ",", 
           FractionBox[
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "&"}], "/@", 
               "functionlist"}], ")"}], "[", 
             RowBox[{"[", "f", "]"}], "]"}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "&"}], "/@", 
               "functionlist"}], ")"}], "[", 
             RowBox[{"[", "g", "]"}], "]"}]], ",", "\"\< = \>\"", ",", 
           RowBox[{"Limit", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"functionlist", "[", 
               RowBox[{"[", 
                RowBox[{"f", ",", "2"}], "]"}], "]"}], "/", 
              RowBox[{"functionlist", "[", 
               RowBox[{"[", 
                RowBox[{"g", ",", "2"}], "]"}], "]"}]}], ",", 
             RowBox[{"x", "\[Rule]", "1"}]}], "]"}]}], "}"}], "]"}], ",", 
        "16"}], "]"}]}], ",", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"NumberQ", "[", 
          RowBox[{"Limit", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"functionlist", "[", 
              RowBox[{"[", 
               RowBox[{"f", ",", "2"}], "]"}], "]"}], "/", 
             RowBox[{"functionlist", "[", 
              RowBox[{"[", 
               RowBox[{"g", ",", "2"}], "]"}], "]"}]}], ",", 
            RowBox[{"x", "\[Rule]", "1"}]}], "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"Red", ",", 
           RowBox[{"PointSize", "[", ".01", "]"}], ",", " ", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"Limit", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"functionlist", "[", 
                  RowBox[{"[", 
                   RowBox[{"f", ",", "2"}], "]"}], "]"}], "/", 
                 RowBox[{"functionlist", "[", 
                  RowBox[{"[", 
                   RowBox[{"g", ",", "2"}], "]"}], "]"}]}], ",", 
                RowBox[{"x", "\[Rule]", "1"}]}], "]"}]}], "}"}], "]"}]}], 
          "}"}], ",", 
         RowBox[{"Text", "[", "\"\<\>\"", "]"}]}], "]"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", "1", ",", "\"\<f(x)\>\""}], "}"}], ",", 
     RowBox[{"First", "/@", "functionlist"}], ",", " ", 
     RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"g", ",", "2", ",", "\"\<g(x)\>\""}], "}"}], ",", 
     RowBox[{"First", "/@", "functionlist"}], ",", " ", 
     RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3942926262247505`*^9, 3.394292637660751*^9}, {
   3.394293447765751*^9, 3.3942934513637505`*^9}, {3.394294307884751*^9, 
   3.394294459528751*^9}, {3.394295149035751*^9, 3.394295210376751*^9}, {
   3.3942952585787506`*^9, 3.394295262265751*^9}, {3.394365948155058*^9, 
   3.394365951545661*^9}, {3.4283343378351088`*^9, 3.4283343688606496`*^9}, {
   3.4283346834223766`*^9, 3.428334792592621*^9}, {3.428335182174466*^9, 
   3.4283352226839275`*^9}, {3.4283354794808645`*^9, 3.428335497767707*^9}, {
   3.428341692770447*^9, 3.428341707141884*^9}, {3.428498195286527*^9, 
   3.4284982019999022`*^9}, {3.428498352499488*^9, 3.4284983658898563`*^9}, {
   3.4284983992329655`*^9, 3.428498452919435*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`f$$ = 1, $CellContext`g$$ = 2, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`f$$], 1, "f(x)"}, {1 -> Row[{
          Style["x", 12, Italic], 
          Style["-1", 12]}], 2 -> Row[{
          Superscript[
           Style["x", 12, Italic], 
           Style["2", 12]], 
          Style["-1", 12]}], 3 -> Row[{
          Superscript[
           Style["x", 12, Italic], 
           Style["3", 12]], 
          Style["-1", 12]}], 4 -> Row[{
          Style["ln(", 12], 
          Style["x", 12, Italic], 
          Style[")", 12]}], 5 -> Row[{
          Style["ln(1/", 12], 
          Style["x", 12, Italic], 
          Style[")", 12]}], 6 -> Row[{
          Style["sin(", 12], 
          Style["x", 12, Italic], 
          Style["-1)", 12]}]}}, {{
       Hold[$CellContext`g$$], 2, "g(x)"}, {1 -> Row[{
          Style["x", 12, Italic], 
          Style["-1", 12]}], 2 -> Row[{
          Superscript[
           Style["x", 12, Italic], 
           Style["2", 12]], 
          Style["-1", 12]}], 3 -> Row[{
          Superscript[
           Style["x", 12, Italic], 
           Style["3", 12]], 
          Style["-1", 12]}], 4 -> Row[{
          Style["ln(", 12], 
          Style["x", 12, Italic], 
          Style[")", 12]}], 5 -> Row[{
          Style["ln(1/", 12], 
          Style["x", 12, Italic], 
          Style[")", 12]}], 6 -> Row[{
          Style["sin(", 12], 
          Style["x", 12, Italic], 
          Style["-1)", 12]}]}}}, Typeset`size$$ = {400., {198., 202.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`f$22923$$ = False, $CellContext`g$22924$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`f$$ = 1, $CellContext`g$$ = 2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`f$$, $CellContext`f$22923$$, False], 
        Hold[$CellContext`g$$, $CellContext`g$22924$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[{
         Part[$CellContext`functionlist, $CellContext`f$$, 2], 
         Part[$CellContext`functionlist, $CellContext`g$$, 2], 
         Part[$CellContext`functionlist, $CellContext`f$$, 2]/
         Part[$CellContext`functionlist, $CellContext`g$$, 
          2]}, {$CellContext`x, -1, 3}, 
        PlotStyle -> {Dashed, Dashed, Automatic}, PlotLabel -> Style[
          Row[{
            If[
             NumberQ[
              Limit[
              Part[$CellContext`functionlist, $CellContext`f$$, 2]/
               Part[$CellContext`functionlist, $CellContext`g$$, 
                2], $CellContext`x -> 1]], 
             Style[
              Underscript["lim", Style["x", Italic] -> 1], 16], 
             Style[
              Underscript["lim", Style["x", Italic] -> 1], 16]], Part[
              Map[
              Part[#, 1, 2]& , $CellContext`functionlist], $CellContext`f$$]/
            Part[
             Map[
             Part[#, 1, 2]& , $CellContext`functionlist], $CellContext`g$$], 
            " = ", 
            If[
             NumberQ[
              Limit[
              Part[$CellContext`functionlist, $CellContext`f$$, 2]/
               Part[$CellContext`functionlist, $CellContext`g$$, 
                2], $CellContext`x -> 1]], 
             Style[
              Underscript["lim", Style["x", Italic] -> 1], 16], 
             Style[
              Underscript["lim", Style["x", Italic] -> 1], 16]], Part[
              Map[Part[#, 3]& , $CellContext`functionlist], $CellContext`f$$]/
            Part[
             Map[Part[#, 3]& , $CellContext`functionlist], $CellContext`g$$], 
            " = ", 
            Limit[
            Part[$CellContext`functionlist, $CellContext`f$$, 2]/
             Part[$CellContext`functionlist, $CellContext`g$$, 
              2], $CellContext`x -> 1]}], 16], Epilog -> {
          If[
           NumberQ[
            Limit[
            Part[$CellContext`functionlist, $CellContext`f$$, 2]/
             Part[$CellContext`functionlist, $CellContext`g$$, 
              2], $CellContext`x -> 1]], {Red, 
            PointSize[0.01], 
            Point[{1, 
              Limit[
              Part[$CellContext`functionlist, $CellContext`f$$, 2]/
               Part[$CellContext`functionlist, $CellContext`g$$, 
                2], $CellContext`x -> 1]}]}, 
           Text[""]]}, ImageSize -> {400, 400}], 
      "Specifications" :> {{{$CellContext`f$$, 1, "f(x)"}, {1 -> Row[{
             Style["x", 12, Italic], 
             Style["-1", 12]}], 2 -> Row[{
             Superscript[
              Style["x", 12, Italic], 
              Style["2", 12]], 
             Style["-1", 12]}], 3 -> Row[{
             Superscript[
              Style["x", 12, Italic], 
              Style["3", 12]], 
             Style["-1", 12]}], 4 -> Row[{
             Style["ln(", 12], 
             Style["x", 12, Italic], 
             Style[")", 12]}], 5 -> Row[{
             Style["ln(1/", 12], 
             Style["x", 12, Italic], 
             Style[")", 12]}], 6 -> Row[{
             Style["sin(", 12], 
             Style["x", 12, Italic], 
             Style["-1)", 12]}]}, ControlType -> 
         Setter}, {{$CellContext`g$$, 2, "g(x)"}, {1 -> Row[{
             Style["x", 12, Italic], 
             Style["-1", 12]}], 2 -> Row[{
             Superscript[
              Style["x", 12, Italic], 
              Style["2", 12]], 
             Style["-1", 12]}], 3 -> Row[{
             Superscript[
              Style["x", 12, Italic], 
              Style["3", 12]], 
             Style["-1", 12]}], 4 -> Row[{
             Style["ln(", 12], 
             Style["x", 12, Italic], 
             Style[")", 12]}], 5 -> Row[{
             Style["ln(1/", 12], 
             Style["x", 12, Italic], 
             Style[")", 12]}], 6 -> Row[{
             Style["sin(", 12], 
             Style["x", 12, Italic], 
             Style["-1)", 12]}]}, ControlType -> Setter}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {255., 260.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`functionlist = {{1 -> Row[{
              Style["x", 12, Italic], 
              Style["-1", 12]}], -1 + $CellContext`x, 
           Style["1", 12]}, {2 -> Row[{
              Superscript[
               Style["x", 12, Italic], 
               Style["2", 12]], 
              Style["-1", 12]}], -1 + $CellContext`x^2, 
           Row[{
             Style["2", 12], 
             Style["x", 12, Italic]}]}, {3 -> Row[{
              Superscript[
               Style["x", 12, Italic], 
               Style["3", 12]], 
              Style["-1", 12]}], -1 + $CellContext`x^3, 
           Row[{
             Style["3", 12], 
             Superscript[
              Style["x", 12, Italic], 
              Style["2", 12]]}]}, {4 -> Row[{
              Style["ln(", 12], 
              Style["x", 12, Italic], 
              Style[")", 12]}], 
           Log[$CellContext`x], 
           Row[{
             Style["1/", 12, Italic], 
             Style["x", 12, Italic]}]}, {5 -> Row[{
              Style["ln(1/", 12], 
              Style["x", 12, Italic], 
              Style[")", 12]}], 
           Log[$CellContext`x^(-1)], 
           Row[{
             Style["-1/", 12, Italic], 
             Style["x", 12, Italic]}]}, {6 -> Row[{
              Style["sin(", 12], 
              Style["x", 12, Italic], 
              Style["-1)", 12]}], -Sin[1 - $CellContext`x], 
           Row[{
             Style["cos(", 12], 
             Style["x", 12, Italic], 
             Style["-1)", 12]}]}}, 
        Attributes[Superscript] = {NHoldRest, ReadProtected}, 
        Attributes[Underscript] = {NHoldRest}}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`functionlist = {{1 -> Row[{
                Style["x", 12, Italic], 
                Style["-1", 12]}], $CellContext`x - 1, 
             Style["1", 12]}, {2 -> Row[{
                Superscript[
                 Style["x", 12, Italic], 
                 Style["2", 12]], 
                Style["-1", 12]}], $CellContext`x^2 - 1, 
             Row[{
               Style["2", 12], 
               Style["x", 12, Italic]}]}, {3 -> Row[{
                Superscript[
                 Style["x", 12, Italic], 
                 Style["3", 12]], 
                Style["-1", 12]}], $CellContext`x^3 - 1, 
             Row[{
               Style["3", 12], 
               Superscript[
                Style["x", 12, Italic], 
                Style["2", 12]]}]}, {4 -> Row[{
                Style["ln(", 12], 
                Style["x", 12, Italic], 
                Style[")", 12]}], 
             Log[$CellContext`x], 
             Row[{
               Style["1/", 12, Italic], 
               Style["x", 12, Italic]}]}, {5 -> Row[{
                Style["ln(1/", 12], 
                Style["x", 12, Italic], 
                Style[")", 12]}], 
             Log[1/$CellContext`x], 
             Row[{
               Style["-1/", 12, Italic], 
               Style["x", 12, Italic]}]}, {6 -> Row[{
                Style["sin(", 12], 
                Style["x", 12, Italic], 
                Style["-1)", 12]}], 
             Sin[$CellContext`x - 1], 
             Row[{
               Style["cos(", 12], 
               Style["x", 12, Italic], 
               Style["-1)", 12]}]}}; Null}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->16377353],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["L'Hospital's Rule for 0/0 Forms",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LHospitalsRuleFor00Forms/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/LHospitalsRuleFor00Forms/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/LHospitalsRuleFor00Forms/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LHospitalsRuleFor00Forms/"], None},
  
  ButtonNote->"http://demonstrations.wolfram.com/LHospitalsRuleFor00Forms/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Chris Boucher",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"],
     None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
LHospitalsRuleFor00Forms"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"L'Hospital's Rule for 0/0 Forms - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 223, 4, 70, "Section"],
Cell[816, 29, 5939, 149, 70, "Input",
 CellID->714151407],
Cell[6758, 180, 7819, 195, 70, "Input"]
}, Open  ]],
Cell[14592, 378, 10181, 251, 70, "Output",
 CellID->16377353],
Cell[CellGroupData[{
Cell[24798, 633, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[25174, 644, 934, 26, 70, "Text"],
Cell[26111, 672, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[26451, 683, 348, 12, 70, "Text"],
Cell[CellGroupData[{
Cell[26824, 699, 829, 24, 70, "Text"],
Cell[27656, 725, 1200, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature DTNBFYi9zd0NQDTC82OCd5H4 *)
