(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20524,        540]
NotebookOptionsPosition[     19442,        499]
NotebookOutlinePosition[     20051,        523]
CellTagsIndexPosition[     20008,        520]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Multiple Derivatives", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Pane", "[", 
    RowBox[{
     RowBox[{"Text", "@", 
      RowBox[{"Style", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"dnot", "[", 
               RowBox[{"n", ",", "xval"}], "]"}], ",", 
              RowBox[{"Pane", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"fcn", "[", "x", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "n"}], "}"}]}], "]"}], "/.", 
                    RowBox[{"x", "\[Rule]", "xval"}]}], "]"}], ",", "14"}], 
                 "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"450", ",", "Automatic"}], "}"}]}], "]"}]}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"n", ",", "0", ",", "numofderivs", ",", "1"}], "}"}]}], 
           "]"}], ",", 
          RowBox[{"Dividers", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<Rows\>\"", "\[Rule]", 
             RowBox[{"Join", "[", 
              RowBox[{
               RowBox[{"{", "False", "}"}], ",", 
               RowBox[{"Table", "[", 
                RowBox[{
                 RowBox[{"Lighter", "[", 
                  RowBox[{"Gray", ",", "0.5"}], "]"}], ",", 
                 RowBox[{"{", "numofderivs", "}"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"Lighter", "[", 
                 RowBox[{"Gray", ",", "0.5"}], "]"}], "}"}]}], "]"}]}], 
            "}"}]}], ",", 
          RowBox[{"Alignment", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\"\<Columns\>\"", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", "Right", "}"}], ",", "Left"}], "}"}]}], ",", 
             RowBox[{"\"\<Rows\>\"", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"{", "Top", "}"}], "}"}]}]}], "}"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"ItemSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<Columns\>\"", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"8.5", ",", "Automatic"}], "}"}]}], "}"}]}]}], "]"}], 
        ",", "14"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"550", ",", "350"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]",
    
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fcn", ",", "g", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<f(x) = \>\"", ",", "12"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"g", "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{"x", "^", "n"}], ",", 
           RowBox[{"{", 
            RowBox[{"n", ",", "1", ",", "10"}], "}"}]}], "]"}], "]"}]}], ",", 
       
       RowBox[{"Cos", "\[Rule]", "\"\<cos(x)\>\""}], ",", 
       RowBox[{"Sin", "\[Rule]", "\"\<sin(x)\>\""}], ",", 
       RowBox[{"Tan", "\[Rule]", "\"\<tan(x)\>\""}], ",", 
       RowBox[{"Sec", "\[Rule]", "\"\<sec(x)\>\""}], ",", 
       RowBox[{"Exp", "\[Rule]", 
        RowBox[{"Superscript", "[", 
         RowBox[{"E", ",", "x"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{"#", "^", "2"}], "]"}], "&"}], "\[Rule]", 
        RowBox[{"Superscript", "[", 
         RowBox[{"E", ",", 
          RowBox[{"Superscript", "[", 
           RowBox[{"x", ",", "2"}], "]"}]}], "]"}]}], ",", 
       RowBox[{"Log", "\[Rule]", "\"\<ln(x)\>\""}], ",", 
       RowBox[{"Sqrt", "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Sqrt", "[", "x", "]"}], "]"}]}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xval", ",", "x", ",", "\"\<x-value\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "\[Rule]", "\"\<x\>\""}], ",", 
       RowBox[{"0.", "\[Rule]", "0"}], ",", 
       RowBox[{"1.", "\[Rule]", "1"}], ",", 
       RowBox[{
        RowBox[{"-", "1."}], "\[Rule]", 
        RowBox[{"-", "1"}]}], ",", 
       RowBox[{"2.", "\[Rule]", "2"}], ",", 
       RowBox[{"E", "\[Rule]", "E"}], ",", 
       RowBox[{
        RowBox[{"2.", "Pi"}], "\[Rule]", 
        RowBox[{"2", "Pi"}]}], ",", 
       RowBox[{"Pi", "\[Rule]", "Pi"}], ",", 
       RowBox[{
        RowBox[{"Pi", "/", "2."}], "\[Rule]", "\"\<\[Pi]/2\>\""}], ",", 
       RowBox[{
        RowBox[{"Pi", "/", "4."}], "\[Rule]", "\"\<\[Pi]/4\>\""}]}], "}"}], 
     ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"numofderivs", ",", "5", ",", "\"\<order of derivative\>\""}], 
      "}"}], ",", "0", ",", "10", ",", "1"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"g", "[", "x_", "]"}], ":=", 
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"x", "^", "n"}], ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "1", ",", "10"}], "}"}]}], "]"}]}], ";", 
      RowBox[{
       RowBox[{"dnot", "[", 
        RowBox[{"n_", ",", "x_"}], "]"}], ":=", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Superscript", "[", 
           RowBox[{"\"\<f\>\"", ",", 
            RowBox[{"StringJoin", "[", 
             RowBox[{"\"\<(\>\"", ",", 
              RowBox[{"ToString", "[", "n", "]"}], ",", "\"\<)\>\""}], 
             "]"}]}], "]"}], ",", "\"\<(\>\"", ",", "x", ",", "\"\<) =\>\""}],
          "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"dnot", "[", 
        RowBox[{"0", ",", "x_"}], "]"}], ":=", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<f(\>\"", ",", "x", ",", "\"\<) = \>\""}], "}"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"dnot", "[", 
        RowBox[{"1", ",", "x_"}], "]"}], ":=", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Superscript", "[", 
           RowBox[{"\"\<f\>\"", ",", "\"\<\[Prime]\>\""}], "]"}], ",", 
          "\"\<(\>\"", ",", "x", ",", "\"\<) = \>\""}], "}"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"dnot", "[", 
        RowBox[{"2", ",", "x_"}], "]"}], ":=", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Superscript", "[", 
           RowBox[{"\"\<f\>\"", ",", "\"\<\[Prime]\[Prime]\>\""}], "]"}], 
          ",", "\"\<(\>\"", ",", "x", ",", "\"\<) = \>\""}], "}"}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"dnot", "[", 
        RowBox[{"3", ",", "x_"}], "]"}], ":=", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Superscript", "[", 
           RowBox[{"\"\<f\>\"", ",", "\"\<\[Prime]\[Prime]\[Prime]\>\""}], 
           "]"}], ",", "\"\<(\>\"", ",", "x", ",", "\"\<) = \>\""}], "}"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Off", "[", 
       RowBox[{
        RowBox[{"\[Infinity]", "::", "indet"}], ",", 
        RowBox[{"Power", "::", "infy"}]}], "]"}], ";"}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, 3.36250571585363*^9, {3.371768130011163*^9, 
   3.371768159533614*^9}, {3.371768215003376*^9, 3.3717682180477533`*^9}, {
   3.3717684097534127`*^9, 3.371768503688485*^9}, {3.38373916540625*^9, 
   3.383739260890625*^9}, {3.383739299359375*^9, 3.383739299890625*^9}, {
   3.383739353890625*^9, 3.383739353953125*^9}, {3.385394834225973*^9, 
   3.3853948375908113`*^9}, {3.385394878059002*^9, 3.38539487967132*^9}, {
   3.385394923454277*^9, 3.385394924966451*^9}, {3.3853949616291695`*^9, 
   3.3853949858239603`*^9}, {3.3853991643323603`*^9, 3.385399193694581*^9}, {
   3.385399289332101*^9, 3.38539932155844*^9}, {3.3854027543044863`*^9, 
   3.3854027843076286`*^9}, {3.385402823874523*^9, 3.3854028380348845`*^9}, {
   3.3854028996134305`*^9, 3.385402926341864*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`fcn$$ = $CellContext`g, \
$CellContext`numofderivs$$ = 5, $CellContext`xval$$ = $CellContext`x, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`fcn$$], $CellContext`g, 
       Style["f(x) = ", 12]}, {$CellContext`g -> 
       TraditionalForm[$CellContext`x + $CellContext`x^2 + $CellContext`x^3 + \
$CellContext`x^4 + $CellContext`x^5 + $CellContext`x^6 + $CellContext`x^7 + \
$CellContext`x^8 + $CellContext`x^9 + $CellContext`x^10], Cos -> "cos(x)", 
       Sin -> "sin(x)", Tan -> "tan(x)", Sec -> "sec(x)", Exp -> 
       Superscript[E, $CellContext`x], (Exp[#^2]& ) -> Superscript[E, 
         Superscript[$CellContext`x, 2]], Log -> "ln(x)", Sqrt -> 
       TraditionalForm[$CellContext`x^Rational[1, 2]]}}, {{
       Hold[$CellContext`xval$$], $CellContext`x, "x-value"}, {$CellContext`x -> 
       "x", 0. -> 0, 1. -> 1, -1. -> -1, 2. -> 2, E -> E, 6.283185307179586 -> 
       2 Pi, Pi -> Pi, 1.5707963267948966` -> "\[Pi]/2", 0.7853981633974483 -> 
       "\[Pi]/4"}}, {{
       Hold[$CellContext`numofderivs$$], 5, "order of derivative"}, 0, 10, 
      1}}, Typeset`size$$ = {550., {172.5, 177.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`fcn$13126$$ = False, $CellContext`xval$13127$$ = 
    False, $CellContext`numofderivs$13128$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`fcn$$ = $CellContext`g, \
$CellContext`numofderivs$$ = 5, $CellContext`xval$$ = $CellContext`x}, 
      "ControllerVariables" :> {
        Hold[$CellContext`fcn$$, $CellContext`fcn$13126$$, False], 
        Hold[$CellContext`xval$$, $CellContext`xval$13127$$, False], 
        Hold[$CellContext`numofderivs$$, $CellContext`numofderivs$13128$$, 
         0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        Text[
         Style[
          Grid[
           Table[{
             $CellContext`dnot[$CellContext`n, $CellContext`xval$$], 
             Pane[
              Style[
               TraditionalForm[
                ReplaceAll[
                 D[
                  $CellContext`fcn$$[$CellContext`x], {$CellContext`x, \
$CellContext`n}], $CellContext`x -> $CellContext`xval$$]], 14], {
              450, Automatic}]}, {$CellContext`n, 
             0, $CellContext`numofderivs$$, 1}], 
           Dividers -> {"Rows" -> Join[{False}, 
               Table[
                Lighter[Gray, 0.5], {$CellContext`numofderivs$$}], {
                Lighter[Gray, 0.5]}]}, 
           Alignment -> {"Columns" -> {{Right}, Left}, "Rows" -> {{Top}}}, 
           ItemSize -> {"Columns" -> {8.5, Automatic}}], 14]], {550, 350}], 
      "Specifications" :> {{{$CellContext`fcn$$, $CellContext`g, 
          Style["f(x) = ", 12]}, {$CellContext`g -> 
          TraditionalForm[$CellContext`x + $CellContext`x^2 + \
$CellContext`x^3 + $CellContext`x^4 + $CellContext`x^5 + $CellContext`x^6 + \
$CellContext`x^7 + $CellContext`x^8 + $CellContext`x^9 + $CellContext`x^10], 
          Cos -> "cos(x)", Sin -> "sin(x)", Tan -> "tan(x)", Sec -> "sec(x)", 
          Exp -> Superscript[E, $CellContext`x], (Exp[#^2]& ) -> 
          Superscript[E, 
            Superscript[$CellContext`x, 2]], Log -> "ln(x)", Sqrt -> 
          TraditionalForm[$CellContext`x^Rational[1, 2]]}, ControlType -> 
         PopupMenu}, {{$CellContext`xval$$, $CellContext`x, 
          "x-value"}, {$CellContext`x -> "x", 0. -> 0, 1. -> 1, -1. -> -1, 2. -> 
          2, E -> E, 6.283185307179586 -> 2 Pi, Pi -> Pi, 1.5707963267948966` -> 
          "\[Pi]/2", 0.7853981633974483 -> "\[Pi]/4"}, ControlType -> 
         PopupMenu}, {{$CellContext`numofderivs$$, 5, "order of derivative"}, 
         0, 10, 1}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{594., {242., 247.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`g[
          Pattern[$CellContext`x, 
           Blank[]]] := 
        Sum[$CellContext`x^$CellContext`n, {$CellContext`n, 1, 
           10}]; $CellContext`dnot[
          Pattern[$CellContext`n, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]]] := Row[{
           Superscript["f", 
            StringJoin["(", 
             ToString[$CellContext`n], ")"]], "(", $CellContext`x, 
           ") ="}]; $CellContext`dnot[0, 
          Pattern[$CellContext`x, 
           Blank[]]] := 
        Row[{"f(", $CellContext`x, ") = "}]; $CellContext`dnot[1, 
          Pattern[$CellContext`x, 
           Blank[]]] := Row[{
           Superscript["f", "\[Prime]"], "(", $CellContext`x, 
           ") = "}]; $CellContext`dnot[2, 
          Pattern[$CellContext`x, 
           Blank[]]] := Row[{
           Superscript["f", "\[Prime]\[Prime]"], "(", $CellContext`x, 
           ") = "}]; $CellContext`dnot[3, 
          Pattern[$CellContext`x, 
           Blank[]]] := Row[{
           Superscript["f", "\[Prime]\[Prime]\[Prime]"], "(", $CellContext`x, 
           ") = "}]; Off[
         MessageName[Infinity, "indet"], 
         MessageName[Power, "infy"]]; Null}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->50942232],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Multiple Derivatives",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/MultipleDerivatives/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/MultipleDerivatives/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/MultipleDerivatives/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/MultipleDerivatives/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/MultipleDerivatives/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->429456075],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
MultipleDerivatives"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{774, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Multiple Derivatives - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 212, 4, 70, "Section"],
Cell[805, 29, 8518, 215, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[9338, 247, 5888, 117, 70, "Output",
 CellID->50942232],
Cell[CellGroupData[{
Cell[15251, 368, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15627, 379, 892, 24, 70, "Text"],
Cell[16522, 405, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16862, 416, 362, 13, 70, "Text",
 CellID->429456075],
Cell[CellGroupData[{
Cell[17249, 433, 967, 27, 70, "Text"],
Cell[18219, 462, 1195, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature vQjsikPsM59CPBp#J7vkeR@x *)
