(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     22449,        593]
NotebookOptionsPosition[     21306,        550]
NotebookOutlinePosition[     21925,        574]
CellTagsIndexPosition[     21882,        571]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Polynomials and Derivatives", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"quad", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{".25", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"x", "-", "5"}], ")"}], "2"]}], "-", "2"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"cube", "[", "x_", "]"}], ":=", 
     RowBox[{".05", 
      RowBox[{"(", 
       RowBox[{"x", "-", "2"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"x", "-", "5"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"x", "-", "8"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"quart", "[", "x_", "]"}], ":=", 
     RowBox[{".025", "x", 
      RowBox[{"(", 
       RowBox[{"x", "-", "2"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"x", "-", "5"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"x", "-", "9"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"quint", "[", "x_", "]"}], ":=", 
     RowBox[{".025", 
      RowBox[{"(", 
       RowBox[{"x", "-", "1"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"x", "-", "3"}], ")"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"x", "-", "5"}], ")"}], "2"], 
      RowBox[{"(", 
       RowBox[{"x", "-", "8"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Dynamic", "[", 
     RowBox[{"Refresh", "[", 
      RowBox[{
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"xmin", ",", "xmax", ",", "plotoptions", ",", "curve"}], 
          "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"xmin", "=", "0"}], ";", " ", 
          RowBox[{"xmax", "=", "10"}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"plotoptions", "=", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "10"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}], ",", " ", 
             
             RowBox[{"PlotRangePadding", "\[Rule]", "0.25"}], ",", 
             RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "300"}]}], "}"}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"curve", "[", "x0_", "]"}], ":=", 
           RowBox[{"Show", "[", 
            RowBox[{
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{"fcn", "[", "x", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
               RowBox[{"Evaluate", "[", "plotoptions", "]"}], ",", 
               RowBox[{"PlotStyle", "\[Rule]", 
                RowBox[{"Thickness", "[", "0.005", "]"}]}]}], "]"}], ",", 
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"PointSize", "[", ".015", "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{"x0", ",", 
                   RowBox[{"fcn", "[", "x0", "]"}]}], "}"}], "]"}]}], "}"}], 
              "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"tline", "[", "x0_", "]"}], ":=", 
           RowBox[{"Plot", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"fcn", "'"}], "[", "x0", "]"}], 
               RowBox[{"(", 
                RowBox[{"x", "-", "x0"}], ")"}]}], "+", 
              RowBox[{"fcn", "[", "x0", "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", "Purple"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"deriv1", "[", "x0_", "]"}], ":=", 
           RowBox[{"Show", "[", 
            RowBox[{
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"fcn", "'"}], "[", "x", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
               RowBox[{"Evaluate", "[", "plotoptions", "]"}], ",", 
               RowBox[{"PlotStyle", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                   RowBox[{"{", "0.03", "}"}], "]"}], ",", "Brown"}], 
                 "}"}]}]}], "]"}], ",", 
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"PointSize", "[", ".015", "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{"x0", ",", 
                   RowBox[{
                    RowBox[{"fcn", "'"}], "[", "x0", "]"}]}], "}"}], "]"}]}], 
               "}"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"deriv2", "[", "x0_", "]"}], ":=", 
           RowBox[{"Show", "[", 
            RowBox[{
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"fcn", "''"}], "[", "x", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
               RowBox[{"Evaluate", "[", "plotoptions", "]"}], ",", 
               RowBox[{"PlotStyle", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.005", "]"}], ",", "DotDashed", 
                  ",", "Blue"}], "}"}]}]}], "]"}], ",", 
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"PointSize", "[", ".015", "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{"x0", ",", 
                   RowBox[{
                    RowBox[{"fcn", "''"}], "[", "x0", "]"}]}], "}"}], "]"}]}],
                "}"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"Show", "[", 
           RowBox[{
            RowBox[{"curve", "[", 
             RowBox[{"pt", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
            RowBox[{"Through", "[", 
             RowBox[{"showderivs", "[", 
              RowBox[{"pt", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "400"}]}], "]"}]}]}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ",", 
       RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
        RowBox[{"{", 
         RowBox[{"pt", ",", "showderivs", ",", "fcn"}], "}"}]}]}], "]"}], 
     "]"}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fcn", ",", "quad", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"quad", "\[Rule]", "\"\<quadratic\>\""}], ",", 
       RowBox[{"cube", "\[Rule]", "\"\<cubic\>\""}], ",", 
       RowBox[{"quart", "\[Rule]", "\"\<quartic\>\""}], ",", 
       RowBox[{"quint", "\[Rule]", "\"\<quintic\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\"\<\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pt", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "0"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<|\>\"", ",", "20", ",", "Bold", ",", "Red"}], "]"}]}]}], 
    "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showderivs", ",", 
       RowBox[{"{", "tline", "}"}], ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"tline", "\[Rule]", "\"\< tangent line  \>\""}], ",", 
       RowBox[{"deriv1", "\[Rule]", "\"\< first derivative  \>\""}], ",", 
       RowBox[{"deriv2", "\[Rule]", "\"\< second derivative\>\""}]}], "}"}], 
     ",", 
     RowBox[{"ControlType", "\[Rule]", "CheckboxBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"pt", ",", "showderivs", ",", "fcn"}], "}"}]}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.396891117482545*^9, 3.3968911185668*^9}, {
   3.397214780389846*^9, 3.397214781467971*^9}, 3.3973046417636557`*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`fcn$$ = $CellContext`quad, \
$CellContext`pt$$ = {1, 0}, $CellContext`showderivs$$ = {$CellContext`tline}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`fcn$$], $CellContext`quad, ""}, {$CellContext`quad -> 
       "quadratic", $CellContext`cube -> "cubic", $CellContext`quart -> 
       "quartic", $CellContext`quint -> "quintic"}}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`pt$$], {1, 0}}, {0, 0}, {10, 0}}, {{
       Hold[$CellContext`showderivs$$], {$CellContext`tline}, 
       ""}, {$CellContext`tline -> " tangent line  ", $CellContext`deriv1 -> 
       " first derivative  ", $CellContext`deriv2 -> " second derivative"}}}, 
    Typeset`size$$ = {400., {195., 199.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`fcn$90932$$ = False, $CellContext`pt$90933$$ = {0, 
    0}, $CellContext`showderivs$90934$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`fcn$$ = $CellContext`quad, \
$CellContext`pt$$ = {1, 0}, $CellContext`showderivs$$ = {$CellContext`tline}},
       "ControllerVariables" :> {
        Hold[$CellContext`fcn$$, $CellContext`fcn$90932$$, False], 
        Hold[$CellContext`pt$$, $CellContext`pt$90933$$, {0, 0}], 
        Hold[$CellContext`showderivs$$, $CellContext`showderivs$90934$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`quad[
          Pattern[$CellContext`x, 
           Blank[]]] := 0.25 ($CellContext`x - 5)^2 - 2; $CellContext`cube[
          Pattern[$CellContext`x, 
           Blank[]]] := ((0.05 ($CellContext`x - 2)) ($CellContext`x - 
           5)) ($CellContext`x - 8); $CellContext`quart[
          Pattern[$CellContext`x, 
           
           Blank[]]] := (((0.025 $CellContext`x) ($CellContext`x - 
            2)) ($CellContext`x - 5)) ($CellContext`x - 
          9); $CellContext`quint[
          Pattern[$CellContext`x, 
           
           Blank[]]] := (((0.025 ($CellContext`x - 1)) ($CellContext`x - 
            3)) ($CellContext`x - 5)^2) ($CellContext`x - 8); Dynamic[
         Refresh[
          
          Module[{$CellContext`xmin$, $CellContext`xmax$, \
$CellContext`plotoptions$, $CellContext`curve$}, $CellContext`xmin$ = 
            0; $CellContext`xmax$ = 
            10; $CellContext`plotoptions$ = {
             PlotRange -> {{0, 10}, {-5, 5}}, PlotRangePadding -> 0.25, 
              AspectRatio -> Automatic, ImageSize -> 
              300}; $CellContext`curve$[
              Pattern[$CellContext`x0$, 
               Blank[]]] := Show[
              Plot[
               $CellContext`fcn$$[$CellContext`x], {$CellContext`x, \
$CellContext`xmin$, $CellContext`xmax$}, 
               Evaluate[$CellContext`plotoptions$], PlotStyle -> 
               Thickness[0.005]], 
              Graphics[{
                PointSize[0.015], 
                Point[{$CellContext`x0$, 
                  $CellContext`fcn$$[$CellContext`x0$]}]}]]; \
$CellContext`tline[
              Pattern[$CellContext`x0$, 
               Blank[]]] := 
            Plot[Derivative[
                1][$CellContext`fcn$$][$CellContext`x0$] ($CellContext`x - \
$CellContext`x0$) + $CellContext`fcn$$[$CellContext`x0$], {$CellContext`x, \
$CellContext`xmin$, $CellContext`xmax$}, PlotStyle -> 
              Purple]; $CellContext`deriv1[
              Pattern[$CellContext`x0$, 
               Blank[]]] := Show[
              Plot[
               Derivative[
               1][$CellContext`fcn$$][$CellContext`x], {$CellContext`x, \
$CellContext`xmin$, $CellContext`xmax$}, 
               Evaluate[$CellContext`plotoptions$], PlotStyle -> {
                 Thickness[0.005], 
                 Dashing[{0.03}], Brown}], 
              Graphics[{
                PointSize[0.015], 
                Point[{$CellContext`x0$, 
                  Derivative[
                  1][$CellContext`fcn$$][$CellContext`x0$]}]}]]; \
$CellContext`deriv2[
              Pattern[$CellContext`x0$, 
               Blank[]]] := Show[
              Plot[
               Derivative[
               2][$CellContext`fcn$$][$CellContext`x], {$CellContext`x, \
$CellContext`xmin$, $CellContext`xmax$}, 
               Evaluate[$CellContext`plotoptions$], PlotStyle -> {
                 Thickness[0.005], DotDashed, Blue}], 
              Graphics[{
                PointSize[0.015], 
                Point[{$CellContext`x0$, 
                  Derivative[2][$CellContext`fcn$$][$CellContext`x0$]}]}]]; 
           Show[
             $CellContext`curve$[
              Part[$CellContext`pt$$, 1]], 
             Through[
              $CellContext`showderivs$$[
               Part[$CellContext`pt$$, 1]]], ImageSize -> 400]], 
          TrackedSymbols :> {$CellContext`pt$$, $CellContext`showderivs$$, \
$CellContext`fcn$$}]]), 
      "Specifications" :> {{{$CellContext`fcn$$, $CellContext`quad, 
          ""}, {$CellContext`quad -> "quadratic", $CellContext`cube -> 
          "cubic", $CellContext`quart -> "quartic", $CellContext`quint -> 
          "quintic"}, ControlType -> RadioButtonBar, ControlPlacement -> Top},
         Delimiter, 
        "", {{$CellContext`pt$$, {1, 0}}, {0, 0}, {10, 0}, ControlType -> 
         Locator, Appearance -> Style["|", 20, Bold, 
           RGBColor[
           1, 0, 0]]}, {{$CellContext`showderivs$$, {$CellContext`tline}, 
          ""}, {$CellContext`tline -> " tangent line  ", $CellContext`deriv1 -> 
          " first derivative  ", $CellContext`deriv2 -> " second derivative"},
          ControlType -> CheckboxBar, ControlPlacement -> Top}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`pt$$, $CellContext`showderivs$$, \
$CellContext`fcn$$}, AutorunSequencing -> {1, 2}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {256., 261.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->423596901],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Polynomials and Derivatives",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolynomialsAndDerivatives/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/PolynomialsAndDerivatives/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/PolynomialsAndDerivatives/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolynomialsAndDerivatives/"], 
    None},
  ButtonNote->"http://demonstrations.wolfram.com/PolynomialsAndDerivatives/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ed Zaborowski",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ed+Zaborowski"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ed+Zaborowski"],
 " (Franklin Road Academy)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "Based on a program by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->99359180]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PolynomialsAndDerivatives"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Polynomials and Derivatives - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 219, 4, 70, "Section"],
Cell[812, 29, 9148, 226, 70, "Input"]
}, Open  ]],
Cell[9975, 258, 6688, 137, 70, "Output",
 CellID->423596901],
Cell[CellGroupData[{
Cell[16688, 399, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[17064, 410, 943, 27, 70, "Text"],
Cell[18010, 439, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[18372, 452, 465, 15, 70, "Text"],
Cell[18840, 469, 368, 13, 70, "Text",
 CellID->99359180]
}, Open  ]],
Cell[CellGroupData[{
Cell[19245, 487, 829, 24, 70, "Text"],
Cell[20077, 513, 1201, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 6SzABJrWWnD#kCDDUgosWVqF *)
