(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     14785,        419]
NotebookOptionsPosition[     13590,        374]
NotebookOutlinePosition[     14220,        398]
CellTagsIndexPosition[     14177,        395]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Successive Derivatives of a Polynomial", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", "=", 
       RowBox[{
        RowBox[{"d", " ", 
         RowBox[{"x", "^", "3"}]}], "+", 
        RowBox[{"e", " ", 
         RowBox[{"x", "^", "2"}]}], "+", 
        RowBox[{"h", " ", "x"}]}]}], "}"}], ",", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"pd", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{"p", ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "i"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "}"}], ",", 
       RowBox[{"Column", "[", 
        RowBox[{"MapIndexed", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Plot", "[", 
            RowBox[{"#", ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", 
               RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
             RowBox[{"Filling", "\[Rule]", "0"}], ",", 
             RowBox[{"Ticks", "\[Rule]", "None"}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "420"}], ",", 
             RowBox[{"AspectRatio", "\[Rule]", 
              RowBox[{"1", "/", "5"}]}], ",", 
             RowBox[{"PlotLabel", "\[Rule]", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"Derivative", "[", 
                    RowBox[{
                    RowBox[{"First", "[", "#2", "]"}], "-", "1"}], "]"}], "[",
                    "f", "]"}], "[", "x", "]"}], ",", "\"\< = \>\"", ",", 
                 RowBox[{"TraditionalForm", "[", "#", "]"}]}], "}"}], 
               "]"}]}]}], "]"}], "&"}], ",", "pd"}], "]"}], "]"}]}], "]"}]}], 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{
     RowBox[{"Row", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<    \>\"", ",", " ", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"a", " ", 
           RowBox[{"x", "^", "3"}]}], "+", 
          RowBox[{"b", 
           RowBox[{"x", "^", "2"}]}], "+", 
          RowBox[{"c", " ", "x"}]}], "]"}]}], "}"}], "]"}], ",", "12"}], 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", 
       RowBox[{"-", "1"}], ",", "\"\<a\>\""}], "}"}], ",", 
     RowBox[{"-", "1"}], ",", "1", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"e", ",", 
       RowBox[{"-", "2"}], ",", "\"\<b\>\""}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"h", ",", 
       RowBox[{"-", "2"}], ",", "\"\<c\>\""}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.370790847034626*^9, 3.3707911113005457`*^9, {
   3.370792920071607*^9, 3.3707929447991133`*^9}, {3.37079320381798*^9, 
   3.37079322091635*^9}, {3.370793255957265*^9, 3.370793283890861*^9}, {
   3.370793337217689*^9, 3.3707933393752213`*^9}, {3.370793372993046*^9, 
   3.370793380552696*^9}, {3.3708000736386633`*^9, 3.370800097799906*^9}, {
   3.370800170296867*^9, 3.370800183361093*^9}, {3.370800234358776*^9, 
   3.3708002692829723`*^9}, {3.3708003124618063`*^9, 
   3.3708003767511168`*^9}, {3.370800458517302*^9, 3.370800578614317*^9}, {
   3.370805775814453*^9, 3.370805777150031*^9}, {3.370805896402008*^9, 
   3.370805911233182*^9}, {3.370805970078031*^9, 3.370806000506557*^9}, {
   3.3797898813631773`*^9, 3.3797899021476736`*^9}, {3.3866044249291267`*^9, 
   3.386604446302246*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`d$$ = -1, $CellContext`e$$ = -2, \
$CellContext`h$$ = -2, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Style[
        Row[{"    ", 
          
          TraditionalForm[$CellContext`c $CellContext`x + $CellContext`b \
$CellContext`x^2 + $CellContext`a $CellContext`x^3]}], 12]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`d$$], -1, "a"}, -1, 1, 0.01}, {{
       Hold[$CellContext`e$$], -2, "b"}, -2, 2, 0.01}, {{
       Hold[$CellContext`h$$], -2, "c"}, -2, 2, 0.01}}, Typeset`size$$ = {
    420., {212.375, 217.625}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`d$580638$$ = 
    0, $CellContext`e$580639$$ = 0, $CellContext`h$580640$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`d$$ = -1, $CellContext`e$$ = -2, \
$CellContext`h$$ = -2}, "ControllerVariables" :> {
        Hold[$CellContext`d$$, $CellContext`d$580638$$, 0], 
        Hold[$CellContext`e$$, $CellContext`e$580639$$, 0], 
        Hold[$CellContext`h$$, $CellContext`h$580640$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`p = $CellContext`d$$ $CellContext`x^3 + \
$CellContext`e$$ $CellContext`x^2 + $CellContext`h$$ $CellContext`x}, 
        With[{$CellContext`pd = Table[
            
            D[$CellContext`p, {$CellContext`x, $CellContext`i}], \
{$CellContext`i, 0, 3}]}, 
         Column[
          MapIndexed[
          Plot[#, {$CellContext`x, -2, 2}, Filling -> 0, Ticks -> None, 
            PlotRange -> {{-2, 2}, {-6, 6}}, ImageSize -> 420, AspectRatio -> 
            1/5, PlotLabel -> Row[{
               Derivative[First[#2] - 1][$CellContext`f][$CellContext`x], 
               " = ", 
               TraditionalForm[#]}]]& , $CellContext`pd]]]], 
      "Specifications" :> {
        Style[
         Row[{"    ", 
           
           TraditionalForm[$CellContext`c $CellContext`x + $CellContext`b \
$CellContext`x^2 + $CellContext`a $CellContext`x^3]}], 
         12], {{$CellContext`d$$, -1, "a"}, -1, 1, 0.01, ImageSize -> Small, 
         Appearance -> "Labeled"}, {{$CellContext`e$$, -2, "b"}, -2, 2, 0.01, 
         ImageSize -> Small, Appearance -> 
         "Labeled"}, {{$CellContext`h$$, -2, "c"}, -2, 2, 0.01, ImageSize -> 
         Small, Appearance -> "Labeled"}}, 
      "Options" :> {ControllerLinking -> True, ControlPlacement -> Left}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{627., {240., 245.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->2052593717],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Successive Derivatives of a Polynomial",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SuccessiveDerivativesOfAPolynomial/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/SuccessiveDerivativesOfAPolynomial/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
SuccessiveDerivativesOfAPolynomial/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SuccessiveDerivativesOfAPolynomial/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/SuccessiveDerivativesOfAPolynomial/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Joe Bolte",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Joe+Bolte"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Joe+Bolte"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->1663913703],

Cell[TextData[{
 "Original version by: ",
 ButtonBox["Stephen Wolfram",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Stephen+\
Wolfram"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Stephen+Wolfram"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->380843475]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
SuccessiveDerivativesOfAPolynomial"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Successive Derivatives of a Polynomial - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 230, 4, 70, "Section"],
Cell[823, 29, 4639, 114, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[5477, 146, 3329, 69, 70, "Output",
 CellID->2052593717],
Cell[CellGroupData[{
Cell[8831, 219, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9207, 230, 999, 29, 70, "Text"],
Cell[10209, 261, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[10571, 274, 445, 15, 70, "Text",
 CellID->1663913703],
Cell[11019, 291, 464, 15, 70, "Text",
 CellID->380843475]
}, Open  ]],
Cell[CellGroupData[{
Cell[11520, 311, 829, 24, 70, "Text"],
Cell[12352, 337, 1210, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature rSj8IDhaNmupmA0kWQiz5iG4 *)
