(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     49837,       1236]
NotebookOptionsPosition[     48689,       1193]
NotebookOutlinePosition[     49302,       1217]
CellTagsIndexPosition[     49259,       1214]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Tangents to an Excircle", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "NonDegenerateTriangle", ",", "ecd", ",", "cen", ",", "p13", ",", 
       "p12"}], "}"}], ",", 
     RowBox[{
      RowBox[{"NonDegenerateTriangle", "=", 
       RowBox[{
        RowBox[{"AreaOfTriangle", "[", 
         RowBox[{"p1", ",", "p2", ",", "p3"}], "]"}], ">", 
        SuperscriptBox["10", 
         RowBox[{"-", "4"}]]}]}], ";", 
      RowBox[{"If", "[", 
       RowBox[{"NonDegenerateTriangle", ",", 
        RowBox[{
         RowBox[{"ecd", "=", 
          RowBox[{"ExCircleData", "[", 
           RowBox[{"p1", ",", "p2", ",", "p3"}], "]"}]}], ";", 
         RowBox[{"cen", "=", 
          RowBox[{"ecd", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ";", 
         RowBox[{"p13", "=", 
          RowBox[{"ThroughAPointPerpendicularToALine", "[", 
           RowBox[{"cen", ",", "cen", ",", "p1", ",", "p3", ",", "p1"}], 
           "]"}]}], ";", 
         RowBox[{"p12", "=", 
          RowBox[{"ThroughAPointPerpendicularToALine", "[", 
           RowBox[{"cen", ",", "cen", ",", "p1", ",", "p2", ",", "p1"}], 
           "]"}]}]}]}], "]"}], ";", 
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Pane", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{"NonDegenerateTriangle", ",", 
                 RowBox[{"Grid", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Grid", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"\"\<BD\>\"", ",", "\"\<\[TildeTilde]\>\"", ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{
                    RowBox[{"EuclideanDistance", "[", 
                    RowBox[{"p3", ",", "p13"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"5", ",", "2"}], "}"}]}], "]"}], ",", 
                    "\"\<CE\>\"", ",", "\"\<\[TildeTilde]\>\"", ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{
                    RowBox[{"EuclideanDistance", "[", 
                    RowBox[{"p2", ",", "p12"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"5", ",", "2"}], "}"}]}], "]"}]}], "}"}], "}"}], 
                    ",", 
                    RowBox[{"Dividers", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "True", ",", "False", ",", "False", ",", "True", ",", 
                    "False", ",", "False", ",", "True"}], "}"}], ",", 
                    "Automatic"}], "}"}]}], ",", 
                    RowBox[{"Spacings", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1", "\[Rule]", "1.2"}], ",", 
                    RowBox[{"2", "\[Rule]", ".3"}], ",", 
                    RowBox[{"3", "\[Rule]", ".3"}], ",", 
                    RowBox[{"4", "\[Rule]", "1.2"}], ",", 
                    RowBox[{"5", "\[Rule]", ".3"}], ",", 
                    RowBox[{"6", "\[Rule]", ".3"}], ",", 
                    RowBox[{"7", "\[Rule]", "1.2"}]}], "}"}], ",", 
                    "Automatic"}], "}"}]}]}], "]"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Grid", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"\"\<DE\>\"", ",", "\"\<\[TildeTilde]\>\"", ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{
                    RowBox[{"EuclideanDistance", "[", 
                    RowBox[{"p12", ",", "p13"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"5", ",", "2"}], "}"}]}], "]"}], ",", "\"\<2\>\"",
                     ",", "\"\<\!\(\*SqrtBox[\(BD\[Times]CE\)]\)\>\"", ",", 
                    "\"\<\[TildeTilde]\>\"", ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{
                    RowBox[{"2", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"EuclideanDistance", "[", 
                    RowBox[{"p3", ",", "p13"}], "]"}], 
                    RowBox[{"EuclideanDistance", "[", 
                    RowBox[{"p2", ",", "p12"}], "]"}]}]]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"5", ",", "2"}], "}"}]}], "]"}]}], "}"}], "}"}], 
                    ",", 
                    RowBox[{"Dividers", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "True", ",", "False", ",", "False", ",", "True", ",", 
                    "False", ",", "False", ",", "False", ",", "True"}], "}"}],
                     ",", "Automatic"}], "}"}]}], ",", 
                    RowBox[{"Spacings", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"1", "\[Rule]", "1.2"}], ",", 
                    RowBox[{"2", "\[Rule]", ".3"}], ",", 
                    RowBox[{"3", "\[Rule]", ".3"}], ",", 
                    RowBox[{"4", "\[Rule]", "1.2"}], ",", 
                    RowBox[{"5", "\[Rule]", ".1"}], ",", 
                    RowBox[{"6", "\[Rule]", ".3"}], ",", 
                    RowBox[{"7", "\[Rule]", ".3"}], ",", 
                    RowBox[{"8", "\[Rule]", "1.2"}]}], "}"}], ",", 
                    "Automatic"}], "}"}]}]}], "]"}], "}"}]}], "}"}], "]"}], 
                 ",", 
                 RowBox[{
                 "Framed", "[", "\"\<The triangle is degenerate.\>\"", 
                  "]"}]}], "]"}], ",", "\"\<Label\>\"", ",", "18"}], "]"}], 
             ",", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"450", ",", "100"}], "}"}]}], ",", 
             RowBox[{"Alignment", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"Center", ",", "Center"}], "}"}]}]}], "]"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"Graphics", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", ".02", "]"}], ",", 
               RowBox[{"PointSize", "[", ".04", "]"}], ",", 
               RowBox[{"If", "[", 
                RowBox[{"NonDegenerateTriangle", ",", 
                 RowBox[{"Unevaluated", "[", 
                  RowBox[{"Sequence", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{"p1", ",", "#"}], "}"}], "]"}], "&"}], "/@", 
                    RowBox[{"{", 
                    RowBox[{"p13", ",", "p12"}], "}"}]}], "]"}], "]"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{"p1", ",", "p2", ",", "p3", ",", "p1"}], "}"}], 
                "]"}], ",", 
               RowBox[{"If", "[", 
                RowBox[{"NonDegenerateTriangle", ",", 
                 RowBox[{"Unevaluated", "[", 
                  RowBox[{"Sequence", "[", 
                   RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{".45", ",", ".7", ",", ".55"}], "]"}], ",", 
                    RowBox[{"Circle", "[", 
                    RowBox[{"Sequence", "@@", "ecd"}], "]"}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{".25", ",", ".43", ",", ".82"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{"p12", ",", "p13"}], "}"}], "]"}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{".45", ",", ".7", ",", ".55"}], "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"ecd", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "}"}], "]"}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", ".26", ",", "0"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{"p3", ",", "p13"}], "}"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{"p2", ",", "p12"}], "}"}], "]"}]}], "]"}], "]"}], 
                 ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{"p2", ",", "p3"}], "}"}], "]"}], ",", 
               RowBox[{"If", "[", 
                RowBox[{"NonDegenerateTriangle", ",", 
                 RowBox[{"Unevaluated", "[", 
                  RowBox[{"Sequence", "[", 
                   RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{".45", ",", ".7", ",", ".55"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{"p1", ",", 
                    RowBox[{"ecd", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{".48", ",", ".11", ",", ".56"}], "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"p12", ",", "p13", ",", "cen"}], "}"}], "]"}], 
                    ",", "Black", ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<D\>\"", ",", "20", ",", "\"\<Label\>\""}], 
                    "]"}], ",", 
                    RowBox[{"p13", "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0.1"}], "}"}]}]}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<E\>\"", ",", "20", ",", "\"\<Label\>\""}], 
                    "]"}], ",", 
                    RowBox[{"p12", "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0.1"}], "}"}]}]}], "]"}], ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<O\>\"", ",", "20", ",", "\"\<Label\>\""}], 
                    "]"}], ",", 
                    RowBox[{"cen", "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0.1"}], "}"}]}]}], "]"}]}], "]"}], 
                  "]"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", "Black", ",", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<A\>\"", ",", "20", ",", "\"\<Label\>\""}], 
                  "]"}], ",", 
                 RowBox[{"p1", "+", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0.1"}], "}"}]}]}], "]"}], ",", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<B\>\"", ",", "20", ",", "\"\<Label\>\""}], 
                  "]"}], ",", 
                 RowBox[{"p3", "+", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0.1"}], "}"}]}]}], "]"}], ",", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<C\>\"", ",", "20", ",", "\"\<Label\>\""}], 
                  "]"}], ",", 
                 RowBox[{"p2", "+", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0.1"}], "}"}]}]}], "]"}]}], "}"}], ",", 
             
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"375", ",", "375"}], "}"}]}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", ".2"}], ",", "2"}], "}"}]}], "}"}]}], ",", 
             RowBox[{"PlotRangePadding", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{".03", ",", ".03"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", ".14"}], "}"}]}], "}"}]}]}], "]"}], 
           "}"}]}], "}"}], ",", 
        RowBox[{"ItemSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Automatic", ",", 
           RowBox[{"{", 
            RowBox[{"3", ",", "8"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"Alignment", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Center", ",", "Top"}], "}"}]}]}], "]"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", "Locator"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p2", ",", 
       RowBox[{"{", 
        RowBox[{"1.291`", ",", "0.5`"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", "Locator"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p3", ",", 
       RowBox[{"{", 
        RowBox[{"0.323`", ",", "0.764`"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", "Locator"}], "}"}], ",", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"AreaOfTriangle", "[", 
        RowBox[{"p_", ",", "q_", ",", "r_"}], "]"}], ":=", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"\[Sqrt]", 
           RowBox[{"(", 
            RowBox[{"#", 
             RowBox[{"(", 
              RowBox[{"#", "-", 
               RowBox[{"EuclideanDistance", "[", 
                RowBox[{"p", ",", "q"}], "]"}]}], ")"}], 
             RowBox[{"(", 
              RowBox[{"#", "-", 
               RowBox[{"EuclideanDistance", "[", 
                RowBox[{"q", ",", "r"}], "]"}]}], ")"}], 
             RowBox[{"(", 
              RowBox[{"#", "-", 
               RowBox[{"EuclideanDistance", "[", 
                RowBox[{"p", ",", "r"}], "]"}]}], ")"}]}], ")"}]}], "&"}], 
         "[", 
         RowBox[{
          FractionBox["1", "2"], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"EuclideanDistance", "[", 
             RowBox[{"p", ",", "q"}], "]"}], "+", 
            RowBox[{"EuclideanDistance", "[", 
             RowBox[{"q", ",", "r"}], "]"}], "+", 
            RowBox[{"EuclideanDistance", "[", 
             RowBox[{"p", ",", "r"}], "]"}]}], ")"}]}], "]"}], "/.", 
        RowBox[{
         RowBox[{
          TagBox[
           StyleBox[
            RowBox[{"Complex", "[", 
             RowBox[{"a_", ",", "b_"}], "]"}],
            ShowSpecialCharacters->False,
            ShowStringCharacters->True,
            NumberMarks->True],
           FullForm], "/;", 
          RowBox[{
           RowBox[{"Max", "[", 
            RowBox[{
             RowBox[{"Abs", "@", "a"}], ",", 
             RowBox[{"Abs", "@", "b"}]}], "]"}], "<", 
           SuperscriptBox["10", 
            RowBox[{"-", "4"}]]}]}], "\[Rule]", "0"}]}]}], ";", 
      RowBox[{
       RowBox[{"PerpendicularPointOnLine", "[", 
        RowBox[{"pt_", ",", "pt1_", ",", "pt2_"}], "]"}], ":=", 
       RowBox[{"Block", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"EuclideanDistance", "[", 
             RowBox[{"pt1", ",", "pt2"}], "]"}], "<", 
            SuperscriptBox["10", 
             RowBox[{"-", "5"}]]}], ",", 
           RowBox[{"{", "}"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}], "/.", 
            RowBox[{
             RowBox[{"NSolve", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pt2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", 
                    RowBox[{"pt1", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}], 
                   RowBox[{"(", 
                    RowBox[{"y", "-", 
                    RowBox[{"pt1", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], "\[Equal]", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pt2", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                    RowBox[{"pt1", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}], 
                   RowBox[{"(", 
                    RowBox[{"x", "-", 
                    RowBox[{"pt1", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}]}], ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pt2", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                    RowBox[{"pt1", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}], 
                   RowBox[{"(", 
                    RowBox[{"y", "-", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], "\[Equal]", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pt1", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", 
                    RowBox[{"pt2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}], 
                   RowBox[{"(", 
                    RowBox[{"x", "-", 
                    RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}]}]}], "}"}], ",",
                
               RowBox[{"{", 
                RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}]}], "]"}]}], ";", "\n", 
      
      RowBox[{
       RowBox[{"IntersectionOfLines", "[", 
        RowBox[{"p1_", ",", "p2_", ",", "p3_", ",", "p4_"}], "]"}], ":=", 
       RowBox[{"Block", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"Which", "[", 
            RowBox[{
             RowBox[{"#", "===", 
              RowBox[{"{", "}"}]}], ",", 
             RowBox[{"{", "}"}], ",", 
             RowBox[{"Not", "[", 
              RowBox[{"And", "@@", 
               RowBox[{"(", 
                RowBox[{"NumericQ", "/@", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"x", ",", "y"}], "}"}], "/.", 
                   RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], ")"}]}], "]"}],
              ",", 
             RowBox[{"{", "}"}], ",", "True", ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], "/.", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}], "&"}], "[", 
          RowBox[{"Quiet", "[", 
           RowBox[{"NSolve", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"y", "-", 
                   RowBox[{"p1", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"p2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", 
                   RowBox[{"p1", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], "\[Equal]", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"p2", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                   RowBox[{"p1", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}], 
                 RowBox[{"(", 
                  RowBox[{"x", "-", 
                   RowBox[{"p1", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}]}], ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"y", "-", 
                   RowBox[{"p3", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"p4", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", 
                   RowBox[{"p3", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], "\[Equal]", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"p4", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                   RowBox[{"p3", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}], 
                 RowBox[{"(", 
                  RowBox[{"x", "-", 
                   RowBox[{"p3", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}]}]}], "}"}], ",",
              
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "]"}], "]"}]}], 
        "]"}]}], ";", 
      RowBox[{
       RowBox[{"PointOnBisector", "[", 
        RowBox[{"a_", ",", "v_", ",", "b_"}], "]"}], ":=", 
       RowBox[{
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Norm", "[", 
             RowBox[{
              RowBox[{"Normalize", "[", 
               RowBox[{
                RowBox[{"RotationTransform", "[", 
                 RowBox[{"#", ",", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}]}], "]"}], "[", 
                RowBox[{"b", "-", "v"}], "]"}], "]"}], "-", 
              RowBox[{"Normalize", "[", 
               RowBox[{"a", "-", "v"}], "]"}]}], "]"}], "<", 
            SuperscriptBox["10", 
             RowBox[{"-", "10"}]]}], ",", 
           RowBox[{
            RowBox[{"Normalize", "[", 
             RowBox[{
              RowBox[{"RotationTransform", "[", 
               RowBox[{
                FractionBox["#", "2"], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}]}], "]"}], "[", 
              RowBox[{"b", "-", "v"}], "]"}], "]"}], "+", "v"}], ",", 
           RowBox[{
            RowBox[{"Normalize", "[", 
             RowBox[{
              RowBox[{"RotationTransform", "[", 
               RowBox[{
                FractionBox["#", "2"], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}]}], "]"}], "[", 
              RowBox[{"a", "-", "v"}], "]"}], "]"}], "+", "v"}]}], "]"}], 
         "&"}], "[", 
        RowBox[{"VectorAngle", "[", 
         RowBox[{
          RowBox[{"b", "-", "v"}], ",", 
          RowBox[{"a", "-", "v"}]}], "]"}], "]"}]}], ";", 
      RowBox[{
       RowBox[{"ExCircleData", "[", 
        RowBox[{"p1_", ",", "p2_", ",", "p3_"}], "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"h", ",", "k", ",", "cen", ",", "rad"}], "}"}], ",", 
         RowBox[{
          RowBox[{"h", "=", 
           RowBox[{"PointOnBisector", "[", 
            RowBox[{"p3", ",", "p1", ",", "p2"}], "]"}]}], ";", 
          RowBox[{"k", "=", 
           RowBox[{"PointOnBisector", "[", 
            RowBox[{"p2", ",", "p3", ",", 
             RowBox[{"p3", "+", 
              RowBox[{"(", 
               RowBox[{"p3", "-", "p1"}], ")"}]}]}], "]"}]}], ";", 
          RowBox[{"cen", "=", 
           RowBox[{"IntersectionOfLines", "[", 
            RowBox[{"p3", ",", "k", ",", "p1", ",", "h"}], "]"}]}], ";", "\n",
           
          RowBox[{"rad", "=", 
           RowBox[{"EuclideanDistance", "[", 
            RowBox[{"cen", ",", 
             RowBox[{"PerpendicularPointOnLine", "[", 
              RowBox[{"cen", ",", "p1", ",", "p2"}], "]"}]}], "]"}]}], ";", 
          RowBox[{"{", 
           RowBox[{"cen", ",", "rad"}], "}"}]}]}], "]"}]}], ";", 
      RowBox[{
       RowBox[{"ThroughAPointPerpendicularToALine", "[", 
        RowBox[{"pt_", ",", "p1_", ",", "p2_", ",", "p3_", ",", "p4_"}], 
        "]"}], ":=", 
       RowBox[{"Block", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"#", "=!=", 
               RowBox[{"{", "}"}]}], "&&", 
              RowBox[{"And", "@@", 
               RowBox[{"(", 
                RowBox[{"NumericQ", "/@", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"x", ",", "y"}], "}"}], "/.", 
                   RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], ")"}]}]}], ",",
              
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], "/.", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], ",", 
             RowBox[{"{", "}"}]}], "]"}], "&"}], "[", 
          RowBox[{"Quiet", "[", 
           RowBox[{"NSolve", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"y", "-", 
                   RowBox[{"pt", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"p2", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                   RowBox[{"p1", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], "\[Equal]", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"p1", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", 
                   RowBox[{"p2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}], 
                 RowBox[{"(", 
                  RowBox[{"x", "-", 
                   RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}]}], ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"y", "-", 
                   RowBox[{"p3", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"p4", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", 
                   RowBox[{"p3", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], "\[Equal]", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"p4", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                   RowBox[{"p3", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}], 
                 RowBox[{"(", 
                  RowBox[{"x", "-", 
                   RowBox[{"p3", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}]}]}], "}"}], ",",
              
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "]"}], "]"}]}], 
        "]"}]}]}], ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.419088219580476*^9, {3.4190886371865473`*^9, 
   3.419088703901625*^9}, 3.4192787161313424`*^9, {3.419278794553217*^9, 
   3.4192787958813424`*^9}, 3.419279105584467*^9, {3.4192797653813424`*^9, 
   3.419279839490717*^9}, {3.4192798910375924`*^9, 3.419279892709467*^9}, {
   3.419280025678217*^9, 3.419280176271967*^9}, {3.4192802398188424`*^9, 
   3.419280275896967*^9}, {3.419280405334467*^9, 3.419280412865717*^9}, {
   3.4192804916625924`*^9, 3.419280553459467*^9}, {3.419280609490717*^9, 
   3.419280613271967*^9}, {3.4192807102250924`*^9, 3.419280729990717*^9}, {
   3.4192808109125924`*^9, 3.4192808341938424`*^9}, {3.4192809294750924`*^9, 
   3.419280969178217*^9}, {3.419281031803217*^9, 3.419281046834467*^9}, {
   3.4192810788188424`*^9, 3.4192810878500924`*^9}, {3.4192811465688424`*^9, 
   3.419281152178217*^9}, {3.419341052962618*^9, 3.419341100697391*^9}, {
   3.419594779484125*^9, 3.419594789312376*^9}, {3.4195949722990932`*^9, 
   3.419595006268278*^9}, {3.4195951340042877`*^9, 3.419595142988778*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`p1$$ = {0, 0}, $CellContext`p2$$ = {1.291, 
    0.5}, $CellContext`p3$$ = {0.323, 0.764}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`p1$$], {0, 0}}, {0, 0}, {2, 2}}, {{
       Hold[$CellContext`p2$$], {1.291, 0.5}}, {0, 0}, {2, 2}}, {{
       Hold[$CellContext`p3$$], {0.323, 0.764}}, {0, 0}, {2, 2}}}, 
    Typeset`size$$ = {450., {238., 243.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`p1$1249$$ = {0, 0}, $CellContext`p2$1250$$ = {0, 
    0}, $CellContext`p3$1251$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`p1$$ = {0, 0}, $CellContext`p2$$ = {1.291, 
         0.5}, $CellContext`p3$$ = {0.323, 0.764}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`p1$$, $CellContext`p1$1249$$, {0, 0}], 
        Hold[$CellContext`p2$$, $CellContext`p2$1250$$, {0, 0}], 
        Hold[$CellContext`p3$$, $CellContext`p3$1251$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`NonDegenerateTriangle$, $CellContext`ecd$, \
$CellContext`cen$, $CellContext`p13$, $CellContext`p12$}, \
$CellContext`NonDegenerateTriangle$ = \
$CellContext`AreaOfTriangle[$CellContext`p1$$, $CellContext`p2$$, \
$CellContext`p3$$] > 10^(-4); 
        If[$CellContext`NonDegenerateTriangle$, $CellContext`ecd$ = \
$CellContext`ExCircleData[$CellContext`p1$$, $CellContext`p2$$, \
$CellContext`p3$$]; $CellContext`cen$ = 
           Part[$CellContext`ecd$, 
             1]; $CellContext`p13$ = \
$CellContext`ThroughAPointPerpendicularToALine[$CellContext`cen$, \
$CellContext`cen$, $CellContext`p1$$, $CellContext`p3$$, $CellContext`p1$$]; \
$CellContext`p12$ = \
$CellContext`ThroughAPointPerpendicularToALine[$CellContext`cen$, \
$CellContext`cen$, $CellContext`p1$$, $CellContext`p2$$, $CellContext`p1$$]]; 
        Grid[{{
            Pane[
             Style[
              If[$CellContext`NonDegenerateTriangle$, 
               Grid[{{
                  Grid[{{"BD", "\[TildeTilde]", 
                    NumberForm[
                    EuclideanDistance[$CellContext`p3$$, $CellContext`p13$], {
                    5, 2}], "CE", "\[TildeTilde]", 
                    NumberForm[
                    EuclideanDistance[$CellContext`p2$$, $CellContext`p12$], {
                    5, 2}]}}, 
                   Dividers -> {{
                    True, False, False, True, False, False, True}, Automatic},
                    Spacings -> {{
                    1 -> 1.2, 2 -> 0.3, 3 -> 0.3, 4 -> 1.2, 5 -> 0.3, 6 -> 
                    0.3, 7 -> 1.2}, Automatic}]}, {
                  Grid[{{"DE", "\[TildeTilde]", 
                    NumberForm[
                    EuclideanDistance[$CellContext`p12$, $CellContext`p13$], {
                    5, 2}], "2", "\!\(\*SqrtBox[\(BD\[Times]CE\)]\)", 
                    "\[TildeTilde]", 
                    NumberForm[
                    2 (EuclideanDistance[$CellContext`p3$$, $CellContext`p13$]
                     EuclideanDistance[$CellContext`p2$$, $CellContext`p12$])^
                    Rational[1, 2], {5, 2}]}}, 
                   Dividers -> {{
                    True, False, False, True, False, False, False, True}, 
                    Automatic}, 
                   Spacings -> {{
                    1 -> 1.2, 2 -> 0.3, 3 -> 0.3, 4 -> 1.2, 5 -> 0.1, 6 -> 
                    0.3, 7 -> 0.3, 8 -> 1.2}, Automatic}]}}], 
               Framed["The triangle is degenerate."]], "Label", 18], 
             ImageSize -> {450, 100}, Alignment -> {Center, Center}]}, {
            Graphics[{
              Thickness[0.02], 
              PointSize[0.04], 
              If[$CellContext`NonDegenerateTriangle$, 
               Unevaluated[
                Sequence[
                 Map[
                 Line[{$CellContext`p1$$, #}]& , {$CellContext`p13$, \
$CellContext`p12$}]]], {}], 
              RGBColor[0.49, 0, 0], 
              
              Line[{$CellContext`p1$$, $CellContext`p2$$, $CellContext`p3$$, \
$CellContext`p1$$}], 
              If[$CellContext`NonDegenerateTriangle$, 
               Unevaluated[
                Sequence[
                 RGBColor[0.45, 0.7, 0.55], 
                 Circle[
                  Apply[Sequence, $CellContext`ecd$]], 
                 RGBColor[0.25, 0.43, 0.82], 
                 Line[{$CellContext`p12$, $CellContext`p13$}], 
                 RGBColor[0.45, 0.7, 0.55], 
                 Point[{
                   Part[$CellContext`ecd$, 1]}], 
                 RGBColor[1, 0.26, 0], 
                 Line[{$CellContext`p3$$, $CellContext`p13$}], 
                 Line[{$CellContext`p2$$, $CellContext`p12$}]]], {}], 
              RGBColor[0.49, 0, 0], 
              Line[{$CellContext`p2$$, $CellContext`p3$$}], 
              If[$CellContext`NonDegenerateTriangle$, 
               Unevaluated[
                Sequence[
                 RGBColor[0.45, 0.7, 0.55], 
                 Line[{$CellContext`p1$$, 
                   Part[$CellContext`ecd$, 1]}], 
                 RGBColor[0.48, 0.11, 0.56], 
                 
                 Point[{$CellContext`p12$, $CellContext`p13$, \
$CellContext`cen$}], Black, 
                 Text[
                  Style["D", 20, "Label"], $CellContext`p13$ + {0, 0.1}], 
                 Text[
                  Style["E", 20, "Label"], $CellContext`p12$ + {0, 0.1}], 
                 Text[
                  Style[
                  "O", 20, "Label"], $CellContext`cen$ + {0, 0.1}]]], {}], 
              Black, 
              Text[
               Style["A", 20, "Label"], $CellContext`p1$$ + {0, 0.1}], 
              Text[
               Style["B", 20, "Label"], $CellContext`p3$$ + {0, 0.1}], 
              Text[
               Style["C", 20, "Label"], $CellContext`p2$$ + {0, 0.1}]}, 
             ImageSize -> {375, 375}, PlotRange -> {{0, 2}, {-0.2, 2}}, 
             PlotRangePadding -> {{0.03, 0.03}, {0, 0.14}}]}}, 
          ItemSize -> {Automatic, {3, 8}}, Alignment -> {Center, Top}]], 
      "Specifications" :> {{{$CellContext`p1$$, {0, 0}}, {0, 0}, {2, 2}, 
         ControlType -> Locator}, {{$CellContext`p2$$, {1.291, 0.5}}, {0, 
         0}, {2, 2}, ControlType -> 
         Locator}, {{$CellContext`p3$$, {0.323, 0.764}}, {0, 0}, {2, 2}, 
         ControlType -> Locator}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {265., 270.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`AreaOfTriangle[
         Pattern[$CellContext`p, 
          Blank[]], 
         Pattern[$CellContext`q, 
          Blank[]], 
         Pattern[$CellContext`r, 
          Blank[]]] := ReplaceAll[
         (
         Sqrt[((# (# - EuclideanDistance[$CellContext`p, $CellContext`q])) (# - 
            EuclideanDistance[$CellContext`q, $CellContext`r])) (# - 
           EuclideanDistance[$CellContext`p, $CellContext`r])]& )[(1/2) (
           EuclideanDistance[$CellContext`p, $CellContext`q] + 
           EuclideanDistance[$CellContext`q, $CellContext`r] + 
           EuclideanDistance[$CellContext`p, $CellContext`r])], Condition[
           Complex[
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]], Max[
             Abs[$CellContext`a], 
             Abs[$CellContext`b]] < 10^(-4)] -> 
         0]; $CellContext`PerpendicularPointOnLine[
         Pattern[$CellContext`pt, 
          Blank[]], 
         Pattern[$CellContext`pt1, 
          Blank[]], 
         Pattern[$CellContext`pt2, 
          Blank[]]] := Block[{$CellContext`x, $CellContext`y}, 
         If[
         EuclideanDistance[$CellContext`pt1, $CellContext`pt2] < 10^(-5), {}, 
          
          ReplaceAll[{$CellContext`x, $CellContext`y}, 
           Part[
            
            NSolve[{(Part[$CellContext`pt2, 1] - 
                Part[$CellContext`pt1, 1]) ($CellContext`y - 
                Part[$CellContext`pt1, 2]) == (Part[$CellContext`pt2, 2] - 
                Part[$CellContext`pt1, 2]) ($CellContext`x - 
                Part[$CellContext`pt1, 1]), (Part[$CellContext`pt2, 2] - 
                Part[$CellContext`pt1, 2]) ($CellContext`y - 
                Part[$CellContext`pt, 2]) == (Part[$CellContext`pt1, 1] - 
                Part[$CellContext`pt2, 1]) ($CellContext`x - 
                Part[$CellContext`pt, 1])}, {$CellContext`x, $CellContext`y}],
             1]]]]; $CellContext`IntersectionOfLines[
         Pattern[$CellContext`p1, 
          Blank[]], 
         Pattern[$CellContext`p2, 
          Blank[]], 
         Pattern[$CellContext`p3, 
          Blank[]], 
         Pattern[$CellContext`p4, 
          Blank[]]] := Block[{$CellContext`x, $CellContext`y}, 
         (Which[# === {}, {}, 
          Not[
           Apply[And, 
            Map[NumericQ, 
             ReplaceAll[{$CellContext`x, $CellContext`y}, 
              Part[#, 1]]]]], {}, True, 
          ReplaceAll[{$CellContext`x, $CellContext`y}, 
           Part[#, 1]]]& )[
          Quiet[
           
           NSolve[{($CellContext`y - Part[$CellContext`p1, 2]) (
               Part[$CellContext`p2, 1] - Part[$CellContext`p1, 1]) == (
               Part[$CellContext`p2, 2] - 
               Part[$CellContext`p1, 2]) ($CellContext`x - 
               Part[$CellContext`p1, 1]), ($CellContext`y - 
               Part[$CellContext`p3, 2]) (Part[$CellContext`p4, 1] - 
               Part[$CellContext`p3, 1]) == (Part[$CellContext`p4, 2] - 
               Part[$CellContext`p3, 2]) ($CellContext`x - 
               Part[$CellContext`p3, 
                1])}, {$CellContext`x, $CellContext`y}]]]]; \
$CellContext`PointOnBisector[
         Pattern[$CellContext`a, 
          Blank[]], 
         Pattern[$CellContext`v, 
          Blank[]], 
         Pattern[$CellContext`b, 
          Blank[]]] := (If[Norm[Normalize[
             RotationTransform[#, {0, 0}][$CellContext`b - $CellContext`v]] - 
           Normalize[$CellContext`a - $CellContext`v]] < 10^(-10), Normalize[
           RotationTransform[#/2, {0, 
            0}][$CellContext`b - $CellContext`v]] + $CellContext`v, 
         Normalize[
           
           RotationTransform[#/2, {0, 
            0}][$CellContext`a - $CellContext`v]] + $CellContext`v]& )[
         VectorAngle[$CellContext`b - $CellContext`v, $CellContext`a - \
$CellContext`v]]; $CellContext`ExCircleData[
         Pattern[$CellContext`p1, 
          Blank[]], 
         Pattern[$CellContext`p2, 
          Blank[]], 
         Pattern[$CellContext`p3, 
          Blank[]]] := 
       Module[{$CellContext`h, $CellContext`k, $CellContext`cen, \
$CellContext`rad}, $CellContext`h = \
$CellContext`PointOnBisector[$CellContext`p3, $CellContext`p1, \
$CellContext`p2]; $CellContext`k = \
$CellContext`PointOnBisector[$CellContext`p2, $CellContext`p3, \
$CellContext`p3 + ($CellContext`p3 - $CellContext`p1)]; $CellContext`cen = \
$CellContext`IntersectionOfLines[$CellContext`p3, $CellContext`k, \
$CellContext`p1, $CellContext`h]; $CellContext`rad = 
          EuclideanDistance[$CellContext`cen, 
            $CellContext`PerpendicularPointOnLine[$CellContext`cen, \
$CellContext`p1, $CellContext`p2]]; {$CellContext`cen, $CellContext`rad}]; \
$CellContext`ThroughAPointPerpendicularToALine[
         Pattern[$CellContext`pt, 
          Blank[]], 
         Pattern[$CellContext`p1, 
          Blank[]], 
         Pattern[$CellContext`p2, 
          Blank[]], 
         Pattern[$CellContext`p3, 
          Blank[]], 
         Pattern[$CellContext`p4, 
          Blank[]]] := Block[{$CellContext`x, $CellContext`y}, 
         (If[
          And[# =!= {}, 
           Apply[And, 
            Map[NumericQ, 
             ReplaceAll[{$CellContext`x, $CellContext`y}, 
              Part[#, 1]]]]], 
          ReplaceAll[{$CellContext`x, $CellContext`y}, 
           Part[#, 1]], {}]& )[
          Quiet[
           
           NSolve[{($CellContext`y - Part[$CellContext`pt, 2]) (
               Part[$CellContext`p2, 2] - Part[$CellContext`p1, 2]) == (
               Part[$CellContext`p1, 1] - 
               Part[$CellContext`p2, 1]) ($CellContext`x - 
               Part[$CellContext`pt, 1]), ($CellContext`y - 
               Part[$CellContext`p3, 2]) (Part[$CellContext`p4, 1] - 
               Part[$CellContext`p3, 1]) == (Part[$CellContext`p4, 2] - 
               Part[$CellContext`p3, 2]) ($CellContext`x - 
               Part[$CellContext`p3, 
                1])}, {$CellContext`x, $CellContext`y}]]]]); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->164641940],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Tangents to an Excircle",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TangentsToAnExcircle/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TangentsToAnExcircle/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TangentsToAnExcircle/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TangentsToAnExcircle/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TangentsToAnExcircle/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Jay Warendorff",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jay+Warendorff"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jay+Warendorff"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "After work by: ",
 ButtonBox["Antonio Gutierrez",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Antonio+\
Gutierrez"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Antonio+Gutierrez"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->139494188]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TangentsToAnExcircle"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Tangents to an Excircle - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 215, 4, 70, "Section"],
Cell[808, 29, 29867, 721, 70, "Input"]
}, Open  ]],
Cell[30690, 753, 13337, 287, 70, "Output",
 CellID->164641940],
Cell[CellGroupData[{
Cell[44052, 1044, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[44428, 1055, 900, 24, 70, "Text"],
Cell[45331, 1081, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[45693, 1094, 436, 14, 70, "Text"],
Cell[46132, 1110, 464, 15, 70, "Text",
 CellID->139494188]
}, Open  ]],
Cell[CellGroupData[{
Cell[46633, 1130, 829, 24, 70, "Text"],
Cell[47465, 1156, 1196, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 6Sj2OFcqtHGObCTx1b10O#Ch *)
