(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     25947,        667]
NotebookOptionsPosition[     24872,        627]
NotebookOutlinePosition[     25493,        651]
CellTagsIndexPosition[     25450,        648]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Two Tangent Lines to a Parabola", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "  ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"a1", "  ", 
       RowBox[{"x", "^", "2"}]}], "+", 
      RowBox[{"a2", " ", "x"}], "+", "a3"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"x_", ",", "y_"}], "]"}], ":=", " ", 
     RowBox[{
      RowBox[{"f", "[", "y", "]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", "a1", " ", "y"}], "+", "a2"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"x", "-", "y"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Grid", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"f", "[", "x", "]"}], ",", 
            RowBox[{"g", "[", 
             RowBox[{"x", ",", "x1"}], "]"}], ",", 
            RowBox[{"g", "[", 
             RowBox[{"x", ",", "x2"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", "\[IndentingNewLine]",
           
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", ".005", "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{".25", ",", ".43", ",", ".82"}], "]"}]}], "}"}], ",", 
             
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", ".003", "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{".88", ",", ".63", ",", ".23"}], "]"}]}], "}"}], ",", 
             
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Thickness", "[", ".003", "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{".88", ",", ".63", ",", ".23"}], "]"}]}], "}"}]}], 
            "}"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "100"}], ",", "100"}], "}"}]}], ",", " ", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"400", ",", "350"}], "}"}]}], ",", "\[IndentingNewLine]", 
          
          RowBox[{"PlotLabel", " ", "\[Rule]", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"TraditionalForm", "[", 
              RowBox[{"HoldForm", "[", 
               RowBox[{
                RowBox[{"f", "[", "x", "]"}], "==", " ", 
                RowBox[{
                 RowBox[{"a", " ", 
                  SuperscriptBox["x", "2"]}], "+", 
                 RowBox[{"b", " ", "x"}], "+", "c"}]}], "]"}], "]"}], ",", 
             RowBox[{"Darker", "[", " ", 
              RowBox[{"RGBColor", "[", 
               RowBox[{".25", ",", ".43", ",", ".82"}], "]"}], "]"}], ",", 
             "15"}], "]"}]}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<x\>\"", ",", "12", ",", "Italic"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<y\>\"", ",", "12", ",", "Italic"}], "]"}]}], 
            "}"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"Prolog", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Subscript", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "1"}], 
                  "]"}], ",", "Medium"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"x1", ",", 
                 RowBox[{"-", "15"}]}], "}"}]}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Subscript", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "2"}], 
                  "]"}], ",", "Medium"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"x2", ",", 
                 RowBox[{"-", "15"}]}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"RGBColor", "[", 
                RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", 
               RowBox[{"Thickness", "[", "0.01", "]"}], ",", " ", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"x1", ",", "0"}], " ", "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    FractionBox[
                    RowBox[{"x1", "+", "x2"}], "2"], ",", "0"}], " ", "}"}]}],
                  "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"RGBColor", "[", 
                RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", " ", 
               RowBox[{"Thickness", "[", "0.01", "]"}], ",", " ", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"x2", ",", "0"}], " ", "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    FractionBox[
                    RowBox[{"x1", "+", "x2"}], "2"], ",", "0"}], " ", "}"}]}],
                  "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"Gray", ",", " ", "Dashed", ",", 
               RowBox[{"Thickness", "[", "0.001", "]"}], ",", " ", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"x1", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"x1", ",", 
                    RowBox[{"f", "[", "x1", "]"}]}], "}"}]}], "}"}], "]"}]}], 
              "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"Gray", ",", " ", "Dashed", ",", 
               RowBox[{"Thickness", "[", "0.001", "]"}], ",", " ", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"x2", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"x2", ",", 
                    RowBox[{"f", "[", "x2", "]"}]}], "}"}]}], "}"}], "]"}]}], 
              "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"Gray", ",", " ", "Dashed", ",", 
               RowBox[{"Thickness", "[", "0.001", "]"}], ",", " ", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    FractionBox[
                    RowBox[{"x1", "+", "x2"}], "2"], ",", 
                    RowBox[{"g", "[", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"x1", "+", "x2"}], "2"], ",", "x1"}], "]"}]}], 
                   "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    FractionBox[
                    RowBox[{"x1", "+", "x2"}], "2"], ",", 
                    RowBox[{"f", "[", 
                    FractionBox[
                    RowBox[{"x1", "+", "x2"}], "2"], "]"}]}], "}"}]}], "}"}], 
                "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", ".01", "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{".25", ",", ".43", ",", ".82"}], "]"}], ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"x1", ",", 
                  RowBox[{"f", "[", "x1", "]"}]}], "}"}], "]"}]}], "}"}], ",",
              "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", ".01", "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{".25", ",", ".43", ",", ".82"}], "]"}], ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"x2", ",", 
                  RowBox[{"f", "[", "x2", "]"}]}], "}"}], "]"}]}], "}"}], ",",
              "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", ".01", "]"}], ",", 
               RowBox[{"RGBColor", "[", 
                RowBox[{".25", ",", ".43", ",", ".82"}], "]"}], ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{
                  FractionBox[
                   RowBox[{"x1", "+", "x2"}], "2"], ",", 
                  RowBox[{"f", "[", 
                   FractionBox[
                    RowBox[{"x1", "+", "x2"}], "2"], "]"}]}], "}"}], "]"}]}], 
              "}"}]}], "}"}]}]}], "]"}], "\[IndentingNewLine]", "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Text", "[", "\"\<red length = green length\>\"", "]"}], 
          ",", 
          RowBox[{"Darker", "[", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".25", ",", ".43", ",", ".82"}], "]"}], "]"}], ",", 
          "15"}], "]"}], "}"}]}], "\[IndentingNewLine]", "}"}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a1", ",", " ", "5", ",", "\"\<a\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "4"}], ",", "5", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a2", ",", " ", 
       RowBox[{"-", "5"}], ",", "\"\<b\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "5"}], ",", "4", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a3", ",", " ", 
       RowBox[{"-", "20"}], ",", "\"\<c\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "40"}], ",", "40", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x1", ",", " ", 
       RowBox[{"-", "3"}], ",", 
       "\"\<\!\(\*SubscriptBox[\(x\), \(1\)]\)\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "4"}], ",", "0", ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "x2", ",", " ", "4", ",", 
       "\"\<\!\(\*SubscriptBox[\(x\), \(2\)]\)\>\""}], "}"}], ",", " ", "1", 
     ",", "4", ",", 
     RowBox[{"ControlType", "\[Rule]", "VerticalSlider"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", 
    RowBox[{"{", " ", 
     RowBox[{
     "Top", ",", " ", "Top", ",", " ", "Top", ",", "Left", ",", "Right"}], 
     "}"}]}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"a1", ",", "a2", ",", "a3", ",", "x1", ",", "x2"}], "}"}]}], ",",
    "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4221044514456615`*^9, 3.4221044852210383`*^9}, {
   3.4221045234828644`*^9, 3.4221046667721915`*^9}, {3.4221104397341614`*^9, 
   3.4221104402967663`*^9}, {3.422110494853765*^9, 3.42211049690102*^9}, {
   3.422132572850562*^9, 3.422132573152562*^9}, {3.4225124994258766`*^9, 
   3.422512548977128*^9}, {3.422512579090429*^9, 3.422512620399829*^9}, {
   3.422625192365013*^9, 3.422625266723448*^9}},
 CellID->155297494]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a1$$ = 
    5, $CellContext`a2$$ = -5, $CellContext`a3$$ = -20, $CellContext`x1$$ = \
-3, $CellContext`x2$$ = 4, Typeset`show$$ = True, Typeset`bookmarkList$$ = {},
     Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a1$$], 5, "a"}, -4, 5}, {{
       Hold[$CellContext`a2$$], -5, "b"}, -5, 4}, {{
       Hold[$CellContext`a3$$], -20, "c"}, -40, 40}, {{
       Hold[$CellContext`x1$$], -3, "\!\(\*SubscriptBox[\(x\), \(1\)]\)"}, -4,
       0}, {{
       Hold[$CellContext`x2$$], 4, "\!\(\*SubscriptBox[\(x\), \(2\)]\)"}, 1, 
      4}}, Typeset`size$$ = {400., {183.5, 188.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`a1$487003$$ = 0, $CellContext`a2$487004$$ = 
    0, $CellContext`a3$487005$$ = 0, $CellContext`x1$487006$$ = 
    0, $CellContext`x2$487007$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a1$$ = 
        5, $CellContext`a2$$ = -5, $CellContext`a3$$ = -20, $CellContext`x1$$ = \
-3, $CellContext`x2$$ = 4}, "ControllerVariables" :> {
        Hold[$CellContext`a1$$, $CellContext`a1$487003$$, 0], 
        Hold[$CellContext`a2$$, $CellContext`a2$487004$$, 0], 
        Hold[$CellContext`a3$$, $CellContext`a3$487005$$, 0], 
        Hold[$CellContext`x1$$, $CellContext`x1$487006$$, 0], 
        Hold[$CellContext`x2$$, $CellContext`x2$487007$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`f[
          Pattern[$CellContext`x$, 
           
           Blank[]]] := $CellContext`a1$$ $CellContext`x$^2 + \
$CellContext`a2$$ $CellContext`x$ + $CellContext`a3$$; $CellContext`g[
          Pattern[$CellContext`x$, 
           Blank[]], 
          Pattern[$CellContext`y$, 
           Blank[]]] := $CellContext`f[$CellContext`y$] + (
           2 $CellContext`a1$$ $CellContext`y$ + $CellContext`a2$$) \
($CellContext`x$ - $CellContext`y$); Grid[{{
           Plot[{
             $CellContext`f[$CellContext`x], 
             $CellContext`g[$CellContext`x, $CellContext`x1$$], 
             $CellContext`g[$CellContext`x, $CellContext`x2$$]}, \
{$CellContext`x, -6, 6}, PlotStyle -> {{
               Thickness[0.005], 
               RGBColor[0.25, 0.43, 0.82]}, {
               Thickness[0.003], 
               RGBColor[0.88, 0.63, 0.23]}, {
               Thickness[0.003], 
               RGBColor[0.88, 0.63, 0.23]}}, PlotRange -> {-100, 100}, 
            ImageSize -> {400, 350}, PlotLabel -> Style[
              TraditionalForm[
               
               HoldForm[$CellContext`f[$CellContext`x] == $CellContext`a \
$CellContext`x^2 + $CellContext`b $CellContext`x + $CellContext`c]], 
              Darker[
               RGBColor[0.25, 0.43, 0.82]], 15], AxesLabel -> {
              Style["x", 12, Italic], 
              Style["y", 12, Italic]}, Prolog -> {
              Text[
               Style[
                Subscript[
                 Style["x", Italic], 1], Medium], {$CellContext`x1$$, -15}], 
              Text[
               Style[
                Subscript[
                 Style["x", Italic], 2], Medium], {$CellContext`x2$$, -15}], {
              
               RGBColor[0.49, 0, 0], 
               Thickness[0.01], 
               
               Line[{{$CellContext`x1$$, 
                  0}, {($CellContext`x1$$ + $CellContext`x2$$)/2, 0}}]}, {
               RGBColor[0.6, 0.73, 0.36], 
               Thickness[0.01], 
               
               Line[{{$CellContext`x2$$, 
                  0}, {($CellContext`x1$$ + $CellContext`x2$$)/2, 0}}]}, {
              Gray, Dashed, 
               Thickness[0.001], 
               Line[{{$CellContext`x1$$, 0}, {$CellContext`x1$$, 
                  $CellContext`f[$CellContext`x1$$]}}]}, {Gray, Dashed, 
               Thickness[0.001], 
               Line[{{$CellContext`x2$$, 0}, {$CellContext`x2$$, 
                  $CellContext`f[$CellContext`x2$$]}}]}, {Gray, Dashed, 
               Thickness[0.001], 
               Line[{{($CellContext`x1$$ + $CellContext`x2$$)/2, 
                  $CellContext`g[($CellContext`x1$$ + $CellContext`x2$$)/
                   2, $CellContext`x1$$]}, {($CellContext`x1$$ + \
$CellContext`x2$$)/2, 
                  $CellContext`f[($CellContext`x1$$ + $CellContext`x2$$)/
                   2]}}]}, {
               PointSize[0.01], 
               RGBColor[0.25, 0.43, 0.82], 
               Point[{$CellContext`x1$$, 
                 $CellContext`f[$CellContext`x1$$]}]}, {
               PointSize[0.01], 
               RGBColor[0.25, 0.43, 0.82], 
               Point[{$CellContext`x2$$, 
                 $CellContext`f[$CellContext`x2$$]}]}, {
               PointSize[0.01], 
               RGBColor[0.25, 0.43, 0.82], 
               Point[{($CellContext`x1$$ + $CellContext`x2$$)/2, 
                 $CellContext`f[($CellContext`x1$$ + $CellContext`x2$$)/
                  2]}]}}]}, {
           Style[
            Text["red length = green length"], 
            Darker[
             RGBColor[0.25, 0.43, 0.82]], 15]}}]), 
      "Specifications" :> {{{$CellContext`a1$$, 5, "a"}, -4, 5, Appearance -> 
         "Labeled"}, {{$CellContext`a2$$, -5, "b"}, -5, 4, Appearance -> 
         "Labeled"}, {{$CellContext`a3$$, -20, "c"}, -40, 40, Appearance -> 
         "Labeled"}, {{$CellContext`x1$$, -3, 
          "\!\(\*SubscriptBox[\(x\), \(1\)]\)"}, -4, 0, ControlType -> 
         VerticalSlider}, {{$CellContext`x2$$, 4, 
          "\!\(\*SubscriptBox[\(x\), \(2\)]\)"}, 1, 4, ControlType -> 
         VerticalSlider}}, 
      "Options" :> {
       ControlPlacement -> {Top, Top, Top, Left, Right}, 
        TrackedSymbols :> {$CellContext`a1$$, $CellContext`a2$$, \
$CellContext`a3$$, $CellContext`x1$$, $CellContext`x2$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{530., {254., 259.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`f[
         Pattern[$CellContext`x$, 
          Blank[]]] := 
       FE`a1$$540 $CellContext`x$^2 + FE`a2$$540 $CellContext`x$ + FE`a3$$540,
        FE`a1$$540 = 5, FE`a2$$540 = -5, FE`a3$$540 = -20, $CellContext`g[
         Pattern[$CellContext`x$, 
          Blank[]], 
         Pattern[$CellContext`y$, 
          Blank[]]] := $CellContext`f[$CellContext`y$] + (
          2 FE`a1$$540 $CellContext`y$ + 
          FE`a2$$540) ($CellContext`x$ - $CellContext`y$), 
       Attributes[PlotRange] = {ReadProtected}, 
       Attributes[Subscript] = {NHoldRest}}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->97759473],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Two Tangent Lines to a Parabola",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TwoTangentLinesToAParabola/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/TwoTangentLinesToAParabola/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TwoTangentLinesToAParabola/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TwoTangentLinesToAParabola/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/TwoTangentLinesToAParabola/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Soledad M\.aa S\[AAcute]ez Mart\[IAcute]nez",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%\
E1ez+Mart%EDnez"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%E1ez+\
Mart%EDnez"],
 " and ",
 ButtonBox["F\[EAcute]lix Mart\[IAcute]nez de la Rosa",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%\
EDnez+de+la+Rosa"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%EDnez+\
de+la+Rosa"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TwoTangentLinesToAParabola"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Two Tangent Lines to a Parabola - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 223, 4, 70, "Section"],
Cell[816, 29, 12219, 298, 70, "Input",
 CellID->155297494]
}, Open  ]],
Cell[13050, 330, 7217, 150, 70, "Output",
 CellID->97759473],
Cell[CellGroupData[{
Cell[20292, 484, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[20668, 495, 956, 28, 70, "Text"],
Cell[21627, 525, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[21967, 536, 818, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[22810, 564, 829, 24, 70, "Text"],
Cell[23642, 590, 1202, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature yT4BOItWCTV2NBTnWNEpv7ER *)
