(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     18046,        493]
NotebookOptionsPosition[     16927,        451]
NotebookOutlinePosition[     17575,        476]
CellTagsIndexPosition[     17532,        473]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Change in Inflection for a Basic Polynomial", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "*", 
       RowBox[{"(", 
        RowBox[{"x", "^", "3"}], ")"}]}], " ", "+", 
      RowBox[{"b", "*", 
       RowBox[{"(", 
        RowBox[{"x", "^", "2"}], ")"}]}], "+", " ", 
      RowBox[{"c", "*", "x"}], " ", "+", " ", "d"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "domain"}], ",", "domain"}], "}"}], ",", 
     RowBox[{"PlotRange", " ", "\[Rule]", " ", "domain"}], ",", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RGBColor", "[", 
         RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", 
        RowBox[{"PointSize", "[", ".05", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "2"}], "*", "b"}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{"6", "*", "a"}], ")"}]}], ")"}], ",", 
           RowBox[{
            RowBox[{"a", "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "2"}], "*", "b"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"6", "*", "a"}], ")"}]}], ")"}], ")"}], "^", 
              "3"}]}], " ", "+", 
            RowBox[{"b", "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "2"}], "*", "b"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"6", "*", "a"}], ")"}]}], ")"}], "^", "2"}], 
              ")"}]}], "+", 
            RowBox[{"c", "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "2"}], "*", "b"}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{"6", "*", "a"}], ")"}]}]}], "+", " ", "d"}]}], "}"}], 
         "]"}]}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", " ", 
      RowBox[{"Column", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"a", "*", 
            RowBox[{
             RowBox[{"(", "x", ")"}], "^", "3"}]}], " ", "+", 
           RowBox[{"b", "*", 
            RowBox[{"(", 
             RowBox[{"x", "^", "2"}], ")"}]}], "+", " ", 
           RowBox[{"c", "*", "x"}], " ", "+", " ", "d"}], ",", " ", 
          "\"\<Your inflection point is at:\>\"", ",", 
          RowBox[{"NumberForm", "[", 
           RowBox[{
            RowBox[{"N", "@", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "2"}], "*", "b"}], ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"6", "*", "a"}], ")"}]}], ")"}], ",", 
               RowBox[{
                RowBox[{"a", "*", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "2"}], "*", "b"}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"6", "*", "a"}], ")"}]}], ")"}], ")"}], "^", 
                  "3"}]}], " ", "+", 
                RowBox[{"b", "*", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "2"}], "*", "b"}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"6", "*", "a"}], ")"}]}], ")"}], "^", "2"}], 
                  ")"}]}], "+", 
                RowBox[{"c", "*", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", "2"}], "*", "b"}], ")"}], "/", 
                  RowBox[{"(", 
                   RowBox[{"6", "*", "a"}], ")"}]}]}], "+", " ", "d"}]}], 
              "}"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"4", ",", "3"}], "}"}]}], "]"}]}], "}"}], ",", 
        RowBox[{"Alignment", "\[Rule]", " ", "Center"}]}], " ", "]"}]}], ",", 
     
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"440", ",", "350"}], "}"}]}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"10", ",", "10"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"10", ",", "65"}], "}"}]}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<coefficients\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "1.64", ",", "\"\<a\>\""}], "}"}], ",", "1", ",", 
     "10", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", 
       RowBox[{"-", "2.86"}], ",", "\"\<b\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"-", "5.4"}], ",", "\"\<c\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", "5.6", ",", "\"\<d\>\""}], "}"}], ",", "0", ",", "15",
      ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"domain", ",", "5", ",", "\"\<domain\>\""}], "}"}], ",", "5", 
     ",", "30", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4045827080413103`*^9, {3.4057092490206656`*^9, 
   3.405709473550305*^9}, {3.4057128844897766`*^9, 3.405712884552294*^9}, {
   3.4057216004183416`*^9, 3.405721623590661*^9}, {3.405723927484375*^9, 
   3.405723927546875*^9}, {3.4057742585033193`*^9, 3.405774282594756*^9}, {
   3.405774360978237*^9, 3.405774427222725*^9}, {3.4058564773917236`*^9, 
   3.4058564855323486`*^9}, {3.4058594314385986`*^9, 
   3.4058594315010986`*^9}, {3.4058885247165384`*^9, 3.4058885470915384`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 
    2.0300000000000002`, $CellContext`b$$ = 
    0., $CellContext`c$$ = -5., $CellContext`d$$ = 0., $CellContext`domain$$ =
     5., Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Style["coefficients", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`a$$], 1.64, "a"}, 1, 10, 0.01}, {{
       Hold[$CellContext`b$$], -2.86, "b"}, -10, 10, 0.01}, {{
       Hold[$CellContext`c$$], -5.4, "c"}, -10, 10, 0.01}, {{
       Hold[$CellContext`d$$], 5.6, "d"}, 0, 15, 0.01}, {{
       Hold[$CellContext`domain$$], 5, "domain"}, 5, 30}}, Typeset`size$$ = {
    660., {258., 267.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$273489$$ = 
    0, $CellContext`b$273490$$ = 0, $CellContext`c$273491$$ = 
    0, $CellContext`d$273492$$ = 0, $CellContext`domain$273493$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 
        1.64, $CellContext`b$$ = -2.86, $CellContext`c$$ = -5.4, \
$CellContext`d$$ = 5.6, $CellContext`domain$$ = 5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$273489$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$273490$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$273491$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$273492$$, 0], 
        Hold[$CellContext`domain$$, $CellContext`domain$273493$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[$CellContext`a$$ $CellContext`x^3 + $CellContext`b$$ \
$CellContext`x^2 + $CellContext`c$$ $CellContext`x + $CellContext`d$$, \
{$CellContext`x, -$CellContext`domain$$, $CellContext`domain$$}, 
        PlotRange -> $CellContext`domain$$, Epilog -> {
          RGBColor[0.6, 0.73, 0.36], 
          PointSize[0.05], 
          
          Point[{((-2) $CellContext`b$$)/(
            6 $CellContext`a$$), $CellContext`a$$ (((-2) $CellContext`b$$)/(
               6 $CellContext`a$$))^3 + $CellContext`b$$ (((-2) \
$CellContext`b$$)/(
               6 $CellContext`a$$))^2 + $CellContext`c$$ (((-2) \
$CellContext`b$$)/(6 $CellContext`a$$)) + $CellContext`d$$}]}, PlotLabel -> 
        Column[{$CellContext`a$$ $CellContext`x^3 + $CellContext`b$$ \
$CellContext`x^2 + $CellContext`c$$ $CellContext`x + $CellContext`d$$, 
           "Your inflection point is at:", 
           NumberForm[
            
            N[{((-2) $CellContext`b$$)/(
              6 $CellContext`a$$), $CellContext`a$$ (((-2) $CellContext`b$$)/(
                 6 $CellContext`a$$))^3 + $CellContext`b$$ (((-2) \
$CellContext`b$$)/(
                 6 $CellContext`a$$))^2 + $CellContext`c$$ (((-2) \
$CellContext`b$$)/(6 $CellContext`a$$)) + $CellContext`d$$}], {4, 3}]}, 
          Alignment -> Center], ImageSize -> {440, 350}, 
        ImagePadding -> {{10, 10}, {10, 65}}], "Specifications" :> {
        Style[
        "coefficients", Bold], {{$CellContext`a$$, 1.64, "a"}, 1, 10, 0.01, 
         ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`b$$, -2.86, "b"}, -10, 10, 0.01, 
         ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`c$$, -5.4, "c"}, -10, 10, 0.01, ImageSize -> 
         Tiny, Appearance -> "Labeled"}, {{$CellContext`d$$, 5.6, "d"}, 0, 15,
          0.01, ImageSize -> Tiny, Appearance -> "Labeled"}, 
        Delimiter, {{$CellContext`domain$$, 5, "domain"}, 5, 30, ImageSize -> 
         Tiny, Appearance -> "Labeled"}}, 
      "Options" :> {
       ControlPlacement -> Left, AutorunSequencing -> {1, 2, 3, 4}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{980., {289.5, 296.5}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->398855596]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Change in Inflection for a Basic Polynomial",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ChangeInInflectionForABasicPolynomial/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ChangeInInflectionForABasicPolynomial/"]\
,
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
ChangeInInflectionForABasicPolynomial/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ChangeInInflectionForABasicPolynomial/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ChangeInInflectionForABasicPolynomial/"]\

}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ross Hanson",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ross+Hanson"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ross+Hanson"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ChangeInInflectionForABasicPolynomial"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{1134, 829},
WindowMargins->{{11, Automatic}, {Automatic, 13}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Change in Inflection for a Basic Polynomial - Source",
DockedCells->{},
CellContext->Notebook,
Magnification->1.5,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 235, 4, 105, "Section"],
Cell[CellGroupData[{
Cell[850, 31, 7306, 191, 503, "Input"],
Cell[8159, 224, 4449, 85, 611, "Output",
 CellID->398855596]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12657, 315, 373, 9, 75, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13033, 326, 1023, 31, 51, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14093, 362, 337, 9, 75, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[14433, 373, 430, 14, 27, "Text"],
Cell[14866, 389, 829, 24, 149, "Text"],
Cell[15698, 415, 1213, 33, 153, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature yQz5SDKrsgjiHA0rqT4HnlSy *)
