(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    282707,       6691]
NotebookOptionsPosition[    276445,       6477]
NotebookOutlinePosition[    277073,       6501]
CellTagsIndexPosition[    277030,       6498]
WindowTitle->Exploring the Crease Length Problem - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Exploring the Crease Length Problem", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Exploring", " ", "Crease", " ", "Length", " ", 
   RowBox[{"Demonstration", " ", "--"}], " ", "source"}], " ", 
  "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.450796671458424*^9, 3.45079668029773*^9}, {
  3.4507967671827183`*^9, 3.450796798111319*^9}},
 CellID->1572576113],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"PP", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}]}], ";", " ", 
   RowBox[{"Q", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{"u", ",", "v"}], "}"}]}], ";"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.446986162235929*^9, 3.446986180934052*^9}, {
   3.45080501145216*^9, 3.450805052504498*^9}, 3.450854531457904*^9, {
   3.451060041357692*^9, 3.451060041496706*^9}},
 CellID->1205487562],

Cell[BoxData[
 RowBox[{
  RowBox[{"L", " ", "=", " ", 
   RowBox[{
    RowBox[{"Q", ".", "PP"}], " ", "\[Equal]", 
    RowBox[{
     RowBox[{"PP", ".", "PP"}], "/", "2"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.446849435243557*^9, 3.446849466112629*^9}, {
  3.4468495576667128`*^9, 3.446849566097912*^9}, {3.446986195432555*^9, 
  3.446986210422122*^9}, {3.447061854933941*^9, 3.447061868794589*^9}, {
  3.447061899718891*^9, 3.4470619228073378`*^9}, {3.451060045452101*^9, 
  3.45106005033959*^9}},
 CellID->1268728736],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Qleft", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x_", ",", "y_"}], "}"}], ",", "a_", ",", "b_"}], "]"}], " ", 
   "=", " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"u", ",", "v"}], "}"}], " ", "/.", " ", 
     RowBox[{"u", "\[Rule]", "0"}]}], " ", "/.", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"L", " ", "/.", " ", 
        RowBox[{"u", "\[Rule]", "0"}]}], ",", "v"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.446849621778377*^9, 3.4468497121247263`*^9}, {
   3.446849765384693*^9, 3.446849769387586*^9}, {3.4468498055969763`*^9, 
   3.44684985864353*^9}, {3.4474527250265493`*^9, 3.447452729261305*^9}, 
   3.451060052258782*^9},
 CellID->1475568427],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Qbottom", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x_", ",", "y_"}], "}"}], ",", "a_", ",", "b_"}], "]"}], " ", 
   "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"u", ",", "v"}], "}"}], " ", "/.", " ", 
     RowBox[{"v", "\[Rule]", "0"}]}], " ", "/.", " ", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"L", " ", "/.", " ", 
        RowBox[{"v", "\[Rule]", "0"}]}], ",", "u"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.446849898840651*^9, 3.446849954423908*^9}, {
   3.447452744413619*^9, 3.4474527483894*^9}, 3.451060053078864*^9},
 CellID->303806794],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Qright", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x_", ",", "y_"}], "}"}], ",", "a_", ",", "b_"}], "]"}], " ", 
   "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"u", ",", "v"}], "}"}], " ", "/.", " ", 
     RowBox[{"u", "\[Rule]", "a"}]}], " ", "/.", " ", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"L", " ", "/.", " ", 
        RowBox[{"u", "\[Rule]", "a"}]}], ",", "v"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.446849987988585*^9, 3.446850026498255*^9}, {
   3.446850390576893*^9, 3.4468503928139467`*^9}, {3.447452752654029*^9, 
   3.447452755774068*^9}, 3.451060053882944*^9},
 CellID->1515321475],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Qtop", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x_", ",", "y_"}], "}"}], ",", "a_", ",", "b_"}], "]"}], " ", 
   "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"u", ",", "v"}], "}"}], " ", "/.", " ", 
     RowBox[{"v", "\[Rule]", "b"}]}], " ", "/.", " ", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"L", " ", "/.", " ", 
        RowBox[{"v", "\[Rule]", "b"}]}], ",", "u"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4468500321353483`*^9, 3.44685008060736*^9}, {
   3.4474527614390697`*^9, 3.4474527646466017`*^9}, 3.4510600558631425`*^9},
 CellID->316410630],

Cell[BoxData[
 RowBox[{
  RowBox[{"Q1", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x_", ",", "y_"}], "}"}], ",", "a_", ",", "b_"}], "]"}], " ", ":=",
   " ", 
  RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Qleft", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
        RowBox[{
         RowBox[{"y", " ", "\[NotEqual]", " ", "0"}], " ", "&&", 
         RowBox[{"0", "\[LessEqual]", 
          FractionBox[
           RowBox[{
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "y"}]], "\[LessEqual]", "b"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Qtop", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
        RowBox[{
         RowBox[{"x", " ", "\[NotEqual]", " ", "0"}], " ", "&&", " ", 
         RowBox[{"0", "\[LessEqual]", 
          FractionBox[
           RowBox[{
            SuperscriptBox["x", "2"], "-", 
            RowBox[{"2", " ", "b", " ", "y"}], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "x"}]], "\[LessEqual]", "a"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Qright", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
        RowBox[{
         RowBox[{"y", " ", "\[NotEqual]", " ", "0"}], " ", "&&", 
         RowBox[{"0", "\[LessEqual]", 
          FractionBox[
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "a", " ", "x"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "y"}]], "\[LessEqual]", "b"}]}]}], "}"}]}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4468533700551777`*^9, 3.446853402231106*^9}, {
   3.446853435610631*^9, 3.446853493723044*^9}, 3.446853698753344*^9, {
   3.447080065307054*^9, 3.447080109445242*^9}, 3.447337815307107*^9, {
   3.44745692024442*^9, 3.447456921870379*^9}, 3.4474571443499947`*^9, 
   3.447488178456471*^9, 3.447488740595766*^9, 3.447488865989407*^9, 
   3.447488913990312*^9, {3.45106005934149*^9, 3.4510600622177773`*^9}, {
   3.451316597643484*^9, 3.451316603932888*^9}, {3.4513169099835587`*^9, 
   3.451316954663896*^9}},
 CellID->891604632],

Cell[BoxData[
 RowBox[{
  RowBox[{"Q2", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x_", ",", "y_"}], "}"}], ",", "a_", ",", "b_"}], "]"}], " ", ":=",
   " ", 
  RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Qbottom", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
        RowBox[{
         RowBox[{"x", " ", "\[NotEqual]", "0"}], " ", "&&", " ", 
         RowBox[{"0", "\[LessEqual]", 
          FractionBox[
           RowBox[{
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "x"}]], "\[LessEqual]", "a"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Qright", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
        RowBox[{
         RowBox[{"y", "\[NotEqual]", "0"}], " ", "&&", " ", 
         RowBox[{"0", "\[LessEqual]", 
          FractionBox[
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "a", " ", "x"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "y"}]], "\[LessEqual]", "b"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Qtop", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
        RowBox[{
         RowBox[{"x", "\[NotEqual]", "0"}], " ", "&&", " ", 
         RowBox[{"0", "\[LessEqual]", 
          FractionBox[
           RowBox[{
            SuperscriptBox["x", "2"], "-", 
            RowBox[{"2", " ", "b", " ", "y"}], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "x"}]], "\[LessEqual]", "a"}]}]}], "}"}]}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.446853507529483*^9, 3.446853581378018*^9}, {
   3.446853615636569*^9, 3.446853619611946*^9}, {3.447079883031558*^9, 
   3.447079916983893*^9}, 3.4473378231351957`*^9, {3.447456925162652*^9, 
   3.447456927376008*^9}, 3.447457146092142*^9, 3.447488277238985*^9, 
   3.447488758492097*^9, 3.447488877492841*^9, 3.447488925095166*^9, {
   3.4513166114790154`*^9, 3.451316615801879*^9}, {3.45131696523785*^9, 
   3.451316993744937*^9}},
 CellID->58161258],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Qsym", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"u_", ",", "v_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x_", ",", "y_"}], "}"}]}], "]"}], " ", "=", 
   "\[IndentingNewLine]", 
   RowBox[{"Q", " ", "-", " ", 
    RowBox[{"2", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Q", "-", 
         RowBox[{"PP", "/", "2"}]}], ")"}], ".", "PP"}], "/", 
      RowBox[{"(", 
       RowBox[{"PP", ".", "PP"}], ")"}]}], " ", "PP"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4469891241999273`*^9, 3.446989218979636*^9}, 
   3.44745714972684*^9, {3.4474573084320717`*^9, 3.447457312053576*^9}, {
   3.448356205099802*^9, 3.4483562112703543`*^9}, {3.451060066401196*^9, 
   3.4510600748210382`*^9}},
 CellID->411203821],

Cell[BoxData[
 RowBox[{
  RowBox[{"flapQ1toP", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x_", ",", "y_"}], "}"}], ",", "a_", ",", "b_"}], "]"}], " ", ":=",
   " ", 
  RowBox[{"Piecewise", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Qleft", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"y", "\[NotEqual]", "0"}], " ", "&&", 
         RowBox[{"0", "\[LessEqual]", 
          FractionBox[
           RowBox[{
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "y"}]], "\[LessEqual]", "b"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Qtop", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
          RowBox[{"Qsym", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "b"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"x", " ", "\[NotEqual]", "0"}], " ", "&&", " ", 
         RowBox[{"0", "\[LessEqual]", 
          FractionBox[
           RowBox[{
            SuperscriptBox["x", "2"], "-", 
            RowBox[{"2", " ", "b", " ", "y"}], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "x"}]], "\[LessEqual]", "a"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Qright", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
          RowBox[{"Qsym", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"a", ",", "b"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", 
          RowBox[{"Qsym", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "b"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"y", "\[NotEqual]", "0"}], " ", "&&", 
         RowBox[{"0", "\[LessEqual]", 
          FractionBox[
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "a", " ", "x"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "y"}]], "\[LessEqual]", "b"}]}]}], "}"}]}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.447448306384383*^9, 3.447448410732211*^9}, {
   3.447448527378602*^9, 3.4474485587382727`*^9}, {3.447448964227544*^9, 
   3.447449154282936*^9}, {3.447449847523534*^9, 3.44744984774419*^9}, {
   3.4474499549049187`*^9, 3.4474499893907747`*^9}, {3.44745018180284*^9, 
   3.447450188630744*^9}, {3.447450277288518*^9, 3.447450281382574*^9}, {
   3.447450656914701*^9, 3.447450665997718*^9}, {3.447450805871346*^9, 
   3.447450819509955*^9}, 3.447456929483396*^9, {3.4474569688457623`*^9, 
   3.447456969875057*^9}, {3.447457001040148*^9, 3.447457002736601*^9}, 
   3.447457153262269*^9, {3.4474573387910013`*^9, 3.4474573592200403`*^9}, 
   3.4474882275056267`*^9, 3.447488775459014*^9, 3.44748894014471*^9, {
   3.451317050035439*^9, 3.4513170608467083`*^9}, 3.451317214154752*^9, {
   3.45131727483707*^9, 3.451317280042774*^9}, {3.4513191787036457`*^9, 
   3.451319186612524*^9}},
 CellID->194043302],

Cell[BoxData[
 RowBox[{
  RowBox[{"flapPtoQ2", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x_", ",", "y_"}], "}"}], ",", "a_", ",", "b_"}], "]"}], ":=", 
  RowBox[{"Piecewise", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}], ",", 
          RowBox[{"Qbottom", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}]}], 
         "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"x", " ", "\[NotEqual]", "0"}], " ", "&&", " ", 
         RowBox[{"0", "\[LessEqual]", 
          FractionBox[
           RowBox[{
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "x"}]], "\[LessEqual]", "a"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}], ",", 
          RowBox[{"Qsym", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"a", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", 
          RowBox[{"Qright", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}]}], 
         "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"y", "\[NotEqual]", "0"}], " ", "&&", " ", 
         RowBox[{"0", "\[LessEqual]", 
          FractionBox[
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "a", " ", "x"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "y"}]], "\[LessEqual]", "b"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}], ",", 
          RowBox[{"Qsym", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"a", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", 
          RowBox[{"Qsym", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"a", ",", "b"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", 
          RowBox[{"Qtop", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}]}], 
         "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"x", " ", "\[NotEqual]", "0"}], " ", "&&", " ", 
         RowBox[{"0", "<", 
          FractionBox[
           RowBox[{
            SuperscriptBox["x", "2"], "-", 
            RowBox[{"2", " ", "b", " ", "y"}], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "x"}]], "<", "a"}]}]}], "}"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4474491654177513`*^9, 3.4474492508976603`*^9}, {
   3.4474492840004063`*^9, 3.447449383725628*^9}, {3.447449415659009*^9, 
   3.44744947081009*^9}, {3.447449999867489*^9, 3.447450028334517*^9}, {
   3.447450196990674*^9, 3.4474501995224943`*^9}, 3.447450286573392*^9, {
   3.447450989332624*^9, 3.447450997331464*^9}, {3.4474521048688183`*^9, 
   3.447452180459527*^9}, {3.447452237935916*^9, 3.447452270406209*^9}, {
   3.447457010295764*^9, 3.447457023230465*^9}, 3.4474571547171373`*^9, {
   3.447457383332123*^9, 3.447457396234071*^9}, 3.4474883003946257`*^9, 
   3.447488785903713*^9, {3.4474893011911373`*^9, 3.447489329181528*^9}, {
   3.4474894440139513`*^9, 3.4474894485649443`*^9}, {3.451317072956871*^9, 
   3.451317084194013*^9}, {3.451317224583366*^9, 3.4513172368621817`*^9}, 
   3.451317296246402*^9, {3.451319195209539*^9, 3.45131920320829*^9}},
 CellID->1405600568],

Cell[BoxData[
 RowBox[{
  RowBox[{"flapQ1toP3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x_", ",", "y_"}], "}"}], ",", "a_", ",", "b_"}], "]"}], " ", ":=",
   " ", 
  RowBox[{"Piecewise", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"Qleft", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], 
            ",", "0"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y", ",", "0"}], "}"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"y", "\[NotEqual]", "0"}], " ", "&&", 
         RowBox[{"0", "\[LessEqual]", 
          FractionBox[
           RowBox[{
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "y"}]], "\[LessEqual]", "b"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"Qtop", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], 
            ",", "0"}], "]"}], ",", 
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"Qsym", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "b"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", "0"}], "]"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y", ",", "0"}], "}"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"x", " ", "\[NotEqual]", "0"}], " ", "&&", " ", 
         RowBox[{"0", "\[LessEqual]", 
          FractionBox[
           RowBox[{
            SuperscriptBox["x", "2"], "-", 
            RowBox[{"2", " ", "b", " ", "y"}], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "x"}]], "\[LessEqual]", "a"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"Qright", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], 
            ",", "0"}], "]"}], ",", 
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"Qsym", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"a", ",", "b"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", "0"}], "]"}], 
          ",", 
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"Qsym", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "b"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", "0"}], "]"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y", ",", "0"}], "}"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"y", "\[NotEqual]", "0"}], " ", "&&", 
         RowBox[{"0", "\[LessEqual]", 
          FractionBox[
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "a", " ", "x"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "y"}]], "\[LessEqual]", "b"}]}]}], "}"}]}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "]"}]}]], "Input",\

 InitializationCell->True,
 CellChangeTimes->{{3.447448306384383*^9, 3.447448410732211*^9}, {
   3.447448527378602*^9, 3.4474485587382727`*^9}, {3.447448964227544*^9, 
   3.447449154282936*^9}, {3.447449847523534*^9, 3.44744984774419*^9}, {
   3.4474499549049187`*^9, 3.4474499893907747`*^9}, {3.44745018180284*^9, 
   3.447450188630744*^9}, {3.447450277288518*^9, 3.447450281382574*^9}, {
   3.447450656914701*^9, 3.447450665997718*^9}, {3.447450805871346*^9, 
   3.447450819509955*^9}, 3.447456929483396*^9, {3.4474569688457623`*^9, 
   3.447456969875057*^9}, {3.447457001040148*^9, 3.447457002736601*^9}, 
   3.447457153262269*^9, {3.4474573387910013`*^9, 3.4474573592200403`*^9}, 
   3.4474882275056267`*^9, 3.447488775459014*^9, 3.44748894014471*^9, {
   3.449868072498337*^9, 3.449868073169125*^9}, {3.449868236533175*^9, 
   3.4498683490320587`*^9}, {3.449869402312786*^9, 3.449869406985689*^9}, {
   3.451317092660277*^9, 3.4513170962078257`*^9}, 3.451317245953273*^9, {
   3.45131730727702*^9, 3.451317313043865*^9}, {3.451319214988461*^9, 
   3.451319221483654*^9}, {3.451320798758597*^9, 3.451320804116273*^9}},
 CellID->1608629376],

Cell[BoxData[
 RowBox[{
  RowBox[{"flapPtoQ23D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x_", ",", "y_"}], "}"}], ",", "a_", ",", "b_"}], "]"}], ":=", 
  RowBox[{"Piecewise", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y", ",", "0"}], "}"}], ",", 
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"Qbottom", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], 
            ",", "0"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"x", " ", "\[NotEqual]", "0"}], " ", "&&", 
         RowBox[{"0", "\[LessEqual]", 
          FractionBox[
           RowBox[{
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "x"}]], "\[LessEqual]", "a"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y", ",", "0"}], "}"}], ",", 
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"Qsym", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"a", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", "0"}], "]"}], 
          ",", 
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"Qright", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], 
            ",", "0"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"y", "\[NotEqual]", "0"}], " ", "&&", 
         RowBox[{"0", "\[LessEqual]", 
          FractionBox[
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "a", " ", "x"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "y"}]], "\[LessEqual]", "b"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y", ",", "0"}], "}"}], ",", 
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"Qsym", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"a", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", "0"}], "]"}], 
          ",", 
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"Qsym", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"a", ",", "b"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", "0"}], "]"}], 
          ",", 
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"Qtop", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], 
            ",", "0"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"x", " ", "\[NotEqual]", "0"}], " ", "&&", 
         RowBox[{"0", "<", 
          FractionBox[
           RowBox[{
            SuperscriptBox["x", "2"], "-", 
            RowBox[{"2", " ", "b", " ", "y"}], "+", 
            SuperscriptBox["y", "2"]}], 
           RowBox[{"2", " ", "x"}]], "<", "a"}]}]}], "}"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4474491654177513`*^9, 3.4474492508976603`*^9}, {
   3.4474492840004063`*^9, 3.447449383725628*^9}, {3.447449415659009*^9, 
   3.44744947081009*^9}, {3.447449999867489*^9, 3.447450028334517*^9}, {
   3.447450196990674*^9, 3.4474501995224943`*^9}, 3.447450286573392*^9, {
   3.447450989332624*^9, 3.447450997331464*^9}, {3.4474521048688183`*^9, 
   3.447452180459527*^9}, {3.447452237935916*^9, 3.447452270406209*^9}, {
   3.447457010295764*^9, 3.447457023230465*^9}, 3.4474571547171373`*^9, {
   3.447457383332123*^9, 3.447457396234071*^9}, 3.4474883003946257`*^9, 
   3.447488785903713*^9, {3.4474893011911373`*^9, 3.447489329181528*^9}, {
   3.4474894440139513`*^9, 3.4474894485649443`*^9}, {3.449868076264989*^9, 
   3.449868076886712*^9}, {3.449868362228701*^9, 3.449868362980873*^9}, {
   3.449868470745412*^9, 3.449868584735169*^9}, {3.451317104526313*^9, 
   3.451317110550538*^9}, {3.451317328047186*^9, 3.451317348065927*^9}, {
   3.451319229926702*^9, 3.451319237443915*^9}, {3.4513208166485643`*^9, 
   3.451320820656871*^9}},
 CellID->1562290349],

Cell[BoxData[
 RowBox[{
  RowBox[{"paper", "[", 
   RowBox[{"p_", ",", "a_", ",", "b_"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Show", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"a", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"a", ",", "b"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "b"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "}"}], "]"}]}], "}"}], 
     "]"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"flapQ1toP", "[", 
         RowBox[{"p", ",", "a", ",", "b"}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"flapPtoQ2", "[", 
         RowBox[{"p", ",", "a", ",", "b"}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", "Dashed", ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Q1", "[", 
           RowBox[{"p", ",", "a", ",", "b"}], "]"}], ",", 
          RowBox[{"Q2", "[", 
           RowBox[{"p", ",", "a", ",", "b"}], "]"}]}], "}"}], "]"}]}], "}"}], 
     "]"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.445870900257001*^9, 3.445870904007614*^9}, {
   3.445870936623815*^9, 3.445871104365641*^9}, {3.445871176764378*^9, 
   3.4458711877376947`*^9}, {3.4458713862230186`*^9, 3.445871400749074*^9}, {
   3.4458718475374393`*^9, 3.445872008326679*^9}, {3.445872043926334*^9, 
   3.4458720581679163`*^9}, {3.445872126719751*^9, 3.445872129334187*^9}, {
   3.445872184469431*^9, 3.445872194200304*^9}, {3.445872965788075*^9, 
   3.4458730286799297`*^9}, {3.445873058825698*^9, 3.4458730757739763`*^9}, {
   3.4458919028105583`*^9, 3.445892003509335*^9}, {3.445892033887466*^9, 
   3.445892081068263*^9}, {3.4458921263540077`*^9, 3.4458921535165997`*^9}, {
   3.446031846477778*^9, 3.4460318844276323`*^9}, {3.446031936875475*^9, 
   3.44603194146946*^9}, {3.446032060162281*^9, 3.446032114550809*^9}, {
   3.446032166751754*^9, 3.446032387132822*^9}, {3.4460324405603456`*^9, 
   3.4460324695635233`*^9}, 3.446035277459916*^9, {3.4460358985106792`*^9, 
   3.446035927830604*^9}, {3.4460375610167513`*^9, 3.446037609880788*^9}, {
   3.446038315890246*^9, 3.4460383593662024`*^9}, {3.446038414865938*^9, 
   3.446038579944763*^9}, {3.4460387166133127`*^9, 3.4460387489434547`*^9}, {
   3.446038811430966*^9, 3.446038827419375*^9}, {3.4460388984876003`*^9, 
   3.446038909986204*^9}, {3.4460390275365467`*^9, 3.446039085699881*^9}, {
   3.446039124056595*^9, 3.446039226125535*^9}, 3.446039262771147*^9, {
   3.446039315075448*^9, 3.446039357220827*^9}, {3.4460393903755913`*^9, 
   3.44603940823107*^9}, {3.446039474840467*^9, 3.4460394800044928`*^9}, {
   3.446040297520802*^9, 3.446040302106451*^9}, {3.446107978641636*^9, 
   3.446107984715437*^9}, {3.44610806360382*^9, 3.4461080730558767`*^9}, {
   3.446333769150189*^9, 3.446333884088448*^9}, {3.446333923650463*^9, 
   3.446333992869112*^9}, {3.4463340230671864`*^9, 3.4463340264359217`*^9}, {
   3.446334071625187*^9, 3.446334111666173*^9}, {3.4464810902161922`*^9, 
   3.446481126781804*^9}, {3.446481356375023*^9, 3.446481363923726*^9}, {
   3.446481414789878*^9, 3.446481473962936*^9}, {3.447065951567417*^9, 
   3.4470659708143587`*^9}, {3.447080499376408*^9, 3.447080506092546*^9}, {
   3.447112244663394*^9, 3.447112271758133*^9}, 3.447112420226283*^9, {
   3.44744967557693*^9, 3.447449753822914*^9}, {3.447450043747552*^9, 
   3.4474500624197273`*^9}, 3.44745173834769*^9, {3.447457422092889*^9, 
   3.447457428717236*^9}, {3.4474574604651537`*^9, 3.4474574721094646`*^9}},
 CellID->131343774],

Cell[BoxData[
 RowBox[{
  RowBox[{"paper3D", "[", 
   RowBox[{"p_", ",", "a_", ",", "b_"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Show", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Graphics3D", "[", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"a", ",", "0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"a", ",", "b", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "b", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], "}"}], "]"}]}],
       "}"}], "]"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"flapQ1toP3D", "[", 
         RowBox[{"p", ",", "a", ",", "b"}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"flapPtoQ23D", "[", 
         RowBox[{"p", ",", "a", ",", "b"}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", "Dashed", ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"Q1", "[", 
             RowBox[{"p", ",", "a", ",", "b"}], "]"}], ",", "0"}], "]"}], ",", 
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"Q2", "[", 
             RowBox[{"p", ",", "a", ",", "b"}], "]"}], ",", "0"}], "]"}]}], 
         "}"}], "]"}]}], "}"}], "]"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.445870900257001*^9, 3.445870904007614*^9}, {
   3.445870936623815*^9, 3.445871104365641*^9}, {3.445871176764378*^9, 
   3.4458711877376947`*^9}, {3.4458713862230186`*^9, 3.445871400749074*^9}, {
   3.4458718475374393`*^9, 3.445872008326679*^9}, {3.445872043926334*^9, 
   3.4458720581679163`*^9}, {3.445872126719751*^9, 3.445872129334187*^9}, {
   3.445872184469431*^9, 3.445872194200304*^9}, {3.445872965788075*^9, 
   3.4458730286799297`*^9}, {3.445873058825698*^9, 3.4458730757739763`*^9}, {
   3.4458919028105583`*^9, 3.445892003509335*^9}, {3.445892033887466*^9, 
   3.445892081068263*^9}, {3.4458921263540077`*^9, 3.4458921535165997`*^9}, {
   3.446031846477778*^9, 3.4460318844276323`*^9}, {3.446031936875475*^9, 
   3.44603194146946*^9}, {3.446032060162281*^9, 3.446032114550809*^9}, {
   3.446032166751754*^9, 3.446032387132822*^9}, {3.4460324405603456`*^9, 
   3.4460324695635233`*^9}, 3.446035277459916*^9, {3.4460358985106792`*^9, 
   3.446035927830604*^9}, {3.4460375610167513`*^9, 3.446037609880788*^9}, {
   3.446038315890246*^9, 3.4460383593662024`*^9}, {3.446038414865938*^9, 
   3.446038579944763*^9}, {3.4460387166133127`*^9, 3.4460387489434547`*^9}, {
   3.446038811430966*^9, 3.446038827419375*^9}, {3.4460388984876003`*^9, 
   3.446038909986204*^9}, {3.4460390275365467`*^9, 3.446039085699881*^9}, {
   3.446039124056595*^9, 3.446039226125535*^9}, 3.446039262771147*^9, {
   3.446039315075448*^9, 3.446039357220827*^9}, {3.4460393903755913`*^9, 
   3.44603940823107*^9}, {3.446039474840467*^9, 3.4460394800044928`*^9}, {
   3.446040297520802*^9, 3.446040302106451*^9}, {3.446107978641636*^9, 
   3.446107984715437*^9}, {3.44610806360382*^9, 3.4461080730558767`*^9}, {
   3.446333769150189*^9, 3.446333884088448*^9}, {3.446333923650463*^9, 
   3.446333992869112*^9}, {3.4463340230671864`*^9, 3.4463340264359217`*^9}, {
   3.446334071625187*^9, 3.446334111666173*^9}, {3.4464810902161922`*^9, 
   3.446481126781804*^9}, {3.446481356375023*^9, 3.446481363923726*^9}, {
   3.446481414789878*^9, 3.446481473962936*^9}, {3.447065951567417*^9, 
   3.4470659708143587`*^9}, {3.447080499376408*^9, 3.447080506092546*^9}, {
   3.447112244663394*^9, 3.447112271758133*^9}, 3.447112420226283*^9, {
   3.44744967557693*^9, 3.447449753822914*^9}, {3.447450043747552*^9, 
   3.4474500624197273`*^9}, 3.44745173834769*^9, {3.447457422092889*^9, 
   3.447457428717236*^9}, {3.4474574604651537`*^9, 3.4474574721094646`*^9}, {
   3.449867871666926*^9, 3.449867920609469*^9}, {3.449867982798277*^9, 
   3.449868029520823*^9}, {3.449868621347961*^9, 3.449868667375472*^9}, {
   3.449868947811716*^9, 3.4498689484269543`*^9}},
 CellID->2029104149],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "A", " ", "folded", " ", "rectangle", " ", "with", " ", "variable", " ", 
   RowBox[{"labels", "."}]}], "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.448285008646241*^9, 3.448285025998335*^9}, {
  3.460119520987606*^9, 3.4601195229257994`*^9}},
 CellID->1113117883],

Cell[BoxData[
 RowBox[{
  RowBox[{"Stewartpaper", "[", 
   RowBox[{
   "p_", ",", "a_", ",", "b_", ",", "xlabel_", ",", "ylabel_", ",", 
    "zlabel_"}], "]"}], " ", ":=", "\[IndentingNewLine]", 
  RowBox[{"Show", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"a", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"a", ",", "b"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "b"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "}"}], "]"}]}], "}"}], 
     "]"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"flapQ1toP", "[", 
         RowBox[{"p", ",", "a", ",", "b"}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"flapPtoQ2", "[", 
         RowBox[{"p", ",", "a", ",", "b"}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", "Dashed", ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Q1", "[", 
           RowBox[{"p", ",", "a", ",", "b"}], "]"}], ",", 
          RowBox[{"Q2", "[", 
           RowBox[{"p", ",", "a", ",", "b"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", " ", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"Style", "[", 
              RowBox[{"zlabel", ",", "Italic"}], "]"}], "}"}], "]"}], ",", 
           "14", ",", "Black"}], "]"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Q1", "[", 
              RowBox[{"p", ",", "a", ",", "b"}], "]"}], "+", 
             RowBox[{"Q2", "[", 
              RowBox[{"p", ",", "a", ",", "b"}], "]"}]}], ")"}], "/", "2"}], 
          "+", 
          RowBox[{"{", 
           RowBox[{".3", ",", ".3"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", " ", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"Style", "[", 
              RowBox[{"xlabel", ",", "Italic"}], "]"}], "}"}], "]"}], ",", 
           "14", ",", "Black"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Q2", "[", 
              RowBox[{"p", ",", "a", ",", "b"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], "/", "2"}], ",", ".3"}], "}"}]}],
         "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", " ", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"Style", "[", 
              RowBox[{"ylabel", ",", "Italic"}], "]"}], "}"}], "]"}], ",", 
           "14", ",", "Black"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "-", ".3"}], ",", 
           RowBox[{
            RowBox[{"p", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "/", "2"}]}], "}"}]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], "]"}]}], "]"}], " "}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.445870900257001*^9, 3.445870904007614*^9}, {
   3.445870936623815*^9, 3.445871104365641*^9}, {3.445871176764378*^9, 
   3.4458711877376947`*^9}, {3.4458713862230186`*^9, 3.445871400749074*^9}, {
   3.4458718475374393`*^9, 3.445872008326679*^9}, {3.445872043926334*^9, 
   3.4458720581679163`*^9}, {3.445872126719751*^9, 3.445872129334187*^9}, {
   3.445872184469431*^9, 3.445872194200304*^9}, {3.445872965788075*^9, 
   3.4458730286799297`*^9}, {3.445873058825698*^9, 3.4458730757739763`*^9}, {
   3.4458919028105583`*^9, 3.445892003509335*^9}, {3.445892033887466*^9, 
   3.445892081068263*^9}, {3.4458921263540077`*^9, 3.4458921535165997`*^9}, {
   3.446031846477778*^9, 3.4460318844276323`*^9}, {3.446031936875475*^9, 
   3.44603194146946*^9}, {3.446032060162281*^9, 3.446032114550809*^9}, {
   3.446032166751754*^9, 3.446032387132822*^9}, {3.4460324405603456`*^9, 
   3.4460324695635233`*^9}, 3.446035277459916*^9, {3.4460358985106792`*^9, 
   3.446035927830604*^9}, {3.4460375610167513`*^9, 3.446037609880788*^9}, {
   3.446038315890246*^9, 3.4460383593662024`*^9}, {3.446038414865938*^9, 
   3.446038579944763*^9}, {3.4460387166133127`*^9, 3.4460387489434547`*^9}, {
   3.446038811430966*^9, 3.446038827419375*^9}, {3.4460388984876003`*^9, 
   3.446038909986204*^9}, {3.4460390275365467`*^9, 3.446039085699881*^9}, {
   3.446039124056595*^9, 3.446039226125535*^9}, 3.446039262771147*^9, {
   3.446039315075448*^9, 3.446039357220827*^9}, {3.4460393903755913`*^9, 
   3.44603940823107*^9}, {3.446039474840467*^9, 3.4460394800044928`*^9}, {
   3.446040297520802*^9, 3.446040302106451*^9}, {3.446107978641636*^9, 
   3.446107984715437*^9}, {3.44610806360382*^9, 3.4461080730558767`*^9}, {
   3.446333769150189*^9, 3.446333884088448*^9}, {3.446333923650463*^9, 
   3.446333992869112*^9}, {3.4463340230671864`*^9, 3.4463340264359217`*^9}, {
   3.446334071625187*^9, 3.446334111666173*^9}, {3.4464810902161922`*^9, 
   3.446481126781804*^9}, {3.446481356375023*^9, 3.446481363923726*^9}, {
   3.446481414789878*^9, 3.446481473962936*^9}, {3.447065951567417*^9, 
   3.4470659708143587`*^9}, {3.447080499376408*^9, 3.447080506092546*^9}, {
   3.447112244663394*^9, 3.447112271758133*^9}, 3.447112420226283*^9, {
   3.44744967557693*^9, 3.447449753822914*^9}, {3.447450043747552*^9, 
   3.4474500624197273`*^9}, 3.44745173834769*^9, {3.447457422092889*^9, 
   3.447457428717236*^9}, {3.4474574604651537`*^9, 3.4474574721094646`*^9}, {
   3.44777524367796*^9, 3.4477752675525417`*^9}, {3.4477753048436213`*^9, 
   3.447775353639872*^9}, {3.44777539169135*^9, 3.4477755366860237`*^9}, 
   3.4477756482280283`*^9, {3.447775700389022*^9, 3.4477757226268873`*^9}, {
   3.447775780725802*^9, 3.447775834562207*^9}, {3.4477758756761913`*^9, 
   3.447775968695376*^9}, {3.447776008463923*^9, 3.447776024302185*^9}, {
   3.447783680398773*^9, 3.447783681130372*^9}, {3.447783736481748*^9, 
   3.447783764591403*^9}, {3.4477838478648157`*^9, 3.4477838554025917`*^9}, {
   3.4477839123472853`*^9, 3.447783913177824*^9}, {3.447784091362502*^9, 
   3.447784112175702*^9}, {3.447784310932005*^9, 3.447784332503524*^9}, {
   3.448173859205776*^9, 3.448173929252119*^9}, {3.4481744705986853`*^9, 
   3.448174478297501*^9}, {3.448174968169366*^9, 3.448174990543508*^9}, {
   3.4482789616790648`*^9, 3.448278980447933*^9}, {3.4482790372992973`*^9, 
   3.448279052128125*^9}, 3.4483619845770206`*^9},
 CellID->1442210564],

Cell[BoxData[
 RowBox[{
  RowBox[{"initialfigures", " ", "=", 
   RowBox[{"TableForm", "[", 
    RowBox[{"{", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Stewartpaper", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"8", ",", "0.001"}], "}"}], ",", "8", ",", "12", ",", 
         "\"\<\>\"", ",", "\"\<y0\>\"", ",", "\"\<z0\>\""}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Stewartpaper", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"8", ",", 
           RowBox[{"N", "[", 
            RowBox[{"12", "-", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["12", "2"], "-", 
               SuperscriptBox["8", "2"]}]]}], "]"}]}], "}"}], ",", "8", ",", 
         "12", ",", "\"\<x1\>\"", ",", "\"\<y1\>\"", ",", "\"\<z1\>\""}], 
        "]"}], ",", 
       RowBox[{"Stewartpaper", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"8", ",", "5"}], "}"}], ",", "8", ",", "12", ",", 
         "\"\<x\>\"", ",", "\"\<y\>\"", ",", "\"\<z\>\""}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Stewartpaper", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"8", ",", 
           RowBox[{"4", " ", 
            SqrtBox["2"]}]}], "}"}], ",", "8", ",", "12", ",", "\"\<x2\>\"", 
         ",", "\"\<y2\>\"", ",", "\"\<z2\>\""}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Stewartpaper", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"8", ",", "8"}], "}"}], ",", "8", ",", "12", ",", 
         "\"\<x3\>\"", ",", "\"\<y3\>\"", ",", "\"\<z3\>\""}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Stewartpaper", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"8", ",", "12"}], "}"}], ",", "8", ",", "12", ",", 
         "\"\<\>\"", ",", "\"\<y4\>\"", ",", "\"\<z4\>\""}], "]"}]}], "}"}], 
     "}"}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.447775594287921*^9, 3.447775610568452*^9}, {
   3.447775680820912*^9, 3.4477756828896103`*^9}, {3.447785634576509*^9, 
   3.447785686572384*^9}, {3.447785718677174*^9, 3.44778574832444*^9}, {
   3.447786092038723*^9, 3.447786121734713*^9}, {3.448174040626878*^9, 
   3.4481741299709272`*^9}, {3.44817416093366*^9, 3.448174292313628*^9}, {
   3.448174513240533*^9, 3.4481745162602577`*^9}, {3.448193311876483*^9, 
   3.4481933208206577`*^9}, {3.4482852205558434`*^9, 3.448285227973651*^9}, {
   3.448361988370578*^9, 3.448361991484529*^9}, 3.4510600858571415`*^9},
 CellID->585025459],

Cell[BoxData[
 RowBox[{
  RowBox[{"labeledpaper", "[", 
   RowBox[{"p_", ",", "a_", ",", "b_"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Show", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"a", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"a", ",", "b"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "b"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "}"}], "]"}]}], "}"}], 
     "]"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"flapQ1toP", "[", 
         RowBox[{"p", ",", "a", ",", "b"}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"flapPtoQ2", "[", 
         RowBox[{"p", ",", "a", ",", "b"}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", "Dashed", ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Q1", "[", 
           RowBox[{"p", ",", "a", ",", "b"}], "]"}], ",", 
          RowBox[{"Q2", "[", 
           RowBox[{"p", ",", "a", ",", "b"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", " ", 
          RowBox[{
          "\"\<\!\(\*SubscriptBox[\(Q\), \(1\)]\)\>\"", ",", "12", ",", 
           "Black"}], "]"}], ",", 
         RowBox[{
          RowBox[{"Q1", "[", 
           RowBox[{"p", ",", "a", ",", "b"}], "]"}], "+", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".5"}], ",", "1"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", " ", 
          RowBox[{
          "\"\<\!\(\*SubscriptBox[\(Q\), \(2\)]\)\>\"", ",", "12", ",", 
           "Black"}], "]"}], ",", 
         RowBox[{
          RowBox[{"Q2", "[", 
           RowBox[{"p", ",", "a", ",", "b"}], "]"}], "+", 
          RowBox[{"{", 
           RowBox[{".5", ",", 
            RowBox[{"-", "1"}]}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", " ", 
          RowBox[{"\"\<P\>\"", ",", "12", ",", "Black"}], "]"}], ",", 
         RowBox[{"p", "+", 
          RowBox[{"{", 
           RowBox[{".5", ",", "1"}], "}"}]}]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], "]"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.445870900257001*^9, 3.445870904007614*^9}, {
   3.445870936623815*^9, 3.445871104365641*^9}, {3.445871176764378*^9, 
   3.4458711877376947`*^9}, {3.4458713862230186`*^9, 3.445871400749074*^9}, {
   3.4458718475374393`*^9, 3.445872008326679*^9}, {3.445872043926334*^9, 
   3.4458720581679163`*^9}, {3.445872126719751*^9, 3.445872129334187*^9}, {
   3.445872184469431*^9, 3.445872194200304*^9}, {3.445872965788075*^9, 
   3.4458730286799297`*^9}, {3.445873058825698*^9, 3.4458730757739763`*^9}, {
   3.4458919028105583`*^9, 3.445892003509335*^9}, {3.445892033887466*^9, 
   3.445892081068263*^9}, {3.4458921263540077`*^9, 3.4458921535165997`*^9}, {
   3.446031846477778*^9, 3.4460318844276323`*^9}, {3.446031936875475*^9, 
   3.44603194146946*^9}, {3.446032060162281*^9, 3.446032114550809*^9}, {
   3.446032166751754*^9, 3.446032387132822*^9}, {3.4460324405603456`*^9, 
   3.4460324695635233`*^9}, 3.446035277459916*^9, {3.4460358985106792`*^9, 
   3.446035927830604*^9}, {3.4460375610167513`*^9, 3.446037609880788*^9}, {
   3.446038315890246*^9, 3.4460383593662024`*^9}, {3.446038414865938*^9, 
   3.446038579944763*^9}, {3.4460387166133127`*^9, 3.4460387489434547`*^9}, {
   3.446038811430966*^9, 3.446038827419375*^9}, {3.4460388984876003`*^9, 
   3.446038909986204*^9}, {3.4460390275365467`*^9, 3.446039085699881*^9}, {
   3.446039124056595*^9, 3.446039226125535*^9}, 3.446039262771147*^9, {
   3.446039315075448*^9, 3.446039357220827*^9}, {3.4460393903755913`*^9, 
   3.44603940823107*^9}, {3.446039474840467*^9, 3.4460394800044928`*^9}, {
   3.446040297520802*^9, 3.446040302106451*^9}, {3.446107978641636*^9, 
   3.446107984715437*^9}, {3.44610806360382*^9, 3.4461080730558767`*^9}, {
   3.446333769150189*^9, 3.446333884088448*^9}, {3.446333923650463*^9, 
   3.446333992869112*^9}, {3.4463340230671864`*^9, 3.4463340264359217`*^9}, {
   3.446334071625187*^9, 3.446334111666173*^9}, {3.4464810902161922`*^9, 
   3.446481126781804*^9}, {3.446481356375023*^9, 3.446481363923726*^9}, {
   3.446481414789878*^9, 3.446481473962936*^9}, {3.447063819565547*^9, 
   3.447063820932663*^9}, {3.447063996286525*^9, 3.447064022650318*^9}, {
   3.447064165175861*^9, 3.4470641764477673`*^9}, {3.4470642168681717`*^9, 
   3.4470642326839437`*^9}, {3.447065976023963*^9, 3.447065981854578*^9}, {
   3.447080579456449*^9, 3.447080584241654*^9}, {3.447111835681271*^9, 
   3.447111849814672*^9}, 3.447112431917831*^9, {3.447429840583261*^9, 
   3.447429913621719*^9}, 3.447430062763421*^9, 3.447430144333118*^9, {
   3.447430219735881*^9, 3.447430236928173*^9}, {3.447430268760338*^9, 
   3.447430315427443*^9}, {3.447430372109499*^9, 3.447430381460814*^9}, {
   3.447430444790902*^9, 3.447430445311286*^9}, {3.4474304833518467`*^9, 
   3.447430550484236*^9}, {3.4474305847800407`*^9, 3.447430585334944*^9}, {
   3.4474306299930964`*^9, 3.447430664379127*^9}, {3.4474319037268353`*^9, 
   3.44743190912963*^9}, {3.447432292287426*^9, 3.447432312317562*^9}, {
   3.447441552861871*^9, 3.4474415609498777`*^9}, 3.447451766116132*^9, {
   3.447457473799157*^9, 3.447457480399756*^9}, {3.4481251214898777`*^9, 
   3.448125136060856*^9}, {3.448283465033554*^9, 3.4482834774937353`*^9}, 
   3.448362143446766*^9, 3.448385106263482*^9, {3.4513234715315866`*^9, 
   3.4513234816550627`*^9}, {3.4514163395349445`*^9, 3.45141641161307*^9}},
 CellID->1899021053],

Cell[BoxData[
 RowBox[{
  RowBox[{"labeledStewartpaper", "[", 
   RowBox[{
   "p_", ",", "a_", ",", "b_", ",", "xlabel_", ",", "ylabel_", ",", 
    "zlabel_"}], "]"}], " ", ":=", "\[IndentingNewLine]", 
  RowBox[{"Show", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"a", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"a", ",", "b"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "b"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "}"}], "]"}]}], "}"}], 
     "]"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"flapQ1toP", "[", 
         RowBox[{"p", ",", "a", ",", "b"}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"flapPtoQ2", "[", 
         RowBox[{"p", ",", "a", ",", "b"}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", "Dashed", ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Q1", "[", 
           RowBox[{"p", ",", "a", ",", "b"}], "]"}], ",", 
          RowBox[{"Q2", "[", 
           RowBox[{"p", ",", "a", ",", "b"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", " ", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"Style", "[", 
              RowBox[{"zlabel", ",", "Italic"}], "]"}], "}"}], "]"}], ",", 
           "14", ",", "Black"}], "]"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Q1", "[", 
              RowBox[{"p", ",", "a", ",", "b"}], "]"}], "+", 
             RowBox[{"Q2", "[", 
              RowBox[{"p", ",", "a", ",", "b"}], "]"}]}], ")"}], "/", "2"}], 
          "+", 
          RowBox[{"{", 
           RowBox[{".3", ",", ".3"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", " ", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"Style", "[", 
              RowBox[{"xlabel", ",", "Italic"}], "]"}], "}"}], "]"}], ",", 
           "14", ",", "Black"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Q2", "[", 
              RowBox[{"p", ",", "a", ",", "b"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], "/", "2"}], ",", ".3"}], "}"}]}],
         "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", " ", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"Style", "[", 
              RowBox[{"ylabel", ",", "Italic"}], "]"}], "}"}], "]"}], ",", 
           "14", ",", "Black"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "-", ".3"}], ",", 
           RowBox[{
            RowBox[{"p", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "/", "2"}]}], "}"}]}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", " ", 
          RowBox[{
          "\"\<\!\(\*SubscriptBox[\(Q\), \(1\)]\)\>\"", ",", "12", ",", 
           "Black"}], "]"}], ",", 
         RowBox[{
          RowBox[{"Q1", "[", 
           RowBox[{"p", ",", "a", ",", "b"}], "]"}], "+", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".5"}], ",", ".5"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", " ", 
          RowBox[{
          "\"\<\!\(\*SubscriptBox[\(Q\), \(2\)]\)\>\"", ",", "12", ",", 
           "Black"}], "]"}], ",", 
         RowBox[{
          RowBox[{"Q2", "[", 
           RowBox[{"p", ",", "a", ",", "b"}], "]"}], "+", 
          RowBox[{"{", 
           RowBox[{".5", ",", 
            RowBox[{"-", ".5"}]}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", " ", 
          RowBox[{"\"\<P\>\"", ",", "12", ",", "Black"}], "]"}], ",", 
         RowBox[{"p", "+", 
          RowBox[{"{", 
           RowBox[{".5", ",", ".5"}], "}"}]}]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], "]"}]}], "]"}], " "}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.445870900257001*^9, 3.445870904007614*^9}, {
   3.445870936623815*^9, 3.445871104365641*^9}, {3.445871176764378*^9, 
   3.4458711877376947`*^9}, {3.4458713862230186`*^9, 3.445871400749074*^9}, {
   3.4458718475374393`*^9, 3.445872008326679*^9}, {3.445872043926334*^9, 
   3.4458720581679163`*^9}, {3.445872126719751*^9, 3.445872129334187*^9}, {
   3.445872184469431*^9, 3.445872194200304*^9}, {3.445872965788075*^9, 
   3.4458730286799297`*^9}, {3.445873058825698*^9, 3.4458730757739763`*^9}, {
   3.4458919028105583`*^9, 3.445892003509335*^9}, {3.445892033887466*^9, 
   3.445892081068263*^9}, {3.4458921263540077`*^9, 3.4458921535165997`*^9}, {
   3.446031846477778*^9, 3.4460318844276323`*^9}, {3.446031936875475*^9, 
   3.44603194146946*^9}, {3.446032060162281*^9, 3.446032114550809*^9}, {
   3.446032166751754*^9, 3.446032387132822*^9}, {3.4460324405603456`*^9, 
   3.4460324695635233`*^9}, 3.446035277459916*^9, {3.4460358985106792`*^9, 
   3.446035927830604*^9}, {3.4460375610167513`*^9, 3.446037609880788*^9}, {
   3.446038315890246*^9, 3.4460383593662024`*^9}, {3.446038414865938*^9, 
   3.446038579944763*^9}, {3.4460387166133127`*^9, 3.4460387489434547`*^9}, {
   3.446038811430966*^9, 3.446038827419375*^9}, {3.4460388984876003`*^9, 
   3.446038909986204*^9}, {3.4460390275365467`*^9, 3.446039085699881*^9}, {
   3.446039124056595*^9, 3.446039226125535*^9}, 3.446039262771147*^9, {
   3.446039315075448*^9, 3.446039357220827*^9}, {3.4460393903755913`*^9, 
   3.44603940823107*^9}, {3.446039474840467*^9, 3.4460394800044928`*^9}, {
   3.446040297520802*^9, 3.446040302106451*^9}, {3.446107978641636*^9, 
   3.446107984715437*^9}, {3.44610806360382*^9, 3.4461080730558767`*^9}, {
   3.446333769150189*^9, 3.446333884088448*^9}, {3.446333923650463*^9, 
   3.446333992869112*^9}, {3.4463340230671864`*^9, 3.4463340264359217`*^9}, {
   3.446334071625187*^9, 3.446334111666173*^9}, {3.4464810902161922`*^9, 
   3.446481126781804*^9}, {3.446481356375023*^9, 3.446481363923726*^9}, {
   3.446481414789878*^9, 3.446481473962936*^9}, {3.447065951567417*^9, 
   3.4470659708143587`*^9}, {3.447080499376408*^9, 3.447080506092546*^9}, {
   3.447112244663394*^9, 3.447112271758133*^9}, 3.447112420226283*^9, {
   3.44744967557693*^9, 3.447449753822914*^9}, {3.447450043747552*^9, 
   3.4474500624197273`*^9}, 3.44745173834769*^9, {3.447457422092889*^9, 
   3.447457428717236*^9}, {3.4474574604651537`*^9, 3.4474574721094646`*^9}, {
   3.44777524367796*^9, 3.4477752675525417`*^9}, {3.4477753048436213`*^9, 
   3.447775353639872*^9}, {3.44777539169135*^9, 3.4477755366860237`*^9}, 
   3.4477756482280283`*^9, {3.447775700389022*^9, 3.4477757226268873`*^9}, {
   3.447775780725802*^9, 3.447775834562207*^9}, {3.4477758756761913`*^9, 
   3.447775968695376*^9}, {3.447776008463923*^9, 3.447776024302185*^9}, {
   3.447783680398773*^9, 3.447783681130372*^9}, {3.447783736481748*^9, 
   3.447783764591403*^9}, {3.4477838478648157`*^9, 3.4477838554025917`*^9}, {
   3.4477839123472853`*^9, 3.447783913177824*^9}, {3.447784091362502*^9, 
   3.447784112175702*^9}, {3.447784310932005*^9, 3.447784332503524*^9}, {
   3.448173859205776*^9, 3.448173929252119*^9}, {3.4481744705986853`*^9, 
   3.448174478297501*^9}, {3.448174968169366*^9, 3.448174990543508*^9}, {
   3.4482789616790648`*^9, 3.448278980447933*^9}, {3.4482790372992973`*^9, 
   3.448279052128125*^9}, 3.4483619845770206`*^9, {3.4483620876366777`*^9, 
   3.448362089106674*^9}, 3.448385152409348*^9, 3.448385568428113*^9, {
   3.45132348745863*^9, 3.451323503855247*^9}, {3.45141642967557*^9, 
   3.4514164472849445`*^9}},
 CellID->944876057],

Cell[BoxData[
 RowBox[{
  RowBox[{"length", "[", 
   RowBox[{"p_", ",", "q_"}], "]"}], " ", ":=", " ", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p", "-", "q"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"p", "-", "q"}], ")"}]}], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{"1", "/", "2"}], ")"}]}], ",", 
    RowBox[{
     RowBox[{"a", ">", "0"}], "&&", 
     RowBox[{"b", ">", "0"}]}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.447023388019758*^9, 3.4470234891901703`*^9}, {
  3.44702356476128*^9, 3.447023576504222*^9}, {3.447023652698277*^9, 
  3.447023663217358*^9}, {3.4470237305224247`*^9, 3.44702375658394*^9}, {
  3.447023800752351*^9, 3.447023893663867*^9}, {3.44716107796924*^9, 
  3.447161079866323*^9}},
 CellID->2037804081],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"creasetopbottom", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x_", ",", "y_"}], "}"}], ",", "a_", ",", "b_"}], "]"}], " ", 
   "=", " ", 
   RowBox[{"length", "[", 
    RowBox[{
     RowBox[{"Qtop", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
     RowBox[{"Qbottom", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}]}], 
    "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.445873462838162*^9, 3.445873469490986*^9}, {
   3.445873504590062*^9, 3.445873615513494*^9}, 3.446043597887537*^9, {
   3.447023508120537*^9, 3.44702353563125*^9}, {3.44745702842374*^9, 
   3.44745702905186*^9}, 3.4474571570921783`*^9, 3.4510600897865343`*^9},
 CellID->1303987011],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"creaseleftbottom", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x_", ",", "y_"}], "}"}], ",", "a_", ",", "b_"}], "]"}], " ", 
   "=", " ", 
   RowBox[{"length", "[", 
    RowBox[{
     RowBox[{"Qleft", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
     RowBox[{"Qbottom", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}]}], 
    "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.445873626533218*^9, 3.445873694102872*^9}, 
   3.446043606010447*^9, {3.4470236037215033`*^9, 3.447023636025291*^9}, {
   3.4474570336881657`*^9, 3.447457036505858*^9}, 3.4474571597741413`*^9, 
   3.451060092194775*^9},
 CellID->417381890],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"creaseleftright", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x_", ",", "y_"}], "}"}], ",", "a_", ",", "b_"}], "]"}], " ", 
   "=", " ", 
   RowBox[{"length", "[", 
    RowBox[{
     RowBox[{"Qleft", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
     RowBox[{"Qright", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}]}], 
    "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4458737005859222`*^9, 3.44587370180357*^9}, {
   3.445873734609894*^9, 3.445873776011791*^9}, {3.4458754358066673`*^9, 
   3.4458754615758944`*^9}, 3.446043613330674*^9, {3.447023980647965*^9, 
   3.4470240046673117`*^9}, {3.4474570448807163`*^9, 3.4474570456552563`*^9}, 
   3.447457160851509*^9, 3.4510600932398796`*^9},
 CellID->1334906580],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"creaserightbottom", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x_", ",", "y_"}], "}"}], ",", "a_", ",", "b_"}], "]"}], " ", 
   "=", " ", 
   RowBox[{"length", "[", 
    RowBox[{
     RowBox[{"Qright", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
     RowBox[{"Qbottom", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}]}], 
    "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4458737005859222`*^9, 3.44587370180357*^9}, {
   3.445873734609894*^9, 3.445873776011791*^9}, {3.4458754358066673`*^9, 
   3.4458754615758944`*^9}, 3.446043613330674*^9, {3.447023980647965*^9, 
   3.4470240046673117`*^9}, {3.447113010257002*^9, 3.447113025221183*^9}, {
   3.447457056448679*^9, 3.44745705707708*^9}, 3.44745716689888*^9, 
   3.4510600947780333`*^9},
 CellID->1956268694],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"creasetopright", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x_", ",", "y_"}], "}"}], ",", "a_", ",", "b_"}], "]"}], " ", 
   "=", " ", 
   RowBox[{"length", "[", 
    RowBox[{
     RowBox[{"Qtop", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
     RowBox[{"Qright", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}]}], 
    "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.445873784516863*^9, 3.4458738126837273`*^9}, {
   3.445873848514235*^9, 3.445873885052236*^9}, {3.445873982089444*^9, 
   3.445873986222892*^9}, {3.445874042778916*^9, 3.445874057567226*^9}, 
   3.446043618333892*^9, {3.4470240179209623`*^9, 3.447024039555007*^9}, {
   3.447457048369439*^9, 3.4474570491001863`*^9}, 3.4474571631690598`*^9, 
   3.4510600957091265`*^9},
 CellID->48276527],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"creaselefttop", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x_", ",", "y_"}], "}"}], ",", "a_", ",", "b_"}], "]"}], " ", 
   "=", " ", 
   RowBox[{"length", "[", 
    RowBox[{
     RowBox[{"Qleft", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
     RowBox[{"Qtop", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}]}], 
    "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4458737005859222`*^9, 3.44587370180357*^9}, {
   3.445873734609894*^9, 3.445873776011791*^9}, {3.4458754358066673`*^9, 
   3.4458754615758944`*^9}, 3.446043613330674*^9, {3.447023980647965*^9, 
   3.4470240046673117`*^9}, {3.4471129558791924`*^9, 
   3.4471129641894217`*^9}, {3.447457054089517*^9, 3.447457055106954*^9}, 
   3.447457165334755*^9, 3.451060097569312*^9},
 CellID->1247288234],

Cell[BoxData[
 RowBox[{
  RowBox[{"creaselength", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x_", ",", "y_"}], "}"}], ",", "a_", ",", "b_"}], "]"}], " ", ":=",
   " ", 
  RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"creasetopbottom", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
       "\[IndentingNewLine]", " ", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", 
          RowBox[{"y", "^", "2"}]}], "\[LessEqual]", 
         RowBox[{"2", "a", " ", "x"}]}], " ", "&&", 
        RowBox[{
         RowBox[{"2", "b", " ", "y"}], " ", "\[LessEqual]", " ", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", 
          RowBox[{"y", "^", "2"}]}], "\[LessEqual]", 
         RowBox[{
          RowBox[{"2", "a", " ", "x"}], " ", "+", 
          RowBox[{"2", "b", " ", "y"}]}]}]}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"creaseleftbottom", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
       " ", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", 
          RowBox[{"y", "^", "2"}]}], "\[LessEqual]", 
         RowBox[{"2", "a", " ", "x"}]}], " ", "&&", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", 
          RowBox[{"y", "^", "2"}]}], "\[LessEqual]", 
         RowBox[{"2", "b", " ", "y"}]}]}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"creaseleftright", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
       " ", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", 
          RowBox[{"y", "^", "2"}]}], "\[LessEqual]", 
         RowBox[{"2", "b", " ", "y"}]}], " ", "&&", " ", 
        RowBox[{
         RowBox[{"2", "a", " ", "x"}], " ", "\[LessEqual]", " ", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", 
          RowBox[{"y", "^", "2"}]}], "\[LessEqual]", 
         RowBox[{
          RowBox[{"2", " ", "a", " ", "x"}], " ", "+", " ", 
          RowBox[{"2", " ", "b", " ", "y"}]}]}]}]}], " ", "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"creaserightbottom", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"2", "a", " ", "x"}], "+", 
         RowBox[{"2", "b", " ", "y"}]}], "\[LessEqual]", 
        RowBox[{
         RowBox[{"x", "^", "2"}], "+", 
         RowBox[{"y", "^", "2"}]}], "\[LessEqual]", 
        RowBox[{"2", "a", " ", "x"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"creasetopright", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", 
          RowBox[{"y", "^", "2"}]}], " ", "\[LessEqual]", " ", 
         RowBox[{
          RowBox[{"2", "a", " ", "x"}], "+", 
          RowBox[{"2", "b", " ", "y"}]}]}], " ", "&&", " ", 
        RowBox[{
         RowBox[{"2", "b", " ", "y"}], " ", "\[LessEqual]", " ", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", 
          RowBox[{"y", "^", "2"}]}]}], " ", "&&", " ", 
        RowBox[{
         RowBox[{"2", "a", " ", "x"}], " ", "\[LessEqual]", " ", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", 
          RowBox[{"y", "^", "2"}]}]}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     
     RowBox[{"{", 
      RowBox[{
       RowBox[{"creaselefttop", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"2", "a", " ", "x"}], "+", 
         RowBox[{"2", "b", " ", "y"}]}], "\[LessEqual]", 
        RowBox[{
         RowBox[{"x", "^", "2"}], "+", 
         RowBox[{"y", "^", "2"}]}], "\[LessEqual]", 
        RowBox[{"2", "b", " ", "y"}]}]}], "}"}]}], "\[IndentingNewLine]", 
    "}"}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4458743122526703`*^9, 3.445874359672703*^9}, {
   3.445874578625345*^9, 3.445874735233012*^9}, {3.445874781995695*^9, 
   3.4458748777837477`*^9}, {3.445874926696583*^9, 3.445874974423729*^9}, {
   3.4458750149462976`*^9, 3.4458751511944637`*^9}, 3.445876550363142*^9, {
   3.4458767805435123`*^9, 3.4458768166951942`*^9}, {3.445894717357052*^9, 
   3.44589473899966*^9}, {3.445894788619093*^9, 3.445894803971959*^9}, {
   3.4458948357832117`*^9, 3.445894868218505*^9}, {3.4458951287661963`*^9, 
   3.4458951342202473`*^9}, 3.4460436886786013`*^9, {3.446043779312027*^9, 
   3.446043818649122*^9}, {3.446043851621434*^9, 3.4460438706839867`*^9}, {
   3.4460488936208*^9, 3.446048900836151*^9}, {3.4460489371477833`*^9, 
   3.446048941712552*^9}, {3.4460489923279676`*^9, 3.44604900647583*^9}, {
   3.447113056665711*^9, 3.447113105234021*^9}, {3.447113305762124*^9, 
   3.4471133819461517`*^9}, {3.447113446121592*^9, 3.447113457949383*^9}, {
   3.447457073160833*^9, 3.44745708024585*^9}, 3.4474571693788633`*^9, {
   3.447488332221189*^9, 3.447488351170042*^9}, {3.447488384963293*^9, 
   3.44748838829882*^9}, {3.447488444897346*^9, 3.447488575370288*^9}, {
   3.447598718220742*^9, 3.44759873729657*^9}, {3.447598784430399*^9, 
   3.447598787128065*^9}, 3.447785894401401*^9, {3.448888986706791*^9, 
   3.448888987983774*^9}, {3.448889066034178*^9, 3.4488891584851093`*^9}, {
   3.448889472692767*^9, 3.448889518332539*^9}, {3.448968587069059*^9, 
   3.448968636834516*^9}},
 CellID->1025114121],

Cell[BoxData[
 RowBox[{
  RowBox[{"creasearound", "[", 
   RowBox[{"t_", ",", "a_", ",", "b_"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Piecewise", "[", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"creaselength", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"t", ",", "0"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
       " ", 
       RowBox[{
       "0", " ", "\[LessEqual]", " ", "t", " ", "\[LessEqual]", " ", "a"}]}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"creaselength", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"a", ",", 
           RowBox[{"t", "-", "a"}]}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
       RowBox[{"a", " ", "\[LessEqual]", " ", "t", " ", "\[LessEqual]", " ", 
        RowBox[{"a", "+", "b"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"creaselength", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "+", "b", "+", "a", "-", "t"}], ",", "b"}], "}"}], 
         ",", "a", ",", "b"}], "]"}], ",", " ", 
       RowBox[{
        RowBox[{"a", "+", "b"}], "\[LessEqual]", "t", "\[LessEqual]", 
        RowBox[{"a", "+", "b", "+", "a"}]}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"creaselength", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"a", "+", "b", "+", "a", "+", "b", "-", "t"}]}], "}"}], 
         ",", "a", ",", "b"}], "]"}], ",", 
       RowBox[{
        RowBox[{"a", "+", "b", "+", "a"}], "\[LessEqual]", "t", 
        "\[LessEqual]", 
        RowBox[{"a", "+", "b", "+", "a", "+", "b"}]}]}], "}"}]}], "}"}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.445875651560926*^9, 3.4458757513749332`*^9}, {
  3.445875787412443*^9, 3.445875957267975*^9}, {3.4458760197726927`*^9, 
  3.4458761584060717`*^9}, {3.4458956743481293`*^9, 3.4458956769113407`*^9}, {
  3.447457632730833*^9, 3.4474576645010223`*^9}, {3.4488895774314327`*^9, 
  3.448889580085197*^9}},
 CellID->1979215413],

Cell[BoxData[
 RowBox[{
  RowBox[{"creasearound3D", "[", 
   RowBox[{"t_", ",", "a_", ",", "b_"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Piecewise", "[", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", 
         RowBox[{"creaselength", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"t", ",", "0"}], "}"}], ",", "a", ",", "b"}], "]"}]}], 
        "}"}], ",", " ", 
       RowBox[{
       "0", " ", "\[LessEqual]", " ", "t", " ", "\[LessEqual]", " ", "a"}]}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", 
         RowBox[{"t", "-", "a"}], ",", 
         RowBox[{"creaselength", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"a", ",", 
             RowBox[{"t", "-", "a"}]}], "}"}], ",", "a", ",", "b"}], "]"}]}], 
        "}"}], ",", 
       RowBox[{"a", " ", "\[LessEqual]", " ", "t", " ", "\[LessEqual]", " ", 
        RowBox[{"a", "+", "b"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a", "+", "b", "+", "a", "-", "t"}], ",", "b", ",", 
         RowBox[{"creaselength", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "+", "b", "+", "a", "-", "t"}], ",", "b"}], "}"}], 
           ",", "a", ",", "b"}], "]"}]}], "}"}], ",", " ", 
       RowBox[{
        RowBox[{"a", "+", "b"}], "\[LessEqual]", "t", "\[LessEqual]", 
        RowBox[{"a", "+", "b", "+", "a"}]}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"a", "+", "b", "+", "a", "+", "b", "-", "t"}], ",", 
         RowBox[{"creaselength", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"a", "+", "b", "+", "a", "+", "b", "-", "t"}]}], "}"}], 
           ",", "a", ",", "b"}], "]"}]}], "}"}], ",", 
       RowBox[{
        RowBox[{"a", "+", "b", "+", "a"}], "\[LessEqual]", "t", 
        "\[LessEqual]", 
        RowBox[{"a", "+", "b", "+", "a", "+", "b"}]}]}], "}"}]}], "}"}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.445875651560926*^9, 3.4458757513749332`*^9}, {
  3.445875787412443*^9, 3.445875957267975*^9}, {3.4458760197726927`*^9, 
  3.4458761584060717`*^9}, {3.4458956743481293`*^9, 3.4458956769113407`*^9}, {
  3.447457632730833*^9, 3.4474576645010223`*^9}, {3.447500934760504*^9, 
  3.447501060249176*^9}, {3.448889573580621*^9, 3.4488895756468887`*^9}},
 CellID->151754261],

Cell[BoxData[
 RowBox[{
  RowBox[{"criticalfolds", "[", 
   RowBox[{"a0_", ",", "b0_"}], "]"}], " ", ":=", "\[IndentingNewLine]", 
  RowBox[{"{", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"labeledStewartpaper", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a0", ",", 
        RowBox[{
         RowBox[{"y0", "+", "0.001"}], "/.", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "\[Rule]", "a0"}], ",", 
           RowBox[{"b", "\[Rule]", "b0"}]}], "}"}]}]}], "}"}], ",", "a0", ",",
       "b0", ",", "\"\<\>\"", ",", "\"\<y0\>\"", ",", "\"\<z0\>\""}], "]"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"labeledStewartpaper", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a0", ",", 
        RowBox[{"y1", "/.", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "\[Rule]", "a0"}], ",", 
           RowBox[{"b", "\[Rule]", "b0"}]}], "}"}]}]}], "}"}], ",", "a0", ",",
       "b0", ",", "\"\<\>\"", ",", "\"\<y1\>\"", ",", "\"\<z1\>\""}], "]"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"labeledStewartpaper", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a0", ",", 
        RowBox[{"y2", "/.", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "\[Rule]", "a0"}], ",", 
           RowBox[{"b", "\[Rule]", "b0"}]}], "}"}]}]}], "}"}], ",", "a0", ",",
       "b0", ",", "\"\<\>\"", ",", "\"\<y2\>\"", ",", "\"\<z2\>\""}], "]"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"labeledStewartpaper", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a0", ",", "y3"}], "}"}], "/.", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a", "\[Rule]", "a0"}], ",", 
         RowBox[{"b", "\[Rule]", "b0"}]}], "}"}]}], ",", "a0", ",", "b0", 
      ",", "\"\<\>\"", ",", "\"\<y3\>\"", ",", "\"\<z3\>\""}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"labeledStewartpaper", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a0", ",", "y4"}], "}"}], "/.", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a", "\[Rule]", "a0"}], ",", 
         RowBox[{"b", "\[Rule]", "b0"}]}], "}"}]}], ",", "a0", ",", "b0", 
      ",", "\"\<\>\"", ",", "\"\<y4\>\"", ",", "\"\<z4\>\""}], "]"}]}], 
   "}"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.448277555606045*^9, 3.4482775763971157`*^9}, {
  3.448277688447933*^9, 3.448277692022694*^9}, {3.448277903710943*^9, 
  3.4482779048149643`*^9}, {3.448277973238847*^9, 3.448277974999353*^9}, {
  3.448278388209991*^9, 3.4482783891191273`*^9}, {3.4482791404927673`*^9, 
  3.448279231212955*^9}, {3.448361994211109*^9, 3.448361996549941*^9}, {
  3.448385329169134*^9, 3.448385356043111*^9}, {3.448385714508497*^9, 
  3.448385726755639*^9}, {3.449078107901943*^9, 3.44907811486972*^9}},
 CellID->1470775638],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ys", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"y0", ",", " ", "y1", ",", "y2", ",", "y3", ",", " ", "y4"}], 
     "}"}], " ", "=", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "\[IndentingNewLine]", 
      RowBox[{"y", " ", "/.", "  ", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Qleft", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"a", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], 
           " ", "\[Equal]", " ", 
           RowBox[{"{", 
            RowBox[{"0", ",", "b"}], "}"}]}], ",", "y"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ",", 
      RowBox[{"y", " ", "/.", " ", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"creaseleftbottom", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"a", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], 
             ",", "y"}], "]"}], "\[Equal]", "0"}], ",", "y"}], "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], ",", "\[IndentingNewLine]", "a", 
      ",", "b"}], "}"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4471661916364107`*^9, 3.4471661981923923`*^9}, {
   3.447166238451167*^9, 3.447166248035626*^9}, {3.447166302872418*^9, 
   3.447166364168643*^9}, {3.44726561293779*^9, 3.447265622813336*^9}, {
   3.447458493927887*^9, 3.447458508745903*^9}, {3.450797522307156*^9, 
   3.4507975259528008`*^9}, {3.450798503278904*^9, 3.4507985120136747`*^9}, {
   3.450799649890366*^9, 3.450799671971945*^9}, 3.4510601022207775`*^9},
 CellID->1789370896],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"zs", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"z0", ",", "z1", ",", "z2", ",", "z3", ",", "z4"}], "}"}], " ", 
    "=", "\[IndentingNewLine]", 
    RowBox[{"Simplify", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"b", ",", 
        RowBox[{"creaseleftbottom", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"a", ",", "y1"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"creaseleftbottom", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"a", ",", "y2"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
        
        RowBox[{"creaseleftbottom", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"a", ",", "y3"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"creaseleftright", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"a", ",", "y4"}], "}"}], ",", "a", ",", "b"}], "]"}]}], 
       "}"}], ",", 
      RowBox[{"a", ">", "0"}]}], "]"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4460513883048687`*^9, 3.446051432095269*^9}, {
   3.446051511553124*^9, 3.446051631997078*^9}, {3.4460526339783363`*^9, 
   3.446052643949074*^9}, {3.4460527265446*^9, 3.4460527359809713`*^9}, {
   3.446502178695326*^9, 3.44650218592872*^9}, {3.4465031947223673`*^9, 
   3.446503206164345*^9}, {3.447458899862316*^9, 3.447458922692889*^9}, 
   3.44859082559592*^9, 3.448591001696322*^9, 3.448591122464926*^9, 
   3.448591168694779*^9, 3.448591277601129*^9, 3.448591324263486*^9, {
   3.44906166563843*^9, 3.449061690755197*^9}, {3.450798115779769*^9, 
   3.450798122041216*^9}, {3.4507983514497232`*^9, 3.450798355363496*^9}, 
   3.4510601050490603`*^9},
 CellID->1777247921],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Ps", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], " ", "=", " ", 
   RowBox[{"MapThread", "[", 
    RowBox[{"List", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{"a", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "5"}], "}"}]}], "]"}], ",", 
       RowBox[{"ys", "[", 
        RowBox[{"a", ",", "b"}], "]"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.446500486629068*^9, 3.446500546926899*^9}, {
   3.4465007757001877`*^9, 3.4465008181706543`*^9}, 3.451060106405196*^9},
 CellID->1096034109],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Q1s", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], " ", "=", " ", 
   RowBox[{"(*", 
    RowBox[{"{", 
     RowBox[{"Q10", ",", "Q11", ",", "Q12", ",", "Q13", ",", "Q14"}], "}"}], 
    "*)"}], " ", "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Qtop", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"a", ",", "y0"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
       RowBox[{"Qleft", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"a", ",", "y1"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
       RowBox[{"Qleft", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"a", ",", "y2"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Qleft", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"a", ",", "y3"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
       RowBox[{"Qleft", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"a", ",", "y4"}], "}"}], ",", "a", ",", "b"}], "]"}]}], 
      "}"}], ",", 
     RowBox[{"a", ">", "0"}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.446106678298526*^9, 3.446106722131609*^9}, {
   3.446106771902294*^9, 3.446106785286388*^9}, {3.446106824127122*^9, 
   3.4461068901206093`*^9}, {3.446106959183701*^9, 3.4461070174682426`*^9}, {
   3.447197503600471*^9, 3.447197520038834*^9}, {3.4474589470373697`*^9, 
   3.447458977746237*^9}, {3.450798288212296*^9, 3.450798293574719*^9}, 
   3.450799742854516*^9, 3.4510601085144067`*^9},
 CellID->917675547],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Q2s", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], " ", "=", " ", 
   RowBox[{"(*", 
    RowBox[{"{", 
     RowBox[{"Q20", ",", "Q21", ",", "Q22", ",", "Q23", ",", "Q24"}], "}"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Qbottom", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"a", ",", "y0"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
       RowBox[{"Qbottom", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"a", ",", "y1"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
       RowBox[{"Qbottom", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"a", ",", "y2"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Qbottom", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"a", ",", "y3"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
       RowBox[{"Qright", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"a", ",", "y4"}], "}"}], ",", "a", ",", "b"}], "]"}]}], 
      "}"}], ",", 
     RowBox[{"a", ">", "0"}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.446107038252586*^9, 3.4461070764702806`*^9}, {
   3.4461071348704233`*^9, 3.4461072386237583`*^9}, {3.447197543117244*^9, 
   3.447197553089055*^9}, {3.447458989889147*^9, 3.447459019643581*^9}, {
   3.4507982974413967`*^9, 3.4507983016661673`*^9}, {3.450799758653605*^9, 
   3.4507997593007402`*^9}, 3.451060109497505*^9},
 CellID->1471993086],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"yzs", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], " ", "=", " ", 
   RowBox[{"Thread", "[", 
    RowBox[{"List", "[", 
     RowBox[{
      RowBox[{"ys", "[", 
       RowBox[{"a", ",", "b"}], "]"}], ",", 
      RowBox[{"zs", "[", 
       RowBox[{"a", ",", "b"}], "]"}]}], "]"}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.446052883901422*^9, 3.446052909566093*^9}, {
   3.4460530411377363`*^9, 3.446053057942788*^9}, {3.446053088151877*^9, 
   3.446053107549103*^9}, {3.446053755679699*^9, 3.4460537774271297`*^9}, {
   3.448590830503066*^9, 3.448590834873107*^9}, 3.4510601106616216`*^9},
 CellID->1491370456],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Q1Q2s", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], " ", "=", " ", 
   RowBox[{"MapThread", "[", 
    RowBox[{"List", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Q1s", "[", 
        RowBox[{"a", ",", "b"}], "]"}], ",", 
       RowBox[{"Q2s", "[", 
        RowBox[{"a", ",", "b"}], "]"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.446107305972836*^9, 3.446107353104218*^9}, {
   3.4461076055258217`*^9, 3.446107632347768*^9}, {3.446107663309677*^9, 
   3.446107671115779*^9}, 3.4510601116907244`*^9},
 CellID->181044107],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"data", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], " ", "=", " ", 
   RowBox[{"(*", 
    RowBox[{"{", 
     RowBox[{
     "data0", ",", "data1", ",", "data2", ",", "data3", ",", "data4"}], "}"}],
     "*)"}], "\[IndentingNewLine]", 
   RowBox[{"MapThread", "[", 
    RowBox[{"List", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{"i", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "0", ",", "4"}], "}"}]}], "]"}], ",", 
       RowBox[{"Ps", "[", 
        RowBox[{"a", ",", "b"}], "]"}], ",", 
       RowBox[{"Q1Q2s", "[", 
        RowBox[{"a", ",", "b"}], "]"}], ",", 
       RowBox[{"zs", "[", 
        RowBox[{"a", ",", "b"}], "]"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4461082707849503`*^9, 3.4461083832471523`*^9}, {
   3.4465008543343983`*^9, 3.446500855827448*^9}, {3.446500910437482*^9, 
   3.4465009213614473`*^9}, 3.448590839015318*^9, {3.4500052943078203`*^9, 
   3.450005322053666*^9}, {3.450005442397026*^9, 3.450005473487721*^9}, {
   3.450798268734146*^9, 3.4507982749649143`*^9}, {3.4507997899178543`*^9, 
   3.450799790688703*^9}, 3.451060114589014*^9},
 CellID->839955416],

Cell[BoxData[
 RowBox[{
  RowBox[{"bs", " ", "=", "  ", 
   RowBox[{"(*", 
    RowBox[{"{", 
     RowBox[{
     "b12", ",", "b14", ",", "b24", ",", "b13", ",", "b04", ",", "b02", ",", 
      "b03"}], "}"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", " ", "/.", " ", 
      RowBox[{
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{"z1", "\[Equal]", "z2"}], ",", "b"}], "]"}], ",", 
         RowBox[{"a", ">", "0"}]}], "]"}], "[", 
       RowBox[{"[", "4", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"N", "[", 
      RowBox[{
       RowBox[{"(", " ", 
        RowBox[{"b", " ", "/.", " ", 
         RowBox[{
          RowBox[{"Simplify", "[", 
           RowBox[{"Solve", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"z1", "\[Equal]", "z4"}], ")"}], " ", "/.", 
              RowBox[{"a", "\[Rule]", "1"}]}], ",", "b"}], "]"}], "]"}], "[", 
          
          RowBox[{"[", "6", "]"}], "]"}]}], ")"}], " ", "a"}], "]"}], ",", 
     " ", 
     RowBox[{"b", " ", "/.", " ", 
      RowBox[{
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{"z2", "\[Equal]", "z4"}], ",", "b"}], "]"}], ",", 
         RowBox[{"a", ">", "0"}]}], "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"b", " ", "/.", " ", 
      RowBox[{
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{"z1", "\[Equal]", "z3"}], ",", "b"}], "]"}], ",", 
         RowBox[{"a", ">", "0"}]}], "]"}], "[", 
       RowBox[{"[", "6", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"b", " ", "/.", " ", 
      RowBox[{
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{"z0", "\[Equal]", "z4"}], ",", "b"}], "]"}], ",", 
         RowBox[{"a", ">", "0"}]}], "]"}], "[", 
       RowBox[{"[", "4", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"b", " ", "/.", " ", 
      RowBox[{
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{"z0", "\[Equal]", "z2"}], ",", "b"}], "]"}], ",", 
         RowBox[{"a", ">", "0"}]}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"b", " ", "/.", " ", 
      RowBox[{
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{"z0", "\[Equal]", "z3"}], ",", "b"}], "]"}], ",", 
         RowBox[{"a", ">", "0"}]}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4491704485913563`*^9, 3.44917059689618*^9}, {
   3.4491706487938213`*^9, 3.4491707398929367`*^9}, {3.450797881285679*^9, 
   3.450797890769671*^9}, {3.450799795243003*^9, 3.450799795677944*^9}, 
   3.4510601191334686`*^9},
 CellID->1201545165],

Cell[BoxData[
 RowBox[{
  RowBox[{"ks", " ", "=", " ", 
   RowBox[{"(*", 
    RowBox[{"{", 
     RowBox[{
     "k12", ",", "k14", ",", "k24", ",", "k13", ",", "k04", ",", "k02", ",", 
      "k03"}], "}"}], "*)"}], "  ", 
   RowBox[{"bs", " ", "/.", " ", 
    RowBox[{"a", "\[Rule]", "1"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4491707837368793`*^9, 3.449170794500249*^9}, {
   3.4491715041698713`*^9, 3.449171526736264*^9}, {3.450797895881402*^9, 
   3.450797900296822*^9}, 3.4507998366667852`*^9, 3.451060121215677*^9},
 CellID->769262414],

Cell[BoxData[
 RowBox[{
  RowBox[{"knames", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "\"\<\!\(\*SubscriptBox[\(k\), \(12\)]\)\>\"", ",", 
     "\"\<\!\(\*SubscriptBox[\(k\), \(14\)]\)\>\"", ",", 
     "\"\<\!\(\*SubscriptBox[\(k\), \(24\)]\)\>\"", ",", 
     "\"\<\!\(\*SubscriptBox[\(k\), \(13\)]\)\>\"", ",", 
     "\"\<\!\(\*SubscriptBox[\(k\), \(04\)]\)\>\"", ",", 
     "\"\<\!\(\*SubscriptBox[\(k\), \(02\)]\)\>\"", ",", 
     "\"\<\!\(\*SubscriptBox[\(k\), \(03\)]\)\>\""}], "}"}]}], ";"}]], "Input",\

 InitializationCell->True,
 CellChangeTimes->{{3.448592881594294*^9, 3.4485929110167723`*^9}, {
   3.448663643909267*^9, 3.448663682028969*^9}, 3.4510601230438595`*^9, {
   3.4513406843817596`*^9, 3.4513407774008217`*^9}},
 CellID->943244914],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"paperplay", "[", 
    RowBox[{"p_", ",", "a_", ",", "b_"}], "]"}], " ", ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"Show", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Circle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"a", ",", "0"}], "}"}], ",", "a"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Circle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "b"}], "}"}], ",", "b"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Circle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"a", ",", "b"}], "}"}], ",", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"a", "^", "2"}], "+", 
            RowBox[{"b", "^", "2"}]}], "]"}]}], "]"}], ",", 
        "\[IndentingNewLine]", "Thick", ",", "\[IndentingNewLine]", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"a", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"a", ",", "b"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "b"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", "Thin", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2", " ", "a"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2", " ", "a"}], ",", 
             RowBox[{"2", " ", "b"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"2", " ", "b"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", " ", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<\!\(\*SubscriptBox[\(C\), \(1\)]\)\>\"", ",", "Italic"}], 
               "]"}], "}"}], "]"}], ",", "12", ",", "Blue"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "5"}], ",", 
            RowBox[{"2", "b"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", " ", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<\!\(\*SubscriptBox[\(C\), \(2\)]\)\>\"", ",", "Italic"}], 
               "]"}], "}"}], "]"}], ",", "12", ",", "Blue"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"2", "a"}], ",", 
            RowBox[{"-", "5"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", " ", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<\!\(\*SubscriptBox[\(C\), \(3\)]\)\>\"", ",", "Italic"}], 
               "]"}], "}"}], "]"}], ",", "12", ",", "Blue"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"2", "a"}], "+", "1"}], ",", 
            RowBox[{
             RowBox[{"2", "b"}], "+", "1"}]}], "}"}]}], "]"}]}], "}"}], "]"}],
      ",", "\[IndentingNewLine]", 
     RowBox[{"labeledpaper", "[", 
      RowBox[{"p", ",", "a", ",", "b"}], "]"}]}], "]"}]}], 
  "\[IndentingNewLine]"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4500966605891867`*^9, 3.450096703577258*^9}, {
  3.4513233814683447`*^9, 3.4513234044759493`*^9}, {3.4514151519305377`*^9, 
  3.451415190603403*^9}, {3.451415263730275*^9, 3.451415310434595*^9}, {
  3.451415345216736*^9, 3.4514153936867266`*^9}},
 CellID->1427756783],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "ruletext", " ", "=", " ", "\[IndentingNewLine]", 
   "\"\<\!\(\*SubscriptBox[\(Q\), \(1\)]\) is   on left when P is in \
\!\(\*SubscriptBox[\(C\), \(1\)]\),\n\ton top when P is in \
\!\(\*SubscriptBox[\(C\), \(3\)]\) but out of \!\(\*SubscriptBox[\(C\), \
\(1\)]\),\n\ton right when P is in \!\(\*SubscriptBox[\(C\), \(2\)]\) but out \
of \!\(\*SubscriptBox[\(C\), \(3\)]\).\n\!\(\*SubscriptBox[\(Q\), \(2\)]\) is \
  on bottom when P is in \!\(\*SubscriptBox[\(C\), \(2\)]\),\n\ton right when \
P is in \!\(\*SubscriptBox[\(C\), \(3\)]\) but out of \
\!\(\*SubscriptBox[\(C\), \(2\)]\),\n\ton top when P is in \
\!\(\*SubscriptBox[\(C\), \(1\)]\) but out of \!\(\*SubscriptBox[\(C\), \
\(3\)]\).\>\""}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.450636053067425*^9, 3.450636129021036*^9}, {
   3.450642944202097*^9, 3.450642956101269*^9}, {3.450643212625416*^9, 
   3.4506432312659397`*^9}, {3.4506444697355213`*^9, 3.4506444875723047`*^9}, 
   3.4510601285194073`*^9, {3.451322952479961*^9, 3.451323051167631*^9}, {
   3.451323082773699*^9, 3.451323175718848*^9}, {3.451323306046094*^9, 
   3.451323327903761*^9}, {3.45132417939566*^9, 3.4513242349318438`*^9}, {
   3.4513246571920223`*^9, 3.451324664194783*^9}, {3.451326082317583*^9, 
   3.451326138735959*^9}, {3.452616020842876*^9, 3.452616054878565*^9}, 
   3.452616246792801*^9, 3.452616611436028*^9},
 CellID->95658714],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"circletext", " ", "=", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<Keep \>\"", ",", " ", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<P\>\"", ",", " ", "Italic"}], "]"}], ",", " ", 
          "\"\< inside \>\"", ",", "\n", 
          RowBox[{"Subscript", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<C\>\"", ",", "Italic"}], "]"}], ",", " ", "1"}], 
           "]"}], ",", " ", "\"\<,\>\"", ",", " ", 
          RowBox[{"Subscript", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<C\>\"", ",", "Italic"}], "]"}], ",", " ", "2"}], 
           "]"}], ",", "\n", "\"\<,or \>\"", ",", " ", 
          RowBox[{"Subscript", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<C\>\"", ",", "Italic"}], "]"}], ",", " ", "3"}], 
           "]"}], ",", " ", "\"\<:\>\""}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\\n\>\"", ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"x", "^", "2"}], " ", "+", " ", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "\"\<b\>\""}], ")"}], "^", "2"}]}], " ", 
            "\[Equal]", " ", 
            RowBox[{"\"\<b\>\"", "^", "2"}]}], "]"}], ",", 
          "\[IndentingNewLine]", "\"\<\\n\>\"", ",", " ", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "\"\<a\>\""}], ")"}], "^", "2"}], " ", "+", 
             " ", 
             RowBox[{"y", "^", "2"}]}], " ", "==", " ", 
            RowBox[{"\"\<a\>\"", "^", "2"}]}], "]"}], ",", 
          "\[IndentingNewLine]", "\"\<\\n\>\"", ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"x", "-", "\"\<a\>\""}], ")"}], "^", "2"}], " ", "+", 
             " ", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"y", "-", "\"\<b\>\""}], ")"}], "^", "2"}]}], " ", "==",
             " ", 
            RowBox[{
             RowBox[{"\"\<a\>\"", "^", "2"}], "+", 
             RowBox[{"\"\<b\>\"", "^", "2"}]}]}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\\n\>\"", ",", "ruletext"}], "}"}], "]"}]}], "}"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.452615405841338*^9, 3.452615468725771*^9}, {
   3.452615509906052*^9, 3.4526155823926287`*^9}, {3.452615649950107*^9, 
   3.4526159163810787`*^9}, {3.452616152171308*^9, 3.4526161581065598`*^9}, {
   3.4526161937284107`*^9, 3.452616197161113*^9}, {3.4526162785987186`*^9, 
   3.4526163110993423`*^9}, {3.45261636792985*^9, 3.452616398789652*^9}, {
   3.452616459943962*^9, 3.452616461131708*^9}, {3.4526165211296186`*^9, 
   3.452616565756496*^9}, 3.4526166182719297`*^9, {3.452616769015669*^9, 
   3.452616817379772*^9}},
 CellID->1418238242],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"creaselengthstudy", "[", 
    RowBox[{"p_", ",", "a_", ",", "b_"}], "]"}], " ", ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"Show", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Graphics3D", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"15", ",", "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"15", ",", "20", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "20", ",", "0"}], "}"}]}], "}"}], "]"}], "}"}], 
      "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Plot3D", "[", 
      RowBox[{
       RowBox[{"creaselength", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", "a", ",", "b"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "a"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", "0", ",", "b"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "15"}], "}"}]}], ",", 
       RowBox[{"BoxRatios", "\[Rule]", "Automatic"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"paper3D", "[", 
      RowBox[{"p", ",", "a", ",", "b"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"Thick", ",", 
        RowBox[{"PointSize", "[", "Large", "]"}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Append", "[", 
            RowBox[{"p", ",", "0"}], "]"}], ",", 
           RowBox[{"Append", "[", 
            RowBox[{"p", ",", 
             RowBox[{"creaselength", "[", 
              RowBox[{"p", ",", "a", ",", "b"}], "]"}]}], "]"}]}], "}"}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Point", "[", 
         RowBox[{"Append", "[", 
          RowBox[{"p", ",", 
           RowBox[{"creaselength", "[", 
            RowBox[{"p", ",", "a", ",", "b"}], "]"}]}], "]"}], "]"}]}], "}"}],
       "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"creasearound3D", "[", 
        RowBox[{"t", ",", "a", ",", "b"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", 
         RowBox[{
          RowBox[{"2", "a"}], "+", 
          RowBox[{"2", "b"}]}]}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "15"}], "}"}]}]}], "]"}]}], "]"}]}], 
  "\[IndentingNewLine]"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4500967862514057`*^9, 3.4500968086287003`*^9}, {
  3.450855063963833*^9, 3.450855086899681*^9}, {3.450855140214147*^9, 
  3.450855152303369*^9}, {3.450855281634116*^9, 3.4508552839778967`*^9}, {
  3.4508553315052643`*^9, 3.4508553792301283`*^9}, {3.4508554534219522`*^9, 
  3.4508554760519943`*^9}, {3.450855530109929*^9, 3.450855534283051*^9}, {
  3.4508556607785597`*^9, 3.4508556611942053`*^9}, {3.4513223322690887`*^9, 
  3.451322351702302*^9}},
 CellID->74859431],

Cell[BoxData[
 RowBox[{
  RowBox[{"criticaltable", "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], " ", ":=", "\[IndentingNewLine]", 
  RowBox[{"Labeled", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Text", "[", 
     RowBox[{"Row", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
       "\"\<critical fold                          \>\"", ",", 
        "\[IndentingNewLine]", "\"\<P                                   \>\"",
         ",", "\[IndentingNewLine]", 
        "\"\<{\!\(\*SubscriptBox[\(Q\), \(1\)]\), \!\(\*SubscriptBox[\(Q\), \
\(2\)]\)}                   \>\"", ",", "\[IndentingNewLine]", 
        "\"\<critical crease length \>\"", ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<z\>\"", ",", "Italic"}], "]"}]}], "}"}], "]"}], "]"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"Grid", "[", 
     RowBox[{
      RowBox[{"MapThread", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Prepend", "[", 
          RowBox[{"#1", ",", "#2"}], "]"}], "&"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"data", "[", 
           RowBox[{"a", ",", "b"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
           "\"\<vertical\\nlocal min.\>\"", ",", 
            "\"\<upper-left corner\\nlocal max.\>\"", ",", 
            "\[IndentingNewLine]", "\"\<traditional\\nlocal min.\>\"", ",", 
            "\"\<45 degree\\nlocal max.\>\"", ",", 
            "\"\<opposite corner\\nlocal min.\>\""}], "}"}]}], 
         "\[IndentingNewLine]", "}"}]}], "]"}], ",", 
      RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.446109902704976*^9, 3.4461099204356613`*^9}, {
   3.44611054581979*^9, 3.446110563536973*^9}, {3.4461105935636663`*^9, 
   3.446110655754702*^9}, {3.446110742581308*^9, 3.44611075058641*^9}, {
   3.4461108183273773`*^9, 3.446110829883157*^9}, {3.446110872928596*^9, 
   3.4461109429810457`*^9}, {3.446110979430889*^9, 3.4461110439899483`*^9}, {
   3.446151467250902*^9, 3.4461516110187063`*^9}, {3.446151661869355*^9, 
   3.446151715697802*^9}, {3.446151757963933*^9, 3.4461517736833677`*^9}, {
   3.446151844159668*^9, 3.4461518475078897`*^9}, {3.44615415480654*^9, 
   3.446154180634285*^9}, {3.4461543300518503`*^9, 3.44615433347186*^9}, {
   3.446155221926938*^9, 3.4461554312772627`*^9}, {3.446155535661221*^9, 
   3.446155542714704*^9}, {3.446501079467187*^9, 3.446501141162469*^9}, 
   3.446501212244505*^9, {3.446501525015676*^9, 3.44650155591464*^9}, {
   3.446501739747073*^9, 3.446501744103004*^9}, {3.448449792638994*^9, 
   3.4484497944997797`*^9}, {3.448449867167645*^9, 3.448449898215619*^9}, {
   3.448451526416562*^9, 3.4484515723428307`*^9}, {3.4484517035110083`*^9, 
   3.4484518326693*^9}, {3.4484521404166737`*^9, 3.448452145818952*^9}, {
   3.4490780408820667`*^9, 3.4490780430826263`*^9}, {3.449078199508081*^9, 
   3.449078201356824*^9}, {3.4490783018744*^9, 3.449078389414062*^9}, 
   3.449078449737523*^9, {3.4490785137800503`*^9, 3.4490785854737988`*^9}, {
   3.4493387294237556`*^9, 3.449338730230682*^9}, {3.450181442661018*^9, 
   3.450181470034608*^9}, {3.450293344600628*^9, 3.450293383193452*^9}, {
   3.4502934327541847`*^9, 3.45029343568862*^9}, {3.4502940765822153`*^9, 
   3.450294161036275*^9}, 3.450508069913982*^9, {3.4505081366720953`*^9, 
   3.450508163694418*^9}, {3.450508195095088*^9, 3.4505082293928022`*^9}, {
   3.450508274262024*^9, 3.450508294557582*^9}, {3.450602375675928*^9, 
   3.450602439728092*^9}, 3.450602498483449*^9, 3.450797713607727*^9, 
   3.4507987904282417`*^9, {3.450804663389648*^9, 3.4508046685639553`*^9}, {
   3.45080470672418*^9, 3.4508047141624937`*^9}, {3.450804810545594*^9, 
   3.450804827631176*^9}, {3.450804865219015*^9, 3.4508048667126007`*^9}, {
   3.4508563501042223`*^9, 3.450856350828148*^9}, {3.451328545688999*^9, 
   3.451328558908038*^9}, {3.451415938253183*^9, 3.451415941503204*^9}, {
   3.45141610820682*^9, 3.4514161795349445`*^9}, 3.45141669164432*^9},
 CellID->1884523322],

Cell[BoxData[
 RowBox[{
  RowBox[{"specialktable", "[", "a_", "]"}], " ", ":=", " ", 
  "\[IndentingNewLine]", 
  RowBox[{"Labeled", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Grid", "[", 
     RowBox[{
      RowBox[{"MapThread", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"#1", ",", "#2", ",", "#3", ",", "#4", ",", "#5"}], "}"}], 
         " ", "&"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{"j", ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "7"}], "}"}]}], "]"}], ",", "knames", ",", 
          "ks", ",", " ", 
          RowBox[{"N", "[", "ks", "]"}], ",", 
          RowBox[{"N", "[", 
           RowBox[{"a", " ", "ks"}], "]"}]}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Text", "[", 
     RowBox[{"Row", "[", 
      RowBox[{"{", "                                                    ", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", "\"\< = \>\"", ",", 
        RowBox[{"NumberForm", "[", 
         RowBox[{"a", ",", "4"}], "]"}], ",", "\[IndentingNewLine]", 
        "\"\<                             special \>\"", ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}], ",", 
        "\"\<                 \>\"", ",", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<k a\>\"", ",", "Italic"}], "]"}]}], "}"}], "]"}], "]"}],
     ",", "Top"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.451327122540491*^9, 3.4513271334328613`*^9}, {
   3.451327170287278*^9, 3.451327189300362*^9}, 3.45141022515167*^9, {
   3.4514167567224445`*^9, 3.45141681914432*^9}},
 CellID->1040938709],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"flyforspecialks", "[", 
    RowBox[{"i_", ",", "a_", ",", "k_"}], "]"}], " ", ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"Labeled", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Show", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"zs", "[", 
            RowBox[{"a", ",", 
             RowBox[{"k", " ", "a"}]}], "]"}], ",", 
           RowBox[{"creaselength", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"a", ",", "y"}], "}"}], ",", "a", ",", 
             RowBox[{"k", " ", "a"}]}], "]"}]}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"y", ",", "0", ",", "14"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"8", ",", "14"}], "}"}]}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotLabel", "\[Rule]", "\[IndentingNewLine]", 
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"NumberForm", "[", 
              RowBox[{"a", ",", "2"}], "]"}], ",", "\"\<\[Times]\>\"", ",", 
             RowBox[{"NumberForm", "[", 
              RowBox[{
               RowBox[{"k", " ", "a"}], ",", "6"}], "]"}], ",", " ", 
             "\"\< paper\>\"", ",", "\[IndentingNewLine]", "\"\<\\n\>\"", ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<k\>\"", ",", "Italic"}], "]"}], ",", "\"\< = \>\"",
              ",", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"i", ">", "0"}], ",", 
               RowBox[{"StringJoin", "[", 
                RowBox[{
                 RowBox[{"knames", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], ",", "\"\< = \>\""}], "]"}],
                ",", "\"\<\>\""}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"NumberForm", "[", 
              RowBox[{"k", ",", "6"}], "]"}]}], "}"}], "]"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"PointSize", "[", "Large", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"yzs", "[", 
            RowBox[{"a", ",", 
             RowBox[{"k", " ", "a"}]}], "]"}], "]"}]}], "}"}], "]"}]}], "]"}],
      ",", "\[IndentingNewLine]", 
     RowBox[{"specialktable", "[", "a", "]"}], ",", "Right"}], "]"}]}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.450096927722012*^9, 3.4500969478658657`*^9}, {
   3.450097005346575*^9, 3.450097017876793*^9}, {3.450097113881146*^9, 
   3.450097118931869*^9}, {3.450372318624825*^9, 3.4503723252073193`*^9}, {
   3.450372422253228*^9, 3.4503725177139797`*^9}, {3.450372549319665*^9, 
   3.45037256925279*^9}, {3.450373002838831*^9, 3.45037302790267*^9}, {
   3.45037338878484*^9, 3.450373408868547*^9}, {3.450373596951735*^9, 
   3.450373623335249*^9}, {3.450373680127596*^9, 3.450373721715789*^9}, {
   3.450373803069068*^9, 3.450373828238613*^9}, {3.450374111974696*^9, 
   3.4503741261917152`*^9}, {3.450374250219194*^9, 3.4503743248795023`*^9}, {
   3.4503743921028967`*^9, 3.450374492884362*^9}, {3.45037462009342*^9, 
   3.450374643987998*^9}, {3.4503746932417316`*^9, 3.450374724436923*^9}, 
   3.450374853820552*^9, 3.450374885773904*^9, {3.450554099201398*^9, 
   3.4505541173342533`*^9}, {3.450554150182122*^9, 3.4505541569807167`*^9}, {
   3.4505542006783123`*^9, 3.450554294271555*^9}, {3.450554463995709*^9, 
   3.450554471894902*^9}, {3.451326950165751*^9, 3.451326953209321*^9}, 
   3.45132716580341*^9, {3.451327207108571*^9, 3.451327216163216*^9}, {
   3.451327385048243*^9, 3.451327414104806*^9}, {3.451327452066814*^9, 
   3.451327453395862*^9}, {3.451327712909782*^9, 3.451327736919372*^9}, {
   3.451327806148728*^9, 3.451327866971074*^9}, {3.451327948924189*^9, 
   3.4513279963929*^9}, {3.4514168910036945`*^9, 3.4514169338786945`*^9}, {
   3.4517501630321903`*^9, 3.4517501632353153`*^9}, {3.4517503315009403`*^9, 
   3.4517503358915653`*^9}},
 CellID->2094646898],

Cell[BoxData[
 RowBox[{
  RowBox[{"folds", "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], " ", ":=", " ", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"paper", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", 
         RowBox[{"#", "+", ".001"}]}], "}"}], ",", "a", ",", "b"}], "]"}], 
     " ", "&"}], ",", " ", 
    RowBox[{"ys", "[", 
     RowBox[{"a", ",", "b"}], "]"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.446334802077199*^9, 3.446334860024848*^9}, 
   3.4463348930046387`*^9, {3.447198956909729*^9, 3.447198981558622*^9}, {
   3.447199012244038*^9, 3.447199013252041*^9}, {3.447244078595565*^9, 
   3.447244080447132*^9}},
 CellID->1030989415],

Cell[BoxData[
 RowBox[{
  RowBox[{"foldszs", "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], " ", ":=", 
  RowBox[{"MapThread", "[", 
   RowBox[{"List", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"folds", "[", 
       RowBox[{"a", ",", "b"}], "]"}], ",", 
      RowBox[{"zs", "[", 
       RowBox[{"a", ",", "b"}], "]"}]}], "}"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4463982776220903`*^9, 3.44639838692861*^9}, {
  3.44639850263207*^9, 3.446398509550791*^9}, {3.446398563545578*^9, 
  3.446398569318356*^9}, {3.446398613840395*^9, 3.4463986155589952`*^9}, {
  3.4463986459837713`*^9, 3.4463986737918377`*^9}, {3.448590907668407*^9, 
  3.448590920170086*^9}},
 CellID->1941033909],

Cell[BoxData[
 RowBox[{
  RowBox[{"foldszsorder", "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], " ", ":=", " ", 
  RowBox[{"Prepend", "[", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "1", "]"}], "]"}], " ", "&"}], ",", 
      RowBox[{"SortBy", "[", 
       RowBox[{
        RowBox[{"foldszs", "[", 
         RowBox[{"a", ",", "b"}], "]"}], ",", 
        RowBox[{
         RowBox[{"N", "[", 
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "]"}], " ", "&"}]}], "]"}]}], 
     "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.446240785385912*^9, 3.4462408866955957`*^9}, {
   3.446241371255192*^9, 3.446241376500765*^9}, 3.446242191799116*^9, {
   3.446399218092441*^9, 3.4463992640824547`*^9}, {3.446400997343719*^9, 
   3.446401002661522*^9}, {3.447460009948661*^9, 3.4474600107339087`*^9}, {
   3.447461160064735*^9, 3.447461167190453*^9}, {3.448590942703739*^9, 
   3.4485909438979197`*^9}, {3.450693894398679*^9, 3.450693935166667*^9}, {
   3.450694091557057*^9, 3.450694174416964*^9}, {3.450767321537812*^9, 
   3.4507673315915737`*^9}},
 CellID->532826986],

Cell[BoxData[
 RowBox[{
  RowBox[{"separateby", "[", 
   RowBox[{"lst_", ",", "s_"}], "]"}], " ", ":=", " ", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Length", "[", "lst", "]"}], "<", "2"}], ",", "lst", ",", 
    RowBox[{"Join", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"First", "[", "lst", "]"}], ",", "s"}], "}"}], ",", 
      RowBox[{"separateby", "[", 
       RowBox[{
        RowBox[{"Rest", "[", "lst", "]"}], ",", "s"}], "]"}]}], "]"}]}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.450767348621229*^9, 3.4507674628572397`*^9}, {
  3.450767561153489*^9, 3.450767562529449*^9}, {3.450767754263315*^9, 
  3.450767790637754*^9}, {3.450767822967683*^9, 3.450767856320409*^9}, {
  3.45076801446014*^9, 3.450768014808715*^9}, {3.450770746201887*^9, 
  3.4507707465517273`*^9}},
 CellID->1450303710],

Cell[BoxData[
 RowBox[{
  RowBox[{"separatebyorder", "[", 
   RowBox[{"lst_", ",", "f_"}], "]"}], " ", ":=", " ", "\[IndentingNewLine]", 
  
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Length", "[", "lst", "]"}], "<", "2"}], ",", "lst", ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Join", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"First", "[", "lst", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Which", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"f", "[", 
            RowBox[{"lst", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "]"}], "<", 
           RowBox[{"f", "[", 
            RowBox[{"lst", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ",", "\"\<<\>\"", ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"f", "[", 
            RowBox[{"lst", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "]"}], "\[Equal]", 
           RowBox[{"f", "[", 
            RowBox[{"lst", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ",", "\"\<=\>\"", ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"f", "[", 
            RowBox[{"lst", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "]"}], ">", 
           RowBox[{"f", "[", 
            RowBox[{"lst", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ",", "\"\<>\>\""}], 
         "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"separatebyorder", "[", 
       RowBox[{
        RowBox[{"Rest", "[", "lst", "]"}], ",", "f"}], "]"}]}], "]"}]}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.450767348621229*^9, 3.4507674628572397`*^9}, {
   3.450767561153489*^9, 3.450767562529449*^9}, {3.450767754263315*^9, 
   3.450767790637754*^9}, {3.450767822967683*^9, 3.450767856320409*^9}, {
   3.45076801446014*^9, 3.450768014808715*^9}, {3.450770746201887*^9, 
   3.4507707465517273`*^9}, {3.45133931109943*^9, 3.451339542039212*^9}, {
   3.451339585010475*^9, 3.45133958578496*^9}, {3.451339658913518*^9, 
   3.451339659508912*^9}, {3.451339699731275*^9, 3.45133970002744*^9}, 
   3.4513397589507303`*^9, {3.451339978549614*^9, 3.4513399966492968`*^9}, {
   3.451340040659862*^9, 3.451340108710307*^9}, {3.4513420022898827`*^9, 
   3.4513420056944427`*^9}, {3.4513421504216003`*^9, 3.451342163953277*^9}, {
   3.4513422206893463`*^9, 3.451342229004407*^9}, {3.451342286499948*^9, 
   3.4513423812426777`*^9}, {3.451342429776263*^9, 3.451342467658038*^9}, {
   3.4513425045352182`*^9, 3.451342556282834*^9}},
 CellID->216345712],

Cell[BoxData[
 RowBox[{
  RowBox[{"foldsinorder", "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], " ", ":=", "  ", 
  RowBox[{"Prepend", "[", 
   RowBox[{
    RowBox[{"separateby", "[", 
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", "1", "]"}], "]"}], " ", "&"}], ",", 
        RowBox[{"SortBy", "[", 
         RowBox[{
          RowBox[{"foldszs", "[", 
           RowBox[{"a", ",", "b"}], "]"}], ",", 
          RowBox[{
           RowBox[{"N", "[", 
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "]"}], " ", "&"}]}], "]"}]}], 
       "]"}], ",", "\"\<<\>\""}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.450767941352229*^9, 3.450767984268792*^9}, {
  3.4507680296914387`*^9, 3.450768042626981*^9}, {3.450768265765491*^9, 
  3.4507683170325327`*^9}, {3.4507683476345243`*^9, 3.450768354061356*^9}, {
  3.4507683882944098`*^9, 3.45076840528936*^9}, {3.4507684601942873`*^9, 
  3.450768466801963*^9}},
 CellID->432567213],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"criticalcreasestudy", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], " ", ":=", "\[IndentingNewLine]", 
   RowBox[{"Text", "@", 
    RowBox[{"Labeled", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Grid", "[", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"StringQ", "[", "#", "]"}], ",", "#", ",", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], " ", "]"}], "&"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"separatebyorder", "[", 
            RowBox[{
             RowBox[{"SortBy", "[", 
              RowBox[{
               RowBox[{"foldszs", "[", 
                RowBox[{"a", ",", "b"}], "]"}], ",", 
               RowBox[{
                RowBox[{"N", "[", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "]"}], " ", "&"}]}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"N", "[", 
               RowBox[{"#", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "]"}], " ", "&"}]}], "]"}]}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"StringQ", "[", "#", "]"}], ",", "#", ",", 
              RowBox[{"#", "[", 
               RowBox[{"[", "2", "]"}], "]"}]}], " ", "]"}], "&"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"separatebyorder", "[", 
            RowBox[{
             RowBox[{"SortBy", "[", 
              RowBox[{
               RowBox[{"foldszs", "[", 
                RowBox[{"a", ",", "b"}], "]"}], ",", 
               RowBox[{
                RowBox[{"N", "[", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "]"}], " ", "&"}]}], "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"N", "[", 
               RowBox[{"#", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "]"}], " ", "&"}]}], "]"}]}], 
          "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
      RowBox[{"StringJoin", "[", 
       RowBox[{
       "\"\<order of critical crease lengths when a = \>\"", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"ToString", "[", "a", "]"}], ",", " ", "\"\< and b = \>\"", 
        ",", " ", 
        RowBox[{"ToString", "[", "b", "]"}]}], "]"}], ",", "Top"}], "]"}]}]}],
   "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.451340194234695*^9, 3.45134029012883*^9}, {
   3.45134098790901*^9, 3.451341043565886*^9}, {3.451341152997512*^9, 
   3.4513411729650517`*^9}, {3.451343135468815*^9, 3.451343196825178*^9}, {
   3.451343227025035*^9, 3.4513432314876213`*^9}, {3.451343279522286*^9, 
   3.4513433270256643`*^9}, {3.451343456825932*^9, 3.451343458129179*^9}, {
   3.45134357185258*^9, 3.451343572874605*^9}, {3.4513436120879917`*^9, 
   3.451343642521866*^9}, 3.4514159523626485`*^9},
 CellID->1655093701],

Cell[BoxData[
 RowBox[{
  RowBox[{"surprisepaper", " ", "=", " ", 
   RowBox[{"GraphicsGrid", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"foldsinorder", "[", 
       RowBox[{"8", ",", "12"}], "]"}], ",", 
      RowBox[{"foldsinorder", "[", 
       RowBox[{"8", ",", "11"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"foldsinorder", "[", 
       RowBox[{"8", ",", "10"}], "]"}], ",", 
      RowBox[{"foldsinorder", "[", 
       RowBox[{"8", ",", "9.5"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"foldsinorder", "[", 
       RowBox[{"8.5", ",", "11"}], "]"}], ",", 
      RowBox[{"foldsinorder", "[", 
       RowBox[{"8.5", ",", "10.8"}], "]"}]}], "}"}], "]"}]}], ";"}]], "Input",\

 InitializationCell->True,
 CellChangeTimes->{{3.450691106140874*^9, 3.450691146884654*^9}, {
   3.450691197439453*^9, 3.4506912338910646`*^9}, {3.450691453435165*^9, 
   3.45069147819963*^9}, {3.450691620631886*^9, 3.4506916687663393`*^9}, {
   3.450691701822742*^9, 3.450691717941622*^9}, {3.4506924757271767`*^9, 
   3.450692487092825*^9}, {3.450692863230742*^9, 3.450692864413871*^9}, {
   3.450693774926448*^9, 3.4506937758808804`*^9}, {3.4506938311810303`*^9, 
   3.450693832777944*^9}, {3.450693967938335*^9, 3.4506939687565517`*^9}, {
   3.450696691890836*^9, 3.450696711800254*^9}, {3.450696754851611*^9, 
   3.450696760537726*^9}, {3.450768057694062*^9, 3.450768093169443*^9}, 
   3.451060134178973*^9},
 CellID->925003796],

Cell[BoxData[
 RowBox[{
  RowBox[{"surprisetext", " ", "=", "\[IndentingNewLine]", 
   RowBox[{"Text", "[", 
    RowBox[{"Style", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"StringJoin", "[", 
       RowBox[{
       "\"\<The textbook local min \!\(\*SubscriptBox[\(z\), \(2\)]\), \
defined when \!\(\*FormBox[
RowBox[{
RowBox[{FractionBox[\"b\", \"a\"], \">\", SubscriptBox[\"k\", \"12\"]}], \
\"=\", FractionBox[\"3\", 
RowBox[{\"2\", \" \", SqrtBox[\"2\"]}]]}],
TraditionalForm]\).\>\"", ",", "\[IndentingNewLine]", "\"\<\\nIt is \!\(\*
StyleBox[\"never\",
FontSlant->\"Italic\"]\) the shortest crease for all folds to the right edge.\
\>\"", ",", "\[IndentingNewLine]", 
        "\"\<\\nIt is the shortest among creases that interesect the left and \
bottom edges.\>\"", ",", " ", 
        "\"\<\\nIt is the shortest among creases that intersect the bottom \
edge,\>\"", ",", "\[IndentingNewLine]", "\"\<\\nwhen \!\(\*FormBox[
RowBox[{
RowBox[{FractionBox[\"b\", \"a\"], \">\", SubscriptBox[\"k\", \"02\"]}], \
\"=\", FractionBox[
RowBox[{\"3\", \" \", SqrtBox[\"3\"]}], \"4\"]}],
TraditionalForm]\), such as for 8x11 and 8x12 paper.\>\"", ",", 
        "\[IndentingNewLine]", 
        "\"\<\\n\\nFor 8\[Times]10, 8x9.5 and 8.5\[Times]10.8 paper, the \
vertical crease is the shortest.\>\"", ",", "\[IndentingNewLine]", 
        "\"\<\\nFor 8x11, 8x12 and 8.5x11 paper, the crease to the opposite \
corner is the shortest.\>\"", ",", "\[IndentingNewLine]", 
        "\"\<\\n\\nWhy are 8.5\[Times]10.8 and 8.5\[Times]11 paper so \
different?\>\""}], "]"}], "\[IndentingNewLine]", ",", "12"}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.451337582877543*^9, 3.451337594272236*^9}, {
   3.4513376700142927`*^9, 3.451337790039991*^9}, {3.451337905770927*^9, 
   3.451337932320642*^9}, {3.451337965536993*^9, 3.451338175430592*^9}, {
   3.4513382953210363`*^9, 3.451338310778331*^9}, {3.451338384053034*^9, 
   3.451338385693246*^9}, {3.451406378682234*^9, 3.451406397434394*^9}, 
   3.4514161984724445`*^9, {3.4517503609071903`*^9, 3.4517503694853153`*^9}, {
   3.452623410290847*^9, 3.452623539162211*^9}, {3.452623614263227*^9, 
   3.452623710854679*^9}, {3.452623767170724*^9, 3.452623798149712*^9}, {
   3.452623845669649*^9, 3.452623918832302*^9}, {3.452623958684531*^9, 
   3.452623962821166*^9}, {3.4526240712430353`*^9, 3.452624170075583*^9}, {
   3.452624213123427*^9, 3.452624222753208*^9}, {3.4526242822218447`*^9, 
   3.4526243385243*^9}, {3.452624385140793*^9, 3.452624419960202*^9}, {
   3.452624550820753*^9, 3.452624560939707*^9}, {3.4526245944376087`*^9, 
   3.452624608591021*^9}, {3.45262476775756*^9, 3.452624794136241*^9}, {
   3.452624937451798*^9, 3.452624957278954*^9}, {3.45262522317461*^9, 
   3.452625239210637*^9}, {3.452625272219433*^9, 3.45262528447996*^9}, 
   3.452625344563534*^9, {3.4526254691366167`*^9, 3.452625474831465*^9}, {
   3.452625768326453*^9, 3.4526257744971952`*^9}},
 CellID->804153116],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Which", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"choice", " ", "\[Equal]", " ", "\"\<paper\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{"c", ",", 
        RowBox[{
         RowBox[{"p", "[", 
          RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", "a"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Labeled", "[", 
       RowBox[{
        RowBox[{"paperplay", "[", 
         RowBox[{"p", ",", "a", ",", "b"}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{"circletext", ",", "10"}], "]"}], "]"}], ",", "Right"}], 
       "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"choice", " ", "\[Equal]", " ", "\"\<crease length\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{"c", ",", " ", 
        RowBox[{
         RowBox[{"p", "[", 
          RowBox[{"[", "1", "]"}], "]"}], " ", "=", " ", "a"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Grid", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Pane", "[", 
            RowBox[{
             RowBox[{"paperplay", "[", 
              RowBox[{"p", ",", "a", ",", "b"}], "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "250"}]}], "]"}], ",", 
           RowBox[{"Pane", "[", 
            RowBox[{
             RowBox[{"creaselengthstudy", "[", 
              RowBox[{"p", ",", "a", ",", "b"}], "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "250"}]}], "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Text", "@", "\"\<P = \>\""}], ",", 
              RowBox[{"NumberForm", "[", 
               RowBox[{"p", ",", "6"}], "]"}]}], "}"}], "]"}], ",", 
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Text", "@", "\"\<crease length \>\""}], ",", " ", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<z\>\"", ",", "Italic"}], "]"}], " ", ",", 
              "\"\< = \>\"", ",", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"creaselength", "[", 
                 RowBox[{"p", ",", "8", ",", "12"}], "]"}], ",", "6"}], 
               "]"}]}], "}"}], "]"}]}], "}"}]}], "}"}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"choice", " ", "\[Equal]", " ", "\"\<critical table\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Column", "[", 
      RowBox[{"{", "\[IndentingNewLine]", " ", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"s", "\[Equal]", "0"}], ",", 
         RowBox[{"Text", "@", 
          RowBox[{"criticaltable", "[", 
           RowBox[{"\"\<a\>\"", ",", "\"\<b\>\""}], "]"}]}], ",", 
         RowBox[{"Text", "@", 
          RowBox[{"criticaltable", "[", 
           RowBox[{"a", ",", "b"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
       "}"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"choice", " ", "\[Equal]", " ", "\"\<fly\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"q", ">", "0"}], ",", 
        RowBox[{
         RowBox[{"k", " ", "=", " ", 
          RowBox[{"ks", "[", 
           RowBox[{"[", "q", "]"}], "]"}]}], ";", " ", 
         RowBox[{"b", " ", "=", " ", 
          RowBox[{"k", " ", "a"}]}]}], ",", 
        RowBox[{"k", " ", "=", " ", 
         RowBox[{"b", "/", "a"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Text", "@", 
       RowBox[{"flyforspecialks", "[", 
        RowBox[{"q", ",", "a", ",", "k"}], "]"}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"choice", " ", "==", " ", "\"\<critical creases\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"q", ">", "0"}], ",", 
        RowBox[{"b", " ", "=", " ", 
         RowBox[{
          RowBox[{"ks", "[", 
           RowBox[{"[", "q", "]"}], "]"}], " ", "a"}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"b", "<", "a"}], ",", 
        RowBox[{"b", " ", "=", " ", "a"}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"criticalcreasestudy", "[", 
       RowBox[{"a", ",", "b"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"choice", " ", "==", " ", "\"\<surprise\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Labeled", "[", 
      RowBox[{
      "surprisepaper", ",", "\[IndentingNewLine]", "surprisetext", ",", 
       "Top"}], "]"}]}], "\[IndentingNewLine]", "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", 
       RowBox[{"{", 
        RowBox[{"8", ",", "2"}], "}"}]}], "}"}], ",", " ", "Locator"}], "}"}],
    ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "8."}], "}"}], ",", "5", ",", "15", ",", ".5", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "12."}], "}"}], ",", "5", ",", "15", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "q", ",", "0", ",", 
       "\"\<Choose b/a and fly bird by varying a or b, or choose a special k:\
\\nWhen b/a = \!\(\*SubscriptBox[\(k\), \(i\[InvisibleSpace]j\)]\), critical \
crease lengths \!\(\*SubscriptBox[\(z\), \(i\)]\) and \
\!\(\*SubscriptBox[\(z\), \(j\)]\) are equal.\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"0", "\[Rule]", "\"\<b/a\>\""}], ",", "\[IndentingNewLine]", 
       RowBox[{
       "1", "\[Rule]", "\"\<\!\(\*SubscriptBox[\(k\), \(12\)]\)\>\""}], ",", 
       RowBox[{
       "2", "\[Rule]", "\"\<\!\(\*SubscriptBox[\(k\), \(14\)]\)\>\""}], ",", 
       RowBox[{
       "3", "\[Rule]", "\"\<\!\(\*SubscriptBox[\(k\), \(24\)]\)\>\""}], ",", 
       RowBox[{
       "4", "\[Rule]", "\"\<\!\(\*SubscriptBox[\(k\), \(13\)]\)\>\""}], ",", 
       RowBox[{
       "5", "\[Rule]", "\"\<\!\(\*SubscriptBox[\(k\), \(04\)]\)\>\""}], ",", 
       RowBox[{
       "6", "\[Rule]", "\"\<\!\(\*SubscriptBox[\(k\), \(02\)]\)\>\""}], ",", 
       RowBox[{
       "7", "\[Rule]", "\"\<\!\(\*SubscriptBox[\(k\), \(03\)]\)\>\""}]}], 
      "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"choice", ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<paper\>\"", ",", "\"\<crease length\>\"", ",", 
       "\"\<critical table\>\"", ",", "\"\<fly\>\"", ",", 
       "\"\<critical creases\>\"", ",", "\"\<surprise\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ControlType", "\[Rule]", "RadioButton"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "c", ",", "False", ",", 
       "\"\<For paper and crease length, constrain P to right edge.\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}], ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"choice", "===", "\"\<paper\>\""}], "||", 
        RowBox[{"choice", "===", "\"\<crease length\>\""}]}], ")"}]}]}], 
    "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"s", ",", "0", ",", "\"\<for critical table\>\""}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{
       RowBox[{"0", "\[Rule]", "\"\<formulas\>\""}], ",", 
       RowBox[{"1", "\[Rule]", "\"\<values for given a and b\>\""}]}], "}"}], 
     ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{"choice", "===", "\"\<critical table\>\""}], ")"}]}], ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Top"}], ",", 
   RowBox[{"ContentSize", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"600", ",", "350"}], "}"}]}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.450179718245165*^9, 3.45018002076186*^9}, {
   3.450180063381208*^9, 3.450180258873352*^9}, {3.450180656712822*^9, 
   3.450180759316483*^9}, {3.4501808387255087`*^9, 3.450180842681623*^9}, {
   3.4501808895556383`*^9, 3.450180921071239*^9}, {3.4501809816284533`*^9, 
   3.45018098499587*^9}, {3.450181025252426*^9, 3.4501811740361547`*^9}, {
   3.4501814989692574`*^9, 3.45018150343561*^9}, {3.450181583703814*^9, 
   3.4501816387989073`*^9}, {3.450181743448593*^9, 3.450181753369872*^9}, {
   3.450182447817556*^9, 3.450182493695444*^9}, {3.450182679605279*^9, 
   3.4501826960250053`*^9}, {3.450201846155451*^9, 3.45020188073057*^9}, {
   3.450202121554263*^9, 3.450202140219224*^9}, {3.450202265269209*^9, 
   3.450202267799863*^9}, {3.450202342109646*^9, 3.450202355557393*^9}, 
   3.4502028018971453`*^9, {3.450202867939308*^9, 3.450202873346752*^9}, {
   3.4502939838794947`*^9, 3.4502940253168383`*^9}, {3.450294866498316*^9, 
   3.450294914556291*^9}, {3.4502949608245*^9, 3.4502949740067244`*^9}, {
   3.450344574510026*^9, 3.4503446891257668`*^9}, {3.450344735382741*^9, 
   3.4503448283348293`*^9}, {3.4503448999943657`*^9, 3.450344963781831*^9}, {
   3.450370251445304*^9, 3.45037027032771*^9}, {3.4503703397303953`*^9, 
   3.450370405142674*^9}, {3.4503705768352423`*^9, 3.450370590726965*^9}, {
   3.450370651796424*^9, 3.450370660570738*^9}, {3.450370908675117*^9, 
   3.450370961093999*^9}, {3.450371054640275*^9, 3.4503710551783648`*^9}, {
   3.450371695950482*^9, 3.450371703820898*^9}, {3.4503720007055683`*^9, 
   3.4503720075517397`*^9}, {3.450372218671176*^9, 3.450372253886571*^9}, {
   3.4505052332455072`*^9, 3.450505413088955*^9}, {3.450505456285671*^9, 
   3.450505551663561*^9}, {3.450505874975245*^9, 3.450505881139902*^9}, {
   3.450505938644113*^9, 3.450505943361861*^9}, {3.450506110046947*^9, 
   3.4505061231479588`*^9}, {3.450506282382131*^9, 3.450506285855947*^9}, 
   3.450506401833371*^9, {3.450506495552902*^9, 3.450506601168508*^9}, {
   3.450506666131813*^9, 3.4505066772022953`*^9}, 3.450507246529585*^9, {
   3.4505072853043957`*^9, 3.45050728749376*^9}, {3.450507371933302*^9, 
   3.4505074189005747`*^9}, {3.4505075246247473`*^9, 
   3.4505075573935547`*^9}, {3.450507767332485*^9, 3.4505077695114803`*^9}, {
   3.4505083922969847`*^9, 3.450508414158704*^9}, {3.450508454733699*^9, 
   3.450508460129809*^9}, {3.450516713888214*^9, 3.450516753133613*^9}, {
   3.4505167867654457`*^9, 3.450516811799255*^9}, {3.450565041679544*^9, 
   3.450565132487228*^9}, {3.450565414318886*^9, 3.450565415328157*^9}, {
   3.450565544659601*^9, 3.450565545304009*^9}, {3.4505655883903933`*^9, 
   3.4505656438916063`*^9}, {3.450565704350233*^9, 3.450565706536393*^9}, {
   3.4505658056402187`*^9, 3.450565812966218*^9}, {3.450602673301688*^9, 
   3.4506027861646013`*^9}, {3.450602879000944*^9, 3.450602889919155*^9}, {
   3.450629909985565*^9, 3.450629953006721*^9}, {3.450630121352357*^9, 
   3.4506301430292807`*^9}, {3.450630217089467*^9, 3.450630219209443*^9}, {
   3.450630320181596*^9, 3.450630346316723*^9}, {3.450630445466022*^9, 
   3.450630451480431*^9}, {3.450631450810758*^9, 3.4506314511998253`*^9}, {
   3.450631601830312*^9, 3.45063164429688*^9}, {3.450631680759894*^9, 
   3.450631743727499*^9}, {3.450631775945012*^9, 3.4506318184144583`*^9}, {
   3.450631885038198*^9, 3.4506319537321663`*^9}, {3.450632000326169*^9, 
   3.450632123599066*^9}, {3.45063222767349*^9, 3.450632246933434*^9}, {
   3.450632282568356*^9, 3.450632309896764*^9}, {3.4506323813828497`*^9, 
   3.450632386104945*^9}, {3.4506324945917883`*^9, 3.450632582807678*^9}, {
   3.4506328574648943`*^9, 3.450632858260817*^9}, {3.450632904536158*^9, 
   3.450632909470399*^9}, {3.450633208852866*^9, 3.450633249899823*^9}, {
   3.4506333657119293`*^9, 3.450633373754175*^9}, {3.450633460464588*^9, 
   3.4506334724344187`*^9}, {3.4506335028481073`*^9, 
   3.4506335258797398`*^9}, {3.4506336081859922`*^9, 3.450633610886098*^9}, {
   3.450633781646722*^9, 3.450633783233241*^9}, {3.450633820546557*^9, 
   3.450633899211166*^9}, {3.4506340419458714`*^9, 3.450634055289545*^9}, {
   3.4506341407228518`*^9, 3.450634148801511*^9}, {3.450634827393173*^9, 
   3.450634905977928*^9}, 3.450634951693144*^9, {3.450634984991494*^9, 
   3.450634990744454*^9}, {3.45063504127171*^9, 3.450635042454279*^9}, {
   3.450635420529739*^9, 3.4506355535322437`*^9}, {3.450642860580267*^9, 
   3.4506428984023*^9}, {3.450643316071823*^9, 3.450643328407303*^9}, {
   3.45064401438466*^9, 3.450644050597377*^9}, {3.4506441507180357`*^9, 
   3.450644223007847*^9}, {3.4506443091548567`*^9, 3.4506443335780773`*^9}, {
   3.450644626245701*^9, 3.450644642447845*^9}, {3.450685082475502*^9, 
   3.450685088983281*^9}, {3.450685119867704*^9, 3.450685141199843*^9}, {
   3.4506853279902897`*^9, 3.450685405478381*^9}, {3.4506854371156263`*^9, 
   3.450685457032374*^9}, {3.450685520315123*^9, 3.4506855463553553`*^9}, {
   3.45068670310151*^9, 3.450686724468091*^9}, {3.450687020059*^9, 
   3.4506870810534286`*^9}, {3.450693081070978*^9, 3.450693090377083*^9}, {
   3.4506942851697407`*^9, 3.450694286392281*^9}, {3.450694373780006*^9, 
   3.450694530513617*^9}, {3.450694570771778*^9, 3.450694578106893*^9}, {
   3.450694687293932*^9, 3.450694699955295*^9}, {3.450694754779142*^9, 
   3.450694755889406*^9}, {3.450694789302547*^9, 3.4506947959425097`*^9}, {
   3.450694849513208*^9, 3.450694941120037*^9}, {3.450695020800662*^9, 
   3.4506950316937*^9}, {3.45069507662986*^9, 3.4506950772092953`*^9}, {
   3.450695284450303*^9, 3.450695286844716*^9}, {3.450695334617167*^9, 
   3.450695474788047*^9}, {3.4506957785497103`*^9, 3.4506958225642557`*^9}, {
   3.450695985366329*^9, 3.450696006941132*^9}, {3.450696043105761*^9, 
   3.450696082352584*^9}, {3.4506961404876347`*^9, 3.450696148300373*^9}, {
   3.4506963122486362`*^9, 3.4506963766361094`*^9}, {3.450696428712932*^9, 
   3.4506964611454077`*^9}, {3.4506965001435013`*^9, 
   3.4506965405619583`*^9}, {3.450696808142232*^9, 3.450696836016643*^9}, {
   3.4506969316829023`*^9, 3.450696932637739*^9}, {3.450696977113367*^9, 
   3.450696978020986*^9}, {3.450697035475924*^9, 3.450697225205621*^9}, {
   3.4506972640826*^9, 3.450697276514551*^9}, {3.4506973088360453`*^9, 
   3.450697343463653*^9}, {3.450697375301611*^9, 3.450697380374425*^9}, 
   3.450697584809437*^9, {3.450697688156205*^9, 3.450697701571432*^9}, {
   3.450697758346692*^9, 3.45069778597482*^9}, {3.450697818579648*^9, 
   3.450697820793042*^9}, {3.4506978706374598`*^9, 3.450697888779686*^9}, {
   3.450766303280385*^9, 3.4507665096253443`*^9}, {3.4507666995594788`*^9, 
   3.450766709622624*^9}, {3.4507668917741823`*^9, 3.450766967095121*^9}, {
   3.4507693529121437`*^9, 3.450769433476963*^9}, {3.450769486256919*^9, 
   3.450769490126341*^9}, {3.450769546077417*^9, 3.450769556085719*^9}, {
   3.450769627750793*^9, 3.4507696351852007`*^9}, {3.450769761268484*^9, 
   3.4507698063806458`*^9}, {3.450770317325248*^9, 3.450770337576091*^9}, {
   3.4507992622111177`*^9, 3.4507992697641077`*^9}, 3.450799872658388*^9, {
   3.4508001372954884`*^9, 3.450800138052915*^9}, {3.4508001917010098`*^9, 
   3.4508003536268187`*^9}, 3.450800413640485*^9, {3.450800462563614*^9, 
   3.450800487611953*^9}, {3.450800675192012*^9, 3.450800720419942*^9}, {
   3.4508007995950947`*^9, 3.450800810727981*^9}, {3.4508008530932703`*^9, 
   3.450800854012165*^9}, {3.450800916192874*^9, 3.4508009245191383`*^9}, {
   3.450800995130237*^9, 3.4508012494444427`*^9}, {3.450801382729031*^9, 
   3.450801388610221*^9}, {3.450801442001319*^9, 3.450801487275386*^9}, {
   3.450801539817275*^9, 3.450801557184649*^9}, {3.450801615617206*^9, 
   3.4508016187771072`*^9}, {3.4508016528767033`*^9, 3.45080165310856*^9}, 
   3.4508018097450123`*^9, {3.450801857520528*^9, 3.450801873155322*^9}, {
   3.450802161519532*^9, 3.4508022140812902`*^9}, {3.4508022779046917`*^9, 
   3.450802284422868*^9}, {3.450802347475904*^9, 3.450802373671771*^9}, {
   3.4508025368315573`*^9, 3.450802554360764*^9}, {3.450802884591322*^9, 
   3.4508030020526457`*^9}, {3.450803049825261*^9, 3.4508030895204687`*^9}, {
   3.450803127040927*^9, 3.4508031334066153`*^9}, {3.4508031712986794`*^9, 
   3.450803243739211*^9}, {3.450803302906945*^9, 3.450803366251851*^9}, {
   3.450803425400136*^9, 3.450803470144464*^9}, {3.450803512570841*^9, 
   3.450803534100898*^9}, {3.4508036243228493`*^9, 3.450803656192604*^9}, {
   3.450803865538628*^9, 3.450803883505891*^9}, {3.450803924983756*^9, 
   3.450803934112514*^9}, {3.450803964685858*^9, 3.450804006275125*^9}, {
   3.450804045954056*^9, 3.450804047474184*^9}, {3.450804352549611*^9, 
   3.4508043598146887`*^9}, {3.450804566026289*^9, 3.450804575208617*^9}, {
   3.450854773298568*^9, 3.4508547809849463`*^9}, {3.4508548130974503`*^9, 
   3.450854814474468*^9}, {3.450854865486301*^9, 3.450854872742087*^9}, 
   3.450854913519746*^9, {3.450855838671792*^9, 3.450855859814302*^9}, {
   3.450856019914506*^9, 3.450856056979835*^9}, {3.4508561432290277`*^9, 
   3.4508561449640293`*^9}, {3.450856688355329*^9, 3.4508566907579603`*^9}, {
   3.450856826885467*^9, 3.45085682759612*^9}, {3.450856975869679*^9, 
   3.45085703464432*^9}, {3.4508570813168507`*^9, 3.450857163561757*^9}, {
   3.4508573076845207`*^9, 3.450857309644512*^9}, {3.4508647817976933`*^9, 
   3.450864796810853*^9}, {3.451060140690624*^9, 3.4510601797975345`*^9}, {
   3.451060286635217*^9, 3.4510602983283863`*^9}, {3.45106048908246*^9, 
   3.451060534128964*^9}, {3.451060578740738*^9, 3.451060579629915*^9}, {
   3.451060632348457*^9, 3.451060633240635*^9}, {3.4510606749679794`*^9, 
   3.4510606792248306`*^9}, {3.451060798042589*^9, 3.4510607989287663`*^9}, {
   3.4510609005866013`*^9, 3.4510609041209545`*^9}, {3.45132271538524*^9, 
   3.451322718066267*^9}, {3.451323849622538*^9, 3.451323888096098*^9}, {
   3.45132402613643*^9, 3.451324028072761*^9}, {3.451324521459669*^9, 
   3.4513245285113077`*^9}, {3.451324569675664*^9, 3.451324586668789*^9}, {
   3.451324699767046*^9, 3.451324705129816*^9}, {3.451324749512205*^9, 
   3.451324847013446*^9}, {3.451324898783773*^9, 3.451324899397729*^9}, {
   3.451325089777252*^9, 3.451325101442877*^9}, {3.451325184280554*^9, 
   3.451325274728385*^9}, {3.451325320934229*^9, 3.451325328417614*^9}, {
   3.4513253783017817`*^9, 3.45132545517356*^9}, {3.4513254959527884`*^9, 
   3.4513255101267557`*^9}, {3.451325941413432*^9, 3.45132598919067*^9}, 
   3.4513263145420847`*^9, 3.4513263611072483`*^9, {3.45132640041603*^9, 
   3.451326401037767*^9}, {3.451326454830015*^9, 3.4513264592536993`*^9}, {
   3.4513286957148438`*^9, 3.451328696642303*^9}, {3.4513287435111713`*^9, 
   3.451328744699727*^9}, {3.4513288218801317`*^9, 3.451328822837481*^9}, 
   3.4513348957178*^9, {3.4513349565601807`*^9, 3.4513349641785803`*^9}, 
   3.451335181822106*^9, {3.4513353417783623`*^9, 3.4513354406026278`*^9}, {
   3.451335604922099*^9, 3.451335610690956*^9}, {3.451335741844089*^9, 
   3.451335756169362*^9}, 3.451335892395371*^9, {3.451335994260202*^9, 
   3.4513359995841084`*^9}, {3.451336057263556*^9, 3.4513360609463863`*^9}, {
   3.451336104638364*^9, 3.451336113584882*^9}, {3.451336170480453*^9, 
   3.451336179770699*^9}, {3.451336215719427*^9, 3.451336506959811*^9}, {
   3.451336572034835*^9, 3.451336611219602*^9}, {3.45133664395936*^9, 
   3.451336645261599*^9}, {3.45133667593856*^9, 3.451336678041699*^9}, {
   3.45133674876005*^9, 3.45133676423147*^9}, {3.4513369174420023`*^9, 
   3.4513369251906443`*^9}, {3.451337011812845*^9, 3.45133708595408*^9}, {
   3.451337132621653*^9, 3.45133714173923*^9}, {3.4513372836959467`*^9, 
   3.451337294351136*^9}, {3.451337614074521*^9, 3.45133761631924*^9}, {
   3.451338731023514*^9, 3.451338751272505*^9}, {3.451338782460935*^9, 
   3.451338798831478*^9}, {3.451338908600148*^9, 3.451338940114196*^9}, 
   3.451339056185829*^9, {3.4513391291745977`*^9, 3.4513391487162933`*^9}, {
   3.451339807300064*^9, 3.45133982936379*^9}, {3.451341096198635*^9, 
   3.4513411069984837`*^9}, {3.451344006273109*^9, 3.451344021546904*^9}, {
   3.4513440545082293`*^9, 3.4513440563424253`*^9}, {3.451344207618507*^9, 
   3.451344230694878*^9}, {3.451344295777676*^9, 3.4513442968006067`*^9}, {
   3.451344362779274*^9, 3.451344363628852*^9}, {3.451346041817397*^9, 
   3.451346046187304*^9}, {3.45134615377341*^9, 3.4513461553778877`*^9}, {
   3.451352691866033*^9, 3.451352701135981*^9}, {3.451352834659018*^9, 
   3.451352839966381*^9}, {3.4513530324674463`*^9, 3.451353045038362*^9}, {
   3.451353145539279*^9, 3.4513531489396057`*^9}, {3.45141007243292*^9, 
   3.45141007527667*^9}, {3.4514105179172945`*^9, 3.45141053165167*^9}, {
   3.45141070212042*^9, 3.4514107160422945`*^9}, {3.45141076002667*^9, 
   3.4514107634172945`*^9}, {3.45141202255792*^9, 3.45141206349542*^9}, {
   3.4514121221672945`*^9, 3.4514121321672945`*^9}, {3.4514121928860445`*^9, 
   3.4514122739172945`*^9}, 3.45141230893292*^9, {3.4514123620110445`*^9, 
   3.4514123731047945`*^9}, {3.451415711689233*^9, 3.4514157378769007`*^9}, {
   3.4514157776271553`*^9, 3.4514157823928103`*^9}, {3.451415825439961*^9, 
   3.451415849471365*^9}, {3.4514158877216096`*^9, 3.451415893768523*^9}, {
   3.451415971956524*^9, 3.4514159889253826`*^9}, {3.4514160275036945`*^9, 
   3.4514160492849445`*^9}, 3.4514226994099445`*^9, {3.451472450840599*^9, 
   3.451472467335956*^9}, {3.451472558295556*^9, 3.4514725606594267`*^9}, {
   3.451473317314764*^9, 3.4514733391157627`*^9}, {3.451473642795498*^9, 
   3.451473655611343*^9}, {3.451474127029172*^9, 3.451474130111081*^9}, {
   3.451474205886837*^9, 3.4514742100185957`*^9}, {3.4514767510170517`*^9, 
   3.4514767555311823`*^9}},
 CellID->751345613]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 8., $CellContext`b$$ = 
    12., $CellContext`c$$ = False, $CellContext`choice$$ = 
    "paper", $CellContext`p$$ = {8, 2}, $CellContext`q$$ = 
    0, $CellContext`s$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`p$$], {8, 2}}, Automatic}, {{
       Hold[$CellContext`a$$], 8.}, 5, 15, 0.5}, {{
       Hold[$CellContext`b$$], 12.}, 5, 15}, {{
       Hold[$CellContext`q$$], 0, 
       "Choose b/a and fly bird by varying a or b, or choose a special k:\n\
When b/a = \!\(\*SubscriptBox[\(k\), \(i\[InvisibleSpace]j\)]\), critical \
crease lengths \!\(\*SubscriptBox[\(z\), \(i\)]\) and \
\!\(\*SubscriptBox[\(z\), \(j\)]\) are equal."}, {
      0 -> "b/a", 1 -> "\!\(\*SubscriptBox[\(k\), \(12\)]\)", 2 -> 
       "\!\(\*SubscriptBox[\(k\), \(14\)]\)", 3 -> 
       "\!\(\*SubscriptBox[\(k\), \(24\)]\)", 4 -> 
       "\!\(\*SubscriptBox[\(k\), \(13\)]\)", 5 -> 
       "\!\(\*SubscriptBox[\(k\), \(04\)]\)", 6 -> 
       "\!\(\*SubscriptBox[\(k\), \(02\)]\)", 7 -> 
       "\!\(\*SubscriptBox[\(k\), \(03\)]\)"}}, {
      Hold[$CellContext`choice$$], {
      "paper", "crease length", "critical table", "fly", "critical creases", 
       "surprise"}}, {{
       Hold[$CellContext`c$$], False, 
       "For paper and crease length, constrain P to right edge."}, {
      False, True}}, {{
       Hold[$CellContext`s$$], 0, "for critical table"}, {
      0 -> "formulas", 1 -> "values for given a and b"}}}, Typeset`size$$ = {
    531., {160., 164.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`a$903$$ = 
    0, $CellContext`b$908$$ = 0, $CellContext`q$909$$ = 
    False, $CellContext`choice$910$$ = 0, $CellContext`c$911$$ = 
    False, $CellContext`s$912$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 8., $CellContext`b$$ = 
        12., $CellContext`c$$ = False, $CellContext`choice$$ = 
        "paper", $CellContext`p$$ = {8, 2}, $CellContext`q$$ = 
        0, $CellContext`s$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$903$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$908$$, 0], 
        Hold[$CellContext`q$$, $CellContext`q$909$$, False], 
        Hold[$CellContext`choice$$, $CellContext`choice$910$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$911$$, False], 
        Hold[$CellContext`s$$, $CellContext`s$912$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Which[$CellContext`choice$$ == "paper", 
        If[$CellContext`c$$, Part[$CellContext`p$$, 1] = $CellContext`a$$]; 
        Labeled[
          $CellContext`paperplay[$CellContext`p$$, $CellContext`a$$, \
$CellContext`b$$], 
          Text[
           Style[$CellContext`circletext, 10]], Right], $CellContext`choice$$ == 
        "crease length", 
        If[$CellContext`c$$, Part[$CellContext`p$$, 1] = $CellContext`a$$]; 
        Grid[{{
            Pane[
             $CellContext`paperplay[$CellContext`p$$, $CellContext`a$$, \
$CellContext`b$$], ImageSize -> 250], 
            Pane[
             $CellContext`creaselengthstudy[$CellContext`p$$, \
$CellContext`a$$, $CellContext`b$$], ImageSize -> 250]}, {
            Row[{
              Text["P = "], 
              NumberForm[$CellContext`p$$, 6]}], 
            Row[{
              Text["crease length "], 
              Style["z", Italic], " = ", 
              NumberForm[
               $CellContext`creaselength[$CellContext`p$$, 8, 12], 
               6]}]}}], $CellContext`choice$$ == "critical table", 
        Column[{
          If[$CellContext`s$$ == 0, 
           Text[
            $CellContext`criticaltable["a", "b"]], 
           Text[
            $CellContext`criticaltable[$CellContext`a$$, \
$CellContext`b$$]]]}], $CellContext`choice$$ == "fly", 
        If[$CellContext`q$$ > 
          0, $CellContext`k = 
           Part[$CellContext`ks, $CellContext`q$$]; $CellContext`b$$ = \
$CellContext`k $CellContext`a$$, $CellContext`k = \
$CellContext`b$$/$CellContext`a$$]; Text[
          $CellContext`flyforspecialks[$CellContext`q$$, $CellContext`a$$, \
$CellContext`k]], $CellContext`choice$$ == "critical creases", 
        If[$CellContext`q$$ > 0, $CellContext`b$$ = 
          Part[$CellContext`ks, $CellContext`q$$] $CellContext`a$$]; 
        If[$CellContext`b$$ < $CellContext`a$$, $CellContext`b$$ = \
$CellContext`a$$]; $CellContext`criticalcreasestudy[$CellContext`a$$, \
$CellContext`b$$], $CellContext`choice$$ == "surprise", 
        Labeled[$CellContext`surprisepaper, $CellContext`surprisetext, Top]], 
      "Specifications" :> {{{$CellContext`p$$, {8, 2}}, Automatic, 
         ControlType -> Locator}, {{$CellContext`a$$, 8.}, 5, 15, 0.5, 
         Appearance -> "Labeled"}, {{$CellContext`b$$, 12.}, 5, 15, 
         Appearance -> 
         "Labeled"}, {{$CellContext`q$$, 0, 
          "Choose b/a and fly bird by varying a or b, or choose a special k:\n\
When b/a = \!\(\*SubscriptBox[\(k\), \(i\[InvisibleSpace]j\)]\), critical \
crease lengths \!\(\*SubscriptBox[\(z\), \(i\)]\) and \
\!\(\*SubscriptBox[\(z\), \(j\)]\) are equal."}, {
         0 -> "b/a", 1 -> "\!\(\*SubscriptBox[\(k\), \(12\)]\)", 2 -> 
          "\!\(\*SubscriptBox[\(k\), \(14\)]\)", 3 -> 
          "\!\(\*SubscriptBox[\(k\), \(24\)]\)", 4 -> 
          "\!\(\*SubscriptBox[\(k\), \(13\)]\)", 5 -> 
          "\!\(\*SubscriptBox[\(k\), \(04\)]\)", 6 -> 
          "\!\(\*SubscriptBox[\(k\), \(02\)]\)", 7 -> 
          "\!\(\*SubscriptBox[\(k\), \(03\)]\)"}, ControlType -> 
         SetterBar}, {$CellContext`choice$$, {
         "paper", "crease length", "critical table", "fly", 
          "critical creases", "surprise"}, ControlType -> 
         RadioButton}, {{$CellContext`c$$, False, 
          "For paper and crease length, constrain P to right edge."}, {
         False, True}, Enabled -> Dynamic[
           
           Or[$CellContext`choice$$ === "paper", $CellContext`choice$$ === 
            "crease length"]]}, {{$CellContext`s$$, 0, 
          "for critical table"}, {
         0 -> "formulas", 1 -> "values for given a and b"}, Enabled -> 
         Dynamic[$CellContext`choice$$ === "critical table"], ControlType -> 
         RadioButtonBar}}, 
      "Options" :> {ControlPlacement -> Top, ContentSize -> {600, 350}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{666., {276., 281.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`paperplay[
          Pattern[$CellContext`p, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Show[
          Graphics[{
            Circle[{$CellContext`a, 0}, $CellContext`a], 
            Circle[{0, $CellContext`b}, $CellContext`b], 
            Circle[{$CellContext`a, $CellContext`b}, 
             Sqrt[$CellContext`a^2 + $CellContext`b^2]], Thick, 
            
            Line[{{{0, 
               0}, {$CellContext`a, 0}, {$CellContext`a, $CellContext`b}, {
               0, $CellContext`b}, {0, 0}}}], Thin, 
            
            Line[{{0, 0}, {2 $CellContext`a, 0}, {
              2 $CellContext`a, 2 $CellContext`b}, {0, 2 $CellContext`b}, {0, 
              0}}], 
            Text[
             Style[
              Row[{
                Style["\!\(\*SubscriptBox[\(C\), \(1\)]\)", Italic]}], 12, 
              Blue], {-5, 2 $CellContext`b}], 
            Text[
             Style[
              Row[{
                Style["\!\(\*SubscriptBox[\(C\), \(2\)]\)", Italic]}], 12, 
              Blue], {2 $CellContext`a, -5}], 
            Text[
             Style[
              Row[{
                Style["\!\(\*SubscriptBox[\(C\), \(3\)]\)", Italic]}], 12, 
              Blue], {2 $CellContext`a + 1, 2 $CellContext`b + 1}]}], 
          $CellContext`labeledpaper[$CellContext`p, $CellContext`a, \
$CellContext`b]], $CellContext`labeledpaper[
          Pattern[$CellContext`p, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Show[
          Graphics[{Thick, 
            
            Line[{{{0, 
               0}, {$CellContext`a, 0}, {$CellContext`a, $CellContext`b}, {
               0, $CellContext`b}, {0, 0}}}]}], 
          Graphics[{Thick, 
            Line[
             $CellContext`flapQ1toP[$CellContext`p, $CellContext`a, \
$CellContext`b]], 
            Line[
             $CellContext`flapPtoQ2[$CellContext`p, $CellContext`a, \
$CellContext`b]], Dashed, 
            Line[{
              $CellContext`Q1[$CellContext`p, $CellContext`a, $CellContext`b], 
              $CellContext`Q2[$CellContext`p, $CellContext`a, \
$CellContext`b]}], 
            Text[
             Style[
             "\!\(\*SubscriptBox[\(Q\), \(1\)]\)", 12, 
              Black], $CellContext`Q1[$CellContext`p, $CellContext`a, \
$CellContext`b] + {-0.5, 1}], 
            Text[
             Style[
             "\!\(\*SubscriptBox[\(Q\), \(2\)]\)", 12, 
              Black], $CellContext`Q2[$CellContext`p, $CellContext`a, \
$CellContext`b] + {0.5, -1}], 
            Text[
             Style[
             "P", 12, Black], $CellContext`p + {
              0.5, 1}]}]], $CellContext`flapQ1toP[{
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}, 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Piecewise[{{{
             $CellContext`Qleft[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], {$CellContext`x, $CellContext`y}}, 
            
            And[$CellContext`y != 0, 
             0 <= ($CellContext`x^2 + $CellContext`y^2)/(
              2 $CellContext`y) <= $CellContext`b]}, {{
             $CellContext`Qtop[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
             $CellContext`Qsym[{
              0, $CellContext`b}, {$CellContext`x, $CellContext`y}], \
{$CellContext`x, $CellContext`y}}, 
            
            And[$CellContext`x != 0, 
             0 <= ($CellContext`x^2 - 
               2 $CellContext`b $CellContext`y + $CellContext`y^2)/(
              2 $CellContext`x) <= $CellContext`a]}, {{
             $CellContext`Qright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
             $CellContext`Qsym[{$CellContext`a, $CellContext`b}, \
{$CellContext`x, $CellContext`y}], 
             $CellContext`Qsym[{
              0, $CellContext`b}, {$CellContext`x, $CellContext`y}], \
{$CellContext`x, $CellContext`y}}, 
            
            And[$CellContext`y != 0, 
             0 <= ((-2) $CellContext`a $CellContext`x + $CellContext`x^2 + \
$CellContext`y^2)/(2 $CellContext`y) <= $CellContext`b]}}, {{0, 0}, {0, 
          0}}], $CellContext`Qleft[{
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}, 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] = {
         0, ($CellContext`x^2 + $CellContext`y^2)/(
          2 $CellContext`y)}, $CellContext`Qtop[{
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}, 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] = {($CellContext`x^2 - 
           2 $CellContext`b $CellContext`y + $CellContext`y^2)/(
          2 $CellContext`x), $CellContext`b}, $CellContext`Qsym[{
           Pattern[$CellContext`u, 
            Blank[]], 
           Pattern[$CellContext`v, 
            Blank[]]}, {
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}] = {$CellContext`u - (
           2 $CellContext`x (($CellContext`u - $CellContext`x/
              2) $CellContext`x + ($CellContext`v - $CellContext`y/
              2) $CellContext`y))/($CellContext`x^2 + $CellContext`y^2), \
$CellContext`v - (
           2 $CellContext`y (($CellContext`u - $CellContext`x/
              2) $CellContext`x + ($CellContext`v - $CellContext`y/
              2) $CellContext`y))/($CellContext`x^2 + $CellContext`y^2)}, \
$CellContext`Qright[{
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}, 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           
           Blank[]]] = {$CellContext`a, ((-2) $CellContext`a $CellContext`x + \
$CellContext`x^2 + $CellContext`y^2)/(
          2 $CellContext`y)}, $CellContext`flapPtoQ2[{
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}, 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Piecewise[{{{{$CellContext`x, $CellContext`y}, 
             $CellContext`Qbottom[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b]}, 
            
            And[$CellContext`x != 0, 
             0 <= ($CellContext`x^2 + $CellContext`y^2)/(
              2 $CellContext`x) <= $CellContext`a]}, {{{$CellContext`x, \
$CellContext`y}, 
             $CellContext`Qsym[{$CellContext`a, 
               0}, {$CellContext`x, $CellContext`y}], 
             $CellContext`Qright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b]}, 
            
            And[$CellContext`y != 0, 
             0 <= ((-2) $CellContext`a $CellContext`x + $CellContext`x^2 + \
$CellContext`y^2)/(
              2 $CellContext`y) <= $CellContext`b]}, {{{$CellContext`x, \
$CellContext`y}, 
             $CellContext`Qsym[{$CellContext`a, 
               0}, {$CellContext`x, $CellContext`y}], 
             $CellContext`Qsym[{$CellContext`a, $CellContext`b}, \
{$CellContext`x, $CellContext`y}], 
             $CellContext`Qtop[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b]}, 
            
            And[$CellContext`x != 0, 
             0 < ($CellContext`x^2 - 
               2 $CellContext`b $CellContext`y + $CellContext`y^2)/(
              2 $CellContext`x) < $CellContext`a]}}, {{0, 0}, {0, 
          0}}], $CellContext`Qbottom[{
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}, 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] = {($CellContext`x^2 + $CellContext`y^2)/(
          2 $CellContext`x), 0}, $CellContext`Q1[{
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}, 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Piecewise[{{
            $CellContext`Qleft[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            
            And[$CellContext`y != 0, 
             0 <= ($CellContext`x^2 + $CellContext`y^2)/(
              2 $CellContext`y) <= $CellContext`b]}, {
            $CellContext`Qtop[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            
            And[$CellContext`x != 0, 
             0 <= ($CellContext`x^2 - 
               2 $CellContext`b $CellContext`y + $CellContext`y^2)/(
              2 $CellContext`x) <= $CellContext`a]}, {
            $CellContext`Qright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            
            And[$CellContext`y != 0, 
             0 <= ((-2) $CellContext`a $CellContext`x + $CellContext`x^2 + \
$CellContext`y^2)/(2 $CellContext`y) <= $CellContext`b]}}, {0, 
          0}], $CellContext`Q2[{
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}, 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Piecewise[{{
            $CellContext`Qbottom[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            
            And[$CellContext`x != 0, 
             0 <= ($CellContext`x^2 + $CellContext`y^2)/(
              2 $CellContext`x) <= $CellContext`a]}, {
            $CellContext`Qright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            
            And[$CellContext`y != 0, 
             0 <= ((-2) $CellContext`a $CellContext`x + $CellContext`x^2 + \
$CellContext`y^2)/(2 $CellContext`y) <= $CellContext`b]}, {
            $CellContext`Qtop[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            
            And[$CellContext`x != 0, 
             0 <= ($CellContext`x^2 - 
               2 $CellContext`b $CellContext`y + $CellContext`y^2)/(
              2 $CellContext`x) <= $CellContext`a]}}, {0, 
          0}], $CellContext`circletext = Column[{
           Row[{"Keep ", 
             Style["P", Italic], " inside ", 
             Subscript[
              Style["C", Italic], 1], ",", 
             Subscript[
              Style["C", Italic], 2], ",or ", 
             Subscript[
              Style["C", Italic], 3], ":"}], 
           Row[{"\n", 
             Text[$CellContext`x^2 + (-"b" + $CellContext`y)^2 == "b"^2], 
             "\n", 
             Text[(-"a" + $CellContext`x)^2 + $CellContext`y^2 == "a"^2], 
             "\n", 
             
             Text[(-"a" + $CellContext`x)^2 + (-"b" + $CellContext`y)^2 == 
              "a"^2 + "b"^2]}], 
           
           Row[{"\n", 
             "\!\(\*SubscriptBox[\(Q\), \(1\)]\) is   on left when P is in \!\
\(\*SubscriptBox[\(C\), \(1\)]\),\n\ton top when P is in \
\!\(\*SubscriptBox[\(C\), \(3\)]\) but out of \!\(\*SubscriptBox[\(C\), \
\(1\)]\),\n\ton right when P is in \!\(\*SubscriptBox[\(C\), \(2\)]\) but out \
of \!\(\*SubscriptBox[\(C\), \(3\)]\).\n\!\(\*SubscriptBox[\(Q\), \(2\)]\) is \
  on bottom when P is in \!\(\*SubscriptBox[\(C\), \(2\)]\),\n\ton right when \
P is in \!\(\*SubscriptBox[\(C\), \(3\)]\) but out of \
\!\(\*SubscriptBox[\(C\), \(2\)]\),\n\ton top when P is in \
\!\(\*SubscriptBox[\(C\), \(1\)]\) but out of \!\(\*SubscriptBox[\(C\), \
\(3\)]\)."}]}], 
        Attributes[Subscript] = {NHoldRest}, $CellContext`creaselengthstudy[
          Pattern[$CellContext`p, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Show[
          Graphics3D[{
            Line[{{0, 0, 0}, {15, 0, 0}, {15, 20, 0}, {0, 20, 0}}]}], 
          Plot3D[
           $CellContext`creaselength[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], {$CellContext`x, 
            0, $CellContext`a}, {$CellContext`y, 0, $CellContext`b}, 
           PlotRange -> {0, 15}, BoxRatios -> Automatic], 
          $CellContext`paper3D[$CellContext`p, $CellContext`a, \
$CellContext`b], 
          Graphics3D[{Thick, 
            PointSize[Large], 
            Line[{
              Append[$CellContext`p, 0], 
              Append[$CellContext`p, 
               $CellContext`creaselength[$CellContext`p, $CellContext`a, \
$CellContext`b]]}], 
            Point[
             Append[$CellContext`p, 
              $CellContext`creaselength[$CellContext`p, $CellContext`a, \
$CellContext`b]]]}], 
          ParametricPlot3D[
           $CellContext`creasearound3D[$CellContext`t, $CellContext`a, \
$CellContext`b], {$CellContext`t, 0, 2 $CellContext`a + 2 $CellContext`b}, 
           PlotStyle -> Thick, 
           PlotRange -> {0, 15}]], $CellContext`creaselength[{
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}, 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Piecewise[{{
            $CellContext`creasetopbottom[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            
            And[$CellContext`x^2 + $CellContext`y^2 <= 
             2 $CellContext`a $CellContext`x, 
             2 $CellContext`b $CellContext`y <= $CellContext`x^2 + \
$CellContext`y^2 <= 
             2 $CellContext`a $CellContext`x + 
              2 $CellContext`b $CellContext`y]}, {
            $CellContext`creaseleftbottom[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            
            And[$CellContext`x^2 + $CellContext`y^2 <= 
             2 $CellContext`a $CellContext`x, $CellContext`x^2 + \
$CellContext`y^2 <= 2 $CellContext`b $CellContext`y]}, {
            $CellContext`creaseleftright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            
            And[$CellContext`x^2 + $CellContext`y^2 <= 
             2 $CellContext`b $CellContext`y, 
             2 $CellContext`a $CellContext`x <= $CellContext`x^2 + \
$CellContext`y^2 <= 
             2 $CellContext`a $CellContext`x + 
              2 $CellContext`b $CellContext`y]}, {
            $CellContext`creaserightbottom[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            2 $CellContext`a $CellContext`x + 
             2 $CellContext`b $CellContext`y <= $CellContext`x^2 + \
$CellContext`y^2 <= 2 $CellContext`a $CellContext`x}, {
            $CellContext`creasetopright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            
            And[$CellContext`x^2 + $CellContext`y^2 <= 
             2 $CellContext`a $CellContext`x + 
              2 $CellContext`b $CellContext`y, 
             2 $CellContext`b $CellContext`y <= $CellContext`x^2 + \
$CellContext`y^2, 
             2 $CellContext`a $CellContext`x <= $CellContext`x^2 + \
$CellContext`y^2]}, {
            $CellContext`creaselefttop[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            2 $CellContext`a $CellContext`x + 
             2 $CellContext`b $CellContext`y <= $CellContext`x^2 + \
$CellContext`y^2 <= 
            2 $CellContext`b $CellContext`y}}], $CellContext`creasetopbottom[{
          
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}, 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] = $CellContext`b 
         Sqrt[1 + $CellContext`y^2/$CellContext`x^2], \
$CellContext`creaseleftbottom[{
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}, 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] = 
        Sqrt[($CellContext`x^2 + $CellContext`y^2)^3/($CellContext`x^2 \
$CellContext`y^2)]/2, $CellContext`creaseleftright[{
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}, 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] = $CellContext`a 
         Sqrt[1 + $CellContext`x^2/$CellContext`y^2], \
$CellContext`creaserightbottom[{
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}, 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] = 
        Sqrt[(($CellContext`x^2 + $CellContext`y^2) ((-2) $CellContext`a \
$CellContext`x + $CellContext`x^2 + $CellContext`y^2)^2)/($CellContext`x^2 \
$CellContext`y^2)]/2, $CellContext`creasetopright[{
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}, 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] = 
        Sqrt[(($CellContext`x^2 + $CellContext`y^2) ((-2) $CellContext`a \
$CellContext`x + $CellContext`x^2 - 
              2 $CellContext`b $CellContext`y + \
$CellContext`y^2)^2)/($CellContext`x^2 $CellContext`y^2)]/
         2, $CellContext`creaselefttop[{
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}, 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] = 
        Sqrt[(($CellContext`x^2 + $CellContext`y^2) ($CellContext`x^2 - 
              
              2 $CellContext`b $CellContext`y + \
$CellContext`y^2)^2)/($CellContext`x^2 $CellContext`y^2)]/
         2, $CellContext`paper3D[
          Pattern[$CellContext`p, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Show[
          Graphics3D[{Thick, 
            
            Line[{{{0, 0, 
               0}, {$CellContext`a, 0, 0}, {$CellContext`a, $CellContext`b, 
                0}, {0, $CellContext`b, 0}, {0, 0, 0}}}]}], 
          Graphics3D[{Thick, 
            Line[
             $CellContext`flapQ1toP3D[$CellContext`p, $CellContext`a, \
$CellContext`b]], 
            Line[
             $CellContext`flapPtoQ23D[$CellContext`p, $CellContext`a, \
$CellContext`b]], Dashed, 
            Line[{
              Append[
               $CellContext`Q1[$CellContext`p, $CellContext`a, \
$CellContext`b], 0], 
              Append[
               $CellContext`Q2[$CellContext`p, $CellContext`a, \
$CellContext`b], 0]}]}]], $CellContext`flapQ1toP3D[{
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}, 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Piecewise[{{{
             Append[
              $CellContext`Qleft[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 0], {$CellContext`x, $CellContext`y, 0}}, 
            
            And[$CellContext`y != 0, 
             0 <= ($CellContext`x^2 + $CellContext`y^2)/(
              2 $CellContext`y) <= $CellContext`b]}, {{
             Append[
              $CellContext`Qtop[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 0], 
             Append[
              $CellContext`Qsym[{
               0, $CellContext`b}, {$CellContext`x, $CellContext`y}], 
              0], {$CellContext`x, $CellContext`y, 0}}, 
            
            And[$CellContext`x != 0, 
             0 <= ($CellContext`x^2 - 
               2 $CellContext`b $CellContext`y + $CellContext`y^2)/(
              2 $CellContext`x) <= $CellContext`a]}, {{
             Append[
              $CellContext`Qright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 0], 
             Append[
              $CellContext`Qsym[{$CellContext`a, $CellContext`b}, \
{$CellContext`x, $CellContext`y}], 0], 
             Append[
              $CellContext`Qsym[{
               0, $CellContext`b}, {$CellContext`x, $CellContext`y}], 
              0], {$CellContext`x, $CellContext`y, 0}}, 
            
            And[$CellContext`y != 0, 
             0 <= ((-2) $CellContext`a $CellContext`x + $CellContext`x^2 + \
$CellContext`y^2)/(2 $CellContext`y) <= $CellContext`b]}}, {{0, 0, 0}, {0, 0, 
          0}}], $CellContext`flapPtoQ23D[{
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]}, 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Piecewise[{{{{$CellContext`x, $CellContext`y, 0}, 
             Append[
              $CellContext`Qbottom[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 0]}, 
            
            And[$CellContext`x != 0, 
             0 <= ($CellContext`x^2 + $CellContext`y^2)/(
              2 $CellContext`x) <= $CellContext`a]}, {{{$CellContext`x, \
$CellContext`y, 0}, 
             Append[
              $CellContext`Qsym[{$CellContext`a, 
                0}, {$CellContext`x, $CellContext`y}], 0], 
             Append[
              $CellContext`Qright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 0]}, 
            
            And[$CellContext`y != 0, 
             0 <= ((-2) $CellContext`a $CellContext`x + $CellContext`x^2 + \
$CellContext`y^2)/(
              2 $CellContext`y) <= $CellContext`b]}, {{{$CellContext`x, \
$CellContext`y, 0}, 
             Append[
              $CellContext`Qsym[{$CellContext`a, 
                0}, {$CellContext`x, $CellContext`y}], 0], 
             Append[
              $CellContext`Qsym[{$CellContext`a, $CellContext`b}, \
{$CellContext`x, $CellContext`y}], 0], 
             Append[
              $CellContext`Qtop[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 0]}, 
            
            And[$CellContext`x != 0, 
             0 < ($CellContext`x^2 - 
               2 $CellContext`b $CellContext`y + $CellContext`y^2)/(
              2 $CellContext`x) < $CellContext`a]}}, {{0, 0, 0}, {0, 0, 
          0}}], $CellContext`creasearound3D[
          Pattern[$CellContext`t, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Piecewise[{{{$CellContext`t, 0, 
             $CellContext`creaselength[{$CellContext`t, 
               0}, $CellContext`a, $CellContext`b]}, 
            0 <= $CellContext`t <= $CellContext`a}, {{$CellContext`a, \
$CellContext`t - $CellContext`a, 
             $CellContext`creaselength[{$CellContext`a, $CellContext`t - \
$CellContext`a}, $CellContext`a, $CellContext`b]}, $CellContext`a <= \
$CellContext`t <= $CellContext`a + $CellContext`b}, {{$CellContext`a + \
$CellContext`b + $CellContext`a - $CellContext`t, $CellContext`b, 
             $CellContext`creaselength[{$CellContext`a + $CellContext`b + \
$CellContext`a - $CellContext`t, $CellContext`b}, $CellContext`a, \
$CellContext`b]}, $CellContext`a + $CellContext`b <= $CellContext`t <= \
$CellContext`a + $CellContext`b + $CellContext`a}, {{
            0, $CellContext`a + $CellContext`b + $CellContext`a + \
$CellContext`b - $CellContext`t, 
             $CellContext`creaselength[{
              0, $CellContext`a + $CellContext`b + $CellContext`a + \
$CellContext`b - $CellContext`t}, $CellContext`a, $CellContext`b]}, \
$CellContext`a + $CellContext`b + $CellContext`a <= $CellContext`t <= \
$CellContext`a + $CellContext`b + $CellContext`a + $CellContext`b}}], \
$CellContext`criticaltable[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Labeled[
          Text[
           
           Row[{"critical fold                          ", 
             "P                                   ", 
             "{\!\(\*SubscriptBox[\(Q\), \(1\)]\), \!\(\*SubscriptBox[\(Q\), \
\(2\)]\)}                   ", "critical crease length ", 
             Style["z", Italic]}]], 
          Grid[
           MapThread[Prepend[#, #2]& , {
             $CellContext`data[$CellContext`a, $CellContext`b], {
             "vertical\nlocal min.", "upper-left corner\nlocal max.", 
              "traditional\nlocal min.", "45 degree\nlocal max.", 
              "opposite corner\nlocal min."}}], Frame -> 
           All]], $CellContext`data[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] = {{
          0, {$CellContext`a, 
            0}, {{$CellContext`a/2, $CellContext`b}, {$CellContext`a/2, 
             0}}, $CellContext`b}, {
          1, {$CellContext`a, $CellContext`b - 
            Sqrt[-$CellContext`a^2 + $CellContext`b^2]}, {{
            0, $CellContext`b}, {($CellContext`b ($CellContext`b - 
               Sqrt[-$CellContext`a^2 + $CellContext`b^2]))/$CellContext`a, 
             0}}, Sqrt[2] 
           Sqrt[($CellContext`b^3 ($CellContext`b - 
               Sqrt[-$CellContext`a^2 + \
$CellContext`b^2]))/$CellContext`a^2]}, {
          2, {$CellContext`a, $CellContext`a/Sqrt[2]}, {{
            0, (3 $CellContext`a)/(2 Sqrt[2])}, {(3 $CellContext`a)/4, 0}}, (
            3 Sqrt[3] $CellContext`a)/4}, {
          3, {$CellContext`a, $CellContext`a}, {{
            0, $CellContext`a}, {$CellContext`a, 0}}, 
           Sqrt[2] $CellContext`a}, {
          4, {$CellContext`a, $CellContext`b}, {{
            0, ($CellContext`a^2 + $CellContext`b^2)/(
             2 $CellContext`b)}, {$CellContext`a, (-$CellContext`a^2 + \
$CellContext`b^2)/(2 $CellContext`b)}}, $CellContext`a 
           Sqrt[1 + $CellContext`a^2/$CellContext`b^2]}}, $CellContext`ks = {
         3/(2 Sqrt[2]), 1.1448317621162782`, 4/Sqrt[11], 
          Sqrt[(1 + Sqrt[5])/2], 
          Sqrt[(1 + Sqrt[5])/2], (3 Sqrt[3])/4, 
          Sqrt[2]}, $CellContext`flyforspecialks[
          Pattern[$CellContext`i, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]] := Labeled[
          Show[
           Plot[{
             $CellContext`zs[$CellContext`a, $CellContext`k $CellContext`a], 
             $CellContext`creaselength[{$CellContext`a, $CellContext`y}, \
$CellContext`a, $CellContext`k $CellContext`a]}, {$CellContext`y, 0, 14}, 
            PlotRange -> {8, 14}, PlotStyle -> Thick, PlotLabel -> Row[{
               NumberForm[$CellContext`a, 2], "\[Times]", 
               NumberForm[$CellContext`k $CellContext`a, 6], " paper", "\n", 
               Style["k", Italic], " = ", 
               If[$CellContext`i > 0, 
                StringJoin[
                 Part[$CellContext`knames, $CellContext`i], " = "], ""], 
               NumberForm[$CellContext`k, 6]}]], 
           Graphics[{
             PointSize[Large], 
             Point[
              $CellContext`yzs[$CellContext`a, $CellContext`k \
$CellContext`a]]}]], 
          $CellContext`specialktable[$CellContext`a], Right], $CellContext`zs[
         
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] = {$CellContext`b, Sqrt[2] 
          Sqrt[($CellContext`b^3 ($CellContext`b - 
              Sqrt[-$CellContext`a^2 + $CellContext`b^2]))/$CellContext`a^2], \
(3 Sqrt[3] $CellContext`a)/4, Sqrt[2] $CellContext`a, $CellContext`a 
          Sqrt[1 + $CellContext`a^2/$CellContext`b^2]}, $CellContext`knames = \
{"\!\(\*SubscriptBox[\(k\), \(12\)]\)", "\!\(\*SubscriptBox[\(k\), \(14\)]\)",
           "\!\(\*SubscriptBox[\(k\), \(24\)]\)", 
          "\!\(\*SubscriptBox[\(k\), \(13\)]\)", 
          "\!\(\*SubscriptBox[\(k\), \(04\)]\)", 
          "\!\(\*SubscriptBox[\(k\), \(02\)]\)", 
          "\!\(\*SubscriptBox[\(k\), \(03\)]\)"}, $CellContext`yzs[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] = {{
          0, $CellContext`b}, {$CellContext`b - 
           Sqrt[-$CellContext`a^2 + $CellContext`b^2], Sqrt[2] 
           Sqrt[($CellContext`b^3 ($CellContext`b - 
               Sqrt[-$CellContext`a^2 + \
$CellContext`b^2]))/$CellContext`a^2]}, {$CellContext`a/Sqrt[
           2], (3 Sqrt[3] $CellContext`a)/4}, {$CellContext`a, 
           Sqrt[2] $CellContext`a}, {$CellContext`b, $CellContext`a 
           Sqrt[1 + $CellContext`a^2/$CellContext`b^2]}}, \
$CellContext`specialktable[
          Pattern[$CellContext`a, 
           Blank[]]] := Labeled[
          Grid[
           MapThread[{#, #2, #3, #4, #5}& , {
             
             Table[$CellContext`j, {$CellContext`j, 
               7}], $CellContext`knames, $CellContext`ks, 
             N[$CellContext`ks], 
             N[$CellContext`a $CellContext`ks]}], Frame -> All], 
          Text[
           Row[{
             Style["a", Italic], " = ", 
             NumberForm[$CellContext`a, 4], 
             "                             special ", 
             Style["k", Italic], "                 ", 
             Style["k a", Italic]}]], Top], $CellContext`criticalcreasestudy[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Text[
          Labeled[
           Grid[{
             Map[If[
               StringQ[#], #, 
               Part[#, 1]]& , 
              $CellContext`separatebyorder[
               SortBy[
                $CellContext`foldszs[$CellContext`a, $CellContext`b], N[
                 Part[#, 2]]& ], N[
                Part[#, 2]]& ]], 
             Map[If[
               StringQ[#], #, 
               Part[#, 2]]& , 
              $CellContext`separatebyorder[
               SortBy[
                $CellContext`foldszs[$CellContext`a, $CellContext`b], N[
                 Part[#, 2]]& ], N[
                Part[#, 2]]& ]]}], 
           StringJoin["order of critical crease lengths when a = ", 
            ToString[$CellContext`a], " and b = ", 
            ToString[$CellContext`b]], Top]], $CellContext`separatebyorder[
          Pattern[$CellContext`lst, 
           Blank[]], 
          Pattern[$CellContext`f, 
           Blank[]]] := If[Length[$CellContext`lst] < 2, $CellContext`lst, 
          Join[{
            First[$CellContext`lst], 
            Which[$CellContext`f[
               Part[$CellContext`lst, 1]] < $CellContext`f[
               Part[$CellContext`lst, 2]], "<", $CellContext`f[
               Part[$CellContext`lst, 1]] == $CellContext`f[
               Part[$CellContext`lst, 2]], "=", $CellContext`f[
               Part[$CellContext`lst, 1]] > $CellContext`f[
               Part[$CellContext`lst, 2]], ">"]}, 
           $CellContext`separatebyorder[
            Rest[$CellContext`lst], $CellContext`f]]], $CellContext`foldszs[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := MapThread[List, {
           $CellContext`folds[$CellContext`a, $CellContext`b], 
           $CellContext`zs[$CellContext`a, $CellContext`b]}], \
$CellContext`folds[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := 
        Map[$CellContext`paper[{$CellContext`a, # + 
            0.001}, $CellContext`a, $CellContext`b]& , 
          $CellContext`ys[$CellContext`a, $CellContext`b]], $CellContext`paper[
          Pattern[$CellContext`p, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Show[
          Graphics[{Thick, 
            
            Line[{{{0, 
               0}, {$CellContext`a, 0}, {$CellContext`a, $CellContext`b}, {
               0, $CellContext`b}, {0, 0}}}]}], 
          Graphics[{Thick, 
            Line[
             $CellContext`flapQ1toP[$CellContext`p, $CellContext`a, \
$CellContext`b]], 
            Line[
             $CellContext`flapPtoQ2[$CellContext`p, $CellContext`a, \
$CellContext`b]], Dashed, 
            Line[{
              $CellContext`Q1[$CellContext`p, $CellContext`a, $CellContext`b], 
              $CellContext`Q2[$CellContext`p, $CellContext`a, \
$CellContext`b]}]}]], $CellContext`ys[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] = {
         0, $CellContext`b - 
          Sqrt[-$CellContext`a^2 + $CellContext`b^2], $CellContext`a/Sqrt[
          2], $CellContext`a, $CellContext`b}, $CellContext`surprisepaper = 
        Graphics[{{}, {{
             
             Inset[{8, 12}, {196.36363636363637`, -195.42857142857142`}, {
              Center, Center}, {360., 359.99999999999994`}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 12}, {0, 12}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 8.666944462961421}, {8, 12.001}}], 
                 
                 Line[{{8, 12.001}, {11.077491082387171`, 
                   4.616621309966056}, {8, 3.3340555370385805`}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 8.666944462961421}, {
                   8, 3.3340555370385805`}}]}}, {}], {
              589.0909090909091, -195.42857142857142`}, 
              ImageScaled[{0.5, 0.5}], {360., 359.99999999999994`}], 
             Inset[
             "<", {981.818181818182, -195.42857142857142`}, {
              Center, Center}, {360.0000000000001, 359.99999999999994`}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 12}, {0, 12}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 8.484781550984021}, {8, 5.657854249492381}}], 
                 Line[{{8, 5.657854249492381}, {6.000707169281187, 0}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 8.484781550984021}, {
                   6.000707169281187, 0}}]}}, {}], {
              1374.5454545454545`, -195.42857142857142`}, 
              ImageScaled[{0.5, 0.5}], {360.0000000000002, 
              359.99999999999994`}], 
             Inset[
             "<", {1767.2727272727275`, -195.42857142857142`}, {
              Center, Center}, {360.0000000000002, 359.99999999999994`}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 12}, {0, 12}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 8.000000062492187}, {8, 8.001}}], 
                 
                 Line[{{8, 8.001}, {8.0009999375, 0.0010000624921872763`}, {
                   8, 0.0009999375078108116}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 8.000000062492187}, {
                   8, 0.0009999375078108116}}]}}, {}], {
              2160., -195.42857142857142`}, 
              ImageScaled[{0.5, 0.5}], {360., 359.99999999999994`}], 
             Inset[
             "<", {2552.727272727273, -195.42857142857142`}, {
              Center, Center}, {359.99999999999955`, 359.99999999999994`}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 12}, {0, 12}, {0, 0}}}]}, {
                 Thickness[Large], 
                 
                 Line[{{3.9985000625, 12}, {7.997000000046874, 
                   12.000999625000006`}, {8, 0.001}}], 
                 Line[{{8, 0.001}, {4.0000000625, 0}}], 
                 Dashing[{Small, Small}], 
                 Line[{{3.9985000625, 12}, {4.0000000625, 0}}]}}, {}], {
              2945.4545454545455`, -195.42857142857142`}, 
              ImageScaled[{0.5, 0.5}], {360., 359.99999999999994`}], 
             Inset[
             "<", {3338.1818181818185`, -195.42857142857142`}, {
              Center, Center}, {360., 359.99999999999994`}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 12}, {0, 12}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 11.99707407016697}, {8, 3.0567280900008402`}}], 
                 Line[{{8, 3.0567280900008402`}, {4.5839741635125115`, 0}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 11.99707407016697}, {
                   4.5839741635125115`, 0}}]}}, {}], {
              3730.9090909090914`, -195.42857142857142`}, 
              ImageScaled[{0.5, 0.5}], {360., 359.99999999999994`}]}, {
             
             Inset[{8, 11}, {196.36363636363637`, -586.2857142857142}, {
              Center, Center}, {360., 359.99999999999994`}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 11}, {0, 11}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 8.40932647032088}, {8, 11.001}}], 
                 
                 Line[{{8, 11.001}, {10.465523048796776`, 
                   3.3904023824766654`}, {8, 2.59167352967912}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 8.40932647032088}, {
                   8, 2.59167352967912}}]}}, {}], {
              589.0909090909091, -586.2857142857142}, 
              ImageScaled[{0.5, 0.5}], {360., 359.99999999999994`}], 
             Inset[
             "<", {981.818181818182, -586.2857142857142}, {Center, Center}, {
              360.0000000000001, 359.99999999999994`}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 11}, {0, 11}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 8.484781550984021}, {8, 5.657854249492381}}], 
                 Line[{{8, 5.657854249492381}, {6.000707169281187, 0}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 8.484781550984021}, {
                   6.000707169281187, 0}}]}}, {}], {
              1374.5454545454545`, -586.2857142857142}, 
              ImageScaled[{0.5, 0.5}], {360.0000000000002, 
              359.99999999999994`}], 
             Inset[
             "<", {1767.2727272727275`, -586.2857142857142}, {
              Center, Center}, {360.0000000000002, 359.99999999999994`}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 11}, {0, 11}, {0, 0}}}]}, {
                 Thickness[Large], 
                 
                 Line[{{3.9986250625, 11}, {7.9972500000429685`, 
                   11.000999656250006`}, {8, 0.001}}], 
                 Line[{{8, 0.001}, {4.0000000625, 0}}], 
                 Dashing[{Small, Small}], 
                 Line[{{3.9986250625, 11}, {4.0000000625, 0}}]}}, {}], {
              2160., -586.2857142857142}, 
              ImageScaled[{0.5, 0.5}], {360., 359.99999999999994`}], 
             Inset[
             "<", {2552.727272727273, -586.2857142857142}, {Center, Center}, {
              359.99999999999955`, 359.99999999999994`}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 11}, {0, 11}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 8.000000062492187}, {8, 8.001}}], 
                 
                 Line[{{8, 8.001}, {8.0009999375, 0.0010000624921872763`}, {
                   8, 0.0009999375078108116}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 8.000000062492187}, {
                   8, 0.0009999375078108116}}]}}, {}], {
              2945.4545454545455`, -586.2857142857142}, 
              ImageScaled[{0.5, 0.5}], {360., 359.99999999999994`}], 
             Inset[
             "<", {3338.1818181818185`, -586.2857142857142}, {
              Center, Center}, {360., 359.99999999999994`}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 11}, {0, 11}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 10.997812526146987`}, {8, 3.4511655647292496`}}], 
                 Line[{{8, 3.4511655647292496`}, {4.74440898469831, 0}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 10.997812526146987`}, {
                   4.74440898469831, 0}}]}}, {}], {
              3730.9090909090914`, -586.2857142857142}, 
              ImageScaled[{0.5, 0.5}], {360., 359.99999999999994`}]}, {
             
             Inset[{8, 10}, {196.36363636363637`, -977.1428571428571}, {
              Center, Center}, {360., 360.}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 10}, {0, 10}, {0, 0}}}]}, {
                 Thickness[Large], 
                 
                 Line[{{3.9987500624999996`, 10}, {7.997500000039063, 
                   10.000999687500006`}, {8, 0.001}}], 
                 Line[{{8, 0.001}, {4.0000000625, 0}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{3.9987500624999996`, 10}, {
                   4.0000000625, 0}}]}}, {}], {
              589.0909090909091, -977.1428571428571}, 
              ImageScaled[{0.5, 0.5}], {360., 360.}], 
             Inset[
             "<", {981.818181818182, -977.1428571428571}, {Center, Center}, {
              360.0000000000001, 360.}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 10}, {0, 10}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 8.2001800319968}, {8, 10.001}}], 
                 
                 Line[{{8, 10.001}, {9.756858957707237, 2.19629330450376}, {
                   8, 1.8008199680031995`}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 8.2001800319968}, {
                   8, 1.8008199680031995`}}]}}, {}], {
              1374.5454545454545`, -977.1428571428571}, 
              ImageScaled[{0.5, 0.5}], {360.0000000000002, 360.}], 
             Inset[
             "<", {1767.2727272727275`, -977.1428571428571}, {
              Center, Center}, {360.0000000000002, 360.}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 10}, {0, 10}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 8.484781550984021}, {8, 5.657854249492381}}], 
                 Line[{{8, 5.657854249492381}, {6.000707169281187, 0}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 8.484781550984021}, {
                   6.000707169281187, 0}}]}}, {}], {
              2160., -977.1428571428571}, 
              ImageScaled[{0.5, 0.5}], {360., 360.}], 
             Inset[
             "<", {2552.727272727273, -977.1428571428571}, {Center, Center}, {
              359.99999999999955`, 360.}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 10}, {0, 10}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 9.998500499875032}, {8, 4.001}}], 
                 Line[{{8, 4.001}, {5.0005000625000005`, 0}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 9.998500499875032}, {
                   5.0005000625000005`, 0}}]}}, {}], {
              2945.4545454545455`, -977.1428571428571}, 
              ImageScaled[{0.5, 0.5}], {360., 360.}], 
             Inset[
             "<", {3338.1818181818185`, -977.1428571428571}, {
              Center, Center}, {360., 360.}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 10}, {0, 10}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 8.000000062492187}, {8, 8.001}}], 
                 
                 Line[{{8, 8.001}, {8.0009999375, 0.0010000624921872763`}, {
                   8, 0.0009999375078108116}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 8.000000062492187}, {
                   8, 0.0009999375078108116}}]}}, {}], {
              3730.9090909090914`, -977.1428571428571}, 
              ImageScaled[{0.5, 0.5}], {360., 360.}]}, {
             
             Inset[{8, 9.5}, {196.36363636363637`, -1368.}, {
              Center, Center}, {360., 360.0000000000002}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 9.5}, {0, 9.5}, {0, 0}}}]}, {
                 Thickness[Large], 
                 
                 Line[{{3.9988125625, 9.5}, {7.997625000037109, 
                   9.500999703125006}, {8, 0.001}}], 
                 Line[{{8, 0.001}, {4.0000000625, 0}}], 
                 Dashing[{Small, Small}], 
                 Line[{{3.9988125625, 9.5}, {4.0000000625, 0}}]}}, {}], {
              589.0909090909091, -1368.}, 
              ImageScaled[{0.5, 0.5}], {360., 360.0000000000002}], 
             Inset[
             "<", {981.818181818182, -1368.}, {Center, Center}, {
              360.0000000000001, 360.0000000000002}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 9.5}, {0, 9.5}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 8.484781550984021}, {8, 5.657854249492381}}], 
                 Line[{{8, 5.657854249492381}, {6.000707169281187, 0}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 8.484781550984021}, {
                   6.000707169281187, 0}}]}}, {}], {
              1374.5454545454545`, -1368.}, 
              ImageScaled[{0.5, 0.5}], {360.0000000000002, 
              360.0000000000002}], 
             Inset[
             "<", {1767.2727272727275`, -1368.}, {Center, Center}, {
              360.0000000000002, 360.0000000000002}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 9.5}, {0, 9.5}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 8.118566519313758}, {8, 9.501}}], 
                 
                 Line[{{8, 9.501}, {9.362243915742994, 1.6178349304342736`}, {
                   8, 1.382433480686243}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 8.118566519313758}, {
                   8, 1.382433480686243}}]}}, {}], {2160., -1368.}, 
              ImageScaled[{0.5, 0.5}], {360., 360.0000000000002}], 
             Inset[
             "<", {2552.727272727273, -1368.}, {Center, Center}, {
              359.99999999999955`, 360.0000000000002}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 9.5}, {0, 9.5}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 9.498829709520521}, {8, 4.377524617020201}}], 
                 Line[{{8, 4.377524617020201}, {5.197670110788616, 0}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 9.498829709520521}, {
                   5.197670110788616, 0}}]}}, {}], {
              2945.4545454545455`, -1368.}, 
              ImageScaled[{0.5, 0.5}], {360., 360.0000000000002}], 
             Inset[
             "<", {3338.1818181818185`, -1368.}, {Center, Center}, {360., 
              360.0000000000002}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8, 0}, {8, 9.5}, {0, 9.5}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 8.000000062492187}, {8, 8.001}}], 
                 
                 Line[{{8, 8.001}, {8.0009999375, 0.0010000624921872763`}, {
                   8, 0.0009999375078108116}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 8.000000062492187}, {
                   8, 0.0009999375078108116}}]}}, {}], {
              3730.9090909090914`, -1368.}, 
              ImageScaled[{0.5, 0.5}], {360., 360.0000000000002}]}, {
             
             Inset[{8.5, 11}, {196.36363636363637`, -1758.8571428571427`}, {
              Center, Center}, {360., 360.0000000000002}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8.5, 0}, {8.5, 11}, {0, 11}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 8.78429238251068}, {8.5, 11.001}}], 
                 
                 Line[{{8.5, 11.001}, {10.644966711965692`, 
                  2.7760916233334796`}, {8.5, 2.2167076174893188`}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 8.78429238251068}, {8.5, 
                   2.2167076174893188`}}]}}, {}], {
              589.0909090909091, -1758.8571428571427`}, 
              ImageScaled[{0.5, 0.5}], {360., 360.0000000000002}], 
             Inset[
             "<", {981.818181818182, -1758.8571428571427`}, {
              Center, Center}, {360.0000000000001, 360.0000000000002}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8.5, 0}, {8.5, 11}, {0, 11}, {0, 0}}}]}, {
                 Thickness[Large], 
                 
                 Line[{{4.24870594117647, 11}, {8.497411764741706, 
                   11.000999695501735`}, {8.5, 0.001}}], 
                 Line[{{8.5, 0.001}, {4.250000058823529, 0}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{4.24870594117647, 11}, {
                   4.250000058823529, 0}}]}}, {}], {
              1374.5454545454545`, -1758.8571428571427`}, 
              ImageScaled[{0.5, 0.5}], {360.0000000000002, 
              360.0000000000002}], 
             Inset[
             "<", {1767.2727272727275`, -1758.8571428571427`}, {
              Center, Center}, {360.0000000000002, 360.0000000000002}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8.5, 0}, {8.5, 11}, {0, 11}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 9.01511162647887}, {8.5, 6.011407640085654}}], 
                 Line[{{8.5, 6.011407640085654}, {6.375707165604716, 0}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 9.01511162647887}, {
                   6.375707165604716, 0}}]}}, {}], {
              2160., -1758.8571428571427`}, 
              ImageScaled[{0.5, 0.5}], {360., 360.0000000000002}], 
             Inset[
             "<", {2552.727272727273, -1758.8571428571427`}, {
              Center, Center}, {359.99999999999955`, 360.0000000000002}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8.5, 0}, {8.5, 11}, {0, 11}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 8.50000005881661}, {8.5, 8.501}}], 
                 
                 Line[{{8.5, 8.501}, {8.50099994117647, 
                  0.0010000588166090144`}, {8.5, 0.0009999411833898004}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 8.50000005881661}, {8.5, 
                   0.0009999411833898004}}]}}, {}], {
              2945.4545454545455`, -1758.8571428571427`}, 
              ImageScaled[{0.5, 0.5}], {360., 360.0000000000002}], 
             Inset[
             "<", {3338.1818181818185`, -1758.8571428571427`}, {
              Center, Center}, {360., 360.0000000000002}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8.5, 0}, {8.5, 11}, {0, 11}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 10.998262794594538`}, {8.5, 4.01887997811553}}], 
                 Line[{{8.5, 4.01887997811553}, {5.200082134029287, 0}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 10.998262794594538`}, {
                   5.200082134029287, 0}}]}}, {}], {
              3730.9090909090914`, -1758.8571428571427`}, 
              ImageScaled[{0.5, 0.5}], {360., 360.0000000000002}]}, {
             
             Inset[{8.5, 10.8}, {196.36363636363637`, -2149.7142857142853`}, {
              Center, Center}, {360., 359.9999999999998}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8.5, 0}, {8.5, 10.8}, {0, 10.8}, {0, 0}}}]}, {
                 Thickness[Large], 
                 
                 Line[{{4.248729470588235, 10.8}, {8.497458823564584, 
                  10.800999701038068`}, {8.5, 0.001}}], 
                 Line[{{8.5, 0.001}, {4.250000058823529, 0}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{4.248729470588235, 10.8}, {
                   4.250000058823529, 0}}]}}, {}], {
              589.0909090909091, -2149.7142857142853`}, 
              ImageScaled[{0.5, 0.5}], {360., 359.9999999999998}], 
             Inset[
             "<", {981.818181818182, -2149.7142857142853`}, {
              Center, Center}, {360.0000000000001, 359.9999999999998}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8.5, 0}, {8.5, 10.8}, {0, 10.8}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 8.745097722433108}, {8.5, 10.801}}], 
                 
                 Line[{{8.5, 10.801}, {10.498281770424464`, 
                  2.5392284002770165`}, {8.5, 2.0559022775668923`}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 8.745097722433108}, {8.5, 
                   2.0559022775668923`}}]}}, {}], {
              1374.5454545454545`, -2149.7142857142853`}, 
              ImageScaled[{0.5, 0.5}], {360.0000000000002, 
              359.9999999999998}], 
             Inset[
             "<", {1767.2727272727275`, -2149.7142857142853`}, {
              Center, Center}, {360.0000000000002, 359.9999999999998}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8.5, 0}, {8.5, 10.8}, {0, 10.8}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 9.01511162647887}, {8.5, 6.011407640085654}}], 
                 Line[{{8.5, 6.011407640085654}, {6.375707165604716, 0}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 9.01511162647887}, {
                   6.375707165604716, 0}}]}}, {}], {
              2160., -2149.7142857142853`}, 
              ImageScaled[{0.5, 0.5}], {360., 359.9999999999998}], 
             Inset[
             "<", {2552.727272727273, -2149.7142857142853`}, {
              Center, Center}, {359.99999999999955`, 359.9999999999998}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8.5, 0}, {8.5, 10.8}, {0, 10.8}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 10.7983901862465}, {8.5, 4.138417917954031}}], 
                 Line[{{8.5, 4.138417917954031}, {5.257441344920174, 0}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 10.7983901862465}, {
                   5.257441344920174, 0}}]}}, {}], {
              2945.4545454545455`, -2149.7142857142853`}, 
              ImageScaled[{0.5, 0.5}], {360., 359.9999999999998}], 
             Inset[
             "<", {3338.1818181818185`, -2149.7142857142853`}, {
              Center, Center}, {360., 359.9999999999998}], 
             Inset[
              Graphics[{{
                 Thickness[Large], 
                 Line[{{{0, 0}, {8.5, 0}, {8.5, 10.8}, {0, 10.8}, {0, 0}}}]}, {
                 Thickness[Large], 
                 Line[{{0, 8.50000005881661}, {8.5, 8.501}}], 
                 
                 Line[{{8.5, 8.501}, {8.50099994117647, 
                  0.0010000588166090144`}, {8.5, 0.0009999411833898004}}], 
                 Dashing[{Small, Small}], 
                 
                 Line[{{0, 8.50000005881661}, {8.5, 
                   0.0009999411833898004}}]}}, {}], {
              3730.9090909090914`, -2149.7142857142853`}, 
              ImageScaled[{0.5, 0.5}], {360., 359.9999999999998}]}}, {}}, 
          PlotRangePadding -> {6, 5}, ContentSelectable -> 
          True], $CellContext`surprisetext = Text[
          Style[
          "The textbook local min \!\(\*SubscriptBox[\(z\), \(2\)]\), defined \
when \!\(\*FormBox[\n RowBox[{\n  RowBox[{FractionBox[\"b\", \"a\"], \">\", \
SubscriptBox[\"k\", \"12\"]}], \"=\", FractionBox[\"3\", \n   RowBox[{\"2\", \
\" \", SqrtBox[\"2\"]}]]}],\n TraditionalForm]\).\nIt is \!\(\*\n\
StyleBox[\"never\",\nFontSlant->\"Italic\"]\) the shortest crease for all \
folds to the right edge.\nIt is the shortest among creases that interesect \
the left and bottom edges.\nIt is the shortest among creases that intersect \
the bottom edge,\nwhen \!\(\*FormBox[\n RowBox[{\n  \
RowBox[{FractionBox[\"b\", \"a\"], \">\", SubscriptBox[\"k\", \"02\"]}], \
\"=\", FractionBox[\n   RowBox[{\"3\", \" \", SqrtBox[\"3\"]}], \"4\"]}],\n \
TraditionalForm]\), such as for 8x11 and 8x12 paper.\n\nFor 8\[Times]10, \
8x9.5 and 8.5\[Times]10.8 paper, the vertical crease is the shortest.\nFor \
8x11, 8x12 and 8.5x11 paper, the crease to the opposite corner is the \
shortest.\n\nWhy are 8.5\[Times]10.8 and 8.5\[Times]11 paper so different?", 
           12]]}; Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{
        Null, $CellContext`PP = {$CellContext`x, $CellContext`y}; \
$CellContext`Q = {$CellContext`u, $CellContext`v}; 
         Null, $CellContext`L = 
          Dot[$CellContext`Q, $CellContext`PP] == 
           Dot[$CellContext`PP, $CellContext`PP]/2; 
         Null, $CellContext`Qleft[{
             Pattern[$CellContext`x, 
              Blank[]], 
             Pattern[$CellContext`y, 
              Blank[]]}, 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = ReplaceAll[
            ReplaceAll[{$CellContext`u, $CellContext`v}, $CellContext`u -> 0], 
            Part[
             Solve[
              
              ReplaceAll[$CellContext`L, $CellContext`u -> 
               0], $CellContext`v], 1]]; Null, $CellContext`Qbottom[{
             Pattern[$CellContext`x, 
              Blank[]], 
             Pattern[$CellContext`y, 
              Blank[]]}, 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = ReplaceAll[
            ReplaceAll[{$CellContext`u, $CellContext`v}, $CellContext`v -> 0], 
            Part[
             Solve[
              
              ReplaceAll[$CellContext`L, $CellContext`v -> 
               0], $CellContext`u], 1]]; Null, $CellContext`Qright[{
             Pattern[$CellContext`x, 
              Blank[]], 
             Pattern[$CellContext`y, 
              Blank[]]}, 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = ReplaceAll[
            
            ReplaceAll[{$CellContext`u, $CellContext`v}, $CellContext`u -> \
$CellContext`a], 
            Part[
             Solve[
              
              ReplaceAll[$CellContext`L, $CellContext`u -> $CellContext`a], \
$CellContext`v], 1]]; Null, $CellContext`Qtop[{
             Pattern[$CellContext`x, 
              Blank[]], 
             Pattern[$CellContext`y, 
              Blank[]]}, 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = ReplaceAll[
            
            ReplaceAll[{$CellContext`u, $CellContext`v}, $CellContext`v -> \
$CellContext`b], 
            Part[
             Solve[
              
              ReplaceAll[$CellContext`L, $CellContext`v -> $CellContext`b], \
$CellContext`u], 1]]; Null, $CellContext`Q1[{
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`y, 
             Blank[]]}, 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Piecewise[{{
             $CellContext`Qleft[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
             
             And[$CellContext`y != 0, 
              0 <= ($CellContext`x^2 + $CellContext`y^2)/(
               2 $CellContext`y) <= $CellContext`b]}, {
             $CellContext`Qtop[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
             
             And[$CellContext`x != 0, 
              0 <= ($CellContext`x^2 - 
                2 $CellContext`b $CellContext`y + $CellContext`y^2)/(
               2 $CellContext`x) <= $CellContext`a]}, {
             $CellContext`Qright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
             
             And[$CellContext`y != 0, 
              0 <= ((-2) $CellContext`a $CellContext`x + $CellContext`x^2 + \
$CellContext`y^2)/(2 $CellContext`y) <= $CellContext`b]}}, {0, 
           0}], $CellContext`Q2[{
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`y, 
             Blank[]]}, 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Piecewise[{{
             $CellContext`Qbottom[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
             
             And[$CellContext`x != 0, 
              0 <= ($CellContext`x^2 + $CellContext`y^2)/(
               2 $CellContext`x) <= $CellContext`a]}, {
             $CellContext`Qright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
             
             And[$CellContext`y != 0, 
              0 <= ((-2) $CellContext`a $CellContext`x + $CellContext`x^2 + \
$CellContext`y^2)/(2 $CellContext`y) <= $CellContext`b]}, {
             $CellContext`Qtop[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
             
             And[$CellContext`x != 0, 
              0 <= ($CellContext`x^2 - 
                2 $CellContext`b $CellContext`y + $CellContext`y^2)/(
               2 $CellContext`x) <= $CellContext`a]}}, {0, 
           0}], $CellContext`Qsym[{
             Pattern[$CellContext`u, 
              Blank[]], 
             Pattern[$CellContext`v, 
              Blank[]]}, {
             Pattern[$CellContext`x, 
              Blank[]], 
             Pattern[$CellContext`y, 
              Blank[]]}] = $CellContext`Q - 
           2 (Dot[$CellContext`Q - $CellContext`PP/2, $CellContext`PP]/
            Dot[$CellContext`PP, $CellContext`PP]) $CellContext`PP; 
         Null, $CellContext`flapQ1toP[{
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`y, 
             Blank[]]}, 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Piecewise[{{{
              $CellContext`Qleft[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], {$CellContext`x, $CellContext`y}}, 
             
             And[$CellContext`y != 0, 
              0 <= ($CellContext`x^2 + $CellContext`y^2)/(
               2 $CellContext`y) <= $CellContext`b]}, {{
              $CellContext`Qtop[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
              $CellContext`Qsym[{
               0, $CellContext`b}, {$CellContext`x, $CellContext`y}], \
{$CellContext`x, $CellContext`y}}, 
             
             And[$CellContext`x != 0, 
              0 <= ($CellContext`x^2 - 
                2 $CellContext`b $CellContext`y + $CellContext`y^2)/(
               2 $CellContext`x) <= $CellContext`a]}, {{
              $CellContext`Qright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
              $CellContext`Qsym[{$CellContext`a, $CellContext`b}, \
{$CellContext`x, $CellContext`y}], 
              $CellContext`Qsym[{
               0, $CellContext`b}, {$CellContext`x, $CellContext`y}], \
{$CellContext`x, $CellContext`y}}, 
             
             And[$CellContext`y != 0, 
              0 <= ((-2) $CellContext`a $CellContext`x + $CellContext`x^2 + \
$CellContext`y^2)/(2 $CellContext`y) <= $CellContext`b]}}, {{0, 0}, {0, 
           0}}], $CellContext`flapPtoQ2[{
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`y, 
             Blank[]]}, 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Piecewise[{{{{$CellContext`x, $CellContext`y}, 
              $CellContext`Qbottom[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b]}, 
             
             And[$CellContext`x != 0, 
              0 <= ($CellContext`x^2 + $CellContext`y^2)/(
               2 $CellContext`x) <= $CellContext`a]}, {{{$CellContext`x, \
$CellContext`y}, 
              $CellContext`Qsym[{$CellContext`a, 
                0}, {$CellContext`x, $CellContext`y}], 
              $CellContext`Qright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b]}, 
             
             And[$CellContext`y != 0, 
              0 <= ((-2) $CellContext`a $CellContext`x + $CellContext`x^2 + \
$CellContext`y^2)/(
               2 $CellContext`y) <= $CellContext`b]}, {{{$CellContext`x, \
$CellContext`y}, 
              $CellContext`Qsym[{$CellContext`a, 
                0}, {$CellContext`x, $CellContext`y}], 
              $CellContext`Qsym[{$CellContext`a, $CellContext`b}, \
{$CellContext`x, $CellContext`y}], 
              $CellContext`Qtop[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b]}, 
             
             And[$CellContext`x != 0, 
              0 < ($CellContext`x^2 - 
                2 $CellContext`b $CellContext`y + $CellContext`y^2)/(
               2 $CellContext`x) < $CellContext`a]}}, {{0, 0}, {0, 
           0}}], $CellContext`flapQ1toP3D[{
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`y, 
             Blank[]]}, 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Piecewise[{{{
              Append[
               $CellContext`Qleft[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 0], {$CellContext`x, $CellContext`y, 0}}, 
             
             And[$CellContext`y != 0, 
              0 <= ($CellContext`x^2 + $CellContext`y^2)/(
               2 $CellContext`y) <= $CellContext`b]}, {{
              Append[
               $CellContext`Qtop[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 0], 
              Append[
               $CellContext`Qsym[{
                0, $CellContext`b}, {$CellContext`x, $CellContext`y}], 
               0], {$CellContext`x, $CellContext`y, 0}}, 
             
             And[$CellContext`x != 0, 
              0 <= ($CellContext`x^2 - 
                2 $CellContext`b $CellContext`y + $CellContext`y^2)/(
               2 $CellContext`x) <= $CellContext`a]}, {{
              Append[
               $CellContext`Qright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 0], 
              Append[
               $CellContext`Qsym[{$CellContext`a, $CellContext`b}, \
{$CellContext`x, $CellContext`y}], 0], 
              Append[
               $CellContext`Qsym[{
                0, $CellContext`b}, {$CellContext`x, $CellContext`y}], 
               0], {$CellContext`x, $CellContext`y, 0}}, 
             
             And[$CellContext`y != 0, 
              0 <= ((-2) $CellContext`a $CellContext`x + $CellContext`x^2 + \
$CellContext`y^2)/(2 $CellContext`y) <= $CellContext`b]}}, {{0, 0, 0}, {0, 0, 
           0}}], $CellContext`flapPtoQ23D[{
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`y, 
             Blank[]]}, 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Piecewise[{{{{$CellContext`x, $CellContext`y, 0}, 
              Append[
               $CellContext`Qbottom[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 0]}, 
             
             And[$CellContext`x != 0, 
              0 <= ($CellContext`x^2 + $CellContext`y^2)/(
               2 $CellContext`x) <= $CellContext`a]}, {{{$CellContext`x, \
$CellContext`y, 0}, 
              Append[
               $CellContext`Qsym[{$CellContext`a, 
                 0}, {$CellContext`x, $CellContext`y}], 0], 
              Append[
               $CellContext`Qright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 0]}, 
             
             And[$CellContext`y != 0, 
              0 <= ((-2) $CellContext`a $CellContext`x + $CellContext`x^2 + \
$CellContext`y^2)/(
               2 $CellContext`y) <= $CellContext`b]}, {{{$CellContext`x, \
$CellContext`y, 0}, 
              Append[
               $CellContext`Qsym[{$CellContext`a, 
                 0}, {$CellContext`x, $CellContext`y}], 0], 
              Append[
               $CellContext`Qsym[{$CellContext`a, $CellContext`b}, \
{$CellContext`x, $CellContext`y}], 0], 
              Append[
               $CellContext`Qtop[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 0]}, 
             
             And[$CellContext`x != 0, 
              0 < ($CellContext`x^2 - 
                2 $CellContext`b $CellContext`y + $CellContext`y^2)/(
               2 $CellContext`x) < $CellContext`a]}}, {{0, 0, 0}, {0, 0, 0}}],
          $CellContext`paper[
           Pattern[$CellContext`p, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Show[
           Graphics[{Thick, 
             
             Line[{{{0, 
                0}, {$CellContext`a, 0}, {$CellContext`a, $CellContext`b}, {
                0, $CellContext`b}, {0, 0}}}]}], 
           Graphics[{Thick, 
             Line[
              $CellContext`flapQ1toP[$CellContext`p, $CellContext`a, \
$CellContext`b]], 
             Line[
              $CellContext`flapPtoQ2[$CellContext`p, $CellContext`a, \
$CellContext`b]], Dashed, 
             Line[{
               $CellContext`Q1[$CellContext`p, $CellContext`a, \
$CellContext`b], 
               $CellContext`Q2[$CellContext`p, $CellContext`a, \
$CellContext`b]}]}]], $CellContext`paper3D[
           Pattern[$CellContext`p, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Show[
           Graphics3D[{Thick, 
             
             Line[{{{0, 0, 
                0}, {$CellContext`a, 0, 0}, {$CellContext`a, $CellContext`b, 
                 0}, {0, $CellContext`b, 0}, {0, 0, 0}}}]}], 
           Graphics3D[{Thick, 
             Line[
              $CellContext`flapQ1toP3D[$CellContext`p, $CellContext`a, \
$CellContext`b]], 
             Line[
              $CellContext`flapPtoQ23D[$CellContext`p, $CellContext`a, \
$CellContext`b]], Dashed, 
             Line[{
               Append[
                $CellContext`Q1[$CellContext`p, $CellContext`a, \
$CellContext`b], 0], 
               Append[
                $CellContext`Q2[$CellContext`p, $CellContext`a, \
$CellContext`b], 0]}]}]], Null, $CellContext`Stewartpaper[
           Pattern[$CellContext`p, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`xlabel, 
            Blank[]], 
           Pattern[$CellContext`ylabel, 
            Blank[]], 
           Pattern[$CellContext`zlabel, 
            Blank[]]] := Show[
           Graphics[{Thick, 
             
             Line[{{{0, 
                0}, {$CellContext`a, 0}, {$CellContext`a, $CellContext`b}, {
                0, $CellContext`b}, {0, 0}}}]}], 
           Graphics[{Thick, 
             Line[
              $CellContext`flapQ1toP[$CellContext`p, $CellContext`a, \
$CellContext`b]], 
             Line[
              $CellContext`flapPtoQ2[$CellContext`p, $CellContext`a, \
$CellContext`b]], Dashed, 
             Line[{
               $CellContext`Q1[$CellContext`p, $CellContext`a, \
$CellContext`b], 
               $CellContext`Q2[$CellContext`p, $CellContext`a, \
$CellContext`b]}], 
             Text[
              Style[
               Row[{
                 Style[$CellContext`zlabel, Italic]}], 14, 
               Black], ($CellContext`Q1[$CellContext`p, $CellContext`a, \
$CellContext`b] + $CellContext`Q2[$CellContext`p, $CellContext`a, \
$CellContext`b])/2 + {0.3, 0.3}], 
             Text[
              Style[
               Row[{
                 Style[$CellContext`xlabel, Italic]}], 14, Black], {Part[
                 $CellContext`Q2[$CellContext`p, $CellContext`a, \
$CellContext`b], 1]/2, 0.3}], 
             Text[
              Style[
               Row[{
                 Style[$CellContext`ylabel, Italic]}], 14, 
               Black], {$CellContext`a - 0.3, Part[$CellContext`p, 2]/
               2}]}]], $CellContext`initialfigures = TableForm[{{
              $CellContext`Stewartpaper[{8, 0.001}, 8, 12, "", "y0", "z0"], 
              $CellContext`Stewartpaper[{8, 
                N[12 - (12^2 - 8^2)^Rational[1, 2]]}, 8, 12, "x1", "y1", 
               "z1"], 
              $CellContext`Stewartpaper[{8, 5}, 8, 12, "x", "y", "z"], 
              $CellContext`Stewartpaper[{8, 4 2^Rational[1, 2]}, 8, 12, "x2", 
               "y2", "z2"], 
              $CellContext`Stewartpaper[{8, 8}, 8, 12, "x3", "y3", "z3"], 
              $CellContext`Stewartpaper[{8, 12}, 8, 12, "", "y4", "z4"]}}]; 
         Null, $CellContext`labeledpaper[
           Pattern[$CellContext`p, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Show[
           Graphics[{Thick, 
             
             Line[{{{0, 
                0}, {$CellContext`a, 0}, {$CellContext`a, $CellContext`b}, {
                0, $CellContext`b}, {0, 0}}}]}], 
           Graphics[{Thick, 
             Line[
              $CellContext`flapQ1toP[$CellContext`p, $CellContext`a, \
$CellContext`b]], 
             Line[
              $CellContext`flapPtoQ2[$CellContext`p, $CellContext`a, \
$CellContext`b]], Dashed, 
             Line[{
               $CellContext`Q1[$CellContext`p, $CellContext`a, \
$CellContext`b], 
               $CellContext`Q2[$CellContext`p, $CellContext`a, \
$CellContext`b]}], 
             Text[
              Style[
              "\!\(\*SubscriptBox[\(Q\), \(1\)]\)", 12, 
               Black], $CellContext`Q1[$CellContext`p, $CellContext`a, \
$CellContext`b] + {-0.5, 1}], 
             Text[
              Style[
              "\!\(\*SubscriptBox[\(Q\), \(2\)]\)", 12, 
               Black], $CellContext`Q2[$CellContext`p, $CellContext`a, \
$CellContext`b] + {0.5, -1}], 
             Text[
              Style[
              "P", 12, Black], $CellContext`p + {
               0.5, 1}]}]], $CellContext`labeledStewartpaper[
           Pattern[$CellContext`p, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`xlabel, 
            Blank[]], 
           Pattern[$CellContext`ylabel, 
            Blank[]], 
           Pattern[$CellContext`zlabel, 
            Blank[]]] := Show[
           Graphics[{Thick, 
             
             Line[{{{0, 
                0}, {$CellContext`a, 0}, {$CellContext`a, $CellContext`b}, {
                0, $CellContext`b}, {0, 0}}}]}], 
           Graphics[{Thick, 
             Line[
              $CellContext`flapQ1toP[$CellContext`p, $CellContext`a, \
$CellContext`b]], 
             Line[
              $CellContext`flapPtoQ2[$CellContext`p, $CellContext`a, \
$CellContext`b]], Dashed, 
             Line[{
               $CellContext`Q1[$CellContext`p, $CellContext`a, \
$CellContext`b], 
               $CellContext`Q2[$CellContext`p, $CellContext`a, \
$CellContext`b]}], 
             Text[
              Style[
               Row[{
                 Style[$CellContext`zlabel, Italic]}], 14, 
               Black], ($CellContext`Q1[$CellContext`p, $CellContext`a, \
$CellContext`b] + $CellContext`Q2[$CellContext`p, $CellContext`a, \
$CellContext`b])/2 + {0.3, 0.3}], 
             Text[
              Style[
               Row[{
                 Style[$CellContext`xlabel, Italic]}], 14, Black], {Part[
                 $CellContext`Q2[$CellContext`p, $CellContext`a, \
$CellContext`b], 1]/2, 0.3}], 
             Text[
              Style[
               Row[{
                 Style[$CellContext`ylabel, Italic]}], 14, 
               Black], {$CellContext`a - 0.3, Part[$CellContext`p, 2]/2}], 
             Text[
              Style[
              "\!\(\*SubscriptBox[\(Q\), \(1\)]\)", 12, 
               Black], $CellContext`Q1[$CellContext`p, $CellContext`a, \
$CellContext`b] + {-0.5, 0.5}], 
             Text[
              Style[
              "\!\(\*SubscriptBox[\(Q\), \(2\)]\)", 12, 
               Black], $CellContext`Q2[$CellContext`p, $CellContext`a, \
$CellContext`b] + {0.5, -0.5}], 
             Text[
              Style[
              "P", 12, Black], $CellContext`p + {0.5, 
               0.5}]}]], $CellContext`length[
           Pattern[$CellContext`p, 
            Blank[]], 
           Pattern[$CellContext`q, 
            Blank[]]] := 
         Simplify[
          Dot[$CellContext`p - $CellContext`q, $CellContext`p - \
$CellContext`q]^(1/2), 
           
           And[$CellContext`a > 0, $CellContext`b > 
            0]], $CellContext`creasetopbottom[{
             Pattern[$CellContext`x, 
              Blank[]], 
             Pattern[$CellContext`y, 
              Blank[]]}, 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = $CellContext`length[
            $CellContext`Qtop[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            $CellContext`Qbottom[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b]]; Null, $CellContext`creaseleftbottom[{
             Pattern[$CellContext`x, 
              Blank[]], 
             Pattern[$CellContext`y, 
              Blank[]]}, 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = $CellContext`length[
            $CellContext`Qleft[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            $CellContext`Qbottom[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b]]; Null, $CellContext`creaseleftright[{
             Pattern[$CellContext`x, 
              Blank[]], 
             Pattern[$CellContext`y, 
              Blank[]]}, 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = $CellContext`length[
            $CellContext`Qleft[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            $CellContext`Qright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b]]; Null, $CellContext`creaserightbottom[{
             Pattern[$CellContext`x, 
              Blank[]], 
             Pattern[$CellContext`y, 
              Blank[]]}, 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = $CellContext`length[
            $CellContext`Qright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            $CellContext`Qbottom[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b]]; Null, $CellContext`creasetopright[{
             Pattern[$CellContext`x, 
              Blank[]], 
             Pattern[$CellContext`y, 
              Blank[]]}, 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = $CellContext`length[
            $CellContext`Qtop[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            $CellContext`Qright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b]]; Null, $CellContext`creaselefttop[{
             Pattern[$CellContext`x, 
              Blank[]], 
             Pattern[$CellContext`y, 
              Blank[]]}, 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = $CellContext`length[
            $CellContext`Qleft[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
            $CellContext`Qtop[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b]]; Null, $CellContext`creaselength[{
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`y, 
             Blank[]]}, 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Piecewise[{{
             $CellContext`creasetopbottom[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
             
             And[$CellContext`x^2 + $CellContext`y^2 <= 
              2 $CellContext`a $CellContext`x, 
              2 $CellContext`b $CellContext`y <= $CellContext`x^2 + \
$CellContext`y^2 <= 
              2 $CellContext`a $CellContext`x + 
               2 $CellContext`b $CellContext`y]}, {
             $CellContext`creaseleftbottom[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
             
             And[$CellContext`x^2 + $CellContext`y^2 <= 
              2 $CellContext`a $CellContext`x, $CellContext`x^2 + \
$CellContext`y^2 <= 2 $CellContext`b $CellContext`y]}, {
             $CellContext`creaseleftright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
             
             And[$CellContext`x^2 + $CellContext`y^2 <= 
              2 $CellContext`b $CellContext`y, 
              2 $CellContext`a $CellContext`x <= $CellContext`x^2 + \
$CellContext`y^2 <= 
              2 $CellContext`a $CellContext`x + 
               2 $CellContext`b $CellContext`y]}, {
             $CellContext`creaserightbottom[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
             2 $CellContext`a $CellContext`x + 
              2 $CellContext`b $CellContext`y <= $CellContext`x^2 + \
$CellContext`y^2 <= 2 $CellContext`a $CellContext`x}, {
             $CellContext`creasetopright[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
             
             And[$CellContext`x^2 + $CellContext`y^2 <= 
              2 $CellContext`a $CellContext`x + 
               2 $CellContext`b $CellContext`y, 
              2 $CellContext`b $CellContext`y <= $CellContext`x^2 + \
$CellContext`y^2, 
              2 $CellContext`a $CellContext`x <= $CellContext`x^2 + \
$CellContext`y^2]}, {
             $CellContext`creaselefttop[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], 
             2 $CellContext`a $CellContext`x + 
              2 $CellContext`b $CellContext`y <= $CellContext`x^2 + \
$CellContext`y^2 <= 
             2 $CellContext`b $CellContext`y}}], $CellContext`creasearound[
           Pattern[$CellContext`t, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Piecewise[{{
             $CellContext`creaselength[{$CellContext`t, 
               0}, $CellContext`a, $CellContext`b], 
             0 <= $CellContext`t <= $CellContext`a}, {
             $CellContext`creaselength[{$CellContext`a, $CellContext`t - \
$CellContext`a}, $CellContext`a, $CellContext`b], $CellContext`a <= \
$CellContext`t <= $CellContext`a + $CellContext`b}, {
             $CellContext`creaselength[{$CellContext`a + $CellContext`b + \
$CellContext`a - $CellContext`t, $CellContext`b}, $CellContext`a, \
$CellContext`b], $CellContext`a + $CellContext`b <= $CellContext`t <= \
$CellContext`a + $CellContext`b + $CellContext`a}, {
             $CellContext`creaselength[{
              0, $CellContext`a + $CellContext`b + $CellContext`a + \
$CellContext`b - $CellContext`t}, $CellContext`a, $CellContext`b], \
$CellContext`a + $CellContext`b + $CellContext`a <= $CellContext`t <= \
$CellContext`a + $CellContext`b + $CellContext`a + $CellContext`b}}], \
$CellContext`creasearound3D[
           Pattern[$CellContext`t, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Piecewise[{{{$CellContext`t, 0, 
              $CellContext`creaselength[{$CellContext`t, 
                0}, $CellContext`a, $CellContext`b]}, 
             0 <= $CellContext`t <= $CellContext`a}, {{$CellContext`a, \
$CellContext`t - $CellContext`a, 
              $CellContext`creaselength[{$CellContext`a, $CellContext`t - \
$CellContext`a}, $CellContext`a, $CellContext`b]}, $CellContext`a <= \
$CellContext`t <= $CellContext`a + $CellContext`b}, {{$CellContext`a + \
$CellContext`b + $CellContext`a - $CellContext`t, $CellContext`b, 
              $CellContext`creaselength[{$CellContext`a + $CellContext`b + \
$CellContext`a - $CellContext`t, $CellContext`b}, $CellContext`a, \
$CellContext`b]}, $CellContext`a + $CellContext`b <= $CellContext`t <= \
$CellContext`a + $CellContext`b + $CellContext`a}, {{
             0, $CellContext`a + $CellContext`b + $CellContext`a + \
$CellContext`b - $CellContext`t, 
              $CellContext`creaselength[{
               0, $CellContext`a + $CellContext`b + $CellContext`a + \
$CellContext`b - $CellContext`t}, $CellContext`a, $CellContext`b]}, \
$CellContext`a + $CellContext`b + $CellContext`a <= $CellContext`t <= \
$CellContext`a + $CellContext`b + $CellContext`a + $CellContext`b}}], \
$CellContext`criticalfolds[
           Pattern[$CellContext`a0, 
            Blank[]], 
           Pattern[$CellContext`b0, 
            Blank[]]] := {
           $CellContext`labeledStewartpaper[{$CellContext`a0, 
             
             ReplaceAll[$CellContext`y0 + 
              0.001, {$CellContext`a -> $CellContext`a0, $CellContext`b -> \
$CellContext`b0}]}, $CellContext`a0, $CellContext`b0, "", "y0", "z0"], 
           $CellContext`labeledStewartpaper[{$CellContext`a0, 
             
             ReplaceAll[$CellContext`y1, {$CellContext`a -> $CellContext`a0, \
$CellContext`b -> $CellContext`b0}]}, $CellContext`a0, $CellContext`b0, "", 
            "y1", "z1"], 
           $CellContext`labeledStewartpaper[{$CellContext`a0, 
             
             ReplaceAll[$CellContext`y2, {$CellContext`a -> $CellContext`a0, \
$CellContext`b -> $CellContext`b0}]}, $CellContext`a0, $CellContext`b0, "", 
            "y2", "z2"], 
           $CellContext`labeledStewartpaper[
            
            ReplaceAll[{$CellContext`a0, $CellContext`y3}, {$CellContext`a -> \
$CellContext`a0, $CellContext`b -> $CellContext`b0}], $CellContext`a0, \
$CellContext`b0, "", "y3", "z3"], 
           $CellContext`labeledStewartpaper[
            
            ReplaceAll[{$CellContext`a0, $CellContext`y4}, {$CellContext`a -> \
$CellContext`a0, $CellContext`b -> $CellContext`b0}], $CellContext`a0, \
$CellContext`b0, "", "y4", "z4"]}, $CellContext`ys[
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             
             Blank[]]] = ({$CellContext`y0, $CellContext`y1, $CellContext`y2, \
$CellContext`y3, $CellContext`y4} = {0, 
             ReplaceAll[$CellContext`y, 
              Part[
               
               Solve[$CellContext`Qleft[{$CellContext`a, $CellContext`y}, \
$CellContext`a, $CellContext`b] == {0, $CellContext`b}, $CellContext`y], 1]], 
             
             ReplaceAll[$CellContext`y, 
              Part[
               Solve[D[
                  $CellContext`creaseleftbottom[{$CellContext`a, \
$CellContext`y}, $CellContext`a, $CellContext`b], $CellContext`y] == 
                0, $CellContext`y], 2]], $CellContext`a, $CellContext`b}); 
         Null, $CellContext`zs[
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             
             Blank[]]] = ({$CellContext`z0, $CellContext`z1, $CellContext`z2, \
$CellContext`z3, $CellContext`z4} = Simplify[{$CellContext`b, 
              $CellContext`creaseleftbottom[{$CellContext`a, \
$CellContext`y1}, $CellContext`a, $CellContext`b], 
              $CellContext`creaseleftbottom[{$CellContext`a, \
$CellContext`y2}, $CellContext`a, $CellContext`b], 
              $CellContext`creaseleftbottom[{$CellContext`a, \
$CellContext`y3}, $CellContext`a, $CellContext`b], 
              $CellContext`creaseleftright[{$CellContext`a, $CellContext`y4}, \
$CellContext`a, $CellContext`b]}, $CellContext`a > 0]); 
         Null, $CellContext`Ps[
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = MapThread[List, {
             Table[$CellContext`a, {$CellContext`i, 5}], 
             $CellContext`ys[$CellContext`a, $CellContext`b]}]; 
         Null, $CellContext`Q1s[
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = Simplify[{
             $CellContext`Qtop[{$CellContext`a, $CellContext`y0}, \
$CellContext`a, $CellContext`b], 
             $CellContext`Qleft[{$CellContext`a, $CellContext`y1}, \
$CellContext`a, $CellContext`b], 
             $CellContext`Qleft[{$CellContext`a, $CellContext`y2}, \
$CellContext`a, $CellContext`b], 
             $CellContext`Qleft[{$CellContext`a, $CellContext`y3}, \
$CellContext`a, $CellContext`b], 
             $CellContext`Qleft[{$CellContext`a, $CellContext`y4}, \
$CellContext`a, $CellContext`b]}, $CellContext`a > 0]; 
         Null, $CellContext`Q2s[
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = Simplify[{
             $CellContext`Qbottom[{$CellContext`a, $CellContext`y0}, \
$CellContext`a, $CellContext`b], 
             $CellContext`Qbottom[{$CellContext`a, $CellContext`y1}, \
$CellContext`a, $CellContext`b], 
             $CellContext`Qbottom[{$CellContext`a, $CellContext`y2}, \
$CellContext`a, $CellContext`b], 
             $CellContext`Qbottom[{$CellContext`a, $CellContext`y3}, \
$CellContext`a, $CellContext`b], 
             $CellContext`Qright[{$CellContext`a, $CellContext`y4}, \
$CellContext`a, $CellContext`b]}, $CellContext`a > 0]; 
         Null, $CellContext`yzs[
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = Thread[{
             $CellContext`ys[$CellContext`a, $CellContext`b], 
             $CellContext`zs[$CellContext`a, $CellContext`b]}]; 
         Null, $CellContext`Q1Q2s[
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = MapThread[List, {
             $CellContext`Q1s[$CellContext`a, $CellContext`b], 
             $CellContext`Q2s[$CellContext`a, $CellContext`b]}]; 
         Null, $CellContext`data[
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = MapThread[List, {
             Table[$CellContext`i, {$CellContext`i, 0, 4}], 
             $CellContext`Ps[$CellContext`a, $CellContext`b], 
             $CellContext`Q1Q2s[$CellContext`a, $CellContext`b], 
             $CellContext`zs[$CellContext`a, $CellContext`b]}]; 
         Null, $CellContext`bs = {
            ReplaceAll[$CellContext`b, 
             Part[
              Simplify[
               
               Solve[$CellContext`z1 == $CellContext`z2, $CellContext`b], \
$CellContext`a > 0], 4]], 
            N[ReplaceAll[$CellContext`b, 
               Part[
                Simplify[
                 Solve[
                  
                  ReplaceAll[$CellContext`z1 == $CellContext`z4, \
$CellContext`a -> 1], $CellContext`b]], 6]] $CellContext`a], 
            ReplaceAll[$CellContext`b, 
             Part[
              Simplify[
               
               Solve[$CellContext`z2 == $CellContext`z4, $CellContext`b], \
$CellContext`a > 0], 2]], 
            ReplaceAll[$CellContext`b, 
             Part[
              Simplify[
               
               Solve[$CellContext`z1 == $CellContext`z3, $CellContext`b], \
$CellContext`a > 0], 6]], 
            ReplaceAll[$CellContext`b, 
             Part[
              Simplify[
               
               Solve[$CellContext`z0 == $CellContext`z4, $CellContext`b], \
$CellContext`a > 0], 4]], 
            ReplaceAll[$CellContext`b, 
             Part[
              Simplify[
               
               Solve[$CellContext`z0 == $CellContext`z2, $CellContext`b], \
$CellContext`a > 0], 1]], 
            ReplaceAll[$CellContext`b, 
             Part[
              Simplify[
               
               Solve[$CellContext`z0 == $CellContext`z3, $CellContext`b], \
$CellContext`a > 0], 1]]}; 
         Null, $CellContext`ks = 
          ReplaceAll[$CellContext`bs, $CellContext`a -> 1]; 
         Null, $CellContext`knames = {
           "\!\(\*SubscriptBox[\(k\), \(12\)]\)", 
            "\!\(\*SubscriptBox[\(k\), \(14\)]\)", 
            "\!\(\*SubscriptBox[\(k\), \(24\)]\)", 
            "\!\(\*SubscriptBox[\(k\), \(13\)]\)", 
            "\!\(\*SubscriptBox[\(k\), \(04\)]\)", 
            "\!\(\*SubscriptBox[\(k\), \(02\)]\)", 
            "\!\(\*SubscriptBox[\(k\), \(03\)]\)"}; 
         Null, $CellContext`paperplay[
           Pattern[$CellContext`p, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Show[
           Graphics[{
             Circle[{$CellContext`a, 0}, $CellContext`a], 
             Circle[{0, $CellContext`b}, $CellContext`b], 
             Circle[{$CellContext`a, $CellContext`b}, 
              Sqrt[$CellContext`a^2 + $CellContext`b^2]], Thick, 
             
             Line[{{{0, 
                0}, {$CellContext`a, 0}, {$CellContext`a, $CellContext`b}, {
                0, $CellContext`b}, {0, 0}}}], Thin, 
             
             Line[{{0, 0}, {2 $CellContext`a, 0}, {
               2 $CellContext`a, 2 $CellContext`b}, {0, 2 $CellContext`b}, {0,
                0}}], 
             Text[
              Style[
               Row[{
                 Style["\!\(\*SubscriptBox[\(C\), \(1\)]\)", Italic]}], 12, 
               Blue], {-5, 2 $CellContext`b}], 
             Text[
              Style[
               Row[{
                 Style["\!\(\*SubscriptBox[\(C\), \(2\)]\)", Italic]}], 12, 
               Blue], {2 $CellContext`a, -5}], 
             Text[
              Style[
               Row[{
                 Style["\!\(\*SubscriptBox[\(C\), \(3\)]\)", Italic]}], 12, 
               Blue], {2 $CellContext`a + 1, 2 $CellContext`b + 1}]}], 
           $CellContext`labeledpaper[$CellContext`p, $CellContext`a, \
$CellContext`b]], $CellContext`ruletext = 
          "\!\(\*SubscriptBox[\(Q\), \(1\)]\) is   on left when P is in \
\!\(\*SubscriptBox[\(C\), \(1\)]\),\n\ton top when P is in \
\!\(\*SubscriptBox[\(C\), \(3\)]\) but out of \!\(\*SubscriptBox[\(C\), \
\(1\)]\),\n\ton right when P is in \!\(\*SubscriptBox[\(C\), \(2\)]\) but out \
of \!\(\*SubscriptBox[\(C\), \(3\)]\).\n\!\(\*SubscriptBox[\(Q\), \(2\)]\) is \
  on bottom when P is in \!\(\*SubscriptBox[\(C\), \(2\)]\),\n\ton right when \
P is in \!\(\*SubscriptBox[\(C\), \(3\)]\) but out of \
\!\(\*SubscriptBox[\(C\), \(2\)]\),\n\ton top when P is in \
\!\(\*SubscriptBox[\(C\), \(1\)]\) but out of \!\(\*SubscriptBox[\(C\), \
\(3\)]\)."; Null, $CellContext`circletext = Column[{
             Row[{"Keep ", 
               Style["P", Italic], " inside ", 
               Subscript[
                Style["C", Italic], 1], ",", 
               Subscript[
                Style["C", Italic], 2], ",or ", 
               Subscript[
                Style["C", Italic], 3], ":"}], 
             Row[{"\n", 
               Text[$CellContext`x^2 + ($CellContext`y - "b")^2 == "b"^2], 
               "\n", 
               Text[($CellContext`x - "a")^2 + $CellContext`y^2 == "a"^2], 
               "\n", 
               
               Text[($CellContext`x - "a")^2 + ($CellContext`y - "b")^2 == 
                "a"^2 + "b"^2]}], 
             Row[{"\n", $CellContext`ruletext}]}]; 
         Null, $CellContext`creaselengthstudy[
           Pattern[$CellContext`p, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Show[
           Graphics3D[{
             Line[{{0, 0, 0}, {15, 0, 0}, {15, 20, 0}, {0, 20, 0}}]}], 
           Plot3D[
            $CellContext`creaselength[{$CellContext`x, $CellContext`y}, \
$CellContext`a, $CellContext`b], {$CellContext`x, 
             0, $CellContext`a}, {$CellContext`y, 0, $CellContext`b}, 
            PlotRange -> {0, 15}, BoxRatios -> Automatic], 
           $CellContext`paper3D[$CellContext`p, $CellContext`a, \
$CellContext`b], 
           Graphics3D[{Thick, 
             PointSize[Large], 
             Line[{
               Append[$CellContext`p, 0], 
               Append[$CellContext`p, 
                $CellContext`creaselength[$CellContext`p, $CellContext`a, \
$CellContext`b]]}], 
             Point[
              Append[$CellContext`p, 
               $CellContext`creaselength[$CellContext`p, $CellContext`a, \
$CellContext`b]]]}], 
           ParametricPlot3D[
            $CellContext`creasearound3D[$CellContext`t, $CellContext`a, \
$CellContext`b], {$CellContext`t, 0, 2 $CellContext`a + 2 $CellContext`b}, 
            PlotStyle -> Thick, 
            PlotRange -> {0, 15}]], $CellContext`criticaltable[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Labeled[
           Text[
            
            Row[{"critical fold                          ", 
              "P                                   ", 
              "{\!\(\*SubscriptBox[\(Q\), \(1\)]\), \!\(\*SubscriptBox[\(Q\), \
\(2\)]\)}                   ", "critical crease length ", 
              Style["z", Italic]}]], 
           Grid[
            MapThread[Prepend[#, #2]& , {
              $CellContext`data[$CellContext`a, $CellContext`b], {
              "vertical\nlocal min.", "upper-left corner\nlocal max.", 
               "traditional\nlocal min.", "45 degree\nlocal max.", 
               "opposite corner\nlocal min."}}], Frame -> 
            All]], $CellContext`specialktable[
           Pattern[$CellContext`a, 
            Blank[]]] := Labeled[
           Grid[
            MapThread[{#, #2, #3, #4, #5}& , {
              
              Table[$CellContext`j, {$CellContext`j, 
                7}], $CellContext`knames, $CellContext`ks, 
              N[$CellContext`ks], 
              N[$CellContext`a $CellContext`ks]}], Frame -> All], 
           Text[
            Row[{
              Style["a", Italic], " = ", 
              NumberForm[$CellContext`a, 4], 
              "                             special ", 
              Style["k", Italic], "                 ", 
              Style["k a", Italic]}]], Top], $CellContext`flyforspecialks[
           Pattern[$CellContext`i, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`k, 
            Blank[]]] := Labeled[
           Show[
            Plot[{
              $CellContext`zs[$CellContext`a, $CellContext`k $CellContext`a], \

              $CellContext`creaselength[{$CellContext`a, $CellContext`y}, \
$CellContext`a, $CellContext`k $CellContext`a]}, {$CellContext`y, 0, 14}, 
             PlotRange -> {8, 14}, PlotStyle -> Thick, PlotLabel -> Row[{
                NumberForm[$CellContext`a, 2], "\[Times]", 
                NumberForm[$CellContext`k $CellContext`a, 6], " paper", "\n", 
                
                Style["k", Italic], " = ", 
                If[$CellContext`i > 0, 
                 StringJoin[
                  Part[$CellContext`knames, $CellContext`i], " = "], ""], 
                NumberForm[$CellContext`k, 6]}]], 
            Graphics[{
              PointSize[Large], 
              Point[
               $CellContext`yzs[$CellContext`a, $CellContext`k \
$CellContext`a]]}]], 
           $CellContext`specialktable[$CellContext`a], 
           Right], $CellContext`folds[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := 
         Map[$CellContext`paper[{$CellContext`a, # + 
             0.001}, $CellContext`a, $CellContext`b]& , 
           $CellContext`ys[$CellContext`a, $CellContext`b]], \
$CellContext`foldszs[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := MapThread[List, {
            $CellContext`folds[$CellContext`a, $CellContext`b], 
            $CellContext`zs[$CellContext`a, $CellContext`b]}], \
$CellContext`foldszsorder[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Prepend[
           Map[Part[#, 1]& , 
            SortBy[
             $CellContext`foldszs[$CellContext`a, $CellContext`b], N[
              
              Part[#, 2]]& ]], {$CellContext`a, $CellContext`b}], \
$CellContext`separateby[
           Pattern[$CellContext`lst, 
            Blank[]], 
           Pattern[$CellContext`s, 
            Blank[]]] := If[Length[$CellContext`lst] < 2, $CellContext`lst, 
           Join[{
             First[$CellContext`lst], $CellContext`s}, 
            $CellContext`separateby[
             
             Rest[$CellContext`lst], $CellContext`s]]], \
$CellContext`separatebyorder[
           Pattern[$CellContext`lst, 
            Blank[]], 
           Pattern[$CellContext`f, 
            Blank[]]] := If[Length[$CellContext`lst] < 2, $CellContext`lst, 
           Join[{
             First[$CellContext`lst], 
             Which[$CellContext`f[
                Part[$CellContext`lst, 1]] < $CellContext`f[
                Part[$CellContext`lst, 2]], "<", $CellContext`f[
                Part[$CellContext`lst, 1]] == $CellContext`f[
                Part[$CellContext`lst, 2]], "=", $CellContext`f[
                Part[$CellContext`lst, 1]] > $CellContext`f[
                Part[$CellContext`lst, 2]], ">"]}, 
            $CellContext`separatebyorder[
             
             Rest[$CellContext`lst], $CellContext`f]]], \
$CellContext`foldsinorder[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Prepend[
           $CellContext`separateby[
            Map[Part[#, 1]& , 
             SortBy[
              $CellContext`foldszs[$CellContext`a, $CellContext`b], N[
               Part[#, 2]]& ]], 
            "<"], {$CellContext`a, $CellContext`b}], \
$CellContext`criticalcreasestudy[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Text[
           Labeled[
            Grid[{
              Map[If[
                StringQ[#], #, 
                Part[#, 1]]& , 
               $CellContext`separatebyorder[
                SortBy[
                 $CellContext`foldszs[$CellContext`a, $CellContext`b], N[
                  Part[#, 2]]& ], N[
                 Part[#, 2]]& ]], 
              Map[If[
                StringQ[#], #, 
                Part[#, 2]]& , 
               $CellContext`separatebyorder[
                SortBy[
                 $CellContext`foldszs[$CellContext`a, $CellContext`b], N[
                  Part[#, 2]]& ], N[
                 Part[#, 2]]& ]]}], 
            StringJoin["order of critical crease lengths when a = ", 
             ToString[$CellContext`a], " and b = ", 
             ToString[$CellContext`b]], Top]], $CellContext`surprisepaper = 
          GraphicsGrid[{
             $CellContext`foldsinorder[8, 12], 
             $CellContext`foldsinorder[8, 11], 
             $CellContext`foldsinorder[8, 10], 
             $CellContext`foldsinorder[8, 9.5], 
             $CellContext`foldsinorder[8.5, 11], 
             $CellContext`foldsinorder[8.5, 10.8]}]; 
         Null, $CellContext`surprisetext = Text[
            Style[
             StringJoin[
             "The textbook local min \!\(\*SubscriptBox[\(z\), \(2\)]\), \
defined when \!\(\*FormBox[\nRowBox[{\nRowBox[{FractionBox[" $CellContext`b 
                ", " $CellContext`a "], " > 
               ", SubscriptBox[" $CellContext`k ", " 12 "]}], " = 
              ", FractionBox[" 3 ", \nRowBox[{" 2 ", " ", SqrtBox[" 2 
               "]}]]}],\nTraditionalForm]\).", 
              "\nIt is \!\(\*\nStyleBox[" $CellContext`never ",\nFontSlant->" 
              Italic "]\) the shortest crease for all folds to the right \
edge.", "\nIt is the shortest among creases that interesect the left and \
bottom edges.", 
              "\nIt is the shortest among creases that intersect the bottom \
edge,", "\nwhen \!\(\*FormBox[\nRowBox[{\nRowBox[{FractionBox[" \
$CellContext`b ", " $CellContext`a "], " > 
               ", SubscriptBox[" $CellContext`k ", " 2 "]}], " = 
              ", FractionBox[\nRowBox[{" 3 ", " ", SqrtBox[" 3 "]}], " 4 
               "]}],\nTraditionalForm]\), such as for 8x11 and 8x12 paper.", 
              "\n\nFor 8\[Times]10, 8x9.5 and 8.5\[Times]10.8 paper, the \
vertical crease is the shortest.", 
              "\nFor 8x11, 8x12 and 8.5x11 paper, the crease to the opposite \
corner is the shortest.", 
              "\n\nWhy are 8.5\[Times]10.8 and 8.5\[Times]11 paper so \
different?"], 12]]; Null}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->10138954],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Exploring the Crease Length Problem",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ExploringTheCreaseLengthProblem/"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ExploringTheCreaseLengthProblem/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ExploringTheCreaseLengthProblem/\
",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ExploringTheCreaseLengthProblem/"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ExploringTheCreaseLengthProblem/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Roger B. Kirchner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Roger+B.+\
Kirchner"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Roger+B.+Kirchner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->4275520],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ExploringTheCreaseLengthProblem"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Exploring the Crease Length Problem - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[625, 23, 227, 4, 70, "Section"],
Cell[855, 29, 341, 8, 70, "Input",
 InitializationCell->True,
 CellID->1572576113],
Cell[1199, 39, 501, 13, 70, "Input",
 InitializationCell->True,
 CellID->1205487562],
Cell[1703, 54, 551, 13, 70, "Input",
 InitializationCell->True,
 CellID->1268728736],
Cell[2257, 69, 863, 24, 70, "Input",
 InitializationCell->True,
 CellID->1475568427],
Cell[3123, 95, 757, 22, 70, "Input",
 InitializationCell->True,
 CellID->303806794],
Cell[3883, 119, 811, 23, 70, "Input",
 InitializationCell->True,
 CellID->1515321475],
Cell[4697, 144, 763, 22, 70, "Input",
 InitializationCell->True,
 CellID->316410630],
Cell[5463, 168, 2694, 70, 70, "Input",
 InitializationCell->True,
 CellID->891604632],
Cell[8160, 240, 2605, 69, 70, "Input",
 InitializationCell->True,
 CellID->58161258],
Cell[10768, 311, 822, 24, 70, "Input",
 InitializationCell->True,
 CellID->411203821],
Cell[11593, 337, 4291, 112, 70, "Input",
 InitializationCell->True,
 CellID->194043302],
Cell[15887, 451, 4256, 110, 70, "Input",
 InitializationCell->True,
 CellID->1405600568],
Cell[20146, 563, 5108, 133, 70, "Input",
 InitializationCell->True,
 CellID->1608629376],
Cell[25257, 698, 5008, 128, 70, "Input",
 InitializationCell->True,
 CellID->1562290349],
Cell[30268, 828, 4062, 78, 70, "Input",
 InitializationCell->True,
 CellID->131343774],
Cell[34333, 908, 4480, 85, 70, "Input",
 InitializationCell->True,
 CellID->2029104149],
Cell[38816, 995, 329, 8, 70, "Input",
 InitializationCell->True,
 CellID->1113117883],
Cell[39148, 1005, 7027, 146, 70, "Input",
 InitializationCell->True,
 CellID->1442210564],
Cell[46178, 1153, 2563, 60, 70, "Input",
 InitializationCell->True,
 CellID->585025459],
Cell[48744, 1215, 6204, 124, 70, "Input",
 InitializationCell->True,
 CellID->1899021053],
Cell[54951, 1341, 8452, 183, 70, "Input",
 InitializationCell->True,
 CellID->944876057],
Cell[63406, 1526, 858, 24, 70, "Input",
 InitializationCell->True,
 CellID->2037804081],
Cell[64267, 1552, 870, 24, 70, "Input",
 InitializationCell->True,
 CellID->1303987011],
Cell[65140, 1578, 830, 24, 70, "Input",
 InitializationCell->True,
 CellID->417381890],
Cell[65973, 1604, 932, 25, 70, "Input",
 InitializationCell->True,
 CellID->1334906580],
Cell[66908, 1631, 980, 26, 70, "Input",
 InitializationCell->True,
 CellID->1956268694],
Cell[67891, 1659, 975, 26, 70, "Input",
 InitializationCell->True,
 CellID->48276527],
Cell[68869, 1687, 976, 26, 70, "Input",
 InitializationCell->True,
 CellID->1247288234],
Cell[69848, 1715, 6088, 152, 70, "Input",
 InitializationCell->True,
 CellID->1025114121],
Cell[75939, 1869, 2195, 58, 70, "Input",
 InitializationCell->True,
 CellID->1979215413],
Cell[78137, 1929, 2702, 70, 70, "Input",
 InitializationCell->True,
 CellID->151754261],
Cell[80842, 2001, 2828, 70, 70, "Input",
 InitializationCell->True,
 CellID->1470775638],
Cell[83673, 2073, 1818, 45, 70, "Input",
 InitializationCell->True,
 CellID->1789370896],
Cell[85494, 2120, 1869, 45, 70, "Input",
 InitializationCell->True,
 CellID->1777247921],
Cell[87366, 2167, 632, 18, 70, "Input",
 InitializationCell->True,
 CellID->1096034109],
Cell[88001, 2187, 1648, 43, 70, "Input",
 InitializationCell->True,
 CellID->917675547],
Cell[89652, 2232, 1586, 42, 70, "Input",
 InitializationCell->True,
 CellID->1471993086],
Cell[91241, 2276, 688, 17, 70, "Input",
 InitializationCell->True,
 CellID->1491370456],
Cell[91932, 2295, 622, 17, 70, "Input",
 InitializationCell->True,
 CellID->181044107],
Cell[92557, 2314, 1236, 31, 70, "Input",
 InitializationCell->True,
 CellID->839955416],
Cell[93796, 2347, 3107, 84, 70, "Input",
 InitializationCell->True,
 CellID->1201545165],
Cell[96906, 2433, 573, 14, 70, "Input",
 InitializationCell->True,
 CellID->769262414],
Cell[97482, 2449, 761, 17, 70, "Input",
 InitializationCell->True,
 CellID->943244914],
Cell[98246, 2468, 4363, 118, 70, "Input",
 InitializationCell->True,
 CellID->1427756783],
Cell[102612, 2588, 1440, 24, 70, "Input",
 InitializationCell->True,
 CellID->95658714],
Cell[104055, 2614, 3305, 79, 70, "Input",
 CellID->1418238242],
Cell[107363, 2695, 3359, 82, 70, "Input",
 InitializationCell->True,
 CellID->74859431],
Cell[110725, 2779, 4045, 72, 70, "Input",
 InitializationCell->True,
 CellID->1884523322],
Cell[114773, 2853, 1838, 45, 70, "Input",
 CellID->1040938709],
Cell[116614, 2900, 4273, 88, 70, "Input",
 InitializationCell->True,
 CellID->2094646898],
Cell[120890, 2990, 715, 20, 70, "Input",
 InitializationCell->True,
 CellID->1030989415],
Cell[121608, 3012, 716, 18, 70, "Input",
 InitializationCell->True,
 CellID->1941033909],
Cell[122327, 3032, 1241, 31, 70, "Input",
 InitializationCell->True,
 CellID->532826986],
Cell[123571, 3065, 878, 23, 70, "Input",
 InitializationCell->True,
 CellID->1450303710],
Cell[124452, 3090, 2632, 59, 70, "Input",
 InitializationCell->True,
 CellID->216345712],
Cell[127087, 3151, 1120, 30, 70, "Input",
 InitializationCell->True,
 CellID->432567213],
Cell[128210, 3183, 3173, 76, 70, "Input",
 CellID->1655093701],
Cell[131386, 3261, 1441, 30, 70, "Input",
 InitializationCell->True,
 CellID->925003796],
Cell[132830, 3293, 2961, 53, 70, "Input",
 CellID->804153116],
Cell[135794, 3348, 22163, 405, 70, "Input",
 CellID->751345613]
}, Open  ]],
Cell[157972, 3756, 114169, 2582, 70, "Output",
 CellID->10138954],
Cell[CellGroupData[{
Cell[272166, 6342, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[272542, 6353, 987, 29, 70, "Text"],
Cell[273532, 6384, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[273872, 6395, 463, 15, 70, "Text",
 CellID->4275520],
Cell[CellGroupData[{
Cell[274360, 6414, 847, 24, 70, "Text"],
Cell[275210, 6440, 1207, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature bRNWDvPEOjFIaCThZbBW8MVn *)
