(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     36214,        937]
NotebookOptionsPosition[     34619,        878]
NotebookOutlinePosition[     35232,        902]
CellTagsIndexPosition[     35189,        899]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Extreme Value Theorem", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"FindMaxMaximum", "[", 
   RowBox[{"f_", ",", 
    RowBox[{"{", 
     RowBox[{"v_", ",", "v0_", ",", "v1_"}], "}"}]}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"nPoints", "=", "25"}], ",", "vTab", ",", 
      RowBox[{"low", "=", 
       RowBox[{"Min", "[", 
        RowBox[{"v0", ",", "v1"}], "]"}]}], ",", 
      RowBox[{"high", "=", 
       RowBox[{"Max", "[", 
        RowBox[{"v0", ",", "v1"}], "]"}]}]}], "}"}], ",", 
    RowBox[{
     RowBox[{"vTab", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"v", ",", 
        RowBox[{"{", 
         RowBox[{"v", ",", "low", ",", "high", ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"high", "-", "low"}], ")"}], "/", "nPoints"}]}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Quiet", "@", 
      RowBox[{"FindMaximum", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"f", ",", 
          RowBox[{"low", "\[LessEqual]", "v", "\[LessEqual]", "high"}]}], 
         "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"v", ",", "\[IndentingNewLine]", 
          RowBox[{"vTab", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"Ordering", "[", 
              RowBox[{
               RowBox[{"Table", "[", 
                RowBox[{"f", ",", 
                 RowBox[{"{", 
                  RowBox[{"v", ",", "low", ",", "high", ",", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"high", "-", "low"}], ")"}], "/", "nPoints"}]}], 
                  "}"}]}], "]"}], ",", "1", ",", 
               RowBox[{
                RowBox[{"#1", "\[GreaterEqual]", "#2"}], "&"}]}], "]"}], "//",
              "First"}], "]"}], "]"}]}], "\[IndentingNewLine]", "}"}]}], 
       "\[IndentingNewLine]", "]"}]}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.393601062667554*^9, {3.393671087403825*^9, 3.393671149363595*^9}, {
   3.3936849362177467`*^9, 3.393684936368403*^9}, 3.393685011724848*^9, {
   3.396702604104306*^9, 3.396702687805336*^9}, {3.3974000368633404`*^9, 
   3.397400038160174*^9}},
 CellID->631107424],

Cell[BoxData[
 RowBox[{
  RowBox[{"maxPoint", "[", 
   RowBox[{"function_", ",", 
    RowBox[{"{", 
     RowBox[{"x_", ",", "a_", ",", "b_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"list", "=", 
      RowBox[{"FindMaxMaximum", "[", 
       RowBox[{"function", ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "0.03", "]"}], ",", "Green", ",", 
      RowBox[{"Point", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "/.", 
          RowBox[{"Last", "[", "list", "]"}]}], ",", 
         RowBox[{"First", "[", "list", "]"}]}], "}"}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "]"}]}]], "Input",\

 InitializationCell->True,
 CellChangeTimes->{{3.3936028834797287`*^9, 3.393602888127172*^9}, {
   3.3936029195588503`*^9, 3.393602964077298*^9}, {3.393603368727544*^9, 
   3.393603383849587*^9}, {3.393603597521282*^9, 3.393603725687364*^9}, {
   3.393603856616871*^9, 3.393603873000526*^9}, 3.393604036995111*^9, {
   3.393604076060204*^9, 3.393604111389574*^9}, {3.393604165001543*^9, 
   3.393604166875299*^9}, {3.393604203952001*^9, 3.393604212328566*^9}, {
   3.393604271298552*^9, 3.393604322111545*^9}, {3.393671186768133*^9, 
   3.393671188579118*^9}, {3.393671474745523*^9, 3.393671509161336*^9}, 
   3.3936739126462173`*^9},
 CellID->600742635],

Cell[BoxData[
 RowBox[{
  RowBox[{"FindMinMinimum", "[", 
   RowBox[{"f_", ",", 
    RowBox[{"{", 
     RowBox[{"v_", ",", "v0_", ",", "v1_"}], "}"}]}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"nPoints", "=", "25"}], ",", "vTab", ",", 
      RowBox[{"low", "=", 
       RowBox[{"Min", "[", 
        RowBox[{"v0", ",", "v1"}], "]"}]}], ",", 
      RowBox[{"high", "=", 
       RowBox[{"Max", "[", 
        RowBox[{"v0", ",", "v1"}], "]"}]}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"vTab", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"v", ",", 
        RowBox[{"{", 
         RowBox[{"v", ",", "low", ",", "high", ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"high", "-", "low"}], ")"}], "/", "nPoints"}]}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Quiet", "@", 
      RowBox[{"FindMinimum", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"f", ",", 
          RowBox[{"low", "\[LessEqual]", "v", "\[LessEqual]", "high"}]}], 
         "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"v", ",", "\[IndentingNewLine]", 
          RowBox[{"vTab", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"Ordering", "[", 
              RowBox[{
               RowBox[{"Table", "[", 
                RowBox[{"f", ",", 
                 RowBox[{"{", 
                  RowBox[{"v", ",", "low", ",", "high", ",", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"high", "-", "low"}], ")"}], "/", "nPoints"}]}], 
                  "}"}]}], "]"}], ",", "1", ",", 
               RowBox[{
                RowBox[{"#1", "\[LessEqual]", "#2"}], "&"}]}], "]"}], "//", 
             "First"}], "]"}], "]"}]}], "\[IndentingNewLine]", "}"}]}], 
       "]"}]}]}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.393601062667554*^9, {3.3936060467972927`*^9, 3.393606116456634*^9}, {
   3.3936716054423447`*^9, 3.393671618747538*^9}, {3.3936716506756163`*^9, 
   3.393671659188182*^9}, 3.393673929231559*^9, {3.393679896570369*^9, 
   3.393679901374353*^9}, {3.393684959509694*^9, 3.39368495963321*^9}, 
   3.393685006579445*^9, {3.396702579549444*^9, 3.396702593662553*^9}, {
   3.3967027052141657`*^9, 3.396702738409698*^9}, {3.3974000415819397`*^9, 
   3.3974000435818753`*^9}},
 CellID->968939136],

Cell[BoxData[
 RowBox[{
  RowBox[{"minPoint", "[", 
   RowBox[{"function_", ",", 
    RowBox[{"{", 
     RowBox[{"x_", ",", "a_", ",", "b_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"list", "=", 
      RowBox[{"FindMinMinimum", "[", 
       RowBox[{"function", ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "0.03", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "/.", 
          RowBox[{"Last", "[", "list", "]"}]}], ",", 
         RowBox[{"First", "[", "list", "]"}]}], "}"}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "]"}]}]], "Input",\

 InitializationCell->True,
 CellChangeTimes->{{3.393673720770502*^9, 3.393673782137163*^9}, 
   3.3936740812740517`*^9},
 CellID->591563551],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"extremeValuePlot", "[", 
    RowBox[{"function_", ",", 
     RowBox[{"{", 
      RowBox[{"x_", ",", "a_", ",", "b_"}], "}"}], ",", "opts___"}], "]"}], ":=",
    "\[IndentingNewLine]", 
   RowBox[{"Module", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Show", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Plot", "[", "\[IndentingNewLine]", 
        RowBox[{"function", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{"a", ",", "b"}], "]"}], "-", "1"}], ",", 
           RowBox[{
            RowBox[{"Max", "[", 
             RowBox[{"a", ",", "b"}], "]"}], "+", "1"}]}], "}"}], ",", 
         RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}], ",", 
         RowBox[{"ColorFunction", "\[Rule]", 
          RowBox[{"Function", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"\[Xi]", ",", "\[Psi]"}], "}"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"\[Xi]", "-", "a"}], ")"}], " ", 
                RowBox[{"(", 
                 RowBox[{"\[Xi]", "-", "b"}], ")"}]}], "<", "0"}], ",", 
              "Thick", ",", "Thin"}], "]"}]}], "]"}]}], ",", "opts"}], 
        "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"maxPoint", "[", 
           RowBox[{"function", ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}], ",", 
          RowBox[{"minPoint", "[", 
           RowBox[{"function", ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}]}], 
         "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", "]"}]}], 
      "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}], 
  "\[IndentingNewLine]"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.393605234691943*^9, 3.3936052894825163`*^9}, {
   3.393605323147937*^9, 3.393605390518062*^9}, {3.393605512172783*^9, 
   3.393605512373804*^9}, {3.393605556791046*^9, 3.393605561508856*^9}, {
   3.3936055994062357`*^9, 3.393605642534739*^9}, {3.3936056728725767`*^9, 
   3.393605793596902*^9}, {3.393605853430193*^9, 3.3936059135852222`*^9}, {
   3.393605949786817*^9, 3.393605952708172*^9}, {3.3936059845668497`*^9, 
   3.393606017456182*^9}, {3.3936074897352667`*^9, 3.3936075377711363`*^9}, {
   3.393608063293569*^9, 3.393608067128442*^9}, {3.393608103292672*^9, 
   3.393608181140213*^9}, {3.393670556273143*^9, 3.3936705577059193`*^9}, 
   3.3936717602674007`*^9, {3.3936718886707582`*^9, 3.393671984700509*^9}, {
   3.393672020404996*^9, 3.393672023597416*^9}, {3.393672094739222*^9, 
   3.39367210145121*^9}, 3.3936739556650887`*^9, {3.3936790787137127`*^9, 
   3.393679094277339*^9}, {3.3936793205765343`*^9, 3.3936793314580307`*^9}, 
   3.3936794053476877`*^9, {3.3936795224423447`*^9, 3.393679530845825*^9}, 
   3.393680475045658*^9, {3.393681445854356*^9, 3.393681446288906*^9}, {
   3.3936826641257877`*^9, 3.393682665431422*^9}, {3.396701914260054*^9, 
   3.396701924615383*^9}, {3.396716253427363*^9, 3.39671627018104*^9}},
 CellID->1706799694],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"a", "\[Equal]", "b"}], "&&", 
       RowBox[{"a", "=!=", "8."}]}], ",", 
      RowBox[{"a", "=", 
       RowBox[{"a", "+", ".01"}]}]}], "]"}], ";", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"a", "\[Equal]", "b"}], "&&", 
       RowBox[{"a", "==", "8"}]}], ",", 
      RowBox[{"a", "=", 
       RowBox[{"a", "-", ".01"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Show", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"extremeValuePlot", "[", 
       RowBox[{
        RowBox[{"function", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Purple", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"a", ",", 
              RowBox[{"-", 
               RowBox[{"10", "^", "20"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"a", ",", 
              RowBox[{"10", "^", "20"}]}], "}"}]}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", "Orange", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"b", ",", 
              RowBox[{"-", 
               RowBox[{"10", "^", "20"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"b", ",", 
              RowBox[{"10", "^", "20"}]}], "}"}]}], "}"}], "]"}]}], "}"}], 
       "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"PlotRangeClipping", "\[Rule]", "False"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"400", ",", "300"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"function", ",", 
       RowBox[{
        RowBox[{"4", "-", 
         RowBox[{"16", " ", "#"}], "+", 
         RowBox[{"16", " ", 
          RowBox[{"#", "^", "2"}]}]}], "&"}], ",", "\"\<function\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"4", "-", 
          RowBox[{"16", " ", "#"}], "+", 
          RowBox[{"16", " ", 
           RowBox[{"#", "^", "2"}]}]}], "&"}], "\[Rule]", 
        "\"\<quadratic\>\""}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"4", "*", 
          RowBox[{"Sin", "[", 
           RowBox[{"2", "*", "Pi", "*", "#"}], "]"}]}], "&"}], "\[Rule]", 
        "\"\<trigonometric\>\""}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"-", "7"}], "+", 
          RowBox[{"78", " ", "#"}], "-", 
          RowBox[{"192", " ", 
           RowBox[{"#", "^", "2"}]}], "+", 
          RowBox[{"128", "\n", 
           RowBox[{"#", "^", "3"}]}]}], "&"}], "\[Rule]", "\"\<cubic\>\""}]}],
       "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"-", "3"}], ",", "\"\<purple endpoint\>\""}], "}"}], ",", 
     RowBox[{"-", "8"}], ",", "8", ",", 
     RowBox[{"Exclusions", "\[Rule]", "b"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "\n", "}"}], ",",
    "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "2", ",", "\"\<orange endpoint\>\""}], "}"}], ",", 
     RowBox[{"-", "8"}], ",", "8", ",", 
     RowBox[{"Exclusions", "\[Rule]", "a"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "\n", "}"}], 
   "\n", ",", "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"SynchronousUpdating", "\[Rule]", "False"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.393677145741395*^9, 3.393677238349214*^9}, {
   3.393677283344179*^9, 3.393677352935987*^9}, {3.3936774001896267`*^9, 
   3.393677495986368*^9}, {3.393677543605733*^9, 3.39367755870121*^9}, {
   3.393677636176536*^9, 3.3936777203302937`*^9}, {3.393677756640609*^9, 
   3.393677760263412*^9}, {3.393677857181469*^9, 3.3936779744743977`*^9}, {
   3.393678015512619*^9, 3.393678123592881*^9}, {3.393678167258143*^9, 
   3.393678214351543*^9}, {3.393678275279442*^9, 3.393678275387583*^9}, {
   3.3936791054046392`*^9, 3.3936791109400167`*^9}, {3.3936792265210238`*^9, 
   3.393679303440318*^9}, {3.393679418470941*^9, 3.3936794505328903`*^9}, {
   3.39367975171161*^9, 3.393679760908491*^9}, {3.393680045128682*^9, 
   3.393680049688011*^9}, {3.393680512742593*^9, 3.393680518621991*^9}, 
   3.393682681244369*^9, {3.393686076437701*^9, 3.393686086886344*^9}, {
   3.396634873579198*^9, 3.3966348777930713`*^9}, {3.3966349347854557`*^9, 
   3.3966349349155755`*^9}, {3.396643387744803*^9, 3.396643392166791*^9}, {
   3.3966434422305727`*^9, 3.396643474106389*^9}, 3.396643528029644*^9, {
   3.396715483886821*^9, 3.396715486065419*^9}, 3.396716755387783*^9, {
   3.3967168159492817`*^9, 3.396716819308597*^9}, {3.396717407728294*^9, 
   3.3967174116098957`*^9}, {3.396727714678506*^9, 3.39672772679593*^9}, {
   3.3967884589819007`*^9, 3.396788468665826*^9}, {3.3967885006418047`*^9, 
   3.3967885361328382`*^9}, 3.3967885796954784`*^9, {3.3968954126810637`*^9, 
   3.396895424713435*^9}, {3.397235345000163*^9, 3.397235477440979*^9}, 
   3.397235510943725*^9, 3.3972357546671743`*^9, {3.397236286463706*^9, 
   3.397236287082664*^9}, {3.397238103560926*^9, 3.397238127560926*^9}, {
   3.3973059333105307`*^9, 3.3973059398105307`*^9}, {3.3973131209199057`*^9, 
   3.3973131322167807`*^9}},
 CellID->95900432]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = -3, $CellContext`b$$ = 
    2, $CellContext`function$$ = 4 - 16 # + 16 #^2& , Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`function$$], 4 - 16 # + 16 #^2& , 
       "function"}, {(4 - 16 # + 16 #^2& ) -> "quadratic", (4 Sin[2 Pi #]& ) -> 
       "trigonometric", (-7 + 78 # - 192 #^2 + 128 #^3& ) -> "cubic"}}, {{
       Hold[$CellContext`a$$], -3, "purple endpoint"}, -8, 8}, {{
       Hold[$CellContext`b$$], 2, "orange endpoint"}, -8, 8}}, 
    Typeset`size$$ = {400., {148., 152.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`function$9311982$$ = False, $CellContext`a$9311983$$ =
     0, $CellContext`b$9311984$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = -3, $CellContext`b$$ = 
        2, $CellContext`function$$ = 4 - 16 # + 16 #^2& }, 
      "ControllerVariables" :> {
        Hold[$CellContext`function$$, $CellContext`function$9311982$$, False],
         
        Hold[$CellContext`a$$, $CellContext`a$9311983$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$9311984$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> (If[
         And[$CellContext`a$$ == $CellContext`b$$, $CellContext`a$$ =!= 
          8.], $CellContext`a$$ = $CellContext`a$$ + 0.01]; If[
         And[$CellContext`a$$ == $CellContext`b$$, $CellContext`a$$ == 
          8], $CellContext`a$$ = $CellContext`a$$ - 0.01]; Show[
         $CellContext`extremeValuePlot[
          $CellContext`function$$[$CellContext`x], {$CellContext`x, \
$CellContext`a$$, $CellContext`b$$}], 
         Graphics[{Purple, 
           Line[{{$CellContext`a$$, -10^20}, {$CellContext`a$$, 10^20}}], 
           Orange, 
           Line[{{$CellContext`b$$, -10^20}, {$CellContext`b$$, 10^20}}]}], 
         PlotRangeClipping -> False, ImageSize -> {400, 300}]), 
      "Specifications" :> {{{$CellContext`function$$, 4 - 16 # + 16 #^2& , 
          "function"}, {(4 - 16 # + 16 #^2& ) -> 
          "quadratic", (4 Sin[2 Pi #]& ) -> 
          "trigonometric", (-7 + 78 # - 192 #^2 + 128 #^3& ) -> 
          "cubic"}}, {{$CellContext`a$$, -3, "purple endpoint"}, -8, 8, 
         Exclusions -> Dynamic[$CellContext`b$$], Appearance -> 
         "Labeled"}, {{$CellContext`b$$, 2, "orange endpoint"}, -8, 8, 
         Exclusions -> Dynamic[$CellContext`a$$], Appearance -> "Labeled"}}, 
      "Options" :> {SynchronousUpdating -> False}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {217., 222.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`extremeValuePlot[
          Pattern[$CellContext`function, 
           Blank[]], {
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]}, 
          Pattern[$CellContext`opts, 
           BlankNullSequence[]]] := Module[{}, 
          Show[
           
           Plot[$CellContext`function, {$CellContext`x, 
             Min[$CellContext`a, $CellContext`b] - 1, 
             Max[$CellContext`a, $CellContext`b] + 1}, ColorFunctionScaling -> 
            False, ColorFunction -> 
            Function[{$CellContext`\[Xi], $CellContext`\[Psi]}, 
              
              If[($CellContext`\[Xi] - $CellContext`a) ($CellContext`\[Xi] - \
$CellContext`b) < 0, Thick, Thin]], $CellContext`opts], 
           Graphics[{
             $CellContext`maxPoint[$CellContext`function, {$CellContext`x, \
$CellContext`a, $CellContext`b}], 
             $CellContext`minPoint[$CellContext`function, {$CellContext`x, \
$CellContext`a, $CellContext`b}]}]]], $CellContext`maxPoint[
          Pattern[$CellContext`function, 
           Blank[]], {
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]}] := 
        Module[{$CellContext`list = \
$CellContext`FindMaxMaximum[$CellContext`function, {$CellContext`x, \
$CellContext`a, $CellContext`b}]}, {
           PointSize[0.03], Green, 
           Point[{
             ReplaceAll[$CellContext`x, 
              Last[$CellContext`list]], 
             First[$CellContext`list]}]}], $CellContext`FindMaxMaximum[
          Pattern[$CellContext`f, 
           Blank[]], {
           Pattern[$CellContext`v, 
            Blank[]], 
           Pattern[$CellContext`v0, 
            Blank[]], 
           Pattern[$CellContext`v1, 
            Blank[]]}] := 
        Module[{$CellContext`nPoints = 
           25, $CellContext`vTab, $CellContext`low = 
           Min[$CellContext`v0, $CellContext`v1], $CellContext`high = 
           Max[$CellContext`v0, $CellContext`v1]}, $CellContext`vTab = 
           Table[$CellContext`v, {$CellContext`v, $CellContext`low, \
$CellContext`high, ($CellContext`high - \
$CellContext`low)/$CellContext`nPoints}]; Quiet[
            
            FindMaximum[{$CellContext`f, $CellContext`low <= $CellContext`v <= \
$CellContext`high}, {$CellContext`v, 
              Part[$CellContext`vTab, 
               First[
                Ordering[
                 
                 Table[$CellContext`f, {$CellContext`v, $CellContext`low, \
$CellContext`high, ($CellContext`high - \
$CellContext`low)/$CellContext`nPoints}], 
                 1, # >= #2& ]]]}]]], $CellContext`minPoint[
          Pattern[$CellContext`function, 
           Blank[]], {
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]}] := 
        Module[{$CellContext`list = \
$CellContext`FindMinMinimum[$CellContext`function, {$CellContext`x, \
$CellContext`a, $CellContext`b}]}, {
           PointSize[0.03], Red, 
           Point[{
             ReplaceAll[$CellContext`x, 
              Last[$CellContext`list]], 
             First[$CellContext`list]}]}], $CellContext`FindMinMinimum[
          Pattern[$CellContext`f, 
           Blank[]], {
           Pattern[$CellContext`v, 
            Blank[]], 
           Pattern[$CellContext`v0, 
            Blank[]], 
           Pattern[$CellContext`v1, 
            Blank[]]}] := 
        Module[{$CellContext`nPoints = 
           25, $CellContext`vTab, $CellContext`low = 
           Min[$CellContext`v0, $CellContext`v1], $CellContext`high = 
           Max[$CellContext`v0, $CellContext`v1]}, $CellContext`vTab = 
           Table[$CellContext`v, {$CellContext`v, $CellContext`low, \
$CellContext`high, ($CellContext`high - \
$CellContext`low)/$CellContext`nPoints}]; Quiet[
            
            FindMinimum[{$CellContext`f, $CellContext`low <= $CellContext`v <= \
$CellContext`high}, {$CellContext`v, 
              Part[$CellContext`vTab, 
               First[
                Ordering[
                 
                 Table[$CellContext`f, {$CellContext`v, $CellContext`low, \
$CellContext`high, ($CellContext`high - \
$CellContext`low)/$CellContext`nPoints}], 1, # <= #2& ]]]}]]]}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`FindMaxMaximum[
           Pattern[$CellContext`f, 
            Blank[]], {
            Pattern[$CellContext`v, 
             Blank[]], 
            Pattern[$CellContext`v0, 
             Blank[]], 
            Pattern[$CellContext`v1, 
             Blank[]]}] := 
         Module[{$CellContext`nPoints = 
            25, $CellContext`vTab, $CellContext`low = 
            Min[$CellContext`v0, $CellContext`v1], $CellContext`high = 
            Max[$CellContext`v0, $CellContext`v1]}, $CellContext`vTab = 
            
            Table[$CellContext`v, {$CellContext`v, $CellContext`low, \
$CellContext`high, ($CellContext`high - \
$CellContext`low)/$CellContext`nPoints}]; Quiet[
             
             FindMaximum[{$CellContext`f, $CellContext`low <= $CellContext`v <= \
$CellContext`high}, {$CellContext`v, 
               Part[$CellContext`vTab, 
                First[
                 Ordering[
                  
                  Table[$CellContext`f, {$CellContext`v, $CellContext`low, \
$CellContext`high, ($CellContext`high - \
$CellContext`low)/$CellContext`nPoints}], 
                  1, # >= #2& ]]]}]]], $CellContext`maxPoint[
           Pattern[$CellContext`function, 
            Blank[]], {
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]}] := 
         Module[{$CellContext`list = \
$CellContext`FindMaxMaximum[$CellContext`function, {$CellContext`x, \
$CellContext`a, $CellContext`b}]}, {
            PointSize[0.03], Green, 
            Point[{
              ReplaceAll[$CellContext`x, 
               Last[$CellContext`list]], 
              First[$CellContext`list]}]}], $CellContext`FindMinMinimum[
           Pattern[$CellContext`f, 
            Blank[]], {
            Pattern[$CellContext`v, 
             Blank[]], 
            Pattern[$CellContext`v0, 
             Blank[]], 
            Pattern[$CellContext`v1, 
             Blank[]]}] := 
         Module[{$CellContext`nPoints = 
            25, $CellContext`vTab, $CellContext`low = 
            Min[$CellContext`v0, $CellContext`v1], $CellContext`high = 
            Max[$CellContext`v0, $CellContext`v1]}, $CellContext`vTab = 
            Table[$CellContext`v, {$CellContext`v, $CellContext`low, \
$CellContext`high, ($CellContext`high - \
$CellContext`low)/$CellContext`nPoints}]; Quiet[
             
             FindMinimum[{$CellContext`f, $CellContext`low <= $CellContext`v <= \
$CellContext`high}, {$CellContext`v, 
               Part[$CellContext`vTab, 
                First[
                 Ordering[
                  
                  Table[$CellContext`f, {$CellContext`v, $CellContext`low, \
$CellContext`high, ($CellContext`high - \
$CellContext`low)/$CellContext`nPoints}], 
                  1, # <= #2& ]]]}]]], $CellContext`minPoint[
           Pattern[$CellContext`function, 
            Blank[]], {
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]}] := 
         Module[{$CellContext`list = \
$CellContext`FindMinMinimum[$CellContext`function, {$CellContext`x, \
$CellContext`a, $CellContext`b}]}, {
            PointSize[0.03], Red, 
            Point[{
              ReplaceAll[$CellContext`x, 
               Last[$CellContext`list]], 
              First[$CellContext`list]}]}], $CellContext`extremeValuePlot[
           Pattern[$CellContext`function, 
            Blank[]], {
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]}, 
           Pattern[$CellContext`opts, 
            BlankNullSequence[]]] := Module[{}, 
           Show[
            
            Plot[$CellContext`function, {$CellContext`x, 
              Min[$CellContext`a, $CellContext`b] - 1, 
              Max[$CellContext`a, $CellContext`b] + 1}, ColorFunctionScaling -> 
             False, ColorFunction -> 
             Function[{$CellContext`\[Xi], $CellContext`\[Psi]}, 
               
               If[($CellContext`\[Xi] - $CellContext`a) ($CellContext`\[Xi] - \
$CellContext`b) < 0, Thick, Thin]], $CellContext`opts], 
            Graphics[{
              $CellContext`maxPoint[$CellContext`function, {$CellContext`x, \
$CellContext`a, $CellContext`b}], 
              $CellContext`minPoint[$CellContext`function, {$CellContext`x, \
$CellContext`a, $CellContext`b}]}]]]}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->303828303],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Extreme Value Theorem",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ExtremeValueTheorem/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ExtremeValueTheorem/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ExtremeValueTheorem/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ExtremeValueTheorem/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ExtremeValueTheorem/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Jacqueline Wandzura",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jacqueline+\
Wandzura"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jacqueline+Wandzura"]\

}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "Additional contributions by: ",
 ButtonBox["Stephen Wandzura",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Stephen+\
Wandzura"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Stephen+Wandzura"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->1938226384]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ExtremeValueTheorem"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Extreme Value Theorem - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 213, 4, 70, "Section"],
Cell[806, 29, 2344, 61, 70, "Input",
 InitializationCell->True,
 CellID->631107424],
Cell[3153, 92, 1517, 36, 70, "Input",
 InitializationCell->True,
 CellID->600742635],
Cell[4673, 130, 2544, 64, 70, "Input",
 InitializationCell->True,
 CellID->968939136],
Cell[7220, 196, 978, 29, 70, "Input",
 InitializationCell->True,
 CellID->591563551],
Cell[8201, 227, 3425, 71, 70, "Input",
 InitializationCell->True,
 CellID->1706799694],
Cell[11629, 300, 5767, 137, 70, "Input",
 CellID->95900432]
}, Open  ]],
Cell[17411, 440, 12525, 284, 70, "Output",
 CellID->303828303],
Cell[CellGroupData[{
Cell[29961, 728, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[30337, 739, 893, 24, 70, "Text"],
Cell[31233, 765, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[31595, 778, 453, 15, 70, "Text"],
Cell[32051, 795, 476, 15, 70, "Text",
 CellID->1938226384]
}, Open  ]],
Cell[CellGroupData[{
Cell[32564, 815, 829, 24, 70, "Text"],
Cell[33396, 841, 1195, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature JQ4ZXj5pKs8DvBTSYwYFnkhS *)
