(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     18201,        492]
NotebookOptionsPosition[     17140,        453]
NotebookOutlinePosition[     17769,        477]
CellTagsIndexPosition[     17726,        474]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Fermat's Theorem on Stationary Points", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"2", 
       RowBox[{"Sin", "[", "x", "]"}]}], "+", "x"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", 
       RowBox[{"2", "Pi"}]}], "}"}], ",", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              FractionBox[
               RowBox[{
                RowBox[{"2", " ", "c"}], "+", 
                RowBox[{"4", " ", "c", " ", 
                 RowBox[{"Cos", "[", "c", "]"}]}], "+", 
                RowBox[{"4", " ", "c", " ", 
                 SuperscriptBox[
                  RowBox[{"Cos", "[", "c", "]"}], "2"]}], "-", 
                RowBox[{
                 SqrtBox["2"], " ", 
                 SqrtBox[
                  RowBox[{"1", "+", 
                   RowBox[{"2", " ", 
                    RowBox[{"Cos", "[", "c", "]"}]}], "+", 
                   RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"Cos", "[", "c", "]"}], "2"]}]}]]}]}], 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{"2", " ", 
                   RowBox[{"Cos", "[", "c", "]"}]}], "+", 
                  RowBox[{"2", " ", 
                   SuperscriptBox[
                    RowBox[{"Cos", "[", "c", "]"}], "2"]}]}], ")"}]}]], ",", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", 
                   RowBox[{"Cos", "[", "c", "]"}]}], "+", "1"}], ")"}], 
                RowBox[{"(", 
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", " ", "c"}], "+", 
                   RowBox[{"4", " ", "c", " ", 
                    RowBox[{"Cos", "[", "c", "]"}]}], "+", 
                   RowBox[{"4", " ", "c", " ", 
                    SuperscriptBox[
                    RowBox[{"Cos", "[", "c", "]"}], "2"]}], "-", 
                   RowBox[{
                    SqrtBox["2"], " ", 
                    SqrtBox[
                    RowBox[{"1", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Cos", "[", "c", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"Cos", "[", "c", "]"}], "2"]}]}]]}]}], 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Cos", "[", "c", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"Cos", "[", "c", "]"}], "2"]}]}], ")"}]}]], 
                 ")"}]}], "+", 
               RowBox[{"2", 
                RowBox[{"Sin", "[", "c", "]"}]}], "+", "c", "-", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", 
                   RowBox[{"Cos", "[", "c", "]"}]}], "+", "1"}], ")"}], " ", 
                "c"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              FractionBox[
               RowBox[{
                RowBox[{"2", " ", "c"}], "+", 
                RowBox[{"4", " ", "c", " ", 
                 RowBox[{"Cos", "[", "c", "]"}]}], "+", 
                RowBox[{"4", " ", "c", " ", 
                 SuperscriptBox[
                  RowBox[{"Cos", "[", "c", "]"}], "2"]}], "+", 
                RowBox[{
                 SqrtBox["2"], " ", 
                 SqrtBox[
                  RowBox[{"1", "+", 
                   RowBox[{"2", " ", 
                    RowBox[{"Cos", "[", "c", "]"}]}], "+", 
                   RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"Cos", "[", "c", "]"}], "2"]}]}]]}]}], 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{"2", " ", 
                   RowBox[{"Cos", "[", "c", "]"}]}], "+", 
                  RowBox[{"2", " ", 
                   SuperscriptBox[
                    RowBox[{"Cos", "[", "c", "]"}], "2"]}]}], ")"}]}]], ",", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", 
                   RowBox[{"Cos", "[", "c", "]"}]}], "+", "1"}], ")"}], 
                RowBox[{"(", 
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", " ", "c"}], "+", 
                   RowBox[{"4", " ", "c", " ", 
                    RowBox[{"Cos", "[", "c", "]"}]}], "+", 
                   RowBox[{"4", " ", "c", " ", 
                    SuperscriptBox[
                    RowBox[{"Cos", "[", "c", "]"}], "2"]}], "+", 
                   RowBox[{
                    SqrtBox["2"], " ", 
                    SqrtBox[
                    RowBox[{"1", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Cos", "[", "c", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"Cos", "[", "c", "]"}], "2"]}]}]]}]}], 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Cos", "[", "c", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    SuperscriptBox[
                    RowBox[{"Cos", "[", "c", "]"}], "2"]}]}], ")"}]}]], 
                 ")"}]}], "+", 
               RowBox[{"2", 
                RowBox[{"Sin", "[", "c", "]"}]}], "+", "c", "-", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", 
                   RowBox[{"Cos", "[", "c", "]"}]}], "+", "1"}], ")"}], " ", 
                "c"}]}]}], "}"}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Darker", "@", "Red"}], ",", 
          RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"c", ",", 
             RowBox[{
              RowBox[{"2", 
               RowBox[{"Sin", "[", "c", "]"}]}], "+", "c"}]}], "}"}], "]"}]}],
          "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<slope: \>\"", " ", ",", 
          RowBox[{"ToString", "[", 
           RowBox[{"N", "[", 
            RowBox[{
             RowBox[{"2", 
              RowBox[{"Cos", "[", "c", "]"}]}], "+", "1"}], "]"}], "]"}]}], 
         "]"}], ",", "12"}], "]"}]}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "400"}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
           "\"\< value\>\""}], "}"}], "]"}], ",", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"2", 
           RowBox[{"Sin", "[", "x", "]"}]}], "+", "x"}], "]"}]}], "}"}]}]}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "2.08979", ",", "\"\<value c\>\""}], "}"}], ",", "0", 
     ",", 
     RowBox[{"2", "Pi"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.3876692524370003`*^9, {3.387671403418*^9, 
   3.387671422697*^9}, {3.387671508224*^9, 3.3876715087539997`*^9}, {
   3.387723073234027*^9, 3.3877231653665075`*^9}, {3.3878931395655746`*^9, 
   3.3878931407973456`*^9}, {3.388339847117206*^9, 3.3883398906197596`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`c$$ = 2.035752039526186, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`c$$], 2.035752039526186, "value c"}, 0, 2 Pi}}, 
    Typeset`size$$ = {500., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`c$140762$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`c$$ = 2.035752039526186}, 
      "ControllerVariables" :> {
        Hold[$CellContext`c$$, $CellContext`c$140762$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[2 Sin[$CellContext`x] + $CellContext`x, {$CellContext`x, 0, 2 Pi}, 
        Epilog -> {{
           
           Line[{{(2 $CellContext`c$$ + 
               4 $CellContext`c$$ Cos[$CellContext`c$$] + 
               4 $CellContext`c$$ Cos[$CellContext`c$$]^2 - 
               2^Rational[1, 2] (1 + 2 Cos[$CellContext`c$$] + 
                 2 Cos[$CellContext`c$$]^2)^Rational[1, 2])/(
              2 (1 + 2 Cos[$CellContext`c$$] + 
               2 Cos[$CellContext`c$$]^2)), (2 Cos[$CellContext`c$$] + 
                1) ((2 $CellContext`c$$ + 
                 4 $CellContext`c$$ Cos[$CellContext`c$$] + 
                 4 $CellContext`c$$ Cos[$CellContext`c$$]^2 - 
                 2^Rational[1, 2] (1 + 2 Cos[$CellContext`c$$] + 
                   2 Cos[$CellContext`c$$]^2)^Rational[1, 2])/(
                2 (1 + 2 Cos[$CellContext`c$$] + 2 Cos[$CellContext`c$$]^2))) + 
              2 Sin[$CellContext`c$$] + $CellContext`c$$ - (
               2 Cos[$CellContext`c$$] + 1) $CellContext`c$$}, {(
               2 $CellContext`c$$ + 4 $CellContext`c$$ Cos[$CellContext`c$$] + 
               4 $CellContext`c$$ Cos[$CellContext`c$$]^2 + 
               2^Rational[1, 2] (1 + 2 Cos[$CellContext`c$$] + 
                  2 Cos[$CellContext`c$$]^2)^Rational[1, 2])/(
              2 (1 + 2 Cos[$CellContext`c$$] + 
               2 Cos[$CellContext`c$$]^2)), (2 Cos[$CellContext`c$$] + 
                1) ((2 $CellContext`c$$ + 
                 4 $CellContext`c$$ Cos[$CellContext`c$$] + 
                 4 $CellContext`c$$ Cos[$CellContext`c$$]^2 + 
                 2^Rational[1, 2] (1 + 2 Cos[$CellContext`c$$] + 
                    2 Cos[$CellContext`c$$]^2)^Rational[1, 2])/(
                2 (1 + 2 Cos[$CellContext`c$$] + 2 Cos[$CellContext`c$$]^2))) + 
              2 Sin[$CellContext`c$$] + $CellContext`c$$ - (
               2 Cos[$CellContext`c$$] + 1) $CellContext`c$$}}]}, {
           Darker[Red], 
           PointSize[0.015], 
           
           Point[{$CellContext`c$$, 
             2 Sin[$CellContext`c$$] + $CellContext`c$$}]}}, PlotLabel -> 
        Style[
          StringJoin["slope: ", 
           ToString[
            N[2 Cos[$CellContext`c$$] + 1]]], 12], AspectRatio -> Automatic, 
        ImageSize -> {500, 400}, AxesLabel -> {
          Row[{
            Style["x", Italic], " value"}], 
          TraditionalForm[2 Sin[$CellContext`x] + $CellContext`x]}], 
      "Specifications" :> {{{$CellContext`c$$, 2.035752039526186, "value c"}, 
         0, 2 Pi}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {241., 246.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->135954033],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Fermat's Theorem on Stationary Points",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FermatsTheoremOnStationaryPoints/"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/FermatsTheoremOnStationaryPoints/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
FermatsTheoremOnStationaryPoints/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FermatsTheoremOnStationaryPoints/"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/FermatsTheoremOnStationaryPoints/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Julio Cesar de la Yncera",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Julio+Cesar+de+\
la+Yncera"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Julio+Cesar+de+la+\
Yncera"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
FermatsTheoremOnStationaryPoints"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Fermat's Theorem on Stationary Points - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 229, 4, 70, "Section"],
Cell[822, 29, 8005, 204, 70, "Input"]
}, Open  ]],
Cell[8842, 236, 4005, 78, 70, "Output",
 CellID->135954033],
Cell[CellGroupData[{
Cell[12872, 318, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13248, 329, 988, 29, 70, "Text"],
Cell[14239, 360, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[14579, 371, 468, 15, 70, "Text"],
Cell[CellGroupData[{
Cell[15072, 390, 829, 24, 70, "Text"],
Cell[15904, 416, 1208, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature oRzikX8j069QqA0505wsvjKN *)
