(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     50099,       1202]
NotebookOptionsPosition[     49017,       1162]
NotebookOutlinePosition[     49638,       1186]
CellTagsIndexPosition[     49595,       1183]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Global Extrema on an Interval", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "=", "a"}], ",", 
       RowBox[{"b", "=", "b"}], ",", "\[IndentingNewLine]", 
       RowBox[{"extremax", "=", 
        RowBox[{"x", "/.", 
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"func", "'"}], "[", "x", "]"}], "\[Equal]", "0"}], ",", 
           "x"}], "]"}]}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{"xvalues", "=", 
         RowBox[{"Join", "[", 
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{"extremax", ",", 
             RowBox[{
              RowBox[{"a", "<", "#", "<", "b"}], "&"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"yvalues", "=", 
            RowBox[{"func", "[", "xvalues", "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"pairs", "=", 
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{"xvalues", ",", 
               RowBox[{"func", "[", "xvalues", "]"}]}], "}"}], "]"}]}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"globalmax", "=", " ", 
              RowBox[{"Extract", "[", 
               RowBox[{"pairs", ",", 
                RowBox[{"Position", "[", 
                 RowBox[{"yvalues", ",", 
                  RowBox[{"Max", "[", "yvalues", "]"}]}], "]"}]}], "]"}]}], 
             ",", "\[IndentingNewLine]", "\t", 
             RowBox[{"globalmin", "=", 
              RowBox[{"Extract", "[", 
               RowBox[{"pairs", ",", " ", 
                RowBox[{"Position", "[", 
                 RowBox[{"yvalues", ",", " ", 
                  RowBox[{"Min", "[", "yvalues", "]"}]}], "]"}]}], "]"}]}]}], 
            "}"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Show", "[", 
            RowBox[{
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{"func", "[", "x", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{"-", "5"}], ",", "8.3"}], "}"}], ",", 
               RowBox[{"PlotRange", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "10"}], ",", "13"}], "}"}]}], ",", 
               RowBox[{"AxesLabel", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "y"}], "}"}]}], ",", 
               RowBox[{"Ticks", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "4"}], ",", 
                    RowBox[{"-", "2"}], ",", "2", ",", "4", ",", "6", ",", 
                    "8"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "10"}], ",", 
                    RowBox[{"-", "5"}], ",", "5", ",", "10"}], "}"}]}], 
                 "}"}]}]}], "]"}], ",", 
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{"Graphics", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Style", "[", "\[IndentingNewLine]", 
                  RowBox[{"(*", 
                   RowBox[{
                   "blue", " ", "lines", " ", "to", " ", "create", " ", 
                    "boundaries"}], "*)"}], "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a", ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"a", ",", "10"}], "}"}]}], "}"}], "]"}], ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"b", ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"b", ",", "10"}], "}"}]}], "}"}], "]"}]}], "}"}], 
                   ",", "Blue", ",", 
                   RowBox[{"Thickness", "[", "0.005", "]"}]}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Style", "[", "\[IndentingNewLine]", 
                  RowBox[{"(*", 
                   RowBox[{
                   "Shade", " ", "the", " ", "area", " ", "limited", " ", 
                    "by", " ", "the", " ", "boundaries"}], "*)"}], 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"Polygon", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"a", ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"b", ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"b", ",", "10"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"a", ",", "10"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"a", ",", 
                    RowBox[{"-", "10"}]}], "}"}]}], "}"}], "]"}], "}"}], ",", 
                   "Yellow", ",", 
                   RowBox[{"Opacity", "[", ".2", "]"}]}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"(*", 
                  RowBox[{
                  "Place", " ", "dots", " ", "on", " ", "the", " ", "extrema",
                    " ", "and", " ", "boundary", " ", "intersections"}], 
                  "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"PointSize", "[", "Large", "]"}], ",", 
                   RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}], "]"}]}], 
                  "}"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Length", "[", "extremax", "]"}], ">", "1"}], ",",
                    
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "Large", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", 
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}], "]"}]}], 
                    "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "extremax", "]"}], ">", "2"}], ",",
                     
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "Large", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "3", "]"}], "]"}], ",", 
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "3", "]"}], "]"}], "]"}]}], "}"}], "]"}]}], 
                    "}"}], "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "extremax", "]"}], ">", "3"}], ",",
                     
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "Large", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "4", "]"}], "]"}], ",", 
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "4", "]"}], "]"}], "]"}]}], "}"}], "]"}]}], 
                    "}"}], "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "extremax", "]"}], ">", "4"}], ",",
                     
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "Large", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "5", "]"}], "]"}], ",", 
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "5", "]"}], "]"}], "]"}]}], "}"}], "]"}]}], 
                    "}"}], "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", "}"}]}], "]"}]}], "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", "}"}]}], "]"}]}], "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", "}"}]}], "]"}]}], "}"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"PointSize", "[", "Large", "]"}], ",", "Purple", 
                   ",", 
                   RowBox[{"Tooltip", "[", 
                    RowBox[{
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"a", ",", 
                    RowBox[{"func", "[", "a", "]"}]}], "}"}], "]"}], ",", " ",
                     
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<(\>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"nf", "[", "a", "]"}], "]"}], ",", "\"\<,\>\"", 
                    ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"nf", "[", 
                    RowBox[{"func", "[", "a", "]"}], "]"}], "]"}], ",", 
                    "\"\<)\>\""}], "]"}]}], "]"}]}], "}"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"PointSize", "[", "Large", "]"}], ",", "Purple", 
                   ",", 
                   RowBox[{"Tooltip", "[", 
                    RowBox[{
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"b", ",", 
                    RowBox[{"func", "[", "b", "]"}]}], "}"}], "]"}], ",", " ",
                     
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<(\>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"nf", "[", "b", "]"}], "]"}], ",", "\"\<,\>\"", 
                    ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"nf", "[", 
                    RowBox[{"func", "[", "b", "]"}], "]"}], "]"}], ",", 
                    "\"\<)\>\""}], "]"}]}], "]"}]}], "}"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"(*", 
                  RowBox[{"label", " ", "the", " ", "extrema"}], "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{"Style", "[", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<(\>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"nf", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], ",", 
                    "\"\<,\>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"nf", "[", 
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "]"}], ",", 
                    "\"\<)\>\""}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"If", " ", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"func", "''"}], "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "<", "0"}], ",", 
                    RowBox[{
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "+", "1"}], ",", 
                    RowBox[{
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "-", "1"}]}], 
                    "]"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "extremax", "]"}], ">", "1"}], ",",
                     
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<(\>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"nf", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}], ",", 
                    "\"\<,\>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"nf", "[", 
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}], "]"}], ",", 
                    "\"\<)\>\""}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", 
                    RowBox[{"If", " ", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"func", "''"}], "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}], "<", "0"}], ",", 
                    RowBox[{
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}], "+", "1"}], ",", 
                    RowBox[{
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}], "-", "1"}]}], 
                    "]"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "extremax", "]"}], ">", "2"}], ",",
                     
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<(\>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"nf", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], ",", 
                    "\"\<,\>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"nf", "[", 
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "3", "]"}], "]"}], "]"}], "]"}], "]"}], ",", 
                    "\"\<)\>\""}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "3", "]"}], "]"}], ",", 
                    RowBox[{"If", " ", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"func", "''"}], "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "3", "]"}], "]"}], "]"}], "<", "0"}], ",", 
                    RowBox[{
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "3", "]"}], "]"}], "]"}], "+", "1"}], ",", 
                    RowBox[{
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "3", "]"}], "]"}], "]"}], "-", "1"}]}], 
                    "]"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "extremax", "]"}], ">", "3"}], ",",
                     
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<(\>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"nf", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "4", "]"}], "]"}], "]"}], "]"}], ",", 
                    "\"\<,\>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"nf", "[", 
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "4", "]"}], "]"}], "]"}], "]"}], "]"}], ",", 
                    "\"\<)\>\""}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "4", "]"}], "]"}], ",", 
                    RowBox[{"If", " ", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"func", "''"}], "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "4", "]"}], "]"}], "]"}], "<", "0"}], ",", 
                    RowBox[{
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "4", "]"}], "]"}], "]"}], "+", "1"}], ",", 
                    RowBox[{
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "4", "]"}], "]"}], "]"}], "-", "1"}]}], 
                    "]"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "extremax", "]"}], ">", "4"}], ",",
                     
                    RowBox[{"{", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"StringJoin", "[", 
                    RowBox[{"\"\<(\>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"nf", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "5", "]"}], "]"}], "]"}], "]"}], ",", 
                    "\"\<,\>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"nf", "[", 
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "5", "]"}], "]"}], "]"}], "]"}], "]"}], ",", 
                    "\"\<)\>\""}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "5", "]"}], "]"}], ",", 
                    RowBox[{"If", " ", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"func", "''"}], "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "5", "]"}], "]"}], "]"}], "<", "0"}], ",", 
                    RowBox[{
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "5", "]"}], "]"}], "]"}], "+", "1"}], ",", 
                    RowBox[{
                    RowBox[{"func", "[", 
                    RowBox[{"extremax", "[", 
                    RowBox[{"[", "5", "]"}], "]"}], "]"}], "-", "1"}]}], 
                    "]"}]}], "}"}]}], "]"}], "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", "}"}]}], "]"}]}], "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", "}"}]}], "]"}]}], "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", "}"}]}], "]"}]}], "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", "}"}]}], "]"}]}], "\[IndentingNewLine]", 
                    "}"}], ",", "12"}], "]"}], ",", "\[IndentingNewLine]", 
                 "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{"showglbextrema", ",", " ", 
                   RowBox[{"(*", 
                    RowBox[{
                    "Show", " ", "values", " ", "for", " ", "the", " ", 
                    "global", " ", "max", " ", "and", " ", "minimum", " ", 
                    "with", " ", "the", " ", "borders"}], "*)"}], 
                   "\[IndentingNewLine]", 
                   RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<global min. =\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"1.5", ",", "12"}], "}"}]}], "]"}], ",", "Red", 
                    ",", "14"}], "]"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<global max. =\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"6", ",", "12"}], "}"}]}], "]"}], " ", ",", 
                    RowBox[{"Darker", "[", "Green", "]"}], ",", "14"}], "]"}],
                     "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"nf", "[", 
                    RowBox[{"Min", "[", "yvalues", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"3.5", ",", "12"}], "}"}]}], "]"}], ",", "Red", 
                    ",", "14"}], "]"}], "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"nf", "[", 
                    RowBox[{"Max", "[", "yvalues", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"8", ",", "12"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Darker", "[", "Green", "]"}], ",", "14"}], "]"}],
                     "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "Large", "]"}], ",", "Red", ",",
                     " ", 
                    RowBox[{"Tooltip", "[", 
                    RowBox[{
                    RowBox[{"Point", "[", "globalmin", "]"}], ",", 
                    RowBox[{"nf", "[", "globalmin", "]"}]}], "]"}]}], "}"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "Large", "]"}], ",", 
                    RowBox[{"Darker", "[", "Green", "]"}], ",", 
                    RowBox[{"Tooltip", "[", 
                    RowBox[{
                    RowBox[{"Point", "[", "globalmax", "]"}], ",", 
                    RowBox[{"nf", "[", "globalmax", "]"}]}], "]"}]}], "}"}]}],
                     "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]",
                    
                   RowBox[{"{", "}"}]}], "]"}]}], "}"}], "]"}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"550", ",", "340"}], "}"}]}]}], "]"}]}], "]"}]}], 
        "]"}]}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"-", "3"}], ",", "\"\<left boundary\>\""}], "}"}], ",", 
     RowBox[{"-", "5"}], ",", 
     RowBox[{"b", "-", "2"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "5", ",", "\"\<right boundary\>\""}], "}"}], ",", 
     RowBox[{"a", "+", "2"}], ",", "8.3"}], "}"}], ",", "\[IndentingNewLine]",
    
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"func", " ", ",", "f4", ",", "\"\<curve\>\""}], "}"}], " ", ",",
      " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"f1", "\[Rule]", " ", "\"\<quadratic1\>\""}], ",", " ", 
       RowBox[{"f2", "\[Rule]", " ", "\"\<quadratic2\>\""}], ",", " ", 
       RowBox[{"f3", "\[Rule]", "\"\<cubic\>\""}], ",", 
       RowBox[{"f4", "\[Rule]", "\"\<quartic1\>\""}], ",", 
       RowBox[{"f5", "\[Rule]", "\"\<quartic2\>\""}], ",", 
       RowBox[{"f6", "\[Rule]", "\"\<quintic\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "showglbextrema", ",", "False", ",", "\"\<show global extrema\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"nf", "[", "n_", "]"}], ":=", 
       RowBox[{"NumberForm", "[", 
        RowBox[{"n", ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "2"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f1", "[", "n_", "]"}], ":=", " ", 
       RowBox[{
        RowBox[{".25", 
         RowBox[{"(", 
          RowBox[{"n", "-", "5"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"n", "+", "5"}], ")"}]}], "-", "1.7"}]}], ";", " ", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f2", "[", "n_", "]"}], ":=", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"-", ".2"}], 
         RowBox[{"(", 
          RowBox[{"n", "-", "5"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"n", "+", "6"}], ")"}]}], "+", "1"}]}], ";", " ", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f3", "[", "n_", "]"}], " ", ":=", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"-", ".077"}], 
         RowBox[{"(", 
          RowBox[{"n", "+", "5"}], ")"}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"n", "-", "6"}], ")"}], "^", "2"}]}], "+", "8"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f4", "[", "n_", "]"}], " ", ":=", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"-", ".02"}], 
         RowBox[{"(", 
          RowBox[{"n", "-", "1"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"n", "-", "4"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"n", "-", "8"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"n", "+", "5"}], ")"}]}], "-", "3"}]}], ";", " ", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f5", "[", "n_", "]"}], " ", ":=", " ", 
       RowBox[{
        RowBox[{".02", 
         RowBox[{"(", 
          RowBox[{"n", "-", "1"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"n", "-", "4"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"n", "-", "8"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"n", "+", "5"}], ")"}]}], "+", "7"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f6", "[", "n_", "]"}], "  ", ":=", " ", 
       RowBox[{
        RowBox[{".0035", 
         RowBox[{"(", 
          RowBox[{"n", "+", "2"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"n", "+", "5"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"n", "-", "2"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"n", "-", "6"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"n", "-", "8.5"}], ")"}]}], "+", "1"}]}]}], ")"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4010027723943233`*^9, 3.401002773555727*^9}, 
   3.401152941582144*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = -3, $CellContext`b$$ = 
    5, $CellContext`func$$ = $CellContext`f4, $CellContext`showglbextrema$$ = 
    False, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], -3, "left boundary"}, -5, 
      Dynamic[$CellContext`b$$ - 2]}, {{
       Hold[$CellContext`b$$], 5, "right boundary"}, 
      Dynamic[$CellContext`a$$ + 2], 8.3}, {{
       Hold[$CellContext`func$$], $CellContext`f4, "curve"}, {$CellContext`f1 -> 
       "quadratic1", $CellContext`f2 -> "quadratic2", $CellContext`f3 -> 
       "cubic", $CellContext`f4 -> "quartic1", $CellContext`f5 -> 
       "quartic2", $CellContext`f6 -> "quintic"}}, {{
       Hold[$CellContext`showglbextrema$$], False, "show global extrema"}, {
      True, False}}}, Typeset`size$$ = {550., {168., 172.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`a$34256$$ = 0, $CellContext`b$34257$$ = 
    0, $CellContext`func$34258$$ = 
    False, $CellContext`showglbextrema$34259$$ = "Button 2"}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = -3, $CellContext`b$$ = 
        5, $CellContext`func$$ = $CellContext`f4, \
$CellContext`showglbextrema$$ = False}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$34256$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$34257$$, 0], 
        Hold[$CellContext`func$$, $CellContext`func$34258$$, False], 
        Hold[$CellContext`showglbextrema$$, \
$CellContext`showglbextrema$34259$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`a$ = $CellContext`a$$, $CellContext`b$ = \
$CellContext`b$$, $CellContext`extremax$ = ReplaceAll[$CellContext`x, 
           Solve[
           Derivative[1][$CellContext`func$$][$CellContext`x] == 
            0, $CellContext`x]]}, 
        With[{$CellContext`xvalues$ = Join[
            
            Select[$CellContext`extremax$, $CellContext`a$ < # < \
$CellContext`b$& ], {$CellContext`a$, $CellContext`b$}]}, 
         With[{$CellContext`yvalues$ = \
$CellContext`func$$[$CellContext`xvalues$], $CellContext`pairs$ = 
           Transpose[{$CellContext`xvalues$, 
              $CellContext`func$$[$CellContext`xvalues$]}]}, 
          With[{$CellContext`globalmax$ = Extract[$CellContext`pairs$, 
              Position[$CellContext`yvalues$, 
               Max[$CellContext`yvalues$]]], $CellContext`globalmin$ = 
            Extract[$CellContext`pairs$, 
              Position[$CellContext`yvalues$, 
               Min[$CellContext`yvalues$]]]}, 
           Show[
            Plot[
             $CellContext`func$$[$CellContext`x], {$CellContext`x, -5, 8.3}, 
             PlotRange -> {-10, 13}, 
             AxesLabel -> {$CellContext`x, $CellContext`y}, 
             Ticks -> {{-4, -2, 2, 4, 6, 8}, {-10, -5, 5, 10}}], {
             Graphics[{
               Style[{
                 Line[{{$CellContext`a$, -10}, {$CellContext`a$, 10}}], 
                 Line[{{$CellContext`b$, -10}, {$CellContext`b$, 10}}]}, Blue,
                 
                Thickness[0.005]], 
               Style[{
                 
                 Polygon[{{$CellContext`a$, -10}, {$CellContext`b$, -10}, \
{$CellContext`b$, 10}, {$CellContext`a$, 10}, {$CellContext`a$, -10}}]}, 
                Yellow, 
                Opacity[0.2]], {
                PointSize[Large], 
                Point[{
                  Part[$CellContext`extremax$, 1], 
                  $CellContext`func$$[
                   Part[$CellContext`extremax$, 1]]}]}, 
               If[Length[$CellContext`extremax$] > 1, {{
                  PointSize[Large], 
                  Point[{
                    Part[$CellContext`extremax$, 2], 
                    $CellContext`func$$[
                    Part[$CellContext`extremax$, 2]]}]}, 
                 If[Length[$CellContext`extremax$] > 2, {{{
                    PointSize[Large], 
                    Point[{
                    Part[$CellContext`extremax$, 3], 
                    $CellContext`func$$[
                    Part[$CellContext`extremax$, 3]]}]}}, 
                   If[Length[$CellContext`extremax$] > 3, {{{
                    PointSize[Large], 
                    Point[{
                    Part[$CellContext`extremax$, 4], 
                    $CellContext`func$$[
                    Part[$CellContext`extremax$, 4]]}]}}, 
                    If[Length[$CellContext`extremax$] > 4, {{
                    PointSize[Large], 
                    Point[{
                    Part[$CellContext`extremax$, 5], 
                    $CellContext`func$$[
                    
                    Part[$CellContext`extremax$, 
                    5]]}]}}, {}]}, {}]}, {}]}, {}], {
                PointSize[Large], Purple, 
                Tooltip[
                 Point[{$CellContext`a$, 
                   $CellContext`func$$[$CellContext`a$]}], 
                 StringJoin["(", 
                  ToString[
                   $CellContext`nf[$CellContext`a$]], ",", 
                  ToString[
                   $CellContext`nf[
                    $CellContext`func$$[$CellContext`a$]]], ")"]]}, {
                PointSize[Large], Purple, 
                Tooltip[
                 Point[{$CellContext`b$, 
                   $CellContext`func$$[$CellContext`b$]}], 
                 StringJoin["(", 
                  ToString[
                   $CellContext`nf[$CellContext`b$]], ",", 
                  ToString[
                   $CellContext`nf[
                    $CellContext`func$$[$CellContext`b$]]], ")"]]}, 
               Style[{
                 Text[
                  StringJoin["(", 
                   ToString[
                    $CellContext`nf[
                    Part[$CellContext`extremax$, 1]]], ",", 
                   ToString[
                    $CellContext`nf[
                    $CellContext`func$$[
                    Part[$CellContext`extremax$, 1]]]], ")"], {
                   Part[$CellContext`extremax$, 1], 
                   If[Derivative[2][$CellContext`func$$][
                    Part[$CellContext`extremax$, 1]] < 
                    0, $CellContext`func$$[
                    Part[$CellContext`extremax$, 1]] + 
                    1, $CellContext`func$$[
                    Part[$CellContext`extremax$, 1]] - 1]}], 
                 If[Length[$CellContext`extremax$] > 1, {
                   Text[
                    StringJoin["(", 
                    ToString[
                    $CellContext`nf[
                    Part[$CellContext`extremax$, 2]]], ",", 
                    ToString[
                    $CellContext`nf[
                    $CellContext`func$$[
                    Part[$CellContext`extremax$, 2]]]], ")"], {
                    Part[$CellContext`extremax$, 2], 
                    If[Derivative[2][$CellContext`func$$][
                    Part[$CellContext`extremax$, 2]] < 
                    0, $CellContext`func$$[
                    Part[$CellContext`extremax$, 2]] + 
                    1, $CellContext`func$$[
                    Part[$CellContext`extremax$, 2]] - 1]}], 
                   If[Length[$CellContext`extremax$] > 2, {
                    Text[
                    StringJoin["(", 
                    ToString[
                    $CellContext`nf[
                    Part[$CellContext`extremax$, 3]]], ",", 
                    ToString[
                    $CellContext`nf[
                    $CellContext`func$$[
                    Part[$CellContext`extremax$, 3]]]], ")"], {
                    Part[$CellContext`extremax$, 3], 
                    If[Derivative[2][$CellContext`func$$][
                    Part[$CellContext`extremax$, 3]] < 
                    0, $CellContext`func$$[
                    Part[$CellContext`extremax$, 3]] + 
                    1, $CellContext`func$$[
                    Part[$CellContext`extremax$, 3]] - 1]}], 
                    If[Length[$CellContext`extremax$] > 3, {
                    Text[
                    StringJoin["(", 
                    ToString[
                    $CellContext`nf[
                    Part[$CellContext`extremax$, 4]]], ",", 
                    ToString[
                    $CellContext`nf[
                    $CellContext`func$$[
                    Part[$CellContext`extremax$, 4]]]], ")"], {
                    Part[$CellContext`extremax$, 4], 
                    If[Derivative[2][$CellContext`func$$][
                    Part[$CellContext`extremax$, 4]] < 
                    0, $CellContext`func$$[
                    Part[$CellContext`extremax$, 4]] + 
                    1, $CellContext`func$$[
                    Part[$CellContext`extremax$, 4]] - 1]}], 
                    If[Length[$CellContext`extremax$] > 4, {
                    Text[
                    StringJoin["(", 
                    ToString[
                    $CellContext`nf[
                    Part[$CellContext`extremax$, 5]]], ",", 
                    ToString[
                    $CellContext`nf[
                    $CellContext`func$$[
                    Part[$CellContext`extremax$, 5]]]], ")"], {
                    Part[$CellContext`extremax$, 5], 
                    If[Derivative[2][$CellContext`func$$][
                    Part[$CellContext`extremax$, 5]] < 
                    0, $CellContext`func$$[
                    Part[$CellContext`extremax$, 5]] + 
                    1, $CellContext`func$$[
                    Part[$CellContext`extremax$, 5]] - 
                    1]}]}, {}]}, {}]}, {}]}, {}]}, 12], 
               If[$CellContext`showglbextrema$$, {{
                  Style[
                   Text["global min. =", {1.5, 12}], Red, 14]}, {
                  Style[
                   Text["global max. =", {6, 12}], 
                   Darker[Green], 14]}, {
                  Style[
                   Text[
                    $CellContext`nf[
                    Min[$CellContext`yvalues$]], {3.5, 12}], Red, 14]}, {
                  Style[
                   Text[
                    $CellContext`nf[
                    Max[$CellContext`yvalues$]], {8, 12}], 
                   Darker[Green], 14]}, {
                  PointSize[Large], Red, 
                  Tooltip[
                   Point[$CellContext`globalmin$], 
                   $CellContext`nf[$CellContext`globalmin$]]}, {
                  PointSize[Large], 
                  Darker[Green], 
                  Tooltip[
                   Point[$CellContext`globalmax$], 
                   $CellContext`nf[$CellContext`globalmax$]]}}, {}]}]}, 
            ImageSize -> {550, 340}]]]]], 
      "Specifications" :> {{{$CellContext`a$$, -3, "left boundary"}, -5, 
         Dynamic[$CellContext`b$$ - 2]}, {{$CellContext`b$$, 5, 
          "right boundary"}, 
         Dynamic[$CellContext`a$$ + 2], 
         8.3}, {{$CellContext`func$$, $CellContext`f4, 
          "curve"}, {$CellContext`f1 -> "quadratic1", $CellContext`f2 -> 
          "quadratic2", $CellContext`f3 -> "cubic", $CellContext`f4 -> 
          "quartic1", $CellContext`f5 -> "quartic2", $CellContext`f6 -> 
          "quintic"}, ControlType -> 
         SetterBar}, {{$CellContext`showglbextrema$$, False, 
          "show global extrema"}, {True, False}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{594., {246., 251.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`nf[
         Pattern[$CellContext`n, 
          Blank[]]] := NumberForm[$CellContext`n, {4, 2}]; $CellContext`f1[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       0.25 ($CellContext`n - 5) ($CellContext`n + 5) - 1.7; $CellContext`f2[
         Pattern[$CellContext`n, 
          Blank[]]] := (-0.2) ($CellContext`n - 5) ($CellContext`n + 6) + 
        1; $CellContext`f3[
         Pattern[$CellContext`n, 
          Blank[]]] := (-0.077) ($CellContext`n + 5) ($CellContext`n - 6)^2 + 
        8; $CellContext`f4[
         Pattern[$CellContext`n, 
          Blank[]]] := (-0.02) ($CellContext`n - 1) ($CellContext`n - 
          4) ($CellContext`n - 8) ($CellContext`n + 5) - 3; $CellContext`f5[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       0.02 ($CellContext`n - 1) ($CellContext`n - 4) ($CellContext`n - 
          8) ($CellContext`n + 5) + 7; $CellContext`f6[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       0.0035 ($CellContext`n + 2) ($CellContext`n + 5) ($CellContext`n - 
          2) ($CellContext`n - 6) ($CellContext`n - 8.5) + 1); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->631440243],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Global Extrema on an Interval",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/GlobalExtremaOnAnInterval/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/GlobalExtremaOnAnInterval/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/GlobalExtremaOnAnInterval/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/GlobalExtremaOnAnInterval/"], 
    None},
  ButtonNote->"http://demonstrations.wolfram.com/GlobalExtremaOnAnInterval/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ed Zaborowski",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ed+Zaborowski"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ed+Zaborowski"],
 " and ",
 ButtonBox["Kris Climer",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Kris+Climer"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Kris+Climer"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->98196378],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
GlobalExtremaOnAnInterval"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{774, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Global Extrema on an Interval - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 221, 4, 70, "Section"],
Cell[814, 29, 30331, 703, 70, "Input"]
}, Open  ]],
Cell[31160, 735, 13373, 282, 70, "Output",
 CellID->631440243],
Cell[CellGroupData[{
Cell[44558, 1021, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[44934, 1032, 945, 27, 70, "Text"],
Cell[45882, 1061, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[46222, 1072, 709, 23, 70, "Text",
 CellID->98196378],
Cell[CellGroupData[{
Cell[46956, 1099, 829, 24, 70, "Text"],
Cell[47788, 1125, 1201, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature qQjeaaX75htHEBphBk6J4xW# *)
