(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     42152,       1085]
NotebookOptionsPosition[     41055,       1045]
NotebookOutlinePosition[     41714,       1070]
CellTagsIndexPosition[     41671,       1067]
WindowTitle->Maximizing the Area of Some Geometric Figures of Fixed Perimeter \
- Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Maximizing the Area of Some Geometric Figures of Fixed Perimeter\
\>", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"base", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"b", ",", "0"}], "}"}]}], "}"}], "]"}], ",", "Thick", ",",
         "Blue"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"r", "=", 
     RowBox[{"b", "/", "2"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"leftsideRect", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"5", "-", 
              RowBox[{"2", "r"}]}]}], "}"}]}], "}"}], "]"}], ",", "Thick", 
        ",", "Blue"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"rightsideRect", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2", "r"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2", "r"}], ",", 
             RowBox[{"5", "-", 
              RowBox[{"2", "r"}]}]}], "}"}]}], "}"}], "]"}], ",", "Thick", 
        ",", "Blue"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"topRect", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"5", "-", 
        RowBox[{"2", "r"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", 
         RowBox[{"2", "r"}]}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Blue"}], "}"}]}], ",", 
       RowBox[{"Filling", "\[Rule]", "0"}], ",", 
       RowBox[{"FillingStyle", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{".25", ",", ".75", ",", ".25"}], "]"}]}], ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<x\>\"", ",", "None"}], "}"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"rectArea", "[", "b_", "]"}], ":=", 
     RowBox[{
      RowBox[{"b", "/", "2"}], 
      RowBox[{"(", 
       RowBox[{"10", "-", 
        RowBox[{"2", "b"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"leftsideRightTri", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"10", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"b", "-", "5"}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{"b", "-", "10"}], ")"}]}]}]}], "}"}]}], "}"}], "]"}], 
        ",", "Thick", ",", "Blue"}], "]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"topRightTri", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"10", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"b", "-", "5"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"b", "-", "10"}], ")"}]}]}], "-", 
        RowBox[{"10", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"b", "-", "5"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"b", "^", "2"}], "-", 
            RowBox[{"10", "b"}]}], ")"}]}], "x"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", 
         RowBox[{"2", "r"}]}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Blue"}], "}"}]}], ",", 
       RowBox[{"Filling", "\[Rule]", "0"}], ",", 
       RowBox[{"FillingStyle", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{".25", ",", ".75", ",", ".25"}], "]"}]}], ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<x\>\"", ",", "None"}], "}"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"rightTriArea", "[", "b_", "]"}], ":=", 
     RowBox[{"5", "b", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"b", "-", "5"}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "10"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"leftsideIsosc", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"5", "-", "r"}], ")"}], "^", "2"}], "-", 
           RowBox[{"r", "^", "2"}]}], "]"}], "/", "r"}], " ", "x"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "r"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Blue"}], "}"}]}], ",", 
       RowBox[{"Filling", "\[Rule]", "0"}], ",", 
       RowBox[{"FillingStyle", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{".25", ",", ".75", ",", ".25"}], "]"}]}], ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<x\>\"", ",", "None"}], "}"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"rightsideIsosc", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"2", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"5", "-", "r"}], ")"}], "^", "2"}], "-", 
           RowBox[{"r", "^", "2"}]}], "]"}]}], "-", 
        RowBox[{
         RowBox[{
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"5", "-", "r"}], ")"}], "^", "2"}], "-", 
            RowBox[{"r", "^", "2"}]}], "]"}], "/", "r"}], " ", "x"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "r", ",", 
         RowBox[{"2", "r"}]}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Blue"}], "}"}]}], ",", 
       RowBox[{"Filling", "\[Rule]", "0"}], ",", 
       RowBox[{"FillingStyle", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{".25", ",", ".75", ",", ".25"}], "]"}]}], ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<x\>\"", ",", "None"}], "}"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"isoscArea", "[", "b_", "]"}], ":=", 
     RowBox[{
      RowBox[{"b", "/", "2"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"5", "-", 
           RowBox[{"b", "/", "2"}]}], ")"}], "^", "2"}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"b", "/", "2"}], ")"}], "^", "2"}]}], "]"}]}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"leftsideNorman", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"10", "-", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"2", "+", "Pi"}], ")"}], "r"}]}], ")"}], "/", 
              "2"}]}], "}"}]}], "}"}], "]"}], ",", "Thick", ",", "Blue"}], 
       "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"rightsideNorman", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2", "r"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2", "r"}], ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"10", "-", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"2", "+", "Pi"}], ")"}], "r"}]}], ")"}], "/", 
              "2"}]}], "}"}]}], "}"}], "]"}], ",", "Thick", ",", "Blue"}], 
       "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"topNorman", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"10", "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "+", "Pi"}], ")"}], "r"}]}], ")"}], "/", "2"}], "+", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"r", "^", "2"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x", "-", "r"}], ")"}], "^", "2"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", 
         RowBox[{"2", "r"}]}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Blue"}], "}"}]}], ",", 
       RowBox[{"Filling", "\[Rule]", "0"}], ",", 
       RowBox[{"FillingStyle", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{".25", ",", ".75", ",", ".25"}], "]"}]}], ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<x\>\"", ",", "None"}], "}"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"normanArea", "[", "b_", "]"}], ":=", 
     RowBox[{
      RowBox[{"5", "b"}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"2", "+", 
           RowBox[{"Pi", "/", "2"}]}], ")"}], "/", "4"}], ")"}], 
       SuperscriptBox["b", "2"]}]}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"leftsideHouse", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"5", "-", 
              RowBox[{"3", "r"}]}]}], "}"}]}], "}"}], "]"}], ",", "Thick", 
        ",", "Blue"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"rightsideHouse", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2", "r"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2", "r"}], ",", 
             RowBox[{"5", "-", 
              RowBox[{"3", "r"}]}]}], "}"}]}], "}"}], "]"}], ",", "Thick", 
        ",", "Blue"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"lefttopHouse", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"5", "-", 
        RowBox[{"3", "r"}], "+", 
        RowBox[{
         RowBox[{"Sqrt", "[", "3", "]"}], "x"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "r"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Blue"}], "}"}]}], ",", 
       RowBox[{"Filling", "\[Rule]", "0"}], ",", 
       RowBox[{"FillingStyle", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{".25", ",", ".75", ",", ".25"}], "]"}]}], ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<x\>\"", ",", "None"}], "}"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"righttopHouse", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"5", "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", 
            RowBox[{"Sqrt", "[", "3", "]"}]}], "-", "3"}], ")"}], "r"}], "-", 
        
        RowBox[{
         RowBox[{"Sqrt", "[", "3", "]"}], "x"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "r", ",", 
         RowBox[{"2", "r"}]}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Blue"}], "}"}]}], ",", 
       RowBox[{"Filling", "\[Rule]", "0"}], ",", 
       RowBox[{"FillingStyle", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{".25", ",", ".75", ",", ".25"}], "]"}]}], ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<x\>\"", ",", "None"}], "}"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"houseArea", "[", "b_", "]"}], ":=", 
     RowBox[{
      RowBox[{"b", 
       RowBox[{"(", 
        RowBox[{"5", "-", 
         RowBox[{
          RowBox[{"3", "/", "2"}], " ", "b"}]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"Sqrt", "[", "3", "]"}], "b"}]}]}], ";", "\[IndentingNewLine]",
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Switch", "[", 
     RowBox[{
     "fig", ",", "\[IndentingNewLine]", "\[IndentingNewLine]", "rect", ",", 
      RowBox[{
       RowBox[{"figure", "=", 
        RowBox[{"{", 
         RowBox[{
         "topRect", ",", "leftsideRect", ",", "rightsideRect", ",", "base"}], 
         "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"maxb", "=", "5"}], ";", "\[IndentingNewLine]", 
       RowBox[{"areaFunc", "=", "rectArea"}], ";", "\[IndentingNewLine]", 
       RowBox[{"areaPlot", "=", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"areaFunc", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "maxb"}], "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "5"}], "}"}], ",", "Automatic"}], "}"}]}], 
          ",", 
          RowBox[{"PlotLabel", "\[Rule]", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", "\"\<area of rectangle\>\"", "}"}], "]"}], ",", 
             "18"}], "]"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "250"}]}], "]"}]}]}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "rightTri", ",", 
      RowBox[{
       RowBox[{"figure", "=", 
        RowBox[{"{", 
         RowBox[{"topRightTri", ",", "leftsideRightTri", ",", "base"}], 
         "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"maxb", "=", "5"}], ";", "\[IndentingNewLine]", 
       RowBox[{"areaFunc", "=", "rightTriArea"}], ";", "\[IndentingNewLine]", 
       
       RowBox[{"areaPlot", "=", 
        RowBox[{"areaPlot", "=", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"areaFunc", "[", "x", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "0", ",", "maxb"}], "}"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "5"}], "}"}], ",", "Automatic"}], "}"}]}], 
           ",", 
           RowBox[{"PlotLabel", "\[Rule]", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"Row", "[", 
               RowBox[{"{", "\"\<area of right triangle\>\"", "}"}], "]"}], 
              ",", "18"}], "]"}]}], ",", 
           RowBox[{"ImageSize", "\[Rule]", "250"}]}], "]"}]}]}]}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "isosc", ",", 
      RowBox[{
       RowBox[{"figure", "=", 
        RowBox[{"{", 
         RowBox[{"leftsideIsosc", ",", "rightsideIsosc", ",", "base"}], 
         "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"maxb", "=", "5"}], ";", "\[IndentingNewLine]", 
       RowBox[{"areaFunc", "=", "isoscArea"}], ";", "\[IndentingNewLine]", 
       RowBox[{"areaPlot", "=", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"areaFunc", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "maxb"}], "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "5"}], "}"}], ",", "Automatic"}], "}"}]}], 
          ",", 
          RowBox[{"PlotLabel", "\[Rule]", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", "\"\<area of isosceles triangle\>\"", "}"}], "]"}],
              ",", "18"}], "]"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "250"}]}], "]"}]}]}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "norm", ",", " ", 
      RowBox[{
       RowBox[{"figure", "=", 
        RowBox[{"{", 
         RowBox[{
         "topNorman", ",", "base", ",", "leftsideNorman", ",", 
          "rightsideNorman"}], "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"maxb", "=", 
        RowBox[{"20", "/", 
         RowBox[{"(", 
          RowBox[{"2", "+", "Pi"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"b", ">", "maxb"}], ",", 
         RowBox[{"b", "=", "2"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"areaFunc", "=", "normanArea"}], ";", "\[IndentingNewLine]", 
       RowBox[{"areaPlot", "=", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"areaFunc", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "maxb"}], "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "5"}], "}"}], ",", "Automatic"}], "}"}]}], 
          ",", 
          RowBox[{"PlotLabel", "\[Rule]", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", "\"\<area of Norman window\>\"", "}"}], "]"}], ",",
              "18"}], "]"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "250"}]}], "]"}]}]}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "house", ",", " ", 
      RowBox[{
       RowBox[{"figure", "=", 
        RowBox[{"{", 
         RowBox[{
         "lefttopHouse", ",", "righttopHouse", ",", "leftsideHouse", ",", 
          "rightsideHouse", ",", "base"}], "}"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"maxb", "=", 
        RowBox[{"10", "/", "3"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"b", ">", "maxb"}], ",", 
         RowBox[{"b", "=", "2"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"areaFunc", "=", "houseArea"}], ";", "\[IndentingNewLine]", 
       RowBox[{"areaPlot", "=", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"areaFunc", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "maxb"}], "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "5"}], "}"}], ",", "Automatic"}], "}"}]}], 
          ",", 
          RowBox[{"PlotLabel", "\[Rule]", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", "\"\<area of side of house\>\"", "}"}], "]"}], ",",
              "18"}], "]"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "250"}]}], "]"}]}]}]}], 
     "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"pointOnCurve", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Large", "]"}], ",", 
        RowBox[{"RGBColor", "[", 
         RowBox[{".25", ",", ".75", ",", ".25"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"b", ",", 
           RowBox[{"areaFunc", "[", "b", "]"}]}], "}"}], "]"}]}], "}"}], 
      "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Text", "@", 
     RowBox[{"Pane", "[", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Show", "[", 
           RowBox[{"figure", ",", 
            RowBox[{"Axes", "\[Rule]", "True"}], ",", 
            RowBox[{"PlotRange", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "5"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "5"}], "}"}]}], "}"}]}], ",", 
            RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}], ",", "\"\<\>\"",
           ",", 
          RowBox[{"Column", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Show", "[", 
              RowBox[{"areaPlot", ",", "pointOnCurve"}], "]"}], ",", 
             "\"\<\>\"", ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                  "\"\< = \>\"", ",", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"MachineNumberQ", "@", "b"}], ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"b", ",", 
                    RowBox[{"{", 
                    RowBox[{"6", ",", "4"}], "}"}]}], "]"}], ",", "b"}], 
                   "]"}]}], "}"}], "]"}], ",", "24"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<area = \>\"", ",", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"MachineNumberQ", "@", 
                    RowBox[{"areaFunc", "[", "b", "]"}]}], ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{
                    RowBox[{"areaFunc", "[", "b", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"6", ",", "4"}], "}"}]}], "]"}], ",", 
                    RowBox[{"areaFunc", "[", "b", "]"}]}], "]"}]}], "}"}], 
                "]"}], ",", "24"}], "]"}]}], "}"}], "]"}]}], "}"}], "]"}], 
       ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"560", ",", "320"}], "}"}]}]}], "]"}]}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fig", ",", "rect", ",", "\"\<figure\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"rect", "\[Rule]", "\"\<rectangle\>\""}], ",", 
       RowBox[{"rightTri", "\[Rule]", "\"\<right triangle\>\""}], ",", 
       RowBox[{"isosc", "->", "\"\<isosceles triangle\>\""}], ",", 
       RowBox[{"norm", "\[Rule]", "\"\<Norman window\>\""}], ",", 
       RowBox[{"house", "\[Rule]", "\"\<side of house\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "2", ",", "\"\<length of base, x\>\""}], "}"}], ",", 
     "0.0001", ",", 
     RowBox[{"Dynamic", "[", "maxb", "]"}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.460473845200107*^9, 3.4604738544400964`*^9}, {
   3.460495097906458*^9, 3.460495110922*^9}, {3.460812208796875*^9, 
   3.46081220896875*^9}, {3.4608398980281005`*^9, 3.460839973715116*^9}, {
   3.460933399831477*^9, 3.460933403495717*^9}, {3.46093349516164*^9, 
   3.4609335122195387`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`b$$ = 
    2, $CellContext`fig$$ = $CellContext`rect, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`fig$$], $CellContext`rect, 
       "figure"}, {$CellContext`rect -> "rectangle", $CellContext`rightTri -> 
       "right triangle", $CellContext`isosc -> 
       "isosceles triangle", $CellContext`norm -> 
       "Norman window", $CellContext`house -> "side of house"}}, {{
       Hold[$CellContext`b$$], 2, "length of base, x"}, 0.0001, 
      Dynamic[$CellContext`maxb]}}, Typeset`size$$ = {560., {159., 164.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`fig$458815$$ = False, $CellContext`b$458816$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`b$$ = 
        2, $CellContext`fig$$ = $CellContext`rect}, 
      "ControllerVariables" :> {
        Hold[$CellContext`fig$$, $CellContext`fig$458815$$, False], 
        Hold[$CellContext`b$$, $CellContext`b$458816$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`base = Graphics[
          Style[
           Line[{{0, 0}, {$CellContext`b$$, 0}}], Thick, 
           Blue]]; $CellContext`r = $CellContext`b$$/
         2; $CellContext`leftsideRect = Graphics[
          Style[
           Line[{{0, 0}, {0, 5 - 2 $CellContext`r}}], Thick, 
           Blue]]; $CellContext`rightsideRect = Graphics[
          Style[
           
           Line[{{2 $CellContext`r, 0}, {
             2 $CellContext`r, 5 - 2 $CellContext`r}}], Thick, 
           Blue]]; $CellContext`topRect = 
        Plot[5 - 2 $CellContext`r, {$CellContext`x, 0, 2 $CellContext`r}, 
          PlotStyle -> {Thick, Blue}, Filling -> 0, FillingStyle -> 
          RGBColor[0.25, 0.75, 0.25], AxesOrigin -> {0, 0}, 
          AxesLabel -> {"x", None}]; $CellContext`rectArea[
          Pattern[$CellContext`b, 
           Blank[]]] := ($CellContext`b/2) (10 - 
          2 $CellContext`b); $CellContext`leftsideRightTri = Graphics[
          Style[
           
           Line[{{0, 0}, {
             0, 10 (($CellContext`b$$ - 5)/($CellContext`b$$ - 10))}}], Thick,
            Blue]]; $CellContext`topRightTri = 
        Plot[10 (($CellContext`b$$ - 5)/($CellContext`b$$ - 10)) - 
          10 (($CellContext`b$$ - 5)/($CellContext`b$$^2 - 
           10 $CellContext`b$$)) $CellContext`x, {$CellContext`x, 0, 
           2 $CellContext`r}, PlotStyle -> {Thick, Blue}, Filling -> 0, 
          FillingStyle -> RGBColor[0.25, 0.75, 0.25], AxesOrigin -> {0, 0}, 
          AxesLabel -> {"x", None}]; $CellContext`rightTriArea[
          Pattern[$CellContext`b, 
           Blank[]]] := 
        5 $CellContext`b (($CellContext`b - 5)/($CellContext`b - 
          10)); $CellContext`leftsideIsosc = 
        Plot[(Sqrt[(
               5 - $CellContext`r)^2 - $CellContext`r^2]/$CellContext`r) \
$CellContext`x, {$CellContext`x, 0, $CellContext`r}, 
          PlotStyle -> {Thick, Blue}, Filling -> 0, FillingStyle -> 
          RGBColor[0.25, 0.75, 0.25], AxesOrigin -> {0, 0}, 
          AxesLabel -> {"x", None}]; $CellContext`rightsideIsosc = 
        Plot[2 Sqrt[(5 - $CellContext`r)^2 - $CellContext`r^2] - (
           Sqrt[(5 - $CellContext`r)^2 - $CellContext`r^2]/$CellContext`r) \
$CellContext`x, {$CellContext`x, $CellContext`r, 2 $CellContext`r}, 
          PlotStyle -> {Thick, Blue}, Filling -> 0, FillingStyle -> 
          RGBColor[0.25, 0.75, 0.25], AxesOrigin -> {0, 0}, 
          AxesLabel -> {"x", None}]; $CellContext`isoscArea[
          Pattern[$CellContext`b, 
           Blank[]]] := ($CellContext`b/2) 
         Sqrt[(5 - $CellContext`b/2)^2 - ($CellContext`b/
            2)^2]; $CellContext`leftsideNorman = Graphics[
          Style[
           Line[{{0, 0}, {0, (10 - (2 + Pi) $CellContext`r)/2}}], Thick, 
           Blue]]; $CellContext`rightsideNorman = Graphics[
          Style[
           
           Line[{{2 $CellContext`r, 0}, {
             2 $CellContext`r, (10 - (2 + Pi) $CellContext`r)/2}}], Thick, 
           Blue]]; $CellContext`topNorman = 
        Plot[(10 - (2 + Pi) $CellContext`r)/2 + 
          Sqrt[$CellContext`r^2 - ($CellContext`x - $CellContext`r)^2], \
{$CellContext`x, 0, 2 $CellContext`r}, PlotStyle -> {Thick, Blue}, Filling -> 
          0, FillingStyle -> RGBColor[0.25, 0.75, 0.25], AxesOrigin -> {0, 0},
           AxesLabel -> {"x", None}]; $CellContext`normanArea[
          Pattern[$CellContext`b, 
           Blank[]]] := 
        5 $CellContext`b - ((2 + Pi/2)/
          4) $CellContext`b^2; $CellContext`leftsideHouse = Graphics[
          Style[
           Line[{{0, 0}, {0, 5 - 3 $CellContext`r}}], Thick, 
           Blue]]; $CellContext`rightsideHouse = Graphics[
          Style[
           
           Line[{{2 $CellContext`r, 0}, {
             2 $CellContext`r, 5 - 3 $CellContext`r}}], Thick, 
           Blue]]; $CellContext`lefttopHouse = 
        Plot[5 - 3 $CellContext`r + 
          Sqrt[3] $CellContext`x, {$CellContext`x, 0, $CellContext`r}, 
          PlotStyle -> {Thick, Blue}, Filling -> 0, FillingStyle -> 
          RGBColor[0.25, 0.75, 0.25], AxesOrigin -> {0, 0}, 
          AxesLabel -> {"x", None}]; $CellContext`righttopHouse = 
        Plot[5 + (2 Sqrt[3] - 3) $CellContext`r - 
          Sqrt[3] $CellContext`x, {$CellContext`x, $CellContext`r, 
           2 $CellContext`r}, PlotStyle -> {Thick, Blue}, Filling -> 0, 
          FillingStyle -> RGBColor[0.25, 0.75, 0.25], AxesOrigin -> {0, 0}, 
          AxesLabel -> {"x", None}]; $CellContext`houseArea[
          Pattern[$CellContext`b, 
           Blank[]]] := $CellContext`b (5 - (3/2) $CellContext`b) + 
         Sqrt[3] $CellContext`b; 
       Switch[$CellContext`fig$$, $CellContext`rect, $CellContext`figure = \
{$CellContext`topRect, $CellContext`leftsideRect, $CellContext`rightsideRect, \
$CellContext`base}; $CellContext`maxb = 
          5; $CellContext`areaFunc = $CellContext`rectArea; \
$CellContext`areaPlot = Plot[
            $CellContext`areaFunc[$CellContext`x], {$CellContext`x, 
             0, $CellContext`maxb}, PlotRange -> {{0, 5}, Automatic}, 
            PlotLabel -> Style[
              Row[{"area of rectangle"}], 18], ImageSize -> 
            250], $CellContext`rightTri, $CellContext`figure = \
{$CellContext`topRightTri, $CellContext`leftsideRightTri, $CellContext`base}; \
$CellContext`maxb = 
          5; $CellContext`areaFunc = $CellContext`rightTriArea; \
$CellContext`areaPlot = ($CellContext`areaPlot = Plot[
             $CellContext`areaFunc[$CellContext`x], {$CellContext`x, 
              0, $CellContext`maxb}, PlotRange -> {{0, 5}, Automatic}, 
             PlotLabel -> Style[
               Row[{"area of right triangle"}], 18], ImageSize -> 
             250]), $CellContext`isosc, $CellContext`figure = \
{$CellContext`leftsideIsosc, $CellContext`rightsideIsosc, $CellContext`base}; \
$CellContext`maxb = 
          5; $CellContext`areaFunc = $CellContext`isoscArea; \
$CellContext`areaPlot = Plot[
            $CellContext`areaFunc[$CellContext`x], {$CellContext`x, 
             0, $CellContext`maxb}, PlotRange -> {{0, 5}, Automatic}, 
            PlotLabel -> Style[
              Row[{"area of isosceles triangle"}], 18], ImageSize -> 
            250], $CellContext`norm, $CellContext`figure = \
{$CellContext`topNorman, $CellContext`base, $CellContext`leftsideNorman, \
$CellContext`rightsideNorman}; $CellContext`maxb = 20/(2 + Pi); 
         If[$CellContext`b$$ > $CellContext`maxb, $CellContext`b$$ = 
           2]; $CellContext`areaFunc = $CellContext`normanArea; \
$CellContext`areaPlot = Plot[
            $CellContext`areaFunc[$CellContext`x], {$CellContext`x, 
             0, $CellContext`maxb}, PlotRange -> {{0, 5}, Automatic}, 
            PlotLabel -> Style[
              Row[{"area of Norman window"}], 18], ImageSize -> 
            250], $CellContext`house, $CellContext`figure = \
{$CellContext`lefttopHouse, $CellContext`righttopHouse, \
$CellContext`leftsideHouse, $CellContext`rightsideHouse, $CellContext`base}; \
$CellContext`maxb = 10/3; 
         If[$CellContext`b$$ > $CellContext`maxb, $CellContext`b$$ = 
           
           2]; $CellContext`areaFunc = $CellContext`houseArea; \
$CellContext`areaPlot = Plot[
            $CellContext`areaFunc[$CellContext`x], {$CellContext`x, 
             0, $CellContext`maxb}, PlotRange -> {{0, 5}, Automatic}, 
            PlotLabel -> Style[
              Row[{"area of side of house"}], 18], ImageSize -> 
            250]]; $CellContext`pointOnCurve = Graphics[{
           PointSize[Large], 
           RGBColor[0.25, 0.75, 0.25], 
           Point[{$CellContext`b$$, 
             $CellContext`areaFunc[$CellContext`b$$]}]}]; Text[
         Pane[
          Row[{
            
            Show[$CellContext`figure, Axes -> True, 
             PlotRange -> {{0, 5}, {0, 5}}, AspectRatio -> 1, ImageSize -> 
             300], "", 
            Column[{
              Show[$CellContext`areaPlot, $CellContext`pointOnCurve], "", 
              Style[
               Row[{
                 Style["x", Italic], " = ", 
                 If[
                  MachineNumberQ[$CellContext`b$$], 
                  NumberForm[$CellContext`b$$, {6, 4}], $CellContext`b$$]}], 
               24], 
              Style[
               Row[{"area = ", 
                 If[
                  MachineNumberQ[
                   $CellContext`areaFunc[$CellContext`b$$]], 
                  NumberForm[
                   $CellContext`areaFunc[$CellContext`b$$], {6, 4}], 
                  $CellContext`areaFunc[$CellContext`b$$]]}], 24]}]}], 
          ImageSize -> {560, 320}]]), 
      "Specifications" :> {{{$CellContext`fig$$, $CellContext`rect, 
          "figure"}, {$CellContext`rect -> "rectangle", $CellContext`rightTri -> 
          "right triangle", $CellContext`isosc -> 
          "isosceles triangle", $CellContext`norm -> 
          "Norman window", $CellContext`house -> "side of house"}, 
         ControlType -> 
         PopupMenu}, {{$CellContext`b$$, 2, "length of base, x"}, 0.0001, 
         Dynamic[$CellContext`maxb]}}, "Options" :> {TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{605., {216., 221.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->254165686],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Maximizing the Area of Some Geometric Figures of Fixed Perimeter",
  
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
MaximizingTheAreaOfSomeGeometricFiguresOfFixedPerimeter/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
MaximizingTheAreaOfSomeGeometricFiguresOfFixedPerimeter/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
MaximizingTheAreaOfSomeGeometricFiguresOfFixedPerimeter/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
MaximizingTheAreaOfSomeGeometricFiguresOfFixedPerimeter/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
MaximizingTheAreaOfSomeGeometricFiguresOfFixedPerimeter/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Marc Brodie",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Marc+Brodie"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Marc+Brodie"],
 " (Wheeling Jesuit University)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
MaximizingTheAreaOfSomeGeometricFiguresOfFixedPerimeter"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Maximizing the Area of Some Geometric Figures of Fixed \
Perimeter - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[656, 24, 264, 6, 70, "Section"],
Cell[923, 32, 24606, 654, 70, "Input"]
}, Open  ]],
Cell[25544, 689, 11032, 214, 70, "Output",
 CellID->254165686],
Cell[CellGroupData[{
Cell[36601, 907, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[36977, 918, 1137, 32, 70, "Text"],
Cell[38117, 952, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[38457, 963, 464, 15, 70, "Text"],
Cell[CellGroupData[{
Cell[38946, 982, 847, 24, 70, "Text"],
Cell[39796, 1008, 1231, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature tSNUzB6OMKeWhC0gv8MMfTmS *)
