(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     21278,        571]
NotebookOptionsPosition[     20163,        528]
NotebookOutlinePosition[     20771,        552]
CellTagsIndexPosition[     20728,        549]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Osculating Circles", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "m", ",", "x", ",", "y", ",", "r", ",", "curvature", ",", "radius", ",",
        "T", ",", "Tprime", ",", "NNN", ",", "center", ",", "xc", ",", "yc"}],
       "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"m", ":=", 
       RowBox[{"pt", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"poly", "[", "x_", "]"}], ":=", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"x", "-", "1"}], ")"}]}], 
         RowBox[{"(", 
          RowBox[{"x", "-", "3"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"x", "-", "6"}], ")"}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "9"}], ")"}], "/", "30"}]}], "+", "2"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"trig", "[", "x_", "]"}], ":=", 
       RowBox[{
        RowBox[{"Sin", "[", "x", "]"}], "+", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", "x"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ln", "[", "x_", "]"}], ":=", 
       RowBox[{"3", " ", 
        RowBox[{
         RowBox[{"Log", "[", "x", "]"}], "/", "2"}]}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"x", "[", "t_", "]"}], "=", "t"}], ";", "\[IndentingNewLine]", 
      
      RowBox[{
       RowBox[{"y", "[", "t_", "]"}], "=", 
       RowBox[{"fcn", "[", "t", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"r", "[", "t_", "]"}], "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "[", "t", "]"}], ",", 
         RowBox[{"y", "[", "t", "]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"curvature", "[", "t_", "]"}], "=", 
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"y", "[", "t", "]"}], ",", "t"}], "]"}], ",", "t"}], 
          "]"}], "]"}], "/", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"D", "[", 
              RowBox[{
               RowBox[{"y", "[", "t", "]"}], ",", "t"}], "]"}], ")"}], "^", 
            "2"}]}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{"3", "/", "2"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"radius", "[", "t_", "]"}], "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"curvature", "[", "t", "]"}], "\[Equal]", "0"}], ",", 
         "99999", ",", 
         RowBox[{"1", "/", 
          RowBox[{"curvature", "[", "t", "]"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"T", "[", "t_", "]"}], "=", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"r", "[", "t", "]"}], ",", "t"}], "]"}], "/", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"r", "[", "t", "]"}], ",", "t"}], "]"}], ".", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"r", "[", "t", "]"}], ",", "t"}], "]"}]}], "]"}]}]}], ";",
       "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Tprime", "[", "t_", "]"}], "=", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"T", "[", "t", "]"}], ",", "t"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"NNN", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Tprime", "[", "m", "]"}], "\[Equal]", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{
          RowBox[{"Tprime", "[", "m", "]"}], "/", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"Tprime", "[", "m", "]"}], ".", 
            RowBox[{"Tprime", "[", "m", "]"}]}], "]"}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"center", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"radius", "[", "m", "]"}], "*", "NNN"}], "+", 
        RowBox[{"r", "[", "m", "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"xc", "=", 
       RowBox[{"Extract", "[", 
        RowBox[{"center", ",", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"yc", "=", 
       RowBox[{"Extract", "[", 
        RowBox[{"center", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Show", "[", " ", 
       RowBox[{
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Purple", ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Tprime", "[", "m", "]"}], "\[Equal]", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}]}], ",", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"r", "[", "m", "]"}], "-", 
                 RowBox[{"100", "*", 
                  RowBox[{"T", "[", "m", "]"}]}]}], ",", 
                RowBox[{
                 RowBox[{"r", "[", "m", "]"}], "+", 
                 RowBox[{"100", "*", 
                  RowBox[{"T", "[", "m", "]"}]}]}]}], "}"}], "]"}], ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"xc", ",", "yc"}], "}"}], ",", 
               RowBox[{"radius", "[", "m", "]"}]}], "]"}]}], "]"}]}], "}"}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"y", "[", "t", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"t", ",", "0.0001", ",", "10"}], "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "10"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}]}], "]"}], ",",
         "\[IndentingNewLine]", 
        RowBox[{"Graphics", "[", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"m", ",", 
            RowBox[{"fcn", "[", "m", "]"}]}], "}"}], "]"}], "]"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "10"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}], ",", " ", 
        RowBox[{"PlotRangePadding", "\[Rule]", "0.25"}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "400"}]}], "]"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pt", ",", 
       RowBox[{"{", 
        RowBox[{"1.5", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.0001", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "0"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<|\>\"", ",", "20", ",", "Bold", ",", "Red"}], "]"}]}]}], 
    "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fcn", ",", "poly", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"poly", "\[Rule]", "\"\<polynomial\>\""}], ",", 
       RowBox[{"trig", "\[Rule]", "\"\<trigonometric\>\""}], ",", 
       RowBox[{"ln", "->", "\"\<logarithmic\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"Column", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<Slide the red marker along the \>\"", ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
            "\"\<-axis.\>\""}], "}"}], "]"}], ",", "16"}], "]"}], "}"}], ",", 
      
      RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"fcn", ",", "pt"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, 3.368628974641*^9, {3.36949149143509*^9, 
   3.36949150088858*^9}, {3.3701315951187363`*^9, 3.370131595268952*^9}, {
   3.3706246960421886`*^9, 3.3706247350507956`*^9}, {3.3706270875408926`*^9, 
   3.3706270882018433`*^9}, {3.373644234520822*^9, 3.3736442634265985`*^9}, {
   3.3772906732778273`*^9, 3.3772906958082027`*^9}, {3.379702531254737*^9, 
   3.3797025352584624`*^9}, 3.3907406110413637`*^9},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`fcn$$ = $CellContext`poly, \
$CellContext`pt$$ = {1.5, 0}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`pt$$], {1.5, 0}}, {0.0001, 0}, {10, 0}}, {{
       Hold[$CellContext`fcn$$], $CellContext`poly, ""}, {$CellContext`poly -> 
       "polynomial", $CellContext`trig -> "trigonometric", $CellContext`ln -> 
       "logarithmic"}}}, Typeset`size$$ = {400., {195., 199.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`pt$55320$$ = {0, 0}, $CellContext`fcn$55321$$ = False},
     
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`fcn$$ = $CellContext`poly, \
$CellContext`pt$$ = {1.5, 0}}, "ControllerVariables" :> {
        Hold[$CellContext`pt$$, $CellContext`pt$55320$$, {0, 0}], 
        Hold[$CellContext`fcn$$, $CellContext`fcn$55321$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`m$, $CellContext`x$, $CellContext`y$, \
$CellContext`r$, $CellContext`curvature$, $CellContext`radius$, \
$CellContext`T$, $CellContext`Tprime$, $CellContext`NNN$, \
$CellContext`center$, $CellContext`xc$, $CellContext`yc$}, $CellContext`m$ := 
         Part[$CellContext`pt$$, 1]; $CellContext`poly[
           Pattern[$CellContext`x, 
            Blank[]]] := (-($CellContext`x - 1)) ($CellContext`x - 
            3) ($CellContext`x - 6) (($CellContext`x - 9)/30) + 
          2; $CellContext`trig[
           Pattern[$CellContext`x, 
            Blank[]]] := 
         Sin[$CellContext`x] + Cos[2 $CellContext`x]; $CellContext`ln[
           Pattern[$CellContext`x, 
            Blank[]]] := 3 (Log[$CellContext`x]/2); $CellContext`x$[
           Pattern[$CellContext`t, 
            Blank[]]] = $CellContext`t; $CellContext`y$[
           Pattern[$CellContext`t$, 
            Blank[]]] = $CellContext`fcn$$[$CellContext`t$]; $CellContext`r$[
           Pattern[$CellContext`t$, 
            Blank[]]] = {
           $CellContext`x$[$CellContext`t$], 
           $CellContext`y$[$CellContext`t$]}; $CellContext`curvature$[
           Pattern[$CellContext`t$, 
            Blank[]]] = Abs[
            D[
             D[
              $CellContext`y$[$CellContext`t$], $CellContext`t$], \
$CellContext`t$]]/(1 + D[
              $CellContext`y$[$CellContext`t$], $CellContext`t$]^2)^(3/
           2); $CellContext`radius$[
           Pattern[$CellContext`t$, 
            Blank[]]] = 
         If[$CellContext`curvature$[$CellContext`t$] == 0, 99999, 
           1/$CellContext`curvature$[$CellContext`t$]]; $CellContext`T$[
           Pattern[$CellContext`t$, 
            Blank[]]] = D[
            $CellContext`r$[$CellContext`t$], $CellContext`t$]/Sqrt[
           Dot[
            D[
             $CellContext`r$[$CellContext`t$], $CellContext`t$], 
            D[
             $CellContext`r$[$CellContext`t$], $CellContext`t$]]]; \
$CellContext`Tprime$[
           Pattern[$CellContext`t$, 
            Blank[]]] = D[
           $CellContext`T$[$CellContext`t$], $CellContext`t$]; \
$CellContext`NNN$ = 
         If[$CellContext`Tprime$[$CellContext`m$] == {0, 0}, {0, 
           0}, $CellContext`Tprime$[$CellContext`m$]/Sqrt[
            Dot[
             $CellContext`Tprime$[$CellContext`m$], 
             $CellContext`Tprime$[$CellContext`m$]]]]; $CellContext`center$ = \
$CellContext`radius$[$CellContext`m$] $CellContext`NNN$ + \
$CellContext`r$[$CellContext`m$]; $CellContext`xc$ = 
         Extract[$CellContext`center$, 1]; $CellContext`yc$ = 
         Extract[$CellContext`center$, 2]; Show[
          Graphics[{Purple, 
            If[$CellContext`Tprime$[$CellContext`m$] == {0, 0}, 
             
             Line[{$CellContext`r$[$CellContext`m$] - 
               100 $CellContext`T$[$CellContext`m$], \
$CellContext`r$[$CellContext`m$] + 100 $CellContext`T$[$CellContext`m$]}], 
             Circle[{$CellContext`xc$, $CellContext`yc$}, 
              $CellContext`radius$[$CellContext`m$]]]}], 
          Plot[
           $CellContext`y$[$CellContext`t], {$CellContext`t, 0.0001, 10}, 
           PlotRange -> {{0, 10}, {-5, 5}}], 
          Graphics[
           Point[{$CellContext`m$, 
             $CellContext`fcn$$[$CellContext`m$]}]], Axes -> True, 
          PlotRange -> {{0, 10}, {-5, 5}}, PlotRangePadding -> 0.25, 
          AspectRatio -> Automatic, ImageSize -> 400]], 
      "Specifications" :> {{{$CellContext`pt$$, {1.5, 0}}, {0.0001, 0}, {10, 
         0}, ControlType -> Locator, Appearance -> Style["|", 20, Bold, 
           RGBColor[1, 0, 0]]}, {{$CellContext`fcn$$, $CellContext`poly, 
          ""}, {$CellContext`poly -> "polynomial", $CellContext`trig -> 
          "trigonometric", $CellContext`ln -> "logarithmic"}, ControlType -> 
         RadioButtonBar}}, "Options" :> {FrameLabel -> Column[{
           Style[
            Row[{"Slide the red marker along the ", 
              Style["x", Italic], "-axis."}], 16]}, Alignment -> Center], 
        TrackedSymbols :> {$CellContext`fcn$$, $CellContext`pt$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {249., 254.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->703000033],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Osculating Circles",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/OsculatingCircles/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/OsculatingCircles/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/OsculatingCircles/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/OsculatingCircles/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/OsculatingCircles/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Abby Brown", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->419608120]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
OsculatingCircles"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Osculating Circles - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 210, 4, 70, "Section"],
Cell[803, 29, 9348, 246, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[10166, 278, 5922, 119, 70, "Output",
 CellID->703000033],
Cell[CellGroupData[{
Cell[16113, 401, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16489, 412, 880, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[17394, 440, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[17734, 451, 201, 6, 70, "Text",
 CellID->419608120]
}, Open  ]],
Cell[CellGroupData[{
Cell[17972, 462, 967, 27, 70, "Text"],
Cell[18942, 491, 1193, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature ETj@LInQz0oriBpGY4rTA0GW *)
