(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     46737,       1161]
NotebookOptionsPosition[     45651,       1121]
NotebookOutlinePosition[     46278,       1145]
CellTagsIndexPosition[     46235,       1142]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Saddle Points and Inflection Points", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "surface1", ",", "surface2", ",", "curve", ",", "ff", " ", ",", "gg", 
       ",", "aa", ",", "hh", ",", "umin", ",", "umax", ",", "vmin", ",", 
       "vmax", ",", "zmin", ",", "zmax", ",", "xmin", ",", "xmax", ",", 
       "ymin", ",", "ymax", ",", "w", ",", "xgrid1", ",", "ygrid1"}], "}"}], 
     ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Switch", "[", 
       RowBox[{
       "fcn", ",", "\[IndentingNewLine]", "f1", ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"ff", "[", 
           RowBox[{"u_", ",", "v_"}], "]"}], ":=", 
          RowBox[{"{", 
           RowBox[{"u", ",", "v", ",", 
            RowBox[{
             RowBox[{"v", "^", "2"}], "-", 
             RowBox[{"u", "^", "2"}]}]}], "}"}]}], ";", "\[IndentingNewLine]",
          
         RowBox[{
          RowBox[{"gg", "[", 
           RowBox[{"u_", ",", "v_"}], "]"}], ":=", 
          RowBox[{"Which", "[", 
           RowBox[{
            RowBox[{"u", "<", "0"}], ",", 
            RowBox[{"{", 
             RowBox[{"u", ",", 
              RowBox[{"2", "u"}], ",", "v"}], "}"}], ",", 
            RowBox[{"0", "\[LessEqual]", "u"}], ",", 
            RowBox[{"{", 
             RowBox[{"u", ",", 
              RowBox[{
               RowBox[{"1", "/", "2"}], "u"}], ",", "v"}], "}"}]}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"hh", "[", "x_", "]"}], ":=", 
          RowBox[{"Which", "[", 
           RowBox[{
            RowBox[{"x", "<", "0"}], ",", 
            RowBox[{"3", 
             SuperscriptBox["x", "2"]}], ",", 
            RowBox[{"0", "\[LessEqual]", "x"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "3"}], "/", "4"}], 
             SuperscriptBox["x", "2"]}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"umin", "=", 
          RowBox[{"-", "5"}]}], ";", " ", 
         RowBox[{"umax", "=", "5"}], ";", " ", 
         RowBox[{"vmin", "=", 
          RowBox[{"-", "5"}]}], ";", " ", 
         RowBox[{"vmax", "=", "5"}], ";", 
         RowBox[{"zmin", "=", 
          RowBox[{"-", "5"}]}], ";", 
         RowBox[{"zmax", "=", "5"}], ";", "\[IndentingNewLine]", 
         RowBox[{"xmin", "=", 
          RowBox[{"-", "1.5"}]}], ";", 
         RowBox[{"xmax", "=", "3"}], ";", 
         RowBox[{"ymin", "=", 
          RowBox[{"-", "5"}]}], ";", 
         RowBox[{"ymax", "=", "5"}], ";", 
         RowBox[{"ww", "=", 
          RowBox[{"{", 
           RowBox[{"1.3", ",", 
            RowBox[{"-", "2.4"}], ",", "2"}], "}"}]}]}], ",", 
        "\[IndentingNewLine]", "f2", ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"ff", "[", 
           RowBox[{"u_", ",", "v_"}], "]"}], ":=", 
          RowBox[{"{", 
           RowBox[{"u", ",", "v", ",", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"u", "^", "3"}]}], "+", 
             RowBox[{"4", "u", " ", "v"}], "-", 
             RowBox[{"2", 
              RowBox[{"v", "^", "2"}]}], "+", "1"}]}], "}"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"umin", "=", 
          RowBox[{"-", "5"}]}], ";", " ", 
         RowBox[{"umax", "=", "5"}], ";", " ", 
         RowBox[{"vmin", "=", 
          RowBox[{"-", "5"}]}], ";", " ", 
         RowBox[{"vmax", "=", "5"}], ";", 
         RowBox[{"zmin", "=", 
          RowBox[{"-", "5"}]}], ";", 
         RowBox[{"zmax", "=", "7"}], ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"gg", "[", 
           RowBox[{"u_", ",", "v_"}], "]"}], ":=", 
          RowBox[{"Which", "[", 
           RowBox[{
            RowBox[{"u", "<", "0"}], ",", 
            RowBox[{"{", 
             RowBox[{"u", ",", 
              RowBox[{
               RowBox[{"1", "/", "2"}], "u"}], ",", "v"}], "}"}], ",", 
            RowBox[{"0", "\[LessEqual]", "u"}], ",", 
            RowBox[{"{", 
             RowBox[{"u", ",", 
              RowBox[{"4", "u"}], ",", "v"}], "}"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"hh", "[", "x_", "]"}], ":=", 
          RowBox[{"Which", "[", 
           RowBox[{
            RowBox[{"x", "<", "0"}], ",", 
            RowBox[{
             RowBox[{"-", 
              SuperscriptBox["x", "3"]}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"3", "/", "2"}], ")"}], 
              RowBox[{"x", "^", "2"}]}], "+", "1"}], ",", 
            RowBox[{"0", "\[LessEqual]", "x"}], ",", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"x", "^", "3"}]}], "-", 
             RowBox[{"16", 
              RowBox[{"x", "^", "2"}]}], "+", "1"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"xmin", "=", 
          RowBox[{"-", "1"}]}], ";", 
         RowBox[{"xmax", "=", ".5"}], ";", 
         RowBox[{"ymin", "=", 
          RowBox[{"-", "5"}]}], ";", 
         RowBox[{"ymax", "=", "5"}], ";", 
         RowBox[{"ww", "=", 
          RowBox[{"{", 
           RowBox[{"1.3", ",", 
            RowBox[{"-", "2.4"}], ",", "2"}], "}"}]}]}], ",", 
        "\[IndentingNewLine]", "f3", ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"ff", "[", 
           RowBox[{"u_", ",", "v_"}], "]"}], ":=", 
          RowBox[{"{", 
           RowBox[{"u", ",", "v", ",", 
            RowBox[{
             RowBox[{"4", "u", " ", "v"}], "-", 
             RowBox[{"u", "^", "4"}], "-", 
             RowBox[{"v", "^", "4"}]}]}], "}"}]}], ";", "\[IndentingNewLine]",
          
         RowBox[{"umin", "=", 
          RowBox[{"-", "3"}]}], ";", " ", 
         RowBox[{"umax", "=", "3"}], ";", " ", 
         RowBox[{"vmin", "=", 
          RowBox[{"-", "3"}]}], ";", " ", 
         RowBox[{"vmax", "=", "3"}], ";", 
         RowBox[{"zmin", "=", 
          RowBox[{"-", "3"}]}], ";", 
         RowBox[{"zmax", "=", "3"}], ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"gg", "[", 
           RowBox[{"u_", ",", "v_"}], "]"}], ":=", 
          RowBox[{"Which", "[", 
           RowBox[{
            RowBox[{"u", "<", "0"}], ",", 
            RowBox[{"{", 
             RowBox[{"u", ",", "u", ",", "v"}], "}"}], ",", 
            RowBox[{"0", "\[LessEqual]", "u"}], ",", 
            RowBox[{"{", 
             RowBox[{"u", ",", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "1"}], "/", "10"}], "u"}], ",", "v"}], "}"}]}], 
           "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"hh", "[", "x_", "]"}], ":=", 
          RowBox[{"Which", "[", 
           RowBox[{
            RowBox[{"x", "<", "0"}], ",", 
            RowBox[{
             RowBox[{"4", 
              RowBox[{"x", "^", "2"}]}], "-", 
             RowBox[{"2", 
              RowBox[{"x", "^", "4"}]}]}], ",", 
            RowBox[{"0", "\[LessEqual]", "x"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{"2", "/", "5"}], ")"}]}], 
              SuperscriptBox["x", "2"]}], "-", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"10001", "/", "10000"}], ")"}], " ", 
              RowBox[{"x", "^", "4"}]}]}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"xmin", "=", 
          RowBox[{"-", "1.75"}]}], ";", 
         RowBox[{"xmax", "=", "1.5"}], ";", 
         RowBox[{"ymin", "=", 
          RowBox[{"-", "2"}]}], ";", 
         RowBox[{"ymax", "=", "2"}], ";", 
         RowBox[{"ww", "=", 
          RowBox[{"{", 
           RowBox[{"1.3", ",", 
            RowBox[{"-", "2.4"}], ",", "2"}], "}"}]}]}], ",", 
        "\[IndentingNewLine]", "f4", ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"ff", "[", 
           RowBox[{"u_", ",", "v_"}], "]"}], ":=", 
          RowBox[{"{", 
           RowBox[{"u", ",", "v", ",", 
            RowBox[{
             RowBox[{
              RowBox[{"3", "/", "4"}], 
              RowBox[{"v", "^", "2"}]}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "/", 
                RowBox[{"(", "24", ")"}]}], ")"}], 
              RowBox[{"v", "^", "3"}]}], "-", 
             RowBox[{
              RowBox[{"1", "/", 
               RowBox[{"(", "32", ")"}]}], 
              RowBox[{"v", "^", "4"}]}], "-", 
             RowBox[{"u", "^", "2"}]}]}], "}"}]}], ";", "\[IndentingNewLine]",
          
         RowBox[{"umin", "=", 
          RowBox[{"-", "4"}]}], ";", " ", 
         RowBox[{"umax", "=", "8"}], ";", " ", 
         RowBox[{"vmin", "=", 
          RowBox[{"-", "5"}]}], ";", " ", 
         RowBox[{"vmax", "=", "5"}], ";", 
         RowBox[{"zmin", "=", 
          RowBox[{"-", "5"}]}], ";", 
         RowBox[{"zmax", "=", "7"}], ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"gg", "[", 
           RowBox[{"u_", ",", "v_"}], "]"}], ":=", 
          RowBox[{"Which", "[", 
           RowBox[{
            RowBox[{"u", "<", "0"}], ",", 
            RowBox[{"{", 
             RowBox[{"u", ",", 
              RowBox[{"3", "u"}], ",", "v"}], "}"}], ",", 
            RowBox[{"0", "\[LessEqual]", "u"}], ",", 
            RowBox[{"{", 
             RowBox[{"u", ",", 
              RowBox[{
               RowBox[{"1", "/", "3"}], "u"}], ",", "v"}], "}"}]}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"hh", "[", "x_", "]"}], ":=", 
          RowBox[{"Which", "[", 
           RowBox[{
            RowBox[{"x", "<", "0"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"23", "/", "4"}], 
              SuperscriptBox["x", "2"]}], "+", 
             RowBox[{
              RowBox[{"9", "/", "8"}], 
              RowBox[{"x", "^", "3"}]}], "-", 
             RowBox[{
              RowBox[{"81", "/", "32"}], 
              RowBox[{"x", "^", "4"}]}]}], ",", 
            RowBox[{"0", "\[LessEqual]", "x"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"-", "11"}], "/", "12"}], 
              SuperscriptBox["x", "2"]}], "+", 
             RowBox[{
              RowBox[{"1", "/", "648"}], 
              RowBox[{"x", "^", "3"}]}], "-", 
             RowBox[{
              RowBox[{"1", "/", "2592"}], 
              RowBox[{"x", "^", "4"}]}]}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"xmin", "=", 
          RowBox[{"-", "2"}]}], ";", 
         RowBox[{"xmax", "=", "3"}], ";", 
         RowBox[{"ymin", "=", 
          RowBox[{"-", "3"}]}], ";", 
         RowBox[{"ymax", "=", "3"}], ";", 
         RowBox[{"ww", "=", 
          RowBox[{"{", 
           RowBox[{"1.3", ",", 
            RowBox[{"-", "2.4"}], ",", "2"}], "}"}]}]}]}], 
       "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"surface1", ":=", 
       RowBox[{"Show", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ParametricPlot3D", "[", 
          RowBox[{
           RowBox[{"ff", "[", 
            RowBox[{"u", ",", "v"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"u", ",", "umin", ",", "umax"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"v", ",", "vmin", ",", "vmax"}], "}"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"Opacity", "[", 
             RowBox[{"ControlActive", "[", 
              RowBox[{"1", ",", "0.8"}], "]"}], "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"umin", ",", "umax"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"vmin", ",", "vmax"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"zmin", ",", "zmax"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"PerformanceGoal", "\[Rule]", "\"\<Speed\>\""}], ",", " ", 
           
           RowBox[{"Mesh", "\[Rule]", "25"}]}], "]"}], ",", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"Graphics3D", "[", 
          RowBox[{"{", 
           RowBox[{"Gray", ",", 
            RowBox[{"Opacity", "[", 
             RowBox[{"ControlActive", "[", 
              RowBox[{"1", ",", "0.3"}], "]"}], "]"}], ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"umin", ",", "vmin", ",", "zmin"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"umin", ",", "vmax", ",", "zmin"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"umax", ",", "vmax", ",", "zmin"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"umax", ",", "vmin", ",", "zmin"}], "}"}]}], "}"}], 
             "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"195", ",", "175"}], "}"}]}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", "\[IndentingNewLine]", 
         RowBox[{"AxesEdge", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", 
              RowBox[{"-", "1"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", 
              RowBox[{"-", "1"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", 
              RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"umin", ",", "umax"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"vmin", ",", "vmax"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"zmin", ",", "zmax"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"BoxRatios", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"umax", "-", "umin"}], ",", 
            RowBox[{"vmax", "-", "vmin"}], ",", 
            RowBox[{"zmax", "-", "zmin"}]}], "}"}]}]}], "\[IndentingNewLine]",
         "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"surface2", ":=", 
       RowBox[{"Show", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ParametricPlot3D", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"ff", "[", 
              RowBox[{"u", ",", "v"}], "]"}], ",", 
             RowBox[{"gg", "[", 
              RowBox[{"u", ",", "v"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"u", ",", "umin", ",", "umax"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"v", ",", "vmin", ",", "vmax"}], "}"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"Opacity", "[", 
             RowBox[{"ControlActive", "[", 
              RowBox[{"1", ",", "0.8"}], "]"}], "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"umin", ",", "umax"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"vmin", ",", "vmax"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"zmin", ",", "zmax"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"PerformanceGoal", "\[Rule]", "\"\<Speed\>\""}], ",", " ", 
           
           RowBox[{"Mesh", "\[Rule]", "25"}]}], "]"}], ",", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"Graphics3D", "[", 
          RowBox[{"{", 
           RowBox[{"Gray", ",", 
            RowBox[{"Opacity", "[", 
             RowBox[{"ControlActive", "[", 
              RowBox[{"1", ",", "0.3"}], "]"}], "]"}], ",", 
            RowBox[{"Polygon", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"umin", ",", "vmin", ",", "zmin"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"umin", ",", "vmax", ",", "zmin"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"umax", ",", "vmax", ",", "zmin"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"umax", ",", "vmin", ",", "zmin"}], "}"}]}], "}"}], 
             "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"195", ",", "175"}], "}"}]}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"ViewPoint", "\[Rule]", "ww"}], ",", 
         RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"AxesEdge", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", 
              RowBox[{"-", "1"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", 
              RowBox[{"-", "1"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", 
              RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"umin", ",", "umax"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"vmin", ",", "vmax"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"zmin", ",", "zmax"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"BoxRatios", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"umax", "-", "umin"}], ",", 
            RowBox[{"vmax", "-", "vmin"}], ",", 
            RowBox[{"zmax", "-", "zmin"}]}], "}"}]}]}], "\[IndentingNewLine]",
         "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"curve", ":=", 
       RowBox[{"Show", "[", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"hh", "[", "x", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"195", ",", "120"}], "}"}]}], ",", 
          RowBox[{"Ticks", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Range", "[", 
             RowBox[{
              RowBox[{"-", "xmin"}], ",", "xmax", ",", "2"}], "]"}], "}"}]}], 
          ",", 
          RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Column", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Text", "@", 
           RowBox[{"Grid", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"surface1", ",", "surface2"}], "}"}], ",", 
               RowBox[{"{", " ", 
                RowBox[{",", 
                 RowBox[{"Grid", "[", 
                  RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<f(x,y) and g(x)=\>\"", ",", "Medium", ",", "Italic", 
                    ",", 
                    RowBox[{"Darker", "[", "Blue", "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<{\>\"", ",", "Large", ",", "Italic", ",", 
                    RowBox[{"Darker", "[", "Blue", "]"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Grid", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Part", "[", 
                    RowBox[{"gg", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "2"}], "]"}], "]"}], " ", ",", " ", 
                    RowBox[{
                    RowBox[{"if", " ", "x"}], "<", "0"}]}], "}"}], " ", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Part", "[", 
                    RowBox[{"gg", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], "]"}], "[", 
                    RowBox[{"[", 
                    RowBox[{"4", ",", "2"}], "]"}], "]"}], ",", " ", 
                    RowBox[{
                    RowBox[{"if", " ", "x"}], "\[GreaterEqual]", " ", "0"}]}],
                     "}"}]}], "}"}], "]"}], ",", "Medium", ",", "Italic", ",",
                     
                    RowBox[{"Darker", "[", "Blue", "]"}]}], "]"}]}], "}"}], 
                   "}"}], "]"}]}], "}"}]}], "}"}], ",", 
             RowBox[{"ItemSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"22", ",", "3"}], "}"}]}]}], "]"}]}], ",", "curve", 
          ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Text", "@", 
           RowBox[{"Grid", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<f(x,g(x))=\>\"", ",", "Medium", ",", "Italic", ",", 
                  RowBox[{"Darker", "[", "Blue", "]"}]}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<{\>\"", ",", "Large", ",", "Italic", ",", 
                  RowBox[{"Darker", "[", "Blue", "]"}]}], "]"}], ",", 
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"Grid", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Part", "[", 
                    RowBox[{"hh", "[", "x", "]"}], "]"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}], " ", ",", " ", 
                    RowBox[{
                    RowBox[{"if", " ", "x"}], "<", "0"}]}], "}"}], " ", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Part", "[", 
                    RowBox[{"hh", "[", "x", "]"}], "]"}], "[", 
                    RowBox[{"[", "4", "]"}], "]"}], ",", " ", 
                    RowBox[{
                    RowBox[{"if", " ", "x"}], "\[GreaterEqual]", " ", "0"}]}],
                     "}"}]}], "}"}], "]"}], ",", "Medium", ",", "Italic", ",",
                   
                  RowBox[{"Darker", "[", "Blue", "]"}]}], "]"}]}], "}"}], 
              "}"}], ",", 
             RowBox[{"ItemSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"Automatic", ",", "8"}], "}"}]}]}], "]"}]}]}], 
         "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Alignment", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Center", ",", "Top"}], "}"}]}]}], "]"}]}]}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], " ", 
   RowBox[{"(*", 
    RowBox[{"End", " ", "Module"}], "*)"}], ",", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fcn", ",", "f1", ",", "\"\<f(x,y) = \>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"f1", "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"y", "^", "2"}], "-", 
          RowBox[{"x", "^", "2"}]}], "]"}]}], ",", 
       RowBox[{"f2", "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"x", "^", "3"}]}], "+", 
          RowBox[{"4", "x", " ", "y"}], "-", 
          RowBox[{"2", 
           RowBox[{"y", "^", "2"}]}], "+", "1"}], "]"}]}], ",", 
       RowBox[{"f3", "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"4", "x", " ", "y"}], "-", 
          RowBox[{"x", "^", "4"}], "-", 
          RowBox[{"y", "^", "4"}]}], "]"}]}], ",", 
       RowBox[{"f4", "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"3", "/", "4"}], 
           RowBox[{"y", "^", "2"}]}], "+", 
          RowBox[{
           RowBox[{"1", "/", 
            RowBox[{"(", "24", ")"}]}], 
           RowBox[{"y", "^", "3"}]}], "-", 
          RowBox[{
           RowBox[{"1", "/", 
            RowBox[{"(", "32", ")"}]}], 
           RowBox[{"y", "^", "4"}]}], "-", 
          RowBox[{"x", "^", "2"}]}], "]"}]}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Top", ",", "Right"}], "}"}]}], ",", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"fcn", "\[Rule]", "f1"}], ",", 
      RowBox[{
       RowBox[{"xmin", "=", 
        RowBox[{"-", "5"}]}], ";", 
       RowBox[{"xmax", "=", "5"}], ";", 
       RowBox[{"ymin", "=", 
        RowBox[{"-", "5"}]}], ";", 
       RowBox[{"ymax", "=", "5"}], ";", 
       RowBox[{"umin", "=", 
        RowBox[{"-", "4"}]}], ";", " ", 
       RowBox[{"umax", "=", "4"}], ";", " ", 
       RowBox[{"vmin", "=", 
        RowBox[{"-", "4"}]}], ";", " ", 
       RowBox[{"vmax", "=", "4"}], ";", 
       RowBox[{"zmin", "=", 
        RowBox[{"-", "4"}]}], ";", 
       RowBox[{"zmax", "=", "4"}]}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.416748693281881*^9, 3.416748725625631*^9}, {
   3.416748781110006*^9, 3.416748786610006*^9}, {3.416748817344381*^9, 
   3.416748823516256*^9}, {3.4169268221030607`*^9, 3.4169268736030607`*^9}, {
   3.4169271166186857`*^9, 3.4169271349780607`*^9}, {3.4169271662124357`*^9, 
   3.4169273285874357`*^9}, {3.4169273587436857`*^9, 
   3.4169273956186857`*^9}, {3.4169274418999357`*^9, 
   3.4169274481343107`*^9}, {3.4169274816343107`*^9, 3.4169275151186857`*^9}},
 
 CellID->35710763]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`fcn$$ = $CellContext`f1, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`fcn$$], $CellContext`f1, 
       "f(x,y) = "}, {$CellContext`f1 -> 
       TraditionalForm[-$CellContext`x^2 + $CellContext`y^2], $CellContext`f2 -> 
       TraditionalForm[
        1 - $CellContext`x^3 + 4 $CellContext`x $CellContext`y - 
         2 $CellContext`y^2], $CellContext`f3 -> 
       TraditionalForm[-$CellContext`x^4 + 
         4 $CellContext`x $CellContext`y - $CellContext`y^4], $CellContext`f4 -> 
       TraditionalForm[-$CellContext`x^2 + Rational[3, 4] $CellContext`y^2 + 
         Rational[1, 24] $CellContext`y^3 + 
         Rational[-1, 32] $CellContext`y^4]}}}, Typeset`size$$ = {
    536., {224.5, 229.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`fcn$19398$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`fcn$$ = $CellContext`f1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`fcn$$, $CellContext`fcn$19398$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`surface1$, $CellContext`surface2$, \
$CellContext`curve$, $CellContext`ff$, $CellContext`gg$, $CellContext`aa$, \
$CellContext`hh$, $CellContext`umin$, $CellContext`umax$, $CellContext`vmin$, \
$CellContext`vmax$, $CellContext`zmin$, $CellContext`zmax$, \
$CellContext`xmin$, $CellContext`xmax$, $CellContext`ymin$, \
$CellContext`ymax$, $CellContext`w$, $CellContext`xgrid1$, \
$CellContext`ygrid1$}, 
        Switch[$CellContext`fcn$$, $CellContext`f1, $CellContext`ff$[
             Pattern[$CellContext`u, 
              Blank[]], 
             Pattern[$CellContext`v, 
              
              Blank[]]] := {$CellContext`u, $CellContext`v, $CellContext`v^2 - \
$CellContext`u^2}; $CellContext`gg$[
             Pattern[$CellContext`u, 
              Blank[]], 
             Pattern[$CellContext`v, 
              Blank[]]] := 
           Which[$CellContext`u < 
             0, {$CellContext`u, 2 $CellContext`u, $CellContext`v}, 
             0 <= $CellContext`u, {$CellContext`u, (1/
               2) $CellContext`u, $CellContext`v}]; $CellContext`hh$[
             Pattern[$CellContext`x, 
              Blank[]]] := 
           Which[$CellContext`x < 0, 3 $CellContext`x^2, 
             0 <= $CellContext`x, ((-3)/
              4) $CellContext`x^2]; $CellContext`umin$ = -5; \
$CellContext`umax$ = 5; $CellContext`vmin$ = -5; $CellContext`vmax$ = 
           5; $CellContext`zmin$ = -5; $CellContext`zmax$ = 
           5; $CellContext`xmin$ = -1.5; $CellContext`xmax$ = 
           3; $CellContext`ymin$ = -5; $CellContext`ymax$ = 
           5; $CellContext`ww = {
            1.3, -2.4, 2}, $CellContext`f2, $CellContext`ff$[
             Pattern[$CellContext`u, 
              Blank[]], 
             Pattern[$CellContext`v, 
              Blank[]]] := {$CellContext`u, $CellContext`v, -$CellContext`u^3 + 
             4 $CellContext`u $CellContext`v - 2 $CellContext`v^2 + 
             1}; $CellContext`umin$ = -5; $CellContext`umax$ = 
           5; $CellContext`vmin$ = -5; $CellContext`vmax$ = 
           5; $CellContext`zmin$ = -5; $CellContext`zmax$ = 
           7; $CellContext`gg$[
             Pattern[$CellContext`u, 
              Blank[]], 
             Pattern[$CellContext`v, 
              Blank[]]] := 
           Which[$CellContext`u < 
             0, {$CellContext`u, (1/2) $CellContext`u, $CellContext`v}, 
             0 <= $CellContext`u, {$CellContext`u, 
              4 $CellContext`u, $CellContext`v}]; $CellContext`hh$[
             Pattern[$CellContext`x, 
              Blank[]]] := 
           Which[$CellContext`x < 
             0, -$CellContext`x^3 + (3/2) $CellContext`x^2 + 1, 
             0 <= $CellContext`x, -$CellContext`x^3 - 16 $CellContext`x^2 + 
             1]; $CellContext`xmin$ = -1; $CellContext`xmax$ = 
           0.5; $CellContext`ymin$ = -5; $CellContext`ymax$ = 
           5; $CellContext`ww = {
            1.3, -2.4, 2}, $CellContext`f3, $CellContext`ff$[
             Pattern[$CellContext`u, 
              Blank[]], 
             Pattern[$CellContext`v, 
              Blank[]]] := {$CellContext`u, $CellContext`v, 
             4 $CellContext`u $CellContext`v - $CellContext`u^4 - \
$CellContext`v^4}; $CellContext`umin$ = -3; $CellContext`umax$ = 
           3; $CellContext`vmin$ = -3; $CellContext`vmax$ = 
           3; $CellContext`zmin$ = -3; $CellContext`zmax$ = 
           3; $CellContext`gg$[
             Pattern[$CellContext`u, 
              Blank[]], 
             Pattern[$CellContext`v, 
              Blank[]]] := 
           Which[$CellContext`u < 
             0, {$CellContext`u, $CellContext`u, $CellContext`v}, 
             0 <= $CellContext`u, {$CellContext`u, ((-1)/
               10) $CellContext`u, $CellContext`v}]; $CellContext`hh$[
             Pattern[$CellContext`x, 
              Blank[]]] := 
           Which[$CellContext`x < 0, 4 $CellContext`x^2 - 2 $CellContext`x^4, 
             0 <= $CellContext`x, (-(2/5)) $CellContext`x^2 - (10001/
              10000) $CellContext`x^4]; $CellContext`xmin$ = -1.75; \
$CellContext`xmax$ = 1.5; $CellContext`ymin$ = -2; $CellContext`ymax$ = 
           2; $CellContext`ww = {
            1.3, -2.4, 2}, $CellContext`f4, $CellContext`ff$[
             Pattern[$CellContext`u, 
              Blank[]], 
             Pattern[$CellContext`v, 
              
              Blank[]]] := {$CellContext`u, $CellContext`v, (3/
               4) $CellContext`v^2 + (1/24) $CellContext`v^3 - (1/
              32) $CellContext`v^4 - $CellContext`u^2}; $CellContext`umin$ = \
-4; $CellContext`umax$ = 8; $CellContext`vmin$ = -5; $CellContext`vmax$ = 
           5; $CellContext`zmin$ = -5; $CellContext`zmax$ = 
           7; $CellContext`gg$[
             Pattern[$CellContext`u, 
              Blank[]], 
             Pattern[$CellContext`v, 
              Blank[]]] := 
           Which[$CellContext`u < 
             0, {$CellContext`u, 3 $CellContext`u, $CellContext`v}, 
             0 <= $CellContext`u, {$CellContext`u, (1/
               3) $CellContext`u, $CellContext`v}]; $CellContext`hh$[
             Pattern[$CellContext`x, 
              Blank[]]] := 
           Which[$CellContext`x < 
             0, (23/4) $CellContext`x^2 + (9/8) $CellContext`x^3 - (81/
              32) $CellContext`x^4, 
             0 <= $CellContext`x, ((-11)/12) $CellContext`x^2 + (1/
               648) $CellContext`x^3 - (1/
              2592) $CellContext`x^4]; $CellContext`xmin$ = -2; \
$CellContext`xmax$ = 3; $CellContext`ymin$ = -3; $CellContext`ymax$ = 
           3; $CellContext`ww = {1.3, -2.4, 2}]; $CellContext`surface1$ := 
         Show[
           ParametricPlot3D[
            $CellContext`ff$[$CellContext`u, $CellContext`v], \
{$CellContext`u, $CellContext`umin$, $CellContext`umax$}, {$CellContext`v, \
$CellContext`vmin$, $CellContext`vmax$}, PlotStyle -> Opacity[
              ControlActive[1, 0.8]], 
            PlotRange -> {{$CellContext`umin$, $CellContext`umax$}, \
{$CellContext`vmin$, $CellContext`vmax$}, {$CellContext`zmin$, \
$CellContext`zmax$}}, PerformanceGoal -> "Speed", Mesh -> 25], 
           Graphics3D[{Gray, 
             Opacity[
              ControlActive[1, 0.3]], 
             
             Polygon[{{$CellContext`umin$, $CellContext`vmin$, \
$CellContext`zmin$}, {$CellContext`umin$, $CellContext`vmax$, \
$CellContext`zmin$}, {$CellContext`umax$, $CellContext`vmax$, \
$CellContext`zmin$}, {$CellContext`umax$, $CellContext`vmin$, \
$CellContext`zmin$}}]}], ImageSize -> {195, 175}, Boxed -> False, 
           AxesEdge -> {{-1, -1}, {-1, -1}, {-1, -1}}, 
           PlotRange -> {{$CellContext`umin$, $CellContext`umax$}, \
{$CellContext`vmin$, $CellContext`vmax$}, {$CellContext`zmin$, \
$CellContext`zmax$}}, 
           BoxRatios -> {$CellContext`umax$ - $CellContext`umin$, \
$CellContext`vmax$ - $CellContext`vmin$, $CellContext`zmax$ - \
$CellContext`zmin$}]; $CellContext`surface2$ := Show[
           ParametricPlot3D[{
             $CellContext`ff$[$CellContext`u, $CellContext`v], 
             $CellContext`gg$[$CellContext`u, $CellContext`v]}, \
{$CellContext`u, $CellContext`umin$, $CellContext`umax$}, {$CellContext`v, \
$CellContext`vmin$, $CellContext`vmax$}, PlotStyle -> Opacity[
              ControlActive[1, 0.8]], 
            PlotRange -> {{$CellContext`umin$, $CellContext`umax$}, \
{$CellContext`vmin$, $CellContext`vmax$}, {$CellContext`zmin$, \
$CellContext`zmax$}}, PerformanceGoal -> "Speed", Mesh -> 25], 
           Graphics3D[{Gray, 
             Opacity[
              ControlActive[1, 0.3]], 
             
             Polygon[{{$CellContext`umin$, $CellContext`vmin$, \
$CellContext`zmin$}, {$CellContext`umin$, $CellContext`vmax$, \
$CellContext`zmin$}, {$CellContext`umax$, $CellContext`vmax$, \
$CellContext`zmin$}, {$CellContext`umax$, $CellContext`vmin$, \
$CellContext`zmin$}}]}], ImageSize -> {195, 175}, Boxed -> False, 
           ViewPoint -> $CellContext`ww, SphericalRegion -> True, 
           AxesEdge -> {{-1, -1}, {-1, -1}, {-1, -1}}, 
           PlotRange -> {{$CellContext`umin$, $CellContext`umax$}, \
{$CellContext`vmin$, $CellContext`vmax$}, {$CellContext`zmin$, \
$CellContext`zmax$}}, 
           BoxRatios -> {$CellContext`umax$ - $CellContext`umin$, \
$CellContext`vmax$ - $CellContext`vmin$, $CellContext`zmax$ - \
$CellContext`zmin$}]; $CellContext`curve$ := Show[
           Plot[
            $CellContext`hh$[$CellContext`x], {$CellContext`x, \
$CellContext`xmin$, $CellContext`xmax$}, ImageSize -> {195, 120}, Ticks -> {
              Range[-$CellContext`xmin$, $CellContext`xmax$, 2]}, PlotStyle -> 
            Thick]]; Column[{
           Text[
            Grid[{{$CellContext`surface1$, $CellContext`surface2$}, {Null, 
               Grid[{{
                  Style["f(x,y) and g(x)=", Medium, Italic, 
                   Darker[Blue]], 
                  Style["{", Large, Italic, 
                   Darker[Blue]], 
                  Style[
                   Grid[{{
                    Part[
                    Part[
                    $CellContext`gg$[$CellContext`x, $CellContext`y]], 2, 
                    2], $CellContext`if $CellContext`x < 0}, {
                    Part[
                    Part[
                    $CellContext`gg$[$CellContext`x, $CellContext`y]], 4, 
                    2], $CellContext`if $CellContext`x >= 0}}], Medium, 
                   Italic, 
                   Darker[Blue]]}}]}}, 
             ItemSize -> {22, 3}]], $CellContext`curve$, 
           Text[
            Grid[{{
               Style["f(x,g(x))=", Medium, Italic, 
                Darker[Blue]], 
               Style["{", Large, Italic, 
                Darker[Blue]], 
               Style[
                Grid[{{
                   Part[
                    Part[
                    $CellContext`hh$[$CellContext`x]], 
                    2], $CellContext`if $CellContext`x < 0}, {
                   Part[
                    Part[
                    $CellContext`hh$[$CellContext`x]], 
                    4], $CellContext`if $CellContext`x >= 0}}], Medium, 
                Italic, 
                Darker[Blue]]}}, ItemSize -> {Automatic, 8}]]}, 
          Alignment -> {Center, Top}]], 
      "Specifications" :> {{{$CellContext`fcn$$, $CellContext`f1, 
          "f(x,y) = "}, {$CellContext`f1 -> 
          TraditionalForm[-$CellContext`x^2 + $CellContext`y^2], \
$CellContext`f2 -> 
          TraditionalForm[
           1 - $CellContext`x^3 + 4 $CellContext`x $CellContext`y - 
            2 $CellContext`y^2], $CellContext`f3 -> 
          TraditionalForm[-$CellContext`x^4 + 
            4 $CellContext`x $CellContext`y - $CellContext`y^4], \
$CellContext`f4 -> 
          TraditionalForm[-$CellContext`x^2 + Rational[3, 4] $CellContext`y^2 + 
            Rational[1, 24] $CellContext`y^3 + 
            Rational[-1, 32] $CellContext`y^4]}, ControlType -> PopupMenu}}, 
      "Options" :> {
       ControlPlacement -> {Top, Right}, TrackedSymbols -> Manipulate}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{580., {278., 283.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`fcn$$ -> $CellContext`f1, \
$CellContext`xmin = -5; $CellContext`xmax = 
        5; $CellContext`ymin = -5; $CellContext`ymax = 
        5; $CellContext`umin = -4; $CellContext`umax = 
        4; $CellContext`vmin = -4; $CellContext`vmax = 
        4; $CellContext`zmin = -4; $CellContext`zmax = 4}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->289695728],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Saddle Points and Inflection Points",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SaddlePointsAndInflectionPoints/"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/SaddlePointsAndInflectionPoints/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/SaddlePointsAndInflectionPoints/\
",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SaddlePointsAndInflectionPoints/"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/SaddlePointsAndInflectionPoints/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Soledad M\.aa S\[AAcute]ez Mart\[IAcute]nez",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%\
E1ez+Mart%EDnez"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Soledad+M%AA+S%E1ez+\
Mart%EDnez"],
 " and ",
 ButtonBox["F\[EAcute]lix Mart\[IAcute]nez de la Rosa",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%\
EDnez+de+la+Rosa"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=F%E9lix+Mart%EDnez+\
de+la+Rosa"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
SaddlePointsAndInflectionPoints"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{760, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Saddle Points and Inflection Points - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 227, 4, 70, "Section"],
Cell[820, 29, 26802, 672, 70, "Input",
 CellID->35710763]
}, Open  ]],
Cell[27637, 704, 13373, 269, 70, "Output",
 CellID->289695728],
Cell[CellGroupData[{
Cell[41035, 977, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[41411, 988, 987, 29, 70, "Text"],
Cell[42401, 1019, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[42741, 1030, 818, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[43584, 1058, 829, 24, 70, "Text"],
Cell[44416, 1084, 1207, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature rQj3vE6QjcdPiBpMpjBqLWH3 *)
