(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     21933,        664]
NotebookOptionsPosition[     20701,        618]
NotebookOutlinePosition[     21308,        642]
CellTagsIndexPosition[     21265,        639]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["2D Root Systems", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"rs", "[", "\"\<g2\>\"", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SqrtBox["2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["3", 
         SqrtBox["2"]]}], ",", 
       SqrtBox[
        FractionBox["3", "2"]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["3", 
          SqrtBox["2"]]}], "+", 
        SqrtBox["2"]}], ",", 
       SqrtBox[
        FractionBox["3", "2"]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["3", 
          SqrtBox["2"]]}], "+", 
        RowBox[{"2", " ", 
         SqrtBox["2"]}]}], ",", 
       SqrtBox[
        FractionBox["3", "2"]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["3", 
          SqrtBox["2"]]}], "+", 
        RowBox[{"3", " ", 
         SqrtBox["2"]}]}], ",", 
       SqrtBox[
        FractionBox["3", "2"]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       SqrtBox["6"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        SqrtBox["2"]}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["3", 
        SqrtBox["2"]], ",", 
       RowBox[{"-", 
        SqrtBox[
         FractionBox["3", "2"]]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["3", 
         SqrtBox["2"]], "-", 
        SqrtBox["2"]}], ",", 
       RowBox[{"-", 
        SqrtBox[
         FractionBox["3", "2"]]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["3", 
         SqrtBox["2"]], "-", 
        RowBox[{"2", " ", 
         SqrtBox["2"]}]}], ",", 
       RowBox[{"-", 
        SqrtBox[
         FractionBox["3", "2"]]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["3", 
         SqrtBox["2"]], "-", 
        RowBox[{"3", " ", 
         SqrtBox["2"]}]}], ",", 
       RowBox[{"-", 
        SqrtBox[
         FractionBox["3", "2"]]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", 
        SqrtBox["6"]}]}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rs", "[", "\"\<b2\>\"", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SqrtBox["2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        SqrtBox["2"]}], ",", 
       SqrtBox["2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       SqrtBox["2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SqrtBox["2"], ",", 
       SqrtBox["2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        SqrtBox["2"]}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SqrtBox["2"], ",", 
       RowBox[{"-", 
        SqrtBox["2"]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", 
        SqrtBox["2"]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        SqrtBox["2"]}], ",", 
       RowBox[{"-", 
        SqrtBox["2"]}]}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rs", "[", "\"\<a2\>\"", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SqrtBox["2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", 
         SqrtBox["2"]]}], ",", 
       SqrtBox[
        FractionBox["3", "2"]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", 
          SqrtBox["2"]]}], "+", 
        SqrtBox["2"]}], ",", 
       SqrtBox[
        FractionBox["3", "2"]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        SqrtBox["2"]}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", 
        SqrtBox["2"]], ",", 
       RowBox[{"-", 
        SqrtBox[
         FractionBox["3", "2"]]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", 
         SqrtBox["2"]], "-", 
        SqrtBox["2"]}], ",", 
       RowBox[{"-", 
        SqrtBox[
         FractionBox["3", "2"]]}]}], "}"}]}], "}"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{3.35696210375764*^9, 3.384181945412532*^9},
 CellID->12511793],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"WeylReflection", "[", "v_", "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"w", "=", 
       RowBox[{"Normalize", "[", "v", "]"}]}], "}"}], ",", 
     RowBox[{"Function", "[", 
      RowBox[{"#", "-", 
       RowBox[{"2", 
        RowBox[{"(", 
         RowBox[{"#", ".", "w"}], ")"}], " ", "w"}]}], "]"}]}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{3.35696210375764*^9, 3.384181945412532*^9},
 CellID->131177616],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Dashed", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"Cross", "[", "pt", "]"}]}], ",", 
            RowBox[{"Cross", "[", "pt", "]"}]}], "}"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Yellow", ",", 
         RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"Take", "[", 
           RowBox[{
            RowBox[{"rs", "[", "type", "]"}], ",", "2"}], "]"}], "]"}]}], 
        "}"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"Together", "[", 
             RowBox[{
              RowBox[{"Norm", "[", "#", "]"}], "^", "2"}], "]"}], "/.", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"2", "\[Rule]", "Black"}], ",", 
              RowBox[{"4", "\[Rule]", "Blue"}], ",", 
              RowBox[{"6", "\[Rule]", "Orange"}]}], "}"}]}], ",", 
           RowBox[{"Arrow", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", "#"}], "}"}], "]"}]}], 
          "}"}], "&"}], "/@", " ", 
        RowBox[{"rs", "[", "type", "]"}]}], ",", 
       RowBox[{"If", "[", 
        RowBox[{"show", ",", 
         RowBox[{"{", 
          RowBox[{"Dotted", ",", 
           RowBox[{
            RowBox[{
             RowBox[{"Arrow", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", "#"}], "}"}], "]"}], 
             "&"}], "/@", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"WeylReflection", "[", "pt", "]"}], "/@", 
              RowBox[{"rs", "[", "type", "]"}]}], ")"}]}]}], "}"}], ",", 
         RowBox[{"{", "}"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"type", ",", "\"\<g2\>\"", ",", "\"\<lattice type:\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
       "\"\<a2\>\"", "\[Rule]", 
        "\"\<\!\(\*SubscriptBox[\(A\), \(2\)]\)\>\""}], ",", 
       RowBox[{
       "\"\<b2\>\"", "\[Rule]", 
        "\"\<\!\(\*SubscriptBox[\(B\), \(2\)]\)\>\""}], ",", 
       RowBox[{
       "\"\<g2\>\"", "\[Rule]", 
        "\"\<\!\(\*SubscriptBox[\(G\), \(2\)]\)\>\""}]}], "}"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Row\>\""}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Blue", ",", "Larger"}], "}"}]}]}], "}"}], ",", "Delimiter", 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"show", ",", "False", ",", "\"\<show reflected roots\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pt", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", "Locator"}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3841740425303564`*^9, 3.3841740490928144`*^9}, {
   3.3841740853113327`*^9, 3.384174085936329*^9}, {3.384174984203684*^9, 
   3.384174990188097*^9}, {3.384181929287635*^9, 3.3841819636155405`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`pt$$ = {-2, 
     0.9300000000000002}, $CellContext`show$$ = False, $CellContext`type$$ = 
    "g2", Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`type$$], "g2", "lattice type:"}, {
      "a2" -> "\!\(\*SubscriptBox[\(A\), \(2\)]\)", "b2" -> 
       "\!\(\*SubscriptBox[\(B\), \(2\)]\)", "g2" -> 
       "\!\(\*SubscriptBox[\(G\), \(2\)]\)"}}, {{
       Hold[$CellContext`show$$], False, "show reflected roots"}, {
      True, False}}, {{
       Hold[$CellContext`pt$$], {1, 1}}, {-2, -2}, {2, 2}}}, 
    Typeset`size$$ = {360., {178., 182.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`type$63668$$ = 0, $CellContext`show$63669$$ = 
    False, $CellContext`pt$63670$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`pt$$ = {1, 1}, $CellContext`show$$ = 
        False, $CellContext`type$$ = "g2"}, "ControllerVariables" :> {
        Hold[$CellContext`type$$, $CellContext`type$63668$$, 0], 
        Hold[$CellContext`show$$, $CellContext`show$63669$$, False], 
        Hold[$CellContext`pt$$, $CellContext`pt$63670$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{{Dashed, 
          Line[{-Cross[$CellContext`pt$$], 
            Cross[$CellContext`pt$$]}]}, {Yellow, 
          PointSize[0.02], 
          Point[
           Take[
            $CellContext`rs[$CellContext`type$$], 2]]}, 
         Map[{
           ReplaceAll[
            Together[Norm[#]^2], {2 -> Black, 4 -> Blue, 6 -> Orange}], 
           Arrow[{{0, 0}, #}]}& , 
          $CellContext`rs[$CellContext`type$$]], 
         If[$CellContext`show$$, {Dotted, 
           Map[Arrow[{{0, 0}, #}]& , 
            Map[
             $CellContext`WeylReflection[$CellContext`pt$$], 
             $CellContext`rs[$CellContext`type$$]]]}, {}]}, 
        PlotRange -> {{-3, 3}, {-3, 3}}], 
      "Specifications" :> {{{$CellContext`type$$, "g2", "lattice type:"}, {
         "a2" -> "\!\(\*SubscriptBox[\(A\), \(2\)]\)", "b2" -> 
          "\!\(\*SubscriptBox[\(B\), \(2\)]\)", "g2" -> 
          "\!\(\*SubscriptBox[\(G\), \(2\)]\)"}, Appearance -> "Row", 
         BaseStyle -> {
           RGBColor[0, 0, 1], Larger}}, 
        Delimiter, {{$CellContext`show$$, False, "show reflected roots"}, {
         True, False}}, {{$CellContext`pt$$, {1, 1}}, {-2, -2}, {2, 2}, 
         ControlType -> Locator}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{404., {238., 243.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`rs["a2"] = {{
           Sqrt[2], 0}, {-(1/Sqrt[2]), 
           Sqrt[3/2]}, {-(1/Sqrt[2]) + Sqrt[2], 
           Sqrt[3/2]}, {-Sqrt[2], 0}, {1/Sqrt[2], -Sqrt[3/2]}, {
          1/Sqrt[2] - Sqrt[2], -Sqrt[3/2]}}, $CellContext`rs["b2"] = {{
           Sqrt[2], 0}, {-Sqrt[2], 
           Sqrt[2]}, {0, 
           Sqrt[2]}, {
           Sqrt[2], 
           Sqrt[2]}, {-Sqrt[2], 0}, {
           Sqrt[2], -Sqrt[2]}, {
          0, -Sqrt[2]}, {-Sqrt[2], -Sqrt[2]}}, $CellContext`rs["g2"] = {{
           Sqrt[2], 0}, {(-3)/Sqrt[2], 
           Sqrt[3/2]}, {(-3)/Sqrt[2] + Sqrt[2], 
           Sqrt[3/2]}, {(-3)/Sqrt[2] + 2 Sqrt[2], 
           Sqrt[3/2]}, {(-3)/Sqrt[2] + 3 Sqrt[2], 
           Sqrt[3/2]}, {0, 
           Sqrt[6]}, {-Sqrt[2], 0}, {3/Sqrt[2], -Sqrt[3/2]}, {
          3/Sqrt[2] - Sqrt[2], -Sqrt[3/2]}, {
          3/Sqrt[2] - 2 Sqrt[2], -Sqrt[3/2]}, {
          3/Sqrt[2] - 3 Sqrt[2], -Sqrt[3/2]}, {
          0, -Sqrt[6]}}, $CellContext`WeylReflection[
          Pattern[$CellContext`v, 
           Blank[]]] := 
        With[{$CellContext`w = Normalize[$CellContext`v]}, # - (2 
           Dot[#, $CellContext`w]) $CellContext`w& ]}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{{
          
          HoldComplete[$CellContext`rs[
             "g2"] = {{
              2^Rational[1, 2], 0}, {-(3/2^Rational[1, 2]), (3/2)^
               Rational[1, 2]}, {-(3/2^Rational[1, 2]) + 
               2^Rational[1, 2], (3/2)^
               Rational[1, 2]}, {-(3/2^Rational[1, 2]) + 
               2 2^Rational[1, 2], (3/2)^
               Rational[1, 2]}, {-(3/2^Rational[1, 2]) + 
               3 2^Rational[1, 2], (3/2)^Rational[1, 2]}, {
              0, 6^Rational[1, 2]}, {-2^Rational[1, 2], 0}, {
              3/2^Rational[1, 2], -(3/2)^Rational[1, 2]}, {
              3/2^Rational[1, 2] - 2^Rational[1, 2], -(3/2)^Rational[1, 2]}, {
              3/2^Rational[1, 2] - 2 
               2^Rational[1, 2], -(3/2)^Rational[1, 2]}, {
              3/2^Rational[1, 2] - 3 
               2^Rational[1, 2], -(3/2)^Rational[1, 2]}, {
              0, -6^Rational[1, 2]}}; Null], 
          HoldComplete[Null], 
          
          HoldComplete[$CellContext`rs[
             "b2"] = {{
              2^Rational[1, 2], 0}, {-2^Rational[1, 2], 2^Rational[1, 2]}, {
              0, 2^Rational[1, 2]}, {
              2^Rational[1, 2], 2^Rational[1, 2]}, {-2^Rational[1, 2], 0}, {
              2^Rational[1, 2], -2^Rational[1, 2]}, {
              0, -2^Rational[1, 2]}, {-2^Rational[1, 2], -2^Rational[1, 2]}}; 
           Null], 
          HoldComplete[Null], 
          
          HoldComplete[$CellContext`rs[
             "a2"] = {{
              2^Rational[1, 2], 0}, {-(1/2^Rational[1, 2]), (3/2)^
               Rational[1, 2]}, {-(1/2^Rational[1, 2]) + 
               2^Rational[1, 2], (3/2)^Rational[1, 2]}, {-2^Rational[1, 2], 
               0}, {1/2^Rational[1, 2], -(3/2)^Rational[1, 2]}, {
              1/2^Rational[1, 2] - 2^Rational[1, 2], -(3/2)^Rational[1, 2]}}; 
           Null]}, $CellContext`WeylReflection[
            Pattern[$CellContext`v, 
             Blank[]]] := 
          With[{$CellContext`w = Normalize[$CellContext`v]}, # - 2 
            Dot[#, $CellContext`w] $CellContext`w& ]; Null}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->177398575],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["2D Root Systems",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/2DRootSystems/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/2DRootSystems/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/2DRootSystems/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/2DRootSystems/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/2DRootSystems/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Oleksandr Pavlyk",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Oleksandr+\
Pavlyk"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Oleksandr+Pavlyk"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->54419200],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
2DRootSystems"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"2D Root Systems - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 207, 4, 70, "Section"],
Cell[800, 29, 4542, 177, 70, "Input",
 InitializationCell->True,
 CellID->12511793],
Cell[5345, 208, 532, 17, 70, "Input",
 InitializationCell->True,
 CellID->131177616],
Cell[5880, 227, 3991, 115, 70, "Input"]
}, Open  ]],
Cell[9886, 345, 6679, 139, 70, "Output",
 CellID->177398575],
Cell[CellGroupData[{
Cell[16590, 488, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16966, 499, 857, 24, 70, "Text"],
Cell[17826, 525, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[18166, 536, 461, 15, 70, "Text",
 CellID->54419200],
Cell[CellGroupData[{
Cell[18652, 555, 829, 24, 70, "Text"],
Cell[19484, 581, 1189, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature fRNYznUNgTetUApiIdffk9Fv *)
