(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     36728,        933]
NotebookOptionsPosition[     35607,        891]
NotebookOutlinePosition[     36215,        915]
CellTagsIndexPosition[     36172,        912]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Bisection Method", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"quad", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"x", "^", "2"}], "-", "2"}], ")"}], "/", "2"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cos", "[", "x_", "]"}], ":=", 
   RowBox[{"Cos", "[", "x", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"expo", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Exp", "[", "x", "]"}], "-", "2", "-", "x"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cube", "[", "x_", "]"}], ":=", 
   RowBox[{"10", 
    RowBox[{"(", 
     RowBox[{"x", "-", "1.1"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"x", "-", "0.8"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"x", "-", "0.6"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plotoptions", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "2.5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", " ", 
     RowBox[{"PlotRangePadding", "\[Rule]", "0.25"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "400"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bisec", "[", 
   RowBox[{"f_", ",", 
    RowBox[{"{", 
     RowBox[{"a_", ",", "b_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"f", "[", "a", "]"}], 
      RowBox[{"f", "[", "b", "]"}]}], "\[LessEqual]", "0"}], ",", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"f", "[", 
         FractionBox[
          RowBox[{"a", "+", "b"}], "2"], "]"}], 
        RowBox[{"f", "[", "a", "]"}]}], "\[LessEqual]", "0"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", 
        FractionBox[
         RowBox[{"a", "+", "b"}], "2"]}], "}"}], ",", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"f", "[", 
           FractionBox[
            RowBox[{"a", "+", "b"}], "2"], "]"}], 
          RowBox[{"f", "[", "b", "]"}]}], "<", "0"}], ",", 
        RowBox[{"{", 
         RowBox[{
          FractionBox[
           RowBox[{"a", "+", "b"}], "2"], ",", "b"}], " ", "}"}]}], "]"}]}], 
     "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"linie", "[", 
    RowBox[{"f_", ",", 
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_"}], "}"}], ",", "1"}], "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Min", "[", 
      RowBox[{"a", ",", "b"}], "]"}], ",", 
     RowBox[{"Max", "[", 
      RowBox[{"a", ",", "b"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"linie", "[", 
   RowBox[{"f_", ",", 
    RowBox[{"{", 
     RowBox[{"a_", ",", "b_"}], "}"}], ",", "n_"}], "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"f", "[", "a", "]"}], 
      RowBox[{"f", "[", "b", "]"}]}], "\[LessEqual]", "0"}], ",", 
    RowBox[{"bisec", "[", 
     RowBox[{"f", ",", 
      RowBox[{"linie", "[", 
       RowBox[{"f", ",", 
        RowBox[{"{", 
         RowBox[{"a", ",", "b"}], "}"}], ",", 
        RowBox[{"n", "-", "1"}]}], "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"intervalle", "[", 
    RowBox[{"f_", ",", 
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_"}], "}"}], ",", "nn_"}], "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"linie", "[", 
           RowBox[{"f", ",", 
            RowBox[{"{", 
             RowBox[{"a", ",", "b"}], "}"}], ",", "i"}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"-", "i"}], "/", "30"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"linie", "[", 
           RowBox[{"f", ",", 
            RowBox[{"{", 
             RowBox[{"a", ",", "b"}], "}"}], ",", "i"}], "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"-", "i"}], "/", "30"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "nn"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vertline", "[", "a_", "]"}], ":=", 
  RowBox[{"Line", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "1"}], "}"}]}], "}"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl", "[", 
   RowBox[{"f_", ",", 
    RowBox[{"{", 
     RowBox[{"a_", ",", "b_"}], "}"}], ",", "n_"}], "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"f", "[", "a", "]"}], 
      RowBox[{"f", "[", "b", "]"}]}], "<=", "0"}], ",", 
    RowBox[{"Row", "[", 
     RowBox[{"{", 
      RowBox[{"\"\<current interval: [\>\"", ",", 
       RowBox[{
        RowBox[{"linie", "[", 
         RowBox[{"f", ",", 
          RowBox[{"{", 
           RowBox[{"a", ",", "b"}], "}"}], ",", "n"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<, \>\"", ",", 
       RowBox[{
        RowBox[{"linie", "[", 
         RowBox[{"f", ",", 
          RowBox[{"{", 
           RowBox[{"a", ",", "b"}], "}"}], ",", "n"}], "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}], " ", ",", "\"\<]\>\""}], "}"}], "]"}],
     ",", 
    RowBox[{"Row", "[", 
     RowBox[{"{", "\"\<no sign change in current interval\>\"", "}"}], 
     "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4096684769644003`*^9, 3.4096685523436003`*^9}, 
   3.4096689484276*^9, {3.4096695332584*^9, 3.409669534054*^9}, {
   3.409669570289*^9, 3.4096696085246*^9}, {3.4096696442818003`*^9, 
   3.4096696473394003`*^9}, {3.4096704586132*^9, 3.4096705344916*^9}, {
   3.4096714557321997`*^9, 3.4096715477118*^9}, {3.4096715980248003`*^9, 
   3.4096716108168*^9}, {3.4096716981702003`*^9, 3.4096716984354*^9}, {
   3.4096719561554003`*^9, 3.4096719576842003`*^9}, {3.4096720503118*^9, 
   3.4096720553506002`*^9}, {3.4096724914098*^9, 3.4096725320634003`*^9}, {
   3.409731754590375*^9, 3.409731803792775*^9}, {3.409731936725375*^9, 
   3.409731941108975*^9}, {3.409731991028975*^9, 3.409732005864575*^9}, {
   3.409732103660975*^9, 3.409732104128975*^9}, {3.409732196434175*^9, 
   3.409732243546175*^9}, {3.409732276040975*^9, 3.409732276290575*^9}, {
   3.409733056197975*^9, 3.409733057804775*^9}, {3.409742526606*^9, 
   3.409742526959*^9}, {3.409743260376*^9, 3.409743263646*^9}, 
   3.4097434072390003`*^9, {3.409743667527*^9, 3.4097437123710003`*^9}, {
   3.40974506871*^9, 3.409745093986*^9}, {3.40974593692*^9, 
   3.409745942086*^9}, {3.4097459768129997`*^9, 3.4097459851949997`*^9}, 
   3.4098576624375*^9, {3.4100100757201824`*^9, 3.4100100885277824`*^9}, {
   3.4100104986101823`*^9, 3.4100104996709824`*^9}, {3.4100105715557823`*^9, 
   3.410010627918582*^9}, {3.4100106718199825`*^9, 3.410010673239582*^9}, {
   3.410010734407182*^9, 3.410010755794782*^9}, {3.410010787462782*^9, 
   3.410010791253582*^9}, {3.410010836524782*^9, 3.4100110577327824`*^9}, {
   3.410011221232582*^9, 3.410011226895382*^9}, {3.410011552596182*^9, 
   3.410011570068182*^9}, {3.4100116577089825`*^9, 3.410011678472582*^9}, {
   3.410011719986182*^9, 3.410011729065382*^9}, {3.4100117809393826`*^9, 
   3.410011785338582*^9}, {3.410011821000182*^9, 3.4100118277861824`*^9}, 
   3.410098565665603*^9},
 CellID->8435259],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"f", "[", "x", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0", ",", "2.5"}], "}"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"Thickness", "[", "0.005", "]"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"Thickness", "[", "0.001", "]"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"Thickness", "[", "0.001", "]"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"Thickness", "[", "0.001", "]"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"Thickness", "[", "0.001", "]"}], "}"}]}], "}"}]}], ",", 
         
         RowBox[{"Evaluate", "[", "plotoptions", "]"}], ",", 
         RowBox[{"Filling", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"1", "\[Rule]", "Axis"}], "}"}]}], ",", 
         RowBox[{"PlotLabel", " ", "\[Rule]", 
          RowBox[{"pl", "[", 
           RowBox[{"f", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"aP", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", 
              RowBox[{"bP", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ",", "nn"}], " ", 
           "]"}]}]}], "]"}], ",", " ", "\[IndentingNewLine]", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{"Red", ",", 
          RowBox[{"Map", "[", 
           RowBox[{"Line", ",", 
            RowBox[{"intervalle", "[", 
             RowBox[{"f", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"aP", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", 
                RowBox[{"bP", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ",", "nn"}], 
             "]"}]}], "]"}]}], " ", "}"}], " ", "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{"Dashed", ",", 
          RowBox[{"Map", "[", 
           RowBox[{"vertline", ",", 
            RowBox[{"linie", "[", 
             RowBox[{"f", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"aP", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", 
                RowBox[{"bP", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ",", "nn"}], 
             "]"}]}], "]"}]}], "  ", "}"}], "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "375"}], "}"}]}]}], "\[IndentingNewLine]", "]"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", "quad", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
       "quad", "\[Rule]", 
        "\"\<\!\(\*FractionBox[SuperscriptBox[\(x\), \(2\)], \
\(2\)]\)-1\>\""}], ",", 
       RowBox[{"cos", "\[Rule]", "\"\<cos(x)\>\""}], ",", 
       RowBox[{
       "expo", "\[Rule]", 
        "\"\<\!\(\*SuperscriptBox[\(\[ExponentialE]\), \(x\)]\)-2-x\>\""}], 
       ",", " ", 
       RowBox[{"cube", "\[Rule]", "\"\<10(x-1.1)(x-0.8)(x-0.6)\>\""}]}], 
      "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"aP", ",", 
       RowBox[{"{", 
        RowBox[{"0.5", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2.5", ",", "0"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<|\>\"", ",", "20", ",", "Bold", ",", "Red"}], "]"}]}]}], 
    "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"bP", ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "    ", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2.5", ",", "0"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<|\>\"", ",", "20", ",", "Bold", ",", "Red"}], "]"}]}]}], 
    "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "\"\<iteration step\>\""}], "}"}], ",", 
     "1", ",", "12", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4096686434164*^9, 3.4096686984063997`*^9, {
   3.4096687945648003`*^9, 3.4096688428*^9}, {3.409668910894*^9, 
   3.4096689302848*^9}, {3.409669041466*^9, 3.4096690841008*^9}, {
   3.409669207918*^9, 3.4096692717922*^9}, {3.4096693070014*^9, 
   3.4096693365634003`*^9}, {3.4096695211216*^9, 3.4096695488078003`*^9}, {
   3.4096696721278*^9, 3.4096697191482*^9}, {3.4096697953934*^9, 
   3.4096697982014*^9}, {3.4096699517366*^9, 3.409670026991*^9}, {
   3.4096701209342003`*^9, 3.4096701646454*^9}, 3.4096706467335997`*^9, {
   3.4096707557152*^9, 3.4096707706132*^9}, {3.4096708179748*^9, 
   3.4096708537768*^9}, {3.4096710052060003`*^9, 3.4096710106191998`*^9}, {
   3.4096711106932*^9, 3.409671124624*^9}, {3.4096713633266*^9, 
   3.4096713677102003`*^9}, {3.4096714231282*^9, 3.4096714310374002`*^9}, {
   3.4096715749056*^9, 3.409671577854*^9}, {3.4096716449118*^9, 
   3.4096716507306004`*^9}, {3.4096716904482*^9, 3.4096716928974*^9}, {
   3.4096717291275997`*^9, 3.4096717293616*^9}, {3.4096717853042*^9, 
   3.4096717895006*^9}, {3.4096718256614*^9, 3.4096718424158*^9}, {
   3.4096720819254*^9, 3.4096720848426*^9}, {3.4096721782242002`*^9, 
   3.4096721783802*^9}, {3.4096724166233997`*^9, 3.4096724415834*^9}, {
   3.409732050371375*^9, 3.4097320506365747`*^9}, {3.409732083833375*^9, 
   3.409732096406975*^9}, {3.409732150258175*^9, 3.409732150476575*^9}, {
   3.409732952066975*^9, 3.409732952316575*^9}, {3.409733086056375*^9, 
   3.409733086243575*^9}, {3.409733160312375*^9, 3.409733211636375*^9}, {
   3.409733326171575*^9, 3.409733339512575*^9}, {3.409733517725175*^9, 
   3.4097336107011747`*^9}, {3.4097336492271748`*^9, 
   3.4097336670021753`*^9}, {3.409733729514175*^9, 3.4097337692341747`*^9}, {
   3.409733827461175*^9, 3.409733864671175*^9}, {3.4097339558141747`*^9, 
   3.409734015764175*^9}, {3.409734062302175*^9, 3.409734137316175*^9}, {
   3.409734218712175*^9, 3.409734220084175*^9}, {3.409734309985175*^9, 
   3.409734312280175*^9}, {3.4097345097481747`*^9, 3.409734526071175*^9}, {
   3.409734887605*^9, 3.409734900715*^9}, {3.409734940712*^9, 
   3.409735013028*^9}, {3.409735058745*^9, 3.4097350739849997`*^9}, {
   3.409735104975*^9, 3.409735202811*^9}, 3.409742288663*^9, {
   3.4097423636610003`*^9, 3.409742372766*^9}, {3.409742414451*^9, 
   3.4097424324189997`*^9}, {3.409742511106*^9, 3.4097425128050003`*^9}, {
   3.40974258305*^9, 3.409742628828*^9}, 3.4097427808640003`*^9, {
   3.409743081631*^9, 3.409743110481*^9}, 3.409743466151*^9, {
   3.409743520579*^9, 3.409743537639*^9}, {3.4097435752320004`*^9, 
   3.409743585957*^9}, {3.4097437794440002`*^9, 3.4097438027320004`*^9}, {
   3.409743834574*^9, 3.40974385969*^9}, 3.4097442898529997`*^9, {
   3.409744359808*^9, 3.409744363152*^9}, {3.409744400413*^9, 
   3.40974440413*^9}, {3.409744472224*^9, 3.409744472778*^9}, {
   3.409745220382*^9, 3.4097452657460003`*^9}, {3.4097453484709997`*^9, 
   3.409745366774*^9}, {3.409745401674*^9, 3.409745457666*^9}, {
   3.409745624217*^9, 3.40974565801*^9}, {3.40985766865625*^9, 
   3.409857854265625*^9}, {3.409858110765625*^9, 3.409858113609375*^9}, {
   3.40985815490625*^9, 3.409858157578125*^9}, {3.4100088426337824`*^9, 
   3.4100088432109823`*^9}, {3.4100091288001823`*^9, 
   3.4100092923037825`*^9}, {3.4100093289949822`*^9, 3.410009332005782*^9}, {
   3.410009394842582*^9, 3.4100094104893823`*^9}, 3.4100094565873823`*^9, {
   3.410010502775382*^9, 3.410010518999382*^9}, {3.410011082993182*^9, 
   3.410011138685182*^9}, {3.4100112327765822`*^9, 3.4100112856449823`*^9}, {
   3.410011344690982*^9, 3.410011346094982*^9}, {3.4100114439245825`*^9, 
   3.4100114906309824`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`aP$$ = {0.5, 0}, $CellContext`bP$$ = {2, 
    0}, $CellContext`f$$ = $CellContext`quad, $CellContext`nn$$ = 1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`f$$], $CellContext`quad, ""}, {$CellContext`quad -> 
       "\!\(\*FractionBox[SuperscriptBox[\(x\), \(2\)], \(2\)]\)-1", \
$CellContext`cos -> "cos(x)", $CellContext`expo -> 
       "\!\(\*SuperscriptBox[\(\[ExponentialE]\), \(x\)]\)-2-x", \
$CellContext`cube -> "10(x-1.1)(x-0.8)(x-0.6)"}}, {{
       Hold[$CellContext`aP$$], {0.5, 0}}, {0, 0}, {2.5, 0}}, {{
       Hold[$CellContext`bP$$], {2, 0}}, {0, 0}, {2.5, 0}}, {{
       Hold[$CellContext`nn$$], 1, "iteration step"}, 1, 12, 1}}, 
    Typeset`size$$ = {500., {185., 190.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`f$191403$$ = False, $CellContext`aP$191404$$ = {0, 
    0}, $CellContext`bP$191405$$ = {0, 0}, $CellContext`nn$191406$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`aP$$ = {0.5, 0}, $CellContext`bP$$ = {2, 
         0}, $CellContext`f$$ = $CellContext`quad, $CellContext`nn$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`f$$, $CellContext`f$191403$$, False], 
        Hold[$CellContext`aP$$, $CellContext`aP$191404$$, {0, 0}], 
        Hold[$CellContext`bP$$, $CellContext`bP$191405$$, {0, 0}], 
        Hold[$CellContext`nn$$, $CellContext`nn$191406$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[{
         Plot[
          $CellContext`f$$[$CellContext`x], {$CellContext`x, 0, 2.5}, 
          PlotStyle -> {{
             Thickness[0.005]}, {
             Thickness[0.001]}, {
             Thickness[0.001]}, {
             Thickness[0.001]}, {
             Thickness[0.001]}}, 
          Evaluate[$CellContext`plotoptions], Filling -> {1 -> Axis}, 
          PlotLabel -> $CellContext`pl[$CellContext`f$$, {
             Part[$CellContext`aP$$, 1], 
             Part[$CellContext`bP$$, 1]}, $CellContext`nn$$]], 
         Graphics[{Red, 
           Map[Line, 
            $CellContext`intervalle[$CellContext`f$$, {
              Part[$CellContext`aP$$, 1], 
              Part[$CellContext`bP$$, 1]}, $CellContext`nn$$]]}], 
         Graphics[{Dashed, 
           Map[$CellContext`vertline, 
            $CellContext`linie[$CellContext`f$$, {
              Part[$CellContext`aP$$, 1], 
              Part[$CellContext`bP$$, 1]}, $CellContext`nn$$]]}]}, 
        ImageSize -> {500, 375}], 
      "Specifications" :> {{{$CellContext`f$$, $CellContext`quad, 
          ""}, {$CellContext`quad -> 
          "\!\(\*FractionBox[SuperscriptBox[\(x\), \(2\)], \(2\)]\)-1", \
$CellContext`cos -> "cos(x)", $CellContext`expo -> 
          "\!\(\*SuperscriptBox[\(\[ExponentialE]\), \(x\)]\)-2-x", \
$CellContext`cube -> "10(x-1.1)(x-0.8)(x-0.6)"}, ControlType -> 
         RadioButtonBar, ControlPlacement -> 
         Top}, {{$CellContext`aP$$, {0.5, 0}}, {0, 0}, {2.5, 0}, ControlType -> 
         Locator, Appearance -> Style["|", 20, Bold, 
           RGBColor[1, 0, 0]]}, {{$CellContext`bP$$, {2, 0}}, {0, 0}, {
         2.5, 0}, ControlType -> Locator, Appearance -> Style["|", 20, Bold, 
           RGBColor[1, 0, 0]]}, {{$CellContext`nn$$, 1, "iteration step"}, 1, 
         12, 1, Appearance -> "Labeled"}}, 
      "Options" :> {TrackedSymbols -> Manipulate}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {243., 248.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`plotoptions = {
         PlotRange -> {{0, 2.5}, {-1, 1}}, PlotRangePadding -> 0.25, 
          AspectRatio -> Automatic, ImageSize -> 400}, 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`pl[
          Pattern[$CellContext`f, 
           Blank[]], {
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]}, 
          Pattern[$CellContext`n, 
           Blank[]]] := 
        If[$CellContext`f[$CellContext`a] $CellContext`f[$CellContext`b] <= 0,
           
          Row[{"current interval: [", 
            Part[
             $CellContext`linie[$CellContext`f, {$CellContext`a, \
$CellContext`b}, $CellContext`n], 1], ", ", 
            Part[
             $CellContext`linie[$CellContext`f, {$CellContext`a, \
$CellContext`b}, $CellContext`n], 2], "]"}], 
          Row[{"no sign change in current interval"}]], $CellContext`pl[
          Pattern[$CellContext`f$, 
           Blank[]], {
           Pattern[$CellContext`a$, 
            Blank[]], 
           Pattern[$CellContext`b$, 
            Blank[]]}] := 
        If[$CellContext`f$[$CellContext`a$] $CellContext`f$[$CellContext`b$] <= 
          0, 
          Row[{"current interval: [", 
            Part[
             $CellContext`linie[$CellContext`f$, {$CellContext`a$, \
$CellContext`b$}, FE`nn$$141], 1], ", ", 
            Part[
             $CellContext`linie[$CellContext`f$, {$CellContext`a$, \
$CellContext`b$}, FE`nn$$141], 2], " ]"}], 
          Row[{"no sign change in current interval"}]], $CellContext`linie[
          Pattern[$CellContext`f, 
           Blank[]], {
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]}, 1] = {
          Min[$CellContext`a, $CellContext`b], 
          Max[$CellContext`a, $CellContext`b]}, $CellContext`linie[
          Pattern[$CellContext`f, 
           Blank[]], {
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]}, 
          Pattern[$CellContext`n, 
           Blank[]]] := 
        If[$CellContext`f[$CellContext`a] $CellContext`f[$CellContext`b] <= 
          0, 
          $CellContext`bisec[$CellContext`f, 
           $CellContext`linie[$CellContext`f, {$CellContext`a, \
$CellContext`b}, $CellContext`n - 
            1]], {$CellContext`a, $CellContext`b}], $CellContext`linie[
          Pattern[$CellContext`f$, 
           Blank[]], 1] = {0, 2}, $CellContext`linie[
          Pattern[$CellContext`f, 
           Blank[]], 
          Pattern[$CellContext`n, 
           Blank[]]] := $CellContext`bisec[$CellContext`f, 
          $CellContext`linie[$CellContext`f, $CellContext`n - 
           1]], $CellContext`bisec[
          Pattern[$CellContext`f, 
           Blank[]], {
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]}] := 
        If[$CellContext`f[$CellContext`a] $CellContext`f[$CellContext`b] <= 0,
           
          
          If[$CellContext`f[($CellContext`a + $CellContext`b)/
              2] $CellContext`f[$CellContext`a] <= 
           0, {$CellContext`a, ($CellContext`a + $CellContext`b)/2}, 
           
           If[$CellContext`f[($CellContext`a + $CellContext`b)/
               2] $CellContext`f[$CellContext`b] < 
            0, {($CellContext`a + $CellContext`b)/
             2, $CellContext`b}]], {$CellContext`a, $CellContext`b}], 
        Attributes[$CellContext`f$] = {Temporary}, 
        Attributes[$CellContext`a$] = {Temporary}, 
        Attributes[$CellContext`b$] = {Temporary}, FE`nn$$141 = 
        7, $CellContext`intervalle[
          Pattern[$CellContext`f, 
           Blank[]], {
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]}, 
          Pattern[$CellContext`nn, 
           Blank[]]] := Table[{{
            Part[
             $CellContext`linie[$CellContext`f, {$CellContext`a, \
$CellContext`b}, $CellContext`i], 1], -($CellContext`i/30)}, {
            Part[
             $CellContext`linie[$CellContext`f, {$CellContext`a, \
$CellContext`b}, $CellContext`i], 2], -($CellContext`i/30)}}, {$CellContext`i,
            1, $CellContext`nn}], $CellContext`intervalle[
          Pattern[$CellContext`f, 
           Blank[]], 
          Pattern[$CellContext`nn, 
           Blank[]]] := Table[{{
            Part[
             $CellContext`linie[$CellContext`f, $CellContext`i], 
             1], -($CellContext`i/50)}, {
            Part[
             $CellContext`linie[$CellContext`f, $CellContext`i], 
             2], -($CellContext`i/50)}}, {$CellContext`i, 
           1, $CellContext`nn}], $CellContext`vertline[
          Pattern[$CellContext`a, 
           Blank[]]] := 
        Line[{{$CellContext`a, -1}, {$CellContext`a, 1}}], $CellContext`quad[
          Pattern[$CellContext`x, 
           Blank[]]] := ($CellContext`x^2 - 2)/2, $CellContext`cos[
          Pattern[$CellContext`x, 
           Blank[]]] := Cos[$CellContext`x], $CellContext`expo[
          Pattern[$CellContext`x, 
           Blank[]]] := 
        Exp[$CellContext`x] - 2 - $CellContext`x, $CellContext`cube[
          Pattern[$CellContext`x, 
           Blank[]]] := ((10 ($CellContext`x - 1.1)) ($CellContext`x - 
           0.8)) ($CellContext`x - 0.6)}; Typeset`initDone$$ = True); 
     ReleaseHold[{{
         HoldComplete[$CellContext`quad[
             Pattern[$CellContext`x, 
              Blank[]]] := ($CellContext`x^2 - 2)/2; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`cos[
             Pattern[$CellContext`x, 
              Blank[]]] := Cos[$CellContext`x]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`expo[
             Pattern[$CellContext`x, 
              Blank[]]] := Exp[$CellContext`x] - 2 - $CellContext`x; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`cube[
             Pattern[$CellContext`x, 
              Blank[]]] := 
           10 ($CellContext`x - 1.1) ($CellContext`x - 0.8) ($CellContext`x - 
             0.6); Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`plotoptions = {
            PlotRange -> {{0, 2.5}, {-1, 1}}, PlotRangePadding -> 0.25, 
             AspectRatio -> Automatic, ImageSize -> 400}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`bisec[
            Pattern[$CellContext`f, 
             Blank[]], {
             Pattern[$CellContext`a, 
              Blank[]], 
             Pattern[$CellContext`b, 
              Blank[]]}] := 
          If[$CellContext`f[$CellContext`a] $CellContext`f[$CellContext`b] <= 
            0, 
            
            If[$CellContext`f[($CellContext`a + $CellContext`b)/
                2] $CellContext`f[$CellContext`a] <= 
             0, {$CellContext`a, ($CellContext`a + $CellContext`b)/2}, 
             
             If[$CellContext`f[($CellContext`a + $CellContext`b)/
                 2] $CellContext`f[$CellContext`b] < 
              0, {($CellContext`a + $CellContext`b)/
               2, $CellContext`b}]], {$CellContext`a, $CellContext`b}]], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`linie[
             Pattern[$CellContext`f, 
              Blank[]], {
              Pattern[$CellContext`a, 
               Blank[]], 
              Pattern[$CellContext`b, 
               Blank[]]}, 1] = {
             Min[$CellContext`a, $CellContext`b], 
             Max[$CellContext`a, $CellContext`b]}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`linie[
            Pattern[$CellContext`f, 
             Blank[]], {
             Pattern[$CellContext`a, 
              Blank[]], 
             Pattern[$CellContext`b, 
              Blank[]]}, 
            Pattern[$CellContext`n, 
             Blank[]]] := 
          If[$CellContext`f[$CellContext`a] $CellContext`f[$CellContext`b] <= 
            0, 
            $CellContext`bisec[$CellContext`f, 
             $CellContext`linie[$CellContext`f, {$CellContext`a, \
$CellContext`b}, $CellContext`n - 1]], {$CellContext`a, $CellContext`b}]], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`intervalle[
             Pattern[$CellContext`f, 
              Blank[]], {
              Pattern[$CellContext`a, 
               Blank[]], 
              Pattern[$CellContext`b, 
               Blank[]]}, 
             Pattern[$CellContext`nn, 
              Blank[]]] := Table[{{
               Part[
                $CellContext`linie[$CellContext`f, {$CellContext`a, \
$CellContext`b}, $CellContext`i], 1], (-$CellContext`i)/30}, {
               Part[
                $CellContext`linie[$CellContext`f, {$CellContext`a, \
$CellContext`b}, $CellContext`i], 2], (-$CellContext`i)/30}}, {$CellContext`i,
               1, $CellContext`nn}]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`vertline[
            Pattern[$CellContext`a, 
             Blank[]]] := Line[{{$CellContext`a, -1}, {$CellContext`a, 1}}]], 
         
         HoldComplete[Null], 
         HoldComplete[$CellContext`pl[
            Pattern[$CellContext`f, 
             Blank[]], {
             Pattern[$CellContext`a, 
              Blank[]], 
             Pattern[$CellContext`b, 
              Blank[]]}, 
            Pattern[$CellContext`n, 
             Blank[]]] := 
          If[$CellContext`f[$CellContext`a] $CellContext`f[$CellContext`b] <= 
            0, 
            Row[{"current interval: [", 
              Part[
               $CellContext`linie[$CellContext`f, {$CellContext`a, \
$CellContext`b}, $CellContext`n], 1], ", ", 
              Part[
               $CellContext`linie[$CellContext`f, {$CellContext`a, \
$CellContext`b}, $CellContext`n], 2], "]"}], 
            Row[{"no sign change in current interval"}]]]}}]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->205660092],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Bisection Method",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/BisectionMethod/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/BisectionMethod/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/BisectionMethod/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/BisectionMethod/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/BisectionMethod/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Edda Eich-Soellner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Edda+Eich-\
Soellner"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Edda+Eich-Soellner"],\

 " (University of Applied Sciences, M\[UDoubleDot]nchen, Germany)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->63785195],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
BisectionMethod"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Bisection Method - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 208, 4, 70, "Section"],
Cell[801, 29, 7784, 218, 70, "Input",
 CellID->8435259],
Cell[8588, 249, 8552, 184, 70, "Input"]
}, Open  ]],
Cell[17155, 436, 14227, 319, 70, "Output",
 CellID->205660092],
Cell[CellGroupData[{
Cell[31407, 759, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[31783, 770, 868, 24, 70, "Text"],
Cell[32654, 796, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[32994, 807, 537, 17, 70, "Text",
 CellID->63785195],
Cell[CellGroupData[{
Cell[33556, 828, 829, 24, 70, "Text"],
Cell[34388, 854, 1191, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature aQ4IbPyNDyS2WCTAFTEix84W *)
