(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     57427,       1500]
NotebookOptionsPosition[     56226,       1457]
NotebookOutlinePosition[     56868,       1481]
CellTagsIndexPosition[     56825,       1478]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Finding Roots Using Binary or Interpolation Search", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"quad", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"0.3", "*", 
     RowBox[{"(", 
      RowBox[{"x", "-", "4"}], ")"}], "*", 
     RowBox[{"(", 
      RowBox[{"x", "-", "1"}], ")"}]}], "-", "0.3"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"quad1", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "0.3"}], "*", 
     RowBox[{"(", 
      RowBox[{"x", "-", "4"}], ")"}], "*", 
     RowBox[{"(", 
      RowBox[{"x", "-", "1"}], ")"}]}], "+", "0.2"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cos", "[", "x_", "]"}], ":=", 
   RowBox[{"Cos", "[", 
    RowBox[{"1.5", "*", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"expo", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"2", "*", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", "x"}], "]"}]}], "-", "0.6"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cube", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"x", "-", "1.1"}], ")"}], "^", "3"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.40381608159375*^9, {3.4038919765660133`*^9, 
   3.403891977557276*^9}},
 CellID->856849464],

Cell[BoxData[
 RowBox[{
  RowBox[{"plotoptions", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "2.5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", " ", 
     RowBox[{"PlotRangePadding", "\[Rule]", "0.25"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "400"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.40381608159375*^9, 3.403816082453125*^9}},
 CellID->18055715],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"TrueQ", "[", 
       RowBox[{
        RowBox[{"pt", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ">", 
        RowBox[{"pt2", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p1", ":=", 
         RowBox[{"pt", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ";", 
        RowBox[{"p2", ":=", 
         RowBox[{"pt2", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p2", ":=", 
         RowBox[{"pt", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ";", 
        RowBox[{"p1", ":=", 
         RowBox[{"pt2", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}]}], "]"}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"b", ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"func", "[", "p1", "]"}], "-", 
            RowBox[{"func", "[", "p2", "]"}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"p1", "-", "p2"}], ")"}]}], "*", "p1"}], "-", 
        RowBox[{"func", "[", "p1", "]"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"func", "[", "p1", "]"}], "-", 
          RowBox[{"func", "[", "p2", "]"}]}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"p1", "-", "p2"}], ")"}]}], ")"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"TrueQ", "[", 
       RowBox[{
        RowBox[{"Sign", "[", 
         RowBox[{"func", "[", "b", "]"}], "]"}], "\[Equal]", 
        RowBox[{"Sign", "[", 
         RowBox[{"func", "[", "p1", "]"}], "]"}]}], "]"}], ",", 
      RowBox[{"pp1", ":=", "p2"}], ",", 
      RowBox[{"pp1", ":=", "p1"}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"b1", ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"func", "[", "b", "]"}], "-", 
            RowBox[{"func", "[", "pp1", "]"}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"b", "-", "pp1"}], ")"}]}], "*", "b"}], "-", 
        RowBox[{"func", "[", "b", "]"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"func", "[", "b", "]"}], "-", 
          RowBox[{"func", "[", "pp1", "]"}]}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "pp1"}], ")"}]}], ")"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"TrueQ", "[", 
       RowBox[{
        RowBox[{"Sign", "[", 
         RowBox[{"func", "[", "b1", "]"}], "]"}], "\[Equal]", 
        RowBox[{"Sign", "[", 
         RowBox[{"func", "[", "pp1", "]"}], "]"}]}], "]"}], ",", 
      RowBox[{"pp2", ":=", "b"}], ",", 
      RowBox[{"pp2", ":=", "pp1"}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"b2", ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"func", "[", "b1", "]"}], "-", 
            RowBox[{"func", "[", "pp2", "]"}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"b1", "-", "pp2"}], ")"}]}], "*", "b1"}], "-", 
        RowBox[{"func", "[", "b1", "]"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"func", "[", "b1", "]"}], "-", 
          RowBox[{"func", "[", "pp2", "]"}]}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"b1", "-", "pp2"}], ")"}]}], ")"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"TrueQ", "[", 
       RowBox[{
        RowBox[{"Sign", "[", 
         RowBox[{"func", "[", "b2", "]"}], "]"}], "\[Equal]", 
        RowBox[{"Sign", "[", 
         RowBox[{"func", "[", "pp2", "]"}], "]"}]}], "]"}], ",", 
      RowBox[{"pp3", ":=", "b1"}], ",", 
      RowBox[{"pp3", ":=", "pp2"}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"b3", ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"func", "[", "b2", "]"}], "-", 
            RowBox[{"func", "[", "pp3", "]"}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"b2", "-", "pp3"}], ")"}]}], "*", "b2"}], "-", 
        RowBox[{"func", "[", "b2", "]"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"func", "[", "b2", "]"}], "-", 
          RowBox[{"func", "[", "pp3", "]"}]}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"b2", "-", "pp3"}], ")"}]}], ")"}]}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"p3", ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"p2", "+", "p1"}], ")"}], "/", "2"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"p4", ":=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"TrueQ", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"func", "[", "p3", "]"}], "*", 
          RowBox[{"Sign", "[", 
           RowBox[{
            RowBox[{"func", "'"}], "[", "1", "]"}], "]"}]}], ">", "0"}], 
        "]"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"p3", "+", "p2"}], ")"}], "/", "2"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"p3", "+", "p1"}], ")"}], "/", "2"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"p5", ":=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"TrueQ", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"func", "[", "p3", "]"}], "*", 
          RowBox[{"Sign", "[", 
           RowBox[{
            RowBox[{"func", "'"}], "[", "1", "]"}], "]"}]}], ">", "0"}], 
        "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"TrueQ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"func", "[", "p4", "]"}], "*", 
            RowBox[{"Sign", "[", 
             RowBox[{
              RowBox[{"func", "'"}], "[", "1", "]"}], "]"}]}], ">", "0"}], 
          "]"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"p4", "+", "p2"}], ")"}], "/", "2"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"p4", "+", "p3"}], ")"}], "/", "2"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"TrueQ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"func", "[", "p4", "]"}], "*", 
            RowBox[{"Sign", "[", 
             RowBox[{
              RowBox[{"func", "'"}], "[", "1", "]"}], "]"}]}], ">", "0"}], 
          "]"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"p4", "+", "p3"}], ")"}], "/", "2"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"p4", "+", "p1"}], ")"}], "/", "2"}]}], "]"}]}], 
      "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"p6", ":=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"TrueQ", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"func", "[", "p3", "]"}], "*", 
          RowBox[{"Sign", "[", 
           RowBox[{
            RowBox[{"func", "'"}], "[", "1", "]"}], "]"}]}], ">", "0"}], 
        "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"TrueQ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"func", "[", "p4", "]"}], "*", 
            RowBox[{"Sign", "[", 
             RowBox[{
              RowBox[{"func", "'"}], "[", "1", "]"}], "]"}]}], ">", "0"}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"TrueQ", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"func", "[", "p5", "]"}], "*", 
              RowBox[{"Sign", "[", 
               RowBox[{
                RowBox[{"func", "'"}], "[", "1", "]"}], "]"}]}], ">", "0"}], 
            " ", "]"}], ",", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"p5", "+", "p2"}], ")"}], "/", "2"}], " ", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"p5", "+", "p4"}], ")"}], "/", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"TrueQ", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"func", "[", "p5", "]"}], "*", 
              RowBox[{"Sign", "[", 
               RowBox[{
                RowBox[{"func", "'"}], "[", "1", "]"}], "]"}]}], ">", "0"}], 
            " ", "]"}], ",", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"p5", "+", "p4"}], ")"}], "/", "2"}], " ", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"p5", "+", "p3"}], ")"}], "/", "2"}]}], "]"}], ","}], 
        "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"TrueQ", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"func", "[", "p4", "]"}], "*", 
            RowBox[{"Sign", "[", 
             RowBox[{
              RowBox[{"func", "'"}], "[", "1", "]"}], "]"}]}], ">", "0"}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"TrueQ", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"func", "[", "p5", "]"}], "*", 
              RowBox[{"Sign", "[", 
               RowBox[{
                RowBox[{"func", "'"}], "[", "1", "]"}], "]"}]}], ">", "0"}], 
            " ", "]"}], ",", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"p5", "+", "p3"}], ")"}], "/", "2"}], " ", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"p5", "+", "p4"}], ")"}], "/", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"TrueQ", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"func", "[", "p5", "]"}], "*", 
              RowBox[{"Sign", "[", 
               RowBox[{
                RowBox[{"func", "'"}], "[", "1", "]"}], "]"}]}], ">", "0"}], 
            " ", "]"}], ",", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"p5", "+", "p4"}], ")"}], "/", "2"}], " ", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"p5", "+", "p1"}], ")"}], "/", "2"}]}], "]"}]}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"func", "[", "x", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"TrueQ", "[", 
             RowBox[{"is", "\[Equal]", "True"}], "]"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"func", "[", "p1", "]"}], "-", 
                 RowBox[{"func", "[", "p2", "]"}]}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{"p1", "-", "p2"}], ")"}]}], "*", 
              RowBox[{"(", 
               RowBox[{"x", "-", "p1"}], ")"}]}], "+", 
             RowBox[{"func", "[", "p1", "]"}]}], ",", 
            RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"TrueQ", "[", 
             RowBox[{
              RowBox[{"k", ">", "1"}], " ", "&&", " ", 
              RowBox[{"is", "\[Equal]", "True"}]}], "]"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"func", "[", "b", "]"}], "-", 
                 RowBox[{"func", "[", "pp1", "]"}]}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{"b", "-", "pp1"}], ")"}]}], "*", 
              RowBox[{"(", 
               RowBox[{"x", "-", "b"}], ")"}]}], "+", 
             RowBox[{"func", "[", "b", "]"}]}], ",", 
            RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"TrueQ", "[", 
             RowBox[{
              RowBox[{"k", ">", "2"}], " ", "&&", " ", 
              RowBox[{"is", "\[Equal]", "True"}]}], "]"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"func", "[", "b1", "]"}], "-", 
                 RowBox[{"func", "[", "pp2", "]"}]}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{"b1", "-", "pp2"}], ")"}]}], "*", 
              RowBox[{"(", 
               RowBox[{"x", "-", "b1"}], ")"}]}], "+", 
             RowBox[{"func", "[", "b1", "]"}]}], ",", 
            RowBox[{"{", "}"}]}], "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"TrueQ", "[", 
             RowBox[{
              RowBox[{"k", ">", "3"}], " ", "&&", " ", 
              RowBox[{"is", "\[Equal]", "True"}]}], "]"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"func", "[", "b2", "]"}], "-", 
                 RowBox[{"func", "[", "pp3", "]"}]}], ")"}], "/", 
               RowBox[{"(", 
                RowBox[{"b2", "-", "pp3"}], ")"}]}], "*", 
              RowBox[{"(", 
               RowBox[{"x", "-", "b2"}], ")"}]}], "+", 
             RowBox[{"func", "[", "b2", "]"}]}], ",", 
            RowBox[{"{", "}"}]}], "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
        " ", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"-", "1"}], ",", "3"}], "}"}], ",", " ", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Thickness", "[", "0.005", "]"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Thickness", "[", "0.001", "]"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Thickness", "[", "0.001", "]"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Thickness", "[", "0.001", "]"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Thickness", "[", "0.001", "]"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"Evaluate", "[", "plotoptions", "]"}], ",", 
        RowBox[{"Filling", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"1", "\[Rule]", "Axis"}], "}"}]}]}], "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"PointSize", "[", ".015", "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"p1", ",", 
            RowBox[{"func", "[", "p1", "]"}]}], "}"}], "]"}]}], "}"}], "]"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"PointSize", "[", ".015", "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"p2", ",", 
            RowBox[{"func", "[", "p2", "]"}]}], "}"}], "]"}]}], "}"}], "]"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"TrueQ", "[", 
         RowBox[{
          RowBox[{"k", ">", "1"}], " ", "&&", " ", 
          RowBox[{"is", "\[Equal]", "True"}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", ".01", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"b", ",", 
              RowBox[{"func", "[", "b", "]"}]}], "}"}], "]"}]}], "}"}], "]"}],
         ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"TrueQ", "[", 
         RowBox[{
          RowBox[{"k", ">", "2"}], " ", "&&", " ", 
          RowBox[{"is", "\[Equal]", "True"}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", ".01", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"b1", ",", 
              RowBox[{"func", "[", "b1", "]"}]}], "}"}], "]"}]}], "}"}], 
         "]"}], ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"TrueQ", "[", 
         RowBox[{
          RowBox[{"k", ">", "3"}], " ", "&&", " ", 
          RowBox[{"is", "\[Equal]", "True"}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", ".01", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"b2", ",", 
              RowBox[{"func", "[", "b2", "]"}]}], "}"}], "]"}]}], "}"}], 
         "]"}], ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"TrueQ", "[", 
         RowBox[{"is", "\[Equal]", "True"}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", ".01", "]"}], ",", " ", 
           RowBox[{"Lighter", "[", "Blue", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"b", ",", "0"}], "}"}], "]"}]}], "}"}], "]"}], ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"TrueQ", "[", 
         RowBox[{
          RowBox[{"k", ">", "1"}], " ", "&&", " ", 
          RowBox[{"is", "\[Equal]", "True"}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", ".01", "]"}], ",", " ", "Blue", ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"b1", ",", "0"}], "}"}], "]"}]}], "}"}], "]"}], ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"TrueQ", "[", 
         RowBox[{
          RowBox[{"k", ">", "2"}], " ", "&&", " ", 
          RowBox[{"is", "\[Equal]", "True"}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", ".01", "]"}], ",", " ", 
           RowBox[{"Darker", "[", "Blue", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"b2", ",", "0"}], "}"}], "]"}]}], "}"}], "]"}], ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"TrueQ", "[", 
         RowBox[{
          RowBox[{"k", ">", "3"}], " ", "&&", " ", 
          RowBox[{"is", "\[Equal]", "True"}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", ".01", "]"}], ",", " ", 
           RowBox[{"Darker", "[", "Blue", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"b3", ",", "0"}], "}"}], "]"}]}], "}"}], "]"}], ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"pt", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", 
              RowBox[{"-", "1"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"pt", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "}"}]}], "}"}], 
          "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"pt2", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", 
              RowBox[{"-", "1"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"pt2", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "}"}]}], "}"}], 
          "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"TrueQ", "[", 
         RowBox[{"bs", "\[Equal]", "True"}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", ".01", "]"}], ",", "Magenta", ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"p3", ",", "0"}], "}"}], "]"}]}], "}"}], "]"}], ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"TrueQ", "[", 
         RowBox[{"bs", "\[Equal]", "True"}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Dashed", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"p3", ",", 
                RowBox[{"-", "0.5"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"p3", ",", "0.5"}], "}"}]}], "}"}], "]"}]}], "}"}], 
         "]"}], ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"TrueQ", "[", 
         RowBox[{
          RowBox[{"k", ">", "1"}], " ", "&&", " ", 
          RowBox[{"bs", "\[Equal]", "True"}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", ".01", "]"}], ",", " ", 
           RowBox[{"Darker", "[", "Magenta", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"p4", ",", "0"}], "}"}], "]"}]}], "}"}], "]"}], ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"TrueQ", "[", 
         RowBox[{
          RowBox[{"k", ">", "1"}], " ", "&&", " ", 
          RowBox[{"bs", "\[Equal]", "True"}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Dashed", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"p4", ",", 
                RowBox[{"-", "0.25"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"p4", ",", "0.25"}], "}"}]}], "}"}], "]"}]}], "}"}], 
         "]"}], ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"TrueQ", "[", 
         RowBox[{
          RowBox[{"k", ">", "2"}], " ", "&&", " ", 
          RowBox[{"bs", "\[Equal]", "True"}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", ".01", "]"}], ",", " ", 
           RowBox[{"Darker", "[", 
            RowBox[{"Darker", "[", "Magenta", "]"}], "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"p5", ",", "0"}], "}"}], "]"}]}], "}"}], "]"}], ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"TrueQ", "[", 
         RowBox[{
          RowBox[{"k", ">", "2"}], " ", "&&", " ", 
          RowBox[{"bs", "\[Equal]", "True"}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Dashed", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"p5", ",", 
                RowBox[{"-", "0.125"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"p5", ",", "0.125"}], "}"}]}], "}"}], "]"}]}], "}"}], 
         "]"}], ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"TrueQ", "[", 
         RowBox[{
          RowBox[{"k", ">", "3"}], " ", "&&", " ", 
          RowBox[{"bs", "\[Equal]", "True"}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", ".01", "]"}], ",", " ", 
           RowBox[{"Darker", "[", 
            RowBox[{"Darker", "[", "Magenta", "]"}], "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"p6", ",", "0"}], "}"}], "]"}]}], "}"}], "]"}], ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"TrueQ", "[", 
         RowBox[{
          RowBox[{"k", ">", "3"}], " ", "&&", " ", 
          RowBox[{"bs", "\[Equal]", "True"}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Dashed", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"p6", ",", 
                RowBox[{"-", "0.0625"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"p6", ",", "0.0625"}], "}"}]}], "}"}], "]"}]}], "}"}], 
         "]"}], ",", 
        RowBox[{"{", "}"}]}], "]"}]}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"func", ",", "cos", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"quad", "\[Rule]", "\"\<quadratic\>\""}], ",", 
       RowBox[{"quad1", "\[Rule]", "\"\<quadratic 2\>\""}], ",", 
       RowBox[{"cos", "\[Rule]", "\"\<cosine\>\""}], ",", 
       RowBox[{"expo", "\[Rule]", "\"\<exponential\>\""}], ",", " ", 
       RowBox[{"cube", "\[Rule]", "\"\<cubic\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pt", ",", 
       RowBox[{"{", 
        RowBox[{"2.5", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "0"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<|\>\"", ",", "20", ",", "Bold", ",", "Red"}], "]"}]}]}], 
    "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pt2", ",", 
       RowBox[{"{", 
        RowBox[{"0.5", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "5"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "0"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<|\>\"", ",", "20", ",", "Bold", ",", "Red"}], "]"}]}]}], 
    "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", "\"\<steps\>\""}], "}"}], ",", 
     RowBox[{"Range", "[", 
      RowBox[{"1", ",", "4"}], "]"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"bs", ",", "True", ",", "\"\<binary search\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"is", ",", "True", ",", "\"\<interpolation \\nsearch\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"pt", ",", "pt2", ",", "k", ",", "func", ",", "bs", ",", "is"}], 
     "}"}]}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.403717276800127*^9, {3.4037174241616077`*^9, 
   3.403717424875621*^9}, {3.403792464863072*^9, 3.4037924793017607`*^9}, {
   3.4037926507818604`*^9, 3.403792739240093*^9}, {3.4038157155*^9, 
   3.4038157464375*^9}, {3.403816028640625*^9, 3.403816036859375*^9}, {
   3.403816076515625*^9, 3.403816117421875*^9}, 3.403816157875*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`bs$$ = 
    True, $CellContext`func$$ = $CellContext`quad1, $CellContext`is$$ = 
    True, $CellContext`k$$ = 4, $CellContext`pt$$ = {
    2.5, 0}, $CellContext`pt2$$ = {0.5, 0}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`func$$], $CellContext`cos, ""}, {$CellContext`quad -> 
       "quadratic", $CellContext`quad1 -> "quadratic 2", $CellContext`cos -> 
       "cosine", $CellContext`expo -> "exponential", $CellContext`cube -> 
       "cubic"}}, {{
       Hold[$CellContext`pt$$], {2.5, 0}}, {0, 0}, {10, 0}}, {{
       Hold[$CellContext`pt2$$], {0.5, 0}}, {-5, 0}, {10, 0}}, {{
       Hold[$CellContext`k$$], 1, "steps"}, {1, 2, 3, 4}}, {{
       Hold[$CellContext`bs$$], True, "binary search"}, {True, False}}, {{
       Hold[$CellContext`is$$], True, "interpolation \nsearch"}, {
      True, False}}}, Typeset`size$$ = {400., {165., 169.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`func$52058$$ = False, $CellContext`pt$52059$$ = {0, 
    0}, $CellContext`pt2$52060$$ = {0, 0}, $CellContext`k$52061$$ = 
    0, $CellContext`bs$52062$$ = "Button 2", $CellContext`is$52063$$ = 
    "Button 3"}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`bs$$ = 
        True, $CellContext`func$$ = $CellContext`cos, $CellContext`is$$ = 
        True, $CellContext`k$$ = 
        1, $CellContext`pt$$ = {2.5, 0}, $CellContext`pt2$$ = {0.5, 0}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`func$$, $CellContext`func$52058$$, False], 
        Hold[$CellContext`pt$$, $CellContext`pt$52059$$, {0, 0}], 
        Hold[$CellContext`pt2$$, $CellContext`pt2$52060$$, {0, 0}], 
        Hold[$CellContext`k$$, $CellContext`k$52061$$, 0], 
        Hold[$CellContext`bs$$, $CellContext`bs$52062$$, False], 
        Hold[$CellContext`is$$, $CellContext`is$52063$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> (If[
         TrueQ[
         Part[$CellContext`pt$$, 1] > 
          Part[$CellContext`pt2$$, 1]], {$CellContext`p1 := 
           Part[$CellContext`pt$$, 1]; $CellContext`p2 := 
           Part[$CellContext`pt2$$, 1]}, {$CellContext`p2 := 
           Part[$CellContext`pt$$, 1]; $CellContext`p1 := 
           Part[$CellContext`pt2$$, 
             1]}]; $CellContext`b := ((($CellContext`func$$[$CellContext`p1] - \
$CellContext`func$$[$CellContext`p2])/($CellContext`p1 - $CellContext`p2)) \
$CellContext`p1 - \
$CellContext`func$$[$CellContext`p1])/(($CellContext`func$$[$CellContext`p1] - \
$CellContext`func$$[$CellContext`p2])/($CellContext`p1 - $CellContext`p2)); 
       If[
         TrueQ[Sign[
            $CellContext`func$$[$CellContext`b]] == Sign[
            $CellContext`func$$[$CellContext`p1]]], $CellContext`pp1 := \
$CellContext`p2, $CellContext`pp1 := $CellContext`p1]; $CellContext`b1 := \
((($CellContext`func$$[$CellContext`b] - \
$CellContext`func$$[$CellContext`pp1])/($CellContext`b - $CellContext`pp1)) \
$CellContext`b - \
$CellContext`func$$[$CellContext`b])/(($CellContext`func$$[$CellContext`b] - \
$CellContext`func$$[$CellContext`pp1])/($CellContext`b - $CellContext`pp1)); 
       If[
         TrueQ[Sign[
            $CellContext`func$$[$CellContext`b1]] == Sign[
            $CellContext`func$$[$CellContext`pp1]]], $CellContext`pp2 := \
$CellContext`b, $CellContext`pp2 := $CellContext`pp1]; $CellContext`b2 := \
((($CellContext`func$$[$CellContext`b1] - \
$CellContext`func$$[$CellContext`pp2])/($CellContext`b1 - $CellContext`pp2)) \
$CellContext`b1 - \
$CellContext`func$$[$CellContext`b1])/(($CellContext`func$$[$CellContext`b1] - \
$CellContext`func$$[$CellContext`pp2])/($CellContext`b1 - $CellContext`pp2)); 
       If[
         TrueQ[Sign[
            $CellContext`func$$[$CellContext`b2]] == Sign[
            $CellContext`func$$[$CellContext`pp2]]], $CellContext`pp3 := \
$CellContext`b1, $CellContext`pp3 := $CellContext`pp2]; $CellContext`b3 := \
((($CellContext`func$$[$CellContext`b2] - \
$CellContext`func$$[$CellContext`pp3])/($CellContext`b2 - $CellContext`pp3)) \
$CellContext`b2 - \
$CellContext`func$$[$CellContext`b2])/(($CellContext`func$$[$CellContext`b2] - \
$CellContext`func$$[$CellContext`pp3])/($CellContext`b2 - $CellContext`pp3)); \
$CellContext`p3 := ($CellContext`p2 + $CellContext`p1)/2; $CellContext`p4 := 
        If[
          TrueQ[$CellContext`func$$[$CellContext`p3] Sign[
              Derivative[1][$CellContext`func$$][1]] > 
           0], ($CellContext`p3 + $CellContext`p2)/
          2, ($CellContext`p3 + $CellContext`p1)/2]; $CellContext`p5 := If[
          TrueQ[$CellContext`func$$[$CellContext`p3] Sign[
              Derivative[1][$CellContext`func$$][1]] > 0], 
          If[
           TrueQ[$CellContext`func$$[$CellContext`p4] Sign[
               Derivative[1][$CellContext`func$$][1]] > 
            0], ($CellContext`p4 + $CellContext`p2)/
           2, ($CellContext`p4 + $CellContext`p3)/2], 
          If[
           TrueQ[$CellContext`func$$[$CellContext`p4] Sign[
               Derivative[1][$CellContext`func$$][1]] > 
            0], ($CellContext`p4 + $CellContext`p3)/
           2, ($CellContext`p4 + $CellContext`p1)/2]]; $CellContext`p6 := If[
          TrueQ[$CellContext`func$$[$CellContext`p3] Sign[
              Derivative[1][$CellContext`func$$][1]] > 0], 
          If[
           TrueQ[$CellContext`func$$[$CellContext`p4] Sign[
               Derivative[1][$CellContext`func$$][1]] > 0], 
           If[
            TrueQ[$CellContext`func$$[$CellContext`p5] Sign[
                Derivative[1][$CellContext`func$$][1]] > 
             0], ($CellContext`p5 + $CellContext`p2)/
            2, ($CellContext`p5 + $CellContext`p4)/2], 
           If[
            TrueQ[$CellContext`func$$[$CellContext`p5] Sign[
                Derivative[1][$CellContext`func$$][1]] > 
             0], ($CellContext`p5 + $CellContext`p4)/
            2, ($CellContext`p5 + $CellContext`p3)/2], Null], 
          If[
           TrueQ[$CellContext`func$$[$CellContext`p4] Sign[
               Derivative[1][$CellContext`func$$][1]] > 0], 
           If[
            TrueQ[$CellContext`func$$[$CellContext`p5] Sign[
                Derivative[1][$CellContext`func$$][1]] > 
             0], ($CellContext`p5 + $CellContext`p3)/
            2, ($CellContext`p5 + $CellContext`p4)/2], 
           If[
            TrueQ[$CellContext`func$$[$CellContext`p5] Sign[
                Derivative[1][$CellContext`func$$][1]] > 
             0], ($CellContext`p5 + $CellContext`p4)/
            2, ($CellContext`p5 + $CellContext`p1)/2]]]; Show[
         Plot[{
           $CellContext`func$$[$CellContext`x], 
           If[
            
            TrueQ[$CellContext`is$$ == 
             True], (($CellContext`func$$[$CellContext`p1] - \
$CellContext`func$$[$CellContext`p2])/($CellContext`p1 - $CellContext`p2)) \
($CellContext`x - $CellContext`p1) + $CellContext`func$$[$CellContext`p1], \
{}], 
           If[
            TrueQ[
             
             And[$CellContext`k$$ > 1, $CellContext`is$$ == 
              True]], (($CellContext`func$$[$CellContext`b] - \
$CellContext`func$$[$CellContext`pp1])/($CellContext`b - $CellContext`pp1)) \
($CellContext`x - $CellContext`b) + $CellContext`func$$[$CellContext`b], {}], 
           
           If[
            TrueQ[
             
             And[$CellContext`k$$ > 2, $CellContext`is$$ == 
              True]], (($CellContext`func$$[$CellContext`b1] - \
$CellContext`func$$[$CellContext`pp2])/($CellContext`b1 - $CellContext`pp2)) \
($CellContext`x - $CellContext`b1) + $CellContext`func$$[$CellContext`b1], \
{}], 
           If[
            TrueQ[
             And[$CellContext`k$$ > 3, $CellContext`is$$ == 
              True]], (($CellContext`func$$[$CellContext`b2] - \
$CellContext`func$$[$CellContext`pp3])/($CellContext`b2 - $CellContext`pp3)) \
($CellContext`x - $CellContext`b2) + $CellContext`func$$[$CellContext`b2], \
{}]}, {$CellContext`x, -1, 3}, PlotStyle -> {{
             Thickness[0.005]}, {
             Thickness[0.001]}, {
             Thickness[0.001]}, {
             Thickness[0.001]}, {
             Thickness[0.001]}}, 
          Evaluate[$CellContext`plotoptions], Filling -> {1 -> Axis}], 
         Graphics[{
           PointSize[0.015], 
           Point[{$CellContext`p1, 
             $CellContext`func$$[$CellContext`p1]}]}], 
         Graphics[{
           PointSize[0.015], 
           Point[{$CellContext`p2, 
             $CellContext`func$$[$CellContext`p2]}]}], 
         If[
          TrueQ[
           And[$CellContext`k$$ > 1, $CellContext`is$$ == True]], 
          Graphics[{
            PointSize[0.01], 
            Point[{$CellContext`b, 
              $CellContext`func$$[$CellContext`b]}]}], {}], 
         If[
          TrueQ[
           And[$CellContext`k$$ > 2, $CellContext`is$$ == True]], 
          Graphics[{
            PointSize[0.01], 
            Point[{$CellContext`b1, 
              $CellContext`func$$[$CellContext`b1]}]}], {}], 
         If[
          TrueQ[
           And[$CellContext`k$$ > 3, $CellContext`is$$ == True]], 
          Graphics[{
            PointSize[0.01], 
            Point[{$CellContext`b2, 
              $CellContext`func$$[$CellContext`b2]}]}], {}], 
         If[
          TrueQ[$CellContext`is$$ == True], 
          Graphics[{
            PointSize[0.01], 
            Lighter[Blue], 
            Point[{$CellContext`b, 0}]}], {}], 
         If[
          TrueQ[
           And[$CellContext`k$$ > 1, $CellContext`is$$ == True]], 
          Graphics[{
            PointSize[0.01], Blue, 
            Point[{$CellContext`b1, 0}]}], {}], 
         If[
          TrueQ[
           And[$CellContext`k$$ > 2, $CellContext`is$$ == True]], 
          Graphics[{
            PointSize[0.01], 
            Darker[Blue], 
            Point[{$CellContext`b2, 0}]}], {}], 
         If[
          TrueQ[
           And[$CellContext`k$$ > 3, $CellContext`is$$ == True]], 
          Graphics[{
            PointSize[0.01], 
            Darker[Blue], 
            Point[{$CellContext`b3, 0}]}], {}], 
         Graphics[{Dashed, 
           Line[{{
              Part[$CellContext`pt$$, 1], -1}, {
              Part[$CellContext`pt$$, 1], 1}}]}], 
         Graphics[{Dashed, 
           Line[{{
              Part[$CellContext`pt2$$, 1], -1}, {
              Part[$CellContext`pt2$$, 1], 1}}]}], 
         If[
          TrueQ[$CellContext`bs$$ == True], 
          Graphics[{
            PointSize[0.01], Magenta, 
            Point[{$CellContext`p3, 0}]}], {}], 
         If[
          TrueQ[$CellContext`bs$$ == True], 
          Graphics[{Dashed, 
            Line[{{$CellContext`p3, -0.5}, {$CellContext`p3, 0.5}}]}], {}], 
         If[
          TrueQ[
           And[$CellContext`k$$ > 1, $CellContext`bs$$ == True]], 
          Graphics[{
            PointSize[0.01], 
            Darker[Magenta], 
            Point[{$CellContext`p4, 0}]}], {}], 
         If[
          TrueQ[
           And[$CellContext`k$$ > 1, $CellContext`bs$$ == True]], 
          Graphics[{Dashed, 
            Line[{{$CellContext`p4, -0.25}, {$CellContext`p4, 0.25}}]}], {}], 
         
         If[
          TrueQ[
           And[$CellContext`k$$ > 2, $CellContext`bs$$ == True]], 
          Graphics[{
            PointSize[0.01], 
            Darker[
             Darker[Magenta]], 
            Point[{$CellContext`p5, 0}]}], {}], 
         If[
          TrueQ[
           And[$CellContext`k$$ > 2, $CellContext`bs$$ == True]], 
          Graphics[{Dashed, 
            
            Line[{{$CellContext`p5, -0.125}, {$CellContext`p5, 
               0.125}}]}], {}], 
         If[
          TrueQ[
           And[$CellContext`k$$ > 3, $CellContext`bs$$ == True]], 
          Graphics[{
            PointSize[0.01], 
            Darker[
             Darker[Magenta]], 
            Point[{$CellContext`p6, 0}]}], {}], 
         If[
          TrueQ[
           And[$CellContext`k$$ > 3, $CellContext`bs$$ == True]], 
          Graphics[{Dashed, 
            
            Line[{{$CellContext`p6, -0.0625}, {$CellContext`p6, 
               0.0625}}]}], {}]]), 
      "Specifications" :> {{{$CellContext`func$$, $CellContext`cos, 
          ""}, {$CellContext`quad -> "quadratic", $CellContext`quad1 -> 
          "quadratic 2", $CellContext`cos -> "cosine", $CellContext`expo -> 
          "exponential", $CellContext`cube -> "cubic"}, ControlType -> 
         RadioButtonBar, ControlPlacement -> 
         Top}, {{$CellContext`pt$$, {2.5, 0}}, {0, 0}, {10, 0}, ControlType -> 
         Locator, Appearance -> Style["|", 20, Bold, 
           RGBColor[1, 0, 0]]}, {{$CellContext`pt2$$, {0.5, 0}}, {-5, 0}, {10,
          0}, ControlType -> Locator, Appearance -> Style["|", 20, Bold, 
           RGBColor[1, 0, 0]]}, {{$CellContext`k$$, 1, "steps"}, {1, 2, 3, 4},
          ControlType -> SetterBar, ControlPlacement -> 
         Left}, {{$CellContext`bs$$, True, "binary search"}, {True, False}, 
         ControlPlacement -> 
         Left}, {{$CellContext`is$$, True, "interpolation \nsearch"}, {
         True, False}, ControlPlacement -> Left}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`pt$$, $CellContext`pt2$$, \
$CellContext`k$$, $CellContext`func$$, $CellContext`bs$$, $CellContext`is$$}},
       "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{567., {204., 209.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`p1 := Part[FE`pt$$53, 1], 
        FE`pt$$53 = {2.5, 0}, $CellContext`p2 := Part[FE`pt2$$53, 1], 
        FE`pt2$$53 = {
         0.5, 0}, $CellContext`b := (((FE`func$$53[$CellContext`p1] - 
             FE`func$$53[$CellContext`p2])/($CellContext`p1 - \
$CellContext`p2)) $CellContext`p1 - FE`func$$53[$CellContext`p1])/((
          FE`func$$53[$CellContext`p1] - 
          FE`func$$53[$CellContext`p2])/($CellContext`p1 - $CellContext`p2)), 
        FE`func$$53 = $CellContext`expo, $CellContext`expo[
          Pattern[$CellContext`x, 
           Blank[]]] := 
        2 Exp[-$CellContext`x] - 
         0.6, $CellContext`pp1 := $CellContext`p2, $CellContext`b1 := (((
             FE`func$$53[$CellContext`b] - 
             FE`func$$53[$CellContext`pp1])/($CellContext`b - \
$CellContext`pp1)) $CellContext`b - FE`func$$53[$CellContext`b])/((
          FE`func$$53[$CellContext`b] - 
          FE`func$$53[$CellContext`pp1])/($CellContext`b - \
$CellContext`pp1)), $CellContext`pp2 := $CellContext`pp1, $CellContext`b2 := \
(((FE`func$$53[$CellContext`b1] - 
             FE`func$$53[$CellContext`pp2])/($CellContext`b1 - \
$CellContext`pp2)) $CellContext`b1 - FE`func$$53[$CellContext`b1])/((
          FE`func$$53[$CellContext`b1] - 
          FE`func$$53[$CellContext`pp2])/($CellContext`b1 - \
$CellContext`pp2)), $CellContext`pp3 := $CellContext`pp2, $CellContext`b3 := \
(((FE`func$$53[$CellContext`b2] - 
             FE`func$$53[$CellContext`pp3])/($CellContext`b2 - \
$CellContext`pp3)) $CellContext`b2 - FE`func$$53[$CellContext`b2])/((
          FE`func$$53[$CellContext`b2] - 
          FE`func$$53[$CellContext`pp3])/($CellContext`b2 - \
$CellContext`pp3)), $CellContext`p3 := ($CellContext`p2 + $CellContext`p1)/
         2, $CellContext`p4 := If[
          TrueQ[FE`func$$53[$CellContext`p3] Sign[
              Derivative[1][FE`func$$53][1]] > 
           0], ($CellContext`p3 + $CellContext`p2)/
          2, ($CellContext`p3 + $CellContext`p1)/2], 
        Attributes[Derivative] = {NHoldAll, ReadProtected}, $CellContext`p5 := 
        If[
          TrueQ[FE`func$$53[$CellContext`p3] Sign[
              Derivative[1][FE`func$$53][1]] > 0], 
          If[
           TrueQ[FE`func$$53[$CellContext`p4] Sign[
               Derivative[1][FE`func$$53][1]] > 
            0], ($CellContext`p4 + $CellContext`p2)/
           2, ($CellContext`p4 + $CellContext`p3)/2], 
          If[
           TrueQ[FE`func$$53[$CellContext`p4] Sign[
               Derivative[1][FE`func$$53][1]] > 
            0], ($CellContext`p4 + $CellContext`p3)/
           2, ($CellContext`p4 + $CellContext`p1)/2]], $CellContext`p6 := If[
          TrueQ[FE`func$$53[$CellContext`p3] Sign[
              Derivative[1][FE`func$$53][1]] > 0], 
          If[
           TrueQ[FE`func$$53[$CellContext`p4] Sign[
               Derivative[1][FE`func$$53][1]] > 0], 
           If[
            TrueQ[FE`func$$53[$CellContext`p5] Sign[
                Derivative[1][FE`func$$53][1]] > 
             0], ($CellContext`p5 + $CellContext`p2)/
            2, ($CellContext`p5 + $CellContext`p4)/2], 
           If[
            TrueQ[FE`func$$53[$CellContext`p5] Sign[
                Derivative[1][FE`func$$53][1]] > 
             0], ($CellContext`p5 + $CellContext`p4)/
            2, ($CellContext`p5 + $CellContext`p3)/2], Null], 
          If[
           TrueQ[FE`func$$53[$CellContext`p4] Sign[
               Derivative[1][FE`func$$53][1]] > 0], 
           If[
            TrueQ[FE`func$$53[$CellContext`p5] Sign[
                Derivative[1][FE`func$$53][1]] > 
             0], ($CellContext`p5 + $CellContext`p3)/
            2, ($CellContext`p5 + $CellContext`p4)/2], 
           If[
            TrueQ[FE`func$$53[$CellContext`p5] Sign[
                Derivative[1][FE`func$$53][1]] > 
             0], ($CellContext`p5 + $CellContext`p4)/
            2, ($CellContext`p5 + $CellContext`p1)/
            2]]], $CellContext`plotoptions = {
         PlotRange -> {{0, 2.5}, {-1, 1}}, PlotRangePadding -> 0.25, 
          AspectRatio -> Automatic, ImageSize -> 400}, 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`cos[
          Pattern[$CellContext`x, 
           Blank[]]] := Cos[1.5 $CellContext`x], $CellContext`quad[
          Pattern[$CellContext`x, 
           Blank[]]] := (0.3 ($CellContext`x - 4)) ($CellContext`x - 1) - 
         0.3, $CellContext`quad1[
          Pattern[$CellContext`x, 
           Blank[]]] := ((-0.3) ($CellContext`x - 4)) ($CellContext`x - 1) + 
         0.2, $CellContext`cube[
          Pattern[$CellContext`x, 
           Blank[]]] := ($CellContext`x - 1.1)^3}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{{
          HoldComplete[$CellContext`quad[
              Pattern[$CellContext`x, 
               Blank[]]] := 
            0.3 ($CellContext`x - 4) ($CellContext`x - 1) - 0.3; Null], 
          HoldComplete[Null], 
          HoldComplete[$CellContext`quad1[
              Pattern[$CellContext`x, 
               Blank[]]] := (-0.3) ($CellContext`x - 4) ($CellContext`x - 1) + 
             0.2; Null], 
          HoldComplete[Null], 
          HoldComplete[$CellContext`cos[
              Pattern[$CellContext`x, 
               Blank[]]] := Cos[1.5 $CellContext`x]; Null], 
          HoldComplete[Null], 
          HoldComplete[$CellContext`expo[
              Pattern[$CellContext`x, 
               Blank[]]] := 2 Exp[-$CellContext`x] - 0.6; Null], 
          HoldComplete[Null], 
          HoldComplete[$CellContext`cube[
              Pattern[$CellContext`x, 
               Blank[]]] := ($CellContext`x - 1.1)^3; 
           Null]}, $CellContext`plotoptions = {
           PlotRange -> {{0, 2.5}, {-1, 1}}, PlotRangePadding -> 0.25, 
            AspectRatio -> Automatic, ImageSize -> 400}; Null}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->288236434],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Finding Roots Using Binary or Interpolation Search",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
FindingRootsUsingBinaryOrInterpolationSearch/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
FindingRootsUsingBinaryOrInterpolationSearch/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
FindingRootsUsingBinaryOrInterpolationSearch/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
FindingRootsUsingBinaryOrInterpolationSearch/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
FindingRootsUsingBinaryOrInterpolationSearch/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Filip Pi\:0119kniewski",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Filip+Pi%\
3Fkniewski"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Filip+Pi%3Fkniewski"]\

}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
FindingRootsUsingBinaryOrInterpolationSearch"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{747, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Finding Roots Using Binary or Interpolation Search - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 242, 4, 70, "Section"],
Cell[835, 29, 1257, 44, 70, "Input",
 CellID->856849464],
Cell[2095, 75, 642, 18, 70, "Input",
 CellID->18055715],
Cell[2740, 95, 29057, 786, 70, "Input"]
}, Open  ]],
Cell[31812, 884, 20044, 432, 70, "Output",
 CellID->288236434],
Cell[CellGroupData[{
Cell[51881, 1320, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[52257, 1331, 1065, 31, 70, "Text"],
Cell[53325, 1364, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[53665, 1375, 456, 15, 70, "Text"],
Cell[CellGroupData[{
Cell[54146, 1394, 829, 24, 70, "Text"],
Cell[54978, 1420, 1220, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature pSNl2X03GgGbRCDcsCrKV9kR *)
