(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     24170,        588]
NotebookOptionsPosition[     23067,        547]
NotebookOutlinePosition[     23699,        571]
CellTagsIndexPosition[     23656,        568]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Local Behavior of a Polynomial near a Root", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Pane", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"n", "===", "1"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"s", " ", "a", " ", "x"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
         
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"AxesLabel", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"Ticks", "\[Rule]", "None"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Axes", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"True", ",", "False"}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Thickness", "[", ".005", "]"}], ",", 
            RowBox[{"RGBColor", "[", 
             RowBox[{"1", ",", ".47", ",", "0"}], "]"}]}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"450", ",", "350"}], "}"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"Epilog", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"PointSize", "[", ".01", "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], "]"}]}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"Which", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"a", ">", "0"}], ",", "\[IndentingNewLine]", 
            "\"\<increasing\>\"", ",", "\[IndentingNewLine]", 
            RowBox[{"a", "==", "0"}], ",", "\[IndentingNewLine]", 
            "\"\<constant equal to zero\>\"", ",", "\[IndentingNewLine]", 
            RowBox[{"a", "<", "0"}], ",", "\[IndentingNewLine]", 
            "\"\<decreasing\>\""}], "\[IndentingNewLine]", "]"}]}]}], 
        "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"s", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"x", "^", "n"}], "+", 
              RowBox[{"a", " ", "x"}]}], ")"}]}], ",", 
           RowBox[{"s", " ", "a", " ", "x"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
         
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"AxesLabel", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"Ticks", "\[Rule]", "None"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Axes", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"True", ",", "False"}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", ".005", "]"}], ",", 
              RowBox[{"ColorData", "[", 
               RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}]}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", ".005", "]"}], ",", 
              RowBox[{"RGBColor", "[", 
               RowBox[{"1", ",", ".47", ",", "0"}], "]"}]}], "}"}]}], "}"}]}],
          ",", "\[IndentingNewLine]", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"450", ",", "350"}], "}"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"Epilog", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"PointSize", "[", ".01", "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], "]"}]}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"Which", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"a", ">", "0"}], "&&", 
             RowBox[{"EvenQ", "[", "n", "]"}], "&&", 
             RowBox[{"s", "===", "1"}]}], ",", "\[IndentingNewLine]", 
            "\"\<minimum nearby\\nincreasing\\nconcave up\>\"", ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"a", "==", "0"}], "&&", 
             RowBox[{"EvenQ", "[", "n", "]"}], "&&", 
             RowBox[{"s", "===", "1"}]}], ",", "\[IndentingNewLine]", 
            "\"\<local minimum\\ndecreasing on the left, increasing on the \
right\\nconcave up\>\"", ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"a", "<", "0"}], "&&", 
             RowBox[{"EvenQ", "[", "n", "]"}], "&&", 
             RowBox[{"s", "===", "1"}]}], ",", "\[IndentingNewLine]", 
            "\"\<minimum nearby\\ndecreasing\\nconcave up\>\"", ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"a", ">", "0"}], "&&", 
             RowBox[{"EvenQ", "[", "n", "]"}], "&&", 
             RowBox[{"s", "===", 
              RowBox[{"-", "1"}]}]}], ",", "\[IndentingNewLine]", 
            "\"\<maximum nearby\\ndecreasing\\nconcave down\>\"", ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"a", "==", "0"}], "&&", 
             RowBox[{"EvenQ", "[", "n", "]"}], "&&", 
             RowBox[{"s", "===", 
              RowBox[{"-", "1"}]}]}], ",", "\[IndentingNewLine]", 
            "\"\<local maximum\\nincreasing on the left, decreasing on the \
right\\nconcave down\>\"", ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"a", "<", "0"}], "&&", 
             RowBox[{"EvenQ", "[", "n", "]"}], "&&", 
             RowBox[{"s", "===", 
              RowBox[{"-", "1"}]}]}], ",", "\[IndentingNewLine]", 
            "\"\<maximum nearby\\nincreasing\\nconcave down\>\"", ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"a", ">", "0"}], "&&", 
             RowBox[{"OddQ", "[", "n", "]"}], "&&", 
             RowBox[{"s", "===", "1"}]}], ",", "\[IndentingNewLine]", 
            "\"\<inflection\\nincreasing\\nconcave down on the left, concave \
up on the right\>\"", ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"a", "==", "0"}], "&&", 
             RowBox[{"OddQ", "[", "n", "]"}], "&&", 
             RowBox[{"s", "===", "1"}]}], ",", "\[IndentingNewLine]", 
            "\"\<stationary\\nnondecreasing\\nconcave down on the left, \
concave up on the right\>\"", ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"a", "<", "0"}], "&&", 
             RowBox[{"OddQ", "[", "n", "]"}], "&&", 
             RowBox[{"s", "===", "1"}]}], ",", "\[IndentingNewLine]", 
            "\"\<inflection\\ndecreasing\\nconcave down on the left, concave \
up on the right\>\"", ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"a", ">", "0"}], "&&", 
             RowBox[{"OddQ", "[", "n", "]"}], "&&", 
             RowBox[{"s", "===", 
              RowBox[{"-", "1"}]}]}], ",", "\[IndentingNewLine]", 
            "\"\<inflection\\ndecreasing\\nconcave up on the left, concave \
down on the right\>\"", ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"a", "==", "0"}], "&&", 
             RowBox[{"OddQ", "[", "n", "]"}], "&&", 
             RowBox[{"s", "===", 
              RowBox[{"-", "1"}]}]}], ",", "\[IndentingNewLine]", 
            "\"\<stationary\\nnonincreasing\\nconcave up on the left, concave \
down on the right\>\"", ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"a", "<", "0"}], "&&", 
             RowBox[{"OddQ", "[", "n", "]"}], "&&", 
             RowBox[{"s", "===", 
              RowBox[{"-", "1"}]}]}], ",", "\[IndentingNewLine]", 
            "\"\<inflection\\nincreasing\\nconcave up on the left, concave \
down on the right\>\""}], "\[IndentingNewLine]", "]"}]}]}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"450", ",", "350"}], "}"}]}]}], "\[IndentingNewLine]", "]"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "3", ",", "\"\<degree of root n\>\""}], "}"}], ",", 
     "1", ",", "10", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "0.", ",", "\"\<coefficient of linear term\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "1"}], ",", "1", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "s", ",", "1", ",", 
       "\"\<sign of \!\(\*SuperscriptBox[\(x\), \(\(n\)\(\\\ \)\)]\), where \
n>1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "\[Rule]", "\"\<-\>\""}], ",", 
       RowBox[{"1", "\[Rule]", "\"\<+\>\""}]}], "}"}], ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"n", "\[NotEqual]", "1"}]}]}], "}"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4023970386433797`*^9, 3.402397204968484*^9}, {
   3.4023972843445587`*^9, 3.402397395787503*^9}, {3.402397433102247*^9, 
   3.4023974774507113`*^9}, {3.4023975540065074`*^9, 3.402397611827696*^9}, {
   3.4023976487438197`*^9, 3.4023977381962314`*^9}, {3.402397770765603*^9, 
   3.402397774252386*^9}, {3.402397813533131*^9, 3.40239795250366*^9}, {
   3.4023979989573793`*^9, 3.402398200512617*^9}, {3.402398566269994*^9, 
   3.402398646966135*^9}, {3.402398836050685*^9, 3.4023988515989532`*^9}, {
   3.4023988822423234`*^9, 3.4023988848988113`*^9}, {3.402402272456682*^9, 
   3.402402460970708*^9}, {3.4024024921265593`*^9, 3.402402531594804*^9}, 
   3.4024027476406136`*^9, {3.4024028356093636`*^9, 3.4024029306094637`*^9}, {
   3.402402970390969*^9, 3.402402971187849*^9}, {3.4024106080285587`*^9, 
   3.4024106479816837`*^9}, {3.4024113838879337`*^9, 3.402411602895138*^9}, {
   3.402411660450638*^9, 3.402411671964863*^9}, {3.4024117176624303`*^9, 
   3.402411729645348*^9}, {3.402411787950757*^9, 3.4024117973246174`*^9}, {
   3.4024118638182707`*^9, 3.4024118751300464`*^9}, {3.4024119175492067`*^9, 
   3.4024120620243344`*^9}, {3.4024120980064063`*^9, 3.402412210860042*^9}, {
   3.402412610156913*^9, 3.402412649218163*^9}, {3.4024135534548516`*^9, 
   3.4024135548298073`*^9}, {3.4024171127433195`*^9, 
   3.4024171551026945`*^9}, {3.402658239438565*^9, 3.4026582423274136`*^9}, {
   3.4036416185317383`*^9, 3.4036416875169964`*^9}, {3.40364174131456*^9, 
   3.4036417524397025`*^9}, {3.403641818284295*^9, 3.4036418396126933`*^9}, {
   3.4036418720818586`*^9, 3.403641908629202*^9}, {3.403641956536065*^9, 
   3.4036420013647633`*^9}, {3.4036420326932898`*^9, 3.40364206202179*^9}, {
   3.4036432429431553`*^9, 3.403643269146616*^9}, {3.403643425570493*^9, 
   3.403643445023867*^9}, {3.403643489399435*^9, 3.4036436135729*^9}, 
   3.4036436514327593`*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0., $CellContext`n$$ = 
    3, $CellContext`s$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 3, "degree of root n"}, 1, 10, 1}, {{
       Hold[$CellContext`a$$], 0., "coefficient of linear term"}, -1, 1, 
      0.01}, {{
       Hold[$CellContext`s$$], 1, 
       "sign of \!\(\*SuperscriptBox[\(x\), \(\(n\)\( \)\)]\), where n>1"}, \
{-1 -> "-", 1 -> "+"}}}, Typeset`size$$ = {450., {172.5, 177.5}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$216458$$ = 0, $CellContext`a$216459$$ = 
    0, $CellContext`s$216460$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 0., $CellContext`n$$ = 
        3, $CellContext`s$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$216458$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$216459$$, 0], 
        Hold[$CellContext`s$$, $CellContext`s$216460$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        If[$CellContext`n$$ === 1, 
         Plot[($CellContext`s$$ $CellContext`a$$) $CellContext`x, \
{$CellContext`x, -1, 1}, PlotRange -> {{-1, 1}, {-1, 1}}, 
          AxesLabel -> {$CellContext`x, $CellContext`y}, Ticks -> None, 
          Axes -> {True, False}, PlotStyle -> {
            Thickness[0.005], 
            RGBColor[1, 0.47, 0]}, ImageSize -> {450, 350}, Epilog -> {
            PointSize[0.01], 
            Point[{0, 0}]}, PlotLabel -> 
          Which[$CellContext`a$$ > 0, "increasing", $CellContext`a$$ == 0, 
            "constant equal to zero", $CellContext`a$$ < 0, "decreasing"]], 
         Plot[{$CellContext`s$$ ($CellContext`x^$CellContext`n$$ + \
$CellContext`a$$ $CellContext`x), ($CellContext`s$$ $CellContext`a$$) \
$CellContext`x}, {$CellContext`x, -1, 1}, PlotRange -> {{-1, 1}, {-1, 1}}, 
          AxesLabel -> {$CellContext`x, $CellContext`y}, Ticks -> None, 
          Axes -> {True, False}, PlotStyle -> {{
             Thickness[0.005], 
             ColorData["HTML", "SlateBlue"]}, {
             Thickness[0.005], 
             RGBColor[1, 0.47, 0]}}, ImageSize -> {450, 350}, Epilog -> {
            PointSize[0.01], 
            Point[{0, 0}]}, PlotLabel -> Which[
            And[$CellContext`a$$ > 0, 
             EvenQ[$CellContext`n$$], $CellContext`s$$ === 1], 
            "minimum nearby\nincreasing\nconcave up", 
            And[$CellContext`a$$ == 0, 
             EvenQ[$CellContext`n$$], $CellContext`s$$ === 1], 
            "local minimum\ndecreasing on the left, increasing on the right\n\
concave up", 
            And[$CellContext`a$$ < 0, 
             EvenQ[$CellContext`n$$], $CellContext`s$$ === 1], 
            "minimum nearby\ndecreasing\nconcave up", 
            And[$CellContext`a$$ > 0, 
             EvenQ[$CellContext`n$$], $CellContext`s$$ === -1], 
            "maximum nearby\ndecreasing\nconcave down", 
            And[$CellContext`a$$ == 0, 
             EvenQ[$CellContext`n$$], $CellContext`s$$ === -1], 
            "local maximum\nincreasing on the left, decreasing on the right\n\
concave down", 
            And[$CellContext`a$$ < 0, 
             EvenQ[$CellContext`n$$], $CellContext`s$$ === -1], 
            "maximum nearby\nincreasing\nconcave down", 
            And[$CellContext`a$$ > 0, 
             OddQ[$CellContext`n$$], $CellContext`s$$ === 1], 
            "inflection\nincreasing\nconcave down on the left, concave up on \
the right", 
            And[$CellContext`a$$ == 0, 
             OddQ[$CellContext`n$$], $CellContext`s$$ === 1], 
            
            "stationary\nnondecreasing\nconcave down on the left, concave up \
on the right", 
            And[$CellContext`a$$ < 0, 
             OddQ[$CellContext`n$$], $CellContext`s$$ === 1], 
            "inflection\ndecreasing\nconcave down on the left, concave up on \
the right", 
            And[$CellContext`a$$ > 0, 
             OddQ[$CellContext`n$$], $CellContext`s$$ === -1], 
            "inflection\ndecreasing\nconcave up on the left, concave down on \
the right", 
            And[$CellContext`a$$ == 0, 
             OddQ[$CellContext`n$$], $CellContext`s$$ === -1], 
            "stationary\nnonincreasing\nconcave up on the left, concave down \
on the right", 
            And[$CellContext`a$$ < 0, 
             OddQ[$CellContext`n$$], $CellContext`s$$ === -1], 
            "inflection\nincreasing\nconcave up on the left, concave down on \
the right"]]], ImageSize -> {450, 350}], 
      "Specifications" :> {{{$CellContext`n$$, 3, "degree of root n"}, 1, 10, 
         1, Appearance -> 
         "Labeled"}, {{$CellContext`a$$, 0., 
          "coefficient of linear term"}, -1, 1, 0.01, Appearance -> 
         "Labeled"}, {{$CellContext`s$$, 1, 
          "sign of \!\(\*SuperscriptBox[\(x\), \(\(n\)\( \)\)]\), where \
n>1"}, {-1 -> "-", 1 -> "+"}, Enabled -> Dynamic[$CellContext`n$$ != 1]}}, 
      "Options" :> {}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {242., 247.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->806970087]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Local Behavior of a Polynomial near a Root",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
LocalBehaviorOfAPolynomialNearARoot/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/LocalBehaviorOfAPolynomialNearARoot/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
LocalBehaviorOfAPolynomialNearARoot/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
LocalBehaviorOfAPolynomialNearARoot/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/LocalBehaviorOfAPolynomialNearARoot/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["George Beck",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=George+Beck"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
LocalBehaviorOfAPolynomialNearARoot"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Local Behavior of a Polynomial near a Root - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 234, 4, 71, "Section"],
Cell[CellGroupData[{
Cell[849, 31, 12145, 262, 1492, "Input"],
Cell[12997, 295, 5854, 114, 70, "Output",
 CellID->806970087]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[18900, 415, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[19276, 426, 1008, 29, 70, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20321, 460, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[20661, 471, 344, 12, 70, "Text"],
Cell[21008, 485, 829, 24, 70, "Text"],
Cell[21840, 511, 1211, 33, 70, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature WQNtPHT3rv#MTCT33@y9noii *)
