(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20072,        512]
NotebookOptionsPosition[     19012,        472]
NotebookOutlinePosition[     19620,        496]
CellTagsIndexPosition[     19577,        493]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Polynomial Roots", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"roots", " ", "=", " ", 
       RowBox[{"Take", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["c", "1"], ",", 
           SubscriptBox["c", "2"], ",", 
           SubscriptBox["c", "3"], ",", 
           SubscriptBox["c", "4"], ",", 
           SubscriptBox["c", "5"], ",", 
           SubscriptBox["c", "6"], ",", 
           SubscriptBox["c", "7"], ",", 
           SubscriptBox["c", "8"], ",", 
           SubscriptBox["c", "9"]}], "}"}], ",", "n"}], "]"}]}], "}"}], ",", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"func", "=", 
          RowBox[{"Apply", "[", 
           RowBox[{"Times", ",", 
            RowBox[{"Map", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"x", "-", "#"}], " ", "&"}], ",", "roots"}], "]"}]}], 
           "]"}]}], ",", " ", 
         RowBox[{"min", " ", "=", " ", 
          RowBox[{"Min", "[", "roots", "]"}]}], ",", " ", 
         RowBox[{"max", " ", "=", " ", 
          RowBox[{"Max", "[", "roots", "]"}]}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Plot", "[", 
        RowBox[{"func", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"min", "-", "1"}], ",", 
           RowBox[{"max", "+", "1"}]}], "}"}], ",", 
         RowBox[{"PlotLabel", "\[Rule]", "func"}], ",", " ", 
         RowBox[{"ImageSize", "\[Rule]", " ", "350"}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"30", ",", "10"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"10", ",", "30"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"Epilog", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Black", ",", 
            RowBox[{"PointSize", "[", "Medium", "]"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"Point", "[", 
               RowBox[{"{", 
                RowBox[{"#", ",", "0"}], "}"}], "]"}], "&"}], "/@", 
             "roots"}]}], "}"}]}]}], "]"}]}], "]"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   "\"\<number of roots \!\(\*SubscriptBox[\(c\), \(n\)]\)\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "3", ",", "\"\<n\>\""}], "}"}], ",", "1", ",", "9", 
     ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   "\"\<roots of polynomial:\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["c", "1"], ",", "1", ",", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(1\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["c", "2"], ",", "2", ",", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(2\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["c", "3"], ",", "3", ",", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(3\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["c", "4"], ",", "0", ",", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(4\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["c", "5"], ",", "0", ",", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(5\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["c", "6"], ",", "0", ",", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(6\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["c", "7"], ",", "0", ",", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(7\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["c", "8"], ",", "0", ",", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(8\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["c", "9"], ",", "0", ",", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(9\)]\)\>\""}], "}"}], ",", 
     RowBox[{"-", "12"}], ",", "12", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", " ", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", " ", "Left"}], ",", " ", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3", ",", "4"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.38046983746875*^9, {3.380470615359375*^9, 
   3.380470651703125*^9}, {3.38047088434375*^9, 3.380470920421875*^9}, {
   3.3810013815933647`*^9, 3.381001526895477*^9}, {3.3810016540786448`*^9, 
   3.381001654869909*^9}, {3.381001703968341*^9, 3.381001727215477*^9}, 
   3.3816709677726016`*^9, {3.3816710007569766`*^9, 3.3816710026476016`*^9}, {
   3.3816711063194766`*^9, 3.3816711171944766`*^9}, {3.383655207431031*^9, 
   3.3836552759279566`*^9}, {3.383655484826289*^9, 3.3836555255930305`*^9}, {
   3.3836560013561974`*^9, 3.383656007564521*^9}, {3.3836561001695104`*^9, 
   3.383656231184127*^9}, {3.383656262485673*^9, 3.383656283629881*^9}, {
   3.3836563300868697`*^9, 3.383656340613921*^9}, {3.383656630732665*^9, 
   3.3836566531863766`*^9}, {3.3836567201607866`*^9, 
   3.3836567658416557`*^9}, {3.3836568289774895`*^9, 3.383656859820633*^9}, {
   3.3836569006394796`*^9, 3.3836569041022863`*^9}, {3.383657441629348*^9, 
   3.3836575422176547`*^9}, {3.3836575969793987`*^9, 
   3.3836577551575255`*^9}, {3.383657787321411*^9, 3.3836578103874254`*^9}, {
   3.3836582579680953`*^9, 3.3836583650514836`*^9}, {3.383659207413555*^9, 
   3.3836592271699934`*^9}, {3.3841001627742367`*^9, 3.384100181331661*^9}, {
   3.3841002146809454`*^9, 3.3841002861165137`*^9}, {3.384100367466734*^9, 
   3.384100380285678*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 3, $CellContext`$73$$ = 
    1, $CellContext`$74$$ = 2, $CellContext`$75$$ = 3, $CellContext`$76$$ = 
    0, $CellContext`$77$$ = 0, $CellContext`$78$$ = 0, $CellContext`$79$$ = 
    0, $CellContext`$80$$ = 0, $CellContext`$81$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold["number of roots \!\(\*SubscriptBox[\(c\), \(n\)]\)"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`n$$], 3, "n"}, 1, 9, 1}, {
      Hold["roots of polynomial:"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`$73$$], 1, 
       "\!\(\*SubscriptBox[\(c\), \(1\)]\)"}, -12, 12}, {{
       Hold[$CellContext`$74$$], 2, 
       "\!\(\*SubscriptBox[\(c\), \(2\)]\)"}, -12, 12}, {{
       Hold[$CellContext`$75$$], 3, 
       "\!\(\*SubscriptBox[\(c\), \(3\)]\)"}, -12, 12}, {{
       Hold[$CellContext`$76$$], 0, 
       "\!\(\*SubscriptBox[\(c\), \(4\)]\)"}, -12, 12}, {{
       Hold[$CellContext`$77$$], 0, 
       "\!\(\*SubscriptBox[\(c\), \(5\)]\)"}, -12, 12}, {{
       Hold[$CellContext`$78$$], 0, 
       "\!\(\*SubscriptBox[\(c\), \(6\)]\)"}, -12, 12}, {{
       Hold[$CellContext`$79$$], 0, 
       "\!\(\*SubscriptBox[\(c\), \(7\)]\)"}, -12, 12}, {{
       Hold[$CellContext`$80$$], 0, 
       "\!\(\*SubscriptBox[\(c\), \(8\)]\)"}, -12, 12}, {{
       Hold[$CellContext`$81$$], 0, 
       "\!\(\*SubscriptBox[\(c\), \(9\)]\)"}, -12, 12}}, Typeset`size$$ = {
    350., {114., 118.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$3844$$ = 
    0, $CellContext`$73$3845$$ = 0, $CellContext`$74$3846$$ = 
    0, $CellContext`$75$3847$$ = 0, $CellContext`$76$3848$$ = 
    0, $CellContext`$77$3849$$ = 0, $CellContext`$78$3850$$ = 
    0, $CellContext`$79$3851$$ = 0, $CellContext`$80$3852$$ = 
    0, $CellContext`$81$3853$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`n$$ = 3, $CellContext`$73$$ = 
        1, $CellContext`$74$$ = 2, $CellContext`$75$$ = 3, $CellContext`$76$$ = 
        0, $CellContext`$77$$ = 0, $CellContext`$78$$ = 0, $CellContext`$79$$ = 
        0, $CellContext`$80$$ = 0, $CellContext`$81$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$3844$$, 0], 
        Hold[$CellContext`$73$$, $CellContext`$73$3845$$, 0], 
        Hold[$CellContext`$74$$, $CellContext`$74$3846$$, 0], 
        Hold[$CellContext`$75$$, $CellContext`$75$3847$$, 0], 
        Hold[$CellContext`$76$$, $CellContext`$76$3848$$, 0], 
        Hold[$CellContext`$77$$, $CellContext`$77$3849$$, 0], 
        Hold[$CellContext`$78$$, $CellContext`$78$3850$$, 0], 
        Hold[$CellContext`$79$$, $CellContext`$79$3851$$, 0], 
        Hold[$CellContext`$80$$, $CellContext`$80$3852$$, 0], 
        Hold[$CellContext`$81$$, $CellContext`$81$3853$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`roots = 
         Take[{$CellContext`$73$$, $CellContext`$74$$, $CellContext`$75$$, \
$CellContext`$76$$, $CellContext`$77$$, $CellContext`$78$$, \
$CellContext`$79$$, $CellContext`$80$$, $CellContext`$81$$}, \
$CellContext`n$$]}, 
        With[{$CellContext`func = Apply[Times, 
            Map[$CellContext`x - #& , $CellContext`roots]], $CellContext`min = 
          Min[$CellContext`roots], $CellContext`max = 
          Max[$CellContext`roots]}, 
         Plot[$CellContext`func, {$CellContext`x, $CellContext`min - 
           1, $CellContext`max + 1}, PlotLabel -> $CellContext`func, 
          ImageSize -> 350, ImagePadding -> {{30, 10}, {10, 30}}, 
          Epilog -> {Black, 
            PointSize[Medium], 
            Map[Point[{#, 0}]& , $CellContext`roots]}]]], 
      "Specifications" :> {
       "number of roots \!\(\*SubscriptBox[\(c\), \(n\)]\)", \
{{$CellContext`n$$, 3, "n"}, 1, 9, 1, Appearance -> "Labeled", ImageSize -> 
         Tiny}, Delimiter, 
        "roots of polynomial:", {{$CellContext`$73$$, 1, 
          "\!\(\*SubscriptBox[\(c\), \(1\)]\)"}, -12, 12, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$74$$, 2, 
          "\!\(\*SubscriptBox[\(c\), \(2\)]\)"}, -12, 12, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$75$$, 3, 
          "\!\(\*SubscriptBox[\(c\), \(3\)]\)"}, -12, 12, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$76$$, 0, 
          "\!\(\*SubscriptBox[\(c\), \(4\)]\)"}, -12, 12, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$77$$, 0, 
          "\!\(\*SubscriptBox[\(c\), \(5\)]\)"}, -12, 12, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$78$$, 0, 
          "\!\(\*SubscriptBox[\(c\), \(6\)]\)"}, -12, 12, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$79$$, 0, 
          "\!\(\*SubscriptBox[\(c\), \(7\)]\)"}, -12, 12, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$80$$, 0, 
          "\!\(\*SubscriptBox[\(c\), \(8\)]\)"}, -12, 12, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`$81$$, 0, 
          "\!\(\*SubscriptBox[\(c\), \(9\)]\)"}, -12, 12, Appearance -> 
         "Labeled", ImageSize -> Tiny}}, 
      "Options" :> {ControlPlacement -> Left, AutorunSequencing -> {2, 3, 4}},
       "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{532., {141., 146.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->182628448],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Polynomial Roots",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolynomialRoots/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PolynomialRoots/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/PolynomialRoots/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolynomialRoots/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PolynomialRoots/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Ed Pegg Jr",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Ed+Pegg+Jr"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->20212186],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PolynomialRoots"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Polynomial Roots - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 208, 4, 70, "Section"],
Cell[801, 29, 7834, 187, 70, "Input"]
}, Open  ]],
Cell[8650, 219, 6228, 119, 70, "Output",
 CellID->182628448],
Cell[CellGroupData[{
Cell[14903, 342, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15279, 353, 868, 24, 70, "Text"],
Cell[16150, 379, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16490, 390, 446, 15, 70, "Text",
 CellID->20212186],
Cell[CellGroupData[{
Cell[16961, 409, 829, 24, 70, "Text"],
Cell[17793, 435, 1191, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature oTj5RoZXUCrsWDThWnau5xs9 *)
