(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     17359,        484]
NotebookOptionsPosition[     16278,        444]
NotebookOutlinePosition[     16907,        468]
CellTagsIndexPosition[     16864,        465]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Polynomial Roots in the Complex Plane", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"DynamicModule", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", "r"}], "}"}], ",", 
     RowBox[{"Column", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"LocatorPane", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", "points", "]"}], ",", 
               RowBox[{"Graphics", "[", 
                RowBox[{
                 RowBox[{"Dynamic", "@", 
                  RowBox[{"First", "@", 
                   RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "@", 
                    RowBox[{"f", "[", "x", "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "]"}]}]}], ",",
                  
                 RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                 RowBox[{"PlotRange", "\[Rule]", "10"}], ",", 
                 RowBox[{"ImageSize", "\[Rule]", "250"}], ",", 
                 RowBox[{"AxesLabel", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
                 RowBox[{"Epilog", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\!\(\*SuperscriptBox[\(\[DoubleStruckCapitalR]\), \
\(2\)]\)\>\"", ",", "14"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], "}"}]}]}],
                 "]"}], ",", 
               RowBox[{"LocatorAutoCreate", "\[Rule]", "2"}]}], "]"}], ",", 
             RowBox[{"Deploy", "@", 
              RowBox[{"Graphics", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"Red", ",", 
                  RowBox[{"AbsolutePointSize", "[", "7", "]"}], ",", 
                  RowBox[{"Dynamic", "@", 
                   RowBox[{"Point", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Re", "[", "x", "]"}], ",", 
                    RowBox[{"Im", "[", "x", "]"}]}], "}"}], "/.", "r"}], "/.",
                     
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"_Re", "|", "_Im"}], ")"}], "\[Rule]", 
                    RowBox[{"Sequence", "[", "]"}]}]}], "]"}]}]}], "}"}], ",",
                 
                RowBox[{"PlotRange", "\[Rule]", "10"}], ",", 
                RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                RowBox[{"AxesLabel", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"Re", ",", "Im"}], "}"}]}], ",", 
                RowBox[{"ImageSize", "\[Rule]", "250"}], ",", 
                RowBox[{"Epilog", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"Text", "[", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<\[DoubleStruckCapitalC]\>\"", ",", "14"}], 
                    "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], "}"}]}]}],
                "]"}]}]}], "}"}], "}"}], ",", 
          RowBox[{"Dividers", "\[Rule]", "All"}]}], "]"}], ",", "\"\< \>\"", 
        ",", 
        RowBox[{"Row", "@", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Text", "@", "\"\<function : \>\""}], ",", "14"}], "]"}],
            ",", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Text", "@", 
              RowBox[{"Dynamic", "@", 
               RowBox[{"TraditionalForm", "[", 
                RowBox[{"Chop", "@", 
                 RowBox[{"Expand", "[", 
                  RowBox[{"f", "[", "x", "]"}], "]"}]}], "]"}]}]}], ",", 
             "14"}], "]"}]}], "}"}]}], ",", 
        RowBox[{"Row", "@", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Text", "@", "\"\<roots : \>\""}], ",", "14"}], "]"}], 
           ",", 
           RowBox[{"Pane", "@", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"Text", "@", 
               RowBox[{"Dynamic", "@", 
                RowBox[{"Flatten", "[", "r", "]"}]}]}], ",", "14"}], 
             "]"}]}]}], "}"}]}], ",", 
        RowBox[{"Dynamic", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"f", "=", 
            RowBox[{"Function", "[", 
             RowBox[{"a", ",", 
              RowBox[{"N", "@", 
               RowBox[{"InterpolatingPolynomial", "[", 
                RowBox[{
                 RowBox[{"Union", "[", 
                  RowBox[{"points", ",", 
                   RowBox[{"SameTest", "\[Rule]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"First", "[", "#1", "]"}], "\[Equal]", 
                    RowBox[{"First", "[", "#2", "]"}]}], "&"}], ")"}]}]}], 
                  "]"}], ",", "a"}], "]"}]}]}], "]"}]}], ";", 
           RowBox[{"r", "=", 
            RowBox[{"Chop", "[", 
             RowBox[{"NSolve", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"f", "[", "x", "]"}], "\[Equal]", "0"}], ",", "x"}], 
              "]"}], "]"}]}], ";", "\"\< \>\""}], ",", 
          RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
           RowBox[{"{", "points", "}"}]}]}], "]"}]}], "}"}], "]"}]}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"points", ",", 
       RowBox[{"RandomInteger", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"3", ",", "2"}], "}"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "10"}], ",", 
       RowBox[{"-", "10"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "12"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"1", ",", "10"}], "}"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.390220988294532*^9, 3.390221049556979*^9}, {
   3.390221102342181*^9, 3.3902211094892693`*^9}, {3.3902211569638042`*^9, 
   3.390221210265236*^9}, {3.3902212527559767`*^9, 3.390221277539414*^9}, {
   3.390221476394371*^9, 3.39022153683854*^9}, {3.410716598972391*^9, 
   3.410716608612954*^9}},
 CellID->735644767]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`points$$ = {{-1, -5}, {0, -3}, {-3, 2}}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`points$$], {{-1, -5}, {0, -3}, {-3, 
       2}}}, {-10, -10}, {8, 12}}}, Typeset`size$$ = {519., {164.5, 169.5}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`points$924218$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`points$$ = {{-1, -5}, {0, -3}, {-3, 2}}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`points$$, $CellContext`points$924218$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      DynamicModule[{$CellContext`f, $CellContext`r}, 
        Column[{
          Grid[{{
             LocatorPane[
              Dynamic[$CellContext`points$$], 
              Graphics[
               Dynamic[
                First[
                 Plot[
                  Evaluate[
                   $CellContext`f[$CellContext`x]], {$CellContext`x, -10, 
                   10}]]], Axes -> True, PlotRange -> 10, ImageSize -> 250, 
               AxesLabel -> {"x", "y"}, Epilog -> {
                 Text[
                  Style[
                  "\!\(\*SuperscriptBox[\(\[DoubleStruckCapitalR]\), \
\(2\)]\)", 14], {-10, 10}, {-1, 1}]}], LocatorAutoCreate -> 2], 
             Deploy[
              Graphics[{Red, 
                AbsolutePointSize[7], 
                Dynamic[
                 Point[
                  ReplaceAll[
                   ReplaceAll[{
                    Re[$CellContext`x], 
                    Im[$CellContext`x]}, $CellContext`r], Alternatives[
                    Blank[Re], 
                    Blank[Im]] -> Sequence[]]]]}, PlotRange -> 10, Axes -> 
               True, AxesLabel -> {Re, Im}, ImageSize -> 250, Epilog -> {
                 Text[
                  Style["\[DoubleStruckCapitalC]", 14], {-10, 10}, {-1, 
                  1}]}]]}}, Dividers -> All], " ", 
          Row[{
            Style[
             Text["function : "], 14], 
            Style[
             Text[
              Dynamic[
               TraditionalForm[
                Chop[
                 Expand[
                  $CellContext`f[$CellContext`x]]]]]], 14]}], 
          Row[{
            Style[
             Text["roots : "], 14], 
            Pane[
             Style[
              Text[
               Dynamic[
                Flatten[$CellContext`r]]], 14]]}], 
          Dynamic[$CellContext`f = Function[$CellContext`a$, 
              N[
               InterpolatingPolynomial[
                
                Union[$CellContext`points$$, 
                 SameTest -> (First[#] == 
                  First[#2]& )], $CellContext`a$]]]; $CellContext`r = Chop[
              NSolve[$CellContext`f[$CellContext`x] == 0, $CellContext`x]]; 
           " ", TrackedSymbols :> {$CellContext`points$$}]}]], 
      "Specifications" :> {{{$CellContext`points$$, {{-1, -5}, {0, -3}, {-3, 
          2}}}, {-10, -10}, {8, 12}, ControlType -> None}}, 
      "Options" :> {AutorunSequencing -> {{1, 10}}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{563., {192., 197.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->247677453],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Polynomial Roots in the Complex Plane",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolynomialRootsInTheComplexPlane/"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/PolynomialRootsInTheComplexPlane/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
PolynomialRootsInTheComplexPlane/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolynomialRootsInTheComplexPlane/"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/PolynomialRootsInTheComplexPlane/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Faisal Mohamed",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Faisal+Mohamed"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Faisal+Mohamed"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PolynomialRootsInTheComplexPlane"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{743, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Polynomial Roots in the Complex Plane - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 229, 4, 70, "Section"],
Cell[822, 29, 7195, 180, 70, "Input",
 CellID->735644767]
}, Open  ]],
Cell[8032, 212, 3985, 94, 70, "Output",
 CellID->247677453],
Cell[CellGroupData[{
Cell[12042, 310, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[12418, 321, 988, 29, 70, "Text"],
Cell[13409, 352, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13749, 363, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[14210, 381, 829, 24, 70, "Text"],
Cell[15042, 407, 1208, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature ITzDBKKOVPtasDDgM8AfhHq3 *)
