(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     14203,        403]
NotebookOptionsPosition[     13153,        363]
NotebookOutlinePosition[     13753,        387]
CellTagsIndexPosition[     13710,        384]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Root Finder", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"roots", "=", 
       RowBox[{"Union", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Round", "[", 
           RowBox[{"#", ",", 
            SuperscriptBox["10.", 
             RowBox[{"-", "6"}]]}], "]"}], "&"}], "/@", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "/.", 
             RowBox[{"Quiet", "@", 
              RowBox[{"FindRoot", "[", 
               RowBox[{"f", ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", 
                  RowBox[{"First", "[", "#", "]"}]}], "}"}]}], "]"}]}]}], 
            "&"}], "/@", "r"}], ")"}]}], "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Plot", "[", 
      RowBox[{"f", ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "10"}], "}"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"500", ",", "350"}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<Roots found:  \>\"", ",", 
           RowBox[{"Row", "[", 
            RowBox[{"roots", ",", "\"\<    \>\""}], "]"}], ",", 
           RowBox[{"Spacer", "[", 
            RowBox[{"{", 
             RowBox[{"0", ",", "13"}], "}"}], "]"}]}], "}"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Epilog", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Purple", ",", 
          RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"Arrow", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"#", ",", ".05"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"#", ",", "0"}], "}"}]}], "}"}], "]"}], "&"}], "/@", 
           "roots"}]}], "}"}]}]}], "]"}]}], "]"}], ",", "\[IndentingNewLine]",
    
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"Sin", "[", "x", "]"}], ",", "\"\<function\>\""}], "}"}], ",", 
     
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"#", "\[Rule]", 
         RowBox[{"TraditionalForm", "[", "#", "]"}]}], ")"}], "&"}], "/@", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Sin", "[", "x", "]"}], ",", 
        RowBox[{"Tan", "[", "x", "]"}], ",", 
        RowBox[{
         RowBox[{
          SuperscriptBox[
           RowBox[{"Sin", "[", "x", "]"}], "2"], 
          RowBox[{"Cos", "[", 
           FractionBox["x", "2"], "]"}]}], "+", ".1"}], ",", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", "x"], "4000"]}], "+", 
         RowBox[{"Sin", "[", "x", "]"}]}], ",", 
        RowBox[{
         RowBox[{"Cos", "[", "x", "]"}], "-", 
         RowBox[{".1", "x"}]}]}], "}"}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"i", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "3", ",", "5", ",", "7"}], "}"}]}], "}"}]}], 
        "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", "Locator", 
     ",", 
     RowBox[{"LocatorAutoCreate", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "\[Infinity]"}], "}"}]}], ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\[FilledCircle]", ",", "Orange"}], "]"}]}]}], "}"}], ",", 
   RowBox[{"ControllerLinking", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.395780602525181*^9, 3.395780671587946*^9}, {
   3.396283405713176*^9, 3.396283413619426*^9}},
 CellID->1794126920]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`f$$ = 
    Sin[$CellContext`x], $CellContext`r$$ = {{1, 0}, {3, 0}, {5, 0}, {7, 0}}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`f$$], 
       Sin[$CellContext`x], "function"}, {
      Sin[$CellContext`x] -> TraditionalForm[
         Sin[$CellContext`x]], Tan[$CellContext`x] -> TraditionalForm[
         Tan[$CellContext`x]], 
       0.1 + Cos[Rational[1, 2] $CellContext`x] Sin[$CellContext`x]^2 -> 
       TraditionalForm[
        0.1 + Cos[Rational[1, 2] $CellContext`x] Sin[$CellContext`x]^2], 
       Rational[-1, 4000] E^$CellContext`x + Sin[$CellContext`x] -> 
       TraditionalForm[
        Rational[-1, 4000] E^$CellContext`x + 
         Sin[$CellContext`x]], (-0.1) $CellContext`x + Cos[$CellContext`x] -> 
       TraditionalForm[(-0.1) $CellContext`x + Cos[$CellContext`x]]}}, {{
       Hold[$CellContext`r$$], {{1, 0}, {3, 0}, {5, 0}, {7, 0}}}, {0, 0}, {10,
       0}}}, Typeset`size$$ = {500., {173., 177.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`f$46672$$ = False, $CellContext`r$46673$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`f$$ = 
        Sin[$CellContext`x], $CellContext`r$$ = {{1, 0}, {3, 0}, {5, 0}, {7, 
         0}}}, "ControllerVariables" :> {
        Hold[$CellContext`f$$, $CellContext`f$46672$$, False], 
        Hold[$CellContext`r$$, $CellContext`r$46673$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`roots$ = Union[
           Map[Round[#, 10.^(-6)]& , 
            Map[ReplaceAll[$CellContext`x, 
              Quiet[
               FindRoot[$CellContext`f$$, {$CellContext`x, 
                 First[#]}]]]& , $CellContext`r$$]]]}, 
        Plot[$CellContext`f$$, {$CellContext`x, 0, 10}, 
         ImageSize -> {500, 350}, PlotLabel -> Row[{"Roots found:  ", 
            Row[$CellContext`roots$, "    "], 
            Spacer[{0, 13}]}], Epilog -> {Purple, 
           Arrowheads[0.03], 
           Map[Arrow[{{#, 0.05}, {#, 0}}]& , $CellContext`roots$]}]], 
      "Specifications" :> {{{$CellContext`f$$, 
          Sin[$CellContext`x], "function"}, {
         Sin[$CellContext`x] -> TraditionalForm[
            Sin[$CellContext`x]], Tan[$CellContext`x] -> TraditionalForm[
            Tan[$CellContext`x]], 
          0.1 + Cos[Rational[1, 2] $CellContext`x] Sin[$CellContext`x]^2 -> 
          TraditionalForm[
           0.1 + Cos[Rational[1, 2] $CellContext`x] Sin[$CellContext`x]^2], 
          Rational[-1, 4000] E^$CellContext`x + Sin[$CellContext`x] -> 
          TraditionalForm[
           Rational[-1, 4000] E^$CellContext`x + 
            Sin[$CellContext`x]], (-0.1) $CellContext`x + Cos[$CellContext`x] -> 
          TraditionalForm[(-0.1) $CellContext`x + 
            Cos[$CellContext`x]]}}, {{$CellContext`r$$, {{1, 0}, {3, 0}, {5, 
          0}, {7, 0}}}, {0, 0}, {10, 0}, ControlType -> Locator, 
         LocatorAutoCreate -> {1, 
           DirectedInfinity[1]}, Appearance -> 
         Style[$CellContext`\[FilledCircle], 
           RGBColor[1, 0.5, 0]]}}, "Options" :> {ControllerLinking -> False}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {220., 225.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->30126484],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Root Finder",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RootFinder/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/RootFinder/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/RootFinder/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RootFinder/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/RootFinder/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Joe Bolte",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Joe+Bolte"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Joe+Bolte"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
RootFinder"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Root Finder - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 203, 4, 70, "Section"],
Cell[796, 29, 4070, 116, 70, "Input",
 CellID->1794126920]
}, Open  ]],
Cell[4881, 148, 4057, 79, 70, "Output",
 CellID->30126484],
Cell[CellGroupData[{
Cell[8963, 231, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9339, 242, 838, 24, 70, "Text"],
Cell[10180, 268, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10520, 279, 424, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[10969, 297, 967, 27, 70, "Text"],
Cell[11939, 326, 1186, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature kRzjX@7DKHRrKBp#uRn0kuvc *)
