(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     29292,        763]
NotebookOptionsPosition[     28254,        724]
NotebookOutlinePosition[     28857,        748]
CellTagsIndexPosition[     28814,        745]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Root Routes", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Omega]", "=", 
     RowBox[{"Complex", "[", 
      RowBox[{"Sequence", " ", "@@", " ", 
       RowBox[{"Flatten", "[", "loc1", "]"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"product", "=", 
     SuperscriptBox["\[Omega]", "2"]}], ";", "  ", "\[IndentingNewLine]", 
    RowBox[{"firstCOLOR", "=", 
     RowBox[{"If", "[", 
      RowBox[{"showRed", ",", 
       RowBox[{"Lighter", "[", 
        RowBox[{"Blue", ",", "0.5"}], "]"}], ",", 
       RowBox[{"Lighter", "[", 
        RowBox[{"Yellow", ",", "0.75"}], "]"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"N", ".", "B", ".", " ", "all"}], " ", "the", " ", "circular", 
      " ", "\"\<arcs\>\"", " ", "are", " ", "really", " ", "\"\<Disks\>\"", 
      " ", "being", " ", "masked", " ", "by", " ", "smaller", " ", "Disks"}], 
     " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Graphics", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"background", " ", "color"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Lighter", "[", 
         RowBox[{"Yellow", ",", "0.75"}], "]"}], ",", 
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "4"}], ",", 
            RowBox[{"-", "4"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"4", ",", "4"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{
         "show", " ", "components", " ", "of", " ", "\"\<red\>\"", " ", 
          "product"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{"showRed", ",", "  ", "\[IndentingNewLine]", 
          RowBox[{"(*", "T", "*)"}], 
          RowBox[{"{", 
           RowBox[{"(*", " ", 
            RowBox[{"outermost", " ", "blue", " ", "arc"}], " ", "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"firstCOLOR", ",", 
            RowBox[{"Opacity", "[", "1", "]"}], ",", 
            RowBox[{"Disk", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"1.06", "*", 
               RowBox[{"Abs", "[", "product", "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"Mod", "[", 
                 RowBox[{
                  RowBox[{"Arg", "[", "\[Omega]", "]"}], ",", 
                  RowBox[{"2", "\[Pi]"}]}], "]"}]}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", "     ", 
            RowBox[{"(*", " ", 
             RowBox[{"red", " ", "arc"}], " ", "*)"}], "\[IndentingNewLine]", 
            
            RowBox[{"Lighter", "[", 
             RowBox[{"Red", ",", "0."}], "]"}], ",", 
            RowBox[{"Opacity", "[", "1", "]"}], ",", 
            RowBox[{"Disk", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"1.0", "*", 
               RowBox[{"Abs", "[", "product", "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"Mod", "[", 
                 RowBox[{
                  RowBox[{"2", "*", 
                   RowBox[{"Arg", "[", "\[Omega]", "]"}]}], ",", 
                  RowBox[{"4", "\[Pi]"}]}], "]"}]}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", "     ", 
            RowBox[{"(*", " ", 
             RowBox[{
             "restore", " ", "yellow", " ", "bkgd", " ", "so", " ", "we", " ",
               "can", " ", "use", " ", 
              RowBox[{"Opacity", "[", "0.25", "]"}], " ", "below", " ", "to", 
              " ", "lighten", " ", 
              RowBox[{"Cyan", "/", "green"}], " ", 
              RowBox[{"regions", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
            "     ", 
            RowBox[{"(*", " ", 
             RowBox[{
             "also", " ", "needed", " ", "when", " ", "either", " ", "Cyan", 
              " ", "or", " ", "green", " ", "is", " ", "\"\<off\>\""}], " ", 
             "*)"}], "\[IndentingNewLine]", 
            RowBox[{"Lighter", "[", 
             RowBox[{"Yellow", ",", "0.75"}], "]"}], ",", 
            RowBox[{"Opacity", "[", "1", "]"}], ",", 
            RowBox[{"Disk", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"0.98", "*", 
               RowBox[{"Abs", "[", "product", "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"Mod", "[", 
                 RowBox[{
                  RowBox[{"2", "*", 
                   RowBox[{"Arg", "[", "\[Omega]", "]"}]}], ",", 
                  RowBox[{"4", "\[Pi]"}]}], "]"}]}], "}"}]}], "]"}], ",", " ",
             "\[IndentingNewLine]", "     ", 
            RowBox[{"(*", " ", 
             RowBox[{"innermost", " ", "blue", " ", "arc"}], " ", "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{"Lighter", "[", 
             RowBox[{"Blue", ",", "0.4"}], "]"}], ",", 
            RowBox[{"Opacity", "[", "1", "]"}], ",", 
            RowBox[{"Disk", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"0.98", "*", 
               RowBox[{"Abs", "[", "product", "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Mod", "[", 
                 RowBox[{
                  RowBox[{"Arg", "[", "\[Omega]", "]"}], ",", 
                  RowBox[{"2", "\[Pi]"}]}], "]"}], ",", 
                RowBox[{"Mod", "[", 
                 RowBox[{
                  RowBox[{"2", "*", 
                   RowBox[{"Arg", "[", "\[Omega]", "]"}]}], ",", 
                  RowBox[{"4", "\[Pi]"}]}], "]"}]}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", "     ", 
            RowBox[{"(*", " ", 
             RowBox[{"restore", " ", "bkgd"}], " ", "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{"Lighter", "[", 
             RowBox[{"Yellow", ",", "0.75"}], "]"}], ",", 
            RowBox[{"Opacity", "[", "1", "]"}], ",", 
            RowBox[{"Disk", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"0.94", "*", 
               RowBox[{"Abs", "[", "product", "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Mod", "[", 
                 RowBox[{
                  RowBox[{"Arg", "[", "\[Omega]", "]"}], ",", 
                  RowBox[{"2", "\[Pi]"}]}], "]"}], ",", 
                RowBox[{"Mod", "[", 
                 RowBox[{
                  RowBox[{"2", "*", 
                   RowBox[{"Arg", "[", "\[Omega]", "]"}]}], ",", 
                  RowBox[{"4", "\[Pi]"}]}], "]"}]}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
            "draw", " ", "wedge", " ", "out", " ", "to", " ", "\"\<red\>\"", 
             " ", "radius"}], " ", "*)"}], "\[IndentingNewLine]", "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"F", ",", " ", 
            RowBox[{
            "do", " ", "not", " ", "display", " ", "product", " ", 
             "components"}]}], " ", "*)"}], "\[IndentingNewLine]", 
          RowBox[{"{", "}"}]}], "\[IndentingNewLine]", "]"}], ",", " ", 
        RowBox[{"(*", " ", 
         RowBox[{"end", " ", 
          RowBox[{"If", "[", 
           RowBox[{"showRed", " ", "..."}], "]"}]}], " ", "*)"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{"showBlue", ",", 
          RowBox[{"(*", " ", 
           RowBox[{"show", " ", 
            RowBox[{"blues", "'"}], "s", " ", "argument", " ", "as", " ", 
            "blue", " ", "arc"}], " ", "*)"}], "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Lighter", "[", 
             RowBox[{"Blue", ",", "0.2"}], "]"}], ",", 
            RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
            RowBox[{"AbsoluteThickness", "[", "5", "]"}], ",", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", 
              RowBox[{"Abs", "[", "\[Omega]", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"Mod", "[", 
                 RowBox[{
                  RowBox[{"Arg", "[", "\[Omega]", "]"}], ",", 
                  RowBox[{"2", "\[Pi]"}]}], "]"}]}], "}"}]}], "]"}]}], "}"}], 
          ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"axes", ",", " ", "UnitCircle", ",", " ", 
          RowBox[{"Tick", " ", "Marks"}]}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"Lighter", "[", 
         RowBox[{"Black", ",", "0.5"}], "]"}], ",", 
        RowBox[{"AbsoluteThickness", "[", "1", "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"-", "5"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "5"}], "}"}]}], "}"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "5"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"5", ",", "0"}], "}"}]}], "}"}], "]"}], ",", " ", 
        RowBox[{"(*", " ", "axes", " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"Darker", "[", 
         RowBox[{"Blue", ",", "0.8"}], "]"}], ",", 
        RowBox[{"Circle", "[", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], "]"}], ",", " ", 
        RowBox[{"(*", " ", 
         RowBox[{"unit", " ", "circle"}], " ", "*)"}], "\[IndentingNewLine]", 
        
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{"\"\<-1\>\"", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.17"}], ",", 
              RowBox[{"-", "0.17"}]}], "}"}]}], "]"}], ",", "18"}], "]"}], 
        ",", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{"\"\<1\>\"", ",", 
            RowBox[{"{", 
             RowBox[{"1.17", ",", 
              RowBox[{"-", "0.17"}]}], "}"}]}], "]"}], ",", "18"}], "]"}], 
        ",", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{"\"\<\[ImaginaryI]\>\"", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "0.17"}], ",", "1.17"}], "}"}]}], "]"}], ",", 
          "18"}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{"\"\<-\[ImaginaryI]\>\"", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "0.17"}], ",", 
              RowBox[{"-", "1.17"}]}], "}"}]}], "]"}], ",", "18"}], "]"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"vector", " ", "arrows"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"AbsoluteThickness", "[", "2", "]"}], ",", 
        RowBox[{"Opacity", "[", "1", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Darker", "[", 
         RowBox[{"Blue", ",", "0.4"}], "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", "loc1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0.", ",", "0.1"}], "}"}]}], "]"}], ",", " ", 
        "\[IndentingNewLine]", 
        RowBox[{"Darker", "[", 
         RowBox[{"Red", ",", "0.4"}], "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Re", "[", "product", "]"}], ",", 
              RowBox[{"Im", "[", "product", "]"}]}], "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0.", ",", "0.1"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"product", " ", "as", " ", "giant", " ", "red", " ", "dot"}],
          " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"AbsolutePointSize", "[", "16", "]"}], ",", 
        RowBox[{"Darker", "[", 
         RowBox[{"Red", ",", "0.1"}], "]"}], ",", 
        RowBox[{"Opacity", "[", "1", "]"}], ",", 
        RowBox[{"Point", "[", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Re", "[", "product", "]"}], ",", 
           RowBox[{"Im", "[", "product", "]"}]}], "}"}], "]"}]}], 
       "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", "2.5"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "400"}]}], "\[IndentingNewLine]", 
     "]"}]}], ",", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"end", " ", "Graphics"}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "controls", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showBlue", ",", "True", ",", "\"\<show blue's angle\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showRed", ",", "True", ",", "\"\<show red's angle\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"loc1", ",", 
       RowBox[{"{", 
        RowBox[{"0.5", ",", "1.4"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "3"}], ",", 
       RowBox[{"-", "3"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "3"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<\[FilledCircle]\>\"", ",", "24", ",", "Blue"}], "]"}], 
       "}"}]}]}], "}"}], ",", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"basically", ",", " ", 
     RowBox[{"the", " ", "giant", " ", "blue", " ", "dot"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"dynamic", " ", "variables"}], " ", "*)"}], "\[IndentingNewLine]",
    
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"product", ",", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"0.5", "+", " ", 
          RowBox[{"\[ImaginaryI]", " ", "*", "1.4"}]}], ")"}], "2"]}], "}"}], 
     ",", "_", ",", "_", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"the", " ", "red", " ", "dot"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Omega]", ",", 
       RowBox[{"Complex", "[", 
        RowBox[{"0.5", ",", "1.4"}], "]"}]}], "}"}], ",", "_", ",", "_", ",", 
     
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"the", " ", "blue", " ", "dot", " ", "as", " ", "a", " ", 
     RowBox[{"Complex", "[", " ", "]"}]}], " ", "*)"}], "\[IndentingNewLine]",
    
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"firstCOLOR", ",", "Blue"}], "}"}], ",", "_", ",", "_", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "Options", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.388832169305558*^9, {3.388832314843889*^9, 
   3.388832333068048*^9}, {3.3888325131617517`*^9, 3.3888325219706593`*^9}, {
   3.388832589919619*^9, 3.3888326527606163`*^9}, {3.388832700244595*^9, 
   3.388832702607411*^9}, {3.388832757906375*^9, 3.388832780883369*^9}, {
   3.388833356234387*^9, 3.388833357034082*^9}, {3.3902494322345824`*^9, 
   3.3902494462033243`*^9}, {3.39073515284523*^9, 3.3907351586035104`*^9}, {
   3.391171840039784*^9, 3.391171866127296*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`firstCOLOR$$ = RGBColor[
    0.5, 0.5, 1.], $CellContext`loc1$$ = {0.5, 1.4}, $CellContext`product$$ = 
    Complex[-1.7099999999999997`, 1.4], $CellContext`showBlue$$ = 
    True, $CellContext`showRed$$ = True, $CellContext`\[Omega]$$ = Complex[
    0.5, 1.4], Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`showBlue$$], True, "show blue's angle"}, {
      True, False}}, {{
       Hold[$CellContext`showRed$$], True, "show red's angle"}, {
      True, False}}, {{
       Hold[$CellContext`loc1$$], {0.5, 1.4}}, {-3, -3}, {3, 3}}, {{
       Hold[$CellContext`product$$], 
       Complex[-1.7099999999999997`, 1.4]}, 
      Blank[], 
      Blank[]}, {{
       Hold[$CellContext`\[Omega]$$], 
       Complex[0.5, 1.4]}, 
      Blank[], 
      Blank[]}, {{
       Hold[$CellContext`firstCOLOR$$], 
       RGBColor[0.5, 0.5, 1.]}, 
      Blank[], 
      Blank[]}}, Typeset`size$$ = {400., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`showBlue$50425$$ = 
    False, $CellContext`showRed$50426$$ = False, $CellContext`loc1$50427$$ = {
    0, 0}, $CellContext`product$50428$$ = 0, $CellContext`\[Omega]$50429$$ = 
    0, $CellContext`firstCOLOR$50430$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`firstCOLOR$$ = 
        RGBColor[0.5, 0.5, 1.], $CellContext`loc1$$ = {0.5, 
         1.4}, $CellContext`product$$ = 
        Complex[-1.7099999999999997`, 1.4], $CellContext`showBlue$$ = 
        True, $CellContext`showRed$$ = True, $CellContext`\[Omega]$$ = 
        Complex[0.5, 1.4]}, "ControllerVariables" :> {
        Hold[$CellContext`showBlue$$, $CellContext`showBlue$50425$$, False], 
        Hold[$CellContext`showRed$$, $CellContext`showRed$50426$$, False], 
        Hold[$CellContext`loc1$$, $CellContext`loc1$50427$$, {0, 0}], 
        Hold[$CellContext`product$$, $CellContext`product$50428$$, 0], 
        Hold[$CellContext`\[Omega]$$, $CellContext`\[Omega]$50429$$, 0], 
        Hold[$CellContext`firstCOLOR$$, $CellContext`firstCOLOR$50430$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`\[Omega]$$ = Complex[
          Apply[Sequence, 
           
           Flatten[$CellContext`loc1$$]]]; $CellContext`product$$ = \
$CellContext`\[Omega]$$^2; $CellContext`firstCOLOR$$ = 
        If[$CellContext`showRed$$, 
          Lighter[Blue, 0.5], 
          Lighter[Yellow, 0.75]]; Graphics[{
          Lighter[Yellow, 0.75], 
          Rectangle[{-4, -4}, {4, 4}], 
          If[$CellContext`showRed$$, {$CellContext`firstCOLOR$$, 
            Opacity[1], 
            Disk[{0, 0}, 1.06 Abs[$CellContext`product$$], {0, 
              Mod[
               Arg[$CellContext`\[Omega]$$], 2 Pi]}], 
            Lighter[Red, 0.], 
            Opacity[1], 
            Disk[{0, 0}, 1. Abs[$CellContext`product$$], {0, 
              Mod[2 Arg[$CellContext`\[Omega]$$], 4 Pi]}], 
            Lighter[Yellow, 0.75], 
            Opacity[1], 
            Disk[{0, 0}, 0.98 Abs[$CellContext`product$$], {0, 
              Mod[2 Arg[$CellContext`\[Omega]$$], 4 Pi]}], 
            Lighter[Blue, 0.4], 
            Opacity[1], 
            Disk[{0, 0}, 0.98 Abs[$CellContext`product$$], {
              Mod[
               Arg[$CellContext`\[Omega]$$], 2 Pi], 
              Mod[2 Arg[$CellContext`\[Omega]$$], 4 Pi]}], 
            Lighter[Yellow, 0.75], 
            Opacity[1], 
            Disk[{0, 0}, 0.94 Abs[$CellContext`product$$], {
              Mod[
               Arg[$CellContext`\[Omega]$$], 2 Pi], 
              Mod[2 Arg[$CellContext`\[Omega]$$], 4 Pi]}]}, {}], 
          If[$CellContext`showBlue$$, {
            Lighter[Blue, 0.2], 
            Opacity[0.5], 
            AbsoluteThickness[5], 
            Circle[{0, 0}, 
             Abs[$CellContext`\[Omega]$$], {0, 
              Mod[
               Arg[$CellContext`\[Omega]$$], 2 Pi]}]}, {}], 
          Lighter[Black, 0.5], 
          AbsoluteThickness[1], 
          Line[{{0, -5}, {0, 5}}], 
          Line[{{-5, 0}, {5, 0}}], 
          Darker[Blue, 0.8], 
          Circle[{0, 0}], 
          Style[
           Text["-1", {-1.17, -0.17}], 18], 
          Style[
           Text["1", {1.17, -0.17}], 18], 
          Style[
           Text["\[ImaginaryI]", {-0.17, 1.17}], 18], 
          Style[
           Text["-\[ImaginaryI]", {-0.17, -1.17}], 18], 
          AbsoluteThickness[2], 
          Opacity[1], 
          Darker[Blue, 0.4], 
          Arrow[{{0, 0}, $CellContext`loc1$$}, {0., 0.1}], 
          Darker[Red, 0.4], 
          Arrow[{{0, 0}, {
             Re[$CellContext`product$$], 
             Im[$CellContext`product$$]}}, {0., 0.1}], 
          AbsolutePointSize[16], 
          Darker[Red, 0.1], 
          Opacity[1], 
          Point[{
            Re[$CellContext`product$$], 
            Im[$CellContext`product$$]}]}, PlotRange -> 2.5, ImageSize -> 
         400]), "Specifications" :> {{{$CellContext`showBlue$$, True, 
          "show blue's angle"}, {
         True, False}}, {{$CellContext`showRed$$, True, "show red's angle"}, {
         True, False}}, {{$CellContext`loc1$$, {0.5, 1.4}}, {-3, -3}, {3, 3}, 
         ControlType -> Locator, Appearance -> {
           Style["\[FilledCircle]", 24, 
            RGBColor[0, 0, 1]]}}, {{$CellContext`product$$, 
          Complex[-1.7099999999999997`, 1.4]}, 
         Blank[], 
         Blank[], ControlType -> None}, {{$CellContext`\[Omega]$$, 
          Complex[0.5, 1.4]}, 
         Blank[], 
         Blank[], ControlType -> None}, {{$CellContext`firstCOLOR$$, 
          RGBColor[0.5, 0.5, 1.]}, 
         Blank[], 
         Blank[], ControlType -> None}}, 
      "Options" :> {AutorunSequencing -> {1, 2, 3}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {246., 251.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->109831227],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Root Routes",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RootRoutes/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/RootRoutes/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/RootRoutes/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RootRoutes/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/RootRoutes/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["John Kiehl",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=John+Kiehl"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=John+Kiehl"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
RootRoutes"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Root Routes - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 203, 4, 70, "Section"],
Cell[796, 29, 16723, 409, 70, "Input"]
}, Open  ]],
Cell[17534, 441, 6640, 150, 70, "Output",
 CellID->109831227],
Cell[CellGroupData[{
Cell[24199, 595, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[24575, 606, 838, 24, 70, "Text"],
Cell[25416, 632, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[25756, 643, 427, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[26208, 661, 829, 24, 70, "Text"],
Cell[27040, 687, 1186, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature TRNR418kY@5JnADW6nFVYIjJ *)
