(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     26438,        691]
NotebookOptionsPosition[     25287,        648]
NotebookOutlinePosition[     25905,        672]
CellTagsIndexPosition[     25862,        669]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Secant Root Finding Method", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"secantSteps", "[", 
   RowBox[{"\[Lambda]_", ",", " ", 
    RowBox[{"{", 
     RowBox[{"c0_", ",", " ", "c1_", ",", " ", "c2_", ",", " ", "c3_"}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Xi]0_", ",", "\[Xi]1_"}], "}"}]}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"poly", ",", "pl", ",", "x0", ",", "x1", ",", "xValues"}], "}"}],
     ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"poly", "[", "x_", "]"}], " ", "=", "  ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"c0", ",", " ", "c1", ",", " ", "c2", ",", " ", "c3"}], "}"}],
        ".", 
       RowBox[{"x", "^", 
        RowBox[{"(", 
         RowBox[{"Range", "[", 
          RowBox[{"0", ",", " ", "3"}], "]"}], ")"}]}]}]}], ";", "\n", 
     RowBox[{"pl", " ", "=", " ", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"poly", "[", "x", "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", 
          RowBox[{"-", "2"}], ",", " ", "2"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", "Gray", "}"}]}], ",", " ", 
        RowBox[{"PlotRange", " ", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}]}], "]"}]}], ";",
      "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x0", ",", "x1"}], "}"}], "=", 
      RowBox[{"Rationalize", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\[Xi]0", ",", "\[Xi]1"}], "}"}], ",", 
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"x0", "\[Equal]", "x1"}], ",", 
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"x0", ",", "x1"}], "}"}], "}"}], ",", "\n", 
        RowBox[{"xValues", " ", "=", " ", 
         RowBox[{
          RowBox[{"NestList", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], " ", "-", " ", 
                RowBox[{
                 RowBox[{"poly", "[", 
                  RowBox[{"#", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}], 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ")"}], "/", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"poly", "[", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "-", 
                    RowBox[{"poly", "[", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ")"}]}]}]}], ",",
                
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "&"}], ",", " ", 
            RowBox[{"{", 
             RowBox[{"x0", ",", " ", "x1"}], "}"}], ",", " ", "\[Lambda]"}], 
           " ", "]"}], "  ", "//", " ", "N"}]}]}], "]"}], "//", "Quiet"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"xValues", "=", 
      RowBox[{"DeleteCases", "[", 
       RowBox[{"xValues", ",", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Indeterminate", " ", ",", "_"}], "}"}], " ", "|", " ", 
         RowBox[{"{", 
          RowBox[{"_", ",", "Indeterminate"}], " ", "}"}]}]}], " ", "]"}]}], 
     ";", "\n", 
     RowBox[{"Show", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"pl", ",", "\[IndentingNewLine]", 
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", "0.01", "]"}], ",", " ", 
              RowBox[{
               RowBox[{
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{"#", ",", " ", "0"}], "}"}], "]"}], "&"}], " ", "/@",
                " ", 
               RowBox[{"Flatten", "[", "xValues", "]"}]}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", "0.002", "]"}], ",", " ", 
              RowBox[{"MapIndexed", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Hue", "[", 
                    RowBox[{"0.76", 
                    RowBox[{
                    RowBox[{"#2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "/", "\[Lambda]"}]}], 
                    "]"}], ",", 
                   RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", " ", 
                    RowBox[{"poly", "[", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", " ", 
                    RowBox[{"poly", "[", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}]}], "}"}], 
                    "]"}]}], "}"}], "&"}], " ", ",", "xValues"}], "]"}]}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Thickness", "[", "0.002", "]"}], ",", " ", "Black", 
              ",", 
              RowBox[{"Line", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"#", ",", " ", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"#", ",", " ", 
                    RowBox[{"poly", "[", "#", "]"}]}], "}"}]}], "}"}], "&"}], 
                " ", "/@", " ", 
                RowBox[{"Flatten", "[", "xValues", "]"}]}], "]"}]}], "}"}]}], 
           "\[IndentingNewLine]", "}"}], "]"}]}], "\[IndentingNewLine]", 
        "}"}], ",", 
       RowBox[{"Axes", "\[Rule]", "True"}], ",", 
       RowBox[{"Frame", "\[Rule]", "True"}], ",", " ", 
       RowBox[{"PlotRange", " ", "\[Rule]", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"500", ",", "300"}], "}"}]}]}], "]"}]}]}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.3497175638558*^9, 3.34971766373776*^9}, {
   3.34971771199206*^9, 3.34971775951375*^9}, {3.34971797324584*^9, 
   3.34971798577849*^9}, {3.34971897659418*^9, 3.34971899809392*^9}, {
   3.349719149781*^9, 3.34971915046856*^9}, {3.34971931826655*^9, 
   3.3497193230975*^9}, {3.34971953147899*^9, 3.34971958709842*^9}, {
   3.34971961845833*^9, 3.34971962585695*^9}, {3.34971971212987*^9, 
   3.34971974355018*^9}, 3.34971978952749*^9, {3.34972013852323*^9, 
   3.34972019918754*^9}, {3.349720229283*^9, 3.34972040066842*^9}, {
   3.34972052930183*^9, 3.34972056264013*^9}, {3.34978918697894*^9, 
   3.34978927937696*^9}, {3.34978935687649*^9, 3.34978941979743*^9}, 
   3.34978949303314*^9, {3.3572402814375*^9, 3.3572403460625*^9}, {
   3.388603517453125*^9, 3.388603518203125*^9}},
 CellID->23089127],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"x0", "\[Equal]", "x1"}], ",", 
      RowBox[{"x1", "=", 
       RowBox[{"x1", "+", ".01"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"secantSteps", "[", 
     RowBox[{"\[Lambda]", " ", ",", " ", 
      RowBox[{"{", 
       RowBox[{"c0", ",", " ", "c1", ",", " ", "c2", ",", " ", "c3"}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"x0", ",", "x1"}], "}"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Lambda]", ",", "6", ",", "\"\<steps\>\""}], "}"}], ",", "1", 
     ",", "12", ",", " ", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", " ", 
       RowBox[{"-", "1"}], ",", 
       "\"\<\!\(\*SubscriptBox[\(x\), \(0\)]\)\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "2"}], ",", " ", "2"}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "x1", ",", " ", "1", ",", 
       "\"\<\!\(\*SubscriptBox[\(x\), \(1\)]\)\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "2"}], ",", " ", "2"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c0", ",", " ", 
       RowBox[{"-", "0.5"}], ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(0\)]\)\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "1"}], ",", " ", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c1", ",", 
       RowBox[{"-", "0.6"}], ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(1\)]\)\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "1"}], ",", " ", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "c2", ",", " ", "1", ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(2\)]\)\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "1"}], ",", " ", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "c3", ",", " ", "0.7", ",", " ", 
       "\"\<\!\(\*SubscriptBox[\(c\), \(3\)]\)\>\""}], "}"}], ",", " ", 
     RowBox[{"-", "1"}], ",", " ", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "Top", ",", "Top", ",", "Top", ",", "Bottom", ",", "Bottom", ",", 
      "Bottom", ",", "Bottom"}], "}"}]}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.35342773637136*^9, 3.35342774569942*^9}, {
  3.36251750090625*^9, 3.36251751357813*^9}, {3.36353996729803*^9, 
  3.36354000370422*^9}, {3.388603492765625*^9, 3.38860349425*^9}, {
  3.38860412953125*^9, 3.38860419253125*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`c0$$ = -0.5, $CellContext`c1$$ = -0.6, \
$CellContext`c2$$ = 1, $CellContext`c3$$ = 
    0.7, $CellContext`x0$$ = -1, $CellContext`x1$$ = 
    1, $CellContext`\[Lambda]$$ = 6, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Lambda]$$], 6, "steps"}, 1, 12, 1}, {{
       Hold[$CellContext`x0$$], -1, "\!\(\*SubscriptBox[\(x\), \(0\)]\)"}, -2,
       2}, {{
       Hold[$CellContext`x1$$], 1, "\!\(\*SubscriptBox[\(x\), \(1\)]\)"}, -2, 
      2}, {{
       Hold[$CellContext`c0$$], -0.5, 
       "\!\(\*SubscriptBox[\(c\), \(0\)]\)"}, -1, 1}, {{
       Hold[$CellContext`c1$$], -0.6, 
       "\!\(\*SubscriptBox[\(c\), \(1\)]\)"}, -1, 1}, {{
       Hold[$CellContext`c2$$], 1, "\!\(\*SubscriptBox[\(c\), \(2\)]\)"}, -1, 
      1}, {{
       Hold[$CellContext`c3$$], 0.7, 
       "\!\(\*SubscriptBox[\(c\), \(3\)]\)"}, -1, 1}}, Typeset`size$$ = {
    500., {148., 152.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`\[Lambda]$539262$$ = 
    0, $CellContext`x0$539263$$ = 0, $CellContext`x1$539264$$ = 
    0, $CellContext`c0$539265$$ = 0, $CellContext`c1$539266$$ = 
    0, $CellContext`c2$539267$$ = 0, $CellContext`c3$539268$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`c0$$ = -0.5, $CellContext`c1$$ = -0.6, \
$CellContext`c2$$ = 1, $CellContext`c3$$ = 
        0.7, $CellContext`x0$$ = -1, $CellContext`x1$$ = 
        1, $CellContext`\[Lambda]$$ = 6}, "ControllerVariables" :> {
        Hold[$CellContext`\[Lambda]$$, $CellContext`\[Lambda]$539262$$, 0], 
        Hold[$CellContext`x0$$, $CellContext`x0$539263$$, 0], 
        Hold[$CellContext`x1$$, $CellContext`x1$539264$$, 0], 
        Hold[$CellContext`c0$$, $CellContext`c0$539265$$, 0], 
        Hold[$CellContext`c1$$, $CellContext`c1$539266$$, 0], 
        Hold[$CellContext`c2$$, $CellContext`c2$539267$$, 0], 
        Hold[$CellContext`c3$$, $CellContext`c3$539268$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`x0$$ == $CellContext`x1$$, $CellContext`x1$$ = \
$CellContext`x1$$ + 
          0.01]; $CellContext`secantSteps[$CellContext`\[Lambda]$$, \
{$CellContext`c0$$, $CellContext`c1$$, $CellContext`c2$$, $CellContext`c3$$}, \
{$CellContext`x0$$, $CellContext`x1$$}]), 
      "Specifications" :> {{{$CellContext`\[Lambda]$$, 6, "steps"}, 1, 12, 
         1}, {{$CellContext`x0$$, -1, 
          "\!\(\*SubscriptBox[\(x\), \(0\)]\)"}, -2, 
         2}, {{$CellContext`x1$$, 1, 
          "\!\(\*SubscriptBox[\(x\), \(1\)]\)"}, -2, 
         2}, {{$CellContext`c0$$, -0.5, 
          "\!\(\*SubscriptBox[\(c\), \(0\)]\)"}, -1, 
         1}, {{$CellContext`c1$$, -0.6, 
          "\!\(\*SubscriptBox[\(c\), \(1\)]\)"}, -1, 
         1}, {{$CellContext`c2$$, 1, 
          "\!\(\*SubscriptBox[\(c\), \(2\)]\)"}, -1, 
         1}, {{$CellContext`c3$$, 0.7, 
          "\!\(\*SubscriptBox[\(c\), \(3\)]\)"}, -1, 1}}, 
      "Options" :> {
       ControlPlacement -> {Top, Top, Top, Bottom, Bottom, Bottom, Bottom}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {274., 279.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`secantSteps[
          Pattern[$CellContext`\[Lambda], 
           Blank[]], {
           Pattern[$CellContext`c0, 
            Blank[]], 
           Pattern[$CellContext`c1, 
            Blank[]], 
           Pattern[$CellContext`c2, 
            Blank[]], 
           Pattern[$CellContext`c3, 
            Blank[]]}, {
           Pattern[$CellContext`\[Xi]0, 
            Blank[]], 
           Pattern[$CellContext`\[Xi]1, 
            Blank[]]}] := 
        Module[{$CellContext`poly, $CellContext`pl, $CellContext`x0, \
$CellContext`x1, $CellContext`xValues}, $CellContext`poly[
             Pattern[$CellContext`x, 
              Blank[]]] = 
           Dot[{$CellContext`c0, $CellContext`c1, $CellContext`c2, \
$CellContext`c3}, $CellContext`x^Range[0, 3]]; $CellContext`pl = Plot[
             $CellContext`poly[$CellContext`x], {$CellContext`x, -2, 2}, 
             PlotStyle -> {Gray}, 
             PlotRange -> {{-2, 2}, {-6, 
              6}}]; {$CellContext`x0, $CellContext`x1} = 
           Rationalize[{$CellContext`\[Xi]0, $CellContext`\[Xi]1}, 10^(-6)]; 
          Quiet[
            
            If[$CellContext`x0 == $CellContext`x1, {{$CellContext`x0, \
$CellContext`x1}}, $CellContext`xValues = N[
               NestList[{Part[#, 1] - $CellContext`poly[
                   Part[#, 1]] ((Part[#, 1] - Part[#, 2])/($CellContext`poly[
                    Part[#, 1]] - $CellContext`poly[
                   Part[#, 2]])), 
                 
                 Part[#, 
                  1]}& , {$CellContext`x0, $CellContext`x1}, $CellContext`\
\[Lambda]]]]]; $CellContext`xValues = DeleteCases[$CellContext`xValues, 
             Alternatives[{Indeterminate, 
               Blank[]}, {
               Blank[], Indeterminate}]]; Show[{$CellContext`pl, 
             Graphics[{{
                PointSize[0.01], 
                Map[Point[{#, 0}]& , 
                 Flatten[$CellContext`xValues]]}, {
                Thickness[0.002], 
                MapIndexed[{
                  Hue[0.76 (Part[#2, 1]/$CellContext`\[Lambda])], 
                  Line[{{
                    Part[#, 1], 
                    $CellContext`poly[
                    Part[#, 1]]}, {
                    Part[#, 2], 
                    $CellContext`poly[
                    Part[#, 2]]}}]}& , $CellContext`xValues]}, {
                Thickness[0.002], Black, 
                Line[
                 Map[{{#, 0}, {#, 
                    $CellContext`poly[#]}}& , 
                  Flatten[$CellContext`xValues]]]}}]}, Axes -> True, Frame -> 
            True, PlotRange -> {{-2, 2}, {-4, 4}}, ImageSize -> {500, 300}]], 
        Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`secantSteps[
           Pattern[$CellContext`\[Lambda], 
            Blank[]], {
            Pattern[$CellContext`c0, 
             Blank[]], 
            Pattern[$CellContext`c1, 
             Blank[]], 
            Pattern[$CellContext`c2, 
             Blank[]], 
            Pattern[$CellContext`c3, 
             Blank[]]}, {
            Pattern[$CellContext`\[Xi]0, 
             Blank[]], 
            Pattern[$CellContext`\[Xi]1, 
             Blank[]]}] := 
         Module[{$CellContext`poly, $CellContext`pl, $CellContext`x0, \
$CellContext`x1, $CellContext`xValues}, $CellContext`poly[
              Pattern[$CellContext`x, 
               Blank[]]] = 
            Dot[{$CellContext`c0, $CellContext`c1, $CellContext`c2, \
$CellContext`c3}, $CellContext`x^Range[0, 3]]; $CellContext`pl = Plot[
              $CellContext`poly[$CellContext`x], {$CellContext`x, -2, 2}, 
              PlotStyle -> {Gray}, 
              PlotRange -> {{-2, 2}, {-6, 
               6}}]; {$CellContext`x0, $CellContext`x1} = 
            Rationalize[{$CellContext`\[Xi]0, $CellContext`\[Xi]1}, 10^(-6)]; 
           Quiet[
             
             If[$CellContext`x0 == $CellContext`x1, {{$CellContext`x0, \
$CellContext`x1}}, $CellContext`xValues = N[
                NestList[{Part[#, 1] - $CellContext`poly[
                    Part[#, 1]] ((Part[#, 1] - Part[#, 2])/($CellContext`poly[
                    
                    Part[#, 1]] - $CellContext`poly[
                    Part[#, 2]])), 
                  
                  Part[#, 
                   1]}& , {$CellContext`x0, $CellContext`x1}, $CellContext`\
\[Lambda]]]]]; $CellContext`xValues = DeleteCases[$CellContext`xValues, 
              Alternatives[{Indeterminate, 
                Blank[]}, {
                Blank[], Indeterminate}]]; Show[{$CellContext`pl, 
              Graphics[{{
                 PointSize[0.01], 
                 Map[Point[{#, 0}]& , 
                  Flatten[$CellContext`xValues]]}, {
                 Thickness[0.002], 
                 MapIndexed[{
                   Hue[0.76 (Part[#2, 1]/$CellContext`\[Lambda])], 
                   Line[{{
                    Part[#, 1], 
                    $CellContext`poly[
                    Part[#, 1]]}, {
                    Part[#, 2], 
                    $CellContext`poly[
                    Part[#, 2]]}}]}& , $CellContext`xValues]}, {
                 Thickness[0.002], Black, 
                 Line[
                  Map[{{#, 0}, {#, 
                    $CellContext`poly[#]}}& , 
                   Flatten[$CellContext`xValues]]]}}]}, Axes -> True, Frame -> 
             True, PlotRange -> {{-2, 2}, {-4, 4}}, 
             ImageSize -> {500, 300}]]}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->65627069],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Secant Root Finding Method",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SecantRootFindingMethod/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SecantRootFindingMethod/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/SecantRootFindingMethod/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SecantRootFindingMethod/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SecantRootFindingMethod/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Michael Trott",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Michael+Trott"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Michael+Trott"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->159101799],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
SecantRootFindingMethod"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Secant Root Finding Method - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 218, 4, 70, "Section"],
Cell[811, 29, 7976, 202, 70, "Input",
 CellID->23089127],
Cell[8790, 233, 2787, 74, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[11592, 310, 9493, 204, 70, "Output",
 CellID->65627069],
Cell[CellGroupData[{
Cell[21110, 518, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[21486, 529, 918, 24, 70, "Text"],
Cell[22407, 555, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[22747, 566, 456, 15, 70, "Text",
 CellID->159101799],
Cell[CellGroupData[{
Cell[23228, 585, 829, 24, 70, "Text"],
Cell[24060, 611, 1199, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature GT4Gp6xhAdgN#C0#BTnaUWsC *)
