(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     12884,        370]
NotebookOptionsPosition[     11745,        327]
NotebookOutlinePosition[     12362,        351]
CellTagsIndexPosition[     12319,        348]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Sliding the Roots of Cubics", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"nice", "[", "d_", "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{"d", "-", 
        RowBox[{"Round", "[", "d", "]"}]}], "]"}], "<", ".001"}], ",", 
     RowBox[{"Round", "[", "d", "]"}], ",", "d"}], "]"}]}], ";"}]], "Input",
 CellID->24470059],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"func", "=", 
       RowBox[{
        RowBox[{"x", "^", "3"}], "+", 
        RowBox[{
         RowBox[{"nice", "[", "a", "]"}], " ", 
         RowBox[{"x", "^", "2"}]}], "+", 
        RowBox[{
         RowBox[{"nice", "[", "b", "]"}], " ", "x"}], "+", 
        RowBox[{"nice", "[", "c", "]"}]}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "rts", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"rts", "=", 
         RowBox[{"NSolve", "[", 
          RowBox[{
           RowBox[{"func", "\[Equal]", "0"}], ",", "x"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Re", "[", "x", "]"}], ",", 
             RowBox[{"Im", "[", "x", "]"}]}], "}"}], "/.", "rts"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"PointSize", "[", "0.03", "]"}]}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"400", ",", "400"}], "}"}]}], ",", 
          RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
          RowBox[{"PlotLabel", "\[Rule]", "func"}]}], "]"}]}]}], "]"}]}], 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "0", ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<coefficient of \>\"", ",", 
          RowBox[{"Superscript", "[", 
           RowBox[{"\"\<x\>\"", ",", "2"}], "]"}]}], "}"}], "]"}]}], "}"}], 
     ",", 
     RowBox[{"-", "4"}], ",", "4", ",", ".1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "0", ",", "\"\<coefficient of x\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"-", "1"}], ",", "\"\<constant term\>\""}], "}"}], ",", 
     RowBox[{"-", "15"}], ",", "15", ",", ".1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0, $CellContext`b$$ = 
    2., $CellContext`c$$ = -1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 0, 
       Row[{"coefficient of ", 
         Superscript["x", 2]}]}, -4, 4, 0.1}, {{
       Hold[$CellContext`b$$], 0, "coefficient of x"}, -10, 10, 0.1}, {{
       Hold[$CellContext`c$$], -1, "constant term"}, -15, 15, 0.1}}, 
    Typeset`size$$ = {400., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`a$154109$$ = 0, $CellContext`b$154110$$ = 
    0, $CellContext`c$154111$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 0, $CellContext`b$$ = 
        0, $CellContext`c$$ = -1}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$154109$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$154110$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$154111$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`func = $CellContext`x^3 + \
$CellContext`nice[$CellContext`a$$] $CellContext`x^2 + \
$CellContext`nice[$CellContext`b$$] $CellContext`x + \
$CellContext`nice[$CellContext`c$$]}, 
        Module[{$CellContext`rts}, $CellContext`rts = 
          NSolve[$CellContext`func == 0, $CellContext`x]; ListPlot[
           ReplaceAll[{
             Re[$CellContext`x], 
             Im[$CellContext`x]}, $CellContext`rts], PlotStyle -> 
           PointSize[0.03], PlotRange -> {{-6, 6}, {-6, 6}}, 
           ImageSize -> {400, 400}, AspectRatio -> 1, 
           PlotLabel -> $CellContext`func]]], 
      "Specifications" :> {{{$CellContext`a$$, 0, 
          Row[{"coefficient of ", 
            Superscript["x", 2]}]}, -4, 4, 0.1, Appearance -> 
         "Labeled"}, {{$CellContext`b$$, 0, "coefficient of x"}, -10, 10, 0.1,
          Appearance -> 
         "Labeled"}, {{$CellContext`c$$, -1, "constant term"}, -15, 15, 0.1, 
         Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {268., 273.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`nice[
          Pattern[$CellContext`d, 
           Blank[]]] := 
        If[Abs[$CellContext`d - Round[$CellContext`d]] < 0.001, 
          Round[$CellContext`d], $CellContext`d], 
        Attributes[PlotRange] = {ReadProtected}, 
        Attributes[Superscript] = {NHoldRest, ReadProtected}}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`nice[
            Pattern[$CellContext`d, 
             Blank[]]] := 
          If[Abs[$CellContext`d - Round[$CellContext`d]] < 0.001, 
            Round[$CellContext`d], $CellContext`d]; Null}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->32198521],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Sliding the Roots of Cubics",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SlidingTheRootsOfCubics/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SlidingTheRootsOfCubics/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/SlidingTheRootsOfCubics/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/SlidingTheRootsOfCubics/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/SlidingTheRootsOfCubics/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Robert Baillie",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Robert+Baillie"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Robert+Baillie"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->95413255],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
SlidingTheRootsOfCubics"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Sliding the Roots of Cubics - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 219, 4, 70, "Section"],
Cell[812, 29, 349, 11, 70, "Input",
 CellID->24470059],
Cell[1164, 42, 2812, 75, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[3991, 120, 3552, 73, 70, "Output",
 CellID->32198521],
Cell[CellGroupData[{
Cell[7568, 197, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[7944, 208, 919, 24, 70, "Text"],
Cell[8866, 234, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9206, 245, 455, 15, 70, "Text",
 CellID->95413255],
Cell[CellGroupData[{
Cell[9686, 264, 829, 24, 70, "Text"],
Cell[10518, 290, 1199, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature QRNInC#AgseLvB0VkjUyIHVr *)
