(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     19021,        515]
NotebookOptionsPosition[     17903,        474]
NotebookOutlinePosition[     18530,        498]
CellTagsIndexPosition[     18487,        495]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Two Geometric Views of Newton's Method", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"newton", "[", 
    RowBox[{"f_", ",", "x0_", ",", "a_", ",", "b_", ",", "n_"}], "]"}], ":=", 
   
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"list", "=", 
       RowBox[{"NestList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"#", "-", 
           FractionBox[
            RowBox[{"f", "[", "#", "]"}], 
            RowBox[{
             RowBox[{"f", "'"}], "[", "#", "]"}]]}], " ", "&"}], ",", "x0", 
         ",", "n"}], "]"}]}], "}"}], ",", 
     RowBox[{"Grid", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"f", "[", "x", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
           RowBox[{"Epilog", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Arrowheads", "[", "Small", "]"}], ",", 
                RowBox[{"Arrow", "[", 
                 RowBox[{"Most", "[", 
                  RowBox[{"Flatten", "[", 
                   RowBox[{
                    RowBox[{"Map", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"#", ",", 
                    RowBox[{"f", "[", "#", "]"}]}], "}"}]}], "}"}], " ", 
                    "&"}], ",", "list"}], "]"}], ",", "1"}], "]"}], "]"}], 
                 "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{"x0", ",", "0"}], "}"}], "]"}]}], "}"}]}], "}"}]}], 
           ",", 
           RowBox[{"ImageSize", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"300", ",", "190"}], "}"}]}]}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"x", "-", 
            FractionBox[
             RowBox[{"f", "[", "x", "]"}], 
             RowBox[{
              RowBox[{"f", "'"}], "[", "x", "]"}]]}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
           RowBox[{"Exclusions", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"f", "'"}], "[", "x", "]"}], "\[Equal]", "0"}], 
             "}"}]}], ",", 
           RowBox[{"Epilog", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Arrowheads", "[", "Small", "]"}], ",", 
                RowBox[{"Arrow", "[", 
                 RowBox[{"Partition", "[", 
                  RowBox[{
                   RowBox[{"Drop", "[", 
                    RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Map", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#", ",", "#", ",", "#", ",", "#"}], "}"}], " ", 
                    "&"}], ",", "list"}], "]"}], "]"}], ",", "1"}], "]"}], 
                   ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"a", ",", "a"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"b", ",", "b"}], "}"}]}], "}"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{"x0", ",", "x0"}], "}"}], "]"}]}], "}"}]}], "}"}]}],
            ",", 
           RowBox[{"ImageSize", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"300", ",", "190"}], "}"}]}]}], "]"}], "}"}]}], "}"}], 
      "]"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.3891100929501953`*^9, 3.389110168697899*^9}, {
   3.389110251414109*^9, 3.389110257830744*^9}, {3.389110339680138*^9, 
   3.3891103673423033`*^9}, {3.3891104698059*^9, 3.389110505445944*^9}, {
   3.3891106009940243`*^9, 3.389110625601631*^9}, {3.3891108212006063`*^9, 
   3.389110821860094*^9}, 3.389110853403562*^9, 3.389110902905054*^9, {
   3.389110959701709*^9, 3.3891110504467278`*^9}, {3.389111154764299*^9, 
   3.3891111552428637`*^9}, {3.389111214429064*^9, 3.389111242045176*^9}, {
   3.38911161164639*^9, 3.389111709813813*^9}, {3.389131462308544*^9, 
   3.389131523842971*^9}, {3.3891321588454103`*^9, 3.389132231460725*^9}, {
   3.389132592880826*^9, 3.389132593965283*^9}, {3.389191997222228*^9, 
   3.389191997683835*^9}, {3.389192549820342*^9, 3.389192578553709*^9}, {
   3.38919324237409*^9, 3.389193245078624*^9}, {3.3891933137292128`*^9, 
   3.389193314031621*^9}, {3.389193498685197*^9, 3.389193511931995*^9}, {
   3.389193982278858*^9, 3.389194010254014*^9}, {3.389194040285378*^9, 
   3.389194046105947*^9}, {3.3891942769732313`*^9, 3.389194287180081*^9}, {
   3.3891955702060547`*^9, 3.389195584323374*^9}, {3.3891962529976377`*^9, 
   3.389196265915175*^9}, {3.38919636063214*^9, 3.3891964213888483`*^9}, {
   3.389196935796631*^9, 3.3891969725323763`*^9}, {3.389197046376821*^9, 
   3.389197080501129*^9}, {3.390346176754026*^9, 3.3903462258640547`*^9}, {
   3.3903462794743433`*^9, 3.390346289479987*^9}, {3.390397290414628*^9, 
   3.390397362492824*^9}, {3.390397762976151*^9, 3.390397774583432*^9}, {
   3.390398165490974*^9, 3.390398172639984*^9}, 3.390398317963621*^9, 
   3.390424045448634*^9, 3.390426290002241*^9, 3.39051558715625*^9, {
   3.390515628078125*^9, 3.390515703875*^9}, {3.3905654974191027`*^9, 
   3.3905655461534777`*^9}},
 CellID->632094356],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"newton", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"4", "\[Pi]", " ", 
        SuperscriptBox["#", "4"]}], "]"}], " ", "&"}], ",", "x0", ",", "0.0", 
     ",", "0.78", ",", "n"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", "0.5"}], "}"}], ",", "0.01", ",", "0.77"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}], 
     ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.390424094497292*^9, 3.3904240979435377`*^9}, {
   3.390424354202004*^9, 3.390424355269064*^9}, 3.390426301841054*^9, {
   3.3904263799326*^9, 3.390426391125557*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 2, $CellContext`x0$$ = 0.5, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x0$$], 0.5}, 0.01, 0.77}, {{
       Hold[$CellContext`n$$], 2}, {0, 1, 2, 3, 4, 5}}}, Typeset`size$$ = {
    300., {190., 195.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`x0$4445$$ = 
    0, $CellContext`n$4446$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`n$$ = 2, $CellContext`x0$$ = 0.5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x0$$, $CellContext`x0$4445$$, 0], 
        Hold[$CellContext`n$$, $CellContext`n$4446$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`newton[
       Sin[4 Pi #^4]& , $CellContext`x0$$, 0., 0.78, $CellContext`n$$], 
      "Specifications" :> {{{$CellContext`x0$$, 0.5}, 0.01, 
         0.77}, {{$CellContext`n$$, 2}, {0, 1, 2, 3, 4, 5}, ControlType -> 
         SetterBar}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{344., {246., 251.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`newton[
          Pattern[$CellContext`f, 
           Blank[]], 
          Pattern[$CellContext`x0, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`n, 
           Blank[]]] := 
        Module[{$CellContext`list = 
           NestList[# - $CellContext`f[#]/Derivative[1][$CellContext`f][#]& , 
             $CellContext`x0, $CellContext`n]}, 
          Grid[{{
             Plot[
              $CellContext`f[$CellContext`x], {$CellContext`x, \
$CellContext`a, $CellContext`b}, Epilog -> {{
                 Arrowheads[Small], 
                 Arrow[
                  Most[
                   Flatten[
                    Map[{{#, 0}, {#, 
                    $CellContext`f[#]}}& , $CellContext`list], 1]]]}, {
                 PointSize[0.015], 
                 Point[{$CellContext`x0, 0}]}}, ImageSize -> {300, 190}]}, {
             
             Plot[$CellContext`x - $CellContext`f[$CellContext`x]/Derivative[
              1][$CellContext`f][$CellContext`x], {$CellContext`x, \
$CellContext`a, $CellContext`b}, 
              Exclusions -> {
               Derivative[1][$CellContext`f][$CellContext`x] == 0}, 
              Epilog -> {{
                 Arrowheads[Small], 
                 Arrow[
                  Partition[
                   Drop[
                    Flatten[
                    Map[{#, #, #, #}& , $CellContext`list]], 1], 2]]}, 
                
                Line[{{$CellContext`a, $CellContext`a}, {$CellContext`b, \
$CellContext`b}}], {
                 PointSize[0.015], 
                 Point[{$CellContext`x0, $CellContext`x0}]}}, 
              ImageSize -> {300, 190}]}}]], 
        Attributes[Derivative] = {NHoldAll, ReadProtected}}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`newton[
            Pattern[$CellContext`f, 
             Blank[]], 
            Pattern[$CellContext`x0, 
             Blank[]], 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]], 
            Pattern[$CellContext`n, 
             Blank[]]] := 
          Module[{$CellContext`list = 
             NestList[# - $CellContext`f[#]/Derivative[
               1][$CellContext`f][#]& , $CellContext`x0, $CellContext`n]}, 
            Grid[{{
               Plot[
                $CellContext`f[$CellContext`x], {$CellContext`x, \
$CellContext`a, $CellContext`b}, Epilog -> {{
                   Arrowheads[Small], 
                   Arrow[
                    Most[
                    Flatten[
                    Map[{{#, 0}, {#, 
                    $CellContext`f[#]}}& , $CellContext`list], 1]]]}, {
                   PointSize[0.015], 
                   Point[{$CellContext`x0, 0}]}}, ImageSize -> {300, 190}]}, {
              
               
               Plot[$CellContext`x - $CellContext`f[$CellContext`x]/
                Derivative[
                1][$CellContext`f][$CellContext`x], {$CellContext`x, \
$CellContext`a, $CellContext`b}, 
                Exclusions -> {
                 Derivative[1][$CellContext`f][$CellContext`x] == 0}, 
                Epilog -> {{
                   Arrowheads[Small], 
                   Arrow[
                    Partition[
                    Drop[
                    Flatten[
                    Map[{#, #, #, #}& , $CellContext`list]], 1], 2]]}, 
                  
                  Line[{{$CellContext`a, $CellContext`a}, {$CellContext`b, \
$CellContext`b}}], {
                   PointSize[0.015], 
                   Point[{$CellContext`x0, $CellContext`x0}]}}, 
                ImageSize -> {300, 190}]}}]]; Null}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->86415106],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Two Geometric Views of Newton's Method",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TwoGeometricViewsOfNewtonsMethod/"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/TwoGeometricViewsOfNewtonsMethod/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
TwoGeometricViewsOfNewtonsMethod/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TwoGeometricViewsOfNewtonsMethod/"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/TwoGeometricViewsOfNewtonsMethod/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Bruce Atwood",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Bruce+Atwood"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Bruce+Atwood"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TwoGeometricViewsOfNewtonsMethod"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Two Geometric Views of Newton's Method - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 230, 4, 70, "Section"],
Cell[823, 29, 5993, 138, 70, "Input",
 CellID->632094356],
Cell[6819, 169, 979, 27, 70, "Input"]
}, Open  ]],
Cell[7813, 199, 5693, 134, 70, "Output",
 CellID->86415106],
Cell[CellGroupData[{
Cell[13531, 337, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13907, 348, 989, 29, 70, "Text"],
Cell[14899, 379, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15239, 390, 433, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[15697, 408, 967, 27, 70, "Text"],
Cell[16667, 437, 1208, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature wTzZ#8MzxvR3rCpZQIwBjLaS *)
