(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     17495,        488]
NotebookOptionsPosition[     16384,        447]
NotebookOutlinePosition[     17024,        471]
CellTagsIndexPosition[     16981,        468]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Largest Isosceles Triangle Inscribed in a Circle", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"ColorData", "[", 
            RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], ",", 
           "Thick", ",", 
           RowBox[{"Circle", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}], ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", 
           RowBox[{"Polygon", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"X", "[", "\[Theta]", "]"}]}], ",", 
                RowBox[{"-", 
                 SqrtBox[
                  RowBox[{"1", "-", 
                   SuperscriptBox[
                    RowBox[{"X", "[", "\[Theta]", "]"}], "2"]}]]}]}], "}"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"X", "[", "\[Theta]", "]"}], ",", 
                RowBox[{"-", 
                 SqrtBox[
                  RowBox[{"1", "-", 
                   SuperscriptBox[
                    RowBox[{"X", "[", "\[Theta]", "]"}], "2"]}]]}]}], "}"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}], ",", "Black", 
           ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<A\>\"", ",", "14", ",", "\"\<Label\>\""}], "]"}], 
             ",", 
             RowBox[{"1.1", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}]}]}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<B\>\"", ",", "14", ",", "\"\<Label\>\""}], "]"}], 
             ",", 
             RowBox[{"1.1", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"X", "[", "\[Theta]", "]"}]}], ",", 
                RowBox[{"-", 
                 SqrtBox[
                  RowBox[{"1", "-", 
                   SuperscriptBox[
                    RowBox[{"X", "[", "\[Theta]", "]"}], "2"]}]]}]}], 
               "}"}]}]}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<C\>\"", ",", "14", ",", "\"\<Label\>\""}], "]"}], 
             ",", 
             RowBox[{"1.11", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"X", "[", "\[Theta]", "]"}], ",", 
                RowBox[{"-", 
                 SqrtBox[
                  RowBox[{"1", "-", 
                   SuperscriptBox[
                    RowBox[{"X", "[", "\[Theta]", "]"}], "2"]}]]}]}], 
               "}"}]}]}], "]"}]}], "}"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.15"}], ",", "1.15"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1.16"}], ",", "1.17"}], "}"}]}], "}"}]}]}], "]"}],
        ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<The triangle covers \>\"", ",", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                FractionBox[
                 RowBox[{"A", "[", 
                  RowBox[{"X", "[", "\[Theta]", "]"}], "]"}], "\[Pi]"], ",", 
                "4"}], "]"}], ",", "\"\< of the circle\>\"", ",", 
              "\"\<.\>\""}], "}"}], "]"}], ",", "14", ",", "\"\<Label\>\""}], 
          "]"}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Plot", "[", 
        RowBox[{
         FractionBox[
          RowBox[{"A", "[", 
           RowBox[{"X", "[", "x", "]"}], "]"}], "\[Pi]"], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "14.5", ",", "88."}], "}"}], ",", 
         RowBox[{"Epilog", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"PointSize", "[", "Large", "]"}], ",", 
            RowBox[{"ColorData", "[", 
             RowBox[{"\"\<HTML\>\"", ",", "\"\<OrangeRed\>\""}], "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{"\[Theta]", ",", 
               FractionBox[
                RowBox[{"A", "[", 
                 RowBox[{"X", "[", "\[Theta]", "]"}], "]"}], "\[Pi]"]}], 
              "}"}], "]"}]}], "}"}]}], ",", 
         RowBox[{"AxesOrigin", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], ",", 
         RowBox[{"AxesLabel", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<angle A\>\"", ",", "\"\<Label\>\""}], "]"}], ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<circle coverage\>\"", ",", "\"\<Label\>\""}], 
             "]"}]}], "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"Spacings", "\[Rule]", "1"}], ",", 
     RowBox[{"Alignment", "\[Rule]", "Center"}], ",", 
     RowBox[{"ItemSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"30", ",", "Automatic"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Theta]", ",", "60.", ",", "\"\<angle A in degrees\>\""}], 
      "}"}], ",", "14.5", ",", "88.", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"A", "[", "x_", "]"}], ":=", 
       RowBox[{"x", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SqrtBox[
           RowBox[{"1", "-", 
            SuperscriptBox["x", "2"]}]]}], ")"}]}]}], ";", 
      RowBox[{
       RowBox[{"X", "[", "\[Theta]_", "]"}], ":=", 
       FractionBox[
        RowBox[{"2", " ", 
         RowBox[{"Tan", "[", 
          RowBox[{
           RowBox[{"(", 
            FractionBox["\[Theta]", "2"], ")"}], "Degree"}], "]"}]}], 
        RowBox[{"1", "+", 
         SuperscriptBox[
          RowBox[{"Tan", "[", 
           RowBox[{
            RowBox[{"(", 
             FractionBox["\[Theta]", "2"], ")"}], "Degree"}], "]"}], 
          "2"]}]]}]}], ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.409937343674302*^9, 3.4099373890655084`*^9}, {
   3.409937714804053*^9, 3.4099377163821983`*^9}, {3.409950448326415*^9, 
   3.4099504990145636`*^9}, {3.4099505309993477`*^9, 3.409950535218152*^9}, {
   3.4099505974376984`*^9, 3.4099506177973337`*^9}, {3.410012100274644*^9, 
   3.4100121120479827`*^9}, {3.4100121988841457`*^9, 
   3.4100122447627935`*^9}, {3.410012275784608*^9, 3.410012276391962*^9}, 
   3.410012510643485*^9},
 CellID->296067015]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[Theta]$$ = 60., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Theta]$$], 60., "angle A in degrees"}, 14.5, 88.}},
     Typeset`size$$ = {377., {205.5, 210.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`\[Theta]$1856$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`\[Theta]$$ = 60.}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Theta]$$, $CellContext`\[Theta]$1856$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Graphics[{
           ColorData["HTML", "SlateBlue"], Thick, 
           Circle[{0, 0}, 1], 
           RGBColor[0.6, 0.73, 0.36], 
           
           Polygon[{{0, 
             1}, {-$CellContext`X[$CellContext`\[Theta]$$], -(
                1 - $CellContext`X[$CellContext`\[Theta]$$]^2)^
               Rational[1, 2]}, {
              $CellContext`X[$CellContext`\[Theta]$$], -(
                1 - $CellContext`X[$CellContext`\[Theta]$$]^2)^
               Rational[1, 2]}, {0, 1}}], Black, 
           Text[
            Style["A", 14, "Label"], 1.1 {0, 1}], 
           Text[
            Style["B", 14, "Label"], 
            1.1 {-$CellContext`X[$CellContext`\[Theta]$$], -(
                1 - $CellContext`X[$CellContext`\[Theta]$$]^2)^
               Rational[1, 2]}], 
           Text[
            Style["C", 14, "Label"], 1.11 {
              $CellContext`X[$CellContext`\[Theta]$$], -(
                1 - $CellContext`X[$CellContext`\[Theta]$$]^2)^
               Rational[1, 2]}]}, 
          PlotRange -> {{-1.15, 1.15}, {-1.16, 1.17}}], 
         Row[{
           Style[
            Row[{"The triangle covers ", 
              NumberForm[$CellContext`A[
                 $CellContext`X[$CellContext`\[Theta]$$]]/Pi, 4], 
              " of the circle", "."}], 14, "Label"]}], 
         Plot[$CellContext`A[
            $CellContext`X[$CellContext`x]]/Pi, {$CellContext`x, 14.5, 88.}, 
          Epilog -> {
            PointSize[Large], 
            ColorData["HTML", "OrangeRed"], 
            Point[{$CellContext`\[Theta]$$, $CellContext`A[
                $CellContext`X[$CellContext`\[Theta]$$]]/Pi}]}, 
          AxesOrigin -> {0, 0}, AxesLabel -> {
            Style["angle A", "Label"], 
            Style["circle coverage", "Label"]}, ImageSize -> 350, PlotRange -> 
          All]}, Spacings -> 1, Alignment -> Center, 
        ItemSize -> {30, Automatic}], 
      "Specifications" :> {{{$CellContext`\[Theta]$$, 60., 
          "angle A in degrees"}, 14.5, 88., Appearance -> "Labeled"}}, 
      "Options" :> {}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{421., {249., 254.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`A[
         Pattern[$CellContext`x, 
          Blank[]]] := $CellContext`x (
         1 + (1 - $CellContext`x^2)^Rational[1, 2]); $CellContext`X[
         Pattern[$CellContext`\[Theta], 
          Blank[]]] := 
       2 (Tan[($CellContext`\[Theta]/2) Degree]/(1 + 
         Tan[($CellContext`\[Theta]/2) Degree]^2))); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->479224598],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Largest Isosceles Triangle Inscribed in a Circle",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
LargestIsoscelesTriangleInscribedInACircle/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
LargestIsoscelesTriangleInscribedInACircle/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
LargestIsoscelesTriangleInscribedInACircle/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
LargestIsoscelesTriangleInscribedInACircle/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
LargestIsoscelesTriangleInscribedInACircle/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Jay Warendorff",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jay+Warendorff"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jay+Warendorff"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->6393726],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
LargestIsoscelesTriangleInscribedInACircle"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Largest Isosceles Triangle Inscribed in a Circle - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 240, 4, 70, "Section"],
Cell[833, 29, 7264, 189, 70, "Input",
 CellID->296067015]
}, Open  ]],
Cell[8112, 221, 3918, 85, 70, "Output",
 CellID->479224598],
Cell[CellGroupData[{
Cell[12055, 310, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[12431, 321, 1053, 31, 70, "Text"],
Cell[13487, 354, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13827, 365, 454, 15, 70, "Text",
 CellID->6393726],
Cell[CellGroupData[{
Cell[14306, 384, 829, 24, 70, "Text"],
Cell[15138, 410, 1218, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 6T44nudET5leDDpcU@lpPV05 *)
