(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     21460,        566]
NotebookOptionsPosition[     20379,        526]
NotebookOutlinePosition[     21009,        550]
CellTagsIndexPosition[     20966,        547]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Largest Triangle Inscribed in a Circle", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Grid", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"\"\<\[Angle]\[ThinSpace]A\>\"", ",", 
               RowBox[{
                RowBox[{"ToString", "@", 
                 RowBox[{"NumberForm", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"VectorAngle", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Normalize", "@", "ptA"}], "-", 
                    RowBox[{"Normalize", "@", "ptB"}]}], ",", 
                    RowBox[{
                    RowBox[{"Normalize", "@", "ptA"}], "-", 
                    RowBox[{"Normalize", "@", "ptC"}]}]}], "]"}], 
                    RowBox[{"180.", "/", "\[Pi]"}]}], ",", 
                   RowBox[{"{", 
                    RowBox[{"5", ",", "2"}], "}"}]}], "]"}]}], "<>", 
                "\"\<\[ThinSpace]\[Degree]\>\""}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"\"\<\[Angle]\[ThinSpace]B\>\"", ",", 
               RowBox[{
                RowBox[{"ToString", "@", 
                 RowBox[{"NumberForm", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"VectorAngle", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Normalize", "@", "ptA"}], "-", 
                    RowBox[{"Normalize", "@", "ptB"}]}], ",", 
                    RowBox[{
                    RowBox[{"Normalize", "@", "ptC"}], "-", 
                    RowBox[{"Normalize", "@", "ptB"}]}]}], "]"}], 
                    RowBox[{"180.", "/", "\[Pi]"}]}], ",", 
                   RowBox[{"{", 
                    RowBox[{"5", ",", "2"}], "}"}]}], "]"}]}], "<>", 
                "\"\<\[ThinSpace]\[Degree]\>\""}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"\"\<\[Angle]\[ThinSpace]C\>\"", ",", 
               RowBox[{
                RowBox[{"ToString", "@", 
                 RowBox[{"NumberForm", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"VectorAngle", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Normalize", "@", "ptA"}], "-", 
                    RowBox[{"Normalize", "@", "ptC"}]}], ",", 
                    RowBox[{
                    RowBox[{"Normalize", "@", "ptB"}], "-", 
                    RowBox[{"Normalize", "@", "ptC"}]}]}], "]"}], 
                    RowBox[{"180.", "/", "\[Pi]"}]}], ",", 
                   RowBox[{"{", 
                    RowBox[{"5", ",", "2"}], "}"}]}], "]"}]}], "<>", 
                "\"\<\[ThinSpace]\[Degree]\>\""}]}], "}"}]}], "}"}], ",", 
           RowBox[{"Frame", "\[Rule]", "All"}], ",", 
           RowBox[{"ItemSize", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"3", ",", "7"}], "}"}], ",", "Automatic"}], "}"}]}]}], 
          "]"}], ",", "14", ",", "\"\<Label\>\""}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Thickness", "[", ".006", "]"}], ",", 
           RowBox[{"ColorData", "[", 
            RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], ",", 
           RowBox[{"Polygon", "[", 
            RowBox[{"Normalize", "/@", 
             RowBox[{"{", 
              RowBox[{"ptA", ",", "ptB", ",", "ptC", ",", "ptA"}], "}"}]}], 
            "]"}], ",", "\[IndentingNewLine]", "Black", ",", 
           RowBox[{"Circle", "[", "]"}], ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"1", ",", ".1", ",", "0"}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<C\>\"", ",", "30", ",", "Bold", ",", "\"\<Label\>\""}], 
              "]"}], ",", 
             RowBox[{"1.15", 
              RowBox[{"Normalize", "[", "ptC", "]"}]}]}], "]"}], ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<B\>\"", ",", "30", ",", "Bold", ",", "\"\<Label\>\""}], 
              "]"}], ",", 
             RowBox[{"1.15", 
              RowBox[{"Normalize", "[", "ptB", "]"}]}]}], "]"}], ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".12", ",", ".61", ",", ".78"}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<A\>\"", ",", "30", ",", "Bold", ",", "\"\<Label\>\""}], 
              "]"}], ",", 
             RowBox[{"1.15", 
              RowBox[{"Normalize", "[", "ptA", "]"}]}]}], "]"}]}], "}"}], ",",
          
         RowBox[{"PlotRange", "\[Rule]", "1.25"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"375", ",", "375"}], "}"}]}]}], "]"}], ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<The triangle covers \>\"", ",", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"RatioOfTriangleToCircleAreas", "[", 
                 RowBox[{"Sequence", "@@", 
                  RowBox[{"(", 
                   RowBox[{"Normalize", "/@", 
                    RowBox[{"{", 
                    RowBox[{"ptA", ",", "ptB", ",", "ptC"}], "}"}]}], ")"}]}],
                  "]"}], ",", "4"}], "]"}], ",", "\"\< of the circle\>\"", 
              ",", "\"\<.\>\""}], "}"}], "]"}], ",", "14", ",", 
           "\"\<Label\>\""}], "]"}], "}"}], "]"}]}], "}"}], ",", 
     RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ptA", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ptB", ",", 
       RowBox[{"{", 
        RowBox[{"0.8660254037844386`", ",", 
         RowBox[{"-", "0.5"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ptC", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "0.8660254037844386`"}], ",", 
         RowBox[{"-", "0.5`"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"RatioOfTriangleToCircleAreas", "[", 
       RowBox[{"p1_", ",", "p2_", ",", "p3_"}], "]"}], ":=", 
      RowBox[{"Module", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"d12", "=", 
           RowBox[{"EuclideanDistance", "[", 
            RowBox[{"p1", ",", "p2"}], "]"}]}], ",", 
          RowBox[{"d13", "=", 
           RowBox[{"EuclideanDistance", "[", 
            RowBox[{"p1", ",", "p3"}], "]"}]}], ",", 
          RowBox[{"d23", "=", 
           RowBox[{"EuclideanDistance", "[", 
            RowBox[{"p2", ",", "p3"}], "]"}]}]}], "}"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           SqrtBox[
            RowBox[{"#", 
             RowBox[{"(", 
              RowBox[{"#", "-", "d12"}], ")"}], 
             RowBox[{"(", 
              RowBox[{"#", "-", "d13"}], ")"}], 
             RowBox[{"(", 
              RowBox[{"#", "-", "d23"}], ")"}]}]], "&"}], "[", 
          FractionBox[
           RowBox[{"d12", "+", "d13", "+", "d23"}], "2"], "]"}], "/", 
         "\[Pi]"}]}], "]"}]}], ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.410536198688014*^9, 3.410536217750758*^9}, {
   3.4105362893610497`*^9, 3.4105363324402747`*^9}, {3.4105364660278797`*^9, 
   3.4105367068495073`*^9}, 3.410536829483697*^9, {3.410537320612243*^9, 
   3.410537326752593*^9}, 3.410537459762259*^9, {3.410537504151122*^9, 
   3.410537572681495*^9}, {3.4105376266808043`*^9, 3.410537629180772*^9}, {
   3.410537686383165*^9, 3.4105376917737207`*^9}, {3.410537735898156*^9, 
   3.410537890053028*^9}, {3.41053793422462*^9, 3.4105379370839767`*^9}, {
   3.410537979739954*^9, 3.410538073473729*^9}, {3.4105382540204535`*^9, 
   3.410538265192328*^9}, {3.410538301317328*^9, 3.4105383030517035`*^9}, {
   3.4105385181767035`*^9, 3.4105385413329535`*^9}, {3.4105390260829535`*^9, 
   3.410539161223578*^9}, {3.4105391928642035`*^9, 3.4105392047079535`*^9}, {
   3.4105460193650985`*^9, 3.410546136599473*^9}, {3.4105508623025985`*^9, 
   3.4105509768025985`*^9}, {3.410635148100793*^9, 3.410635174540067*^9}, {
   3.410635205993402*^9, 3.4106352505538387`*^9}},
 CellID->40620303]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ptA$$ = {0, 1}, $CellContext`ptB$$ = {
    0.8660254037844386, -0.5}, $CellContext`ptC$$ = {-0.8660254037844386, \
-0.5}, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`ptA$$], {0, 1}}, {-1, -1}, {1, 1}}, {{
       Hold[$CellContext`ptB$$], {0.8660254037844386, -0.5}}, {-1, -1}, {1, 
      1}}, {{
       Hold[$CellContext`ptC$$], {-0.8660254037844386, -0.5}}, {-1, -1}, {1, 
      1}}}, Typeset`size$$ = {375., {229.5, 234.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`ptA$1543$$ = {0, 0}, $CellContext`ptB$1544$$ = {0, 
    0}, $CellContext`ptC$1545$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ptA$$ = {0, 1}, $CellContext`ptB$$ = {
         0.8660254037844386, -0.5}, $CellContext`ptC$$ = \
{-0.8660254037844386, -0.5}}, "ControllerVariables" :> {
        Hold[$CellContext`ptA$$, $CellContext`ptA$1543$$, {0, 0}], 
        Hold[$CellContext`ptB$$, $CellContext`ptB$1544$$, {0, 0}], 
        Hold[$CellContext`ptC$$, $CellContext`ptC$1545$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Style[
          Grid[{{"\[Angle]\[ThinSpace]A", 
             StringJoin[
              ToString[
               NumberForm[
               VectorAngle[
                 Normalize[$CellContext`ptA$$] - 
                  Normalize[$CellContext`ptB$$], 
                  Normalize[$CellContext`ptA$$] - 
                  Normalize[$CellContext`ptC$$]] (180./Pi), {5, 2}]], 
              "\[ThinSpace]\[Degree]"]}, {"\[Angle]\[ThinSpace]B", 
             StringJoin[
              ToString[
               NumberForm[
               VectorAngle[
                 Normalize[$CellContext`ptA$$] - 
                  Normalize[$CellContext`ptB$$], 
                  Normalize[$CellContext`ptC$$] - 
                  Normalize[$CellContext`ptB$$]] (180./Pi), {5, 2}]], 
              "\[ThinSpace]\[Degree]"]}, {"\[Angle]\[ThinSpace]C", 
             StringJoin[
              ToString[
               NumberForm[
               VectorAngle[
                 Normalize[$CellContext`ptA$$] - 
                  Normalize[$CellContext`ptC$$], 
                  Normalize[$CellContext`ptB$$] - 
                  Normalize[$CellContext`ptC$$]] (180./Pi), {5, 2}]], 
              "\[ThinSpace]\[Degree]"]}}, Frame -> All, 
           ItemSize -> {{3, 7}, Automatic}], 14, "Label"], 
         Graphics[{
           Thickness[0.006], 
           ColorData["HTML", "SlateBlue"], 
           Polygon[
            Map[
            Normalize, {$CellContext`ptA$$, $CellContext`ptB$$, \
$CellContext`ptC$$, $CellContext`ptA$$}]], Black, 
           Circle[], 
           RGBColor[1, 0.1, 0], 
           Text[
            Style["C", 30, Bold, "Label"], 1.15 
            Normalize[$CellContext`ptC$$]], 
           RGBColor[0.6, 0.73, 0.36], 
           Text[
            Style["B", 30, Bold, "Label"], 1.15 
            Normalize[$CellContext`ptB$$]], 
           RGBColor[0.12, 0.61, 0.78], 
           Text[
            Style["A", 30, Bold, "Label"], 1.15 
            Normalize[$CellContext`ptA$$]]}, PlotRange -> 1.25, 
          ImageSize -> {375, 375}], 
         Row[{
           Style[
            Row[{"The triangle covers ", 
              NumberForm[
               $CellContext`RatioOfTriangleToCircleAreas[
                Apply[Sequence, 
                 Map[
                 Normalize, {$CellContext`ptA$$, $CellContext`ptB$$, \
$CellContext`ptC$$}]]], 4], " of the circle", "."}], 14, "Label"]}]}, 
        Alignment -> Center], 
      "Specifications" :> {{{$CellContext`ptA$$, {0, 1}}, {-1, -1}, {1, 1}, 
         ControlType -> Locator, Appearance -> 
         None}, {{$CellContext`ptB$$, {0.8660254037844386, -0.5}}, {-1, -1}, {
         1, 1}, ControlType -> Locator, Appearance -> 
         None}, {{$CellContext`ptC$$, {-0.8660254037844386, -0.5}}, {-1, -1}, \
{1, 1}, ControlType -> Locator, Appearance -> None}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{419., {257., 262.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>($CellContext`RatioOfTriangleToCircleAreas[
        Pattern[$CellContext`p1, 
         Blank[]], 
        Pattern[$CellContext`p2, 
         Blank[]], 
        Pattern[$CellContext`p3, 
         Blank[]]] := 
      Module[{$CellContext`d12 = 
         EuclideanDistance[$CellContext`p1, $CellContext`p2], \
$CellContext`d13 = 
         EuclideanDistance[$CellContext`p1, $CellContext`p3], \
$CellContext`d23 = 
         EuclideanDistance[$CellContext`p2, $CellContext`p3]}, ((# (# - \
$CellContext`d12) (# - $CellContext`d13) (# - $CellContext`d23))^
         Rational[
          1, 2]& )[($CellContext`d12 + $CellContext`d13 + $CellContext`d23)/
          2]/Pi]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->9355222],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Largest Triangle Inscribed in a Circle",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LargestTriangleInscribedInACircle/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/LargestTriangleInscribedInACircle/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
LargestTriangleInscribedInACircle/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LargestTriangleInscribedInACircle/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/LargestTriangleInscribedInACircle/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Jay Warendorff",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jay+Warendorff"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jay+Warendorff"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
LargestTriangleInscribedInACircle"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Largest Triangle Inscribed in a Circle - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 230, 4, 70, "Section"],
Cell[823, 29, 9646, 232, 70, "Input",
 CellID->40620303]
}, Open  ]],
Cell[10484, 264, 5627, 124, 70, "Output",
 CellID->9355222],
Cell[CellGroupData[{
Cell[16136, 392, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16512, 403, 994, 29, 70, "Text"],
Cell[17509, 434, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[17849, 445, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[18310, 463, 829, 24, 70, "Text"],
Cell[19142, 489, 1209, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature oQjZwrZFZJ8aDDpblxV6S2mr *)
