(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     19835,        535]
NotebookOptionsPosition[     18718,        493]
NotebookOutlinePosition[     19363,        518]
CellTagsIndexPosition[     19320,        515]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Maximizing the Area of a Rectangle with Fixed Perimeter", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Grid", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{"Style", "[", 
          RowBox[{"#", ",", "12"}], "]"}], "]"}], "&"}], "/@", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<p\>\"", ",", "Italic"}], "]"}], ",", 
            "\"\< = 2(\>\"", ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<w\>\"", ",", "Italic"}], "]"}], ",", "\"\<+\>\"", 
            ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}], ",", "\"\<) = \>\"",
             ",", 
            RowBox[{"With", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"w", "=", 
                 RowBox[{"Dynamic", "@", 
                  RowBox[{"pt", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}]}], ",", 
                RowBox[{"h", "=", 
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"20", "-", 
                   RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}]}], "}"}], ",", 
              RowBox[{"HoldForm", "[", 
               RowBox[{"2", 
                RowBox[{"(", 
                 RowBox[{"w", "+", "h"}], ")"}]}], "]"}]}], "]"}], ",", 
            "\"\< = \>\"", ",", "40"}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", "\"\< = \>\"", 
            ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<w\>\"", ",", "Italic"}], "]"}], ",", 
            "\"\< \[Times] \>\"", ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}], ",", "\"\< = \>\"", 
            ",", 
            RowBox[{"With", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"w", "=", 
                 RowBox[{"Dynamic", "@", 
                  RowBox[{"pt", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}]}], ",", 
                RowBox[{"h", "=", 
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"20", "-", 
                   RowBox[{"pt", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}]}], "}"}], ",", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"w", ",", "\"\< \[Times] \>\"", ",", "h"}], "}"}], 
               "]"}]}], "]"}], ",", "\"\< = \>\"", ",", 
            RowBox[{"Dynamic", "[", 
             RowBox[{
              RowBox[{"20", " ", 
               RowBox[{"pt", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], "-", 
              SuperscriptBox[
               RowBox[{"pt", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "2"]}], "]"}]}], "}"}], 
          "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]",
       
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"LocatorPane", "[", 
         RowBox[{
          RowBox[{"Dynamic", "[", "pt", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Darker", "[", "Purple", "]"}], ",", 
              RowBox[{"EdgeForm", "[", 
               RowBox[{"Directive", "[", 
                RowBox[{
                 RowBox[{"Thickness", "[", ".005", "]"}], ",", 
                 RowBox[{"Darker", "[", "Purple", "]"}]}], "]"}], "]"}], ",", 
              
              RowBox[{"Opacity", "[", ".1", "]"}], ",", 
              RowBox[{"Rectangle", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "0"}], "}"}], ",", 
                RowBox[{"Dynamic", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                   "pt", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"40", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    "pt", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}]}], ")"}], "/", "2"}]}], "}"}],
                  "]"}]}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", " ", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"1.9", 
              RowBox[{"{", 
               RowBox[{"150", ",", " ", "150"}], "}"}]}]}], ",", 
            RowBox[{"PlotRange", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "20"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "20"}], "}"}]}], "}"}]}], ",", 
            RowBox[{"Axes", "\[Rule]", "True"}], ",", 
            RowBox[{"ImagePadding", "\[Rule]", "32"}], ",", 
            RowBox[{"AxesLabel", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"\"\<width\>\"", ",", "\"\<height\>\""}], "}"}]}]}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{".1", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"19.9", ",", "0"}], "}"}]}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", " ", 
        RowBox[{"LocatorPane", "[", 
         RowBox[{
          RowBox[{"Dynamic", "[", "pt", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Show", "[", 
           RowBox[{
            RowBox[{"Plot", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"20", " ", "ww"}], "-", 
               SuperscriptBox["ww", "2"]}], ",", " ", 
              RowBox[{"{", 
               RowBox[{"ww", ",", "0", ",", "20"}], "}"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "20"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "110"}], "}"}]}], "}"}]}]}], "]"}], ",", 
            RowBox[{"Graphics", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", ".04", "]"}], ",", " ", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", " ", 
               RowBox[{"Point", "[", 
                RowBox[{"Dynamic", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                   "pt", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                   RowBox[{
                    RowBox[{
                    "pt", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], " ", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"40", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    "pt", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}]}], ")"}], "/", "2"}]}]}], 
                  "}"}], "]"}], "]"}]}], "}"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"2", 
              RowBox[{"{", 
               RowBox[{"150", ",", " ", "150"}], "}"}]}]}], ",", 
            RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
            RowBox[{"ImagePadding", "\[Rule]", "32"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"2", 
              RowBox[{"{", 
               RowBox[{"150", ",", " ", "150"}], "}"}]}]}], ",", 
            RowBox[{"AxesLabel", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"\"\<width\>\"", ",", "\"\<area\>\""}], "}"}]}]}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{".1", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"19.9", ",", "0"}], "}"}]}], "}"}]}], "]"}]}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}]}], "}"}], "]"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pt", ",", 
       RowBox[{"{", 
        RowBox[{"10", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{".1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"19.9", ",", "0"}], "}"}], ",", "None"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.392052337333256*^9, 3.392052380543462*^9}, 
   3.392052514508192*^9, 3.392052578233725*^9, {3.392052873856925*^9, 
   3.392052900336712*^9}, {3.392052935308771*^9, 3.392053035968376*^9}, {
   3.392053119482726*^9, 3.392053328650731*^9}, {3.392053417793971*^9, 
   3.392053448610208*^9}, {3.3920541206264353`*^9, 3.392054134231285*^9}, {
   3.392054192858186*^9, 3.392054379125804*^9}, {3.392054581625279*^9, 
   3.392054585809579*^9}, {3.392054899016325*^9, 3.392054922754458*^9}, {
   3.3926374567860003`*^9, 3.392637459446*^9}, {3.3926614376651025`*^9, 
   3.3926614797756543`*^9}, {3.392661528375538*^9, 3.39266163974568*^9}, {
   3.392726407201789*^9, 3.3927264084936466`*^9}, 3.434837419671875*^9},
 CellID->757365965]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`pt$$ = {10, 0}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`pt$$], {10, 0}}, {0.1, 0}, {19.9, 0}}}, 
    Typeset`size$$ = {593., {157.5, 162.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`pt$612$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`pt$$ = {10, 0}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`pt$$, $CellContext`pt$612$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Grid[{
         Map[Text[
           Style[#, 12]]& , {
           Row[{
             Style["p", Italic], " = 2(", 
             Style["w", Italic], "+", 
             Style["h", Italic], ") = ", 
             With[{$CellContext`w = Dynamic[
                 Part[$CellContext`pt$$, 1]], $CellContext`h = 
               Dynamic[20 - Part[$CellContext`pt$$, 1]]}, 
              HoldForm[2 ($CellContext`w + $CellContext`h)]], " = ", 40}], 
           Row[{
             Style["a", Italic], " = ", 
             Style["w", Italic], " \[Times] ", 
             Style["h", Italic], " = ", 
             With[{$CellContext`w = Dynamic[
                 Part[$CellContext`pt$$, 1]], $CellContext`h = 
               Dynamic[20 - Part[$CellContext`pt$$, 1]]}, 
              Row[{$CellContext`w, " \[Times] ", $CellContext`h}]], " = ", 
             Dynamic[
             20 Part[$CellContext`pt$$, 1] - 
              Part[$CellContext`pt$$, 1]^2]}]}], {
          LocatorPane[
           Dynamic[$CellContext`pt$$], 
           Graphics[{
             Darker[Purple], 
             EdgeForm[
              Directive[
               Thickness[0.005], 
               Darker[Purple]]], 
             Opacity[0.1], 
             Rectangle[{0, 0}, 
              Dynamic[{
                
                Part[$CellContext`pt$$, 1], (40 - 2 
                 Part[$CellContext`pt$$, 1])/2}]]}, ImageSize -> 
            1.9 {150, 150}, PlotRange -> {{0, 20}, {0, 20}}, Axes -> True, 
            ImagePadding -> 32, AxesLabel -> {"width", "height"}], {{
            0.1, 0}, {19.9, 0}}], 
          LocatorPane[
           Dynamic[$CellContext`pt$$], 
           Show[
            Plot[
            20 $CellContext`ww - $CellContext`ww^2, {$CellContext`ww, 0, 20}, 
             PlotRange -> {{0, 20}, {0, 110}}], 
            Graphics[{
              PointSize[0.04], 
              RGBColor[1, 0.47, 0], 
              Point[
               Dynamic[{
                 Part[$CellContext`pt$$, 1], 
                 Part[$CellContext`pt$$, 1] ((40 - 2 
                   Part[$CellContext`pt$$, 1])/2)}]]}], ImageSize -> 
            2 {150, 150}, AspectRatio -> 1, ImagePadding -> 32, ImageSize -> 
            2 {150, 150}, AxesLabel -> {"width", "area"}], {{0.1, 0}, {
            19.9, 0}}]}}], 
      "Specifications" :> {{{$CellContext`pt$$, {10, 0}}, {0.1, 0}, {19.9, 0},
          ControlType -> None}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{637., {185., 190.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->4207865],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Maximizing the Area of a Rectangle with Fixed Perimeter",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
MaximizingTheAreaOfARectangleWithFixedPerimeter/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
MaximizingTheAreaOfARectangleWithFixedPerimeter/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
MaximizingTheAreaOfARectangleWithFixedPerimeter/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
MaximizingTheAreaOfARectangleWithFixedPerimeter/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
MaximizingTheAreaOfARectangleWithFixedPerimeter/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Chris Boucher",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->332106154],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
MaximizingTheAreaOfARectangleWithFixedPerimeter"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Maximizing the Area of a Rectangle with Fixed Perimeter - \
Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 247, 4, 70, "Section"],
Cell[840, 29, 9602, 232, 70, "Input",
 CellID->757365965]
}, Open  ]],
Cell[10457, 264, 3868, 88, 70, "Output",
 CellID->4207865],
Cell[CellGroupData[{
Cell[14350, 356, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[14726, 367, 1085, 31, 70, "Text"],
Cell[15814, 400, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16154, 411, 456, 15, 70, "Text",
 CellID->332106154],
Cell[CellGroupData[{
Cell[16635, 430, 829, 24, 70, "Text"],
Cell[17467, 456, 1223, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature SRj1tgWg6VNHLDT5lQHVX6mK *)
