(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     22476,        618]
NotebookOptionsPosition[     21405,        579]
NotebookOutlinePosition[     22040,        603]
CellTagsIndexPosition[     21997,        600]
WindowTitle->Maximizing the Viewing Angle of a Painting - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Maximizing the Viewing Angle of a Painting", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"painting", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.03", "]"}], ",", "Blue", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "b"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"b", "+", "t"}]}], "}"}]}], "}"}], "]"}], ",", "Blue", 
        ",", 
        RowBox[{"PointSize", "[", ".05", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"0", ",", "b"}], "}"}], "]"}], ",", "Blue", ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"b", "+", "t"}]}], "}"}], "]"}]}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"head", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Circle", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"a", "+", "0.75"}], ",", "4.75"}], "}"}], ",", "0.75"}], 
       "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"eye", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Large", "]"}], ",", "Red", ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"a", ",", "5"}], "}"}], "]"}]}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"body", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "+", "0.75"}], ",", "2.25"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "+", "0.75"}], ",", "4"}], "}"}]}], "}"}], "]"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"leg1", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "+", "0.25"}], ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "+", "0.75"}], ",", "2.25"}], "}"}]}], "}"}], "]"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"leg2", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "+", "1.25"}], ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "+", "0.75"}], ",", "2.25"}], "}"}]}], "}"}], "]"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"arm1", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "-", "1"}], ",", "4.5"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "+", "0.75"}], ",", "3"}], "}"}]}], "}"}], "]"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"angleMarker", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Circle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"a", ",", "5"}], "}"}], ",", "5", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[Pi]", "-", 
             RowBox[{"ArcTan", "[", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"t", "+", "b", "-", "5"}], ")"}], "/", "a"}], "]"}]}],
             ",", 
            RowBox[{"\[Pi]", "-", 
             RowBox[{"ArcTan", "[", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"b", "-", "5"}], ")"}], "/", "a"}], "]"}]}]}], 
           "}"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\[Theta]\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"a", "-", 
             RowBox[{"4", 
              RowBox[{"Cos", "[", 
               RowBox[{"ArcTan", "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"t", "/", "2"}], "+", "b", "-", "5"}], ")"}], "/", 
                 "a"}], "]"}], "]"}]}]}], ",", 
            RowBox[{"5", "+", 
             RowBox[{"4", 
              RowBox[{"Sin", "[", 
               RowBox[{"ArcTan", "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"t", "/", "2"}], "+", "b", "-", "5"}], ")"}], "/", 
                 "a"}], "]"}], "]"}]}]}]}], "}"}]}], "]"}]}], "}"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"t", "+", "b", "-", "5"}], ")"}]}], "/", "a"}], " ", "x"}], 
      "+", "b", "+", "t"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"g", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"b", "-", "5"}], ")"}]}], "/", "a"}], " ", "x"}], "+", 
      "b"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"viewingAngle", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"180", "/", "\[Pi]"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"ArcTan", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"t", "+", "b", "-", "5"}], ")"}], "/", "x"}], "]"}], "-", 
        RowBox[{"ArcTan", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"b", "-", "5"}], ")"}], "/", "x"}], "]"}]}], ")"}]}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"point2", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Large", "]"}], ",", "Red", ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"a", ",", 
           RowBox[{"viewingAngle", "[", "a", "]"}]}], "}"}], "]"}]}], "}"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"viewPlot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"viewingAngle", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "20"}], "}"}], ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<x\>\"", ",", "\"\<\[Theta]\>\""}], "}"}]}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<viewing angle \[Theta]\[Degree]\>\"", ",", "18"}], 
         "]"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"museumPlot", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"f", "[", "x", "]"}], ",", 
         RowBox[{"g", "[", "x", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "a"}], "}"}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<x\>\"", ",", "None"}], "}"}]}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".5"}], ",", "20.2"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "20.2"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Text", "@", 
     RowBox[{"Pane", "[", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Show", "[", 
           RowBox[{
           "museumPlot", ",", "painting", ",", "head", ",", "eye", ",", 
            "body", ",", "leg1", ",", "leg2", ",", "arm1", ",", "angleMarker",
             ",", 
            RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}], ",", 
          RowBox[{"Column", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Show", "[", 
              RowBox[{"viewPlot", ",", "point2", ",", 
               RowBox[{"ImageSize", "\[Rule]", "240"}]}], "]"}], ",", 
             "\"\<\>\"", ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                  "\"\< = \>\"", ",", "a", ",", "\"\<'\>\""}], "}"}], "]"}], 
               ",", "18"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<viewing angle \[Theta] = \>\"", ",", 
                  RowBox[{"N", "[", 
                   RowBox[{"viewingAngle", "[", "a", "]"}], "]"}], ",", 
                  "\"\<\[Degree]\>\""}], "}"}], "]"}], ",", "18"}], "]"}]}], 
            "}"}], "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", "}"}], "]"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"560", ",", "300"}], "}"}]}]}], "]"}]}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "4", ",", "\"\<size of painting\>\""}], "}"}], ",", 
     "2", ",", "8"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "8", ",", "\"\<placement of painting\>\""}], "}"}], 
     ",", "6", ",", "10"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "10", ",", "\"\<distance from wall to eye, x\>\""}], 
      "}"}], ",", "0.01", ",", "18"}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.459680474890625*^9, 3.4596807380625*^9, {
   3.45968141503125*^9, 3.45968141675*^9}, {3.459681496625*^9, 
   3.459681505203125*^9}, 3.459681564703125*^9, {3.459681604515625*^9, 
   3.45968162253125*^9}, {3.459784721167686*^9, 3.4597847314958105`*^9}, {
   3.4597848014020605`*^9, 3.4597848424958105`*^9}, {3.459860878473875*^9, 
   3.459860880437807*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 10, $CellContext`b$$ = 
    8, $CellContext`t$$ = 4, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`t$$], 4, "size of painting"}, 2, 8}, {{
       Hold[$CellContext`b$$], 8, "placement of painting"}, 6, 10}, {{
       Hold[$CellContext`a$$], 10, "distance from wall to eye, x"}, 0.01, 
      18}}, Typeset`size$$ = {560., {149., 154.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`t$15890$$ = 0, $CellContext`b$15891$$ = 
    0, $CellContext`a$15892$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 10, $CellContext`b$$ = 
        8, $CellContext`t$$ = 4}, "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$15890$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$15891$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$15892$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`painting = Graphics[{
           Thickness[0.03], Blue, 
           
           Line[{{0, $CellContext`b$$}, {
             0, $CellContext`b$$ + $CellContext`t$$}}], Blue, 
           PointSize[0.05], 
           Point[{0, $CellContext`b$$}], Blue, 
           
           Point[{0, $CellContext`b$$ + $CellContext`t$$}]}]; \
$CellContext`head = Graphics[
          Circle[{$CellContext`a$$ + 0.75, 4.75}, 0.75]]; $CellContext`eye = 
        Graphics[{
           PointSize[Large], Red, 
           Point[{$CellContext`a$$, 5}]}]; $CellContext`body = Graphics[
          
          Line[{{$CellContext`a$$ + 0.75, 2.25}, {$CellContext`a$$ + 0.75, 
             4}}]]; $CellContext`leg1 = Graphics[
          
          Line[{{$CellContext`a$$ + 0.25, 0}, {$CellContext`a$$ + 0.75, 
             2.25}}]]; $CellContext`leg2 = Graphics[
          
          Line[{{$CellContext`a$$ + 1.25, 0}, {$CellContext`a$$ + 0.75, 
             2.25}}]]; $CellContext`arm1 = Graphics[
          
          Line[{{$CellContext`a$$ - 1, 4.5}, {$CellContext`a$$ + 0.75, 
             3}}]]; $CellContext`angleMarker = Graphics[{
           
           Circle[{$CellContext`a$$, 5}, 5, {
            Pi - ArcTan[($CellContext`t$$ + $CellContext`b$$ - 
               5)/$CellContext`a$$], Pi - 
             ArcTan[($CellContext`b$$ - 5)/$CellContext`a$$]}], 
           Text["\[Theta]", {$CellContext`a$$ - 4 Cos[
               
               ArcTan[($CellContext`t$$/2 + $CellContext`b$$ - 
                 5)/$CellContext`a$$]], 5 + 4 Sin[
                
                ArcTan[($CellContext`t$$/2 + $CellContext`b$$ - 
                  5)/$CellContext`a$$]]}]}]; $CellContext`f[
          Pattern[$CellContext`x$, 
           
           Blank[]]] := ((-($CellContext`t$$ + $CellContext`b$$ - 
             5))/$CellContext`a$$) $CellContext`x$ + $CellContext`b$$ + \
$CellContext`t$$; $CellContext`g[
          Pattern[$CellContext`x$, 
           
           Blank[]]] := ((-($CellContext`b$$ - 
             5))/$CellContext`a$$) $CellContext`x$ + $CellContext`b$$; \
$CellContext`viewingAngle[
          Pattern[$CellContext`x$, 
           Blank[]]] := (180/Pi) (
          ArcTan[($CellContext`t$$ + $CellContext`b$$ - 5)/$CellContext`x$] - 
          ArcTan[($CellContext`b$$ - 
            5)/$CellContext`x$]); $CellContext`point2 = Graphics[{
           PointSize[Large], Red, 
           Point[{$CellContext`a$$, 
             $CellContext`viewingAngle[$CellContext`a$$]}]}]; \
$CellContext`viewPlot = Plot[
          $CellContext`viewingAngle[$CellContext`x], {$CellContext`x, 0, 20}, 
          AxesOrigin -> {0, 0}, AxesLabel -> {"x", "\[Theta]"}, PlotLabel -> 
          Style["viewing angle \[Theta]\[Degree]", 
            18]]; $CellContext`museumPlot = Plot[{
           $CellContext`f[$CellContext`x], 
           $CellContext`g[$CellContext`x]}, {$CellContext`x, 
           0, $CellContext`a$$}, AxesLabel -> {"x", None}, 
          PlotRange -> {{-0.5, 20.2}, {0, 20.2}}, AspectRatio -> 1]; Text[
         Pane[
          Row[{
            
            Show[$CellContext`museumPlot, $CellContext`painting, \
$CellContext`head, $CellContext`eye, $CellContext`body, $CellContext`leg1, \
$CellContext`leg2, $CellContext`arm1, $CellContext`angleMarker, ImageSize -> 
             300], 
            Column[{
              
              Show[$CellContext`viewPlot, $CellContext`point2, ImageSize -> 
               240], "", 
              Style[
               Row[{
                 Style["x", Italic], " = ", $CellContext`a$$, "'"}], 18], 
              Style[
               Row[{"viewing angle \[Theta] = ", 
                 N[
                  $CellContext`viewingAngle[$CellContext`a$$]], "\[Degree]"}],
                18]}]}], ImageSize -> {560, 300}]]), 
      "Specifications" :> {{{$CellContext`t$$, 4, "size of painting"}, 2, 
         8}, {{$CellContext`b$$, 8, "placement of painting"}, 6, 
         10}, {{$CellContext`a$$, 10, "distance from wall to eye, x"}, 0.01, 
         18}}, "Options" :> {TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{605., {220., 225.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->592421704],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Maximizing the Viewing Angle of a Painting",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
MaximizingTheViewingAngleOfAPainting/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/MaximizingTheViewingAngleOfAPainting/"],\

 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
MaximizingTheViewingAngleOfAPainting/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
MaximizingTheViewingAngleOfAPainting/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/MaximizingTheViewingAngleOfAPainting/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Marc Brodie",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Marc+Brodie"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Marc+Brodie"],
 " (Wheeling Jesuit University)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
MaximizingTheViewingAngleOfAPainting"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Maximizing the Viewing Angle of a Painting - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[632, 23, 234, 4, 70, "Section"],
Cell[869, 29, 10257, 282, 70, "Input"]
}, Open  ]],
Cell[11141, 314, 5926, 125, 70, "Output",
 CellID->592421704],
Cell[CellGroupData[{
Cell[17092, 443, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[17468, 454, 1015, 30, 70, "Text"],
Cell[18486, 486, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[18826, 497, 464, 15, 70, "Text"],
Cell[CellGroupData[{
Cell[19315, 516, 847, 24, 70, "Text"],
Cell[20165, 542, 1212, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature ERN@g8JYi5fv4CpaPhbKQeUw *)
