(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    133404,       3357]
NotebookOptionsPosition[    128885,       3200]
NotebookOutlinePosition[    129515,       3224]
CellTagsIndexPosition[    129472,       3221]
WindowTitle->Maximum Area Field with a Corner Wall - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Maximum Area Field with a Corner Wall", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "0", " ", "\[LessEqual]", " ", "x", " ", "\[LessEqual]", " ", "a"}], " ", "&&",
    " ", 
   RowBox[{
   "0", " ", "\[LessEqual]", " ", "y", " ", "\[LessEqual]", " ", "b"}]}], " ",
   "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.454322473600904*^9, 3.454322520381667*^9}, {
  3.4543228891052637`*^9, 3.45432289573228*^9}, {3.4544065335511827`*^9, 
  3.4544065342116337`*^9}},
 CellID->754957223],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"y1", "[", 
    RowBox[{"x_", ",", "a_", ",", "b_", ",", "L_"}], "]"}], " ", "=", " ", 
   RowBox[{"y", " ", "/.", "  ", 
    RowBox[{
     RowBox[{"NSolve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"x", " ", "+", " ", "y"}], " ", "\[Equal]", " ", "L"}], ",", 
       " ", "y"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], " ", ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.454322525218486*^9, 3.4543226103050747`*^9}, {
   3.454322835479896*^9, 3.4543228374964867`*^9}, 3.4548737910498915`*^9, {
   3.4556496713908367`*^9, 3.4556496768752117`*^9}, {3.4556497452345867`*^9, 
   3.4556497475783367`*^9}, 3.4584840525390854`*^9},
 CellID->1232660485],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "0", " ", "\[LessEqual]", " ", "x", " ", "\[LessEqual]", " ", "a"}], " ", "&&",
    " ", 
   RowBox[{"b", " ", "\[LessEqual]", " ", "y"}]}], " ", "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.454322620748057*^9, 3.4543226284952993`*^9}, {
  3.454322774414055*^9, 3.4543227937151213`*^9}, {3.4543231683208323`*^9, 
  3.4543231685027246`*^9}},
 CellID->1564189614],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"y2", "[", 
    RowBox[{"x_", ",", "a_", ",", "b_", ",", "L_"}], "]"}], " ", "=", " ", 
   RowBox[{"y", " ", "/.", "  ", 
    RowBox[{
     RowBox[{"NSolve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"x", " ", "+", " ", "y", " ", "+", " ", 
         RowBox[{"(", 
          RowBox[{"y", "-", "b"}], ")"}]}], " ", "\[Equal]", " ", "L"}], ",", 
       " ", "y"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], " ", ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.454322525218486*^9, 3.4543226103050747`*^9}, {
   3.4543226548970423`*^9, 3.454322655116858*^9}, {3.454322843124113*^9, 
   3.454322857874301*^9}, 3.454873791713958*^9, {3.4556496840627117`*^9, 
   3.4556496882658367`*^9}, {3.4556497489689617`*^9, 3.4556497509845867`*^9}, 
   3.45848405255471*^9},
 CellID->1987519571],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"a", " ", "\[LessEqual]", " ", "x"}], " ", "&&", " ", 
   RowBox[{
   "0", " ", "\[LessEqual]", " ", "y", " ", "\[LessEqual]", " ", "b"}]}], " ",
   "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4543229673729763`*^9, 3.45432300843445*^9}, {
  3.4543232082379007`*^9, 3.4543232239924593`*^9}},
 CellID->559622763],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"y3", "[", 
    RowBox[{"x_", ",", "a_", ",", "b_", ",", "L_"}], "]"}], " ", "=", " ", 
   RowBox[{"y", " ", "/.", "  ", 
    RowBox[{
     RowBox[{"NSolve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"x", " ", "+", " ", 
         RowBox[{"(", 
          RowBox[{"x", "-", "a"}], ")"}], " ", "+", "y"}], " ", "\[Equal]", 
        " ", "L"}], ",", " ", "y"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], " ", ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.454322525218486*^9, 3.4543226103050747`*^9}, {
   3.45432286229222*^9, 3.454322862796729*^9}, {3.454323312702672*^9, 
   3.4543233150567408`*^9}, {3.454323439618053*^9, 3.454323464212529*^9}, {
   3.454677175607503*^9, 3.454677175852906*^9}, 3.454873792359022*^9, {
   3.4556496940783367`*^9, 3.4556497019220867`*^9}, {3.4556497530470867`*^9, 
   3.4556497551877117`*^9}, 3.4584840525703354`*^9},
 CellID->1748887528],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"a", " ", "\[LessEqual]", " ", "x"}], " ", "&&", " ", 
   RowBox[{"b", " ", "\[LessEqual]", " ", "y"}]}], " ", "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.454322866602981*^9, 3.454322884326294*^9}, {
  3.454323239624853*^9, 3.45432329931785*^9}},
 CellID->309859813],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"y4", "[", 
    RowBox[{"x_", ",", "a_", ",", "b_", ",", "L_"}], "]"}], " ", "=", " ", 
   RowBox[{"y", " ", "/.", "  ", 
    RowBox[{
     RowBox[{"NSolve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"x", " ", "+", " ", 
         RowBox[{"(", 
          RowBox[{"x", "-", "a"}], ")"}], "+", " ", "y", " ", "+", " ", 
         RowBox[{"(", 
          RowBox[{"y", "-", "b"}], ")"}]}], " ", "\[Equal]", " ", "L"}], ",", 
       " ", "y"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.454322525218486*^9, 3.4543226103050747`*^9}, {
   3.454322860399393*^9, 3.454322860540086*^9}, {3.454322920304933*^9, 
   3.454322929030761*^9}, {3.454677178680831*^9, 3.454677179006983*^9}, 
   3.4548737931351*^9, 3.45848405258596*^9},
 CellID->166033116],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"y", "[", 
    RowBox[{"x_", ",", "a_", ",", "b_", ",", "L_"}], "]"}], " ", ":=", " ", 
   RowBox[{"Piecewise", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"y1", "[", 
         RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], ",", " ", 
        RowBox[{
         RowBox[{
         "0", " ", "\[LessEqual]", " ", "x", " ", "\[LessEqual]", " ", "a"}], 
         " ", "&&", " ", 
         RowBox[{"0", " ", "\[LessEqual]", " ", 
          RowBox[{"y1", "[", 
           RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], " ", 
          "\[LessEqual]", " ", "b"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"y2", "[", 
         RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], ",", " ", 
        RowBox[{
         RowBox[{
         "0", " ", "\[LessEqual]", " ", "x", " ", "\[LessEqual]", " ", "a"}], 
         " ", "&&", " ", 
         RowBox[{"b", " ", "\[LessEqual]", " ", 
          RowBox[{"y2", "[", 
           RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}]}]}]}], "}"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"y3", "[", 
         RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], ",", " ", 
        RowBox[{
         RowBox[{"a", " ", "\[LessEqual]", " ", "x"}], " ", "&&", " ", 
         RowBox[{"0", " ", "\[LessEqual]", " ", 
          RowBox[{"y3", "[", 
           RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], " ", 
          "\[LessEqual]", " ", "b"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"y4", "[", 
         RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], ",", " ", 
        RowBox[{
         RowBox[{"a", "\[LessEqual]", " ", "x"}], " ", "&&", " ", 
         RowBox[{
          RowBox[{"0", "b"}], "\[LessEqual]", " ", 
          RowBox[{"y4", "[", 
           RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}]}]}]}], "}"}]}], 
     "}"}], "]"}]}], "\[IndentingNewLine]"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.454322635893298*^9, 3.454322637627696*^9}, {
   3.454347844134326*^9, 3.4543479658381433`*^9}, {3.4543480173135967`*^9, 
   3.4543480222945013`*^9}, {3.454348090043194*^9, 3.454348161715143*^9}, {
   3.454348225124386*^9, 3.4543482261715813`*^9}, {3.454431020712152*^9, 
   3.454431022311674*^9}, {3.454431185670916*^9, 3.454431204747695*^9}, 
   3.454431275261181*^9, {3.454683552294302*^9, 3.454683578496722*^9}, {
   3.4548737953993263`*^9, 3.4548738015839443`*^9}},
 CellID->1797782568],

Cell[BoxData[
 RowBox[{
  RowBox[{"yformula", "[", 
   RowBox[{"t_", ",", "x_", ",", "a_", ",", "b_", ",", "L_"}], "]"}], " ", ":=",
   " ", 
  RowBox[{"Piecewise", "[", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"a", "\[Equal]", "0"}], "&&", 
          RowBox[{"b", "\[Equal]", "0"}]}], ",", 
         RowBox[{"y1", "[", 
          RowBox[{"t", ",", "0", ",", "0", ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"a", "\[Equal]", "0"}], ",", 
           RowBox[{"y1", "[", 
            RowBox[{"t", ",", "0", ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"b", "\[Equal]", "0"}], ",", 
             RowBox[{"y1", "[", 
              RowBox[{"t", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", "0", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"y1", "[", 
              RowBox[{"t", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "]"}]}], 
            "]"}]}], "]"}]}], "]"}], ",", " ", 
       RowBox[{
        RowBox[{
        "0", " ", "\[LessEqual]", " ", "x", " ", "\[LessEqual]", " ", "a"}], 
        " ", "&&", " ", 
        RowBox[{"0", " ", "\[LessEqual]", " ", 
         RowBox[{"y1", "[", 
          RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], " ", 
         "\[LessEqual]", " ", "b"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"a", "\[Equal]", "0"}], "&&", 
          RowBox[{"b", "\[Equal]", "0"}]}], ",", 
         RowBox[{"y2", "[", 
          RowBox[{"t", ",", "0", ",", "0", ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"a", "\[Equal]", "0"}], ",", 
           RowBox[{"y2", "[", 
            RowBox[{"t", ",", "0", ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"b", "\[Equal]", "0"}], ",", 
             RowBox[{"y2", "[", 
              RowBox[{"t", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", "0", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"y2", "[", 
              RowBox[{"t", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "]"}]}], 
            "]"}]}], "]"}]}], "]"}], ",", " ", 
       RowBox[{
        RowBox[{
        "0", " ", "\[LessEqual]", " ", "x", " ", "\[LessEqual]", " ", "a"}], 
        " ", "&&", " ", 
        RowBox[{"b", " ", "\[LessEqual]", " ", 
         RowBox[{"y2", "[", 
          RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}]}]}]}], "}"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"a", "\[Equal]", "0"}], "&&", 
          RowBox[{"b", "\[Equal]", "0"}]}], ",", 
         RowBox[{"y3", "[", 
          RowBox[{"t", ",", "0", ",", "0", ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"a", "\[Equal]", "0"}], ",", 
           RowBox[{"y3", "[", 
            RowBox[{"t", ",", "0", ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"b", "\[Equal]", "0"}], ",", 
             RowBox[{"y3", "[", 
              RowBox[{"t", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", "0", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"y3", "[", 
              RowBox[{"t", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "]"}]}], 
            "]"}]}], "]"}]}], "]"}], ",", " ", 
       RowBox[{
        RowBox[{"a", " ", "\[LessEqual]", " ", "x"}], " ", "&&", " ", 
        RowBox[{"0", "\[LessEqual]", " ", 
         RowBox[{"y3", "[", 
          RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], "\[LessEqual]", 
         " ", "b"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"a", "\[Equal]", "0"}], "&&", 
          RowBox[{"b", "\[Equal]", "0"}]}], ",", 
         RowBox[{"y4", "[", 
          RowBox[{"t", ",", "0", ",", "0", ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"a", "\[Equal]", "0"}], ",", 
           RowBox[{"y4", "[", 
            RowBox[{"t", ",", "0", ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"b", "\[Equal]", "0"}], ",", 
             RowBox[{"y4", "[", 
              RowBox[{"t", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", "0", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"y4", "[", 
              RowBox[{"t", ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<b\>\"", ",", "Italic"}], "]"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<L\>\"", ",", "Italic"}], "]"}]}], "]"}]}], 
            "]"}]}], "]"}]}], "]"}], ",", " ", 
       RowBox[{
        RowBox[{"a", "\[LessEqual]", " ", "x"}], " ", "&&", " ", 
        RowBox[{"b", " ", "\[LessEqual]", " ", 
         RowBox[{"y4", "[", 
          RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}]}]}]}], "}"}]}], 
    "}"}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.45442661247499*^9, 3.4544266244833403`*^9}, {
   3.454426658038487*^9, 3.454426758658963*^9}, {3.454428099786306*^9, 
   3.454428117182519*^9}, 3.454428438550825*^9, {3.454428702885632*^9, 
   3.4544287203159523`*^9}, 3.4544313478019342`*^9, {3.454431540030375*^9, 
   3.454431540329537*^9}, {3.4544926870513906`*^9, 3.454492859021113*^9}, {
   3.4544929328062153`*^9, 3.454492986913765*^9}, {3.454493507634927*^9, 
   3.4544935158153152`*^9}, {3.4546869962419024`*^9, 3.4546870648701*^9}, {
   3.4556488313752117`*^9, 3.4556488415939617`*^9}, {3.4556489117033367`*^9, 
   3.4556489386252117`*^9}, {3.4556489992189617`*^9, 
   3.4556490116877117`*^9}, {3.4556490829533367`*^9, 3.4556491133908367`*^9}},
 
 CellID->236707086],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Area", "[", 
    RowBox[{"x_", ",", "a_", ",", "b_", ",", "L_"}], "]"}], " ", "=", " ", 
   RowBox[{"x", " ", 
    RowBox[{"y", "[", 
     RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.453371738330523*^9, 3.4533717736303883`*^9}, 
   3.454702239009057*^9},
 CellID->1196280158],

Cell[BoxData[
 RowBox[{
  RowBox[{"Aformula", "[", 
   RowBox[{"t_", ",", "x_", ",", "a_", ",", "b_", ",", "L_"}], "]"}], " ", ":=",
   " ", 
  RowBox[{"t", " ", 
   RowBox[{"yformula", "[", 
    RowBox[{"t", ",", "x", ",", "a", ",", "b", ",", "L"}], "]"}]}]}]], "Input",\

 InitializationCell->True,
 CellChangeTimes->{{3.454429370890424*^9, 3.454429408969515*^9}, 
   3.454431356951367*^9},
 CellID->1138712292],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"derA", "[", 
    RowBox[{"x0_", ",", "a_", ",", "b_", ",", "L_"}], "]"}], " ", "=", " ", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"Area", "[", 
       RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], ",", "x"}], "]"}], 
    " ", "/.", " ", 
    RowBox[{"x", " ", "\[Rule]", " ", "x0"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.453371783066112*^9, 3.453371794101729*^9}, {
   3.453397563447557*^9, 3.453397616278277*^9}, 3.4544272552782516`*^9, 
   3.454702252984787*^9},
 CellID->2110713227],

Cell[BoxData[
 RowBox[{
  RowBox[{"derAformula", "[", 
   RowBox[{"t0_", ",", "x0_", ",", "a_", ",", "b_", ",", "L_"}], "]"}], " ", ":=",
   "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "t", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Simplify", "[", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"Aformula", "[", 
         RowBox[{"t", ",", "x0", ",", "a", ",", "b", ",", "L"}], "]"}], ",", 
        "t"}], "]"}], "]"}], " ", "/.", " ", 
     RowBox[{"t", "\[Rule]", "t0"}]}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.454428221059965*^9, 3.454428322096345*^9}, 
   3.454428442734494*^9, {3.454428662937245*^9, 3.454428663765126*^9}, {
   3.4544287508728867`*^9, 3.4544287665043383`*^9}, {3.454428901424774*^9, 
   3.454428905382557*^9}, {3.454429116613709*^9, 3.45442913965016*^9}, {
   3.4544291771185503`*^9, 3.454429238981509*^9}, {3.454429330556178*^9, 
   3.4544293466041107`*^9}, {3.45442943240522*^9, 3.4544294341907063`*^9}},
 CellID->474841396],

Cell[BoxData[
 RowBox[{
  RowBox[{"intersectpt", "[", 
   RowBox[{"f1_", ",", "f2_", ",", "args__"}], "]"}], ":=", " ", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", " ", "=", " ", 
       RowBox[{"args", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ",", 
      RowBox[{"sol", " ", "=", "  ", 
       RowBox[{"NSolve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Apply", "[", 
           RowBox[{"f1", ",", "args"}], "]"}], "\[Equal]", 
          RowBox[{"Apply", "[", 
           RowBox[{"f2", ",", "args"}], "]"}]}], ",", "x"}], "]"}]}]}], "}"}],
     ",", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"sol", "\[Equal]", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", " ", 
         RowBox[{"Apply", "[", 
          RowBox[{"f1", ",", "args"}], "]"}]}], "}"}], " ", "/.", " ", 
       "sol"}]}], "]"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.454313771057303*^9, 3.454313812784693*^9}, {
   3.454313852528092*^9, 3.45431390675709*^9}, {3.454313946185622*^9, 
   3.454313947129285*^9}, {3.454313991408009*^9, 3.45431404963704*^9}, {
   3.454314083073339*^9, 3.454314132713805*^9}, {3.4543141990747538`*^9, 
   3.4543142510326157`*^9}, {3.454314284297059*^9, 3.454314303609763*^9}, {
   3.454314369973057*^9, 3.45431442004275*^9}, {3.454314460071995*^9, 
   3.454314552821474*^9}, 3.4584840526015854`*^9},
 CellID->610110320],

Cell[BoxData[
 RowBox[{
  RowBox[{"intersectpts", "[", 
   RowBox[{"f_", ",", " ", "fs__", ",", " ", "args__"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"fs", " ", "\[Equal]", " ", 
     RowBox[{"{", "}"}]}], ",", " ", 
    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Join", "[", 
     RowBox[{
      RowBox[{"intersectpt", "[", 
       RowBox[{"f", ",", 
        RowBox[{"First", "[", "fs", "]"}], ",", "args"}], "]"}], ",", " ", 
      RowBox[{"intersectpts", "[", 
       RowBox[{"f", ",", 
        RowBox[{"Rest", "[", "fs", "]"}], ",", "args"}], "]"}]}], "]"}]}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.454314891344454*^9, 3.454315050744843*^9}},
 CellID->2037217462],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"intersectpts", "[", 
    RowBox[{"fs__", ",", " ", "args__"}], "]"}], " ", ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Length", "[", "fs", "]"}], " ", "<", " ", "2"}], ",", " ", 
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Join", "[", 
      RowBox[{
       RowBox[{"intersectpts", "[", 
        RowBox[{
         RowBox[{"First", "[", "fs", "]"}], ",", 
         RowBox[{"Rest", "[", "fs", "]"}], ",", "args"}], "]"}], ",", " ", 
       RowBox[{"intersectpts", "[", 
        RowBox[{
         RowBox[{"Rest", "[", "fs", "]"}], ",", "args"}], "]"}]}], "]"}]}], 
    "]"}]}], "\[IndentingNewLine]"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.454314699475444*^9, 3.454314772238109*^9}, {
  3.454315084983597*^9, 3.454315248828782*^9}},
 CellID->34616066],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"xpts", "[", 
    RowBox[{"a_", ",", "b_", ",", "L_"}], "]"}], " ", "=", " ", 
   RowBox[{"intersectpts", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"y1", ",", "y2", ",", "y3", ",", "y4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.454315285805525*^9, 3.4543153034468613`*^9}, {
   3.45432392689826*^9, 3.45432397719903*^9}, {3.454426332100123*^9, 
   3.4544263326668053`*^9}, {3.4544320977597637`*^9, 3.454432098421541*^9}, 
   3.45444345838943*^9, {3.4544978799321737`*^9, 3.4544979006317463`*^9}},
 CellID->1971636572],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"xptsA", "[", 
    RowBox[{"a_", ",", "b_", ",", "L_"}], "]"}], " ", "=", " ", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", " ", 
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", "1", "]"}], "]"}], " ", 
         RowBox[{"#", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], " ", "&"}], ",", " ", 
     RowBox[{"xpts", "[", 
      RowBox[{"a", ",", "b", ",", "L"}], "]"}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4543239806425734`*^9, 3.454324034001878*^9}, 
   3.4544434624788227`*^9, {3.454497908363106*^9, 3.454497914108452*^9}},
 CellID->1623192394],

Cell[BoxData[
 RowBox[{
  RowBox[{"usedxpts", "[", 
   RowBox[{"a_", ",", " ", "b_", ",", " ", "L_"}], "]"}], " ", ":=", " ", 
  RowBox[{"Select", "[", 
   RowBox[{
    RowBox[{"xpts", "[", 
     RowBox[{"a", ",", " ", "b", ",", " ", "L"}], "]"}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"y", "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", "a", ",", "b", ",", "L"}], 
       "]"}], " ", "\[Equal]", " ", 
      RowBox[{"#", "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], " ", "&"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.454348991097514*^9, 3.45434910724533*^9}, {
   3.4543492827481537`*^9, 3.4543492836434793`*^9}, {3.454349376602655*^9, 
   3.4543493997315407`*^9}, {3.4544433105201683`*^9, 3.454443311277301*^9}, {
   3.454443346799242*^9, 3.454443362933688*^9}, 3.454444422971829*^9},
 CellID->1509798117],

Cell[BoxData[
 RowBox[{
  RowBox[{"usedxptsA", "[", 
   RowBox[{"a_", ",", "b_", ",", "L_"}], "]"}], " ", ":=", " ", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", " ", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], " ", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], " ", "&"}], ",", " ", 
    RowBox[{"usedxpts", "[", 
     RowBox[{"a", ",", "b", ",", "L"}], "]"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4543239806425734`*^9, 3.454324034001878*^9}, {
  3.4544434624788227`*^9, 3.454443498576503*^9}},
 CellID->510179467],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"yc", " ", "=", " ", 
    RowBox[{"f", "[", 
     RowBox[{"xc", ",", "..."}], "]"}]}], ",", " ", 
   RowBox[{
    RowBox[{"where", " ", "A"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"x", " ", 
      RowBox[{"f", "[", 
       RowBox[{"x", ",", "..."}], "]"}], " ", "has", " ", "a", " ", "max", 
      " ", "at", " ", "x"}], " ", "=", " ", "xc"}]}]}], " ", "*)"}]], "Input",\

 InitializationCell->True,
 CellChangeTimes->{{3.454443525071321*^9, 3.45444380896989*^9}},
 CellID->1831583045],

Cell[BoxData[
 RowBox[{
  RowBox[{"critxy", "[", 
   RowBox[{"f_", ",", " ", "args__"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", " ", "=", " ", 
       RowBox[{"args", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ",", " ", 
      RowBox[{"der", " ", "=", " ", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"x", " ", 
          RowBox[{"Apply", "[", 
           RowBox[{"f", ",", " ", "args"}], "]"}]}], ",", "x"}], "]"}]}], ",",
       "sol", ",", " ", "xc", ",", " ", "yc"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"sol", " ", "=", "   ", 
      RowBox[{"NSolve", "[", 
       RowBox[{
        RowBox[{"der", " ", "\[Equal]", " ", "0"}], ",", " ", "x"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"xc", " ", "=", " ", 
      RowBox[{"x", " ", "/.", " ", 
       RowBox[{"sol", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"yc", " ", "=", " ", 
      RowBox[{"Apply", "[", 
       RowBox[{"f", ",", " ", 
        RowBox[{"Prepend", "[", 
         RowBox[{
          RowBox[{"Rest", "[", "args", "]"}], ",", " ", "xc"}], "]"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"xc", ",", " ", "yc"}], "}"}]}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4543164245685577`*^9, 3.4543164445036497`*^9}, {
   3.454316570030224*^9, 3.4543165725654716`*^9}, {3.4543168058726797`*^9, 
   3.454316828288826*^9}, {3.454316864639105*^9, 3.454316879486483*^9}, {
   3.4543169544039717`*^9, 3.4543170663712606`*^9}, {3.454324338860886*^9, 
   3.454324346787963*^9}, 3.454443973236878*^9, 3.45848405261721*^9},
 CellID->1385641217],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xc", ",", " ", "yc"}], "}"}], "'"}], "s", " ", "for", " ", "x",
     " ", "y1"}], ",", " ", 
   RowBox[{"x", " ", "y2"}], ",", " ", 
   RowBox[{"x", " ", "y3", " ", "and", " ", "x", " ", "y4"}]}], " ", 
  "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.454443976687422*^9, 3.4544439776710167`*^9}, {
  3.454444054804947*^9, 3.454444072758542*^9}, {3.454444135919099*^9, 
  3.45444415028613*^9}},
 CellID->1159266051],

Cell[BoxData[
 RowBox[{
  RowBox[{"critxys", " ", "[", 
   RowBox[{"a_", ",", " ", "b_", ",", " ", "L_"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"critxy", "[", 
      RowBox[{"#", ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", " ", "a", ",", " ", "b", ",", " ", "L"}], "}"}]}], 
      "]"}], " ", "&"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"y1", ",", "y2", ",", "y3", ",", "y4"}], "}"}]}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.454317229796467*^9, 3.454317291482314*^9}, {
   3.454317371958714*^9, 3.45431737760069*^9}, {3.4543174293671827`*^9, 
   3.454317473786832*^9}, {3.454324364641899*^9, 3.454324366872202*^9}, {
   3.4543244116613293`*^9, 3.454324425114421*^9}, 3.454444254240369*^9},
 CellID->1812873573],

Cell[BoxData[
 RowBox[{
  RowBox[{"usedcritxys", "[", 
   RowBox[{"a_", ",", " ", "b_", ",", " ", "L_"}], "]"}], " ", ":=", " ", 
  RowBox[{"Select", "[", 
   RowBox[{
    RowBox[{"critxys", "[", 
     RowBox[{"a", ",", " ", "b", ",", " ", "L"}], "]"}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"y", "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", "a", ",", "b", ",", "L"}], 
       "]"}], " ", "\[Equal]", " ", 
      RowBox[{"#", "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], " ", "&"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.45444423495072*^9, 3.4544442499155903`*^9}, {
   3.4544442988871403`*^9, 3.4544443132052927`*^9}, {3.454444391649749*^9, 
   3.454444399853038*^9}, {3.454444461360318*^9, 3.4544444874451647`*^9}, 
   3.454445912855852*^9},
 CellID->468157775],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xc", ",", " ", 
       RowBox[{"xc", " ", "yc"}]}], "}"}], "'"}], "s"}], ",", " ", 
   RowBox[{"max", " ", "points", " ", "of", " ", "x", " ", "y1"}], ",", " ", 
   RowBox[{"x", " ", "y2"}], ",", " ", 
   RowBox[{"x", " ", "y3"}], ",", " ", 
   RowBox[{"x", " ", "y4"}]}], " ", "*)"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.454444078802656*^9, 3.4544441113774347`*^9}, {
  3.4544441695116377`*^9, 3.454444179971725*^9}},
 CellID->2095125464],

Cell[BoxData[
 RowBox[{
  RowBox[{"critxyAs", "[", 
   RowBox[{"a_", ",", "b_", ",", "L_"}], "]"}], " ", ":=", " ", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", " ", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], " ", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], " ", "&"}], ",", " ", 
    RowBox[{"critxys", "[", 
     RowBox[{"a", ",", "b", ",", "L"}], "]"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4543245088345737`*^9, 3.454324563566131*^9}, {
  3.4544445099174633`*^9, 3.454444512116623*^9}, {3.4544454924871387`*^9, 
  3.454445515880045*^9}},
 CellID->484313589],

Cell[BoxData[
 RowBox[{
  RowBox[{"usedcritxyAs", "[", 
   RowBox[{"a_", ",", " ", "b_", ",", " ", "L_"}], "]"}], " ", ":=", " ", 
  RowBox[{"Select", "[", 
   RowBox[{
    RowBox[{"critxyAs", "[", 
     RowBox[{"a", ",", " ", "b", ",", " ", "L"}], "]"}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"y", "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", "a", ",", "b", ",", "L"}], 
       "]"}], " ", "\[Equal]", " ", 
      RowBox[{"#", "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], " ", "&"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.45444423495072*^9, 3.4544442499155903`*^9}, {
   3.4544442988871403`*^9, 3.4544443132052927`*^9}, {3.454444391649749*^9, 
   3.454444399853038*^9}, {3.454444461360318*^9, 3.4544444874451647`*^9}, 
   3.454445912855852*^9, {3.4544966924765673`*^9, 3.454496714818315*^9}},
 CellID->895468193],

Cell[BoxData[
 RowBox[{
  RowBox[{"crits", "[", 
   RowBox[{"a_", ",", "b_", ",", "L_"}], "]"}], " ", ":=", " ", 
  RowBox[{"Join", "[", 
   RowBox[{
    RowBox[{"usedxpts", "[", 
     RowBox[{"a", ",", "b", ",", "L"}], "]"}], ",", 
    RowBox[{"usedcritxys", "[", 
     RowBox[{"a", ",", "b", ",", "L"}], "]"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4535406104304247`*^9, 3.453540648123451*^9}, {
  3.454348820841321*^9, 3.454348823952299*^9}, {3.454444790234887*^9, 
  3.454444804112905*^9}},
 CellID->568521575],

Cell[BoxData[
 RowBox[{
  RowBox[{"critAs", "[", 
   RowBox[{"a_", ",", "b_", ",", "L_"}], "]"}], " ", ":=", " ", 
  RowBox[{"Join", "[", 
   RowBox[{
    RowBox[{"usedxptsA", "[", 
     RowBox[{"a", ",", "b", ",", "L"}], "]"}], ",", " ", 
    RowBox[{"usedcritxyAs", "[", 
     RowBox[{"a", ",", "b", ",", "L"}], "]"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4544449193619633`*^9, 3.4544449655854197`*^9}},
 CellID->987365522],

Cell[BoxData[
 RowBox[{
  RowBox[{"maxcorner", "[", 
   RowBox[{"a_", ",", "b_", ",", "L_"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"N", "[", 
   RowBox[{
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"crits", "[", 
       RowBox[{"a", ",", "b", ",", "L"}], "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"Apply", "[", 
         RowBox[{"Times", ",", " ", "#"}], "]"}], " ", "==", 
        RowBox[{"Max", "[", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Apply", "[", 
             RowBox[{"Times", ",", " ", "#"}], "]"}], " ", "&"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"crits", "[", 
            RowBox[{"a", ",", "b", ",", "L"}], "]"}]}], "]"}], "]"}]}], 
       "&"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4535406934221497`*^9, 3.4535407439794416`*^9}, {
   3.4535407740786*^9, 3.453540880298897*^9}, 3.453540914527413*^9, 
   3.453541090808722*^9, {3.4535411394584837`*^9, 3.453541140535997*^9}, {
   3.4542418660911083`*^9, 3.4542418668053083`*^9}, {3.454444832854608*^9, 
   3.4544448443306103`*^9}, 3.454445082578055*^9, 3.4544459491069517`*^9},
 CellID->1046187885],

Cell[BoxData[
 RowBox[{
  RowBox[{"maxptA", "[", 
   RowBox[{"a_", ",", "b_", ",", "L_"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Apply", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"#1", ",", " ", 
       RowBox[{"#1", " ", "#2"}]}], "}"}], " ", "&"}], ",", " ", 
    RowBox[{"maxcorner", "[", 
     RowBox[{"a", ",", "b", ",", "L"}], "]"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.45354125871033*^9, 3.453541366693227*^9}, {
  3.453541413560017*^9, 3.453541437336322*^9}},
 CellID->1831165206],

Cell[BoxData[
 RowBox[{
  RowBox[{"maxA", "[", 
   RowBox[{"a_", ",", "b_", ",", "L_"}], "]"}], " ", ":=", " ", 
  RowBox[{
   RowBox[{"Apply", "[", 
    RowBox[{"Times", ",", " ", 
     RowBox[{"maxcorner", "[", 
      RowBox[{"a", ",", "b", ",", "L"}], "]"}]}], "]"}], " ", "//", 
   "N"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.453542819902017*^9, 3.453542890040353*^9}, {
  3.453587137251562*^9, 3.453587138817149*^9}},
 CellID->805472085],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"maxrect", "[", 
      RowBox[{"a_", ",", "b_", ",", "L_"}], "]"}], " ", ":=", 
     RowBox[{"Apply", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"#1", ",", "0"}], "}"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{"#1", ",", "#2"}], "}"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{"0", ",", "#2"}], "}"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "}"}], " ", "&"}], ",", " ", 
       RowBox[{"maxcorner", "[", 
        RowBox[{"a", ",", "b", ",", "L"}], "]"}]}], "]"}]}], ";"}], "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"maxrect", "[", 
    RowBox[{"a_", ",", "b_", ",", "L_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xym", "=", 
        RowBox[{"maxcorner", "[", 
         RowBox[{"a", ",", "b", ",", "L"}], "]"}]}], ",", "xm", ",", "ym", 
       ",", "mrect"}], "}"}], ",", 
     RowBox[{
      RowBox[{"xm", "=", 
       RowBox[{"xym", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ym", "=", 
       RowBox[{"xym", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"mrect", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"xm", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"xm", ",", "ym"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "ym"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"xm", "\[Equal]", 
         RowBox[{"2", " ", "ym"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"mrect", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"xm", "/", "2"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"xm", "/", "2"}], ",", "ym"}], "}"}]}], "}"}]}], "}"}], 
        ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"ym", "\[Equal]", 
           RowBox[{"2", " ", "xm"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"mrect", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"ym", "/", "2"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"xm", ",", 
                RowBox[{"ym", "/", "2"}]}], "}"}]}], "}"}]}], "}"}], ",", 
          "mrect"}], "]"}]}], "]"}]}]}], "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.453408587247263*^9, 3.453408762770872*^9}, {
   3.4534091861157312`*^9, 3.4534091886103783`*^9}, {3.453410827347925*^9, 
   3.453410833743487*^9}, {3.4534123217599897`*^9, 3.4534123479864893`*^9}, 
   3.453412535405455*^9, {3.453414931421698*^9, 3.45341493176271*^9}, {
   3.4534153387179003`*^9, 3.453415339042563*^9}, {3.453415769438271*^9, 
   3.453415771904552*^9}, {3.4534159538968153`*^9, 3.4534159618833838`*^9}, {
   3.453416101471434*^9, 3.453416104200459*^9}, {3.453541694724781*^9, 
   3.453541726750846*^9}, {3.453541930934288*^9, 3.453541954958458*^9}, 
   3.453542109350615*^9, {3.4584827800703354`*^9, 3.45848278705471*^9}},
 CellID->1979905554],

Cell[BoxData[
 RowBox[{
  RowBox[{"ysplot", "[", 
   RowBox[{"x0_", ",", "a_", ",", "b_", ",", "L_"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Pane", "[", 
   RowBox[{
    RowBox[{"Show", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"{", " ", 
         RowBox[{
          RowBox[{"y1", "[", 
           RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], ",", " ", 
          RowBox[{"y2", "[", 
           RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], ",", " ", 
          RowBox[{"y3", "[", 
           RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], ",", " ", 
          RowBox[{"y4", "[", 
           RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", 
          RowBox[{"Min", "[", 
           RowBox[{"L", ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"L", "+", "a"}], ")"}], "/", "2"}]}], "]"}]}], "}"}], 
        ",", " ", 
        RowBox[{"PlotLabel", " ", "\[Rule]", " ", 
         RowBox[{"Column", "[", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
               "\"\< = \>\"", ",", " ", 
               RowBox[{"TraditionalForm", "@", 
                RowBox[{"yformula", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "x0", 
                  ",", "a", ",", "b", ",", "L"}], "]"}]}]}], "}"}], "]"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"\"\<  = \>\"", ",", "  ", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"N", "[", 
                  RowBox[{"y", "[", 
                   RowBox[{"x0", ",", "a", ",", "b", ",", "L"}], "]"}], "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"8", ",", "3"}], "}"}]}], "]"}]}], "}"}], "]"}]}], 
           "}"}], "]"}]}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "Large", "]"}], ",", 
          "\[IndentingNewLine]", "Blue", ",", 
          RowBox[{"Point", "[", 
           RowBox[{"xpts", "[", 
            RowBox[{"a", ",", "b", ",", "L"}], "]"}], "]"}], ",", 
          "\[IndentingNewLine]", "Black", ",", 
          RowBox[{"Point", "[", 
           RowBox[{"usedxpts", "[", 
            RowBox[{"a", ",", "b", ",", "L"}], "]"}], "]"}]}], "}"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"y", "[", 
         RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", "0", ",", " ", 
          RowBox[{"Min", "[", 
           RowBox[{"L", ",", " ", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"L", "+", "a"}], ")"}], "/", "2"}]}], "]"}]}], "}"}], 
        ",", " ", 
        RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Thick", ",", "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"x0", ",", " ", 
               RowBox[{"y", "[", 
                RowBox[{"x0", ",", "a", ",", "b", ",", "L"}], "]"}]}], 
              "}"}]}], "}"}], "]"}]}], "}"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "200"}], ",", 
      RowBox[{"ImagePadding", "\[Rule]", "30"}]}], "]"}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.453584020128426*^9, 3.4535840936604652`*^9}, 
   3.4535849094137917`*^9, {3.453584955654695*^9, 3.453585054937983*^9}, {
   3.4535868383360853`*^9, 3.453586847052964*^9}, {3.454429546109728*^9, 
   3.454429568152773*^9}, {3.454445287944763*^9, 3.454445384557616*^9}, {
   3.454446508967062*^9, 3.454446511534788*^9}, {3.4548739341742024`*^9, 
   3.4548739417969646`*^9}, {3.454874167163499*^9, 3.4548741742942123`*^9}, 
   3.4556491810627117`*^9, {3.456225987634165*^9, 3.4562260126454372`*^9}, {
   3.45848299308596*^9, 3.4584830239453354`*^9}, {3.4584831740703354`*^9, 
   3.45848318089846*^9}, {3.4584842012578354`*^9, 3.45848421030471*^9}, 
   3.45848424733596*^9, {3.45848430946096*^9, 3.45848433561721*^9}, 
   3.45848734127346*^9, {3.4584966663203354`*^9, 3.4584966667578354`*^9}},
 CellID->1013535813],

Cell[BoxData[
 RowBox[{
  RowBox[{"Aplot", "[", 
   RowBox[{"x0_", ",", "a_", ",", "b_", ",", "L_"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Pane", "[", 
   RowBox[{
    RowBox[{"Show", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"x", 
         RowBox[{"{", " ", 
          RowBox[{
           RowBox[{"y1", "[", 
            RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], ",", " ", 
           RowBox[{"y2", "[", 
            RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], ",", " ", 
           RowBox[{"y3", "[", 
            RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], ",", " ", 
           RowBox[{"y4", "[", 
            RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}]}], "}"}]}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", 
          RowBox[{"Min", "[", 
           RowBox[{"L", ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"L", "+", "a"}], ")"}], "/", "2"}]}], "]"}]}], "}"}], 
        ",", " ", 
        RowBox[{"PlotLabel", " ", "\[Rule]", " ", 
         RowBox[{"Column", "[", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<A\>\"", ",", "Italic"}], "]"}], ",", 
               "\"\< = \>\"", ",", " ", 
               RowBox[{"TraditionalForm", "@", 
                RowBox[{"Aformula", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "x0", 
                  ",", "a", ",", "b", ",", "L"}], "]"}]}]}], "}"}], "]"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"\"\<  = \>\"", ",", " ", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"N", "[", 
                  RowBox[{"Area", "[", 
                   RowBox[{"x0", ",", "a", ",", "b", ",", "L"}], "]"}], "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"8", ",", "3"}], "}"}]}], "]"}]}], "}"}], "]"}]}], 
           "}"}], "]"}]}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"x", " ", 
         RowBox[{"y", "[", 
          RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}]}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"x", ",", " ", "0", ",", " ", 
          RowBox[{"Min", "[", 
           RowBox[{"L", ",", " ", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"L", "+", "a"}], ")"}], "/", "2"}]}], "]"}]}], "}"}], 
        ",", " ", 
        RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "Large", "]"}], ",", 
          "\[IndentingNewLine]", "Blue", ",", 
          RowBox[{"Point", "[", 
           RowBox[{"xptsA", "[", 
            RowBox[{"a", ",", "b", ",", "L"}], "]"}], "]"}], ",", 
          "\[IndentingNewLine]", "Black", ",", 
          RowBox[{"Point", "[", 
           RowBox[{"usedxptsA", "[", 
            RowBox[{"a", ",", "b", ",", "L"}], "]"}], "]"}], ",", 
          "\[IndentingNewLine]", "Red", ",", 
          RowBox[{"Point", "[", 
           RowBox[{"critxyAs", "[", 
            RowBox[{"a", ",", "b", ",", "L"}], "]"}], "]"}], ",", 
          "\[IndentingNewLine]", "Green", ",", 
          RowBox[{"Point", "[", 
           RowBox[{"maxptA", "[", 
            RowBox[{"a", ",", "b", ",", "L"}], "]"}], "]"}]}], "}"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Thick", ",", "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"x0", ",", 
               RowBox[{"x0", " ", 
                RowBox[{"y", "[", 
                 RowBox[{"x0", ",", "a", ",", "b", ",", "L"}], "]"}]}]}], 
              "}"}]}], "}"}], "]"}]}], "}"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "200"}], ",", 
      RowBox[{"ImagePadding", "\[Rule]", "30"}]}], "]"}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.453584150215281*^9, 3.4535841726519117`*^9}, {
   3.453585079564156*^9, 3.453585097729059*^9}, {3.453585142938582*^9, 
   3.453585146736961*^9}, {3.454242008504106*^9, 3.454242017028854*^9}, {
   3.454427046747677*^9, 3.454427072126932*^9}, 3.454427177075474*^9, {
   3.454429487419971*^9, 3.454429495873527*^9}, {3.45444559010181*^9, 
   3.454445637568974*^9}, {3.4544464238012037`*^9, 3.454446456464897*^9}, {
   3.4544465268843613`*^9, 3.4544465298069153`*^9}, {3.454873949733758*^9, 
   3.454873954589244*^9}, {3.454874181245907*^9, 3.4548741838301654`*^9}, 
   3.4556491833439617`*^9, {3.456226049153606*^9, 3.4562260750965977`*^9}, {
   3.456240862336218*^9, 3.4562408880098*^9}, 3.45848319361721*^9, {
   3.4584842143515854`*^9, 3.4584842445703354`*^9}, {3.45848435202346*^9, 
   3.45848437064846*^9}, 3.45848733786721*^9, {3.4584966721015854`*^9, 
   3.45849667258596*^9}},
 CellID->656121087],

Cell[BoxData[
 RowBox[{
  RowBox[{"derAplot", "[", 
   RowBox[{"x0_", ",", "a_", ",", "b_", ",", "L_"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Pane", "[", 
   RowBox[{
    RowBox[{"Show", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"x", 
            RowBox[{"{", " ", 
             RowBox[{
              RowBox[{"y1", "[", 
               RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], ",", " ", 
              RowBox[{"y2", "[", 
               RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], ",", " ", 
              RowBox[{"y3", "[", 
               RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}], ",", " ", 
              RowBox[{"y4", "[", 
               RowBox[{"x", ",", "a", ",", "b", ",", "L"}], "]"}]}], "}"}]}], 
           ",", "x"}], "]"}], " ", "/.", " ", 
         RowBox[{"x", " ", "\[Rule]", " ", "x1"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"x1", ",", "0", ",", 
          RowBox[{"Min", "[", 
           RowBox[{"L", ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"L", "+", "a"}], ")"}], "/", "2"}]}], "]"}]}], "}"}], 
        ",", 
        RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], ",", " ", 
      "\[IndentingNewLine]", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"derA", "[", 
         RowBox[{"x1", ",", "a", ",", "b", ",", "L"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"x1", ",", "0", ",", 
          RowBox[{"Min", "[", 
           RowBox[{"L", ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"L", "+", "a"}], ")"}], "/", "2"}]}], "]"}]}], "}"}], 
        ",", "\[IndentingNewLine]", " ", 
        RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Thick", ",", "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"x0", ",", 
               RowBox[{"derA", "[", 
                RowBox[{"x0", ",", "a", ",", "b", ",", "L"}], "]"}]}], 
              "}"}]}], "}"}], "]"}]}], "}"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"Column", "[", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<d\[InvisibleSpace]A/d\[InvisibleSpace]x\>\"", ",", 
               "Italic"}], "]"}], ",", "\"\< = \>\"", ",", " ", 
             RowBox[{"TraditionalForm", "@", 
              RowBox[{"derAformula", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "x0", ",", 
                "a", ",", "b", ",", "L"}], "]"}]}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<      = \>\"", ",", " ", 
             RowBox[{"NumberForm", "[", 
              RowBox[{
               RowBox[{"N", "[", 
                RowBox[{"derA", "[", 
                 RowBox[{"x0", ",", "a", ",", "b", ",", "L"}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"8", ",", "3"}], "}"}]}], "]"}]}], "}"}], "]"}]}], 
         "}"}], "]"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "200"}], ",", 
      RowBox[{"ImagePadding", "\[Rule]", "30"}]}], "]"}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.453584215391995*^9, 3.453584242909794*^9}, {
   3.4535851504079657`*^9, 3.4535851573312683`*^9}, {3.453586170172591*^9, 
   3.453586187143302*^9}, {3.453586332270774*^9, 3.45358634128618*^9}, 
   3.4542429652587757`*^9, 3.454427236789522*^9, {3.454427380853319*^9, 
   3.454427423049499*^9}, {3.454428402507052*^9, 3.454428404395646*^9}, {
   3.454428812633727*^9, 3.454428819789256*^9}, {3.454524898562079*^9, 
   3.454524937475128*^9}, {3.4545251194792213`*^9, 3.454525141793769*^9}, 
   3.454873830560842*^9, {3.4548739601477995`*^9, 3.454873985982383*^9}, {
   3.454874056421426*^9, 3.454874087497533*^9}, {3.454874189135696*^9, 
   3.45487419157294*^9}, 3.4556491853127117`*^9, {3.4562260926253967`*^9, 
   3.456226115685238*^9}, 3.4584832014140854`*^9, {3.45848343289846*^9, 
   3.45848343680471*^9}, {3.45848423042971*^9, 3.45848424308596*^9}, {
   3.4584843819765854`*^9, 3.4584843883203354`*^9}, 3.45848733399221*^9, {
   3.4584966783203354`*^9, 3.4584966788203354`*^9}},
 CellID->98581864],

Cell[BoxData[
 RowBox[{
  RowBox[{"fieldplot", "[", 
   RowBox[{"x0_", ",", "a_", ",", "b_", ",", "L_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Pane", "[", 
   RowBox[{
    RowBox[{"Show", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Green", ",", 
          RowBox[{"Line", "[", 
           RowBox[{"maxrect", "[", 
            RowBox[{"a", ",", "b", ",", "L"}], "]"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", 
             RowBox[{"Max", "[", 
              RowBox[{"a", ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"a", "+", "L"}], ")"}], "/", "2"}]}], "]"}]}], "}"}],
            ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", 
             RowBox[{"Max", "[", 
              RowBox[{"b", ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"b", "+", "L"}], ")"}], "/", "2"}]}], "]"}]}], 
            "}"}]}], "}"}]}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Thickness", "[", ".025", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"a", ",", "0"}], "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "b"}], "}"}]}], "}"}]}], "}"}], "]"}], ",", 
          "\[IndentingNewLine]", "Thick", ",", "Dashed", ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"x0", ",", "0"}], "}"}], ",", " ", 
             RowBox[{"{", 
              RowBox[{"x0", ",", 
               RowBox[{"y", "[", 
                RowBox[{"x0", ",", "a", ",", "b", ",", "L"}], "]"}]}], "}"}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"y", "[", 
                RowBox[{"x0", ",", "a", ",", "b", ",", "L"}], "]"}]}], "}"}], 
             ",", " ", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"Column", "[", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<max \>\"", ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<A\>\"", ",", "Italic"}], "]"}], ",", "\"\< = \>\"",
              ",", " ", 
             RowBox[{"TraditionalForm", "@", 
              RowBox[{"maxA", "[", 
               RowBox[{"a", ",", "b", ",", "L"}], "]"}]}]}], "}"}], "]"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<when {\>\"", ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "\"\<,\>\"", 
             ",", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
             "\"\<} = \>\"", ",", " ", 
             RowBox[{"TraditionalForm", "@", 
              RowBox[{"maxcorner", "[", 
               RowBox[{"a", ",", "b", ",", "L"}], "]"}]}]}], "}"}], "]"}]}], 
         "}"}], "]"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "200"}], ",", 
      RowBox[{"ImagePadding", "\[Rule]", "30"}]}], "]"}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.453584305856544*^9, 3.453584325476898*^9}, {
   3.453585226960539*^9, 3.453585248772414*^9}, {3.453586204323004*^9, 
   3.453586208787163*^9}, {3.453586295173707*^9, 3.453586304635379*^9}, {
   3.4542414815425158`*^9, 3.4542415319407177`*^9}, {3.45424159158162*^9, 
   3.454241604116478*^9}, {3.4542423826642*^9, 3.45424238710991*^9}, {
   3.454446061565474*^9, 3.4544460621377983`*^9}, {3.454453505635194*^9, 
   3.454453532975053*^9}, {3.454453606446435*^9, 3.45445360959296*^9}, {
   3.454453691660914*^9, 3.454453692003035*^9}, {3.454493143248394*^9, 
   3.4544931475128193`*^9}, {3.45449319081861*^9, 3.454493191729698*^9}, {
   3.454873823824168*^9, 3.4548738251362996`*^9}, {3.45487399495928*^9, 
   3.4548740398267665`*^9}, {3.4548740938901725`*^9, 3.454874106999483*^9}, {
   3.454874194913274*^9, 3.4548741969784803`*^9}, {3.4556496247814617`*^9, 
   3.4556496254377117`*^9}, {3.456473891919492*^9, 3.456473909214643*^9}, {
   3.45682201717255*^9, 3.45682204048065*^9}, 3.4584832055078354`*^9, {
   3.4584835088515854`*^9, 3.4584836020390854`*^9}, {3.45848375774221*^9, 
   3.45848376552346*^9}, 3.4584838388828354`*^9, {3.45848482367971*^9, 
   3.45848482814846*^9}, {3.45848731317971*^9, 3.4584873224140854`*^9}, {
   3.4584966863828354`*^9, 3.4584966868828354`*^9}},
 CellID->1155496411],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"x0", ">", 
       RowBox[{"Min", "[", 
        RowBox[{"L", ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"L", "+", "a"}], ")"}], "/", "2"}]}], "]"}]}], ",", 
      RowBox[{"x0", "=", 
       RowBox[{"Min", "[", 
        RowBox[{"L", ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"L", "+", "a"}], ")"}], "/", "2"}]}], "]"}]}]}], "]"}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{"c", ",", " ", 
      RowBox[{"x0", " ", "=", " ", 
       RowBox[{
        RowBox[{"maxcorner", "[", 
         RowBox[{"a", ",", "b", ",", "L"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Grid", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ysplot", "[", 
           RowBox[{"x0", ",", "a", ",", "b", ",", "L"}], "]"}], ",", " ", 
          RowBox[{"Aplot", "[", 
           RowBox[{"x0", ",", "a", ",", "b", ",", "L"}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"derAplot", "[", 
           RowBox[{"x0", ",", "a", ",", "b", ",", "L"}], "]"}], ",", 
          RowBox[{"fieldplot", "[", 
           RowBox[{"x0", ",", "a", ",", "b", ",", "L"}], "]"}]}], "}"}]}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "25"}], "}"}], ",", "0", ",", "100", ",", "1", ",", 
     " ", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "10"}], "}"}], ",", "0", ",", "100", ",", "1", ",", 
     " ", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"L", ",", "50"}], "}"}], ",", "1", ",", "200", ",", "1", ",", 
     " ", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<set x to make A largest\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "False", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", "20", ",", "\"\<x\>\""}], "}"}], ",", "0", ",", " ", 
     
     RowBox[{"Min", "[", 
      RowBox[{"L", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"L", "+", "a"}], ")"}], "/", "2"}]}], "]"}], ",", ".001", 
     ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
   RowBox[{"SynchronousUpdating", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.453584377146525*^9, 3.453584487187035*^9}, {
   3.45358480016084*^9, 3.453584818909923*^9}, {3.453585300173834*^9, 
   3.4535853279985723`*^9}, {3.453586394019578*^9, 3.4535863966684427`*^9}, {
   3.453586554303569*^9, 3.4535865618770437`*^9}, {3.454239988884016*^9, 
   3.454240106725295*^9}, {3.454240360527556*^9, 3.454240482070835*^9}, {
   3.454240527248247*^9, 3.45424054210245*^9}, {3.454240578631236*^9, 
   3.454240626686468*^9}, {3.454240878768755*^9, 3.454240893395192*^9}, {
   3.4542409253199587`*^9, 3.454240951458228*^9}, {3.454241028612679*^9, 
   3.454241037635171*^9}, {3.4542420646113873`*^9, 3.454242081312145*^9}, {
   3.454242185694251*^9, 3.454242218436493*^9}, {3.454242257708847*^9, 
   3.45424226295443*^9}, {3.4544935842477093`*^9, 3.4544935870941467`*^9}, {
   3.454497676049808*^9, 3.4544976856451073`*^9}, {3.4545241524155083`*^9, 
   3.454524153236705*^9}, {3.454524312698544*^9, 3.454524319492654*^9}, 
   3.45453353358435*^9, {3.454533851773241*^9, 3.454533852890148*^9}, {
   3.454533885030767*^9, 3.454533922165113*^9}, {3.454533974244317*^9, 
   3.454534003073551*^9}, {3.454534049807684*^9, 3.4545341431176987`*^9}, {
   3.454540258689309*^9, 3.4545402686012173`*^9}, {3.4545762997997913`*^9, 
   3.45457630221735*^9}, {3.4546268297218313`*^9, 3.454626835570324*^9}, {
   3.4546772963918*^9, 3.4546773111419363`*^9}, {3.4546838997033997`*^9, 
   3.454683930164688*^9}, {3.45468404304552*^9, 3.4546840450748463`*^9}, {
   3.454685691881966*^9, 3.454685693080056*^9}, {3.4546861974595337`*^9, 
   3.45468620827874*^9}, {3.454699325331489*^9, 3.454699333487113*^9}, {
   3.454699974607809*^9, 3.45469998046701*^9}, {3.4548738654073267`*^9, 
   3.454873911468932*^9}, {3.454874152421025*^9, 3.4548741525220346`*^9}, {
   3.4548746389036684`*^9, 3.454874645815359*^9}, {3.456474006140877*^9, 
   3.456474017898682*^9}, {3.45848284839846*^9, 3.4584828499140854`*^9}, {
   3.4584833152578354`*^9, 3.45848333302346*^9}, {3.45848338742971*^9, 
   3.45848339124221*^9}, {3.4584838893515854`*^9, 3.4584838963828354`*^9}, {
   3.4584847454765854`*^9, 3.4584847498203354`*^9}, {3.45848498771096*^9, 
   3.45848501274221*^9}, {3.45848728908596*^9, 3.45848728964846*^9}, {
   3.45848738399221*^9, 3.45848738446096*^9}, {3.45848741752346*^9, 
   3.45848741821096*^9}},
 CellID->733559856]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 25, $CellContext`b$$ = 
    10, $CellContext`c$$ = False, $CellContext`L$$ = 169, $CellContext`x0$$ = 
    20, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$, 
    Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 25}, 0, 100, 1}, {{
       Hold[$CellContext`b$$], 10}, 0, 100, 1}, {{
       Hold[$CellContext`L$$], 50}, 1, 200, 1}, {
      Hold["set x to make A largest"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`c$$], False, ""}, {False, True}}, {{
       Hold[$CellContext`x0$$], 20, "x"}, 0, 
      Dynamic[
       Min[$CellContext`L$$, ($CellContext`L$$ + $CellContext`a$$)/2]], 
      0.001}}, Typeset`size$$ = {420., {209., 214.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`a$16044$$ = 0, $CellContext`b$16045$$ = 
    0, $CellContext`L$16046$$ = 0, $CellContext`c$16047$$ = 
    False, $CellContext`x0$16048$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 25, $CellContext`b$$ = 
        10, $CellContext`c$$ = False, $CellContext`L$$ = 
        50, $CellContext`x0$$ = 20}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$16044$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$16045$$, 0], 
        Hold[$CellContext`L$$, $CellContext`L$16046$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$16047$$, False], 
        Hold[$CellContext`x0$$, $CellContext`x0$16048$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`x0$$ > 
         Min[$CellContext`L$$, ($CellContext`L$$ + $CellContext`a$$)/
           2], $CellContext`x0$$ = 
         Min[$CellContext`L$$, ($CellContext`L$$ + $CellContext`a$$)/2]]; 
       If[$CellContext`c$$, $CellContext`x0$$ = Part[
           $CellContext`maxcorner[$CellContext`a$$, $CellContext`b$$, \
$CellContext`L$$], 1]]; Grid[{{
           $CellContext`ysplot[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`L$$], 
           $CellContext`Aplot[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`L$$]}, {
           $CellContext`derAplot[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`L$$], 
           $CellContext`fieldplot[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$, $CellContext`L$$]}}, Frame -> All]), 
      "Specifications" :> {{{$CellContext`a$$, 25}, 0, 100, 1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, {{$CellContext`b$$, 10}, 0, 100, 1, 
         Appearance -> "Labeled", ImageSize -> Tiny}, {{$CellContext`L$$, 50},
          1, 200, 1, Appearance -> "Labeled", ImageSize -> Tiny}, 
        "set x to make A largest", {{$CellContext`c$$, False, ""}, {
         False, True}}, {{$CellContext`x0$$, 20, "x"}, 0, 
         Dynamic[
          Min[$CellContext`L$$, ($CellContext`L$$ + $CellContext`a$$)/2]], 
         0.001, Appearance -> "Labeled", ImageSize -> Tiny}}, 
      "Options" :> {
       ControlPlacement -> Left, TrackedSymbols -> True, SynchronousUpdating -> 
        False}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{600., {238., 243.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`maxcorner[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] := N[
          Part[
           Select[
            $CellContext`crits[$CellContext`a, $CellContext`b, \
$CellContext`L], Apply[Times, #] == Max[
              Map[Apply[Times, #]& , 
               $CellContext`crits[$CellContext`a, $CellContext`b, \
$CellContext`L]]]& ], 1]], $CellContext`crits[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] := Join[
          $CellContext`usedxpts[$CellContext`a, $CellContext`b, \
$CellContext`L], 
          $CellContext`usedcritxys[$CellContext`a, $CellContext`b, \
$CellContext`L]], $CellContext`usedxpts[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] := Select[
          $CellContext`xpts[$CellContext`a, $CellContext`b, $CellContext`L], \
$CellContext`y[
            Part[#, 1], $CellContext`a, $CellContext`b, $CellContext`L] == 
          Part[#, 2]& ], $CellContext`xpts[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] = {{(-2.) (0.5 $CellContext`b - 0.5 $CellContext`L), 
           2. (0.5 $CellContext`b - 0.5 $CellContext`L) + 
           1. $CellContext`L}, {
          1. $CellContext`a + 0. $CellContext`L, -$CellContext`a + 
           1. $CellContext`L}, {
          0.6666666666666666 (1. $CellContext`a - 0.5 $CellContext`b + 
            0.5 $CellContext`L), 
           0.5 (1. $CellContext`b - 
            0.6666666666666666 (1. $CellContext`a - 0.5 $CellContext`b + 
             0.5 $CellContext`L) + 1. $CellContext`L)}, {
          2. (0.5 $CellContext`a + 0. $CellContext`b + 0. $CellContext`L), 
           0.5 (1. $CellContext`b - 
            2. (0.5 $CellContext`a + 0. $CellContext`b + 0. $CellContext`L) + 
            1. $CellContext`L)}, {-((-0.5) $CellContext`a + 
            0.5 $CellContext`b - 0.5 $CellContext`L), 1. $CellContext`a + 
           2. ((-0.5) $CellContext`a + 0.5 $CellContext`b - 
             0.5 $CellContext`L) + 1. $CellContext`L}}, $CellContext`y[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] := Piecewise[{{
            $CellContext`y1[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], 
            And[
            0 <= $CellContext`x <= $CellContext`a, 
             0 <= $CellContext`y1[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L] <= $CellContext`b]}, {
            $CellContext`y2[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], 
            And[
            0 <= $CellContext`x <= $CellContext`a, $CellContext`b <= \
$CellContext`y2[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L]]}, {
            $CellContext`y3[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], 
            
            And[$CellContext`a <= $CellContext`x, 
             0 <= $CellContext`y3[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L] <= $CellContext`b]}, {
            $CellContext`y4[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], 
            
            And[$CellContext`a <= $CellContext`x, 
             0 $CellContext`b <= $CellContext`y4[$CellContext`x, \
$CellContext`a, $CellContext`b, $CellContext`L]]}}], $CellContext`y1[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] = 1. $CellContext`L - $CellContext`x, $CellContext`y2[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] = 
        0.5 (1. $CellContext`b + 
          1. $CellContext`L - $CellContext`x), $CellContext`y3[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] = 
        1. $CellContext`a + 1. $CellContext`L - 
         2. $CellContext`x, $CellContext`y4[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] = 
        0.5 (1. $CellContext`a + 1. $CellContext`b + 1. $CellContext`L - 
          2. $CellContext`x), $CellContext`usedcritxys[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] := Select[
          $CellContext`critxys[$CellContext`a, $CellContext`b, \
$CellContext`L], $CellContext`y[
            Part[#, 1], $CellContext`a, $CellContext`b, $CellContext`L] == 
          Part[#, 2]& ], $CellContext`critxys[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] := 
        Map[$CellContext`critxy[#, {$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L}]& , {$CellContext`y1, $CellContext`y2, \
$CellContext`y3, $CellContext`y4}], $CellContext`critxy[
          Pattern[$CellContext`f, 
           Blank[]], 
          Pattern[$CellContext`args, 
           BlankSequence[]]] := 
        Module[{$CellContext`x = Part[$CellContext`args, 1], $CellContext`der = 
           D[$CellContext`x 
             Apply[$CellContext`f, $CellContext`args], $CellContext`x], \
$CellContext`sol, $CellContext`xc, $CellContext`yc}, $CellContext`sol = 
           NSolve[$CellContext`der == 0, $CellContext`x]; $CellContext`xc = 
           ReplaceAll[$CellContext`x, 
             Part[$CellContext`sol, 1]]; $CellContext`yc = 
           Apply[$CellContext`f, 
             Prepend[
              
              Rest[$CellContext`args], $CellContext`xc]]; {$CellContext`xc, \
$CellContext`yc}], $CellContext`ysplot[
          Pattern[$CellContext`x0, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] := Pane[
          Show[
           Plot[{
             $CellContext`y1[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], 
             $CellContext`y2[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], 
             $CellContext`y3[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], 
             $CellContext`y4[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L]}, {$CellContext`x, 0, 
             Min[$CellContext`L, ($CellContext`L + $CellContext`a)/2]}, 
            PlotLabel -> Column[{
               Row[{
                 Style["y", Italic], " = ", 
                 TraditionalForm[
                  $CellContext`yformula[
                   Style[
                   "x", Italic], $CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]]}], 
               Row[{"  = ", 
                 NumberForm[
                  N[
                   $CellContext`y[$CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]], {8, 3}]}]}], ImageSize -> 200], 
           Graphics[{
             PointSize[Large], Blue, 
             Point[
              $CellContext`xpts[$CellContext`a, $CellContext`b, \
$CellContext`L]], Black, 
             Point[
              $CellContext`usedxpts[$CellContext`a, $CellContext`b, \
$CellContext`L]]}, ImageSize -> 200], 
           Plot[
            $CellContext`y[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], {$CellContext`x, 0, 
             Min[$CellContext`L, ($CellContext`L + $CellContext`a)/2]}, 
            PlotStyle -> Thick, ImageSize -> 200], 
           Graphics[{Thick, 
             Line[{{$CellContext`x0, 0}, {$CellContext`x0, 
                $CellContext`y[$CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]}}]}, ImageSize -> 200], ImageSize -> 200, 
           ImagePadding -> 30], ImageSize -> 200], $CellContext`yformula[
          Pattern[$CellContext`t, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] := Piecewise[{{
            If[
             And[$CellContext`a == 0, $CellContext`b == 0], 
             $CellContext`y1[$CellContext`t, 0, 0, 
              Style["L", Italic]], 
             If[$CellContext`a == 0, 
              $CellContext`y1[$CellContext`t, 0, 
               Style["b", Italic], 
               Style["L", Italic]], 
              If[$CellContext`b == 0, 
               $CellContext`y1[$CellContext`t, 
                Style["a", Italic], 0, 
                Style["L", Italic]], 
               $CellContext`y1[$CellContext`t, 
                Style["a", Italic], 
                Style["b", Italic], 
                Style["L", Italic]]]]], 
            And[
            0 <= $CellContext`x <= $CellContext`a, 
             0 <= $CellContext`y1[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L] <= $CellContext`b]}, {
            If[
             And[$CellContext`a == 0, $CellContext`b == 0], 
             $CellContext`y2[$CellContext`t, 0, 0, 
              Style["L", Italic]], 
             If[$CellContext`a == 0, 
              $CellContext`y2[$CellContext`t, 0, 
               Style["b", Italic], 
               Style["L", Italic]], 
              If[$CellContext`b == 0, 
               $CellContext`y2[$CellContext`t, 
                Style["a", Italic], 0, 
                Style["L", Italic]], 
               $CellContext`y2[$CellContext`t, 
                Style["a", Italic], 
                Style["b", Italic], 
                Style["L", Italic]]]]], 
            And[
            0 <= $CellContext`x <= $CellContext`a, $CellContext`b <= \
$CellContext`y2[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L]]}, {
            If[
             And[$CellContext`a == 0, $CellContext`b == 0], 
             $CellContext`y3[$CellContext`t, 0, 0, 
              Style["L", Italic]], 
             If[$CellContext`a == 0, 
              $CellContext`y3[$CellContext`t, 0, 
               Style["b", Italic], 
               Style["L", Italic]], 
              If[$CellContext`b == 0, 
               $CellContext`y3[$CellContext`t, 
                Style["a", Italic], 0, 
                Style["L", Italic]], 
               $CellContext`y3[$CellContext`t, 
                Style["a", Italic], 
                Style["b", Italic], 
                Style["L", Italic]]]]], 
            
            And[$CellContext`a <= $CellContext`x, 
             0 <= $CellContext`y3[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L] <= $CellContext`b]}, {
            If[
             And[$CellContext`a == 0, $CellContext`b == 0], 
             $CellContext`y4[$CellContext`t, 0, 0, 
              Style["L", Italic]], 
             If[$CellContext`a == 0, 
              $CellContext`y4[$CellContext`t, 0, 
               Style["b", Italic], 
               Style["L", Italic]], 
              If[$CellContext`b == 0, 
               $CellContext`y4[$CellContext`t, 
                Style["a", Italic], 0, 
                Style["L", Italic]], 
               $CellContext`y4[$CellContext`t, 
                Style["a", Italic], 
                Style["b", Italic], 
                Style["L", Italic]]]]], 
            
            And[$CellContext`a <= $CellContext`x, $CellContext`b <= \
$CellContext`y4[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L]]}}], Attributes[Thick] = {ReadProtected}, $CellContext`Aplot[
          Pattern[$CellContext`x0, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] := Pane[
          Show[
           Plot[$CellContext`x {
              $CellContext`y1[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], 
              $CellContext`y2[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], 
              $CellContext`y3[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], 
              $CellContext`y4[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L]}, {$CellContext`x, 0, 
             Min[$CellContext`L, ($CellContext`L + $CellContext`a)/2]}, 
            PlotLabel -> Column[{
               Row[{
                 Style["A", Italic], " = ", 
                 TraditionalForm[
                  $CellContext`Aformula[
                   Style[
                   "x", Italic], $CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]]}], 
               Row[{"  = ", 
                 NumberForm[
                  N[
                   $CellContext`Area[$CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]], {8, 3}]}]}], ImageSize -> 200], 
           
           Plot[$CellContext`x $CellContext`y[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L], {$CellContext`x, 0, 
             Min[$CellContext`L, ($CellContext`L + $CellContext`a)/2]}, 
            PlotStyle -> Thick, ImageSize -> 200], 
           Graphics[{
             PointSize[Large], Blue, 
             Point[
              $CellContext`xptsA[$CellContext`a, $CellContext`b, \
$CellContext`L]], Black, 
             Point[
              $CellContext`usedxptsA[$CellContext`a, $CellContext`b, \
$CellContext`L]], Red, 
             Point[
              $CellContext`critxyAs[$CellContext`a, $CellContext`b, \
$CellContext`L]], Green, 
             Point[
              $CellContext`maxptA[$CellContext`a, $CellContext`b, \
$CellContext`L]]}, ImageSize -> 200], 
           Graphics[{Thick, 
             
             Line[{{$CellContext`x0, 
                0}, {$CellContext`x0, $CellContext`x0 \
$CellContext`y[$CellContext`x0, $CellContext`a, $CellContext`b, \
$CellContext`L]}}]}, ImageSize -> 200], ImageSize -> 200, ImagePadding -> 30],
           ImageSize -> 200], $CellContext`Aformula[
          Pattern[$CellContext`t, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           
           Blank[]]] := $CellContext`t $CellContext`yformula[$CellContext`t, \
$CellContext`x, $CellContext`a, $CellContext`b, $CellContext`L], \
$CellContext`Area[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] = $CellContext`x 
         Piecewise[{{1. $CellContext`L - $CellContext`x, 
             And[
             0 <= $CellContext`x <= $CellContext`a, 0 <= 
              1. $CellContext`L - $CellContext`x <= $CellContext`b]}, {
            0.5 (1. $CellContext`b + 1. $CellContext`L - $CellContext`x), 
             And[
             0 <= $CellContext`x <= $CellContext`a, $CellContext`b <= 
              0.5 (1. $CellContext`b + 
                1. $CellContext`L - $CellContext`x)]}, {
            1. $CellContext`a + 1. $CellContext`L - 2. $CellContext`x, 
             
             And[$CellContext`a <= $CellContext`x, 0 <= 
              1. $CellContext`a + 1. $CellContext`L - 
               2. $CellContext`x <= $CellContext`b]}, {
            0.5 (1. $CellContext`a + 1. $CellContext`b + 1. $CellContext`L - 
              2. $CellContext`x), 
             
             And[$CellContext`a <= $CellContext`x, 0 <= 
              0.5 (1. $CellContext`a + 1. $CellContext`b + 1. $CellContext`L - 
                2. $CellContext`x)]}}, 0], $CellContext`xptsA[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           
           Blank[]]] = {{(-2.) (0.5 $CellContext`b - 
            0.5 $CellContext`L), (-2.) (0.5 $CellContext`b - 
            0.5 $CellContext`L) (2. (0.5 $CellContext`b - 0.5 $CellContext`L) + 
            1. $CellContext`L)}, {
          1. $CellContext`a + 
           0. $CellContext`L, (1. $CellContext`a + 
            0. $CellContext`L) (-$CellContext`a + 1. $CellContext`L)}, {
          0.6666666666666666 (1. $CellContext`a - 0.5 $CellContext`b + 
            0.5 $CellContext`L), 
           0.3333333333333333 (1. $CellContext`a - 0.5 $CellContext`b + 
            0.5 $CellContext`L) (1. $CellContext`b - 
            0.6666666666666666 (1. $CellContext`a - 0.5 $CellContext`b + 
             0.5 $CellContext`L) + 1. $CellContext`L)}, {
          2. (0.5 $CellContext`a + 0. $CellContext`b + 0. $CellContext`L), 
           1. (0.5 $CellContext`a + 0. $CellContext`b + 0. $CellContext`L) (
            1. $CellContext`b - 
            2. (0.5 $CellContext`a + 0. $CellContext`b + 0. $CellContext`L) + 
            1. $CellContext`L)}, {-((-0.5) $CellContext`a + 
            0.5 $CellContext`b - 0.5 $CellContext`L), -((-0.5) $CellContext`a + 
            0.5 $CellContext`b - 0.5 $CellContext`L) (1. $CellContext`a + 
            2. ((-0.5) $CellContext`a + 0.5 $CellContext`b - 
              0.5 $CellContext`L) + 
            1. $CellContext`L)}}, $CellContext`usedxptsA[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] := Map[{
           Part[#, 1], Part[#, 1] Part[#, 2]}& , 
          $CellContext`usedxpts[$CellContext`a, $CellContext`b, \
$CellContext`L]], $CellContext`critxyAs[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] := Map[{
           Part[#, 1], Part[#, 1] Part[#, 2]}& , 
          $CellContext`critxys[$CellContext`a, $CellContext`b, \
$CellContext`L]], $CellContext`maxptA[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] := Apply[{#, # #2}& , 
          $CellContext`maxcorner[$CellContext`a, $CellContext`b, \
$CellContext`L]], $CellContext`derAplot[
          Pattern[$CellContext`x0, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] := Pane[
          Show[
           Plot[
            ReplaceAll[
             D[$CellContext`x {
                $CellContext`y1[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L], 
                $CellContext`y2[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L], 
                $CellContext`y3[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L], 
                $CellContext`y4[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L]}, $CellContext`x], $CellContext`x -> \
$CellContext`x1], {$CellContext`x1, 0, 
             Min[$CellContext`L, ($CellContext`L + $CellContext`a)/2]}, 
            ImageSize -> 200], 
           Plot[
            $CellContext`derA[$CellContext`x1, $CellContext`a, \
$CellContext`b, $CellContext`L], {$CellContext`x1, 0, 
             Min[$CellContext`L, ($CellContext`L + $CellContext`a)/2]}, 
            PlotStyle -> Thick, ImageSize -> 200], 
           Graphics[{Thick, 
             Line[{{$CellContext`x0, 0}, {$CellContext`x0, 
                $CellContext`derA[$CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]}}]}, ImageSize -> 200], PlotLabel -> Column[{
              Row[{
                Style["d\[InvisibleSpace]A/d\[InvisibleSpace]x", Italic], 
                " = ", 
                TraditionalForm[
                 $CellContext`derAformula[
                  Style[
                  "x", Italic], $CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]]}], 
              Row[{"      = ", 
                NumberForm[
                 N[
                  $CellContext`derA[$CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]], {8, 3}]}]}], ImageSize -> 200, ImagePadding -> 
           30], ImageSize -> 200], $CellContext`derA[
          Pattern[$CellContext`x0, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] = $CellContext`x0 Piecewise[{{-1, 
              
              And[$CellContext`x0 >= 0, $CellContext`a - $CellContext`x0 >= 
               0, -$CellContext`L + $CellContext`x0 <= 
               0, -$CellContext`b + 1. $CellContext`L - $CellContext`x0 <= 
               0]}, {-0.5, 
              
              And[$CellContext`x0 >= 0, $CellContext`a - $CellContext`x0 >= 0,
                0.5 $CellContext`b - 0.5 $CellContext`L + 0.5 $CellContext`x0 <= 
               0]}, {-2., 
              
              And[$CellContext`a - $CellContext`x0 <= 
               0, -$CellContext`a - 1. $CellContext`L + 2. $CellContext`x0 <= 
               0, 1. $CellContext`a - $CellContext`b + 1. $CellContext`L - 
                2. $CellContext`x0 <= 0]}, {-1., 
              
              And[$CellContext`a - $CellContext`x0 <= 
               0, (-0.5) $CellContext`a - 0.5 $CellContext`b - 
                0.5 $CellContext`L + 1. $CellContext`x0 <= 0]}}, 0] + 
         Piecewise[{{1. $CellContext`L - $CellContext`x0, 
             And[
             0 <= $CellContext`x0 <= $CellContext`a, 0 <= 
              1. $CellContext`L - $CellContext`x0 <= $CellContext`b]}, {
            0.5 (1. $CellContext`b + 1. $CellContext`L - $CellContext`x0), 
             And[
             0 <= $CellContext`x0 <= $CellContext`a, $CellContext`b <= 
              0.5 (1. $CellContext`b + 
                1. $CellContext`L - $CellContext`x0)]}, {
            1. $CellContext`a + 1. $CellContext`L - 2. $CellContext`x0, 
             
             And[$CellContext`a <= $CellContext`x0, 0 <= 
              1. $CellContext`a + 1. $CellContext`L - 
               2. $CellContext`x0 <= $CellContext`b]}, {
            0.5 (1. $CellContext`a + 1. $CellContext`b + 1. $CellContext`L - 
              2. $CellContext`x0), 
             
             And[$CellContext`a <= $CellContext`x0, 0 <= 
              0.5 (1. $CellContext`a + 1. $CellContext`b + 1. $CellContext`L - 
                2. $CellContext`x0)]}}, 0], $CellContext`derAformula[
          Pattern[$CellContext`t0, 
           Blank[]], 
          Pattern[$CellContext`x0, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] := Module[{$CellContext`t}, 
          ReplaceAll[
           Simplify[
            D[
             $CellContext`Aformula[$CellContext`t, $CellContext`x0, \
$CellContext`a, $CellContext`b, $CellContext`L], $CellContext`t]], \
$CellContext`t -> $CellContext`t0]], $CellContext`fieldplot[
          Pattern[$CellContext`x0, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] := Pane[
          Show[
           Graphics[{Thick, Green, 
             Line[
              $CellContext`maxrect[$CellContext`a, $CellContext`b, \
$CellContext`L]]}, PlotRange -> {{-1, 
               Max[$CellContext`a, ($CellContext`a + $CellContext`L)/2]}, {-1, 
               Max[$CellContext`b, ($CellContext`b + $CellContext`L)/2]}}, 
            AspectRatio -> 1, ImageSize -> 200], 
           Graphics[{
             Thickness[0.025], 
             
             Line[{{{0, 0}, {$CellContext`a, 0}}, {{0, 0}, {
                0, $CellContext`b}}}], Thick, Dashed, 
             Line[{{0, 0}, {$CellContext`x0, 0}, {$CellContext`x0, 
                $CellContext`y[$CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]}, {0, 
                $CellContext`y[$CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]}, {0, 0}}]}, ImageSize -> 200], PlotLabel -> 
           Column[{
              Row[{"max ", 
                Style["A", Italic], " = ", 
                TraditionalForm[
                 $CellContext`maxA[$CellContext`a, $CellContext`b, \
$CellContext`L]]}], 
              Row[{"when {", 
                Style["x", Italic], ",", 
                Style["y", Italic], "} = ", 
                TraditionalForm[
                 $CellContext`maxcorner[$CellContext`a, $CellContext`b, \
$CellContext`L]]}]}], ImageSize -> 200, ImagePadding -> 30], ImageSize -> 
          200], $CellContext`maxrect[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] := 
        Module[{$CellContext`xym = $CellContext`maxcorner[$CellContext`a, \
$CellContext`b, $CellContext`L], $CellContext`xm, $CellContext`ym, \
$CellContext`mrect}, $CellContext`xm = 
           Part[$CellContext`xym, 1]; $CellContext`ym = 
           Part[$CellContext`xym, 2]; $CellContext`mrect = {{0, 
             0}, {$CellContext`xm, 0}, {$CellContext`xm, $CellContext`ym}, {
             0, $CellContext`ym}, {0, 0}}; 
          If[$CellContext`xm == 
            2 $CellContext`ym, {$CellContext`mrect, {{$CellContext`xm/2, 
               0}, {$CellContext`xm/2, $CellContext`ym}}}, 
            
            If[$CellContext`ym == 
             2 $CellContext`xm, {$CellContext`mrect, {{
               0, $CellContext`ym/2}, {$CellContext`xm, $CellContext`ym/
                2}}}, $CellContext`mrect]]], 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`maxA[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`L, 
           Blank[]]] := N[
          Apply[Times, 
           $CellContext`maxcorner[$CellContext`a, $CellContext`b, \
$CellContext`L]]]}; Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{Null, $CellContext`y1[
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]], 
            Pattern[$CellContext`L, 
             Blank[]]] = ReplaceAll[$CellContext`y, 
            Part[
             
             NSolve[$CellContext`x + $CellContext`y == $CellContext`L, \
$CellContext`y], 1]]; Null, Null, $CellContext`y2[
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]], 
            Pattern[$CellContext`L, 
             Blank[]]] = ReplaceAll[$CellContext`y, 
            Part[
             
             NSolve[$CellContext`x + $CellContext`y + ($CellContext`y - \
$CellContext`b) == $CellContext`L, $CellContext`y], 1]]; Null, 
         Null, $CellContext`y3[
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]], 
            Pattern[$CellContext`L, 
             Blank[]]] = ReplaceAll[$CellContext`y, 
            Part[
             
             NSolve[$CellContext`x + ($CellContext`x - $CellContext`a) + \
$CellContext`y == $CellContext`L, $CellContext`y], 1]]; Null, 
         Null, $CellContext`y4[
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]], 
            Pattern[$CellContext`L, 
             Blank[]]] = ReplaceAll[$CellContext`y, 
            Part[
             
             NSolve[$CellContext`x + ($CellContext`x - $CellContext`a) + \
$CellContext`y + ($CellContext`y - $CellContext`b) == $CellContext`L, \
$CellContext`y], 1]]; Null, $CellContext`y[
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := Piecewise[{{
             $CellContext`y1[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], 
             And[
             0 <= $CellContext`x <= $CellContext`a, 
              0 <= $CellContext`y1[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L] <= $CellContext`b]}, {
             $CellContext`y2[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], 
             And[
             0 <= $CellContext`x <= $CellContext`a, $CellContext`b <= \
$CellContext`y2[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L]]}, {
             $CellContext`y3[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], 
             
             And[$CellContext`a <= $CellContext`x, 
              0 <= $CellContext`y3[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L] <= $CellContext`b]}, {
             $CellContext`y4[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], 
             
             And[$CellContext`a <= $CellContext`x, 
              0 $CellContext`b <= $CellContext`y4[$CellContext`x, \
$CellContext`a, $CellContext`b, $CellContext`L]]}}], $CellContext`yformula[
           Pattern[$CellContext`t, 
            Blank[]], 
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := Piecewise[{{
             If[
              And[$CellContext`a == 0, $CellContext`b == 0], 
              $CellContext`y1[$CellContext`t, 0, 0, 
               Style["L", Italic]], 
              If[$CellContext`a == 0, 
               $CellContext`y1[$CellContext`t, 0, 
                Style["b", Italic], 
                Style["L", Italic]], 
               If[$CellContext`b == 0, 
                $CellContext`y1[$CellContext`t, 
                 Style["a", Italic], 0, 
                 Style["L", Italic]], 
                $CellContext`y1[$CellContext`t, 
                 Style["a", Italic], 
                 Style["b", Italic], 
                 Style["L", Italic]]]]], 
             And[
             0 <= $CellContext`x <= $CellContext`a, 
              0 <= $CellContext`y1[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L] <= $CellContext`b]}, {
             If[
              And[$CellContext`a == 0, $CellContext`b == 0], 
              $CellContext`y2[$CellContext`t, 0, 0, 
               Style["L", Italic]], 
              If[$CellContext`a == 0, 
               $CellContext`y2[$CellContext`t, 0, 
                Style["b", Italic], 
                Style["L", Italic]], 
               If[$CellContext`b == 0, 
                $CellContext`y2[$CellContext`t, 
                 Style["a", Italic], 0, 
                 Style["L", Italic]], 
                $CellContext`y2[$CellContext`t, 
                 Style["a", Italic], 
                 Style["b", Italic], 
                 Style["L", Italic]]]]], 
             And[
             0 <= $CellContext`x <= $CellContext`a, $CellContext`b <= \
$CellContext`y2[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L]]}, {
             If[
              And[$CellContext`a == 0, $CellContext`b == 0], 
              $CellContext`y3[$CellContext`t, 0, 0, 
               Style["L", Italic]], 
              If[$CellContext`a == 0, 
               $CellContext`y3[$CellContext`t, 0, 
                Style["b", Italic], 
                Style["L", Italic]], 
               If[$CellContext`b == 0, 
                $CellContext`y3[$CellContext`t, 
                 Style["a", Italic], 0, 
                 Style["L", Italic]], 
                $CellContext`y3[$CellContext`t, 
                 Style["a", Italic], 
                 Style["b", Italic], 
                 Style["L", Italic]]]]], 
             
             And[$CellContext`a <= $CellContext`x, 
              0 <= $CellContext`y3[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L] <= $CellContext`b]}, {
             If[
              And[$CellContext`a == 0, $CellContext`b == 0], 
              $CellContext`y4[$CellContext`t, 0, 0, 
               Style["L", Italic]], 
              If[$CellContext`a == 0, 
               $CellContext`y4[$CellContext`t, 0, 
                Style["b", Italic], 
                Style["L", Italic]], 
               If[$CellContext`b == 0, 
                $CellContext`y4[$CellContext`t, 
                 Style["a", Italic], 0, 
                 Style["L", Italic]], 
                $CellContext`y4[$CellContext`t, 
                 Style["a", Italic], 
                 Style["b", Italic], 
                 Style["L", Italic]]]]], 
             
             And[$CellContext`a <= $CellContext`x, $CellContext`b <= \
$CellContext`y4[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L]]}}], $CellContext`Area[
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]], 
            Pattern[$CellContext`L, 
             
             Blank[]]] = $CellContext`x $CellContext`y[$CellContext`x, \
$CellContext`a, $CellContext`b, $CellContext`L]; Null, $CellContext`Aformula[
           Pattern[$CellContext`t, 
            Blank[]], 
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            
            Blank[]]] := $CellContext`t $CellContext`yformula[$CellContext`t, \
$CellContext`x, $CellContext`a, $CellContext`b, $CellContext`L], \
$CellContext`derA[
            Pattern[$CellContext`x0, 
             Blank[]], 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]], 
            Pattern[$CellContext`L, 
             Blank[]]] = ReplaceAll[
            D[
             $CellContext`Area[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L], $CellContext`x], $CellContext`x -> \
$CellContext`x0]; Null, $CellContext`derAformula[
           Pattern[$CellContext`t0, 
            Blank[]], 
           Pattern[$CellContext`x0, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := Module[{$CellContext`t}, 
           ReplaceAll[
            Simplify[
             D[
              $CellContext`Aformula[$CellContext`t, $CellContext`x0, \
$CellContext`a, $CellContext`b, $CellContext`L], $CellContext`t]], \
$CellContext`t -> $CellContext`t0]], $CellContext`intersectpt[
           Pattern[$CellContext`f1, 
            Blank[]], 
           Pattern[$CellContext`f2, 
            Blank[]], 
           Pattern[$CellContext`args, 
            BlankSequence[]]] := 
         Module[{$CellContext`x = 
            Part[$CellContext`args, 1], $CellContext`sol = 
            NSolve[Apply[$CellContext`f1, $CellContext`args] == 
              Apply[$CellContext`f2, $CellContext`args], $CellContext`x]}, 
           If[$CellContext`sol == {}, {}, 
            ReplaceAll[{$CellContext`x, 
              
              Apply[$CellContext`f1, $CellContext`args]}, \
$CellContext`sol]]], $CellContext`intersectpts[
           Pattern[$CellContext`f, 
            Blank[]], 
           Pattern[$CellContext`fs, 
            BlankSequence[]], 
           Pattern[$CellContext`args, 
            BlankSequence[]]] := If[$CellContext`fs == {}, {}, 
           Join[
            $CellContext`intersectpt[$CellContext`f, 
             First[$CellContext`fs], $CellContext`args], 
            $CellContext`intersectpts[$CellContext`f, 
             
             Rest[$CellContext`fs], $CellContext`args]]], \
$CellContext`intersectpts[
           Pattern[$CellContext`fs, 
            BlankSequence[]], 
           Pattern[$CellContext`args, 
            BlankSequence[]]] := If[Length[$CellContext`fs] < 2, {}, 
           Join[
            $CellContext`intersectpts[
             First[$CellContext`fs], 
             Rest[$CellContext`fs], $CellContext`args], 
            $CellContext`intersectpts[
             Rest[$CellContext`fs], $CellContext`args]]], $CellContext`xpts[
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]], 
            Pattern[$CellContext`L, 
             
             Blank[]]] = $CellContext`intersectpts[{$CellContext`y1, \
$CellContext`y2, $CellContext`y3, $CellContext`y4}, {$CellContext`x, \
$CellContext`a, $CellContext`b, $CellContext`L}]; Null, $CellContext`xptsA[
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]], 
            Pattern[$CellContext`L, 
             Blank[]]] = Map[{
             Part[#, 1], Part[#, 1] Part[#, 2]}& , 
            $CellContext`xpts[$CellContext`a, $CellContext`b, \
$CellContext`L]]; Null, $CellContext`usedxpts[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := Select[
           $CellContext`xpts[$CellContext`a, $CellContext`b, $CellContext`L], \
$CellContext`y[
             Part[#, 1], $CellContext`a, $CellContext`b, $CellContext`L] == 
           Part[#, 2]& ], $CellContext`usedxptsA[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := Map[{
            Part[#, 1], Part[#, 1] Part[#, 2]}& , 
           $CellContext`usedxpts[$CellContext`a, $CellContext`b, \
$CellContext`L]], Null, $CellContext`critxy[
           Pattern[$CellContext`f, 
            Blank[]], 
           Pattern[$CellContext`args, 
            BlankSequence[]]] := 
         Module[{$CellContext`x = 
            Part[$CellContext`args, 1], $CellContext`der = 
            D[$CellContext`x 
              Apply[$CellContext`f, $CellContext`args], $CellContext`x], \
$CellContext`sol, $CellContext`xc, $CellContext`yc}, $CellContext`sol = 
            NSolve[$CellContext`der == 0, $CellContext`x]; $CellContext`xc = 
            ReplaceAll[$CellContext`x, 
              Part[$CellContext`sol, 1]]; $CellContext`yc = 
            Apply[$CellContext`f, 
              Prepend[
               
               Rest[$CellContext`args], $CellContext`xc]]; {$CellContext`xc, \
$CellContext`yc}], Null, $CellContext`critxys[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := 
         Map[$CellContext`critxy[#, {$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L}]& , {$CellContext`y1, $CellContext`y2, \
$CellContext`y3, $CellContext`y4}], $CellContext`usedcritxys[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := Select[
           $CellContext`critxys[$CellContext`a, $CellContext`b, \
$CellContext`L], $CellContext`y[
             Part[#, 1], $CellContext`a, $CellContext`b, $CellContext`L] == 
           Part[#, 2]& ], Null, $CellContext`critxyAs[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := Map[{
            Part[#, 1], Part[#, 1] Part[#, 2]}& , 
           $CellContext`critxys[$CellContext`a, $CellContext`b, \
$CellContext`L]], $CellContext`usedcritxyAs[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := Select[
           $CellContext`critxyAs[$CellContext`a, $CellContext`b, \
$CellContext`L], $CellContext`y[
             Part[#, 1], $CellContext`a, $CellContext`b, $CellContext`L] == 
           Part[#, 2]& ], $CellContext`crits[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := Join[
           $CellContext`usedxpts[$CellContext`a, $CellContext`b, \
$CellContext`L], 
           $CellContext`usedcritxys[$CellContext`a, $CellContext`b, \
$CellContext`L]], $CellContext`critAs[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := Join[
           $CellContext`usedxptsA[$CellContext`a, $CellContext`b, \
$CellContext`L], 
           $CellContext`usedcritxyAs[$CellContext`a, $CellContext`b, \
$CellContext`L]], $CellContext`maxcorner[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := N[
           Part[
            Select[
             $CellContext`crits[$CellContext`a, $CellContext`b, \
$CellContext`L], Apply[Times, #] == Max[
               Map[Apply[Times, #]& , 
                $CellContext`crits[$CellContext`a, $CellContext`b, \
$CellContext`L]]]& ], 1]], $CellContext`maxptA[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := Apply[{#, # #2}& , 
           $CellContext`maxcorner[$CellContext`a, $CellContext`b, \
$CellContext`L]], $CellContext`maxA[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := N[
           Apply[Times, 
            $CellContext`maxcorner[$CellContext`a, $CellContext`b, \
$CellContext`L]]], $CellContext`maxrect[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := 
         Module[{$CellContext`xym = $CellContext`maxcorner[$CellContext`a, \
$CellContext`b, $CellContext`L], $CellContext`xm, $CellContext`ym, \
$CellContext`mrect}, $CellContext`xm = 
            Part[$CellContext`xym, 1]; $CellContext`ym = 
            Part[$CellContext`xym, 2]; $CellContext`mrect = {{0, 
              0}, {$CellContext`xm, 0}, {$CellContext`xm, $CellContext`ym}, {
              0, $CellContext`ym}, {0, 0}}; 
           If[$CellContext`xm == 
             2 $CellContext`ym, {$CellContext`mrect, {{$CellContext`xm/2, 
                0}, {$CellContext`xm/2, $CellContext`ym}}}, 
             
             If[$CellContext`ym == 
              2 $CellContext`xm, {$CellContext`mrect, {{
                0, $CellContext`ym/2}, {$CellContext`xm, $CellContext`ym/
                 2}}}, $CellContext`mrect]]], $CellContext`ysplot[
           Pattern[$CellContext`x0, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := Pane[
           Show[
            Plot[{
              $CellContext`y1[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], 
              $CellContext`y2[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], 
              $CellContext`y3[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], 
              $CellContext`y4[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L]}, {$CellContext`x, 0, 
              Min[$CellContext`L, ($CellContext`L + $CellContext`a)/2]}, 
             PlotLabel -> Column[{
                Row[{
                  Style["y", Italic], " = ", 
                  TraditionalForm[
                   $CellContext`yformula[
                    Style[
                    "x", Italic], $CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]]}], 
                Row[{"  = ", 
                  NumberForm[
                   N[
                    $CellContext`y[$CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]], {8, 3}]}]}], ImageSize -> 200], 
            Graphics[{
              PointSize[Large], Blue, 
              Point[
               $CellContext`xpts[$CellContext`a, $CellContext`b, \
$CellContext`L]], Black, 
              Point[
               $CellContext`usedxpts[$CellContext`a, $CellContext`b, \
$CellContext`L]]}, ImageSize -> 200], 
            Plot[
             $CellContext`y[$CellContext`x, $CellContext`a, $CellContext`b, \
$CellContext`L], {$CellContext`x, 0, 
              Min[$CellContext`L, ($CellContext`L + $CellContext`a)/2]}, 
             PlotStyle -> Thick, ImageSize -> 200], 
            Graphics[{Thick, 
              Line[{{$CellContext`x0, 0}, {$CellContext`x0, 
                 $CellContext`y[$CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]}}]}, ImageSize -> 200], ImageSize -> 200, 
            ImagePadding -> 30], ImageSize -> 200], $CellContext`Aplot[
           Pattern[$CellContext`x0, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := Pane[
           Show[
            Plot[$CellContext`x {
               $CellContext`y1[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L], 
               $CellContext`y2[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L], 
               $CellContext`y3[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L], 
               $CellContext`y4[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L]}, {$CellContext`x, 0, 
              Min[$CellContext`L, ($CellContext`L + $CellContext`a)/2]}, 
             PlotLabel -> Column[{
                Row[{
                  Style["A", Italic], " = ", 
                  TraditionalForm[
                   $CellContext`Aformula[
                    Style[
                    "x", Italic], $CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]]}], 
                Row[{"  = ", 
                  NumberForm[
                   N[
                    $CellContext`Area[$CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]], {8, 3}]}]}], ImageSize -> 200], 
            
            Plot[$CellContext`x $CellContext`y[$CellContext`x, \
$CellContext`a, $CellContext`b, $CellContext`L], {$CellContext`x, 0, 
              Min[$CellContext`L, ($CellContext`L + $CellContext`a)/2]}, 
             PlotStyle -> Thick, ImageSize -> 200], 
            Graphics[{
              PointSize[Large], Blue, 
              Point[
               $CellContext`xptsA[$CellContext`a, $CellContext`b, \
$CellContext`L]], Black, 
              Point[
               $CellContext`usedxptsA[$CellContext`a, $CellContext`b, \
$CellContext`L]], Red, 
              Point[
               $CellContext`critxyAs[$CellContext`a, $CellContext`b, \
$CellContext`L]], Green, 
              Point[
               $CellContext`maxptA[$CellContext`a, $CellContext`b, \
$CellContext`L]]}, ImageSize -> 200], 
            Graphics[{Thick, 
              
              Line[{{$CellContext`x0, 
                 0}, {$CellContext`x0, $CellContext`x0 \
$CellContext`y[$CellContext`x0, $CellContext`a, $CellContext`b, \
$CellContext`L]}}]}, ImageSize -> 200], ImageSize -> 200, ImagePadding -> 30],
            ImageSize -> 200], $CellContext`derAplot[
           Pattern[$CellContext`x0, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := Pane[
           Show[
            Plot[
             ReplaceAll[
              D[$CellContext`x {
                 $CellContext`y1[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L], 
                 $CellContext`y2[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L], 
                 $CellContext`y3[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L], 
                 $CellContext`y4[$CellContext`x, $CellContext`a, \
$CellContext`b, $CellContext`L]}, $CellContext`x], $CellContext`x -> \
$CellContext`x1], {$CellContext`x1, 0, 
              Min[$CellContext`L, ($CellContext`L + $CellContext`a)/2]}, 
             ImageSize -> 200], 
            Plot[
             $CellContext`derA[$CellContext`x1, $CellContext`a, \
$CellContext`b, $CellContext`L], {$CellContext`x1, 0, 
              Min[$CellContext`L, ($CellContext`L + $CellContext`a)/2]}, 
             PlotStyle -> Thick, ImageSize -> 200], 
            Graphics[{Thick, 
              Line[{{$CellContext`x0, 0}, {$CellContext`x0, 
                 $CellContext`derA[$CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]}}]}, ImageSize -> 200], PlotLabel -> Column[{
               Row[{
                 Style["d\[InvisibleSpace]A/d\[InvisibleSpace]x", Italic], 
                 " = ", 
                 TraditionalForm[
                  $CellContext`derAformula[
                   Style[
                   "x", Italic], $CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]]}], 
               Row[{"      = ", 
                 NumberForm[
                  N[
                   $CellContext`derA[$CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]], {8, 3}]}]}], ImageSize -> 200, ImagePadding -> 
            30], ImageSize -> 200], $CellContext`fieldplot[
           Pattern[$CellContext`x0, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`L, 
            Blank[]]] := Pane[
           Show[
            Graphics[{Thick, Green, 
              Line[
               $CellContext`maxrect[$CellContext`a, $CellContext`b, \
$CellContext`L]]}, PlotRange -> {{-1, 
                
                Max[$CellContext`a, ($CellContext`a + $CellContext`L)/
                 2]}, {-1, 
                Max[$CellContext`b, ($CellContext`b + $CellContext`L)/2]}}, 
             AspectRatio -> 1, ImageSize -> 200], 
            Graphics[{
              Thickness[0.025], 
              
              Line[{{{0, 0}, {$CellContext`a, 0}}, {{0, 0}, {
                 0, $CellContext`b}}}], Thick, Dashed, 
              Line[{{0, 0}, {$CellContext`x0, 0}, {$CellContext`x0, 
                 $CellContext`y[$CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]}, {0, 
                 $CellContext`y[$CellContext`x0, $CellContext`a, \
$CellContext`b, $CellContext`L]}, {0, 0}}]}, ImageSize -> 200], PlotLabel -> 
            Column[{
               Row[{"max ", 
                 Style["A", Italic], " = ", 
                 TraditionalForm[
                  $CellContext`maxA[$CellContext`a, $CellContext`b, \
$CellContext`L]]}], 
               Row[{"when {", 
                 Style["x", Italic], ",", 
                 Style["y", Italic], "} = ", 
                 TraditionalForm[
                  $CellContext`maxcorner[$CellContext`a, $CellContext`b, \
$CellContext`L]]}]}], ImageSize -> 200, ImagePadding -> 30], ImageSize -> 
           200]}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->31878347],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Maximum Area Field with a Corner Wall",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/MaximumAreaFieldWithACornerWall/"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/MaximumAreaFieldWithACornerWall/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/MaximumAreaFieldWithACornerWall/\
",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/MaximumAreaFieldWithACornerWall/"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/MaximumAreaFieldWithACornerWall/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Roger B. Kirchner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Roger+B.+\
Kirchner"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Roger+B.+Kirchner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
MaximumAreaFieldWithACornerWall"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Maximum Area Field with a Corner Wall - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[627, 23, 229, 4, 70, "Section"],
Cell[859, 29, 478, 13, 70, "Input",
 InitializationCell->True,
 CellID->754957223],
Cell[1340, 44, 737, 18, 70, "Input",
 InitializationCell->True,
 CellID->1232660485],
Cell[2080, 64, 444, 11, 70, "Input",
 InitializationCell->True,
 CellID->1564189614],
Cell[2527, 77, 863, 21, 70, "Input",
 InitializationCell->True,
 CellID->1987519571],
Cell[3393, 100, 390, 10, 70, "Input",
 InitializationCell->True,
 CellID->559622763],
Cell[3786, 112, 957, 22, 70, "Input",
 InitializationCell->True,
 CellID->1748887528],
Cell[4746, 136, 346, 8, 70, "Input",
 InitializationCell->True,
 CellID->309859813],
Cell[5095, 146, 871, 22, 70, "Input",
 InitializationCell->True,
 CellID->166033116],
Cell[5969, 170, 2633, 61, 70, "Input",
 InitializationCell->True,
 CellID->1797782568],
Cell[8605, 233, 9032, 212, 70, "Input",
 InitializationCell->True,
 CellID->236707086],
Cell[17640, 447, 400, 11, 70, "Input",
 InitializationCell->True,
 CellID->1196280158],
Cell[18043, 460, 413, 12, 70, "Input",
 InitializationCell->True,
 CellID->1138712292],
Cell[18459, 474, 594, 16, 70, "Input",
 InitializationCell->True,
 CellID->2110713227],
Cell[19056, 492, 1048, 23, 70, "Input",
 InitializationCell->True,
 CellID->474841396],
Cell[20107, 517, 1581, 40, 70, "Input",
 InitializationCell->True,
 CellID->610110320],
Cell[21691, 559, 774, 21, 70, "Input",
 InitializationCell->True,
 CellID->2037217462],
Cell[22468, 582, 896, 24, 70, "Input",
 InitializationCell->True,
 CellID->34616066],
Cell[23367, 608, 704, 17, 70, "Input",
 InitializationCell->True,
 CellID->1971636572],
Cell[24074, 627, 781, 22, 70, "Input",
 InitializationCell->True,
 CellID->1623192394],
Cell[24858, 651, 930, 23, 70, "Input",
 InitializationCell->True,
 CellID->1509798117],
Cell[25791, 676, 732, 21, 70, "Input",
 InitializationCell->True,
 CellID->510179467],
Cell[26526, 699, 547, 16, 70, "Input",
 InitializationCell->True,
 CellID->1831583045],
Cell[27076, 717, 1778, 45, 70, "Input",
 InitializationCell->True,
 CellID->1385641217],
Cell[28857, 764, 540, 15, 70, "Input",
 InitializationCell->True,
 CellID->1159266051],
Cell[29400, 781, 827, 21, 70, "Input",
 InitializationCell->True,
 CellID->1812873573],
Cell[30230, 804, 889, 23, 70, "Input",
 InitializationCell->True,
 CellID->468157775],
Cell[31122, 829, 567, 15, 70, "Input",
 InitializationCell->True,
 CellID->2095125464],
Cell[31692, 846, 781, 22, 70, "Input",
 InitializationCell->True,
 CellID->484313589],
Cell[32476, 870, 939, 23, 70, "Input",
 InitializationCell->True,
 CellID->895468193],
Cell[33418, 895, 546, 14, 70, "Input",
 InitializationCell->True,
 CellID->568521575],
Cell[33967, 911, 458, 12, 70, "Input",
 InitializationCell->True,
 CellID->987365522],
Cell[34428, 925, 1266, 32, 70, "Input",
 InitializationCell->True,
 CellID->1046187885],
Cell[35697, 959, 562, 16, 70, "Input",
 InitializationCell->True,
 CellID->1831165206],
Cell[36262, 977, 466, 13, 70, "Input",
 InitializationCell->True,
 CellID->805472085],
Cell[36731, 992, 3637, 97, 70, "Input",
 InitializationCell->True,
 CellID->1979905554],
Cell[40371, 1091, 5173, 121, 70, "Input",
 InitializationCell->True,
 CellID->1013535813],
Cell[45547, 1214, 5733, 134, 70, "Input",
 InitializationCell->True,
 CellID->656121087],
Cell[51283, 1350, 5018, 117, 70, "Input",
 InitializationCell->True,
 CellID->98581864],
Cell[56304, 1469, 5689, 132, 70, "Input",
 InitializationCell->True,
 CellID->1155496411],
Cell[61996, 1603, 5836, 128, 70, "Input",
 CellID->733559856]
}, Open  ]],
Cell[67847, 1734, 56750, 1328, 70, "Output",
 CellID->31878347],
Cell[CellGroupData[{
Cell[124622, 3066, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[124998, 3077, 989, 29, 70, "Text"],
Cell[125990, 3108, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[126330, 3119, 445, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[126800, 3137, 847, 24, 70, "Text"],
Cell[127650, 3163, 1207, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature KSznHhT7puCeCBDs7xf2FYex *)
