(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16872,        449]
NotebookOptionsPosition[     15765,        408]
NotebookOutlinePosition[     16396,        432]
CellTagsIndexPosition[     16353,        429]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Maximum Rectangle Inscribed in a Circle", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", "=", 
       RowBox[{"b", " ", "Degree"}]}], "}"}], ",", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"s", "=", 
          RowBox[{"Sin", "[", "a", "]"}]}], ",", 
         RowBox[{"c", "=", 
          RowBox[{"Cos", "[", "a", "]"}]}]}], "}"}], ",", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"sc", "=", 
           RowBox[{"Chop", "[", 
            RowBox[{"4", " ", "s", " ", "c"}], "]"}]}], "}"}], ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Map", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Lighter", "[", 
                   RowBox[{"Brown", ",", 
                    RowBox[{
                    RowBox[{"Mod", "[", 
                    RowBox[{"#", ",", "2"}], "]"}], "/", "3"}]}], "]"}], ",", 
                  
                  RowBox[{"Disk", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"50", "-", "#"}], ")"}], "/", "50"}]}], "]"}]}], 
                 "}"}], "&"}], ",", 
               RowBox[{"Range", "[", 
                RowBox[{"0", ",", "50"}], "]"}]}], "]"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Black", ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"#1", ",", "#2"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#1", ",", "#2"}], "}"}], "*", "sc"}]}], "}"}], 
                  "]"}], ",", "Thick", ",", 
                 RowBox[{"Darker", "@", "Blue"}], ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#1", ",", "#2"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "#1"}], ",", "#2"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "#1"}], ",", 
                    RowBox[{"-", "#2"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"#1", ",", 
                    RowBox[{"-", "#2"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"#1", ",", "#2"}], "}"}]}], "}"}], "]"}]}], "}"}],
                "&"}], "[", 
              RowBox[{"c", ",", "s"}], "]"}], ",", 
             RowBox[{"Lighter", "@", "Red"}], ",", " ", 
             RowBox[{"Line", "[", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"#1", ",", "#2"}], "}"}], 
                   RowBox[{"(", 
                    RowBox[{"4", " ", "#1", " ", "#2"}], ")"}]}], "&"}], "[", 
                 " ", 
                 RowBox[{
                  RowBox[{"Cos", "[", "b", "]"}], ",", 
                  RowBox[{"Sin", "[", "b", "]"}]}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"b", ",", "0", ",", 
                  RowBox[{"Pi", "/", "2"}], ",", 
                  RowBox[{"Pi", "/", "120"}]}], "}"}]}], "]"}], "]"}], ",", 
             RowBox[{"Lighter", "@", "Red"}], ",", 
             RowBox[{"Disk", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"c", ",", "s"}], "}"}], "sc"}], ",", ".05"}], "]"}], 
             ",", 
             RowBox[{"Darker", "@", "Green"}], ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", "2"}], "]"}]}], "}"}], 
           ",", 
           RowBox[{"PlotLabel", "\[Rule]", 
            RowBox[{"\"\<area  =  \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"N", "[", "sc", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}]}]}], ",", 
           RowBox[{"ImageSize", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"400", ",", "400"}], "}"}]}], ",", 
           RowBox[{"PlotRange", "\[Rule]", "2.1"}]}], "]"}]}], "]"}]}], 
      "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Pi", "/", "4."}], ")"}], "/", "Degree"}], ",", 
       "\"\<degree\>\""}], "}"}], ",", "0", ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"Pi", "/", "2."}], ")"}], "/", "Degree"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.376355337475934*^9, 3.37635536330241*^9}, 
   3.376422231529573*^9, 3.3764223168074837`*^9, {3.3764225715792723`*^9, 
   3.3764225722422123`*^9}, 3.3764243841571083`*^9, {3.376468841698243*^9, 
   3.376468865470909*^9}, 3.376474299105185*^9, {3.37647438839402*^9, 
   3.376474428324573*^9}, {3.376744472969616*^9, 3.376744474957415*^9}, {
   3.3768260260418262`*^9, 3.376826040267877*^9}, {3.376826134643714*^9, 
   3.3768261366135597`*^9}, {3.376826502943166*^9, 3.376826520258506*^9}, {
   3.3768265937812357`*^9, 3.376826629084712*^9}, {3.376826666399287*^9, 
   3.3768267560379066`*^9}, {3.376826794892627*^9, 3.376826821906885*^9}, 
   3.3769865060416613`*^9, {3.376986659477189*^9, 3.376986889164192*^9}, {
   3.376986934665111*^9, 3.376986948202853*^9}, {3.376986999539034*^9, 
   3.376987039121625*^9}, {3.3769871354629717`*^9, 3.376987225278214*^9}, {
   3.37698735543106*^9, 3.376987781121582*^9}, {3.3769878222485533`*^9, 
   3.376988003260048*^9}, {3.376988036256072*^9, 3.37698805909753*^9}, {
   3.376988891326146*^9, 3.376988913674275*^9}, 3.376989027733687*^9, {
   3.377002077721789*^9, 3.3770021091658688`*^9}, {3.37700265736733*^9, 
   3.3770026639832697`*^9}, {3.377003279767272*^9, 3.377003351688298*^9}, 
   3.377024244845386*^9, 3.377024907658757*^9, 3.3772524107320747`*^9, {
   3.377252478822167*^9, 3.377252494944372*^9}, {3.3773090860739393`*^9, 
   3.377309123251178*^9}, {3.377343028992938*^9, 3.377343041397778*^9}, 
   3.3773452476612577`*^9, 3.377974546136319*^9, 3.378028668708919*^9, {
   3.378030578131266*^9, 3.378030582142929*^9}, {3.37803263230802*^9, 
   3.378032641667487*^9}, 3.3780343807771263`*^9, {3.37811549205447*^9, 
   3.3781155028491983`*^9}, 3.378115548232864*^9, {3.3781156131165648`*^9, 
   3.378115657222612*^9}, {3.378115777613523*^9, 3.3781157988193703`*^9}, {
   3.37814740634796*^9, 3.378147436268964*^9}, {3.378147624306847*^9, 
   3.3781476313401814`*^9}, {3.3781476913800983`*^9, 3.378147691911281*^9}, 
   3.378148429614575*^9, {3.3781486822243958`*^9, 3.378148706857905*^9}, {
   3.3858229237867184`*^9, 3.385822949603842*^9}, {3.3860986667410793`*^9, 
   3.3860987592513757`*^9}, {3.386098804530018*^9, 3.38609883807496*^9}, {
   3.3860996407797203`*^9, 3.3860996468083887`*^9}, {3.3860996769517326`*^9, 
   3.386099677792942*^9}, {3.386186266801951*^9, 3.386186271342819*^9}, {
   3.386186372585359*^9, 3.386186419856916*^9}, {3.3861864594218073`*^9, 
   3.386186547173106*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`b$$ = 30.200000000000003`, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`b$$], 45., "degree"}, 0, 90.}}, Typeset`size$$ = {
    400., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`b$2105486$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`b$$ = 45.}, 
      "ControllerVariables" :> {
        Hold[$CellContext`b$$, $CellContext`b$2105486$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`a$ = $CellContext`b$$ Degree}, 
        With[{$CellContext`s$ = Sin[$CellContext`a$], $CellContext`c$ = 
          Cos[$CellContext`a$]}, 
         With[{$CellContext`sc$ = Chop[4 $CellContext`s$ $CellContext`c$]}, 
          Graphics[{
            Map[{
              Lighter[Brown, Mod[#, 2]/3], 
              Disk[{0, 0}, (50 - #)/50]}& , 
             Range[0, 50]], 
            ({Black, 
             Line[{{0, 0}, {#, #2}, {#, #2} $CellContext`sc$}], Thick, 
             Darker[Blue], 
             
             Line[{{#, #2}, {-#, #2}, {-#, -#2}, {#, -#2}, {#, #2}}]}& \
)[$CellContext`c$, $CellContext`s$], 
            Lighter[Red], 
            Line[
             Table[
              ({#, #2} (4 # #2)& )[
               Cos[$CellContext`b$$], 
               Sin[$CellContext`b$$]], {$CellContext`b$$, 0, Pi/2, Pi/120}]], 
            
            Lighter[Red], 
            Disk[{$CellContext`c$, $CellContext`s$} $CellContext`sc$, 0.05], 
            Darker[Green], 
            Circle[{0, 0}, 2]}, PlotLabel -> StringJoin["area  =  ", 
             ToString[
              NumberForm[
               N[$CellContext`sc$], {3, 2}]]], ImageSize -> {400, 400}, 
           PlotRange -> 2.1]]]], 
      "Specifications" :> {{{$CellContext`b$$, 45., "degree"}, 0, 90., 
         Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {241., 246.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->1511375648],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Maximum Rectangle Inscribed in a Circle",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/MaximumRectangleInscribedInACircle/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/MaximumRectangleInscribedInACircle/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
MaximumRectangleInscribedInACircle/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/MaximumRectangleInscribedInACircle/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/MaximumRectangleInscribedInACircle/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Michael Schreiber",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Michael+\
Schreiber"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Michael+Schreiber"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->2137581389],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
MaximumRectangleInscribedInACircle"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Maximum Rectangle Inscribed in a Circle - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 231, 4, 70, "Section"],
Cell[824, 29, 7826, 175, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[8665, 207, 2795, 62, 70, "Output",
 CellID->1511375648],
Cell[CellGroupData[{
Cell[11485, 273, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[11861, 284, 1000, 29, 70, "Text"],
Cell[12864, 315, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13204, 326, 466, 15, 70, "Text",
 CellID->2137581389],
Cell[CellGroupData[{
Cell[13695, 345, 829, 24, 70, "Text"],
Cell[14527, 371, 1210, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature OSNN92U2UP1e9B0eQAvBQ0so *)
