(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15468,        438]
NotebookOptionsPosition[     14345,        396]
NotebookOutlinePosition[     14997,        421]
CellTagsIndexPosition[     14954,        418]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Minimizing the Surface Area of a Cylinder with a Fixed Volume\
\>", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Grid", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{
          "Text", "[", 
           "\"\<Minimizing the surface area of a cylinder with a fixed\>\"", 
           " ", "]"}], ",", " ", "14"}], "]"}], ",", " ", "SpanFromLeft"}], 
       "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Text", "[", "\"\<volume of twelve ounces\>\"", " ", "]"}], 
          ",", " ", "14"}], "]"}], ",", " ", "SpanFromLeft"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Graphics3D", "[", 
         RowBox[{
          RowBox[{"Cylinder", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", " ", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", 
                RowBox[{"354.882", "/", 
                 RowBox[{"(", 
                  RowBox[{"Pi", "*", 
                   RowBox[{"r", "^", "2"}]}], ")"}]}]}], "}"}]}], "}"}], ",", 
            " ", "r"}], "]"}], ",", " ", 
          RowBox[{"Boxed", "\[Rule]", "False"}], ",", " ", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"150", ",", "150"}], "}"}]}]}], "]"}], ",", " ", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"2", "Pi", "*", 
            RowBox[{"x", "^", "2"}]}], "+", 
           RowBox[{"709.764", "/", "x"}]}], ",", " ", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "8"}], "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "50"}], ",", "1000"}], "}"}]}], ",", 
          RowBox[{"Ticks", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Automatic", ",", " ", 
             RowBox[{"{", 
              RowBox[{"250", ",", "500", ",", "750", ",", " ", "1000"}], 
              "}"}]}], "}"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "150"}], ",", " ", 
          RowBox[{"Epilog", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"PointSize", "[", ".08", "]"}], ",", " ", 
             RowBox[{"RGBColor", "[", 
              RowBox[{"1", ",", ".49", ",", "0"}], "]"}], ",", " ", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{"r", ",", 
                RowBox[{
                 RowBox[{"2", "*", "Pi", "*", 
                  RowBox[{"r", "^", "2"}]}], "+", 
                 RowBox[{"709.764", "/", "r"}]}]}], "}"}], "]"}]}], "}"}]}]}],
          "]"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{"\"\<radius = \>\"", "<>", 
            RowBox[{"ToString", "@", 
             RowBox[{"NumberForm", "[", 
              RowBox[{"r", ",", 
               RowBox[{"{", 
                RowBox[{"4", ",", "2"}], "}"}], ",", 
               RowBox[{"NumberPadding", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}]}], 
            "<>", "\"\< cm\>\""}], "]"}], ",", " ", "16"}], "]"}], ",", " ", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{"\"\<surface area = \>\"", "<>", 
            RowBox[{"ToString", "@", 
             RowBox[{"NumberForm", "[", 
              RowBox[{
               RowBox[{"N", "[", 
                RowBox[{
                 RowBox[{"2", "*", "Pi", "*", 
                  RowBox[{"r", "^", "2"}]}], "+", 
                 RowBox[{"709.764", "/", "r"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"4", ",", "2"}], "}"}], ",", 
               RowBox[{"NumberPadding", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}]}], 
            "<>", "\"\< \!\(\*SuperscriptBox[\(cm\), \(2\)]\)\>\""}], "]"}], 
          ",", " ", "16"}], "]"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Text", "[", 
          RowBox[{"\"\<height = \>\"", "<>", 
           RowBox[{"ToString", "@", 
            RowBox[{"NumberForm", "[", 
             RowBox[{
              RowBox[{"N", "[", 
               RowBox[{"354.882", "/", 
                RowBox[{"(", 
                 RowBox[{"Pi", "*", 
                  RowBox[{"r", "^", "2"}]}], ")"}]}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"4", ",", "2"}], "}"}], ",", 
              RowBox[{"NumberPadding", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}]}], 
           "<>", "\"\< cm\>\""}], "]"}], ",", " ", "16"}], "]"}], "}"}]}], 
     "}"}], "]"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "3", ",", "\"\<radius\>\""}], "}"}], ",", " ", ".75", 
     ",", "7", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3829121406639557`*^9, 3.3829121411859555`*^9}, {
   3.3829121763509555`*^9, 3.3829122009749556`*^9}, {3.3829125959549556`*^9, 
   3.3829125961379557`*^9}, {3.383572781521058*^9, 3.3835728491182685`*^9}, {
   3.383572957920714*^9, 3.383572966593033*^9}, {3.383573016892483*^9, 
   3.383573096863434*^9}, 3.383573129098222*^9, {3.383573186989588*^9, 
   3.3835732348026996`*^9}, {3.38366052437613*^9, 3.383660528298005*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r$$ = 3, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`r$$], 3, "radius"}, 0.75, 7}}, Typeset`size$$ = {
    326., {117.5, 122.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`r$16345$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`r$$ = 3}, 
      "ControllerVariables" :> {
        Hold[$CellContext`r$$, $CellContext`r$16345$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Grid[{{
          Style[
           Text["Minimizing the surface area of a cylinder with a fixed"], 
           14], SpanFromLeft}, {
          Style[
           Text["volume of twelve ounces"], 14], SpanFromLeft}, {
          Graphics3D[
           
           Cylinder[{{0, 0, 0}, {
             0, 0, 354.882/(Pi $CellContext`r$$^2)}}, $CellContext`r$$], 
           Boxed -> False, ImageSize -> {150, 150}], 
          Plot[
          2 Pi $CellContext`x^2 + 
           709.764/$CellContext`x, {$CellContext`x, 0, 8}, 
           PlotRange -> {-50, 1000}, 
           Ticks -> {Automatic, {250, 500, 750, 1000}}, ImageSize -> 150, 
           Epilog -> {
             PointSize[0.08], 
             RGBColor[1, 0.49, 0], 
             
             Point[{$CellContext`r$$, 2 Pi $CellContext`r$$^2 + 
               709.764/$CellContext`r$$}]}]}, {
          Style[
           Text[
            StringJoin["radius = ", 
             ToString[
              
              NumberForm[$CellContext`r$$, {4, 2}, 
               NumberPadding -> {" ", "0"}]], " cm"]], 16], 
          Style[
           Text[
            StringJoin["surface area = ", 
             ToString[
              NumberForm[
               N[2 Pi $CellContext`r$$^2 + 709.764/$CellContext`r$$], {4, 2}, 
               NumberPadding -> {" ", "0"}]], 
             " \!\(\*SuperscriptBox[\(cm\), \(2\)]\)"]], 16]}, {
          Style[
           Text[
            StringJoin["height = ", 
             ToString[
              NumberForm[
               N[354.882/(Pi $CellContext`r$$^2)], {4, 2}, 
               NumberPadding -> {" ", "0"}]], " cm"]], 16]}}], 
      "Specifications" :> {{{$CellContext`r$$, 3, "radius"}, 0.75, 7, 
         Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{370., {161., 166.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->6365343],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Minimizing the Surface Area of a Cylinder with a Fixed Volume",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
MinimizingTheSurfaceAreaOfACylinderWithAFixedVolume/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
MinimizingTheSurfaceAreaOfACylinderWithAFixedVolume/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
MinimizingTheSurfaceAreaOfACylinderWithAFixedVolume/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
MinimizingTheSurfaceAreaOfACylinderWithAFixedVolume/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
MinimizingTheSurfaceAreaOfACylinderWithAFixedVolume/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Chris Boucher",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->916115851],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
MinimizingTheSurfaceAreaOfACylinderWithAFixedVolume"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Minimizing the Surface Area of a Cylinder with a Fixed Volume - \
Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 261, 6, 70, "Section"],
Cell[854, 31, 5747, 143, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[6616, 177, 3168, 75, 70, "Output",
 CellID->6365343],
Cell[CellGroupData[{
Cell[9809, 256, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10185, 267, 1111, 31, 70, "Text"],
Cell[11299, 300, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[11639, 311, 456, 15, 70, "Text",
 CellID->916115851],
Cell[CellGroupData[{
Cell[12120, 330, 967, 27, 70, "Text"],
Cell[13090, 359, 1227, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature RRjpQmb8b3bQ2A0MlcmTALQ3 *)
