(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     49576,       1242]
NotebookOptionsPosition[     48454,       1201]
NotebookOutlinePosition[     49073,       1225]
CellTagsIndexPosition[     49030,       1222]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Moving a Couch around a Corner", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"CouchPlot", "[", 
   RowBox[{
   "a_", ",", "b_", ",", "w_", ",", "s_", ",", "cflag_", ",", "showrange_"}], 
   "]"}], ":=", "\n", "\t", 
  RowBox[{"Block", "[", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "walls", ",", "couch", ",", "m", ",", "x", ",", "y", ",", "m1", ",", 
      "truecouch", ",", "corner1", ",", "corner2", ",", "corner3", ",", 
      "corner4", ",", "tcorner1", ",", "tcorner2", ",", "tcorner3", ",", 
      "tcorner4", ",", "currentlength", ",", "truelength", ",", "graph", ",", 
      "graphlines"}], "}"}], ",", "\n", "\t\t", 
    RowBox[{
     RowBox[{"walls", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"GrayLevel", "[", ".5", "]"}], ",", 
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "b"}], ",", "a"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "showrange"}], ",", "showrange"}], "}"}]}], "]"}], 
        ",", 
        RowBox[{"GrayLevel", "[", "0.5", "]"}], ",", 
        RowBox[{"Thickness", "[", ".01", "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "showrange"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "showrange"}], "}"}]}], "}"}], "]"}]}], "}"}]}],
      ";", "\[IndentingNewLine]", 
     RowBox[{"m1", "=", 
      RowBox[{
       RowBox[{"Select", "[", 
        RowBox[{
         RowBox[{"m", "/.", 
          RowBox[{"NSolve", "[", " ", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"b", "^", "2"}], "-", 
                 RowBox[{"w", "^", "2"}]}], ")"}], 
               RowBox[{"m", "^", "6"}]}], "+", 
              RowBox[{
               RowBox[{"w", "^", "2"}], 
               RowBox[{"m", "^", "4"}]}], "-", 
              RowBox[{"2", " ", "a", " ", "b", " ", 
               RowBox[{"m", "^", "3"}]}], "+", 
              RowBox[{
               RowBox[{"w", "^", "2"}], " ", 
               RowBox[{"m", "^", "2"}]}], "+", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"a", "^", "2"}], "-", 
                RowBox[{"w", "^", "2"}]}], ")"}]}], "==", "0"}], ",", "m"}], 
           "]"}]}], ",", 
         RowBox[{
          RowBox[{"(", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"Im", "[", "#1", "]"}], "==", "0"}], " ", "&&", " ", 
            RowBox[{"#1", "<=", 
             RowBox[{"N", "[", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"a", "/", "b"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{"1", "/", "3"}], ")"}]}], "]"}]}]}], ")"}], "&"}]}], 
        "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"tcorner1", "=", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], "/.", " ", 
         RowBox[{
          RowBox[{"NSolve", "[", " ", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"y", "==", 
               RowBox[{"m1", " ", "x"}]}], ",", " ", 
              RowBox[{
               RowBox[{"y", "-", 
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{"m1", " ", "b"}], "-", 
                  RowBox[{"w", " ", 
                   RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"m1", "^", "2"}], "+", "1"}], "]"}]}]}], ")"}]}], 
               "==", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "1"}], "/", "m1"}], " ", 
                RowBox[{"(", 
                 RowBox[{"x", "-", "b"}], ")"}]}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "+", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "b"}], ",", "a"}], "}"}]}]}], ";", "\n", "\t\t\t", 
     RowBox[{"tcorner2", "=", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], "/.", " ", 
         RowBox[{
          RowBox[{"NSolve", "[", " ", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"y", "==", 
               RowBox[{"m1", " ", "x"}]}], ",", " ", 
              RowBox[{
               RowBox[{"y", "+", "a"}], "==", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "1"}], "/", "m1"}], " ", 
                RowBox[{"(", 
                 RowBox[{"x", "-", "  ", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "a"}], "+", 
                    RowBox[{"w", " ", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"m1", "^", "2"}], "+", "1"}], "]"}]}]}], ")"}], 
                   "/", "m1"}]}], ")"}]}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "+", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "b"}], ",", "a"}], "}"}]}]}], ";", "\n", "\t\t\t", 
     RowBox[{"tcorner3", "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"b", ",", 
         RowBox[{"(", " ", 
          RowBox[{
           RowBox[{"m1", " ", "b"}], "-", 
           RowBox[{"w", " ", 
            RowBox[{"Sqrt", "[", 
             RowBox[{
              RowBox[{"m1", "^", "2"}], "+", "1"}], "]"}]}]}], ")"}]}], "}"}],
        "+", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "b"}], ",", "a"}], "}"}]}]}], ";", "\n", "\t\t\t", 
     RowBox[{"tcorner4", "=", 
      RowBox[{
       RowBox[{"{", "  ", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", 
            RowBox[{"w", " ", 
             RowBox[{"Sqrt", "[", 
              RowBox[{
               RowBox[{"m1", "^", "2"}], "+", "1"}], "]"}]}]}], ")"}], "/", 
          "m1"}], ",", 
         RowBox[{"-", "a"}]}], "}"}], "+", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "b"}], ",", "a"}], "}"}]}]}], ";", "\n", "\t\t", 
     RowBox[{"truecouch", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
        RowBox[{"Thickness", "[", ".005", "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
          "tcorner1", ",", "tcorner2", ",", "tcorner4", ",", "tcorner3", ",", 
           "tcorner1"}], "}"}], "]"}], ",", 
        RowBox[{"GrayLevel", "[", "0", "]"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"m", "=", 
      RowBox[{"Tan", "[", 
       RowBox[{"s", " ", "Degree"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"corner1", "=", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], "/.", " ", 
         RowBox[{
          RowBox[{"NSolve", "[", " ", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"y", "==", 
               RowBox[{"m", " ", "x"}]}], ",", " ", 
              RowBox[{
               RowBox[{"y", "-", 
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{"m", " ", "b"}], "-", 
                  RowBox[{"w", " ", 
                   RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"m", "^", "2"}], "+", "1"}], "]"}]}]}], ")"}]}], "==",
                
               RowBox[{
                RowBox[{
                 RowBox[{"-", "1"}], "/", "m"}], " ", 
                RowBox[{"(", 
                 RowBox[{"x", "-", "b"}], ")"}]}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "+", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "b"}], ",", "a"}], "}"}]}]}], ";", "\n", "\t\t\t", 
     RowBox[{"corner2", "=", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], "/.", " ", 
         RowBox[{
          RowBox[{"NSolve", "[", " ", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"y", "==", 
               RowBox[{"m", " ", "x"}]}], ",", " ", 
              RowBox[{
               RowBox[{"y", "+", "a"}], "==", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "1"}], "/", "m"}], " ", 
                RowBox[{"(", 
                 RowBox[{"x", "-", "  ", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "a"}], "+", 
                    RowBox[{"w", " ", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"m", "^", "2"}], "+", "1"}], "]"}]}]}], ")"}], 
                   "/", "m"}]}], ")"}]}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "+", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "b"}], ",", "a"}], "}"}]}]}], ";", "\n", "\t\t\t", 
     RowBox[{"corner3", "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"b", ",", 
         RowBox[{"(", " ", 
          RowBox[{
           RowBox[{"m", " ", "b"}], "-", 
           RowBox[{"w", " ", 
            RowBox[{"Sqrt", "[", 
             RowBox[{
              RowBox[{"m", "^", "2"}], "+", "1"}], "]"}]}]}], ")"}]}], "}"}], 
       "+", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "b"}], ",", "a"}], "}"}]}]}], ";", "\n", "\t\t\t", 
     RowBox[{"corner4", "=", 
      RowBox[{
       RowBox[{"{", "  ", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", 
            RowBox[{"w", " ", 
             RowBox[{"Sqrt", "[", 
              RowBox[{
               RowBox[{"m", "^", "2"}], "+", "1"}], "]"}]}]}], ")"}], "/", 
          "m"}], ",", 
         RowBox[{"-", "a"}]}], "}"}], "+", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "b"}], ",", "a"}], "}"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"currentlength", "=", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"1", "/", 
            RowBox[{"x", "^", "2"}]}]}], ")"}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"x", " ", "b"}], "+", "a", "-", 
            RowBox[{"w", " ", 
             RowBox[{"Sqrt", "[", 
              RowBox[{
               RowBox[{"x", "^", "2"}], "+", "1"}], "]"}]}]}], ")"}], "^", 
          "2"}]}], "]"}], "/.", " ", 
       RowBox[{"x", "->", "m"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"truelength", "=", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"1", "/", 
            RowBox[{"x", "^", "2"}]}]}], ")"}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"x", " ", "b"}], "+", "a", "-", 
            RowBox[{"w", " ", 
             RowBox[{"Sqrt", "[", 
              RowBox[{
               RowBox[{"x", "^", "2"}], "+", "1"}], "]"}]}]}], ")"}], "^", 
          "2"}]}], "]"}], "/.", " ", 
       RowBox[{"x", "->", "m1"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"couch", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"ColorData", "[", 
         RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{"corner1", ",", "corner2"}], "}"}], "]"}], ",", 
        RowBox[{"Polygon", "[", 
         RowBox[{"{", 
          RowBox[{
          "corner1", ",", "corner2", ",", "corner4", ",", "corner3", ",", 
           "corner1"}], "}"}], "]"}], ",", 
        RowBox[{"GrayLevel", "[", "0", "]"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"graph", " ", "=", " ", 
      RowBox[{"Plot", "[", " ", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"1", "/", 
             RowBox[{"x", "^", "2"}]}]}], ")"}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"x", " ", "b"}], "+", "a", "-", 
             RowBox[{"w", " ", 
              RowBox[{"Sqrt", "[", 
               RowBox[{
                RowBox[{"x", "^", "2"}], "+", "1"}], "]"}]}]}], ")"}], "^", 
           "2"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", "2"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"ColorData", "[", 
          RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}]}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"3", " ", "truelength"}]}], "}"}]}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"graphlines", "=", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"ColorData", "[", 
          RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"m", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"m", ",", "currentlength"}], "}"}]}], "}"}], "]"}], ",", 
         
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"cflag", "\[Equal]", "True"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"m1", ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"m1", ",", "truelength"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", ".1"}], ",", "truelength"}], "}"}]}], "}"}], 
            "]"}], ",", 
           RowBox[{"{", "}"}]}], "]"}]}], "}"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Column", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Which", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"b", "<", "a"}], ",", 
           RowBox[{"Text", "@", 
            RowBox[{"Row", "[", 
             RowBox[{
             "{", "\"\<The sliders have moved so the wide hallway is narrower \
than the narrow hallway!\>\"", "}"}], "]"}]}], ",", 
           RowBox[{"a", "<", "w"}], ",", 
           RowBox[{"Text", "@", 
            RowBox[{"Row", "[", 
             RowBox[{
             "{", "\"\<The sliders have moved so that the couch is wider than \
the narrow hallway!\>\"", "}"}], "]"}]}], ",", " ", "True", ",", 
           RowBox[{"Text", "@", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"\"\<The current couch slope is \>\"", ",", 
               RowBox[{"PaddedForm", "[", 
                RowBox[{
                 RowBox[{"N", "[", "m", "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"6", ",", "6"}], "}"}]}], "]"}], ",", " ", 
               "\"\< and current length is \>\"", ",", 
               RowBox[{"PaddedForm", "[", 
                RowBox[{
                 RowBox[{"N", "[", "currentlength", "]"}], ",", "6"}], "]"}], 
               ",", "\"\<.\>\""}], "}"}], "]"}]}]}], "]"}], ",", 
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Graphics", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"walls", ",", "couch", ",", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"cflag", "\[Equal]", "True"}], ",", "truecouch", 
                  ",", 
                  RowBox[{"{", "}"}]}], "]"}]}], "}"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "showrange"}], ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "showrange"}], "}"}]}], "}"}]}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], ",", 
            "\"\<    \>\"", ",", 
            RowBox[{"Show", "[", 
             RowBox[{"graph", ",", "graphlines", ",", 
              RowBox[{"ImageSize", "\[Rule]", "225"}], ",", 
              RowBox[{"Frame", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"True", ",", "False"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"True", ",", "False"}], "}"}]}], "}"}]}], ",", 
              RowBox[{"FrameLabel", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"\"\<couch slope\>\"", ",", "\"\<couch length\>\""}], 
                "}"}]}], ",", 
              RowBox[{
              "PlotLabel", "\[Rule]", 
               "\"\<extendable couch length versus slope \>\""}]}], "]"}]}], 
           "}"}], "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"cflag", "\[Equal]", "True"}], ",", 
           RowBox[{"Text", "@", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
              "\"\<The longest couch that can get around has a length of \
about \>\"", ",", " ", 
               RowBox[{"PaddedForm", "[", 
                RowBox[{"truelength", ",", 
                 RowBox[{"{", 
                  RowBox[{"6", ",", "6"}], "}"}]}], "]"}], ",", "\"\<.\>\""}],
               "}"}], "]"}]}], ",", 
           RowBox[{"Row", "[", 
            RowBox[{"{", "\"\< \>\"", "}"}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"cflag", "\[Equal]", "True"}], ",", 
           RowBox[{"Text", "@", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"\"\<It has a critical slope of about \>\"", ",", " ", 
               RowBox[{"PaddedForm", "[", 
                RowBox[{"m1", ",", 
                 RowBox[{"{", 
                  RowBox[{"6", ",", "6"}], "}"}]}], "]"}], ",", 
               "\"\< and a critical angle\>\""}], "}"}], "]"}]}], ",", 
           RowBox[{"Row", "[", 
            RowBox[{"{", "\"\< \>\"", "}"}], "]"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"cflag", "\[Equal]", "True"}], ",", 
           RowBox[{"Text", "@", 
            RowBox[{"Row", "[", 
             RowBox[{"{", " ", 
              RowBox[{"\"\< of about \>\"", ",", 
               RowBox[{"PaddedForm", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"ArcTan", "[", "m1", "]"}], "/", "Degree"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"6", ",", "6"}], "}"}]}], "]"}], ",", " ", 
               "\"\< degrees.\>\""}], "}"}], "]"}]}], ",", 
           RowBox[{"Row", "[", 
            RowBox[{"{", "\"\< \>\"", "}"}], "]"}]}], "]"}]}], "}"}], ",", 
       "Center", ",", 
       RowBox[{"Spacings", "\[Rule]", ".75"}], ",", 
       RowBox[{"ItemSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"45", ",", 
          RowBox[{"{", 
           RowBox[{"1.5", ",", "10", ",", "1.5", ",", "1.5", ",", "1.5"}], 
           "}"}]}], "}"}]}]}], "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.40058321485009*^9, {3.400590954063362*^9, 
   3.400590992141487*^9}, {3.400591024672737*^9, 3.400591132172737*^9}, {
   3.400591180391487*^9, 3.400591188157112*^9}, {3.400591226719612*^9, 
   3.400591227422737*^9}, {3.400591298594612*^9, 3.400591342235237*^9}, {
   3.400591396063362*^9, 3.400591437813362*^9}, {3.400591470860237*^9, 
   3.400591520297737*^9}, {3.400591629891487*^9, 3.400591680375862*^9}, {
   3.400599600500862*^9, 3.400599600547737*^9}, {3.400600561020706*^9, 
   3.4006006364127784`*^9}, {3.4006007574619775`*^9, 3.4006007599464*^9}, {
   3.40208112971729*^9, 3.40208115384229*^9}, {3.40208118996729*^9, 
   3.402081204732915*^9}, {3.40208132271729*^9, 3.402081329014165*^9}, {
   3.4022308749375*^9, 3.402230909671875*^9}, {3.402230941484375*^9, 
   3.4022309529375*^9}, {3.402234948640625*^9, 3.4022349486875*^9}},
 CellID->610254516],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"CouchPlot", "[", 
    RowBox[{"a", ",", "b", ",", "w", ",", "s", ",", "c", ",", "20"}], "]"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "8", ",", "\"\<wide hallway width\>\""}], "}"}], ",", 
     "1", ",", "10", ",", " ", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Labeled\>\"", ",", "Center"}], "}"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "a", ",", "3", ",", "\"\<narrow hallway width\>\"", ",", "Center"}], 
      "}"}], ",", ".01", ",", "b", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "Delimiter", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"w", ",", "1", ",", "\"\<couch width\>\""}], "}"}], ",", "0", 
     ",", 
     RowBox[{"a", "-", ".01"}], ",", " ", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"s", ",", "31", ",", "\"\<couch angle\>\""}], "}"}], ",", "1", 
     ",", "89", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "c", ",", "False", ",", 
       "\"\<show longest couch which can make it around (in orange)\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.400582770589023*^9, {3.400590918797737*^9, 
   3.400590929828987*^9}, {3.40208128893604*^9, 3.402081289670415*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 3, $CellContext`b$$ = 
    8, $CellContext`c$$ = False, $CellContext`s$$ = 31, $CellContext`w$$ = 1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`b$$], 8, "wide hallway width"}, 1, 10}, {{
       Hold[$CellContext`a$$], 3, "narrow hallway width", Center}, 0.01, 
      Dynamic[$CellContext`b$$]}, {{
       Hold[$CellContext`w$$], 1, "couch width"}, 0, 
      Dynamic[$CellContext`a$$ - 0.01]}, {{
       Hold[$CellContext`s$$], 31, "couch angle"}, 1, 89, 1}, {{
       Hold[$CellContext`c$$], False, 
       "show longest couch which can make it around (in orange)"}, {
      True, False}}}, Typeset`size$$ = {566., {145.5, 150.5}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`b$148299$$ = 0, $CellContext`a$148300$$ = 
    0, $CellContext`w$148301$$ = 0, $CellContext`s$148302$$ = 
    0, $CellContext`c$148303$$ = "Button 1"}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 3, $CellContext`b$$ = 
        8, $CellContext`c$$ = False, $CellContext`s$$ = 31, $CellContext`w$$ = 
        1}, "ControllerVariables" :> {
        Hold[$CellContext`b$$, $CellContext`b$148299$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$148300$$, 0], 
        Hold[$CellContext`w$$, $CellContext`w$148301$$, 0], 
        Hold[$CellContext`s$$, $CellContext`s$148302$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$148303$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`CouchPlot[$CellContext`a$$, $CellContext`b$$, \
$CellContext`w$$, $CellContext`s$$, $CellContext`c$$, 20], 
      "Specifications" :> {{{$CellContext`b$$, 8, "wide hallway width"}, 1, 
         10, Appearance -> {"Labeled", Center}}, {{$CellContext`a$$, 3, 
          "narrow hallway width", Center}, 0.01, 
         Dynamic[$CellContext`b$$], Appearance -> "Labeled"}, 
        Delimiter, {{$CellContext`w$$, 1, "couch width"}, 0, 
         Dynamic[$CellContext`a$$ - 0.01], Appearance -> 
         "Labeled"}, {{$CellContext`s$$, 31, "couch angle"}, 1, 89, 1, 
         Appearance -> 
         "Labeled"}, {{$CellContext`c$$, False, 
          "show longest couch which can make it around (in orange)"}, {
         True, False}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{610., {247., 252.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`CouchPlot[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`w, 
           Blank[]], 
          Pattern[$CellContext`s, 
           Blank[]], 
          Pattern[$CellContext`cflag, 
           Blank[]], 
          Pattern[$CellContext`showrange, 
           Blank[]]] := 
        Block[{$CellContext`walls, $CellContext`couch, $CellContext`m, \
$CellContext`x, $CellContext`y, $CellContext`m1, $CellContext`truecouch, \
$CellContext`corner1, $CellContext`corner2, $CellContext`corner3, \
$CellContext`corner4, $CellContext`tcorner1, $CellContext`tcorner2, \
$CellContext`tcorner3, $CellContext`tcorner4, $CellContext`currentlength, \
$CellContext`truelength, $CellContext`graph, $CellContext`graphlines}, \
$CellContext`walls = {
             GrayLevel[0.5], 
             
             Rectangle[{-$CellContext`b, $CellContext`a}, \
{-$CellContext`showrange, $CellContext`showrange}], 
             GrayLevel[0.5], 
             Thickness[0.01], 
             
             Line[{{-$CellContext`showrange, 0}, {0, 0}, {
               0, $CellContext`showrange}}]}; $CellContext`m1 = Part[
             Select[
              ReplaceAll[$CellContext`m, 
               
               NSolve[($CellContext`b^2 - $CellContext`w^2) $CellContext`m^6 + \
$CellContext`w^2 $CellContext`m^4 - 
                 2 $CellContext`a $CellContext`b $CellContext`m^3 + \
$CellContext`w^2 $CellContext`m^2 + ($CellContext`a^2 - $CellContext`w^2) == 
                0, $CellContext`m]], And[
              Im[#] == 0, # <= N[($CellContext`a/$CellContext`b)^(1/3)]]& ], 
             1]; $CellContext`tcorner1 = 
           ReplaceAll[{$CellContext`x, $CellContext`y}, 
              Part[
               
               NSolve[{$CellContext`y == $CellContext`m1 $CellContext`x, \
$CellContext`y - ($CellContext`m1 $CellContext`b - $CellContext`w 
                  Sqrt[$CellContext`m1^2 + 
                    1]) == ((-1)/$CellContext`m1) ($CellContext`x - \
$CellContext`b)}, {$CellContext`x, $CellContext`y}], 
               1]] + {-$CellContext`b, $CellContext`a}; $CellContext`tcorner2 = 
           ReplaceAll[{$CellContext`x, $CellContext`y}, 
              Part[
               
               NSolve[{$CellContext`y == $CellContext`m1 $CellContext`x, \
$CellContext`y + $CellContext`a == ((-1)/$CellContext`m1) ($CellContext`x - \
(-$CellContext`a + $CellContext`w 
                    Sqrt[$CellContext`m1^2 + 
                    1])/$CellContext`m1)}, {$CellContext`x, $CellContext`y}], 
               1]] + {-$CellContext`b, $CellContext`a}; $CellContext`tcorner3 = \
{$CellContext`b, $CellContext`m1 $CellContext`b - $CellContext`w 
              Sqrt[$CellContext`m1^2 + 
                1]} + {-$CellContext`b, $CellContext`a}; \
$CellContext`tcorner4 = {(-$CellContext`a + $CellContext`w 
                Sqrt[$CellContext`m1^2 + 
                  1])/$CellContext`m1, -$CellContext`a} + {-$CellContext`b, \
$CellContext`a}; $CellContext`truecouch = {
             RGBColor[1, 0.47, 0], 
             Thickness[0.005], 
             
             Line[{$CellContext`tcorner1, $CellContext`tcorner2, \
$CellContext`tcorner4, $CellContext`tcorner3, $CellContext`tcorner1}], 
             GrayLevel[0]}; $CellContext`m = 
           Tan[$CellContext`s Degree]; $CellContext`corner1 = 
           ReplaceAll[{$CellContext`x, $CellContext`y}, 
              Part[
               
               NSolve[{$CellContext`y == $CellContext`m $CellContext`x, \
$CellContext`y - ($CellContext`m $CellContext`b - $CellContext`w 
                  Sqrt[$CellContext`m^2 + 
                    1]) == ((-1)/$CellContext`m) ($CellContext`x - \
$CellContext`b)}, {$CellContext`x, $CellContext`y}], 
               1]] + {-$CellContext`b, $CellContext`a}; $CellContext`corner2 = 
           ReplaceAll[{$CellContext`x, $CellContext`y}, 
              Part[
               
               NSolve[{$CellContext`y == $CellContext`m $CellContext`x, \
$CellContext`y + $CellContext`a == ((-1)/$CellContext`m) ($CellContext`x - \
(-$CellContext`a + $CellContext`w 
                    Sqrt[$CellContext`m^2 + 
                    1])/$CellContext`m)}, {$CellContext`x, $CellContext`y}], 
               1]] + {-$CellContext`b, $CellContext`a}; $CellContext`corner3 = \
{$CellContext`b, $CellContext`m $CellContext`b - $CellContext`w 
              Sqrt[$CellContext`m^2 + 
                1]} + {-$CellContext`b, $CellContext`a}; $CellContext`corner4 = \
{(-$CellContext`a + $CellContext`w 
                Sqrt[$CellContext`m^2 + 
                  1])/$CellContext`m, -$CellContext`a} + {-$CellContext`b, \
$CellContext`a}; $CellContext`currentlength = ReplaceAll[
             
             Sqrt[(1 + 
               1/$CellContext`x^2) ($CellContext`x $CellContext`b + \
$CellContext`a - $CellContext`w 
                Sqrt[$CellContext`x^2 + 
                  1])^2], $CellContext`x -> $CellContext`m]; \
$CellContext`truelength = ReplaceAll[
             
             Sqrt[(1 + 
               1/$CellContext`x^2) ($CellContext`x $CellContext`b + \
$CellContext`a - $CellContext`w 
                Sqrt[$CellContext`x^2 + 
                  1])^2], $CellContext`x -> $CellContext`m1]; \
$CellContext`couch = {
             ColorData["HTML", "SlateBlue"], 
             Line[{$CellContext`corner1, $CellContext`corner2}], 
             
             Polygon[{$CellContext`corner1, $CellContext`corner2, \
$CellContext`corner4, $CellContext`corner3, $CellContext`corner1}], 
             GrayLevel[0]}; $CellContext`graph = Plot[
             
             Sqrt[(1 + 
               1/$CellContext`x^2) ($CellContext`x $CellContext`b + \
$CellContext`a - $CellContext`w 
                Sqrt[$CellContext`x^2 + 1])^2], {$CellContext`x, 0, 2}, 
             PlotStyle -> ColorData["HTML", "SlateBlue"], 
             PlotRange -> {
              0, 3 $CellContext`truelength}]; $CellContext`graphlines = 
           Graphics[{
              ColorData["HTML", "SlateBlue"], 
              
              Line[{{$CellContext`m, 
                 0}, {$CellContext`m, $CellContext`currentlength}}], 
              RGBColor[1, 0.47, 0], 
              If[$CellContext`cflag == True, 
               
               Line[{{$CellContext`m1, 
                  0}, {$CellContext`m1, $CellContext`truelength}, {-0.1, \
$CellContext`truelength}}], {}]}]; Column[{
             Which[$CellContext`b < $CellContext`a, 
              Text[
               
               Row[{"The sliders have moved so the wide hallway is narrower \
than the narrow hallway!"}]], $CellContext`a < $CellContext`w, 
              Text[
               
               Row[{"The sliders have moved so that the couch is wider than \
the narrow hallway!"}]], True, 
              Text[
               Row[{"The current couch slope is ", 
                 PaddedForm[
                  N[$CellContext`m], {6, 6}], " and current length is ", 
                 PaddedForm[
                  N[$CellContext`currentlength], 6], "."}]]], 
             Row[{
               Graphics[{$CellContext`walls, $CellContext`couch, 
                 If[$CellContext`cflag == True, $CellContext`truecouch, {}]}, 
                PlotRange -> {{-$CellContext`showrange, 0}, {
                  0, $CellContext`showrange}}, ImageSize -> 200], "    ", 
               
               Show[$CellContext`graph, $CellContext`graphlines, ImageSize -> 
                225, Frame -> {{True, False}, {True, False}}, 
                FrameLabel -> {"couch slope", "couch length"}, PlotLabel -> 
                "extendable couch length versus slope "]}], 
             If[$CellContext`cflag == True, 
              Text[
               
               Row[{"The longest couch that can get around has a length of \
about ", 
                 PaddedForm[$CellContext`truelength, {6, 6}], "."}]], 
              Row[{" "}]], 
             If[$CellContext`cflag == True, 
              Text[
               Row[{"It has a critical slope of about ", 
                 PaddedForm[$CellContext`m1, {6, 6}], 
                 " and a critical angle"}]], 
              Row[{" "}]], 
             If[$CellContext`cflag == True, 
              Text[
               Row[{" of about ", 
                 PaddedForm[ArcTan[$CellContext`m1]/Degree, {6, 6}], 
                 " degrees."}]], 
              Row[{" "}]]}, Center, Spacings -> 0.75, 
            ItemSize -> {45, {1.5, 10, 1.5, 1.5, 1.5}}]], 
        Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`CouchPlot[
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`w, 
            Blank[]], 
           Pattern[$CellContext`s, 
            Blank[]], 
           Pattern[$CellContext`cflag, 
            Blank[]], 
           Pattern[$CellContext`showrange, 
            Blank[]]] := 
         Block[{$CellContext`walls, $CellContext`couch, $CellContext`m, \
$CellContext`x, $CellContext`y, $CellContext`m1, $CellContext`truecouch, \
$CellContext`corner1, $CellContext`corner2, $CellContext`corner3, \
$CellContext`corner4, $CellContext`tcorner1, $CellContext`tcorner2, \
$CellContext`tcorner3, $CellContext`tcorner4, $CellContext`currentlength, \
$CellContext`truelength, $CellContext`graph, $CellContext`graphlines}, \
$CellContext`walls = {
              GrayLevel[0.5], 
              
              Rectangle[{-$CellContext`b, $CellContext`a}, \
{-$CellContext`showrange, $CellContext`showrange}], 
              GrayLevel[0.5], 
              Thickness[0.01], 
              
              Line[{{-$CellContext`showrange, 0}, {0, 0}, {
                0, $CellContext`showrange}}]}; $CellContext`m1 = Part[
              Select[
               ReplaceAll[$CellContext`m, 
                
                NSolve[($CellContext`b^2 - $CellContext`w^2) $CellContext`m^6 + \
$CellContext`w^2 $CellContext`m^4 - 
                  2 $CellContext`a $CellContext`b $CellContext`m^3 + \
$CellContext`w^2 $CellContext`m^2 + ($CellContext`a^2 - $CellContext`w^2) == 
                 0, $CellContext`m]], And[
               Im[#] == 0, # <= N[($CellContext`a/$CellContext`b)^(1/3)]]& ], 
              1]; $CellContext`tcorner1 = 
            ReplaceAll[{$CellContext`x, $CellContext`y}, 
               Part[
                
                NSolve[{$CellContext`y == $CellContext`m1 $CellContext`x, \
$CellContext`y - ($CellContext`m1 $CellContext`b - $CellContext`w 
                   Sqrt[$CellContext`m1^2 + 
                    1]) == ((-1)/$CellContext`m1) ($CellContext`x - \
$CellContext`b)}, {$CellContext`x, $CellContext`y}], 
                1]] + {-$CellContext`b, $CellContext`a}; \
$CellContext`tcorner2 = ReplaceAll[{$CellContext`x, $CellContext`y}, 
               Part[
                
                NSolve[{$CellContext`y == $CellContext`m1 $CellContext`x, \
$CellContext`y + $CellContext`a == ((-1)/$CellContext`m1) ($CellContext`x - \
(-$CellContext`a + $CellContext`w 
                    Sqrt[$CellContext`m1^2 + 
                    1])/$CellContext`m1)}, {$CellContext`x, $CellContext`y}], 
                1]] + {-$CellContext`b, $CellContext`a}; \
$CellContext`tcorner3 = {$CellContext`b, $CellContext`m1 $CellContext`b - \
$CellContext`w 
               Sqrt[$CellContext`m1^2 + 
                 1]} + {-$CellContext`b, $CellContext`a}; \
$CellContext`tcorner4 = {(-$CellContext`a + $CellContext`w 
                 Sqrt[$CellContext`m1^2 + 
                   1])/$CellContext`m1, -$CellContext`a} + {-$CellContext`b, \
$CellContext`a}; $CellContext`truecouch = {
              RGBColor[1, 0.47, 0], 
              Thickness[0.005], 
              
              Line[{$CellContext`tcorner1, $CellContext`tcorner2, \
$CellContext`tcorner4, $CellContext`tcorner3, $CellContext`tcorner1}], 
              GrayLevel[0]}; $CellContext`m = 
            Tan[$CellContext`s Degree]; $CellContext`corner1 = 
            ReplaceAll[{$CellContext`x, $CellContext`y}, 
               Part[
                
                NSolve[{$CellContext`y == $CellContext`m $CellContext`x, \
$CellContext`y - ($CellContext`m $CellContext`b - $CellContext`w 
                   Sqrt[$CellContext`m^2 + 
                    1]) == ((-1)/$CellContext`m) ($CellContext`x - \
$CellContext`b)}, {$CellContext`x, $CellContext`y}], 
                1]] + {-$CellContext`b, $CellContext`a}; $CellContext`corner2 = 
            ReplaceAll[{$CellContext`x, $CellContext`y}, 
               Part[
                
                NSolve[{$CellContext`y == $CellContext`m $CellContext`x, \
$CellContext`y + $CellContext`a == ((-1)/$CellContext`m) ($CellContext`x - \
(-$CellContext`a + $CellContext`w 
                    Sqrt[$CellContext`m^2 + 
                    1])/$CellContext`m)}, {$CellContext`x, $CellContext`y}], 
                1]] + {-$CellContext`b, $CellContext`a}; $CellContext`corner3 = \
{$CellContext`b, $CellContext`m $CellContext`b - $CellContext`w 
               Sqrt[$CellContext`m^2 + 
                 1]} + {-$CellContext`b, $CellContext`a}; \
$CellContext`corner4 = {(-$CellContext`a + $CellContext`w 
                 Sqrt[$CellContext`m^2 + 
                   1])/$CellContext`m, -$CellContext`a} + {-$CellContext`b, \
$CellContext`a}; $CellContext`currentlength = ReplaceAll[
              
              Sqrt[(1 + 
                1/$CellContext`x^2) ($CellContext`x $CellContext`b + \
$CellContext`a - $CellContext`w 
                 Sqrt[$CellContext`x^2 + 
                   1])^2], $CellContext`x -> $CellContext`m]; \
$CellContext`truelength = ReplaceAll[
              
              Sqrt[(1 + 
                1/$CellContext`x^2) ($CellContext`x $CellContext`b + \
$CellContext`a - $CellContext`w 
                 Sqrt[$CellContext`x^2 + 
                   1])^2], $CellContext`x -> $CellContext`m1]; \
$CellContext`couch = {
              ColorData["HTML", "SlateBlue"], 
              Line[{$CellContext`corner1, $CellContext`corner2}], 
              
              Polygon[{$CellContext`corner1, $CellContext`corner2, \
$CellContext`corner4, $CellContext`corner3, $CellContext`corner1}], 
              GrayLevel[0]}; $CellContext`graph = Plot[
              
              Sqrt[(1 + 
                1/$CellContext`x^2) ($CellContext`x $CellContext`b + \
$CellContext`a - $CellContext`w 
                 Sqrt[$CellContext`x^2 + 1])^2], {$CellContext`x, 0, 2}, 
              PlotStyle -> ColorData["HTML", "SlateBlue"], 
              PlotRange -> {
               0, 3 $CellContext`truelength}]; $CellContext`graphlines = 
            Graphics[{
               ColorData["HTML", "SlateBlue"], 
               
               Line[{{$CellContext`m, 
                  0}, {$CellContext`m, $CellContext`currentlength}}], 
               RGBColor[1, 0.47, 0], 
               If[$CellContext`cflag == True, 
                
                Line[{{$CellContext`m1, 
                   0}, {$CellContext`m1, $CellContext`truelength}, {-0.1, \
$CellContext`truelength}}], {}]}]; Column[{
              Which[$CellContext`b < $CellContext`a, 
               Text[
                
                Row[{"The sliders have moved so the wide hallway is narrower \
than the narrow hallway!"}]], $CellContext`a < $CellContext`w, 
               Text[
                
                Row[{"The sliders have moved so that the couch is wider than \
the narrow hallway!"}]], True, 
               Text[
                Row[{"The current couch slope is ", 
                  PaddedForm[
                   N[$CellContext`m], {6, 6}], " and current length is ", 
                  PaddedForm[
                   N[$CellContext`currentlength], 6], "."}]]], 
              Row[{
                Graphics[{$CellContext`walls, $CellContext`couch, 
                  If[$CellContext`cflag == True, $CellContext`truecouch, {}]},
                  PlotRange -> {{-$CellContext`showrange, 0}, {
                   0, $CellContext`showrange}}, ImageSize -> 200], "    ", 
                
                Show[$CellContext`graph, $CellContext`graphlines, ImageSize -> 
                 225, Frame -> {{True, False}, {True, False}}, 
                 FrameLabel -> {"couch slope", "couch length"}, PlotLabel -> 
                 "extendable couch length versus slope "]}], 
              If[$CellContext`cflag == True, 
               Text[
                
                Row[{"The longest couch that can get around has a length of \
about ", 
                  PaddedForm[$CellContext`truelength, {6, 6}], "."}]], 
               Row[{" "}]], 
              If[$CellContext`cflag == True, 
               Text[
                Row[{"It has a critical slope of about ", 
                  PaddedForm[$CellContext`m1, {6, 6}], 
                  " and a critical angle"}]], 
               Row[{" "}]], 
              If[$CellContext`cflag == True, 
               Text[
                Row[{" of about ", 
                  PaddedForm[ArcTan[$CellContext`m1]/Degree, {6, 6}], 
                  " degrees."}]], 
               Row[{" "}]]}, Center, Spacings -> 0.75, 
             ItemSize -> {45, {1.5, 10, 1.5, 1.5, 1.5}}]]}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->487501972],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Moving a Couch around a Corner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/MovingACouchAroundACorner/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/MovingACouchAroundACorner/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/MovingACouchAroundACorner/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/MovingACouchAroundACorner/"], 
    None},
  ButtonNote->"http://demonstrations.wolfram.com/MovingACouchAroundACorner/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Christopher Moretti",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Christopher+\
Moretti"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Christopher+Moretti"]\

}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
MovingACouchAroundACorner"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Moving a Couch around a Corner - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 222, 4, 70, "Section"],
Cell[815, 29, 20945, 556, 70, "Input",
 CellID->610254516],
Cell[21763, 587, 1752, 47, 70, "Input"]
}, Open  ]],
Cell[23530, 637, 20557, 424, 70, "Output",
 CellID->487501972],
Cell[CellGroupData[{
Cell[44112, 1065, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[44488, 1076, 946, 27, 70, "Text"],
Cell[45437, 1105, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[45777, 1116, 453, 15, 70, "Text"],
Cell[CellGroupData[{
Cell[46255, 1135, 967, 27, 70, "Text"],
Cell[47225, 1164, 1201, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature vTjc4eGMyCqdLADbUygVkiEA *)
