(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     40153,       1021]
NotebookOptionsPosition[     38955,        977]
NotebookOutlinePosition[     39610,       1002]
CellTagsIndexPosition[     39567,        999]
WindowTitle->Optimize the Length of the Crease of a Folded Piece of Paper - \
Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Optimize the Length of the Crease of a Folded Piece of Paper", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"w", "=", "8.5"}], ";", 
  RowBox[{"lgt", "=", "11.75"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yp", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "w"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"lgt", ",", "w"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"lgt", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"paper", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Lighter", "[", 
      RowBox[{"Yellow", ",", ".6"}], "]"}], ",", 
     RowBox[{"Polygon", "[", "yp", "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"lines", "=", 
   RowBox[{"{", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", ".001", "]"}], ",", "Blue", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"i", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "w"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"lgt", "-", "1"}], ",", "0", ",", 
        RowBox[{"-", ".5"}]}], "}"}]}], "]"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"margin", "=", 
   RowBox[{"{", 
    RowBox[{"Red", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"w", "-", "1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"lgt", ",", 
          RowBox[{"w", "-", "1"}]}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
  ";"}]}], "Input",
 InitializationCell->True,
 CellID->464690966],

Cell[BoxData[
 RowBox[{
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"kp", "=", "3.6375"}], ";", "\[IndentingNewLine]", 
     RowBox[{"s", "=", 
      RowBox[{
       FractionBox["1", "68"], 
       RowBox[{"(", 
        RowBox[{"289.0", "-", 
         RowBox[{"4", " ", 
          SuperscriptBox["xx", "2"]}]}], ")"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"xx", "<", "kp"}], ",", "\[IndentingNewLine]", "       ", 
       RowBox[{
        RowBox[{"\[Alpha]", "=", 
         RowBox[{"ArcTan", "[", 
          FractionBox["xx", "s"], "]"}]}], ";", "\[IndentingNewLine]", 
        "      ", 
        RowBox[{"x1", "=", 
         RowBox[{"xx", "+", 
          RowBox[{"lgt", "*", 
           RowBox[{"Cos", "[", "\[Alpha]", "]"}]}]}]}], ";", 
        "\[IndentingNewLine]", "      ", 
        RowBox[{"y1", "=", 
         RowBox[{"w", "-", 
          RowBox[{"lgt", "*", 
           RowBox[{"Sin", "[", "\[Alpha]", "]"}]}]}]}], ";", 
        "\[IndentingNewLine]", "      ", 
        RowBox[{"y2", "=", 
         RowBox[{"w", "-", "s", "-", 
          RowBox[{"lgt", "*", 
           RowBox[{"Cot", "[", 
            FractionBox[
             RowBox[{"\[Pi]", "-", "\[Alpha]"}], "2"], "]"}]}]}]}], ";", 
        "\[IndentingNewLine]", "      ", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"\[Alpha]", "\[Equal]", "0"}], ",", 
          RowBox[{"h", "=", "4.25"}], ",", 
          RowBox[{"h", "=", 
           RowBox[{"w", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"lgt", "-", "xx"}], ")"}], "*", 
             RowBox[{"Tan", "[", "\[Alpha]", "]"}]}], "-", "y2"}]}]}], "]"}], 
        ";", "\[IndentingNewLine]", "      ", 
        RowBox[{"c", "=", 
         RowBox[{
          FractionBox["47", "68"], 
          SqrtBox[
           RowBox[{"289", "+", 
            RowBox[{"4", " ", 
             SuperscriptBox["u", "2"]}]}]]}]}], ";", "\[IndentingNewLine]", 
        "     ", 
        RowBox[{"yp", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "w"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"lgt", ",", "w"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"lgt", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", "     ", 
        RowBox[{"wp", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"w", "-", "s"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"lgt", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"lgt", ",", "y2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"w", "-", "s"}]}], "}"}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", "     ", 
        RowBox[{"ly", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"w", "-", "s"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"xx", ",", "w"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x1", ",", "y1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"lgt", ",", "y2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"w", "-", "s"}]}], "}"}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", "     ", 
        RowBox[{"dg", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"w", "-", "s"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"lgt", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"lgt", ",", "y2"}], "}"}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", "     ", 
        RowBox[{"b1", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"w", "-", "s"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "w"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"lgt", ",", "w"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"lgt", ",", 
             RowBox[{"y2", "+", "h"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x1", ",", "y1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"lgt", ",", "y2"}], "}"}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", "     ", 
        RowBox[{"b2", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"w", "-", "s"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"xx", ",", "w"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x1", ",", "y1"}], "}"}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", "     ", 
        RowBox[{"cr", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"w", "-", "s"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"lgt", ",", "y2"}], "}"}]}], "}"}]}]}], 
       "\[IndentingNewLine]", ",", "\[IndentingNewLine]", "     ", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"xx", "<", "w"}], ",", 
          RowBox[{
           RowBox[{"\[Alpha]", "=", 
            RowBox[{"ArcTan", "[", 
             FractionBox["xx", "s"], "]"}]}], ";", 
           RowBox[{"z", "=", 
            RowBox[{"w", "*", 
             RowBox[{"Csc", "[", "\[Alpha]", "]"}]}]}]}], ",", 
          RowBox[{"z", "=", "w"}]}], "]"}], ";", "\[IndentingNewLine]", 
        "     ", 
        RowBox[{"c", "=", 
         RowBox[{
          FractionBox["1", "2"], 
          SqrtBox[
           FractionBox[
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["w", "2"], "+", 
               SuperscriptBox["u", "2"]}], ")"}], "3"], 
            RowBox[{
             SuperscriptBox["w", "2"], " ", 
             SuperscriptBox["u", "2"]}]]]}]}], ";", "\[IndentingNewLine]", 
        "     ", 
        RowBox[{"yp", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "w"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"lgt", ",", "w"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"lgt", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", "     ", 
        RowBox[{"wp", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"w", "-", "s"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"z", ",", "0"}], "}"}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", "     ", 
        RowBox[{"ly", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"w", "-", "s"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"xx", ",", "w"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"z", ",", "0"}], "}"}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", "     ", 
        RowBox[{"dg", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"w", "-", "s"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"z", ",", "0"}], "}"}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", "     ", 
        RowBox[{"b1", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"w", "-", "s"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "w"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"lgt", ",", "w"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"lgt", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"z", ",", "0"}], "}"}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", "     ", 
        RowBox[{"b2", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"w", "-", "s"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"xx", ",", "w"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"z", ",", "0"}], "}"}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", "     ", 
        RowBox[{"cr", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"w", "-", "s"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"z", ",", "0"}], "}"}]}], "}"}]}]}]}], 
      "\[IndentingNewLine]", "  ", "]"}], ";", "\n", "\[IndentingNewLine]", 
     RowBox[{"Grid", "[", 
      RowBox[{"{", 
       RowBox[{"{", "\[IndentingNewLine]", "  ", 
        RowBox[{
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"Piecewise", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 FractionBox["47", "68"], 
                 SqrtBox[
                  RowBox[{"289", "+", 
                   RowBox[{"4", 
                    SuperscriptBox["u", "2"]}]}]]}], ",", 
                RowBox[{"u", "<", "kp"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 FractionBox["1", "2"], " ", 
                 SqrtBox[
                  FractionBox[
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["w", "2"], "+", 
                    SuperscriptBox["u", "2"]}], ")"}], "3"], 
                   RowBox[{
                    SuperscriptBox["w", "2"], " ", 
                    SuperscriptBox["u", "2"]}]]]}], ",", " ", 
                RowBox[{"u", "\[GreaterEqual]", "kp"}]}], "}"}]}], "}"}], 
            "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"u", ",", "0", ",", "8.5"}], "}"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"9", ",", "13"}], "}"}]}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", "Black"}], ",", 
           RowBox[{"AxesOrigin", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"0", ",", "9"}], "}"}]}], ",", 
           RowBox[{"ImageSize", "\[Rule]", 
            RowBox[{".7", 
             RowBox[{"{", 
              RowBox[{"400", ",", "350"}], "}"}]}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"x", ",", "\"\<crease length\>\""}], "}"}]}], ",", 
           RowBox[{"Axes", "\[Rule]", "True"}], ",", 
           RowBox[{"Epilog", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"PointSize", "[", ".02", "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{"xx", ",", 
                   RowBox[{"c", "/.", 
                    RowBox[{"u", "\[Rule]", "xx"}]}]}], "}"}], "]"}]}], "}"}],
               ",", 
              RowBox[{"AxesOrigin", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"0", ",", "9"}], "}"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"Green", ",", 
                RowBox[{"Thickness", "[", ".01", "]"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"c", "/.", " ", 
                    RowBox[{"u", "\[Rule]", "xx"}]}]}], "}"}]}], "}"}], 
                 "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"Blue", ",", 
                RowBox[{"Thickness", "[", ".015", "]"}], ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", "9"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"xx", ",", "9"}], "}"}]}], "}"}], "]"}]}], 
               "}"}]}], "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Spacer", "[", "3", "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Graphics", "[", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", "\t\t", 
            RowBox[{
            "paper", ",", "lines", ",", "margin", ",", "\[IndentingNewLine]", 
             "\t\t", 
             RowBox[{"{", 
              RowBox[{"White", ",", 
               RowBox[{"Polygon", "[", "wp", "]"}]}], "}"}], ",", 
             "\[IndentingNewLine]", "\t\t", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Lighter", "[", 
                RowBox[{"Yellow", ",", "0.6"}], "]"}], ",", 
               RowBox[{"Polygon", "[", "ly", "]"}]}], "}"}], ",", 
             "\[IndentingNewLine]", "\t\t", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Dashing", "[", ".01", "]"}], ",", "Thin", ",", 
               "Black", ",", 
               RowBox[{"Line", "[", "dg", "]"}]}], "}"}], ",", 
             "\[IndentingNewLine]", "\t\t", 
             RowBox[{"{", 
              RowBox[{"LightBrown", ",", 
               RowBox[{"Thickness", "[", ".005", "]"}], ",", 
               RowBox[{"Line", "[", "b1", "]"}]}], "}"}], ",", 
             "\[IndentingNewLine]", "\t\t", 
             RowBox[{"{", 
              RowBox[{"LightBrown", ",", 
               RowBox[{"Thickness", "[", ".005", "]"}], ",", 
               RowBox[{"Line", "[", "b2", "]"}]}], "}"}], ",", 
             "\[IndentingNewLine]", "\t\t", 
             RowBox[{"{", 
              RowBox[{"Blue", ",", 
               RowBox[{"Thickness", "[", ".004", "]"}], ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "w"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"xx", ",", "w"}], "}"}]}], "}"}], "]"}]}], "}"}], 
             ",", "\[IndentingNewLine]", "\t\t", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", ".015", "]"}], ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"xx", ",", "w"}], "}"}], "]"}]}], "}"}], ",", 
             "\[IndentingNewLine]", "\t\t", 
             RowBox[{"{", 
              RowBox[{"Green", ",", 
               RowBox[{"Thickness", "[", ".005", "]"}], ",", 
               RowBox[{"Line", "[", "cr", "]"}]}], "}"}]}], 
            "\[IndentingNewLine]", "                ", "}"}], ",", 
           "\[IndentingNewLine]", "\t\t", 
           RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "10"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "9"}], "}"}]}], "}"}]}], ",", 
           "\[IndentingNewLine]", "\t\t", 
           RowBox[{"ImageSize", "\[Rule]", 
            RowBox[{".55", 
             RowBox[{"{", 
              RowBox[{"550", ",", "425"}], "}"}]}]}], ",", 
           RowBox[{"PlotRangePadding", "\[Rule]", "1.7"}], ",", 
           "\[IndentingNewLine]", "\t\t", 
           RowBox[{"PlotLabel", "\[Rule]", 
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
               "\"\< = \>\"", ",", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"N", "[", "xx", "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"4", ",", "2"}], "}"}]}], "]"}], ",", 
               "\[IndentingNewLine]", "                  ", 
               "\"\<\\ncrease length = \>\"", ",", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"N", "[", 
                  RowBox[{"c", "/.", 
                   RowBox[{"u", "\[Rule]", "xx"}]}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"5", ",", "2"}], "}"}]}], "]"}]}], " ", "}"}], 
             "]"}]}]}], "\[IndentingNewLine]", "            ", "]"}]}], 
        "\[IndentingNewLine]", "}"}], "}"}], "\[IndentingNewLine]", "]"}]}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"xx", ",", "2", ",", "\"\<distance x\>\""}], "}"}], ",", "0", 
      ",", "w", ",", 
      RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
    RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
    RowBox[{"TrackedSymbols", "\[Rule]", "True"}]}], "]"}], " "}]], "Input",
 CellChangeTimes->{
  3.445026053234088*^9, 3.4450260862917213`*^9, {3.4450263058843927`*^9, 
   3.4450264655483866`*^9}, {3.4450314580633802`*^9, 3.445031571562296*^9}, {
   3.445032580335657*^9, 3.4450330590464306`*^9}, {3.445033096103475*^9, 
   3.4450333278974752`*^9}, {3.4450333735313816`*^9, 3.445033460440462*^9}, {
   3.445033564018963*^9, 3.4450335644095306`*^9}, {3.4450337055137568`*^9, 
   3.445033768285765*^9}, {3.4450338452900534`*^9, 3.445033967022132*^9}, {
   3.4450340206861067`*^9, 3.4450340224046035`*^9}, {3.445119415242194*^9, 
   3.4451195087073555`*^9}, {3.445119542143571*^9, 3.445119569876881*^9}, {
   3.445119602563126*^9, 3.445119777650152*^9}, {3.4451198223828096`*^9, 
   3.445119844585082*^9}, {3.4451198886615143`*^9, 3.4451199016453905`*^9}, {
   3.445119958752573*^9, 3.4451199697052774`*^9}, {3.4451200592487135`*^9, 
   3.4451200596705723`*^9}, {3.445434241691758*^9, 3.445434260050663*^9}, {
   3.4454343433141565`*^9, 3.4454343710165725`*^9}, {3.4454345805737076`*^9, 
   3.445434585839198*^9}, {3.445435881118538*^9, 3.4454359074147396`*^9}, {
   3.4454360333958893`*^9, 3.4454360697699585`*^9}, {3.44543625740578*^9, 
   3.4454362576088996`*^9}, {3.4454367093705344`*^9, 
   3.4454367137761917`*^9}, {3.4458764073878064`*^9, 3.445876481996704*^9}, {
   3.445876576246101*^9, 3.445876610558381*^9}, {3.44587668182355*^9, 
   3.4458766960890837`*^9}, {3.4458767314794827`*^9, 
   3.4458768910565863`*^9}, {3.445876928431347*^9, 3.445877053774295*^9}, 
   3.445877098852131*^9, 3.4458771642267127`*^9, {3.446221490638127*^9, 
   3.446221496935687*^9}, {3.4462215398778586`*^9, 3.4462215640992436`*^9}, {
   3.448226518386463*^9, 3.44822655059*^9}},
 CellID->211523106]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`xx$$ = 2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`xx$$], 2, "distance x"}, 0, 8.5}}, Typeset`size$$ = {
    602., {120., 125.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`xx$16396$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`xx$$ = 2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`xx$$, $CellContext`xx$16396$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`kp = 
        3.6375; $CellContext`s = (1/68) (289. - 4 $CellContext`xx$$^2); 
       If[$CellContext`xx$$ < $CellContext`kp, $CellContext`\[Alpha] = 
          ArcTan[$CellContext`xx$$/$CellContext`s]; $CellContext`x1 = \
$CellContext`xx$$ + $CellContext`lgt 
            Cos[$CellContext`\[Alpha]]; $CellContext`y1 = $CellContext`w - \
$CellContext`lgt 
           Sin[$CellContext`\[Alpha]]; $CellContext`y2 = $CellContext`w - \
$CellContext`s - $CellContext`lgt Cot[(Pi - $CellContext`\[Alpha])/2]; 
         If[$CellContext`\[Alpha] == 0, $CellContext`h = 
           4.25, $CellContext`h = $CellContext`w - ($CellContext`lgt - \
$CellContext`xx$$) 
            Tan[$CellContext`\[Alpha]] - $CellContext`y2]; $CellContext`c = (
            47/68) (289 + 4 $CellContext`u^2)^
            Rational[1, 2]; $CellContext`yp = {{0, 0}, {
            0, $CellContext`w}, {$CellContext`lgt, $CellContext`w}, \
{$CellContext`lgt, 0}, {0, 0}}; $CellContext`wp = {{
            0, $CellContext`w - $CellContext`s}, {0, 
            0}, {$CellContext`lgt, 0}, {$CellContext`lgt, $CellContext`y2}, {
            0, $CellContext`w - $CellContext`s}}; $CellContext`ly = {{
            
            0, $CellContext`w - $CellContext`s}, {$CellContext`xx$$, \
$CellContext`w}, {$CellContext`x1, $CellContext`y1}, {$CellContext`lgt, \
$CellContext`y2}, {0, $CellContext`w - $CellContext`s}}; $CellContext`dg = {{
            0, $CellContext`w - $CellContext`s}, {0, 
            0}, {$CellContext`lgt, 
             0}, {$CellContext`lgt, $CellContext`y2}}; $CellContext`b1 = {{
            0, $CellContext`w - $CellContext`s}, {
            0, $CellContext`w}, {$CellContext`lgt, $CellContext`w}, \
{$CellContext`lgt, $CellContext`y2 + $CellContext`h}, {$CellContext`x1, \
$CellContext`y1}, {$CellContext`lgt, $CellContext`y2}}; $CellContext`b2 = {{
            0, $CellContext`w - $CellContext`s}, {$CellContext`xx$$, \
$CellContext`w}, {$CellContext`x1, $CellContext`y1}}; $CellContext`cr = {{
            0, $CellContext`w - $CellContext`s}, {$CellContext`lgt, \
$CellContext`y2}}, 
         If[$CellContext`xx$$ < $CellContext`w, $CellContext`\[Alpha] = 
            ArcTan[$CellContext`xx$$/$CellContext`s]; $CellContext`z = \
$CellContext`w 
             Csc[$CellContext`\[Alpha]], $CellContext`z = $CellContext`w]; \
$CellContext`c = (1/
            2) (($CellContext`w^2 + $CellContext`u^2)^3/($CellContext`w^2 \
$CellContext`u^2))^Rational[1, 2]; $CellContext`yp = {{0, 0}, {
            0, $CellContext`w}, {$CellContext`lgt, $CellContext`w}, \
{$CellContext`lgt, 0}, {0, 0}}; $CellContext`wp = {{
            0, $CellContext`w - $CellContext`s}, {0, 
            0}, {$CellContext`z, 0}}; $CellContext`ly = {{
            0, $CellContext`w - $CellContext`s}, {$CellContext`xx$$, \
$CellContext`w}, {$CellContext`z, 0}}; $CellContext`dg = {{
            0, $CellContext`w - $CellContext`s}, {0, 
            0}, {$CellContext`z, 0}}; $CellContext`b1 = {{
            0, $CellContext`w - $CellContext`s}, {
            0, $CellContext`w}, {$CellContext`lgt, $CellContext`w}, \
{$CellContext`lgt, 0}, {$CellContext`z, 0}}; $CellContext`b2 = {{
            0, $CellContext`w - $CellContext`s}, {$CellContext`xx$$, \
$CellContext`w}, {$CellContext`z, 0}}; $CellContext`cr = {{
            0, $CellContext`w - $CellContext`s}, {$CellContext`z, 0}}]; Grid[{{
           Plot[
            
            Piecewise[{{(47/68) (289 + 4 $CellContext`u^2)^
                Rational[1, 2], $CellContext`u < $CellContext`kp}, {(1/
                2) (($CellContext`w^2 + $CellContext`u^2)^3/($CellContext`w^2 \
$CellContext`u^2))^
                Rational[
                 1, 2], $CellContext`u >= $CellContext`kp}}], {$CellContext`u,
              0, 8.5}, PlotRange -> {9, 13}, PlotStyle -> Black, 
            AxesOrigin -> {0, 9}, ImageSize -> 0.7 {400, 350}, 
            AxesLabel -> {DemonstrationsTools`x, "crease length"}, Axes -> 
            True, Epilog -> {{
               PointSize[0.02], 
               Point[{$CellContext`xx$$, 
                 
                 ReplaceAll[$CellContext`c, $CellContext`u -> \
$CellContext`xx$$]}]}, AxesOrigin -> {0, 9}, {Green, 
               Thickness[0.01], 
               Line[{{0, 0}, {0, 
                  
                  ReplaceAll[$CellContext`c, $CellContext`u -> \
$CellContext`xx$$]}}]}, {Blue, 
               Thickness[0.015], 
               Line[{{0, 9}, {$CellContext`xx$$, 9}}]}}], 
           Spacer[3], 
           
           Graphics[{$CellContext`paper, $CellContext`lines, \
$CellContext`margin, {White, 
              Polygon[$CellContext`wp]}, {
              Lighter[Yellow, 0.6], 
              Polygon[$CellContext`ly]}, {
              Dashing[0.01], Thin, Black, 
              Line[$CellContext`dg]}, {LightBrown, 
              Thickness[0.005], 
              Line[$CellContext`b1]}, {LightBrown, 
              Thickness[0.005], 
              Line[$CellContext`b2]}, {Blue, 
              Thickness[0.004], 
              
              Line[{{0, $CellContext`w}, {$CellContext`xx$$, \
$CellContext`w}}]}, {
              PointSize[0.015], 
              Point[{$CellContext`xx$$, $CellContext`w}]}, {Green, 
              Thickness[0.005], 
              Line[$CellContext`cr]}}, AspectRatio -> Automatic, 
            PlotRange -> {{0, 10}, {0, 9}}, ImageSize -> 0.55 {550, 425}, 
            PlotRangePadding -> 1.7, PlotLabel -> Row[{
               Style["x", Italic], " = ", 
               NumberForm[
                N[$CellContext`xx$$], {4, 2}], "\ncrease length = ", 
               NumberForm[
                N[
                 
                 ReplaceAll[$CellContext`c, $CellContext`u -> \
$CellContext`xx$$]], {5, 2}]}]]}}]), 
      "Specifications" :> {{{$CellContext`xx$$, 2, "distance x"}, 0, 8.5, 
         Appearance -> "Labeled"}}, "Options" :> {TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{647., {164., 169.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`kp = 3.6375, $CellContext`s = 
        4.014705882352941, $CellContext`\[Alpha] = 
        0.46218133439179415`, $CellContext`x1 = 
        12.517213114754098`, $CellContext`lgt = 11.75, $CellContext`y1 = 
        3.2606557377049183`, $CellContext`w = 8.5, $CellContext`y2 = 
        1.7205882352941182`, $CellContext`h = 
        1.9222689075630242`, $CellContext`c = (47 
          Sqrt[289 + 4 $CellContext`u^2])/
         68, $CellContext`yp = {{0, 0}, {0, 8.5}, {11.75, 8.5}, {11.75, 0}, {
          0, 0}}, $CellContext`wp = {{0, 4.485294117647059}, {0, 0}, {
          11.75, 0}, {11.75, 1.7205882352941182`}, {
          0, 4.485294117647059}}, $CellContext`ly = {{0, 4.485294117647059}, {
          2, 8.5}, {12.517213114754098`, 3.2606557377049183`}, {11.75, 
          1.7205882352941182`}, {0, 4.485294117647059}}, $CellContext`dg = {{
          0, 4.485294117647059}, {0, 0}, {11.75, 0}, {11.75, 
          1.7205882352941182`}}, $CellContext`b1 = {{0, 4.485294117647059}, {
          0, 8.5}, {11.75, 8.5}, {11.75, 3.6428571428571423`}, {
          12.517213114754098`, 3.2606557377049183`}, {11.75, 
          1.7205882352941182`}}, $CellContext`b2 = {{0, 4.485294117647059}, {
          2, 8.5}, {12.517213114754098`, 
          3.2606557377049183`}}, $CellContext`cr = {{0, 4.485294117647059}, {
          11.75, 1.7205882352941182`}}, $CellContext`z = 8.892388535031847, 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`paper = {
          RGBColor[1., 1., 0.6], 
          Polygon[{{0, 0}, {0, 8.5}, {11.75, 8.5}, {11.75, 0}, {0, 
            0}}]}, $CellContext`lines = {{{
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{10.75, 0}, {10.75, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{10.25, 0}, {10.25, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{9.75, 0}, {9.75, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{9.25, 0}, {9.25, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{8.75, 0}, {8.75, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{8.25, 0}, {8.25, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{7.75, 0}, {7.75, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{7.25, 0}, {7.25, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{6.75, 0}, {6.75, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{6.25, 0}, {6.25, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{5.75, 0}, {5.75, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{5.25, 0}, {5.25, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{4.75, 0}, {4.75, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{4.25, 0}, {4.25, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{3.75, 0}, {3.75, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{3.25, 0}, {3.25, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{2.75, 0}, {2.75, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{2.25, 0}, {2.25, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{1.75, 0}, {1.75, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{1.25, 0}, {1.25, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{0.75, 0}, {0.75, 8.5}}]}, {
            Thickness[0.001], 
            RGBColor[0, 0, 1], 
            Line[{{0.25, 0}, {0.25, 8.5}}]}}}, $CellContext`margin = {
          RGBColor[1, 0, 0], 
          Line[{{0, 7.5}, {11.75, 7.5}}]}}; Typeset`initDone$$ = True); 
     ReleaseHold[{{
         HoldComplete[$CellContext`w = 8.5; $CellContext`lgt = 11.75; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`yp = {{0, 0}, {
             0, $CellContext`w}, {$CellContext`lgt, $CellContext`w}, \
{$CellContext`lgt, 0}, {0, 0}}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`paper = {
             Lighter[Yellow, 0.6], 
             Polygon[$CellContext`yp]}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`lines = {
             Table[{
               Thickness[0.001], Blue, 
               
               Line[{{$CellContext`i, 
                  0}, {$CellContext`i, $CellContext`w}}]}, {$CellContext`i, \
$CellContext`lgt - 1, 0, -0.5}]}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`margin = {Red, 
             
             Line[{{0, $CellContext`w - 1}, {$CellContext`lgt, $CellContext`w - 
                1}}]}; Null]}}]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->449632576],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Optimize the Length of the Crease of a Folded Piece of Paper",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
OptimizeTheLengthOfTheCreaseOfAFoldedPieceOfPaper/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
OptimizeTheLengthOfTheCreaseOfAFoldedPieceOfPaper/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
OptimizeTheLengthOfTheCreaseOfAFoldedPieceOfPaper/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
OptimizeTheLengthOfTheCreaseOfAFoldedPieceOfPaper/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
OptimizeTheLengthOfTheCreaseOfAFoldedPieceOfPaper/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by:  ",
 ButtonBox["John A. Boerger",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=John+A.+\
Boerger"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=John+A.+Boerger"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
OptimizeTheLengthOfTheCreaseOfAFoldedPieceOfPaper"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Optimize the Length of the Crease of a Folded Piece of Paper - \
Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[652, 24, 252, 4, 70, "Section"],
Cell[907, 30, 1778, 59, 70, "Input",
 InitializationCell->True,
 CellID->464690966],
Cell[2688, 91, 19338, 483, 70, "Input",
 CellID->211523106]
}, Open  ]],
Cell[22041, 577, 12502, 260, 70, "Output",
 CellID->449632576],
Cell[CellGroupData[{
Cell[34568, 841, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[34944, 852, 1100, 31, 70, "Text"],
Cell[36047, 885, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[36387, 896, 440, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[36852, 914, 847, 24, 70, "Text"],
Cell[37702, 940, 1225, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature wRNktxPn2Wu5XC0O9dVtGDsb *)
