(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     23422,        607]
NotebookOptionsPosition[     22353,        568]
NotebookOutlinePosition[     22986,        592]
CellTagsIndexPosition[     22943,        589]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Shortest Path between Two Points on a Sphere", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"p1", "=", 
     RowBox[{"r", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "theta1", "]"}], 
         RowBox[{"Cos", "[", "phi1", "]"}]}], ",", 
        RowBox[{
         RowBox[{"Cos", "[", "theta1", "]"}], 
         RowBox[{"Sin", "[", "phi1", "]"}]}], ",", 
        RowBox[{"Sin", "[", "theta1", "]"}]}], "}"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"p2", "=", 
     RowBox[{"r", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "theta2", "]"}], 
         RowBox[{"Cos", "[", "phi2", "]"}]}], ",", 
        RowBox[{
         RowBox[{"Cos", "[", "theta2", "]"}], 
         RowBox[{"Sin", "[", "phi2", "]"}]}], ",", 
        RowBox[{"Sin", "[", "theta2", "]"}]}], "}"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"p", "=", 
     RowBox[{"p1", "+", 
      RowBox[{"t", 
       RowBox[{"(", 
        RowBox[{"p2", "-", "p1"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"sol", "=", 
     RowBox[{
      RowBox[{"Flatten", "[", 
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"k", "[", "t", "]"}], " ", 
           RowBox[{"Norm", "[", 
            RowBox[{"p1", "+", 
             RowBox[{"t", 
              RowBox[{"(", 
               RowBox[{"p2", "-", "p1"}], ")"}]}]}], "]"}]}], "\[Equal]", 
          "r"}], ",", 
         RowBox[{"k", "[", "t", "]"}]}], "]"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"pts", "=", 
     RowBox[{"DeleteCases", "[", 
      RowBox[{
       RowBox[{"Quiet", "@", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"k", "[", "t", "]"}], "*", "p"}], ")"}], "/.", "sol"}], 
           "/.", 
           RowBox[{"t", "\[Rule]", "t2"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"t2", ",", "0", ",", ".995", ",", ".005"}], "}"}]}], 
         "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"Indeterminate", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Show", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Text", "[", 
          RowBox[{"N", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", 
             RowBox[{"1.2", "r"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"Sphere", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "r"}], "]"}], ",", 
         
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Dashing", "[", 
            RowBox[{"{", 
             RowBox[{".005", ",", ".005"}], "}"}], "]"}], ",", "Red", ",", 
           RowBox[{"Line", "[", "pts", "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Thickness", "[", ".005", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"p1", ",", "p2"}], "}"}], "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"r", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", 
                 RowBox[{"-", "1.1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "1.1"}], "}"}]}], "}"}]}], 
            "]"}]}], "}"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"ParametricPlot3D", "[", 
       RowBox[{
        RowBox[{"r", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", "u", "]"}], ",", 
           RowBox[{"Sin", "[", "u", "]"}], ",", "0"}], "}"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"u", ",", "0", ",", 
          RowBox[{"2", "Pi"}]}], "}"}]}], "]"}], ",", 
      RowBox[{"ParametricPlot3D", "[", 
       RowBox[{
        RowBox[{"r", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", "t", "]"}], ",", "0", ",", 
           RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", 
          RowBox[{"2", "Pi"}]}], "}"}]}], "]"}], ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"\"\<Shortest path between the two points : \>\"", "<>", 
            RowBox[{"ToString", "[", 
             RowBox[{"NumberForm", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"r", "*", 
                 RowBox[{"ArcCos", "[", 
                  RowBox[{
                   RowBox[{"r", "^", "2"}], 
                   RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", "theta1", "]"}], 
                    RowBox[{"Cos", "[", "phi1", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Cos", "[", "theta1", "]"}], 
                    RowBox[{"Sin", "[", "phi1", "]"}]}], ",", 
                    RowBox[{"Sin", "[", "theta1", "]"}]}], "}"}], ".", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", "theta2", "]"}], 
                    RowBox[{"Cos", "[", "phi2", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Cos", "[", "theta2", "]"}], 
                    RowBox[{"Sin", "[", "phi2", "]"}]}], ",", 
                    RowBox[{"Sin", "[", "theta2", "]"}]}], "}"}]}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{"r", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", "theta1", "]"}], 
                    RowBox[{"Cos", "[", "phi1", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Cos", "[", "theta1", "]"}], 
                    RowBox[{"Sin", "[", "phi1", "]"}]}], ",", 
                    RowBox[{"Sin", "[", "theta1", "]"}]}], "}"}]}], "]"}], 
                    "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{"r", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", "theta2", "]"}], 
                    RowBox[{"Cos", "[", "phi2", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Cos", "[", "theta2", "]"}], 
                    RowBox[{"Sin", "[", "phi2", "]"}]}], ",", 
                    RowBox[{"Sin", "[", "theta2", "]"}]}], "}"}]}], "]"}]}], 
                    ")"}]}]}], "]"}]}], "//", "N"}], ",", 
               RowBox[{"{", 
                RowBox[{"5", ",", "1"}], "}"}]}], "]"}], 
             "\[IndentingNewLine]", "]"}], "<>", "\"\< km\>\""}], ",", 
           "\"\<Label\>\""}], "]"}], "}"}], "]"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
      RowBox[{"SphericalRegion", "\[Rule]", "True"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"theta1", ",", 
       RowBox[{"40", "Degree"}], ",", "\"\<latitude 1\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"-", "90"}], "Degree"}], ",", 
     RowBox[{"90", "Degree"}], ",", 
     RowBox[{"1", "Degree"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"phi1", ",", 
       RowBox[{
        RowBox[{"-", "88"}], "Degree"}], ",", "\"\<longitude 1\>\""}], "}"}], 
     ",", 
     RowBox[{
      RowBox[{"-", "180"}], "Degree"}], ",", 
     RowBox[{"180", "Degree"}], ",", 
     RowBox[{"1", "Degree"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"theta2", ",", 
       RowBox[{"52", "Degree"}], ",", "\"\<latitude 2\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"-", "89"}], "Degree"}], ",", 
     RowBox[{"89", "Degree"}], ",", 
     RowBox[{"1", "Degree"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"phi2", ",", 
       RowBox[{"0", "Degree"}], ",", "\"\<longitude 2\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"-", "180"}], "Degree"}], ",", 
     RowBox[{"180", "Degree"}], ",", 
     RowBox[{"1", "Degree"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "6370", ",", "\"\<radius km\>\""}], "}"}], ",", 
     RowBox[{"10", "^", "3"}], ",", 
     RowBox[{"10", "^", "4"}], ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", " ", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"r", ",", "theta1", ",", "phi1", ",", "theta2", ",", "phi2"}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.399550390893402*^9, 3.399550392474078*^9}, {
   3.399551269466395*^9, 3.399551273820795*^9}, {3.39955439796875*^9, 
   3.399554398296875*^9}, {3.3995592057097025`*^9, 3.3995592062096996`*^9}, {
   3.39967627859375*^9, 3.39967632678125*^9}, 3.39967646615625*^9, {
   3.39967650478125*^9, 3.399676541953125*^9}, {3.399676623296875*^9, 
   3.39967662396875*^9}, {3.399676658890625*^9, 3.399676668828125*^9}, {
   3.3996767263125*^9, 3.399676749734375*^9}, {3.399676787609375*^9, 
   3.399676841875*^9}, {3.39967688209375*^9, 3.39967699896875*^9}, {
   3.399677071546875*^9, 3.39967715921875*^9}, {3.399677194421875*^9, 
   3.39967724871875*^9}, {3.399677279890625*^9, 3.39967728753125*^9}, 
   3.399677373265625*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`phi1$$ = (-88) Degree, $CellContext`phi2$$ =
     0, $CellContext`r$$ = 6370, $CellContext`theta1$$ = 40 
    Degree, $CellContext`theta2$$ = 52 Degree, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`theta1$$], 40 Degree, "latitude 1"}, (-90) Degree, 
      90 Degree, Degree}, {{
       Hold[$CellContext`phi1$$], (-88) Degree, "longitude 1"}, (-180) Degree,
       180 Degree, Degree}, {{
       Hold[$CellContext`theta2$$], 52 Degree, "latitude 2"}, (-89) Degree, 
      89 Degree, Degree}, {{
       Hold[$CellContext`phi2$$], 0, "longitude 2"}, (-180) Degree, 180 
      Degree, Degree}, {{
       Hold[$CellContext`r$$], 6370, "radius km"}, 1000, 10000, 1}}, 
    Typeset`size$$ = {300., {156., 160.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`theta1$10271$$ = 0, $CellContext`phi1$10272$$ = 
    0, $CellContext`theta2$10273$$ = 0, $CellContext`phi2$10274$$ = 
    0, $CellContext`r$10275$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`phi1$$ = (-88) Degree, $CellContext`phi2$$ = 
        0, $CellContext`r$$ = 6370, $CellContext`theta1$$ = 
        40 Degree, $CellContext`theta2$$ = 52 Degree}, 
      "ControllerVariables" :> {
        Hold[$CellContext`theta1$$, $CellContext`theta1$10271$$, 0], 
        Hold[$CellContext`phi1$$, $CellContext`phi1$10272$$, 0], 
        Hold[$CellContext`theta2$$, $CellContext`theta2$10273$$, 0], 
        Hold[$CellContext`phi2$$, $CellContext`phi2$10274$$, 0], 
        Hold[$CellContext`r$$, $CellContext`r$10275$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`p1 = $CellContext`r$$ {
          Cos[$CellContext`theta1$$] Cos[$CellContext`phi1$$], 
           Cos[$CellContext`theta1$$] Sin[$CellContext`phi1$$], 
           Sin[$CellContext`theta1$$]}; $CellContext`p2 = $CellContext`r$$ {
          Cos[$CellContext`theta2$$] Cos[$CellContext`phi2$$], 
           Cos[$CellContext`theta2$$] Sin[$CellContext`phi2$$], 
           
           Sin[$CellContext`theta2$$]}; $CellContext`p = $CellContext`p1 + \
$CellContext`t ($CellContext`p2 - $CellContext`p1); $CellContext`sol = Part[
          Flatten[
           
           Solve[$CellContext`k[$CellContext`t] 
             Norm[$CellContext`p1 + $CellContext`t ($CellContext`p2 - \
$CellContext`p1)] == $CellContext`r$$, 
            $CellContext`k[$CellContext`t]]], 1]; $CellContext`pts = 
        DeleteCases[
          Quiet[
           Table[
            ReplaceAll[
             
             ReplaceAll[$CellContext`k[$CellContext`t] $CellContext`p, \
$CellContext`sol], $CellContext`t -> $CellContext`t2], {$CellContext`t2, 0, 
             0.995, 0.005}]], {Indeterminate, 0, 0}]; Show[
         Graphics3D[{
           Text[N, {0, 0, 1.2 $CellContext`r$$}], 
           Sphere[{0, 0, 0}, $CellContext`r$$], {
            Dashing[{0.005, 0.005}], Red, 
            Line[$CellContext`pts]}, {
            Thickness[0.005], 
            Point[{$CellContext`p1, $CellContext`p2}], 
            Line[$CellContext`r$$ {{0, 0, -1.1}, {0, 0, 1.1}}]}}], 
         ParametricPlot3D[$CellContext`r$$ {
            Cos[$CellContext`u], 
            Sin[$CellContext`u], 0}, {$CellContext`u, 0, 2 Pi}], 
         ParametricPlot3D[$CellContext`r$$ {
            Cos[$CellContext`t], 0, 
            Sin[$CellContext`t]}, {$CellContext`t, 0, 2 Pi}], Boxed -> False, 
         PlotLabel -> Row[{
            Style[
             StringJoin["Shortest path between the two points : ", 
              ToString[
               NumberForm[
                
                N[$CellContext`r$$ 
                 ArcCos[$CellContext`r$$^2 (
                    Dot[{Cos[$CellContext`theta1$$] Cos[$CellContext`phi1$$], 
                    Cos[$CellContext`theta1$$] Sin[$CellContext`phi1$$], 
                    Sin[$CellContext`theta1$$]}, {
                    Cos[$CellContext`theta2$$] Cos[$CellContext`phi2$$], 
                    Cos[$CellContext`theta2$$] Sin[$CellContext`phi2$$], 
                    Sin[$CellContext`theta2$$]}]/(
                    Norm[$CellContext`r$$ {
                    Cos[$CellContext`theta1$$] Cos[$CellContext`phi1$$], 
                    Cos[$CellContext`theta1$$] Sin[$CellContext`phi1$$], 
                    Sin[$CellContext`theta1$$]}] 
                    Norm[$CellContext`r$$ {
                    Cos[$CellContext`theta2$$] Cos[$CellContext`phi2$$], 
                    Cos[$CellContext`theta2$$] Sin[$CellContext`phi2$$], 
                    Sin[$CellContext`theta2$$]}]))]], {5, 1}]], " km"], 
             "Label"]}], ImageSize -> 300, SphericalRegion -> True]), 
      "Specifications" :> {{{$CellContext`theta1$$, 40 Degree, 
          "latitude 1"}, (-90) Degree, 90 Degree, Degree, ImageSize -> Tiny, 
         Appearance -> 
         "Labeled"}, {{$CellContext`phi1$$, (-88) Degree, 
          "longitude 1"}, (-180) Degree, 180 Degree, Degree, ImageSize -> 
         Tiny, Appearance -> "Labeled"}, 
        Delimiter, {{$CellContext`theta2$$, 52 Degree, "latitude 2"}, (-89) 
         Degree, 89 Degree, Degree, ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`phi2$$, 0, "longitude 2"}, (-180) Degree, 
         180 Degree, Degree, ImageSize -> Tiny, Appearance -> "Labeled"}, 
        Delimiter, {{$CellContext`r$$, 6370, "radius km"}, 1000, 10000, 1, 
         ImageSize -> Tiny, Appearance -> "Labeled"}}, 
      "Options" :> {
       ControlPlacement -> Left, 
        TrackedSymbols -> {$CellContext`r$$, $CellContext`theta1$$, \
$CellContext`phi1$$, $CellContext`theta2$$, $CellContext`phi2$$}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{521., {183., 188.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->144621367],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Shortest Path between Two Points on a Sphere",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ShortestPathBetweenTwoPointsOnASphere/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ShortestPathBetweenTwoPointsOnASphere/"]\
,
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
ShortestPathBetweenTwoPointsOnASphere/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ShortestPathBetweenTwoPointsOnASphere/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/ShortestPathBetweenTwoPointsOnASphere/"]\

}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Bernard Vuilleumier",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Bernard+\
Vuilleumier"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Bernard+Vuilleumier"]\

}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ShortestPathBetweenTwoPointsOnASphere"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Shortest Path between Two Points on a Sphere - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 236, 4, 70, "Section"],
Cell[829, 29, 10503, 266, 70, "Input"]
}, Open  ]],
Cell[11347, 298, 6549, 126, 70, "Output",
 CellID->144621367],
Cell[CellGroupData[{
Cell[17921, 428, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[18297, 439, 1024, 31, 70, "Text"],
Cell[19324, 472, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[19664, 483, 453, 15, 70, "Text"],
Cell[CellGroupData[{
Cell[20142, 502, 967, 27, 70, "Text"],
Cell[21112, 531, 1213, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature AQzyXK4kZ2ILGDplFMhgY@nV *)
