(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     26621,        665]
NotebookOptionsPosition[     25532,        624]
NotebookOutlinePosition[     26145,        648]
CellTagsIndexPosition[     26102,        645]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Shortest Time Problem", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"ip", "=", 
        RowBox[{"{", 
         RowBox[{"0.", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], ",", 
       RowBox[{"fp", "=", 
        RowBox[{"{", 
         RowBox[{"5", ",", "1"}], "}"}]}], ",", 
       RowBox[{"vw", "=", "1"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"{", 
             RowBox[{"0.87", ",", "0.92", ",", "0.96"}], "}"}], "]"}], ",", 
           RowBox[{"Rectangle", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"6", ",", "2"}], "}"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"{", 
             RowBox[{"0.94", ",", "0.94", ",", "0.85"}], "}"}], "]"}], ",", 
           RowBox[{"Rectangle", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1"}], ",", 
               RowBox[{"-", "2"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"6", ",", "0"}], "}"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"White", ",", "Thick", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"6", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"ip", ",", "fp"}], "}"}], "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{".86", ",", ".53", ",", ".11"}], "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{"ip", ",", "xm", ",", "fp"}], "}"}], "]"}]}], "}"}], ",",
          "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{".86", ",", ".53", ",", ".11"}], "]"}], ",", 
           RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"First", "[", "ip", "]"}], "-", 
               RowBox[{
                FractionBox[
                 RowBox[{"Last", "[", "ip", "]"}], 
                 RowBox[{"Last", "[", 
                  RowBox[{"fp", "-", "ip"}], "]"}]], 
                RowBox[{"(", 
                 RowBox[{"First", "[", 
                  RowBox[{"fp", "-", "ip"}], "]"}], ")"}]}]}], ",", "0"}], 
             "}"}], "]"}], ",", "Pink", ",", 
           RowBox[{"With", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ip", "=", "ip"}], ",", 
               RowBox[{"fp", "=", "fp"}], ",", 
               RowBox[{"vw", "=", "vw"}]}], "}"}], ",", 
             RowBox[{"Dynamic", "[", 
              RowBox[{"With", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"sol", "=", 
                   RowBox[{"xxm", "/.", 
                    RowBox[{"Last", "@", 
                    RowBox[{"FindMinimum", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"xxm", ",", "0"}], "}"}], "-", "ip"}], "]"}], "/",
                     "vs"}], "+", 
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{"fp", "-", 
                    RowBox[{"{", 
                    RowBox[{"xxm", ",", "0"}], "}"}]}], "]"}], "/", "vw"}]}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"xxm", ",", 
                    RowBox[{"First", "[", "ip", "]"}], ",", 
                    RowBox[{"Last", "[", "ip", "]"}]}], "}"}]}], "]"}]}]}]}], 
                  ",", 
                  RowBox[{"xsp", "=", 
                   RowBox[{
                    RowBox[{"First", "[", "ip", "]"}], "-", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"Last", "[", "ip", "]"}], 
                    RowBox[{"Last", "[", 
                    RowBox[{"fp", "-", "ip"}], "]"}]], 
                    RowBox[{"(", 
                    RowBox[{"First", "[", 
                    RowBox[{"fp", "-", "ip"}], "]"}], ")"}]}]}]}]}], "}"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"Join", "[", 
                 RowBox[{
                  RowBox[{"Which", "[", 
                   RowBox[{"sp", ",", 
                    RowBox[{"{", 
                    RowBox[{"Dotted", ",", "Black", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{"ip", ",", 
                    RowBox[{"{", 
                    RowBox[{"xsp", ",", "0"}], "}"}], ",", "fp"}], "}"}], 
                    "]"}]}], "}"}], ",", "True", ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"Which", "[", 
                   RowBox[{"st", ",", 
                    RowBox[{"{", 
                    RowBox[{"Dotted", ",", "Black", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{"ip", ",", 
                    RowBox[{"{", 
                    RowBox[{"sol", ",", "0"}], "}"}], ",", "fp"}], "}"}], 
                    "]"}]}], "}"}], ",", "True", ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"sol", ",", "0"}], "}"}], "}"}], "]"}], "}"}]}], 
                 "]"}]}], "\[IndentingNewLine]", "]"}], " ", "]"}]}], " ", 
            "]"}]}], " ", "}"}], ",", 
         RowBox[{"Inset", "[", 
          RowBox[{
           RowBox[{"Pane", "[", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"Row", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"\"\<total distance:\>\"", "<>", 
                   RowBox[{"ToString", "[", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{"xm", "-", "ip"}], "]"}], "+", 
                    RowBox[{"Norm", "[", 
                    RowBox[{"fp", "-", "xm"}], "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"3", ",", "2"}], "}"}], ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}],
                     "]"}], "<>", "\"\< m\>\""}], ",", 
                  RowBox[{"\"\<total time:\>\"", "<>", 
                   RowBox[{"ToString", "[", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{"xm", "-", "ip"}], "]"}], "/", "vs"}], "+", 
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{"fp", "-", "xm"}], "]"}], "/", "vw"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"3", ",", "2"}], "}"}], ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}],
                     "]"}], "<>", "\"\< sec\>\""}]}], "}"}], ",", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<  |  \>\"", ",", 
                  RowBox[{"GrayLevel", "[", ".5", "]"}]}], "]"}]}], "]"}], 
              ",", "14", ",", "\"\<Label\>\""}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"2.5", ",", 
             RowBox[{"-", "1.75"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"Inset", "[", 
          RowBox[{
           RowBox[{"Pane", "[", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"Row", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"\"\<speed on sand:\>\"", "<>", 
                   RowBox[{"ToString", "[", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"vs", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "1"}], "}"}], ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}],
                     "]"}], "<>", "\"\< m/s\>\""}], ",", 
                  RowBox[{"\"\<speed in water:\>\"", "<>", 
                   RowBox[{"ToString", "[", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"vw", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "1"}], "}"}], ",", 
                    RowBox[{"NumberPadding", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\< \>\"", ",", "\"\<0\>\""}], "}"}]}]}], "]"}],
                     "]"}], "<>", "\"\< m/s\>\""}]}], "}"}], ",", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<  |  \>\"", ",", 
                  RowBox[{"GrayLevel", "[", ".5", "]"}]}], "]"}]}], "]"}], 
              ",", "14", ",", "\"\<Label\>\""}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"2.5", ",", "1.75"}], "}"}]}], "]"}]}], "}"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xm", ",", 
       RowBox[{"{", 
        RowBox[{"1.", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "0"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<\[Wolf]\>\"", ",", "40", ",", "Bold", ",", "Black"}], 
       "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "vs", ",", "2.", ",", 
       "\"\<\!\(\*FractionBox[\(speed\\\ on\\\ sand\), \(speed\\\ in\\\ water\
\)]\)\>\""}], "}"}], ",", "1", ",", "5", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"st", ",", "False", ",", "\"\<show shortest time path\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "sp", ",", "False", ",", "\"\<show shortest distance path\>\""}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}]}], "\[IndentingNewLine]",
   "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3747613876953154`*^9, 3.374761449929292*^9}, {
   3.3747614970696154`*^9, 3.374761670084133*^9}, {3.374761701677681*^9, 
   3.3747620335974317`*^9}, {3.374762071269066*^9, 3.37476208697209*^9}, {
   3.37476216200286*^9, 3.374762173846534*^9}, {3.3747622043932133`*^9, 
   3.374762390548272*^9}, {3.3747624470010357`*^9, 3.374762695249447*^9}, {
   3.374762740608532*^9, 3.3747628728264356`*^9}, {3.3747629165605307`*^9, 
   3.374762940138505*^9}, {3.3747630018881097`*^9, 3.3747630740595226`*^9}, {
   3.3747631797463465`*^9, 3.3747632536677485`*^9}, {3.374763319276703*^9, 
   3.374763347307774*^9}, {3.37476338540128*^9, 3.3747634313697357`*^9}, {
   3.37476347841631*^9, 3.374763529650357*^9}, {3.374763666555731*^9, 
   3.3747637753206596`*^9}, {3.3747642983173122`*^9, 3.3747643783168*^9}, {
   3.3747644342070675`*^9, 3.37476449400356*^9}, {3.374764564018737*^9, 
   3.3747646172058964`*^9}, {3.374765026031405*^9, 3.374765056515585*^9}, {
   3.374765089359125*^9, 3.3747651232182827`*^9}, {3.3747655719966607`*^9, 
   3.3747657172613564`*^9}, {3.374765748995528*^9, 3.374765749761148*^9}, {
   3.374765786417164*^9, 3.3747659465411386`*^9}, {3.3747660143688297`*^9, 
   3.3747660386186743`*^9}, {3.3747660689934797`*^9, 3.374766073368452*^9}, 
   3.3747661039307566`*^9, {3.3747661649459906`*^9, 3.3747661683834686`*^9}, {
   3.374766258195394*^9, 3.374766337538636*^9}, {3.374766406006948*^9, 
   3.37476643152241*^9}, {3.37476647208465*^9, 3.3747664801627235`*^9}, {
   3.374766629302394*^9, 3.3747666524897456`*^9}, {3.374766890081975*^9, 
   3.3747669012069035`*^9}, {3.3747669378472943`*^9, 3.374766948847224*^9}, {
   3.3747670115655727`*^9, 3.374767099580634*^9}, {3.374767172923915*^9, 
   3.374767218689247*^9}, {3.37476725093904*^9, 3.37476725964211*^9}, {
   3.374768671492449*^9, 3.374768683648621*^9}, {3.3747696871890736`*^9, 
   3.3747697099545527`*^9}, 3.3747697454699507`*^9, 3.3747749385205994`*^9, {
   3.3747749975514717`*^9, 3.374775313986947*^9}, {3.374775363783503*^9, 
   3.3747753930333157`*^9}, {3.37477688328125*^9, 3.37477688584375*^9}, {
   3.374776917296875*^9, 3.374776923421875*^9}, {3.374776997015625*^9, 
   3.374777003859375*^9}, {3.37565850225*^9, 3.3756585201875*^9}, {
   3.379203287765625*^9, 3.37920340321875*^9}, {3.379203462171875*^9, 
   3.37920365175*^9}, {3.3792036856875*^9, 3.37920389534375*^9}, {
   3.379203956625*^9, 3.379204062625*^9}, {3.388618372703125*^9, 
   3.38861837309375*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`sp$$ = False, $CellContext`st$$ = 
    False, $CellContext`vs$$ = 2., $CellContext`xm$$ = {1., 0}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`xm$$], {1., 0}}, {-1, 0}, {6, 0}}, {{
       Hold[$CellContext`vs$$], 2., 
       "\!\(\*FractionBox[\(speed on sand\), \(speed in water\)]\)"}, 1, 
      5}, {{
       Hold[$CellContext`st$$], False, "show shortest time path"}, {
      True, False}}, {{
       Hold[$CellContext`sp$$], False, "show shortest distance path"}, {
      True, False}}}, Typeset`size$$ = {500., {145., 149.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`xm$211281$$ = {0, 0}, $CellContext`vs$211282$$ = 
    0, $CellContext`st$211283$$ = False, $CellContext`sp$211284$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`sp$$ = False, $CellContext`st$$ = 
        False, $CellContext`vs$$ = 2., $CellContext`xm$$ = {1., 0}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`xm$$, $CellContext`xm$211281$$, {0, 0}], 
        Hold[$CellContext`vs$$, $CellContext`vs$211282$$, 0], 
        Hold[$CellContext`st$$, $CellContext`st$211283$$, False], 
        Hold[$CellContext`sp$$, $CellContext`sp$211284$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Block[{$CellContext`ip = {0., -1}, $CellContext`fp = {5, 
          1}, $CellContext`vw = 1}, 
        Graphics[{{
           RGBColor[{0.87, 0.92, 0.96}], 
           Rectangle[{-1, 0}, {6, 2}]}, {
           RGBColor[{0.94, 0.94, 0.85}], 
           Rectangle[{-1, -2}, {6, 0}]}, {White, Thick, 
           Line[{{-1, 0}, {6, 0}}]}, {
           PointSize[0.02], 
           Point[{$CellContext`ip, $CellContext`fp}]}, {
           RGBColor[0.86, 0.53, 0.11], 
           Line[{$CellContext`ip, $CellContext`xm$$, $CellContext`fp}]}, {
           RGBColor[0.86, 0.53, 0.11], 
           PointSize[0.02], 
           
           Point[{First[$CellContext`ip] - (Last[$CellContext`ip]/
              Last[$CellContext`fp - $CellContext`ip]) 
             First[$CellContext`fp - $CellContext`ip], 0}], Pink, 
           
           With[{$CellContext`ip$ = $CellContext`ip, $CellContext`fp$ = \
$CellContext`fp, $CellContext`vw$ = $CellContext`vw}, 
            Dynamic[
             With[{$CellContext`sol$ = ReplaceAll[$CellContext`xxm, 
                 Last[
                  FindMinimum[
                  Norm[{$CellContext`xxm, 
                    0} - $CellContext`ip$]/$CellContext`vs$$ + 
                   Norm[$CellContext`fp$ - {$CellContext`xxm, 
                    0}]/$CellContext`vw$, {$CellContext`xxm, 
                    First[$CellContext`ip$], 
                    Last[$CellContext`ip$]}]]], $CellContext`xsp$ = 
               First[$CellContext`ip$] - (Last[$CellContext`ip$]/
                 Last[$CellContext`fp$ - $CellContext`ip$]) 
                First[$CellContext`fp$ - $CellContext`ip$]}, 
              Join[
               Which[$CellContext`sp$$, {Dotted, Black, 
                 
                 Line[{$CellContext`ip$, {$CellContext`xsp$, 
                    0}, $CellContext`fp$}]}, True, {}], 
               Which[$CellContext`st$$, {Dotted, Black, 
                 
                 Line[{$CellContext`ip$, {$CellContext`sol$, 
                    0}, $CellContext`fp$}]}, True, {}], {
                Point[{{$CellContext`sol$, 0}}]}]]]]}, 
          Inset[
           Pane[
            Style[
             Row[{
               StringJoin["total distance:", 
                ToString[
                 NumberForm[
                 Norm[$CellContext`xm$$ - $CellContext`ip] + 
                  Norm[$CellContext`fp - $CellContext`xm$$], {3, 2}, 
                  NumberPadding -> {" ", "0"}]], " m"], 
               StringJoin["total time:", 
                ToString[
                 NumberForm[
                 Norm[$CellContext`xm$$ - $CellContext`ip]/$CellContext`vs$$ + 
                  Norm[$CellContext`fp - $CellContext`xm$$]/$CellContext`vw, {
                  3, 2}, NumberPadding -> {" ", "0"}]], " sec"]}, 
              Style["  |  ", 
               GrayLevel[0.5]]], 14, "Label"]], {2.5, -1.75}], 
          Inset[
           Pane[
            Style[
             Row[{
               StringJoin["speed on sand:", 
                ToString[
                 
                 NumberForm[$CellContext`vs$$, {2, 1}, 
                  NumberPadding -> {" ", "0"}]], " m/s"], 
               StringJoin["speed in water:", 
                ToString[
                 
                 NumberForm[$CellContext`vw, {2, 1}, 
                  NumberPadding -> {" ", "0"}]], " m/s"]}, 
              Style["  |  ", 
               GrayLevel[0.5]]], 14, "Label"]], {2.5, 1.75}]}, ImageSize -> 
         500]], "Specifications" :> {{{$CellContext`xm$$, {1., 0}}, {-1, 0}, {
         6, 0}, ControlType -> Locator, Appearance -> 
         Style["\[Wolf]", 40, Bold, 
           GrayLevel[0]]}, {{$CellContext`vs$$, 2., 
          "\!\(\*FractionBox[\(speed on sand\), \(speed in water\)]\)"}, 1, 5,
          Appearance -> 
         "Labeled"}, {{$CellContext`st$$, False, "show shortest time path"}, {
         True, False}}, {{$CellContext`sp$$, False, 
          "show shortest distance path"}, {True, False}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {207., 212.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->496267730],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Shortest Time Problem",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ShortestTimeProblem/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ShortestTimeProblem/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/ShortestTimeProblem/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/ShortestTimeProblem/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/ShortestTimeProblem/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Oleksandr Pavlyk",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Oleksandr+\
Pavlyk"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Oleksandr+Pavlyk"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->145673978],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ShortestTimeProblem"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 631},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Shortest Time Problem - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 213, 4, 70, "Section"],
Cell[806, 29, 14296, 327, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[15117, 359, 6236, 131, 70, "Output",
 CellID->496267730],
Cell[CellGroupData[{
Cell[21378, 494, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[21754, 505, 893, 24, 70, "Text"],
Cell[22650, 531, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[22990, 542, 462, 15, 70, "Text",
 CellID->145673978],
Cell[CellGroupData[{
Cell[23477, 561, 829, 24, 70, "Text"],
Cell[24309, 587, 1195, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 8QjCMM1EuNeb0CDGw6MITPXr *)
