(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     34193,        829]
NotebookOptionsPosition[     33110,        789]
NotebookOutlinePosition[     33737,        813]
CellTagsIndexPosition[     33694,        810]
WindowTitle->The Mug That Holds the Most Liquid - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["The Mug That Holds the Most Liquid", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"solution", "=", 
     RowBox[{"FindMaximum", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"liquidVolume", "[", 
          RowBox[{"r", ",", "h"}], "]"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"mugVolume", "[", 
             RowBox[{"r", ",", "h", ",", "th"}], "]"}], "\[Equal]", 
            "material"}], ")"}], "&&", 
          RowBox[{"(", 
           RowBox[{"th", "\[GreaterEqual]", "thickness"}], ")"}]}]}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"r", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"h", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"th", ",", ".1"}], "}"}]}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Switch", "[", 
     RowBox[{"tab", ",", "1", ",", "\[IndentingNewLine]", 
      RowBox[{"Pane", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Column", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Text", "@", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<liquid volume shown = \>\"", ",", 
                  RowBox[{"NumberForm", "[", 
                   RowBox[{
                    RowBox[{"N", "[", 
                    RowBox[{"liquidVolume", "[", 
                    RowBox[{"radius", ",", "height"}], "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"3", ",", "2"}], "}"}]}], "]"}]}], "}"}], "]"}], 
               ",", "Bold"}], "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"Graphics3D", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"(*", " ", "cup", " ", "*)"}], 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Opacity", "[", "opacity", "]"}], ",", "color1", 
                  ",", 
                  RowBox[{"Specularity", "[", 
                   RowBox[{"color1", ",", "10"}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"CapForm", "[", "None", "]"}], ",", 
                  RowBox[{"Tube", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "height"}], "}"}]}], "}"}], 
                    ",", "radius"}], "]"}], ",", 
                  RowBox[{"Tube", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "height"}], "}"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"thickness", "+", "radius"}], ",", 
                    RowBox[{"thickness", "+", "radius"}]}], "}"}]}], "]"}], 
                  ",", "\[IndentingNewLine]", 
                  RowBox[{"Tube", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "height"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", 
                    RowBox[{"height", "+", "0.001"}]}], "}"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"radius", ",", 
                    RowBox[{"thickness", "+", "radius"}]}], "}"}]}], "]"}], 
                  ",", 
                  RowBox[{"Tube", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", 
                    RowBox[{"-", "thickness"}]}], "}"}]}], "}"}], ",", 
                    RowBox[{"thickness", "+", "radius"}]}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{"handle", ",", 
                    RowBox[{"Tube", "[", 
                    RowBox[{
                    RowBox[{"BSplineCurve", "[", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"thickness", "+", "radius"}], ")"}], 
                    RowBox[{"{", 
                    RowBox[{
                    "1", ",", "1.25", ",", "1.25", ",", "1.25", ",", "1"}], 
                    "}"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], 
                    "}"}], ",", 
                    RowBox[{"height", 
                    RowBox[{"{", 
                    RowBox[{
                    "0.8", ",", "0.8", ",", "0.5", ",", "0.2", ",", "0.2"}], 
                    "}"}]}]}], "}"}], "]"}], "]"}], ",", 
                    RowBox[{".1", " ", 
                    RowBox[{"(", 
                    RowBox[{"thickness", "+", "radius"}], ")"}]}]}], "]"}], 
                    ",", 
                    RowBox[{"{", "}"}]}], "]"}]}], "}"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", "water", " ", "*)"}], 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Opacity", "[", "1", "]"}], ",", "color2", ",", 
                  RowBox[{"CapForm", "[", "\"\<Butt\>\"", "]"}], ",", 
                  RowBox[{"Tube", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", 
                    RowBox[{"level", " ", "\[Times]", " ", "height"}]}], 
                    "}"}]}], "}"}], ",", "radius"}], "]"}]}], "}"}]}], "}"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"PlotRange", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "1"}], ",", "4"}], "}"}]}], "}"}]}], ",", 
              RowBox[{"Lighting", "\[Rule]", "\"\<Neutral\>\""}], ",", 
              RowBox[{"Background", "\[Rule]", " ", "LightBlue"}], ",", 
              RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"350", ",", "360"}], "}"}]}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "@", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<optimized liquid volume for given conditions = \>\"", 
                  ",", " ", 
                  RowBox[{"NumberForm", "[", 
                   RowBox[{
                    RowBox[{"First", "@", "solution"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"3", ",", "2"}], "}"}]}], "]"}]}], "}"}], "]"}], 
               ",", "Bold"}], "]"}]}]}], "\[IndentingNewLine]", "}"}], ",", 
          RowBox[{"Background", "\[Rule]", " ", "LightBlue"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"350", ",", "375"}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", "2", ",", 
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"ContourPlot", "[", 
         RowBox[{
          RowBox[{"liquidVolume", "[", 
           RowBox[{"radius", ",", "height"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"radius", ",", "0", ",", "5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"height", ",", "0", ",", "5"}], "}"}], ",", 
          RowBox[{"Contours", "\[Rule]", "20"}], ",", 
          RowBox[{"ColorFunction", "\[Rule]", 
           RowBox[{"ColorData", "[", "\"\<LakeColors\>\"", "]"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"350", ",", "375"}], "}"}]}], ",", 
          RowBox[{"FrameLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            "\"\<mug inner radius\>\"", ",", "\"\<mug inner depth\>\""}], 
            "}"}]}], ",", 
          RowBox[{"PerformanceGoal", "\[Rule]", 
           RowBox[{"ControlActive", "[", 
            RowBox[{"\"\<Speed\>\"", ",", "\"\<Quality\>\""}], "]"}]}], ",", 
          RowBox[{"Epilog", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Red", ",", 
             RowBox[{"PointSize", "[", "0.03", "]"}], ",", 
             RowBox[{"Tooltip", "[", 
              RowBox[{
               RowBox[{"Point", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"r", ",", "h"}], "}"}], "/.", 
                 RowBox[{"Last", "@", "solution"}]}], "]"}], ",", 
               "\"\<optimal design\>\""}], "]"}], ",", "Yellow", ",", 
             RowBox[{"Tooltip", "[", 
              RowBox[{
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{"radius", ",", "height"}], "}"}], "]"}], ",", 
               "\"\<current design\>\""}], "]"}]}], "}"}]}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"ContourPlot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"mugVolume", "[", 
            RowBox[{"radius", ",", "height", ",", "thickness"}], "]"}], 
           "\[Equal]", "material"}], ",", 
          RowBox[{"{", 
           RowBox[{"radius", ",", "0", ",", "5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"height", ",", "0", ",", "5"}], "}"}], ",", 
          RowBox[{"ContourStyle", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{"Pink", ",", "Thick"}], "}"}]}]}], "]"}]}], "]"}]}], 
     "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"tab", ",", "1", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\<3D model\>\""}], ",", 
       RowBox[{"2", "\[Rule]", "\"\<contour plot\>\""}]}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<given conditions\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"material", ",", "6", ",", "\"\<volume of mug material\>\""}], 
      "}"}], ",", "1", ",", "7", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"thickness", ",", ".2", ",", "\"\<mug thickness\>\""}], "}"}], 
     ",", ".1", ",", ".4", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<solver\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Button", "[", 
    RowBox[{"\"\<show optimized liquid volume\>\"", ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"radius", ",", "height", ",", "thickness"}], "}"}], "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"r", ",", "h", ",", "th"}], "}"}], "/.", 
       RowBox[{"Last", "@", "solution"}]}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<mug parameters\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"radius", ",", "2", ",", "\"\<inner radius\>\""}], "}"}], ",", 
     ".5", ",", "3", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"height", ",", "2", ",", "\"\<inner depth\>\""}], "}"}], ",", 
     ".5", ",", "3", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<mug style\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"opacity", ",", ".4"}], "}"}], ",", ".2", ",", ".99", ",", 
     ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"color1", ",", 
     RowBox[{"RGBColor", "[", 
      RowBox[{".8", ",", ".8", ",", ".8"}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"handle", ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Checkbox"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<liquid style\>\"", ",", "Bold"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"level", ",", ".9"}], "}"}], ",", "0", ",", "1", ",", ".01", 
     ",", 
     RowBox[{"ImageSize", "\[Rule]", " ", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"color2", ",", 
     RowBox[{"RGBColor", "[", 
      RowBox[{".6", ",", "0.4", ",", "0.2"}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", " ", "Left"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"3", ",", "4", ",", "5"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"cylinderVolume", "[", 
        RowBox[{"r_", ",", "h_"}], "]"}], ":=", 
       RowBox[{"\[Pi]", " ", 
        SuperscriptBox["r", "2"], " ", "h"}]}], " ", ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"liquidVolume", "[", 
        RowBox[{"radius_", ",", "height_"}], "]"}], ":=", 
       RowBox[{"cylinderVolume", "[", 
        RowBox[{"radius", ",", "height"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"mugVolume", "[", 
        RowBox[{"radius_", ",", "height_", ",", "thickness_"}], "]"}], ":=", 
       RowBox[{
        RowBox[{"cylinderVolume", "[", 
         RowBox[{
          RowBox[{"radius", "+", "thickness"}], ",", "height"}], "]"}], "-", 
        RowBox[{"cylinderVolume", "[", 
         RowBox[{"radius", ",", "height"}], "]"}], "+", 
        RowBox[{"cylinderVolume", "[", 
         RowBox[{
          RowBox[{"radius", "+", "thickness"}], ",", "thickness"}], "]"}]}]}],
       ";"}], ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.459086474075974*^9, 3.4590866598605504`*^9}, {
   3.4590903179627433`*^9, 3.4590903202127433`*^9}, {3.4590921886502433`*^9, 
   3.459092296947118*^9}, {3.4590923589627433`*^9, 3.4590923599002433`*^9}, {
   3.459092390384618*^9, 3.4590924168689933`*^9}, {3.459092462447118*^9, 
   3.459092469884618*^9}, {3.4590925312439933`*^9, 3.4590925404314933`*^9}, {
   3.459093580009618*^9, 3.459093581447118*^9}, {3.459093635697118*^9, 
   3.4590936878377433`*^9}, {3.459093754947118*^9, 3.459093778853368*^9}, {
   3.4590938300564933`*^9, 3.459093840947118*^9}, {3.4590938988689933`*^9, 
   3.4590938998064933`*^9}, {3.459093944134618*^9, 3.4590939739002433`*^9}, 
   3.4591125972624955`*^9, {3.4591126272935534`*^9, 3.4591127428090477`*^9}, {
   3.4591127927309227`*^9, 3.4591128175277977`*^9}, {3.4591128560121727`*^9, 
   3.4591128574809227`*^9}, {3.4591129940749702`*^9, 3.459113125122684*^9}, {
   3.459113258154785*^9, 3.459113323467703*^9}, {3.459113386686858*^9, 
   3.459113403874468*^9}, {3.459113455452923*^9, 3.459113600094474*^9}, {
   3.459113703095133*^9, 3.4591137227827587`*^9}, 3.4591146552079926`*^9, {
   3.459591656193845*^9, 3.459591659951936*^9}, {3.45961433320176*^9, 
   3.459614344560896*^9}, {3.4596143798024197`*^9, 3.4596143962250614`*^9}, {
   3.459614428071246*^9, 3.459614428180257*^9}, {3.459615435272956*^9, 
   3.459615435781007*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`color1$$ = RGBColor[
    0.8, 0.8, 0.8], $CellContext`color2$$ = RGBColor[
    0.6, 0.4, 0.2], $CellContext`handle$$ = True, $CellContext`height$$ = 
    2, $CellContext`level$$ = 0.9, $CellContext`material$$ = 
    6, $CellContext`opacity$$ = 0.4, $CellContext`radius$$ = 
    2, $CellContext`tab$$ = 1, $CellContext`thickness$$ = 0.2, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`tab$$], 1, ""}, {
      1 -> "3D model", 2 -> "contour plot"}}, {
      Hold[
       Style["given conditions", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`material$$], 6, "volume of mug material"}, 1, 7, 
      0.01}, {{
       Hold[$CellContext`thickness$$], 0.2, "mug thickness"}, 0.1, 0.4, 
      0.01}, {
      Hold[
       Style["solver", Bold]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Button[
       "show optimized liquid volume", {$CellContext`radius$$, \
$CellContext`height$$, $CellContext`thickness$$} = 
        ReplaceAll[{$CellContext`r, $CellContext`h, $CellContext`th}, 
          Last[$CellContext`solution]]]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["mug parameters", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`radius$$], 2, "inner radius"}, 0.5, 3, 0.01}, {{
       Hold[$CellContext`height$$], 2, "inner depth"}, 0.5, 3, 0.01}, {
      Hold[
       Style["mug style", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`opacity$$], 0.4}, 0.2, 0.99, 0.01}, {
      Hold[$CellContext`color1$$], 
      RGBColor[0.8, 0.8, 0.8]}, {{
       Hold[$CellContext`handle$$], True}, {True, False}}, {
      Hold[
       Style["liquid style", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`level$$], 0.9}, 0, 1, 0.01}, {
      Hold[$CellContext`color2$$], 
      RGBColor[0.6, 0.4, 0.2]}}, Typeset`size$$ = {350., {185., 190.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`tab$61056$$ = False, $CellContext`material$61057$$ = 
    0, $CellContext`thickness$61058$$ = 0, $CellContext`radius$61059$$ = 
    0, $CellContext`height$61060$$ = 0, $CellContext`opacity$61061$$ = 
    0, $CellContext`handle$61062$$ = False, $CellContext`level$61063$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`color1$$ = 
        RGBColor[0.8, 0.8, 0.8], $CellContext`color2$$ = 
        RGBColor[0.6, 0.4, 0.2], $CellContext`handle$$ = 
        True, $CellContext`height$$ = 2, $CellContext`level$$ = 
        0.9, $CellContext`material$$ = 6, $CellContext`opacity$$ = 
        0.4, $CellContext`radius$$ = 2, $CellContext`tab$$ = 
        1, $CellContext`thickness$$ = 0.2}, "ControllerVariables" :> {
        Hold[$CellContext`tab$$, $CellContext`tab$61056$$, False], 
        Hold[$CellContext`material$$, $CellContext`material$61057$$, 0], 
        Hold[$CellContext`thickness$$, $CellContext`thickness$61058$$, 0], 
        Hold[$CellContext`radius$$, $CellContext`radius$61059$$, 0], 
        Hold[$CellContext`height$$, $CellContext`height$61060$$, 0], 
        Hold[$CellContext`opacity$$, $CellContext`opacity$61061$$, 0], 
        Hold[$CellContext`handle$$, $CellContext`handle$61062$$, False], 
        Hold[$CellContext`level$$, $CellContext`level$61063$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`solution = FindMaximum[{
           $CellContext`liquidVolume[$CellContext`r, $CellContext`h], 
           
           And[$CellContext`mugVolume[$CellContext`r, $CellContext`h, \
$CellContext`th] == $CellContext`material$$, $CellContext`th >= \
$CellContext`thickness$$]}, {{$CellContext`r, 1}, {$CellContext`h, 
            1}, {$CellContext`th, 0.1}}]; Switch[$CellContext`tab$$, 1, 
         Pane[
          Column[{
            Text[
             Style[
              Row[{"liquid volume shown = ", 
                NumberForm[
                 N[
                  $CellContext`liquidVolume[$CellContext`radius$$, \
$CellContext`height$$]], {3, 2}]}], Bold]], 
            Graphics3D[{{
               Opacity[$CellContext`opacity$$], $CellContext`color1$$, 
               Specularity[$CellContext`color1$$, 10], 
               CapForm[None], 
               
               Tube[{{0, 0, 0}, {
                 0, 0, $CellContext`height$$}}, $CellContext`radius$$], 
               
               Tube[{{0, 0, 0}, {
                 0, 0, $CellContext`height$$}}, {$CellContext`thickness$$ + \
$CellContext`radius$$, $CellContext`thickness$$ + $CellContext`radius$$}], 
               
               Tube[{{0, 0, $CellContext`height$$}, {
                 0, 0, $CellContext`height$$ + 
                  0.001}}, {$CellContext`radius$$, $CellContext`thickness$$ + \
$CellContext`radius$$}], 
               
               Tube[{{0, 0, 0}, {
                 0, 0, -$CellContext`thickness$$}}, $CellContext`thickness$$ + \
$CellContext`radius$$], 
               If[$CellContext`handle$$, 
                Tube[
                 BSplineCurve[
                  
                  Transpose[{($CellContext`thickness$$ + \
$CellContext`radius$$) {1, 1.25, 1.25, 1.25, 1}, {0, 0, 0, 0, 
                    0}, $CellContext`height$$ {0.8, 0.8, 0.5, 0.2, 0.2}}]], 
                 0.1 ($CellContext`thickness$$ + $CellContext`radius$$)], \
{}]}, {
               Opacity[1], $CellContext`color2$$, 
               CapForm["Butt"], 
               
               Tube[{{0, 0, 0}, {
                 0, 0, $CellContext`level$$ $CellContext`height$$}}, \
$CellContext`radius$$]}}, PlotRange -> {{-4, 4}, {-4, 4}, {-1, 4}}, Lighting -> 
             "Neutral", Background -> LightBlue, Boxed -> False, 
             ImageSize -> {350, 360}], 
            Text[
             Style[
              Row[{"optimized liquid volume for given conditions = ", 
                NumberForm[
                 First[$CellContext`solution], {3, 2}]}], Bold]]}, Background -> 
           LightBlue, Alignment -> Center], {350, 375}], 2, 
         Show[
          ContourPlot[
           $CellContext`liquidVolume[$CellContext`radius$$, \
$CellContext`height$$], {$CellContext`radius$$, 0, 5}, {$CellContext`height$$,
             0, 5}, Contours -> 20, ColorFunction -> ColorData["LakeColors"], 
           ImageSize -> {350, 375}, 
           FrameLabel -> {"mug inner radius", "mug inner depth"}, 
           PerformanceGoal -> ControlActive["Speed", "Quality"], 
           Epilog -> {Red, 
             PointSize[0.03], 
             Tooltip[
              Point[
               ReplaceAll[{$CellContext`r, $CellContext`h}, 
                Last[$CellContext`solution]]], "optimal design"], Yellow, 
             Tooltip[
              Point[{$CellContext`radius$$, $CellContext`height$$}], 
              "current design"]}], 
          
          ContourPlot[$CellContext`mugVolume[$CellContext`radius$$, \
$CellContext`height$$, $CellContext`thickness$$] == $CellContext`material$$, \
{$CellContext`radius$$, 0, 5}, {$CellContext`height$$, 0, 5}, 
           ContourStyle -> {Pink, Thick}]]]), 
      "Specifications" :> {{{$CellContext`tab$$, 1, ""}, {
         1 -> "3D model", 2 -> "contour plot"}, ControlPlacement -> Top}, 
        Style[
        "given conditions", 
         Bold], {{$CellContext`material$$, 6, "volume of mug material"}, 1, 7,
          0.01, ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`thickness$$, 0.2, "mug thickness"}, 0.1, 
         0.4, 0.01, ImageSize -> Tiny, Appearance -> "Labeled"}, Delimiter, 
        Style["solver", Bold], 
        Button[
        "show optimized liquid volume", {$CellContext`radius$$, \
$CellContext`height$$, $CellContext`thickness$$} = 
         ReplaceAll[{$CellContext`r, $CellContext`h, $CellContext`th}, 
           Last[$CellContext`solution]]], Delimiter, 
        Style[
        "mug parameters", Bold], {{$CellContext`radius$$, 2, "inner radius"}, 
         0.5, 3, 0.01, ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`height$$, 2, "inner depth"}, 0.5, 3, 0.01,
          ImageSize -> Tiny, Appearance -> "Labeled"}, Delimiter, 
        Style[
        "mug style", Bold], {{$CellContext`opacity$$, 0.4}, 0.2, 0.99, 0.01, 
         ImageSize -> Tiny}, {$CellContext`color1$$, 
         RGBColor[0.8, 0.8, 0.8], ImageSize -> 
         Tiny}, {{$CellContext`handle$$, True}, {True, False}, ControlType -> 
         Checkbox}, Delimiter, 
        Style[
        "liquid style", Bold], {{$CellContext`level$$, 0.9}, 0, 1, 0.01, 
         ImageSize -> Tiny}, {$CellContext`color2$$, 
         RGBColor[0.6, 0.4, 0.2], ImageSize -> Tiny}}, 
      "Options" :> {
       ControlPlacement -> Left, TrackedSymbols -> True, 
        AutorunSequencing -> {3, 4, 5}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{630., {228., 233.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`cylinderVolume[
         Pattern[$CellContext`r, 
          Blank[]], 
         Pattern[$CellContext`h, 
          Blank[]]] := 
       Pi $CellContext`r^2 $CellContext`h; $CellContext`liquidVolume[
         Pattern[$CellContext`radius, 
          Blank[]], 
         Pattern[$CellContext`height, 
          
          Blank[]]] := $CellContext`cylinderVolume[$CellContext`radius, \
$CellContext`height]; $CellContext`mugVolume[
         Pattern[$CellContext`radius, 
          Blank[]], 
         Pattern[$CellContext`height, 
          Blank[]], 
         Pattern[$CellContext`thickness, 
          
          Blank[]]] := $CellContext`cylinderVolume[$CellContext`radius + \
$CellContext`thickness, $CellContext`height] - \
$CellContext`cylinderVolume[$CellContext`radius, $CellContext`height] + \
$CellContext`cylinderVolume[$CellContext`radius + $CellContext`thickness, \
$CellContext`thickness]; Null); Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->234407409],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["The Mug That Holds the Most Liquid",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheMugThatHoldsTheMostLiquid/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/TheMugThatHoldsTheMostLiquid/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TheMugThatHoldsTheMostLiquid/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheMugThatHoldsTheMostLiquid/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/TheMugThatHoldsTheMostLiquid/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Frederick Wu",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Frederick+Wu"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Frederick+Wu"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->489187369],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TheMugThatHoldsTheMostLiquid"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"The Mug That Holds the Most Liquid - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[624, 23, 226, 4, 70, "Section"],
Cell[853, 29, 17332, 402, 70, "Input"]
}, Open  ]],
Cell[18200, 434, 10637, 217, 70, "Output",
 CellID->234407409],
Cell[CellGroupData[{
Cell[28862, 655, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[29238, 666, 969, 28, 70, "Text"],
Cell[30210, 696, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[30550, 707, 453, 15, 70, "Text",
 CellID->489187369],
Cell[CellGroupData[{
Cell[31028, 726, 847, 24, 70, "Text"],
Cell[31878, 752, 1204, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature zRN0n90RavOz6ADFzkfGK2AP *)
