(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     14970,        407]
NotebookOptionsPosition[     13896,        368]
NotebookOutlinePosition[     14539,        392]
CellTagsIndexPosition[     14496,        389]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Throwing a Baseball from the Outfield to Home Plate", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"h", ">", "H"}], ",", 
      RowBox[{"h", "=", "H"}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"DynamicModule", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"g", "=", 
         RowBox[{"-", "32."}]}], ",", "x", ",", "y", ",", "vx", ",", "vy", 
        ",", "tf"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"vy", "=", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "2"}], "g", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "h"}], "+", "H"}], ")"}]}]]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"tf", "=", 
        RowBox[{
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{"2", "H"}], "g"]}]], "+", " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{"2", 
             RowBox[{"(", 
              RowBox[{"H", "-", "h"}], ")"}]}], "g"]}]]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"vx", "=", 
        FractionBox["d", "tf"]}], ";", "\[IndentingNewLine]", 
       RowBox[{"x", "=", 
        RowBox[{"vx", " ", "t"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"y", "=", 
        RowBox[{"h", "+", 
         RowBox[{"vy", " ", "t"}], " ", "+", 
         RowBox[{".5", "g", " ", 
          SuperscriptBox["t", "2"]}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"ParametricPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "tf"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"Row", "[", 
           RowBox[{"{", " ", 
            RowBox[{"\"\<initial speed = \>\"", ",", 
             RowBox[{"NumberForm", "[", 
              RowBox[{"vx", ",", 
               RowBox[{"{", 
                RowBox[{"5", ",", "3"}], "}"}]}], "]"}], ",", 
             "\"\< ft/s = \>\"", ",", 
             RowBox[{"NumberForm", "[", 
              RowBox[{
               RowBox[{"0.681", "vx"}], ",", 
               RowBox[{"{", 
                RowBox[{"5", ",", "3"}], "}"}]}], "]"}], ",", 
             "\"\< mph       flight time = \>\"", ",", 
             RowBox[{"NumberForm", "[", 
              RowBox[{"tf", ",", 
               RowBox[{"{", 
                RowBox[{"5", ",", "3"}], "}"}]}], "]"}], ",", "\"\< s\>\""}], 
            "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "200"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "550"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", 
          RowBox[{"1", "/", "4"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"Epilog", "\[Rule]", " ", 
          RowBox[{"{", 
           RowBox[{"Gray", ",", "Dashed", ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "H"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"200", ",", "H"}], "}"}]}], "}"}], "]"}]}], "}"}]}]}],
         "]"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", "180", ",", "\"\<distance to home plate\>\""}], "}"}],
      ",", "160", ",", "200", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"H", ",", "8", ",", "\"\<maximum height reached\>\""}], "}"}], 
     ",", "h", ",", "10", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"h", ",", "6", ",", "\"\<height of thrower's arm\>\""}], "}"}], 
     ",", "3", ",", 
     RowBox[{"H", "-", ".00001"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.397300292638728*^9, {3.397301074015338*^9, 
   3.397301127477737*^9}, {3.397301247962925*^9, 3.397301249846066*^9}, {
   3.397302129721757*^9, 3.397302130026945*^9}, {3.397302204394744*^9, 
   3.397302215318715*^9}, {3.397302360714198*^9, 3.397302377875923*^9}, {
   3.397302420155514*^9, 3.397302457906229*^9}, {3.39730254807943*^9, 
   3.39730257168147*^9}, {3.397302608769355*^9, 3.397302609004362*^9}, {
   3.397303767691203*^9, 3.397303791150839*^9}, {3.3973117055997105`*^9, 
   3.3973118043684964`*^9}, {3.3991366763103027`*^9, 
   3.3991366894665527`*^9}, {3.3991368157634277`*^9, 
   3.3991368176696777`*^9}, {3.3991368881853027`*^9, 3.3991369139665527`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`d$$ = 180, $CellContext`h$$ = 
    6, $CellContext`H$$ = 8, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`d$$], 180, "distance to home plate"}, 160, 200}, {{
       Hold[$CellContext`H$$], 8, "maximum height reached"}, 
      Dynamic[$CellContext`h$$], 10}, {{
       Hold[$CellContext`h$$], 6, "height of thrower's arm"}, 3, 
      Dynamic[$CellContext`H$$ - 0.00001]}}, Typeset`size$$ = {
    550., {81., 86.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`d$732097$$ = 
    0, $CellContext`H$732098$$ = 0, $CellContext`h$732099$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`d$$ = 180, $CellContext`h$$ = 
        6, $CellContext`H$$ = 8}, "ControllerVariables" :> {
        Hold[$CellContext`d$$, $CellContext`d$732097$$, 0], 
        Hold[$CellContext`H$$, $CellContext`H$732098$$, 0], 
        Hold[$CellContext`h$$, $CellContext`h$732099$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`h$$ > $CellContext`H$$, $CellContext`h$$ = \
$CellContext`H$$]; 
       DynamicModule[{$CellContext`g = -32., $CellContext`x, $CellContext`y, \
$CellContext`vx, $CellContext`vy, $CellContext`tf}, $CellContext`vy = ((-2) \
$CellContext`g (-$CellContext`h$$ + $CellContext`H$$))^
           Rational[
            1, 2]; $CellContext`tf = (-(2 $CellContext`H$$/$CellContext`g))^
            Rational[
             1, 2] + (-(
              2 ($CellContext`H$$ - $CellContext`h$$)/$CellContext`g))^
            Rational[
             1, 2]; $CellContext`vx = $CellContext`d$$/$CellContext`tf; \
$CellContext`x = $CellContext`vx $CellContext`t; $CellContext`y = \
$CellContext`h$$ + $CellContext`vy $CellContext`t + 
           0.5 $CellContext`g $CellContext`t^2; 
         ParametricPlot[{$CellContext`x, $CellContext`y}, {$CellContext`t, 
            0, $CellContext`tf}, PlotLabel -> Row[{"initial speed = ", 
              NumberForm[$CellContext`vx, {5, 3}], " ft/s = ", 
              NumberForm[0.681 $CellContext`vx, {5, 3}], 
              " mph       flight time = ", 
              NumberForm[$CellContext`tf, {5, 3}], " s"}], 
           PlotRange -> {{0, 200}, {0, 10}}, ImageSize -> 550, AspectRatio -> 
           1/4, Epilog -> {Gray, Dashed, 
             Line[{{0, $CellContext`H$$}, {200, $CellContext`H$$}}]}]]), 
      "Specifications" :> {{{$CellContext`d$$, 180, "distance to home plate"},
          160, 200, Appearance -> 
         "Labeled"}, {{$CellContext`H$$, 8, "maximum height reached"}, 
         Dynamic[$CellContext`h$$], 10, Appearance -> 
         "Labeled"}, {{$CellContext`h$$, 6, "height of thrower's arm"}, 3, 
         Dynamic[$CellContext`H$$ - 0.00001], Appearance -> "Labeled"}}, 
      "Options" :> {}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{594., {151., 156.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->140673450],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Throwing a Baseball from the Outfield to Home Plate",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ThrowingABaseballFromTheOutfieldToHomePlate/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
ThrowingABaseballFromTheOutfieldToHomePlate/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
ThrowingABaseballFromTheOutfieldToHomePlate/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
ThrowingABaseballFromTheOutfieldToHomePlate/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
ThrowingABaseballFromTheOutfieldToHomePlate/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Joe Bolte",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Joe+Bolte"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Joe+Bolte"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
ThrowingABaseballFromTheOutfieldToHomePlate"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{774, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Throwing a Baseball from the Outfield to Home Plate - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 243, 4, 70, "Section"],
Cell[836, 29, 5010, 126, 70, "Input"]
}, Open  ]],
Cell[5861, 158, 3702, 70, 70, "Output",
 CellID->140673450],
Cell[CellGroupData[{
Cell[9588, 232, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9964, 243, 1061, 31, 70, "Text"],
Cell[11028, 276, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[11368, 287, 424, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[11817, 305, 829, 24, 70, "Text"],
Cell[12649, 331, 1219, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature aQNOauYa6hkGeCprMxDsQa@p *)
