(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     62014,       1469]
NotebookOptionsPosition[     60237,       1405]
NotebookOutlinePosition[     60857,       1429]
CellTagsIndexPosition[     60814,       1426]
WindowTitle->Tin Box with Maximum Volume - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Tin Box with Maximum Volume", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"vol", "[", 
   RowBox[{"x_", ",", "a_", ",", "b_"}], "]"}], " ", ":=", " ", 
  RowBox[{"x", 
   RowBox[{"(", 
    RowBox[{"a", "-", 
     RowBox[{"2", "x"}]}], ")"}], 
   RowBox[{"(", 
    RowBox[{"b", "-", 
     RowBox[{"2", "x"}]}], ")"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.455912968031845*^9, 3.4559129820352507`*^9}, {
  3.45710721561817*^9, 3.457107216672504*^9}},
 CellID->1773263967],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"dervol", "[", 
    RowBox[{"x0_", ",", "a_", ",", "b_"}], "]"}], " ", "=", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"vol", "[", 
       RowBox[{"x", ",", "a", ",", "b"}], "]"}], ",", "x"}], "]"}], " ", "/.",
     " ", 
    RowBox[{"x", "\[Rule]", "x0"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.456134877252112*^9, 3.45613494107635*^9}, {
  3.457107269944826*^9, 3.4571072713417377`*^9}, {3.457211136468116*^9, 
  3.457211159574359*^9}},
 CellID->469440303],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"crit", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], " ", "=", " ", 
   RowBox[{"x", " ", "/.", " ", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"dervol", "[", 
         RowBox[{"x", ",", "a", ",", "b"}], "]"}], " ", "\[Equal]", "0"}], 
       ",", " ", "x"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4559129866738577`*^9, 3.455913019610097*^9}, {
   3.455913050774104*^9, 3.455913075182313*^9}, {3.4560089762851686`*^9, 
   3.456009002624158*^9}, 3.457107247352277*^9, {3.4572653842367373`*^9, 
   3.4572653874204283`*^9}, {3.457265439998459*^9, 3.457265440830843*^9}, 
   3.457265476431342*^9},
 CellID->28253443],

Cell[BoxData[
 RowBox[{
  RowBox[{"markedtin", "[", 
   RowBox[{"x_", ",", "a_", ",", "b_"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Graphics", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Thick", ",", "\[IndentingNewLine]", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"a", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"a", ",", "b"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "b"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
      "\[IndentingNewLine]", "Dashed", ",", "\[IndentingNewLine]", 
      RowBox[{"Line", "[", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "x"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "x"}], "}"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "-", "x"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "-", "x"}], ",", "x"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"a", ",", "x"}], "}"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "-", "x"}], ",", "b"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "-", "x"}], ",", 
             RowBox[{"b", "-", "x"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"a", ",", 
             RowBox[{"b", "-", "x"}]}], "}"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"b", "-", "x"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"b", "-", "x"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "b"}], "}"}]}], "}"}]}], "}"}], "]"}]}], "}"}], 
    ",", 
    RowBox[{"ImageSize", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"200", ",", "200"}], "}"}]}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4561331353436937`*^9, 3.456133418349051*^9}, 
   3.457107391234345*^9, {3.457107455123163*^9, 3.457107476354117*^9}, {
   3.457107580755767*^9, 3.457107600904956*^9}, {3.457107676225275*^9, 
   3.457107696542748*^9}, 3.457107742344839*^9, {3.457108592095525*^9, 
   3.457108618842703*^9}, {3.4571086580082693`*^9, 3.457108660695545*^9}, {
   3.457108696542487*^9, 3.457108700871429*^9}, {3.4571087651844387`*^9, 
   3.457108768786377*^9}, {3.457108861110021*^9, 3.457108893420443*^9}, {
   3.457108944284627*^9, 3.457108947478442*^9}, {3.457108983920126*^9, 
   3.45710903049289*^9}, {3.457109074208521*^9, 3.457109149339574*^9}, {
   3.45710925919429*^9, 3.457109261808948*^9}, 3.4572591159044647`*^9, {
   3.457617591904952*^9, 3.457617616779793*^9}, {3.4576176758575397`*^9, 
   3.457617676888783*^9}, {3.4576177576851406`*^9, 3.4576177607788715`*^9}, {
   3.457618228275879*^9, 3.4576182595881786`*^9}},
 CellID->261730514],

Cell[BoxData[
 RowBox[{
  RowBox[{"tray3D", "[", 
   RowBox[{"x_", ",", "a_", ",", "b_"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "x", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "-", "x"}], ",", "x", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "-", "x"}], ",", 
           RowBox[{"b", "-", "x"}], ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"b", "-", "x"}], ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "x", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
      RowBox[{"(*", " ", "bottom", " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", 
        RowBox[{"Polygon", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x", ",", "x", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "x", ",", "x"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"b", "-", "x"}], ",", "x"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"b", "-", "x"}], ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", "Dashed", ",", " ", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"b", "-", "x"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "x", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}],
       ",", " ", 
      RowBox[{"(*", " ", "left", " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", 
        RowBox[{"Polygon", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x", ",", "x", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "x", ",", "x"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "-", "x"}], ",", "x", ",", "x"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "-", "x"}], ",", "x", ",", "0"}], "}"}]}], "}"}], 
         "]"}], ",", "\[IndentingNewLine]", "Dashed", ",", " ", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "-", "x"}], ",", "x", ",", "0"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"x", ",", "x", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}],
       ",", " ", 
      RowBox[{"(*", " ", "lower", " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", " ", 
        RowBox[{"Polygon", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "-", "x"}], ",", "x", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "-", "x"}], ",", "x", ",", "x"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "-", "x"}], ",", 
             RowBox[{"b", "-", "x"}], ",", "x"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "-", "x"}], ",", 
             RowBox[{"b", "-", "x"}], ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", "Dashed", ",", " ", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "-", "x"}], ",", 
             RowBox[{"b", "-", "x"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "-", "x"}], ",", "x", ",", "0"}], "}"}]}], "}"}], 
         "]"}]}], "}"}], ",", " ", 
      RowBox[{"(*", " ", "right", " ", "*)"}], 
      RowBox[{"{", 
       RowBox[{"Thick", ",", 
        RowBox[{"Polygon", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "-", "x"}], ",", 
             RowBox[{"b", "-", "x"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "-", "x"}], ",", 
             RowBox[{"b", "-", "x"}], ",", "x"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"b", "-", "x"}], ",", "x"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"b", "-", "x"}], ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", "Dashed", ",", " ", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"b", "-", "x"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"a", "-", "x"}], ",", 
             RowBox[{"b", "-", "x"}], ",", "0"}], "}"}]}], "}"}], "]"}]}], 
       "}"}], " ", ",", 
      RowBox[{"(*", " ", "upper", " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", "x", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"a", "-", "x"}], ",", "0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"a", "-", "x"}], ",", "x", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"a", ",", "x", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"a", ",", 
              RowBox[{"b", "-", "x"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"a", "-", "x"}], ",", 
              RowBox[{"b", "-", "x"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"a", "-", "x"}], ",", "b", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "b", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"b", "-", "x"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"b", "-", "x"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "x", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "x", ",", "0"}], "}"}]}], "}"}], "}"}], 
         "]"}]}], "}"}]}], " ", 
     RowBox[{"(*", " ", 
      RowBox[{"cut", " ", "in", " ", "3", "D"}], " ", "*)"}], 
     "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "a"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "b"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"Min", "[", 
          RowBox[{
           RowBox[{"a", "/", "2"}], ",", 
           RowBox[{"b", "/", "2"}]}], "]"}]}], "}"}]}], "}"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"200", ",", "200"}], "}"}]}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.456070816237015*^9, 3.4560708872939873`*^9}, {
   3.456071559300638*^9, 3.4560715751811247`*^9}, {3.456071751443254*^9, 
   3.456071811063532*^9}, {3.456071841520835*^9, 3.456071869155196*^9}, {
   3.456072037427759*^9, 3.456072038224947*^9}, {3.456089151353238*^9, 
   3.4560891538715076`*^9}, {3.457107844699276*^9, 3.457107869143471*^9}, 
   3.457108070071494*^9, {3.45710814297994*^9, 3.4571081547691708`*^9}, {
   3.457259366522369*^9, 3.4572593726517487`*^9}, {3.457259452005145*^9, 
   3.4572594560383263`*^9}, {3.457617783981848*^9, 3.457617809872307*^9}, {
   3.4576179502932835`*^9, 3.457617950480782*^9}, {3.457617980683714*^9, 
   3.45761809304237*^9}, {3.4576181417920575`*^9, 3.457618205401026*^9}, {
   3.4576182691037426`*^9, 3.4576182695724897`*^9}, {3.457619497924003*^9, 
   3.4576195066739473`*^9}, 3.457620240903623*^9},
 CellID->821783708],

Cell[BoxData[
 RowBox[{
  RowBox[{"volgraph", "[", 
   RowBox[{"x0_", ",", "a_", ",", "b_"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Show", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"vol", "[", 
         RowBox[{"x", ",", "a", ",", "b"}], "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", " ", 
          RowBox[{"Max", "[", 
           RowBox[{
            RowBox[{"a", "/", "2"}], ",", 
            RowBox[{"b", "/", "2"}]}], "]"}]}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", "\[IndentingNewLine]", 
        RowBox[{"PlotLabel", " ", "\[Rule]", " ", 
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<V\>\"", ",", "Italic"}], "]"}], ",", "\"\< = \>\"", 
            ",", 
            RowBox[{"vol", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "a", ",", 
              "b"}], "]"}]}], "}"}], "]"}]}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "\[IndentingNewLine]", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x0", ",", 
              RowBox[{"vol", "[", 
               RowBox[{"x0", ",", "a", ",", "b"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
       "]"}]}], "}"}], ",", 
    RowBox[{"ImageSize", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"180", ",", "150"}], "}"}]}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.456134541032546*^9, 3.456134575732182*^9}, {
  3.4571072535936537`*^9, 3.457107255965304*^9}, {3.4572108031651697`*^9, 
  3.457210904186007*^9}, {3.4576196512667723`*^9, 3.4576196643916883`*^9}, {
  3.457619947389877*^9, 3.45761994918674*^9}, {3.457620045654873*^9, 
  3.457620045779872*^9}, {3.4576203435279665`*^9, 3.4576203443404613`*^9}, {
  3.4576205131518807`*^9, 3.457620523745563*^9}, {3.4576205786202116`*^9, 
  3.457620589495142*^9}},
 CellID->606469975],

Cell[BoxData[
 RowBox[{
  RowBox[{"dervolgraph", "[", 
   RowBox[{"x0_", ",", "a_", ",", "b_"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Show", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"dervol", "[", 
         RowBox[{"x", ",", "a", ",", "b"}], "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", " ", 
          RowBox[{"Max", "[", 
           RowBox[{
            RowBox[{"a", "/", "2"}], ",", 
            RowBox[{"b", "/", "2"}]}], "]"}]}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", "\[IndentingNewLine]", 
        RowBox[{"PlotLabel", "\[Rule]", " ", 
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<V\>\"", ",", "Italic"}], "]"}], "'"}], ",", 
            "\"\< = \>\"", ",", " ", 
            RowBox[{"Factor", "[", 
             RowBox[{"dervol", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", "a", ",", 
               "b"}], "]"}], "]"}]}], "}"}], "]"}]}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "\[IndentingNewLine]", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x0", ",", 
              RowBox[{"dervol", "[", 
               RowBox[{"x0", ",", "a", ",", "b"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
       "]"}]}], "}"}], ",", 
    RowBox[{"ImageSize", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"180", ",", "150"}], "}"}]}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.456134541032546*^9, 3.456134575732182*^9}, {
  3.4561349755395823`*^9, 3.45613500149853*^9}, {3.4571072725081387`*^9, 
  3.4571072746663647`*^9}, {3.4572109483990297`*^9, 3.457211061340519*^9}, {
  3.457211103529516*^9, 3.4572111252929707`*^9}, {3.457211165604724*^9, 
  3.457211171583301*^9}, {3.4572627918427*^9, 3.457262797318445*^9}, {
  3.4576196771572313`*^9, 3.457619685594677*^9}, {3.4576199511242275`*^9, 
  3.4576199536867113`*^9}, {3.4576200404674063`*^9, 3.4576200405299053`*^9}, {
  3.4576203470435686`*^9, 3.457620347871689*^9}, {3.457620598885707*^9, 
  3.4576206144793572`*^9}},
 CellID->983481163],

Cell[BoxData[
 RowBox[{
  RowBox[{"abrationalheights", "[", 
   RowBox[{"i0_", ",", " ", "j0_"}], "]"}], " ", ":=", "\[IndentingNewLine]", 
  
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"lst", " ", "=", " ", 
      RowBox[{"{", "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", " ", 
       RowBox[{"i", "\[LessEqual]", "i0"}], ",", " ", 
       RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "1"}], ",", 
         RowBox[{
          RowBox[{"j", "\[LessEqual]", "i"}], " ", "&&", " ", 
          RowBox[{"j", "\[LessEqual]", " ", "j0"}]}], ",", " ", 
         RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"IntegerQ", "[", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"i", "^", "2"}], " ", "-", " ", 
                RowBox[{"i", " ", "j"}], " ", "+", " ", 
                RowBox[{"j", "^", "2"}]}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"1", "/", "2"}], ")"}]}], "]"}], "&&", 
            RowBox[{
             RowBox[{"GCD", "[", 
              RowBox[{"i", ",", "j"}], "]"}], "\[Equal]", "1"}]}], ",", 
           RowBox[{"lst", " ", "=", " ", 
            RowBox[{"Join", "[", 
             RowBox[{"lst", ",", " ", 
              RowBox[{"{", 
               RowBox[{"{", 
                RowBox[{"i", ",", "j", ",", 
                 RowBox[{"crit", "[", 
                  RowBox[{"i", ",", "j"}], "]"}]}], "}"}], "}"}], ",", 
              RowBox[{"{", "}"}]}], "]"}]}]}], "]"}]}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", "lst"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.456079974554652*^9, 3.456080073649679*^9}, {
  3.4560801089961033`*^9, 3.456080179141506*^9}, {3.4560802091558867`*^9, 
  3.456080249400344*^9}, {3.456080326487597*^9, 3.4560804485565*^9}, {
  3.457262125381061*^9, 3.457262132287754*^9}, {3.4572621918782787`*^9, 
  3.457262217934662*^9}, {3.457264963605276*^9, 3.457264967613586*^9}, {
  3.457619739484957*^9, 3.457619740719324*^9}},
 CellID->88822052],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{"rationalbox", ",", 
      RowBox[{
       RowBox[{"a", " ", "=", " ", 
        RowBox[{"q", " ", 
         RowBox[{"pick", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], ";", " ", 
       RowBox[{"b", " ", "=", " ", 
        RowBox[{"q", " ", 
         RowBox[{"pick", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}]}]}], ",", " ", 
      RowBox[{"pick", " ", "=", " ", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", 
         RowBox[{"1", "/", "6"}]}], "}"}]}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"x0", ">", 
       RowBox[{"Min", "[", 
        RowBox[{
         RowBox[{"a", "/", "2"}], ",", 
         RowBox[{"b", "/", "2"}]}], "]"}]}], ",", " ", 
      RowBox[{"x0", " ", "=", 
       RowBox[{"Min", "[", 
        RowBox[{
         RowBox[{".2", "a"}], ",", " ", 
         RowBox[{".2", "b"}]}], "]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    
    RowBox[{"Column", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Text", "@", 
         RowBox[{"TraditionalForm", "@", 
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{
            "\"\<Tin box holds the most when \>\"", ",", " ", "x", ",", 
             "\"\< = \>\"", ",", 
             RowBox[{"crit", "[", 
              RowBox[{"a", ",", "b"}], "]"}], ",", "\"\<.\>\""}], "}"}], 
           "]"}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"Grid", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"markedtin", "[", 
               RowBox[{"x0", ",", "a", ",", "b"}], "]"}], ",", 
              RowBox[{"tray3D", "[", 
               RowBox[{"x0", ",", "a", ",", "b"}], "]"}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"volgraph", "[", 
               RowBox[{"x0", ",", "a", ",", "b"}], "]"}], ",", 
              RowBox[{"dervolgraph", "[", 
               RowBox[{"x0", ",", "a", ",", "b"}], "]"}]}], "}"}]}], 
           "\[IndentingNewLine]", "}"}], ",", 
          RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]}], 
       "\[IndentingNewLine]", "}"}], ",", 
      RowBox[{"ItemSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", "4"}], "}"}]}], ",", 
      RowBox[{"Alignment", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Center", ",", " ", "Center"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "3"}], "}"}], ",", "1", ",", "100", ",", "1", ",", 
     " ", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "3"}], "}"}], ",", "1", ",", "100", ",", " ", "1", 
     ",", " ", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", 
       RowBox[{"Min", "[", 
        RowBox[{
         RowBox[{".2", "a"}], ",", 
         RowBox[{".2", "b"}]}], "]"}], ",", "\"\<x\>\""}], "}"}], ",", "0", 
     ",", " ", 
     RowBox[{"Min", "[", 
      RowBox[{
       RowBox[{"a", "/", "2"}], ",", 
       RowBox[{"b", "/", "2"}]}], "]"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rationalbox", ",", " ", "False", ",", " ", "\[IndentingNewLine]", 
       RowBox[{
       "StringJoin", "[", 
        "\"\<integer dimensions a and b and rational height for biggest \
box:\>\"", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", " ", "True"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PaneSelector", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"True", "\[Rule]", 
        RowBox[{"Column", "[", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
          "\"\<Choose {\!\(\*SubscriptBox[\(a\), \(0\)]\), \
\!\(\*SubscriptBox[\(b\), \(0\)]\), optimal x}: \>\"", ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Control", "@", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"pick", ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "1", ",", 
                  RowBox[{"1", "/", "6"}]}], "}"}], ",", " ", "\"\<\>\""}], 
               "}"}], ",", 
              RowBox[{"abrationalheights", "[", 
               RowBox[{"100", ",", "100"}], "]"}]}], "}"}]}], ",", 
           "\[IndentingNewLine]", "\"\<Choose dimension multiplier: \>\"", 
           ",", "\[IndentingNewLine]", 
           RowBox[{"Control", "@", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"q", ",", " ", "1", ",", " ", "\"\<\>\""}], "}"}], ",",
               " ", 
              RowBox[{"Table", "[", 
               RowBox[{"i", ",", " ", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "10"}], "}"}]}], "]"}]}], "}"}]}]}], "}"}],
          "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"False", "\[Rule]", "\"\<\>\""}]}], "\[IndentingNewLine]", 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Dynamic", "[", "rationalbox", "]"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.455913112640265*^9, 3.4559131336558733`*^9}, {
   3.455913165215096*^9, 3.455913308789647*^9}, {3.4559134087829447`*^9, 
   3.455913417801052*^9}, {3.455913467351901*^9, 3.455913472178132*^9}, {
   3.455913547007688*^9, 3.455913608110573*^9}, {3.456009203947568*^9, 
   3.4560092180824413`*^9}, 3.4560690361399393`*^9, {3.456069603179406*^9, 
   3.456069666077786*^9}, {3.456071510752544*^9, 3.456071511350831*^9}, {
   3.456089011725206*^9, 3.456089045043972*^9}, {3.456089255413055*^9, 
   3.456089262678988*^9}, {3.456089415860858*^9, 3.456089427967176*^9}, {
   3.456089473712955*^9, 3.456089492357485*^9}, {3.456089542019146*^9, 
   3.456089572307804*^9}, {3.456089703053032*^9, 3.456089741693183*^9}, {
   3.456089832794508*^9, 3.45608984825558*^9}, {3.4560899673204727`*^9, 
   3.456089967633078*^9}, {3.456133688083662*^9, 3.45613373760172*^9}, {
   3.456134027366557*^9, 3.4561340959875402`*^9}, {3.456134606888568*^9, 
   3.4561346433102217`*^9}, {3.456135020823862*^9, 3.4561350277921047`*^9}, {
   3.456135269903904*^9, 3.45613527470525*^9}, {3.456135324282034*^9, 
   3.456135328120749*^9}, {3.456135503997406*^9, 3.45613550842377*^9}, {
   3.456158689696624*^9, 3.456158792423613*^9}, {3.456158868431912*^9, 
   3.4561589288576517`*^9}, {3.4561589662368717`*^9, 
   3.4561589904512568`*^9}, {3.4561591276992903`*^9, 3.456159134235754*^9}, {
   3.456159281608534*^9, 3.456159311114106*^9}, {3.4561593546465797`*^9, 
   3.456159382783802*^9}, {3.456159563894611*^9, 3.45615961864025*^9}, {
   3.45615965219482*^9, 3.456159687290576*^9}, {3.456159774127612*^9, 
   3.456159792371224*^9}, {3.456159822756933*^9, 3.4561598293339367`*^9}, {
   3.4561598671817904`*^9, 3.456159936592976*^9}, {3.45616003941721*^9, 
   3.4561600920667133`*^9}, {3.456160159808588*^9, 3.456160273984768*^9}, {
   3.456160304317279*^9, 3.4561603102849083`*^9}, {3.4561603473635273`*^9, 
   3.456160349081568*^9}, {3.456160392083651*^9, 3.456160412124938*^9}, 
   3.4561604595930223`*^9, {3.456160583584814*^9, 3.456160669321376*^9}, {
   3.45710740399922*^9, 3.457107404887867*^9}, 3.4571078691791363`*^9, {
   3.457108070132976*^9, 3.4571080954656067`*^9}, {3.4571097887326727`*^9, 
   3.4571097933801622`*^9}, {3.457109824626768*^9, 3.457109861612994*^9}, {
   3.457109910168364*^9, 3.457109961679975*^9}, {3.457110064201289*^9, 
   3.457110094351598*^9}, {3.457110133137974*^9, 3.45711013440175*^9}, {
   3.4571102240113897`*^9, 3.4571102731789837`*^9}, {3.457110391498303*^9, 
   3.457110474024703*^9}, {3.457110532772972*^9, 3.457110538335231*^9}, 
   3.457110641060897*^9, {3.457110689222054*^9, 3.457110690181868*^9}, {
   3.4571107222924337`*^9, 3.4571107234748087`*^9}, {3.457110839695589*^9, 
   3.457110840370491*^9}, {3.457110928878479*^9, 3.4571109330401173`*^9}, {
   3.457110982446138*^9, 3.457110988077592*^9}, {3.457111117566451*^9, 
   3.457111218166849*^9}, {3.45711128838863*^9, 3.457111311043029*^9}, {
   3.457111381522135*^9, 3.457111385704558*^9}, {3.457111468189609*^9, 
   3.457111471853633*^9}, {3.4571115461944723`*^9, 3.4571115509771357`*^9}, {
   3.457111754191024*^9, 3.457111775185811*^9}, {3.457111847074547*^9, 
   3.457111853253636*^9}, {3.457111895622366*^9, 3.457111897380168*^9}, {
   3.457111953566943*^9, 3.4571119802634373`*^9}, {3.457112160590172*^9, 
   3.457112195844104*^9}, {3.457112303430379*^9, 3.457112323019524*^9}, {
   3.457115712654644*^9, 3.457115731317515*^9}, {3.457116289374857*^9, 
   3.4571163035978937`*^9}, {3.4571164561527777`*^9, 3.457116482939506*^9}, {
   3.45711655710539*^9, 3.4571165632464027`*^9}, {3.4571166141513443`*^9, 
   3.4571167368048563`*^9}, {3.457116773558906*^9, 3.457116792345191*^9}, {
   3.457116850181929*^9, 3.457116854309307*^9}, {3.457116899468852*^9, 
   3.4571169304096403`*^9}, {3.457117085980589*^9, 3.457117088773799*^9}, {
   3.457117144037278*^9, 3.457117144660322*^9}, {3.457117243765901*^9, 
   3.457117282337371*^9}, {3.45711748985929*^9, 3.457117526431869*^9}, {
   3.4571175591717863`*^9, 3.4571175641766167`*^9}, {3.457117696759715*^9, 
   3.457117725686452*^9}, {3.457117759508012*^9, 3.457117762531763*^9}, {
   3.4571180718927507`*^9, 3.4571180769421062`*^9}, {3.457118113676453*^9, 
   3.457118149341419*^9}, {3.457118295849381*^9, 3.457118310629043*^9}, {
   3.457211452142414*^9, 3.457211460391831*^9}, {3.457211516949607*^9, 
   3.457211538590713*^9}, {3.45721165538874*^9, 3.4572116611323147`*^9}, {
   3.457212417351368*^9, 3.457212434097007*^9}, {3.457218489577031*^9, 
   3.4572184928970633`*^9}, {3.457218681855784*^9, 3.4572187206743526`*^9}, {
   3.45721875612472*^9, 3.4572187906962767`*^9}, {3.457218821665267*^9, 
   3.4572188317639236`*^9}, 3.45721887078318*^9, {3.457218911054159*^9, 
   3.457218928794745*^9}, {3.457218960886567*^9, 3.457218963219467*^9}, {
   3.457219304112837*^9, 3.457219310644043*^9}, {3.4572195207915916`*^9, 
   3.457219525959566*^9}, {3.457219783568317*^9, 3.457219805125209*^9}, {
   3.457219936791342*^9, 3.457219943791333*^9}, {3.45721999250233*^9, 
   3.4572199966280327`*^9}, {3.457220101164948*^9, 3.4572201037128963`*^9}, {
   3.457220136619397*^9, 3.457220137714517*^9}, {3.457220249609253*^9, 
   3.457220250663228*^9}, {3.457220301051778*^9, 3.457220302859275*^9}, {
   3.457220347203796*^9, 3.457220354966456*^9}, 3.45725970774545*^9, {
   3.45725974440294*^9, 3.4572597774057493`*^9}, {3.457262530744084*^9, 
   3.457262558347392*^9}, {3.457263070726797*^9, 3.4572630727732763`*^9}, {
   3.45726310604259*^9, 3.457263125729486*^9}, {3.457263174308029*^9, 
   3.457263176672583*^9}, {3.4572638094999943`*^9, 3.457263832808526*^9}, {
   3.4572640166005573`*^9, 3.4572640189841127`*^9}, {3.4572640613943367`*^9, 
   3.457264211470245*^9}, 3.457264368838513*^9, {3.457264400221483*^9, 
   3.457264485654648*^9}, {3.4572645440864964`*^9, 3.4572645446069603`*^9}, {
   3.457264981171178*^9, 3.457264984138196*^9}, 3.457266460256441*^9, {
   3.457277878087407*^9, 3.4572779037236633`*^9}, {3.457277958893013*^9, 
   3.4572779890939617`*^9}, {3.457278020402294*^9, 3.457278055786831*^9}, {
   3.457278172001316*^9, 3.457278172688252*^9}, {3.457278240586412*^9, 
   3.457278251876371*^9}, {3.457278297477611*^9, 3.457278324470828*^9}, {
   3.4572788966723833`*^9, 3.457278933953271*^9}, {3.457278999317074*^9, 
   3.457279003866776*^9}, {3.45727939804272*^9, 3.457279402177924*^9}, {
   3.4576160686552277`*^9, 3.4576160983241944`*^9}, 3.457616206080969*^9, {
   3.4576162459589567`*^9, 3.4576162613985004`*^9}, {3.4576162975351133`*^9, 
   3.457616345866946*^9}, {3.457617559233286*^9, 3.4576175703894644`*^9}, {
   3.457617653013936*^9, 3.4576176576545315`*^9}, {3.457618726225817*^9, 
   3.4576187801785965`*^9}, {3.4576188995840826`*^9, 3.457618916537099*^9}, {
   3.457618946911905*^9, 3.457618985489783*^9}, {3.457619336565661*^9, 
   3.4576193978465185`*^9}, {3.4576194596898727`*^9, 
   3.4576194642835937`*^9}, {3.457619525111329*^9, 3.457619559579859*^9}, {
   3.4576198355624676`*^9, 3.4576198972495728`*^9}, {3.4576202599191265`*^9, 
   3.4576202653565917`*^9}, {3.4576202982313814`*^9, 3.457620319512495*^9}, {
   3.457620371371538*^9, 3.4576203879183073`*^9}, {3.45762063824483*^9, 
   3.4576206400260687`*^9}, {3.457636809266335*^9, 3.457636857406652*^9}, {
   3.4576369866870747`*^9, 3.4576369926089115`*^9}, {3.4576546861107335`*^9, 
   3.4576547781479363`*^9}},
 CellID->331093299]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 3, $CellContext`b$$ = 
    3, $CellContext`pick$$ = {1, 1, 
     Rational[1, 6]}, $CellContext`q$$ = 1, $CellContext`rationalbox$$ = 
    False, $CellContext`x0$$ = 0.6000000000000001, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 3}, 1, 100, 1}, {{
       Hold[$CellContext`b$$], 3}, 1, 100, 1}, {{
       Hold[$CellContext`x0$$], 0.6000000000000001, "x"}, 0, 
      Dynamic[
       Min[$CellContext`a$$/2, $CellContext`b$$/2]]}, {{
       Hold[$CellContext`rationalbox$$], False, 
       "integer dimensions a and b and rational height for biggest box:"}, {
      False, True}}, {{
       Hold[$CellContext`pick$$], {1, 1, 
        Rational[1, 6]}, ""}, 
      $CellContext`abrationalheights[100, 100]}, {{
       Hold[$CellContext`q$$], 1, ""}, {1, 2, 3, 4, 5, 6, 7, 8, 9, 10}}, {
      Hold[
       PaneSelector[{
        True -> Column[{
           "Choose {\!\(\*SubscriptBox[\(a\), \(0\)]\), \
\!\(\*SubscriptBox[\(b\), \(0\)]\), optimal x}: ", 
            Manipulate`Place[1], "Choose dimension multiplier: ", 
            Manipulate`Place[2]}], False -> ""}, 
        Dynamic[$CellContext`rationalbox$$]]], 
      Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    420., {201.5, 206.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`a$62769$$ = 
    0, $CellContext`b$62770$$ = 0, $CellContext`x0$62771$$ = 
    0, $CellContext`rationalbox$62772$$ = False, $CellContext`q$62773$$ = 0}, 
    
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 3, $CellContext`b$$ = 
        3, $CellContext`pick$$ = {1, 1, 
          Rational[1, 6]}, $CellContext`q$$ = 1, $CellContext`rationalbox$$ = 
        False, $CellContext`x0$$ = 0.6000000000000001}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$62769$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$62770$$, 0], 
        Hold[$CellContext`x0$$, $CellContext`x0$62771$$, 0], 
        Hold[$CellContext`rationalbox$$, $CellContext`rationalbox$62772$$, 
         False], 
        Hold[$CellContext`q$$, $CellContext`q$62773$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`rationalbox$$, $CellContext`a$$ = $CellContext`q$$ 
           Part[$CellContext`pick$$, 1]; $CellContext`b$$ = $CellContext`q$$ 
           Part[$CellContext`pick$$, 2], $CellContext`pick$$ = {1, 1, 1/6}]; 
       If[$CellContext`x0$$ > 
         Min[$CellContext`a$$/2, $CellContext`b$$/2], $CellContext`x0$$ = 
         Min[0.2 $CellContext`a$$, 0.2 $CellContext`b$$]]; Column[{
          Text[
           TraditionalForm[
            Row[{"Tin box holds the most when ", $CellContext`x, " = ", 
              $CellContext`crit[$CellContext`a$$, $CellContext`b$$], "."}]]], 
          
          Grid[{{
             $CellContext`markedtin[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$], 
             $CellContext`tray3D[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$]}, {
             $CellContext`volgraph[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$], 
             $CellContext`dervolgraph[$CellContext`x0$$, $CellContext`a$$, \
$CellContext`b$$]}}, Frame -> All]}, ItemSize -> {Automatic, 4}, 
         Alignment -> {Center, Center}]), 
      "Specifications" :> {{{$CellContext`a$$, 3}, 1, 100, 1, Appearance -> 
         "Labeled", ControlPlacement -> Top}, {{$CellContext`b$$, 3}, 1, 100, 
         1, Appearance -> "Labeled", ControlPlacement -> 
         Top}, {{$CellContext`x0$$, 0.6000000000000001, "x"}, 0, 
         Dynamic[
          Min[$CellContext`a$$/2, $CellContext`b$$/2]], Appearance -> 
         "Labeled", ControlPlacement -> 
         Top}, {{$CellContext`rationalbox$$, False, 
          "integer dimensions a and b and rational height for biggest box:"}, \
{False, True}, ControlPlacement -> Top}, {{$CellContext`pick$$, {1, 1, 
           Rational[1, 6]}, ""}, 
         $CellContext`abrationalheights[100, 100], ControlPlacement -> 
         1}, {{$CellContext`q$$, 1, ""}, {1, 2, 3, 4, 5, 6, 7, 8, 9, 10}, 
         ControlPlacement -> 2}, 
        PaneSelector[{
         True -> Column[{
            "Choose {\!\(\*SubscriptBox[\(a\), \(0\)]\), \
\!\(\*SubscriptBox[\(b\), \(0\)]\), optimal x}: ", 
             Manipulate`Place[1], "Choose dimension multiplier: ", 
             Manipulate`Place[2]}], False -> ""}, 
         Dynamic[$CellContext`rationalbox$$]]}, 
      "Options" :> {
       ControlPlacement -> Left, AutorunSequencing -> {1, 2, 3, 4}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{600., {282., 287.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`crit[
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] = ($CellContext`a + $CellContext`b - 
          Sqrt[$CellContext`a^2 - $CellContext`a $CellContext`b + \
$CellContext`b^2])/6, $CellContext`markedtin[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Graphics[{Thick, 
           
           Line[{{0, 
             0}, {$CellContext`a, 0}, {$CellContext`a, $CellContext`b}, {
             0, $CellContext`b}, {0, 0}}], Dashed, 
           
           Line[{{{$CellContext`x, 0}, {$CellContext`x, $CellContext`x}, {
              0, $CellContext`x}}, {{$CellContext`a - $CellContext`x, 
               0}, {$CellContext`a - $CellContext`x, $CellContext`x}, \
{$CellContext`a, $CellContext`x}}, {{$CellContext`a - $CellContext`x, \
$CellContext`b}, {$CellContext`a - $CellContext`x, $CellContext`b - \
$CellContext`x}, {$CellContext`a, $CellContext`b - $CellContext`x}}, {{
              0, $CellContext`b - $CellContext`x}, {$CellContext`x, \
$CellContext`b - $CellContext`x}, {$CellContext`x, $CellContext`b}}}]}, 
          ImageSize -> {200, 200}], $CellContext`tray3D[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Graphics3D[{
           
           Polygon[{{$CellContext`x, $CellContext`x, 
              0}, {$CellContext`a - $CellContext`x, $CellContext`x, 
              0}, {$CellContext`a - $CellContext`x, $CellContext`b - \
$CellContext`x, 0}, {$CellContext`x, $CellContext`b - $CellContext`x, 
              0}, {$CellContext`x, $CellContext`x, 0}}], {Thick, 
            
            Polygon[{{$CellContext`x, $CellContext`x, 
               0}, {$CellContext`x, $CellContext`x, $CellContext`x}, \
{$CellContext`x, $CellContext`b - $CellContext`x, $CellContext`x}, \
{$CellContext`x, $CellContext`b - $CellContext`x, 0}}], Dashed, 
            
            Line[{{$CellContext`x, $CellContext`b - $CellContext`x, 
               0}, {$CellContext`x, $CellContext`x, 0}}]}, {Thick, 
            
            Polygon[{{$CellContext`x, $CellContext`x, 
               0}, {$CellContext`x, $CellContext`x, $CellContext`x}, \
{$CellContext`a - $CellContext`x, $CellContext`x, $CellContext`x}, \
{$CellContext`a - $CellContext`x, $CellContext`x, 0}}], Dashed, 
            
            Line[{{$CellContext`a - $CellContext`x, $CellContext`x, 
               0}, {$CellContext`x, $CellContext`x, 0}}]}, {Thick, 
            
            Polygon[{{$CellContext`a - $CellContext`x, $CellContext`x, 
               0}, {$CellContext`a - $CellContext`x, $CellContext`x, \
$CellContext`x}, {$CellContext`a - $CellContext`x, $CellContext`b - \
$CellContext`x, $CellContext`x}, {$CellContext`a - $CellContext`x, \
$CellContext`b - $CellContext`x, 0}}], Dashed, 
            
            Line[{{$CellContext`a - $CellContext`x, $CellContext`b - \
$CellContext`x, 0}, {$CellContext`a - $CellContext`x, $CellContext`x, 0}}]}, {
           Thick, 
            
            Polygon[{{$CellContext`a - $CellContext`x, $CellContext`b - \
$CellContext`x, 
               0}, {$CellContext`a - $CellContext`x, $CellContext`b - \
$CellContext`x, $CellContext`x}, {$CellContext`x, $CellContext`b - \
$CellContext`x, $CellContext`x}, {$CellContext`x, $CellContext`b - \
$CellContext`x, 0}}], Dashed, 
            
            Line[{{$CellContext`x, $CellContext`b - $CellContext`x, 
               0}, {$CellContext`a - $CellContext`x, $CellContext`b - \
$CellContext`x, 0}}]}, {Thick, 
            
            Line[{{{$CellContext`x, $CellContext`x, 0}, {$CellContext`x, 0, 
                0}, {$CellContext`a - $CellContext`x, 0, 
                0}, {$CellContext`a - $CellContext`x, $CellContext`x, 
                0}, {$CellContext`a, $CellContext`x, 
                0}, {$CellContext`a, $CellContext`b - $CellContext`x, 
                0}, {$CellContext`a - $CellContext`x, $CellContext`b - \
$CellContext`x, 0}, {$CellContext`a - $CellContext`x, $CellContext`b, 
                0}, {$CellContext`x, $CellContext`b, 
                0}, {$CellContext`x, $CellContext`b - $CellContext`x, 0}, {
               0, $CellContext`b - $CellContext`x, 0}, {
               0, $CellContext`x, 0}, {$CellContext`x, $CellContext`x, 
                0}}}]}}, 
          PlotRange -> {{0, $CellContext`a}, {0, $CellContext`b}, {0, 
             Min[$CellContext`a/2, $CellContext`b/2]}}, 
          ImageSize -> {200, 200}], 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`volgraph[
          Pattern[$CellContext`x0, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Show[{
           Plot[
            $CellContext`vol[$CellContext`x, $CellContext`a, $CellContext`b], \
{$CellContext`x, 0, 
             Max[$CellContext`a/2, $CellContext`b/2]}, PlotStyle -> Thick, 
            PlotLabel -> Row[{
               Style["V", Italic], " = ", 
               $CellContext`vol[
                Style["x", Italic], $CellContext`a, $CellContext`b]}]], 
           Graphics[{Thick, 
             Line[{{$CellContext`x0, 
                $CellContext`vol[$CellContext`x0, $CellContext`a, \
$CellContext`b]}, {$CellContext`x0, 0}}]}]}, 
          ImageSize -> {180, 150}], $CellContext`vol[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := ($CellContext`x ($CellContext`a - 
           2 $CellContext`x)) ($CellContext`b - 
          2 $CellContext`x), $CellContext`dervolgraph[
          Pattern[$CellContext`x0, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] := Show[{
           Plot[
            $CellContext`dervol[$CellContext`x, $CellContext`a, \
$CellContext`b], {$CellContext`x, 0, 
             Max[$CellContext`a/2, $CellContext`b/2]}, PlotStyle -> Thick, 
            PlotLabel -> Row[{
               Derivative[1][
                Style["V", Italic]], " = ", 
               Factor[
                $CellContext`dervol[
                 Style["x", Italic], $CellContext`a, $CellContext`b]]}]], 
           Graphics[{Thick, 
             Line[{{$CellContext`x0, 
                $CellContext`dervol[$CellContext`x0, $CellContext`a, \
$CellContext`b]}, {$CellContext`x0, 0}}]}]}, 
          ImageSize -> {180, 150}], $CellContext`dervol[
          Pattern[$CellContext`x0, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]]] = ($CellContext`a - 2 $CellContext`x0) ($CellContext`b - 
           2 $CellContext`x0) - 
         2 ($CellContext`a - 2 $CellContext`x0) $CellContext`x0 - 
         2 ($CellContext`b - 2 $CellContext`x0) $CellContext`x0, 
        Attributes[Derivative] = {NHoldAll, ReadProtected}}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`vol[
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := $CellContext`x ($CellContext`a - 
           2 $CellContext`x) ($CellContext`b - 
           2 $CellContext`x), $CellContext`dervol[
            Pattern[$CellContext`x0, 
             Blank[]], 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = ReplaceAll[
            D[
             $CellContext`vol[$CellContext`x, $CellContext`a, \
$CellContext`b], $CellContext`x], $CellContext`x -> $CellContext`x0]; 
         Null, $CellContext`crit[
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]]] = ReplaceAll[$CellContext`x, 
            Part[
             
             Solve[$CellContext`dervol[$CellContext`x, $CellContext`a, \
$CellContext`b] == 0, $CellContext`x], 1]]; Null, $CellContext`markedtin[
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Graphics[{Thick, 
            
            Line[{{0, 
              0}, {$CellContext`a, 0}, {$CellContext`a, $CellContext`b}, {
              0, $CellContext`b}, {0, 0}}], Dashed, 
            
            Line[{{{$CellContext`x, 0}, {$CellContext`x, $CellContext`x}, {
               0, $CellContext`x}}, {{$CellContext`a - $CellContext`x, 
                0}, {$CellContext`a - $CellContext`x, $CellContext`x}, \
{$CellContext`a, $CellContext`x}}, {{$CellContext`a - $CellContext`x, \
$CellContext`b}, {$CellContext`a - $CellContext`x, $CellContext`b - \
$CellContext`x}, {$CellContext`a, $CellContext`b - $CellContext`x}}, {{
               0, $CellContext`b - $CellContext`x}, {$CellContext`x, \
$CellContext`b - $CellContext`x}, {$CellContext`x, $CellContext`b}}}]}, 
           ImageSize -> {200, 200}], $CellContext`tray3D[
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Graphics3D[{
            
            Polygon[{{$CellContext`x, $CellContext`x, 
               0}, {$CellContext`a - $CellContext`x, $CellContext`x, 
               0}, {$CellContext`a - $CellContext`x, $CellContext`b - \
$CellContext`x, 0}, {$CellContext`x, $CellContext`b - $CellContext`x, 
               0}, {$CellContext`x, $CellContext`x, 0}}], {Thick, 
             
             Polygon[{{$CellContext`x, $CellContext`x, 
                0}, {$CellContext`x, $CellContext`x, $CellContext`x}, \
{$CellContext`x, $CellContext`b - $CellContext`x, $CellContext`x}, \
{$CellContext`x, $CellContext`b - $CellContext`x, 0}}], Dashed, 
             
             Line[{{$CellContext`x, $CellContext`b - $CellContext`x, 
                0}, {$CellContext`x, $CellContext`x, 0}}]}, {Thick, 
             
             Polygon[{{$CellContext`x, $CellContext`x, 
                0}, {$CellContext`x, $CellContext`x, $CellContext`x}, \
{$CellContext`a - $CellContext`x, $CellContext`x, $CellContext`x}, \
{$CellContext`a - $CellContext`x, $CellContext`x, 0}}], Dashed, 
             
             Line[{{$CellContext`a - $CellContext`x, $CellContext`x, 
                0}, {$CellContext`x, $CellContext`x, 0}}]}, {Thick, 
             
             Polygon[{{$CellContext`a - $CellContext`x, $CellContext`x, 
                0}, {$CellContext`a - $CellContext`x, $CellContext`x, \
$CellContext`x}, {$CellContext`a - $CellContext`x, $CellContext`b - \
$CellContext`x, $CellContext`x}, {$CellContext`a - $CellContext`x, \
$CellContext`b - $CellContext`x, 0}}], Dashed, 
             
             Line[{{$CellContext`a - $CellContext`x, $CellContext`b - \
$CellContext`x, 0}, {$CellContext`a - $CellContext`x, $CellContext`x, 0}}]}, {
            Thick, 
             
             Polygon[{{$CellContext`a - $CellContext`x, $CellContext`b - \
$CellContext`x, 
                0}, {$CellContext`a - $CellContext`x, $CellContext`b - \
$CellContext`x, $CellContext`x}, {$CellContext`x, $CellContext`b - \
$CellContext`x, $CellContext`x}, {$CellContext`x, $CellContext`b - \
$CellContext`x, 0}}], Dashed, 
             
             Line[{{$CellContext`x, $CellContext`b - $CellContext`x, 
                0}, {$CellContext`a - $CellContext`x, $CellContext`b - \
$CellContext`x, 0}}]}, {Thick, 
             
             Line[{{{$CellContext`x, $CellContext`x, 0}, {$CellContext`x, 0, 
                 0}, {$CellContext`a - $CellContext`x, 0, 
                 0}, {$CellContext`a - $CellContext`x, $CellContext`x, 
                 0}, {$CellContext`a, $CellContext`x, 
                 0}, {$CellContext`a, $CellContext`b - $CellContext`x, 
                 0}, {$CellContext`a - $CellContext`x, $CellContext`b - \
$CellContext`x, 0}, {$CellContext`a - $CellContext`x, $CellContext`b, 
                 0}, {$CellContext`x, $CellContext`b, 
                 0}, {$CellContext`x, $CellContext`b - $CellContext`x, 0}, {
                0, $CellContext`b - $CellContext`x, 0}, {
                0, $CellContext`x, 0}, {$CellContext`x, $CellContext`x, 
                 0}}}]}}, 
           PlotRange -> {{0, $CellContext`a}, {0, $CellContext`b}, {0, 
              Min[$CellContext`a/2, $CellContext`b/2]}}, 
           ImageSize -> {200, 200}], $CellContext`volgraph[
           Pattern[$CellContext`x0, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Show[{
            Plot[
             $CellContext`vol[$CellContext`x, $CellContext`a, \
$CellContext`b], {$CellContext`x, 0, 
              Max[$CellContext`a/2, $CellContext`b/2]}, PlotStyle -> Thick, 
             PlotLabel -> Row[{
                Style["V", Italic], " = ", 
                $CellContext`vol[
                 Style["x", Italic], $CellContext`a, $CellContext`b]}]], 
            Graphics[{Thick, 
              Line[{{$CellContext`x0, 
                 $CellContext`vol[$CellContext`x0, $CellContext`a, \
$CellContext`b]}, {$CellContext`x0, 0}}]}]}, 
           ImageSize -> {180, 150}], $CellContext`dervolgraph[
           Pattern[$CellContext`x0, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]] := Show[{
            Plot[
             $CellContext`dervol[$CellContext`x, $CellContext`a, \
$CellContext`b], {$CellContext`x, 0, 
              Max[$CellContext`a/2, $CellContext`b/2]}, PlotStyle -> Thick, 
             PlotLabel -> Row[{
                Derivative[1][
                 Style["V", Italic]], " = ", 
                Factor[
                 $CellContext`dervol[
                  Style["x", Italic], $CellContext`a, $CellContext`b]]}]], 
            Graphics[{Thick, 
              Line[{{$CellContext`x0, 
                 $CellContext`dervol[$CellContext`x0, $CellContext`a, \
$CellContext`b]}, {$CellContext`x0, 0}}]}]}, 
           ImageSize -> {180, 150}], $CellContext`abrationalheights[
           Pattern[$CellContext`i0, 
            Blank[]], 
           Pattern[$CellContext`j0, 
            Blank[]]] := 
         Module[{$CellContext`lst = {}}, 
           For[$CellContext`i = 1, $CellContext`i <= $CellContext`i0, 
             Increment[$CellContext`i], 
             For[$CellContext`j = 1, 
              
              And[$CellContext`j <= $CellContext`i, $CellContext`j <= \
$CellContext`j0], 
              Increment[$CellContext`j], 
              If[
               And[
                
                IntegerQ[($CellContext`i^2 - $CellContext`i $CellContext`j + \
$CellContext`j^2)^(1/2)], GCD[$CellContext`i, $CellContext`j] == 
                1], $CellContext`lst = 
               Join[$CellContext`lst, {{$CellContext`i, $CellContext`j, 
                   $CellContext`crit[$CellContext`i, $CellContext`j]}}, \
{}]]]]; $CellContext`lst]}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->1184059034],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Tin Box with Maximum Volume",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TinBoxWithMaximumVolume/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TinBoxWithMaximumVolume/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TinBoxWithMaximumVolume/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TinBoxWithMaximumVolume/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TinBoxWithMaximumVolume/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Roger B. Kirchner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Roger+B.+\
Kirchner"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Roger+B.+Kirchner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TinBoxWithMaximumVolume"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Tin Box with Maximum Volume - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[617, 23, 219, 4, 70, "Section"],
Cell[839, 29, 454, 14, 70, "Input",
 InitializationCell->True,
 CellID->1773263967],
Cell[1296, 45, 584, 17, 70, "Input",
 InitializationCell->True,
 CellID->469440303],
Cell[1883, 64, 785, 20, 70, "Input",
 InitializationCell->True,
 CellID->28253443],
Cell[2671, 86, 3444, 87, 70, "Input",
 InitializationCell->True,
 CellID->261730514],
Cell[6118, 175, 8485, 216, 70, "Input",
 InitializationCell->True,
 CellID->821783708],
Cell[14606, 393, 2291, 57, 70, "Input",
 InitializationCell->True,
 CellID->606469975],
Cell[16900, 452, 2531, 61, 70, "Input",
 InitializationCell->True,
 CellID->983481163],
Cell[19434, 515, 2283, 55, 70, "Input",
 InitializationCell->True,
 CellID->88822052],
Cell[21720, 572, 13489, 263, 70, "Input",
 CellID->331093299]
}, Open  ]],
Cell[35224, 838, 20803, 434, 70, "Output",
 CellID->1184059034],
Cell[CellGroupData[{
Cell[56052, 1276, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[56428, 1287, 919, 24, 70, "Text"],
Cell[57350, 1313, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[57690, 1324, 445, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[58160, 1342, 847, 24, 70, "Text"],
Cell[59010, 1368, 1199, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature JQ4UTAcRMAVwMB0W0MkcWP0N *)
