(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     19705,        521]
NotebookOptionsPosition[     18630,        481]
NotebookOutlinePosition[     19252,        505]
CellTagsIndexPosition[     19209,        502]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Accuracy of Series Approximations", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"f1", " ", "=", " ", 
     RowBox[{"Part", "[", 
      RowBox[{
       RowBox[{"fn", "[", "x", "]"}], ",", "mf"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"f2", " ", "=", " ", 
     RowBox[{"Part", "[", 
      RowBox[{
       RowBox[{"expandSeries", "[", 
        RowBox[{"x", ",", "mf"}], "]"}], ",", 
       RowBox[{"1", ";;", "n"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"f3", " ", "=", " ", 
     RowBox[{"Part", "[", 
      RowBox[{
       RowBox[{"expandSeries", "[", 
        RowBox[{"x", ",", "mf"}], "]"}], ",", 
       RowBox[{"1", ";;", "5"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"f4", " ", "=", " ", 
     RowBox[{"Part", "[", 
      RowBox[{
       RowBox[{"expandSeries", "[", 
        RowBox[{"x", ",", "mf"}], "]"}], ",", "n"}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"txt1", " ", "=", " ", 
     RowBox[{"Row", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"ToString", "[", "n", "]"}], " ", ",", 
        "\"\<-term approximation for \>\"", " ", ",", 
        RowBox[{"Text", "@", 
         RowBox[{"ToString", "[", 
          RowBox[{"f1", ",", "TraditionalForm"}], "]"}]}]}], "}"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"txt2", " ", "=", " ", 
     RowBox[{"ToString", "[", 
      RowBox[{"f2", ",", "StandardForm"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"txt3", " ", "=", " ", 
     RowBox[{"ToString", "[", 
      RowBox[{"f3", ",", "StandardForm"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"txt4", " ", "=", " ", 
     RowBox[{
      RowBox[{"ToString", "[", 
       RowBox[{
        RowBox[{"ScientificForm", "[", 
         RowBox[{
          RowBox[{"N", "[", 
           RowBox[{"Coefficient", "[", 
            RowBox[{"f4", ",", "x", ",", 
             RowBox[{"Exponent", "[", 
              RowBox[{"f4", ",", "x"}], "]"}]}], "]"}], "]"}], ",", "4"}], 
         "]"}], ",", "StandardForm"}], "]"}], " ", "<>", " ", "\"\< \>\"", 
      " ", "<>", " ", 
      RowBox[{"ToString", "[", 
       RowBox[{
        RowBox[{"Superscript", "[", 
         RowBox[{"x", ",", 
          RowBox[{"Exponent", "[", 
           RowBox[{"f4", ",", "x"}], "]"}]}], "]"}], ",", "StandardForm"}], 
       "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"txt5", " ", "=", " ", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Coefficient", "[", 
         RowBox[{"f4", ",", "x", ",", 
          RowBox[{"Exponent", "[", 
           RowBox[{"f4", ",", "x"}], "]"}]}], "]"}], " ", "<", " ", "0"}], 
       ",", " ", "\"\<+ ... \>\"", ",", " ", "\"\<+ ... +\>\""}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"txt6", " ", "=", " ", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"n", "<=", "6"}], ",", "txt2", ",", 
       RowBox[{"txt3", " ", "<>", " ", "txt5", " ", "<>", " ", "txt4"}]}], 
      "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"Evaluate", "[", 
       RowBox[{"{", 
        RowBox[{"f1", ",", "f2"}], "}"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{
         RowBox[{"-", "mx"}], " ", "*", "Pi"}], ",", " ", 
        RowBox[{"mx", " ", "*", " ", "Pi"}]}], "}"}], ",", 
      RowBox[{"PlotRange", " ", "\[Rule]", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}]}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", " ", 
       RowBox[{"Thickness", "[", "0.005", "]"}]}], ",", " ", 
      RowBox[{"PlotLabel", " ", "\[Rule]", " ", 
       RowBox[{"Column", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"txt1", " ", ",", "\"\<Label\>\"", ",", "14"}], "]"}], 
           ",", "txt6"}], "}"}], ",", "Center"}], "]"}]}], ",", " ", 
      RowBox[{"ImageSize", " ", "\[Rule]", " ", 
       RowBox[{"{", 
        RowBox[{"425", ",", "375"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mf", ",", "1", ",", " ", "\"\<select function\>\"", ",", "1"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\<sin(x)\>\""}], ",", 
       RowBox[{"2", "\[Rule]", " ", "\"\<cos(x)\>\""}], ",", 
       RowBox[{"3", "\[Rule]", 
        RowBox[{"Superscript", "[", 
         RowBox[{"\"\<\[ExponentialE]\>\"", ",", "\"\<-x\>\""}], "]"}]}], ",",
        
       RowBox[{"4", "\[Rule]", " ", 
        RowBox[{"Superscript", "[", 
         RowBox[{"\"\<\[ExponentialE]\>\"", ",", 
          RowBox[{"Superscript", "[", 
           RowBox[{"\"\<-x\>\"", ",", "2"}], "]"}]}], "]"}]}], ",", 
       RowBox[{"5", "\[Rule]", "\"\<sinc(x)\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], ",", " ", 
   "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mx", ",", "2", ",", "\"\<x range\>\""}], "}"}], ",", "1", ",", 
     "15", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "3", ",", "\"\<number of terms\>\""}], "}"}], ",", 
     "1", ",", "50", ",", "1", ",", 
     RowBox[{"Appearance", " ", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"fn", "[", "x_", "]"}], " ", ":=", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Sin", "[", "x", "]"}], ",", 
         RowBox[{"Cos", "[", "x", "]"}], ",", 
         RowBox[{"Exp", "[", 
          RowBox[{"-", "x"}], "]"}], ",", 
         RowBox[{"Exp", "[", 
          RowBox[{"-", 
           RowBox[{"x", "^", "2"}]}], "]"}], ",", 
         RowBox[{"Sinc", "[", "x", "]"}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", 
        RowBox[{"i", "<=", 
         RowBox[{"Length", "[", 
          RowBox[{"fn", "[", "x", "]"}], "]"}]}], ",", 
        RowBox[{"i", "++"}], ",", 
        RowBox[{
         RowBox[{"expandSeries", "[", 
          RowBox[{"x_", ",", "i"}], "]"}], " ", "=", " ", 
         RowBox[{"Normal", "[", 
          RowBox[{"Series", "[", 
           RowBox[{
            RowBox[{"Part", "[", 
             RowBox[{
              RowBox[{"fn", "[", "x", "]"}], ",", "i"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "0", ",", "100"}], "}"}]}], "]"}], "]"}]}]}], 
       "]"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4119169428599997`*^9, 3.411916953442*^9}, {
   3.4129558797790003`*^9, 3.41295589246*^9}, {3.412955936124*^9, 
   3.412955936436*^9}, {3.412955987977*^9, 3.412955994988*^9}, {
   3.412956041132*^9, 3.412956068271*^9}, {3.4129561544630003`*^9, 
   3.412956168384*^9}, {3.412956202598*^9, 3.4129562814969997`*^9}, {
   3.412956360388*^9, 3.412956371767*^9}, {3.412956581396*^9, 
   3.412956663583*^9}, {3.412956718533*^9, 3.4129567251210003`*^9}, {
   3.4129567559189997`*^9, 3.412956777484*^9}, {3.412956820606*^9, 
   3.412956822234*^9}, {3.4129569174*^9, 3.412956992935*^9}, 
   3.412957040032*^9, {3.4129572402790003`*^9, 3.412957286876*^9}, {
   3.412957489398*^9, 3.4129575513719997`*^9}, {3.4129575851029997`*^9, 
   3.412957620035*^9}, {3.412957694849*^9, 3.412957733083*^9}, {
   3.4129578513269997`*^9, 3.4129579162790003`*^9}, {3.412957956416*^9, 
   3.412957965017*^9}, {3.412957996027*^9, 3.41295801138*^9}, {
   3.4129615964483557`*^9, 3.4129616850571637`*^9}, {3.412961721244432*^9, 
   3.4129618016814175`*^9}, {3.4129618860871267`*^9, 
   3.4129619233993883`*^9}, {3.4129619597116556`*^9, 3.412962044679862*^9}, 
   3.412969959265823*^9, {3.4129700173216343`*^9, 3.412970017649721*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`mf$$ = 1, $CellContext`mx$$ = 
    6, $CellContext`n$$ = 8, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`mf$$], 1, "select function", 1}, {
      1 -> "sin(x)", 2 -> "cos(x)", 3 -> Superscript["\[ExponentialE]", "-x"],
        4 -> Superscript["\[ExponentialE]", 
         Superscript["-x", 2]], 5 -> "sinc(x)"}}, {{
       Hold[$CellContext`mx$$], 6, "x range"}, 1, 15, 1}, {{
       Hold[$CellContext`n$$], 8, "number of terms"}, 1, 50, 1}}, 
    Typeset`size$$ = {425., {185., 190.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`mf$138907$$ = False, $CellContext`mx$138908$$ = 
    0, $CellContext`n$138909$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`mf$$ = 1, $CellContext`mx$$ = 
        6, $CellContext`n$$ = 8}, "ControllerVariables" :> {
        Hold[$CellContext`mf$$, $CellContext`mf$138907$$, False], 
        Hold[$CellContext`mx$$, $CellContext`mx$138908$$, 0], 
        Hold[$CellContext`n$$, $CellContext`n$138909$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`f1 = Part[
          $CellContext`fn[$CellContext`x], $CellContext`mf$$]; \
$CellContext`f2 = Part[
          $CellContext`expandSeries[$CellContext`x, $CellContext`mf$$], 
          Span[1, $CellContext`n$$]]; $CellContext`f3 = Part[
          $CellContext`expandSeries[$CellContext`x, $CellContext`mf$$], 
          Span[1, 5]]; $CellContext`f4 = Part[
          $CellContext`expandSeries[$CellContext`x, $CellContext`mf$$], \
$CellContext`n$$]; $CellContext`txt1 = Row[{
           ToString[$CellContext`n$$], "-term approximation for ", 
           Text[
            ToString[$CellContext`f1, TraditionalForm]]}]; $CellContext`txt2 = 
        ToString[$CellContext`f2, StandardForm]; $CellContext`txt3 = 
        ToString[$CellContext`f3, StandardForm]; $CellContext`txt4 = 
        StringJoin[
          ToString[
           ScientificForm[
            N[
             Coefficient[$CellContext`f4, $CellContext`x, 
              Exponent[$CellContext`f4, $CellContext`x]]], 4], StandardForm], 
          " ", 
          ToString[
           Superscript[$CellContext`x, 
            Exponent[$CellContext`f4, $CellContext`x]], 
           StandardForm]]; $CellContext`txt5 = 
        If[Coefficient[$CellContext`f4, $CellContext`x, 
            Exponent[$CellContext`f4, $CellContext`x]] < 0, "+ ... ", 
          "+ ... +"]; $CellContext`txt6 = 
        If[$CellContext`n$$ <= 6, $CellContext`txt2, 
          
          StringJoin[$CellContext`txt3, $CellContext`txt5, \
$CellContext`txt4]]; Plot[
         Evaluate[{$CellContext`f1, $CellContext`f2}], {$CellContext`x, \
(-$CellContext`mx$$) Pi, $CellContext`mx$$ Pi}, PlotRange -> {-1.1, 1.1}, 
         PlotStyle -> Thickness[0.005], PlotLabel -> Column[{
            Style[$CellContext`txt1, "Label", 14], $CellContext`txt6}, 
           Center], ImageSize -> {425, 375}]), 
      "Specifications" :> {{{$CellContext`mf$$, 1, "select function", 1}, {
         1 -> "sin(x)", 2 -> "cos(x)", 3 -> 
          Superscript["\[ExponentialE]", "-x"], 4 -> 
          Superscript["\[ExponentialE]", 
            Superscript["-x", 2]], 5 -> "sinc(x)"}, ControlType -> PopupMenu},
         Delimiter, {{$CellContext`mx$$, 6, "x range"}, 1, 15, 
         1}, {{$CellContext`n$$, 8, "number of terms"}, 1, 50, 1, Appearance -> 
         "Labeled"}}, "Options" :> {TrackedSymbols -> Manipulate}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{469., {263., 268.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`fn[
          Pattern[$CellContext`x, 
           Blank[]]] := {
          Sin[$CellContext`x], 
          Cos[$CellContext`x], 
          Exp[-$CellContext`x], 
          Exp[-$CellContext`x^2], 
          Sinc[$CellContext`x]}; 
       For[$CellContext`i = 1, $CellContext`i <= Length[
           $CellContext`fn[$CellContext`x]], 
         Increment[$CellContext`i], $CellContext`expandSeries[
           Pattern[$CellContext`x, 
            Blank[]], $CellContext`i] = Normal[
           Series[
            Part[
             $CellContext`fn[$CellContext`x], $CellContext`i], \
{$CellContext`x, 0, 100}]]]}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->716930199],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Accuracy of Series Approximations",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AccuracyOfSeriesApproximations/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/AccuracyOfSeriesApproximations/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/AccuracyOfSeriesApproximations/\
",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/AccuracyOfSeriesApproximations/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/AccuracyOfSeriesApproximations/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Fred E. Moolekamp III",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Fred+E.+\
Moolekamp+III"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jay+Warendorff"],
 " and ",
 ButtonBox["Kevin L. Stokes",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Kevin+L.+\
Stokes"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jay+Warendorff"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->182313010],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
AccuracyOfSeriesApproximations"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Accuracy of Series Approximations - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 225, 4, 70, "Section"],
Cell[818, 29, 8051, 197, 70, "Input"]
}, Open  ]],
Cell[8884, 229, 5061, 102, 70, "Output",
 CellID->716930199],
Cell[CellGroupData[{
Cell[13970, 335, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[14346, 346, 980, 29, 70, "Text"],
Cell[15329, 377, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15669, 388, 732, 23, 70, "Text",
 CellID->182313010],
Cell[CellGroupData[{
Cell[16426, 415, 967, 27, 70, "Text"],
Cell[17396, 444, 1206, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature cRjb2aiq32vbKD03trZTI54a *)
