(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     50425,       1186]
NotebookOptionsPosition[     49368,       1147]
NotebookOutlinePosition[     49984,       1171]
CellTagsIndexPosition[     49941,       1168]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Graphs of Taylor Polynomials", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"checkfcn", "=", 
     RowBox[{"TrueQ", "[", 
      RowBox[{
       RowBox[{"f", "[", "x", "]"}], "===", 
       RowBox[{"Log", "[", 
        RowBox[{"1", "+", "x"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]",
     
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"checkfcn", "&&", 
       RowBox[{"(", 
        RowBox[{"xpt", "\[LessEqual]", 
         RowBox[{"-", "1"}]}], ")"}]}], ",", 
      RowBox[{"xpt", "=", 
       RowBox[{"-", "0.9999"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"checkfcn", "&&", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"errx", "\[LessEqual]", 
          RowBox[{"-", "1"}]}], "||", 
         RowBox[{"xpt", "\[LessEqual]", 
          RowBox[{"-", "1"}]}]}], ")"}]}], ",", 
      RowBox[{"xpt", "=", 
       RowBox[{"-", "0.9999"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"errx", "<", 
       RowBox[{"-", "xmax"}]}], ",", 
      RowBox[{"errx", "=", 
       RowBox[{"-", "xmax"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"errx", ">", "xmax"}], ",", 
      RowBox[{"errx", "=", "xmax"}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"xpt", "<", 
       RowBox[{"-", "xmax"}]}], ",", 
      RowBox[{"xpt", "=", 
       RowBox[{"-", "xmax"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"xpt", ">", "xmax"}], ",", 
      RowBox[{"xpt", "=", "xmax"}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Switch", "[", 
     RowBox[{"opts", ",", "1", ",", 
      RowBox[{
       RowBox[{"showpoly", "=", "True"}], ";", 
       RowBox[{"showerror", "=", "False"}]}], ",", "2", ",", 
      RowBox[{
       RowBox[{"showpoly", "=", "False"}], ";", 
       RowBox[{"showerror", "=", "True"}]}], ",", "3", ",", 
      RowBox[{
       RowBox[{"showpoly", "=", "False"}], ";", 
       RowBox[{"showerror", "=", "False"}]}]}], "]"}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"graphlist", "=", 
     RowBox[{"Evaluate", "@", 
      RowBox[{"Intersection", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Normal", "[", 
          RowBox[{"Series", "[", 
           RowBox[{
            RowBox[{"f", "[", "x", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "xpt", ",", "n"}], "}"}]}], "]"}], "]"}], ",", 
         
         RowBox[{"{", 
          RowBox[{"n", ",", "0", ",", "terms"}], "}"}]}], "]"}], "]"}]}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"T", "=", 
     RowBox[{"Function", "[", 
      RowBox[{
       RowBox[{"{", "x", "}"}], ",", 
       RowBox[{"Evaluate", "@", 
        RowBox[{"Normal", "[", 
         RowBox[{"Series", "[", 
          RowBox[{
           RowBox[{"f", "[", "x", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "xpt", ",", "terms"}], "}"}]}], "]"}], 
         "]"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Pane", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Column", "[", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{"Column", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<) = \>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"f", "[", "x", "]"}], ",", "TraditionalForm"}], 
                    "]"}]}], "}"}], "]"}], ",", "20", ",", "Red"}], "]"}]}], 
              "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]",
             "\[IndentingNewLine]", 
            RowBox[{"Dynamic", "@", 
             RowBox[{"Item", "[", 
              RowBox[{
               RowBox[{"Show", "[", 
                RowBox[{
                 RowBox[{"maingraph", "=", 
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{"f", "[", "x", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"-", "xmax"}], ",", "xmax"}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", "Red"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "xmax"}], ",", "xmax"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "ymax"}], ",", "ymax"}], "}"}]}], "}"}]}]}], 
                   "]"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{"showall", ",", 
                   RowBox[{"Plot", "[", 
                    RowBox[{"graphlist", ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"-", "xmax"}], ",", "xmax"}], "}"}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "xmax"}], ",", "xmax"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "ymax"}], ",", "ymax"}], "}"}]}], "}"}]}]}], 
                    "]"}], ",", 
                   RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Plot", "[", 
                  RowBox[{
                   RowBox[{"Last", "[", "graphlist", "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"-", "xmax"}], ",", "xmax"}], "}"}], ",", 
                   RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "xmax"}], ",", "xmax"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "ymax"}], ",", "ymax"}], "}"}]}], "}"}]}], 
                   ",", 
                   RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"showerror", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.3"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"errx", ",", 
                    RowBox[{"T", "[", "errx", "]"}]}], "}"}], "]"}]}], "}"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"errx", ",", 
                    RowBox[{"f", "[", "errx", "]"}]}], "}"}], "]"}]}], "}"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"errx", ",", 
                    RowBox[{"T", "[", "errx", "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"errx", ",", 
                    RowBox[{"f", "[", "errx", "]"}]}], "}"}]}], "}"}], "]"}], 
                    "}"}]}], "\[IndentingNewLine]", "}"}]}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Purple", ",", 
                    RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"xpt", ",", 
                    RowBox[{"f", "[", "xpt", "]"}]}], "}"}], "]"}]}], "}"}]}],
                    "\[IndentingNewLine]", "}"}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"ImageSize", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"450", ",", "250"}], "}"}]}], ",", 
                 RowBox[{"PlotRange", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "xmax"}], ",", "xmax"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "ymax"}], ",", "ymax"}], "}"}]}], "}"}]}], 
                 ",", 
                 RowBox[{"ImagePadding", "\[Rule]", "20"}], ",", 
                 RowBox[{"AspectRatio", "\[Rule]", 
                  RowBox[{"250", "/", "450"}]}]}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"ItemSize", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"Automatic", ",", "25"}], "}"}]}]}], "]"}]}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"Item", "[", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{"showerror", ",", "\[IndentingNewLine]", 
                RowBox[{"Column", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"Dynamic", "@", 
                    RowBox[{"Text", "@", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Column", "[", 
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<(\>\"", ",", "errx", ",", "\"\<) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "@", 
                    RowBox[{"f", "[", "errx", "]"}]}]}], "}"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<T\>\"", ",", "Italic"}], "]"}], ",", 
                    "terms"}], "]"}], ",", "\"\<(\>\"", ",", "errx", ",", 
                    "\"\<) = \>\"", ",", 
                    RowBox[{"T", "[", "errx", "]"}]}], "}"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<error = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{
                    RowBox[{"f", "[", "errx", "]"}], "-", 
                    RowBox[{"T", "[", "errx", "]"}]}], "]"}]}], "}"}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<|error| = \>\"", ",", 
                    RowBox[{"N", "@", 
                    RowBox[{"Abs", "[", 
                    RowBox[{
                    RowBox[{"f", "[", "errx", "]"}], "-", 
                    RowBox[{"T", "[", "errx", "]"}]}], "]"}]}]}], "}"}], 
                    "]"}], ",", "16", ",", "Bold"}], "]"}]}], 
                    "\[IndentingNewLine]", "}"}], "]"}], ",", "14", ",", 
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.5"}], "]"}]}], "]"}]}]}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"If", "[", 
                    RowBox[{"showerror", ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<error point \>\"", ",", "\"\<Label\>\"", ",", "10"}],
                     "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"checkfcn", ",", 
                    RowBox[{"Manipulator", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", "errx", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.9999"}], ",", "xmax"}], "}"}]}], "]"}], 
                    ",", 
                    RowBox[{"Manipulator", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", "errx", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "xmax"}], ",", "xmax"}], "}"}]}], "]"}]}], 
                    "]"}]}], "}"}], "]"}], ",", "\"\<\>\""}], "]"}]}], "}"}], 
                 "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{"showpoly", ",", "\[IndentingNewLine]", 
                  RowBox[{"Pane", "[", 
                   RowBox[{
                    RowBox[{"Text", "@", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<T\>\"", ",", "Italic"}], "]"}], ",", 
                    "terms"}], "]"}], ",", "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "@", 
                    RowBox[{"Normal", "[", 
                    RowBox[{"Series", "[", 
                    RowBox[{
                    RowBox[{"f", "[", "x", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "xpt", ",", "terms"}], "}"}]}], "]"}], 
                    "]"}]}]}], "}"}], "]"}], ",", "12"}], "]"}]}], ",", 
                    "400"}], "]"}], ",", "\"\<\>\""}], "]"}]}], "]"}], ",", 
              RowBox[{"ItemSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Automatic", ",", "11"}], "}"}]}]}], "]"}]}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}], 
        "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "405"}], "}"}], ",", 
      RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{"Grid", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Pane", "[", 
           RowBox[{
            RowBox[{"Grid", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                 "\"\<expansion point\>\"", ",", "\[IndentingNewLine]", 
                  RowBox[{"PaneSelector", "[", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"True", "\[Rule]", 
                    RowBox[{"Manipulator", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", "xpt", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "0.9999"}], ",", "xmax"}], "}"}], ",", 
                    RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], 
                    "]"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{"False", "\[Rule]", 
                    RowBox[{"Manipulator", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", "xpt", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "xmax"}], ",", "xmax"}], "}"}], ",", 
                    RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], 
                    "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Dynamic", "[", "checkfcn", "]"}]}], 
                   "\[IndentingNewLine]", "]"}]}], "}"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"\"\<terms (highest degree)\>\"", ",", 
                  RowBox[{"Manipulator", "[", 
                   RowBox[{
                    RowBox[{"Dynamic", "[", "terms", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "10", ",", "1"}], "}"}], ",", 
                    RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], 
                   "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"\"\<x axis\>\"", ",", 
                  RowBox[{"Manipulator", "[", 
                   RowBox[{
                    RowBox[{"Dynamic", "[", "xmax", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1.01", ",", "20"}], "}"}], ",", 
                    RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], 
                   "]"}]}], "}"}]}], "\[IndentingNewLine]", 
               "\[IndentingNewLine]", "}"}], ",", 
              RowBox[{"Alignment", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"Right", ",", "Left"}], "}"}], ",", "Center"}], 
                "}"}]}]}], "]"}], ",", "360"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Column", "[", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<f(x) = \>\"", ",", 
                RowBox[{"PopupMenu", "[", 
                 RowBox[{
                  RowBox[{"Dynamic", "[", "f", "]"}], ",", 
                  RowBox[{"Map", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"MapAt", "[", 
                    RowBox[{"TraditionalForm", ",", "#", ",", "2"}], "]"}], 
                    "&"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "\[Rule]", 
                    RowBox[{"Cos", "[", "x", "]"}]}], ",", 
                    RowBox[{"Sin", "\[Rule]", 
                    RowBox[{"Sin", "[", "x", "]"}]}], ",", 
                    RowBox[{"Tan", "\[Rule]", 
                    RowBox[{"Tan", "[", "x", "]"}]}], ",", 
                    RowBox[{"Exp", "\[Rule]", 
                    RowBox[{"Exp", "[", "x", "]"}]}], ",", 
                    RowBox[{"ArcTan", "\[Rule]", 
                    RowBox[{"ArcTan", "[", "x", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"1", "+", "#"}], "]"}], "&"}], "\[Rule]", 
                    RowBox[{"Log", "[", 
                    RowBox[{"1", "+", "x"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1", "/", 
                    RowBox[{"(", 
                    RowBox[{"#", "+", "1"}], ")"}]}], "&"}], "\[Rule]", 
                    RowBox[{"1", "/", 
                    RowBox[{"(", 
                    RowBox[{"x", "+", "1"}], ")"}]}]}]}], "}"}]}], "]"}]}], 
                 "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<graph all polynomials \>\"", ",", 
                RowBox[{"Checkbox", "[", 
                 RowBox[{"Dynamic", "[", "showall", "]"}], "]"}]}], "}"}], 
              "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<show \>\"", ",", 
                RowBox[{"RadioButtonBar", "[", 
                 RowBox[{
                  RowBox[{"Dynamic", "[", "opts", "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"1", "\[Rule]", "\"\< polynomial  \>\""}], ",", 
                    RowBox[{"2", "\[Rule]", "\"\< error  \>\""}], ",", 
                    RowBox[{"3", "\[Rule]", "\"\<  neither\>\""}]}], "}"}]}], 
                 "]"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", "}"}], 
           "]"}]}], "\[IndentingNewLine]", "}"}], "}"}], ",", 
       RowBox[{"Dividers", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"False", ",", "Gray", ",", "False"}], "}"}], ",", "None"}],
          "}"}]}], ",", 
       RowBox[{"Spacings", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"2", ",", "Automatic"}], "}"}]}]}], "]"}], "}"}], "]"}], ",",
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", "Cos", ",", "\"\<f(x) =\>\""}], "}"}], ",", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"MapAt", "[", 
         RowBox[{"TraditionalForm", ",", "#", ",", "2"}], "]"}], "&"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "\[Rule]", 
          RowBox[{"Cos", "[", "x", "]"}]}], ",", 
         RowBox[{"Sin", "\[Rule]", 
          RowBox[{"Sin", "[", "x", "]"}]}], ",", 
         RowBox[{"Tan", "\[Rule]", 
          RowBox[{"Tan", "[", "x", "]"}]}], ",", 
         RowBox[{"Exp", "\[Rule]", 
          RowBox[{"Exp", "[", "x", "]"}]}], ",", 
         RowBox[{"ArcTan", "\[Rule]", 
          RowBox[{"ArcTan", "[", "x", "]"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"1", "+", "#"}], "]"}], "&"}], "\[Rule]", 
          RowBox[{"Log", "[", 
           RowBox[{"1", "+", "x"}], "]"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"1", "/", 
            RowBox[{"(", 
             RowBox[{"#", "+", "1"}], ")"}]}], "&"}], "\[Rule]", 
          RowBox[{"1", "/", 
           RowBox[{"(", 
            RowBox[{"x", "+", "1"}], ")"}]}]}]}], "}"}]}], "]"}], ",", 
     "None"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showall", ",", "True", ",", "\"\<graph all\>\""}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", "None"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"errx", ",", "0", ",", "\"\<error point\>\""}], "}"}], ",", 
     RowBox[{"-", "xmax"}], ",", "xmax", ",", "None"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xpt", ",", "0", ",", "\"\<expansion point\>\""}], "}"}], ",", 
     "None"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"terms", ",", "2", ",", "\"\<terms (highest degree)\>\""}], 
      "}"}], ",", "0", ",", "10", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", "None"}], 
    "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"opts", ",", "1", ",", "\"\<show\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\< polynomial \>\""}], ",", 
       RowBox[{"2", "\[Rule]", "\"\< error \>\""}], ",", 
       RowBox[{"3", "\[Rule]", "\"\< neither\>\""}]}], "}"}], ",", "None"}], 
    "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xmax", ",", "10", ",", "\"\<x axis\>\""}], "}"}], ",", "1.01", 
     ",", "20", ",", "None"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ymax", ",", "3", ",", "\"\<y axis\>\""}], "}"}], ",", "1", ",",
      "20", ",", "VerticalSlider", ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"graphlist", ",", 
       RowBox[{"{", "1", "}"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"T", ",", 
       RowBox[{"Function", "[", 
        RowBox[{
         RowBox[{"{", "x", "}"}], ",", "1"}], "]"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "5", ",", "6"}], "}"}]}], ",", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", 
     RowBox[{"checkfcn", "=", "False"}], ")"}]}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.432832656847*^9, {3.432833304993*^9, 
   3.4328333094639997`*^9}, {3.4328334649519997`*^9, 3.432833476442*^9}, {
   3.432833575516*^9, 3.432833575775*^9}, 3.432833806816*^9, {
   3.432833866705*^9, 3.432833866986*^9}, 3.4328339042060003`*^9, 
   3.432833959049*^9, {3.432833989675*^9, 3.432833994403*^9}, {
   3.4329144884497585`*^9, 3.4329145050134144`*^9}, {3.4329145398568983`*^9, 
   3.4329145482377367`*^9}, {3.4329145934532576`*^9, 
   3.4329147499149017`*^9}, {3.4329147916200724`*^9, 3.432914847542664*^9}, {
   3.4329148901769266`*^9, 3.432914892681177*^9}, {3.433098388440997*^9, 
   3.433098397862932*^9}, 3.433098760474628*^9, {3.433098844631417*^9, 
   3.4330988464439287`*^9}, {3.433098927225695*^9, 3.43309893814764*^9}, {
   3.4330989726791115`*^9, 3.4330989744291224`*^9}, {3.433099227305741*^9, 
   3.433099263493472*^9}, {3.4331735898306866`*^9, 3.4331736253652396`*^9}, {
   3.433173675756278*^9, 3.4331736919018927`*^9}, {3.433173730315734*^9, 
   3.433173783759077*^9}, {3.433173813819083*^9, 3.433173817076409*^9}, {
   3.4331741313528333`*^9, 3.433174139974695*^9}, {3.4331744437660713`*^9, 
   3.433174477442439*^9}, 3.433193362874176*^9, {3.433194203515625*^9, 
   3.4331942035625*^9}, {3.433194249140625*^9, 3.433194249703125*^9}, {
   3.43319430909375*^9, 3.433194344921875*^9}, {3.43319444225*^9, 
   3.43319446959375*^9}, {3.43319508490625*^9, 3.433195085296875*^9}, {
   3.433195741484375*^9, 3.4331957510625*^9}, {3.433201278484375*^9, 
   3.433201279265625*^9}, 3.433260818453125*^9, 3.433263036578125*^9, 
   3.433264913625*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`errx$$ = 0, $CellContext`f$$ = 
    Cos, $CellContext`graphlist$$ = {
    1, 1 + Rational[-1, 2] $CellContext`x^2}, $CellContext`opts$$ = 
    1, $CellContext`showall$$ = True, $CellContext`T$$ = 
    Function[{$CellContext`x$}, 1 + 
     Rational[-1, 2] $CellContext`x$^2], $CellContext`terms$$ = 
    2, $CellContext`xmax$$ = 10, $CellContext`xpt$$ = 0, $CellContext`ymax$$ =
     3, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Row[{
         Grid[{{
            Pane[
             Grid[{{"expansion point", 
                PaneSelector[{True -> Manipulator[
                    Dynamic[
                    
                    BoxForm`RemapVariable[$CellContext`xpt$$, {-0.9999, \
$CellContext`xmax$$}], 
                    BoxForm`RemapValue[#, $CellContext`xpt$$, {-0.9999, \
$CellContext`xmax$$}]& ], {0, 1}, Appearance -> "Labeled"], False -> 
                  Manipulator[
                    Dynamic[
                    
                    BoxForm`RemapVariable[$CellContext`xpt$$, \
{-$CellContext`xmax$$, $CellContext`xmax$$}], 
                    BoxForm`RemapValue[#, $CellContext`xpt$$, \
{-$CellContext`xmax$$, $CellContext`xmax$$}]& ], {0, 1}, Appearance -> 
                    "Labeled"]}, 
                 Dynamic[$CellContext`checkfcn]]}, {
               "terms (highest degree)", 
                Manipulator[
                 Dynamic[$CellContext`terms$$], {0, 10, 1}, Appearance -> 
                 "Labeled"]}, {"x axis", 
                Manipulator[
                 Dynamic[$CellContext`xmax$$], {1.01, 20}, Appearance -> 
                 "Labeled"]}}, Alignment -> {{Right, Left}, Center}], 360], 
            Column[{
              Row[{"f(x) = ", 
                PopupMenu[
                 Dynamic[$CellContext`f$$], {Cos -> TraditionalForm[
                    Cos[$CellContext`x]], Sin -> TraditionalForm[
                    Sin[$CellContext`x]], Tan -> TraditionalForm[
                    Tan[$CellContext`x]], Exp -> 
                  TraditionalForm[E^$CellContext`x], ArcTan -> 
                  TraditionalForm[
                    ArcTan[$CellContext`x]], (Log[1 + #]& ) -> 
                  TraditionalForm[
                    Log[1 + $CellContext`x]], (1/(# + 1)& ) -> 
                  TraditionalForm[(1 + $CellContext`x)^(-1)]}]}], 
              Row[{"graph all polynomials ", 
                Checkbox[
                 Dynamic[$CellContext`showall$$]]}], 
              Row[{"show ", 
                RadioButtonBar[
                 Dynamic[$CellContext`opts$$], {
                 1 -> " polynomial  ", 2 -> " error  ", 3 -> 
                  "  neither"}]}]}]}}, Dividers -> {{False, 
             GrayLevel[0.5], False}, None}, Spacings -> {2, Automatic}]}]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`f$$], Cos, "f(x) ="}, {Cos -> TraditionalForm[
         Cos[$CellContext`x]], Sin -> TraditionalForm[
         Sin[$CellContext`x]], Tan -> TraditionalForm[
         Tan[$CellContext`x]], Exp -> TraditionalForm[E^$CellContext`x], 
       ArcTan -> TraditionalForm[
         ArcTan[$CellContext`x]], (Log[1 + #]& ) -> TraditionalForm[
         Log[1 + $CellContext`x]], (1/(# + 1)& ) -> 
       TraditionalForm[(1 + $CellContext`x)^(-1)]}}, {{
       Hold[$CellContext`showall$$], True, "graph all"}, {True, False}}, {{
       Hold[$CellContext`errx$$], 0, "error point"}, 
      Dynamic[-$CellContext`xmax$$], 
      Dynamic[$CellContext`xmax$$]}, {{
       Hold[$CellContext`xpt$$], 0, "expansion point"}, 0}, {{
       Hold[$CellContext`terms$$], 2, "terms (highest degree)"}, 0, 10, 1}, {{
      
       Hold[$CellContext`opts$$], 1, "show"}, {
      1 -> " polynomial ", 2 -> " error ", 3 -> " neither"}}, {{
       Hold[$CellContext`xmax$$], 10, "x axis"}, 1.01, 20}, {{
       Hold[$CellContext`ymax$$], 3, "y axis"}, 1, 20}, {{
       Hold[$CellContext`graphlist$$], {
       1, 1 + Rational[-1, 2] $CellContext`x^2}}}, {{
       Hold[$CellContext`T$$], 
       Function[{$CellContext`x$}, 1 + Rational[-1, 2] $CellContext`x$^2]}}}, 
    Typeset`size$$ = {500., {200., 205.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`f$81632$$ = False, $CellContext`showall$81633$$ = 
    False, $CellContext`errx$81634$$ = 0, $CellContext`terms$81635$$ = 
    0, $CellContext`opts$81636$$ = False, $CellContext`xmax$81637$$ = 
    0, $CellContext`ymax$81638$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`errx$$ = 0, $CellContext`f$$ = 
        Cos, $CellContext`graphlist$$ = {
         1, 1 + Rational[-1, 2] $CellContext`x^2}, $CellContext`opts$$ = 
        1, $CellContext`showall$$ = True, $CellContext`T$$ = 
        Function[{$CellContext`x$}, 1 + 
          Rational[-1, 2] $CellContext`x$^2], $CellContext`terms$$ = 
        2, $CellContext`xmax$$ = 10, $CellContext`xpt$$ = 
        0, $CellContext`ymax$$ = 3}, "ControllerVariables" :> {
        Hold[$CellContext`f$$, $CellContext`f$81632$$, False], 
        Hold[$CellContext`showall$$, $CellContext`showall$81633$$, False], 
        Hold[$CellContext`errx$$, $CellContext`errx$81634$$, 0], 
        Hold[$CellContext`terms$$, $CellContext`terms$81635$$, 0], 
        Hold[$CellContext`opts$$, $CellContext`opts$81636$$, False], 
        Hold[$CellContext`xmax$$, $CellContext`xmax$81637$$, 0], 
        Hold[$CellContext`ymax$$, $CellContext`ymax$81638$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`checkfcn = 
        TrueQ[$CellContext`f$$[$CellContext`x] === Log[1 + $CellContext`x]]; 
       If[
         And[$CellContext`checkfcn, $CellContext`xpt$$ <= -1], \
$CellContext`xpt$$ = -0.9999]; If[
         And[$CellContext`checkfcn, 
          
          Or[$CellContext`errx$$ <= -1, $CellContext`xpt$$ <= -1]], \
$CellContext`xpt$$ = -0.9999]; 
       If[$CellContext`errx$$ < -$CellContext`xmax$$, $CellContext`errx$$ = \
-$CellContext`xmax$$]; 
       If[$CellContext`errx$$ > $CellContext`xmax$$, $CellContext`errx$$ = \
$CellContext`xmax$$]; 
       If[$CellContext`xpt$$ < -$CellContext`xmax$$, $CellContext`xpt$$ = \
-$CellContext`xmax$$]; 
       If[$CellContext`xpt$$ > $CellContext`xmax$$, $CellContext`xpt$$ = \
$CellContext`xmax$$]; 
       Switch[$CellContext`opts$$, 
         1, $CellContext`showpoly = True; $CellContext`showerror = False, 
         2, $CellContext`showpoly = False; $CellContext`showerror = True, 
         3, $CellContext`showpoly = False; $CellContext`showerror = 
          False]; $CellContext`graphlist$$ = Evaluate[
          Intersection[
           Table[
            Normal[
             Series[
              $CellContext`f$$[$CellContext`x], {$CellContext`x, \
$CellContext`xpt$$, $CellContext`n}]], {$CellContext`n, 
             0, $CellContext`terms$$}]]]; $CellContext`T$$ = 
        Function[{$CellContext`x$}, 
          Evaluate[
           Normal[
            Series[
             $CellContext`f$$[$CellContext`x$], {$CellContext`x$, \
$CellContext`xpt$$, $CellContext`terms$$}]]]]; Pane[
         Column[{
           Column[{
             Row[{
               Text[
                Style[
                 Row[{
                   Style["f", Italic], "(", 
                   Style["x", Italic], ") = ", 
                   ToString[
                    $CellContext`f$$[$CellContext`x], TraditionalForm]}], 20, 
                 Red]]}], 
             Dynamic[
              Item[
               Show[$CellContext`maingraph = Plot[
                  $CellContext`f$$[$CellContext`x], {$CellContext`x, \
-$CellContext`xmax$$, $CellContext`xmax$$}, PlotStyle -> Red, 
                  PlotRange -> {{-$CellContext`xmax$$, $CellContext`xmax$$}, \
{-$CellContext`ymax$$, $CellContext`ymax$$}}], 
                If[$CellContext`showall$$, 
                 
                 Plot[$CellContext`graphlist$$, {$CellContext`x, \
-$CellContext`xmax$$, $CellContext`xmax$$}, 
                  PlotRange -> {{-$CellContext`xmax$$, $CellContext`xmax$$}, \
{-$CellContext`ymax$$, $CellContext`ymax$$}}], {}], 
                Plot[
                 
                 Last[$CellContext`graphlist$$], {$CellContext`x, \
-$CellContext`xmax$$, $CellContext`xmax$$}, 
                 PlotRange -> {{-$CellContext`xmax$$, $CellContext`xmax$$}, \
{-$CellContext`ymax$$, $CellContext`ymax$$}}, PlotStyle -> Black], 
                Graphics[{
                  If[$CellContext`showerror, {
                    Darker[Green, 0.3], {{
                    PointSize[0.02], 
                    Point[{$CellContext`errx$$, 
                    $CellContext`T$$[$CellContext`errx$$]}]}, {
                    PointSize[0.02], 
                    Point[{$CellContext`errx$$, 
                    $CellContext`f$$[$CellContext`errx$$]}]}, {
                    Line[{{$CellContext`errx$$, 
                    $CellContext`T$$[$CellContext`errx$$]}, \
{$CellContext`errx$$, 
                    $CellContext`f$$[$CellContext`errx$$]}}]}}}, {}], {
                  Purple, 
                   PointSize[0.02], 
                   Point[{$CellContext`xpt$$, 
                    $CellContext`f$$[$CellContext`xpt$$]}]}}], 
                ImageSize -> {450, 250}, 
                PlotRange -> {{-$CellContext`xmax$$, $CellContext`xmax$$}, \
{-$CellContext`ymax$$, $CellContext`ymax$$}}, ImagePadding -> 20, AspectRatio -> 
                250/450], ItemSize -> {Automatic, 25}]], 
             Item[
              If[$CellContext`showerror, 
               Column[{
                 Dynamic[
                  Text[
                   Style[
                    Column[{
                    Row[{
                    Style["f", Italic], "(", $CellContext`errx$$, ") = ", 
                    TraditionalForm[
                    $CellContext`f$$[$CellContext`errx$$]]}], 
                    Row[{
                    Subscript[
                    Style["T", Italic], $CellContext`terms$$], 
                    "(", $CellContext`errx$$, ") = ", 
                    $CellContext`T$$[$CellContext`errx$$]}], 
                    Row[{"error = ", 
                    
                    TraditionalForm[$CellContext`f$$[$CellContext`errx$$] - \
$CellContext`T$$[$CellContext`errx$$]]}], 
                    Style[
                    Row[{"|error| = ", 
                    N[
                    
                    Abs[$CellContext`f$$[$CellContext`errx$$] - \
$CellContext`T$$[$CellContext`errx$$]]]}], 16, Bold]}], 14, 
                    Darker[Green, 0.5]]]], 
                 If[$CellContext`showerror, 
                  Row[{
                    Style["error point ", "Label", 10], 
                    If[$CellContext`checkfcn, 
                    Manipulator[
                    
                    Dynamic[$CellContext`errx$$], {-0.9999, \
$CellContext`xmax$$}], 
                    Manipulator[
                    
                    Dynamic[$CellContext`errx$$], {-$CellContext`xmax$$, \
$CellContext`xmax$$}]]}], ""]}], 
               If[$CellContext`showpoly, 
                Pane[
                 Text[
                  Style[
                   Row[{
                    Subscript[
                    Style["T", Italic], $CellContext`terms$$], "(", 
                    Style["x", Italic], ") = ", 
                    TraditionalForm[
                    Normal[
                    Series[
                    $CellContext`f$$[$CellContext`x], {$CellContext`x, \
$CellContext`xpt$$, $CellContext`terms$$}]]]}], 12]], 400], ""]], 
              ItemSize -> {Automatic, 11}]}, Alignment -> Top]}], {500, 405}, 
         Alignment -> Center]), "Specifications" :> {
        Row[{
          Grid[{{
             Pane[
              Grid[{{"expansion point", 
                 PaneSelector[{True -> Manipulator[
                    Dynamic[
                    
                    BoxForm`RemapVariable[$CellContext`xpt$$, {-0.9999, \
$CellContext`xmax$$}], 
                    BoxForm`RemapValue[#, $CellContext`xpt$$, {-0.9999, \
$CellContext`xmax$$}]& ], {0, 1}, Appearance -> "Labeled"], False -> 
                   Manipulator[
                    Dynamic[
                    
                    BoxForm`RemapVariable[$CellContext`xpt$$, \
{-$CellContext`xmax$$, $CellContext`xmax$$}], 
                    BoxForm`RemapValue[#, $CellContext`xpt$$, \
{-$CellContext`xmax$$, $CellContext`xmax$$}]& ], {0, 1}, Appearance -> 
                    "Labeled"]}, 
                  Dynamic[$CellContext`checkfcn]]}, {
                "terms (highest degree)", 
                 Manipulator[
                  Dynamic[$CellContext`terms$$], {0, 10, 1}, Appearance -> 
                  "Labeled"]}, {"x axis", 
                 Manipulator[
                  Dynamic[$CellContext`xmax$$], {1.01, 20}, Appearance -> 
                  "Labeled"]}}, Alignment -> {{Right, Left}, Center}], 360], 
             Column[{
               Row[{"f(x) = ", 
                 PopupMenu[
                  Dynamic[$CellContext`f$$], {Cos -> TraditionalForm[
                    Cos[$CellContext`x]], Sin -> TraditionalForm[
                    Sin[$CellContext`x]], Tan -> TraditionalForm[
                    Tan[$CellContext`x]], Exp -> 
                   TraditionalForm[E^$CellContext`x], ArcTan -> 
                   TraditionalForm[
                    ArcTan[$CellContext`x]], (Log[1 + #]& ) -> 
                   TraditionalForm[
                    Log[1 + $CellContext`x]], (1/(# + 1)& ) -> 
                   TraditionalForm[(1 + $CellContext`x)^(-1)]}]}], 
               Row[{"graph all polynomials ", 
                 Checkbox[
                  Dynamic[$CellContext`showall$$]]}], 
               Row[{"show ", 
                 RadioButtonBar[
                  Dynamic[$CellContext`opts$$], {
                  1 -> " polynomial  ", 2 -> " error  ", 3 -> 
                   "  neither"}]}]}]}}, Dividers -> {{False, 
              GrayLevel[0.5], False}, None}, 
           Spacings -> {2, Automatic}]}], {{$CellContext`f$$, Cos, 
          "f(x) ="}, {Cos -> TraditionalForm[
            Cos[$CellContext`x]], Sin -> TraditionalForm[
            Sin[$CellContext`x]], Tan -> TraditionalForm[
            Tan[$CellContext`x]], Exp -> TraditionalForm[E^$CellContext`x], 
          ArcTan -> TraditionalForm[
            ArcTan[$CellContext`x]], (Log[1 + #]& ) -> TraditionalForm[
            Log[1 + $CellContext`x]], (1/(# + 1)& ) -> 
          TraditionalForm[(1 + $CellContext`x)^(-1)]}, ControlType -> 
         None}, {{$CellContext`showall$$, True, "graph all"}, {True, False}, 
         ControlType -> None}, {{$CellContext`errx$$, 0, "error point"}, 
         Dynamic[-$CellContext`xmax$$], 
         Dynamic[$CellContext`xmax$$], ControlType -> 
         None}, {{$CellContext`xpt$$, 0, "expansion point"}, 0, ControlType -> 
         None}, {{$CellContext`terms$$, 2, "terms (highest degree)"}, 0, 10, 
         1, Appearance -> "Labeled", ControlType -> 
         None}, {{$CellContext`opts$$, 1, "show"}, {
         1 -> " polynomial ", 2 -> " error ", 3 -> " neither"}, ControlType -> 
         None}, {{$CellContext`xmax$$, 10, "x axis"}, 1.01, 20, ControlType -> 
         None}, {{$CellContext`ymax$$, 3, "y axis"}, 1, 20, ControlType -> 
         VerticalSlider, ControlPlacement -> 
         Left}, {{$CellContext`graphlist$$, {
          1, 1 + Rational[-1, 2] $CellContext`x^2}}, ControlType -> 
         None}, {{$CellContext`T$$, 
          Function[{$CellContext`x$}, 1 + Rational[-1, 2] $CellContext`x$^2]},
          ControlType -> None}}, 
      "Options" :> {
       AutorunSequencing -> {1, 5, 6}, TrackedSymbols -> Manipulate}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{609., {270., 275.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>($CellContext`checkfcn = False; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->21971748],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Graphs of Taylor Polynomials",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/GraphsOfTaylorPolynomials/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/GraphsOfTaylorPolynomials/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/GraphsOfTaylorPolynomials/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/GraphsOfTaylorPolynomials/"], 
    None},
  ButtonNote->"http://demonstrations.wolfram.com/GraphsOfTaylorPolynomials/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
GraphsOfTaylorPolynomials"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Graphs of Taylor Polynomials - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 220, 4, 70, "Section"],
Cell[813, 29, 27782, 636, 70, "Input"]
}, Open  ]],
Cell[28610, 668, 16642, 345, 70, "Output",
 CellID->21971748],
Cell[CellGroupData[{
Cell[45277, 1017, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[45653, 1028, 944, 27, 70, "Text"],
Cell[46600, 1057, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[46940, 1068, 342, 12, 70, "Text"],
Cell[CellGroupData[{
Cell[47307, 1084, 829, 24, 70, "Text"],
Cell[48139, 1110, 1201, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature lRz9Qq9hsZBRAApTA82qDEm2 *)
