(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     21647,        615]
NotebookOptionsPosition[     20476,        572]
NotebookOutlinePosition[     21107,        596]
CellTagsIndexPosition[     21064,        593]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Introduction to Taylor-Maclaurin Series", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ff", "=", 
   RowBox[{"{", 
    RowBox[{"Cos", ",", "Sin", ",", "Exp"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"ftag", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"TraditionalForm", "[", 
      RowBox[{
       RowBox[{"ff", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "[", "x", "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "ff", "]"}]}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"ftagbuttons", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "\[Rule]", 
       RowBox[{"#", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "&"}], ",", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Range", "[", 
         RowBox[{"Length", "[", "ff", "]"}], "]"}], ",", "ftag"}], "}"}], 
      "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fac", "[", "n_", "]"}], ":=", 
   RowBox[{"HoldForm", "[", 
    RowBox[{"n", "!"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"p", "[", 
    RowBox[{"f_", ",", 
     RowBox[{"{", 
      RowBox[{"x_", ",", "n_", ",", "a_"}], "}"}]}], "]"}], ":=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      StyleBox[
       RowBox[{
        RowBox[{
         RowBox[{"Derivative", "[", "k", "]"}], "[", "f", "]"}], "[", "a", 
        "]"}],
       ShowSpecialCharacters->False,
       ShowStringCharacters->True,
       NumberMarks->True], " ", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"x", "-", "a"}], ")"}], "k"], "/", 
       RowBox[{"k", "!"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"p2", "[", 
    RowBox[{"f_", ",", 
     RowBox[{"{", 
      RowBox[{"x_", ",", "n_", ",", "a_"}], "}"}]}], "]"}], ":=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      StyleBox[
       RowBox[{
        RowBox[{
         RowBox[{"Derivative", "[", "k", "]"}], "[", "f", "]"}], "[", "a", 
        "]"}],
       ShowSpecialCharacters->False,
       ShowStringCharacters->True,
       NumberMarks->True], " ", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"x", "-", "a"}], ")"}], "k"], "/", 
       RowBox[{"fac", "[", "k", "]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"fgraph", "[", 
    RowBox[{
     RowBox[{"{", "f_", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c_", ",", "b_", ",", "n_", ",", "a_"}], "}"}]}], "]"}], ":=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"f", "[", "t", "]"}], ",", 
       RowBox[{"p", "[", 
        RowBox[{"f", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "n", ",", "a"}], "}"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "c", ",", "b"}], "}"}], ",", 
     RowBox[{"Ticks", "\[Rule]", "None"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1.3"}], ",", "1.3"}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.007", "]"}], ",", 
          RowBox[{"ColorData", "[", 
           RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}]}], "}"}],
         ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.007", "]"}], ",", 
          RowBox[{"RGBColor", "[", 
           RowBox[{"1", ",", ".47", ",", "0"}], "]"}]}], "}"}]}], "}"}]}], 
     ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "250"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.4151262295442085`*^9, 3.4151262491692085`*^9}, {
   3.4151266572473335`*^9, 3.4151266823723335`*^9}},
 CellID->645276448],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Column", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Text", "@", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", "\"\< = \>\"",
              ",", 
             RowBox[{"TraditionalForm", "@", 
              RowBox[{"Dynamic", "[", 
               RowBox[{
                RowBox[{"ff", "[", 
                 RowBox[{"[", "s", "]"}], "]"}], "[", "x", "]"}], "]"}]}]}], 
            "}"}], "]"}], ",", 
          RowBox[{"ColorData", "[", 
           RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}], ",", 
          "14", ",", "Bold"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Text", "@", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Subscript", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", "n"}], 
              "]"}], ",", "\"\< = \>\"", ",", 
             RowBox[{"TraditionalForm", "@", 
              RowBox[{"Dynamic", "[", 
               RowBox[{"p2", "[", 
                RowBox[{
                 RowBox[{"ff", "[", 
                  RowBox[{"[", "s", "]"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x", ",", "n", ",", "0"}], "}"}]}], "]"}], 
               "]"}]}]}], "}"}], "]"}], ",", 
          RowBox[{"RGBColor", "[", 
           RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", "12"}], "]"}]}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"fgraph", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"ff", "[", 
           RowBox[{"[", "s", "]"}], "]"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "4"}], "\[Pi]"}], ",", 
           RowBox[{"4", "\[Pi]"}], ",", "n", ",", "0"}], "}"}]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], ",", 
     RowBox[{"ItemSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"40", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "12", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Alignment", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Left", ",", "Top"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "4", ",", "\"\<number of terms\>\""}], "}"}], ",", 
     "2", ",", "40", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"s", ",", "2", ",", "\"\<function\>\""}], "}"}], ",", 
     "ftagbuttons", ",", 
     RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4151249813563538`*^9, 3.4151249938251038`*^9}, {
   3.4151262632473335`*^9, 3.4151264473254585`*^9}, {3.4151265330442085`*^9, 
   3.4151266343879585`*^9}, {3.4151360819201345`*^9, 3.41513611670183*^9}, {
   3.4151362432659497`*^9, 3.415136305063616*^9}, {3.4153650243699274`*^9, 
   3.4153651065560513`*^9}},
 CellID->24380727]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 4, $CellContext`s$$ = 2, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 4, "number of terms"}, 2, 40, 1}, {{
       Hold[$CellContext`s$$], 2, "function"}, {1 -> TraditionalForm[
         Cos[$CellContext`x]], 2 -> TraditionalForm[
         Sin[$CellContext`x]], 3 -> TraditionalForm[E^$CellContext`x]}}}, 
    Typeset`size$$ = {503., {197.5, 202.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`n$475257$$ = 0, $CellContext`s$475258$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`n$$ = 4, $CellContext`s$$ = 2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$475257$$, 0], 
        Hold[$CellContext`s$$, $CellContext`s$475258$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Text[
          Style[
           Row[{
             Style["y", Italic], " = ", 
             TraditionalForm[
              Dynamic[
               Part[$CellContext`ff, $CellContext`s$$][$CellContext`x]]]}], 
           ColorData["HTML", "SlateBlue"], 14, Bold]], 
         Text[
          Style[
           Row[{
             Subscript[
              Style["y", Italic], $CellContext`n$$], " = ", 
             TraditionalForm[
              Dynamic[
               $CellContext`p2[
                
                Part[$CellContext`ff, $CellContext`s$$], {$CellContext`x, \
$CellContext`n$$, 0}]]]}], 
           RGBColor[1, 0.47, 0], 12]], 
         $CellContext`fgraph[{
           Part[$CellContext`ff, $CellContext`s$$]}, {(-4) Pi, 4 
           Pi, $CellContext`n$$, 0}]}, ItemSize -> {40, {2, 12, Automatic}}, 
        Alignment -> {Left, Top}], 
      "Specifications" :> {{{$CellContext`n$$, 4, "number of terms"}, 2, 40, 
         1, Appearance -> "Labeled"}, {{$CellContext`s$$, 2, "function"}, {
         1 -> TraditionalForm[
            Cos[$CellContext`x]], 2 -> TraditionalForm[
            Sin[$CellContext`x]], 3 -> TraditionalForm[E^$CellContext`x]}, 
         ControlType -> Setter}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{547., {254., 259.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`ff = {Cos, Sin, Exp}, 
        Attributes[Subscript] = {NHoldRest}, $CellContext`p2[
          Pattern[$CellContext`f, 
           Blank[]], {
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`n, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]]}] := 
        Sum[Derivative[$CellContext`k][$CellContext`f][$CellContext`a] \
(($CellContext`x - \
$CellContext`a)^$CellContext`k/$CellContext`fac[$CellContext`k]), \
{$CellContext`k, 0, $CellContext`n}], 
        Attributes[Derivative] = {NHoldAll, ReadProtected}, $CellContext`fac[
          Pattern[$CellContext`n, 
           Blank[]]] := HoldForm[
          Factorial[$CellContext`n]], $CellContext`fgraph[{
           Pattern[$CellContext`f, 
            Blank[]]}, {
           Pattern[$CellContext`c, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`n, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]]}] := Plot[{
           $CellContext`f[$CellContext`t], 
           $CellContext`p[$CellContext`f, {$CellContext`t, $CellContext`n, \
$CellContext`a}]}, {$CellContext`t, $CellContext`c, $CellContext`b}, Ticks -> 
          None, PlotRange -> {-1.3, 1.3}, PlotStyle -> {{
             Thickness[0.007], 
             ColorData["HTML", "SlateBlue"]}, {
             Thickness[0.007], 
             RGBColor[1, 0.47, 0]}}, ImageSize -> {500, 250}], $CellContext`p[
         
          Pattern[$CellContext`f, 
           Blank[]], {
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`n, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]]}] := 
        Sum[Derivative[$CellContext`k][$CellContext`f][$CellContext`a] \
(($CellContext`x - $CellContext`a)^$CellContext`k/
           Factorial[$CellContext`k]), {$CellContext`k, 0, $CellContext`n}]}; 
      Typeset`initDone$$ = True); ReleaseHold[{{
         HoldComplete[$CellContext`ff = {Cos, Sin, Exp}; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`ftag = Table[
             TraditionalForm[
              
              Part[$CellContext`ff, $CellContext`i][$CellContext`x]], \
{$CellContext`i, 1, 
              Length[$CellContext`ff]}]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`ftagbuttons = 
           Map[Part[#, 1] -> Part[#, 2]& , 
             Transpose[{
               Range[
                Length[$CellContext`ff]], $CellContext`ftag}]]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`fac[
             Pattern[$CellContext`n, 
              Blank[]]] := HoldForm[
             Factorial[$CellContext`n]]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`p[
             Pattern[$CellContext`f, 
              Blank[]], {
              Pattern[$CellContext`x, 
               Blank[]], 
              Pattern[$CellContext`n, 
               Blank[]], 
              Pattern[$CellContext`a, 
               Blank[]]}] := 
           Sum[Derivative[$CellContext`k][$CellContext`f][$CellContext`a] \
(($CellContext`x - $CellContext`a)^$CellContext`k/
              Factorial[$CellContext`k]), {$CellContext`k, 
              0, $CellContext`n}]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`p2[
             Pattern[$CellContext`f, 
              Blank[]], {
              Pattern[$CellContext`x, 
               Blank[]], 
              Pattern[$CellContext`n, 
               Blank[]], 
              Pattern[$CellContext`a, 
               Blank[]]}] := 
           Sum[Derivative[$CellContext`k][$CellContext`f][$CellContext`a] \
(($CellContext`x - \
$CellContext`a)^$CellContext`k/$CellContext`fac[$CellContext`k]), \
{$CellContext`k, 0, $CellContext`n}]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`fgraph[{
              Pattern[$CellContext`f, 
               Blank[]]}, {
              Pattern[$CellContext`c, 
               Blank[]], 
              Pattern[$CellContext`b, 
               Blank[]], 
              Pattern[$CellContext`n, 
               Blank[]], 
              Pattern[$CellContext`a, 
               Blank[]]}] := Plot[{
              $CellContext`f[$CellContext`t], 
              $CellContext`p[$CellContext`f, {$CellContext`t, $CellContext`n, \
$CellContext`a}]}, {$CellContext`t, $CellContext`c, $CellContext`b}, Ticks -> 
             None, PlotRange -> {-1.3, 1.3}, PlotStyle -> {{
                Thickness[0.007], 
                ColorData["HTML", "SlateBlue"]}, {
                Thickness[0.007], 
                RGBColor[1, 0.47, 0]}}, ImageSize -> {500, 250}]; Null]}}]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->548655243],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Introduction to Taylor-Maclaurin Series",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
IntroductionToTaylorMaclaurinSeries/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/IntroductionToTaylorMaclaurinSeries/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
IntroductionToTaylorMaclaurinSeries/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
IntroductionToTaylorMaclaurinSeries/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/IntroductionToTaylorMaclaurinSeries/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Paul Rosemond",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Paul+Rosemond"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Paul+Rosemond"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
IntroductionToTaylorMaclaurinSeries"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Introduction to Taylor-Maclaurin Series - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 231, 4, 70, "Section"],
Cell[824, 29, 4083, 130, 70, "Input",
 InitializationCell->True,
 CellID->645276448],
Cell[4910, 161, 3445, 87, 70, "Input",
 CellID->24380727]
}, Open  ]],
Cell[8370, 251, 7825, 183, 70, "Output",
 CellID->548655243],
Cell[CellGroupData[{
Cell[16220, 438, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16596, 449, 1005, 29, 70, "Text"],
Cell[17604, 480, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[17944, 491, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[18405, 509, 829, 24, 70, "Text"],
Cell[19237, 535, 1211, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 5T4pSOS6qypNwB09nW3djfZM *)
