(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11768,        335]
NotebookOptionsPosition[     10656,        293]
NotebookOutlinePosition[     11304,        318]
CellTagsIndexPosition[     11261,        315]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Series Expansions of Powers of Trigonometric Functions", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Pane", "[", 
    RowBox[{
     RowBox[{"TraditionalForm", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"f", "[", "x", "]"}], "^", "n"}], ",", 
          "\"\< \[TildeTilde] \>\"", ",", 
          RowBox[{"Series", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"f", "[", "x", "]"}], "^", "n"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "0", ",", "o"}], "}"}]}], "]"}]}], "}"}], 
        "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"500", ",", 
       RowBox[{"If", "[", 
        RowBox[{"clip", ",", "400", ",", "Automatic"}], "]"}]}], "}"}], ",", 
     RowBox[{"ImageSizeAction", "\[Rule]", "\"\<Clip\>\""}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", "Sin", ",", "\"\<function\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "Sin", ",", "Cos", ",", "Tan", ",", "Cot", ",", " ", "Sec", ",", 
       "Csc"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"o", ",", "30", ",", "\"\<order\>\""}], "}"}], ",", "1", ",", 
     "40", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "\"\<power\>\""}], "}"}], ",", "1", ",", 
     " ", "40", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"clip", ",", "True", ",", "\"\<clip bounding region\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "3"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.35342786090181*^9, 3.3534278818548*^9}, {
   3.3572406284375*^9, 3.357240739625*^9}, {3.3572413959375*^9, 
   3.35724140367188*^9}, {3.35878512304231*^9, 3.358785133386*^9}, {
   3.36251924117188*^9, 3.36251926840625*^9}, {3.36754002346875*^9, 
   3.36754005223438*^9}, 3.369185389*^9, {3.372897859203125*^9, 
   3.372897875390625*^9}, {3.372897930890625*^9, 3.37289793134375*^9}, {
   3.37289801084375*^9, 3.37289802365625*^9}, {3.372898113203125*^9, 
   3.372898124015625*^9}, {3.372898154484375*^9, 3.37289826371875*^9}, {
   3.3728982955*^9, 3.372898316359375*^9}, {3.3728983511875*^9, 
   3.372898352890625*^9}, {3.37290060684375*^9, 3.3729006151875*^9}, {
   3.388603858140625*^9, 3.3886038619375*^9}},
 CellID->378198984]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`clip$$ = True, $CellContext`f$$ = 
    Sin, $CellContext`n$$ = 1, $CellContext`o$$ = 30, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`f$$], Sin, "function"}, {
      Sin, Cos, Tan, Cot, Sec, Csc}}, {{
       Hold[$CellContext`o$$], 30, "order"}, 1, 40, 1}, {{
       Hold[$CellContext`n$$], 1, "power"}, 1, 40, 1}, {{
       Hold[$CellContext`clip$$], True, "clip bounding region"}, {
      True, False}}}, Typeset`size$$ = {500., {197.5, 202.5}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`f$537377$$ = 0, $CellContext`o$537378$$ = 
    0, $CellContext`n$537379$$ = 0, $CellContext`clip$537380$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`clip$$ = True, $CellContext`f$$ = 
        Sin, $CellContext`n$$ = 1, $CellContext`o$$ = 30}, 
      "ControllerVariables" :> {
        Hold[$CellContext`f$$, $CellContext`f$537377$$, 0], 
        Hold[$CellContext`o$$, $CellContext`o$537378$$, 0], 
        Hold[$CellContext`n$$, $CellContext`n$537379$$, 0], 
        Hold[$CellContext`clip$$, $CellContext`clip$537380$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        TraditionalForm[
         Text[
          
          Row[{$CellContext`f$$[$CellContext`x]^$CellContext`n$$, 
            " \[TildeTilde] ", 
            
            Series[$CellContext`f$$[$CellContext`x]^$CellContext`n$$, \
{$CellContext`x, 0, $CellContext`o$$}]}]]], {500, 
         If[$CellContext`clip$$, 400, Automatic]}, ImageSizeAction -> "Clip"],
       "Specifications" :> {{{$CellContext`f$$, Sin, "function"}, {
         Sin, Cos, Tan, Cot, Sec, Csc}}, {{$CellContext`o$$, 30, "order"}, 1, 
         40, 1}, {{$CellContext`n$$, 1, "power"}, 1, 40, 
         1}, {{$CellContext`clip$$, True, "clip bounding region"}, {
         True, False}}}, "Options" :> {AutorunSequencing -> {1, 3}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {276., 281.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->57345063],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Series Expansions of Powers of Trigonometric Functions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
SeriesExpansionsOfPowersOfTrigonometricFunctions/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
SeriesExpansionsOfPowersOfTrigonometricFunctions/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
SeriesExpansionsOfPowersOfTrigonometricFunctions/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
SeriesExpansionsOfPowersOfTrigonometricFunctions/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
SeriesExpansionsOfPowersOfTrigonometricFunctions/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Michael Trott",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Michael+Trott"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Michael+Trott"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->308973264],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
SeriesExpansionsOfPowersOfTrigonometricFunctions"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Series Expansions of Powers of Trigonometric Functions - \
Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 246, 4, 70, "Section"],
Cell[839, 29, 2575, 64, 70, "Input",
 CellID->378198984]
}, Open  ]],
Cell[3429, 96, 2829, 56, 70, "Output",
 CellID->57345063],
Cell[CellGroupData[{
Cell[6283, 156, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[6659, 167, 1089, 31, 70, "Text"],
Cell[7751, 200, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[8091, 211, 456, 15, 70, "Text",
 CellID->308973264],
Cell[CellGroupData[{
Cell[8572, 230, 829, 24, 70, "Text"],
Cell[9404, 256, 1224, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature CR4f51ZA2QX2PBpsePPL0LOs *)
