(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     18779,        526]
NotebookOptionsPosition[     17490,        479]
NotebookOutlinePosition[     18131,        503]
CellTagsIndexPosition[     18088,        500]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Taylor Expansions with Noninteger Number of Terms", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"cSeries", "[", "Cos", "]"}], "[", 
    RowBox[{"n_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "^", "k"}], " ", 
      RowBox[{
       RowBox[{"z", "^", 
        RowBox[{"(", 
         RowBox[{"2", "k"}], ")"}]}], "/", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "k"}], ")"}], "!"}]}]}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"k", ",", " ", "0", ",", " ", "n"}], "}"}]}], "]"}]}], " ", 
  ";"}]], "Input",
 CellChangeTimes->{{3.3519654313078*^9, 3.35196544617601*^9}, 
   3.35196549602658*^9, {3.35196565623287*^9, 3.35196570397793*^9}, {
   3.35196581739581*^9, 3.35196582704729*^9}, {3.35196597351169*^9, 
   3.35196597719398*^9}, 3.35196627709598*^9, {3.36119314147643*^9, 
   3.36119314744173*^9}, 3.36551189596294*^9, 3.36551203582142*^9},
 CellID->271135014],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"cSeries", "[", "Sin", "]"}], "[", 
     RowBox[{"n_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "^", "k"}], " ", 
         RowBox[{"z", "^", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "k"}], " ", "+", " ", "1"}], ")"}]}]}], ")"}], 
       "/", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "k"}], " ", "+", " ", "1"}], ")"}], "!"}]}], ",", 
      " ", 
      RowBox[{"{", 
       RowBox[{"k", ",", " ", "0", ",", " ", "n"}], "}"}]}], "]"}]}], ";"}], 
  " "}]], "Input",
 CellChangeTimes->{{3.3519659887304*^9, 3.35196599866444*^9}, 
   3.35196627947217*^9, {3.36119314427232*^9, 3.36119314668723*^9}, {
   3.36119320598856*^9, 3.36119323232076*^9}, 3.36551189960354*^9, 
   3.36551203991515*^9},
 CellID->761505454],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"cTPlot", "[", 
    RowBox[{"f_", ",", "nu_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "trigseries", "}"}], ",", 
     RowBox[{
      RowBox[{"trigseries", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"cSeries", "[", "f", "]"}], "[", 
         RowBox[{"nu", ",", "z"}], "]"}], "/.", 
        RowBox[{"h_HypergeometricPFQ", "\[RuleDelayed]", 
         RowBox[{
          RowBox[{"FunctionInterpolation", "[", 
           RowBox[{"h", ",", 
            RowBox[{"{", 
             RowBox[{"z", ",", 
              RowBox[{
               RowBox[{"-", "2"}], " ", "Pi"}], ",", 
              RowBox[{"2", " ", "Pi"}]}], "}"}]}], "]"}], "[", "z", 
          "]"}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"Evaluate", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"f", "[", "z", "]"}], ",", 
           RowBox[{"Re", "[", "trigseries", "]"}], ",", 
           RowBox[{"Im", "[", "trigseries", "]"}]}], "}"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", 
          RowBox[{
           RowBox[{"-", "2"}], " ", "Pi"}], ",", 
          RowBox[{"2", " ", "Pi"}]}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Directive", "[", 
            RowBox[{
             RowBox[{"Thickness", "[", "0.01", "]"}], ",", "Gray"}], "]"}], 
           ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{".12", ",", ".61", ",", ".78"}], "]"}]}], "}"}]}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"3", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}]}]}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", 
         RowBox[{"TraditionalForm", "[", 
          RowBox[{"Text", "@", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"\"\<n = \>\"", "<>", 
              RowBox[{"ToString", "[", "nu", "]"}]}], ",", "14"}], "]"}]}], 
          "]"}]}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"500", ",", "400"}], "}"}]}]}], "]"}]}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.35196553559942*^9, 3.35196560363057*^9}, {
   3.35196570781477*^9, 3.35196581065498*^9}, 3.35196596710015*^9, {
   3.35196600207257*^9, 3.35196603656026*^9}, {3.35196610642098*^9, 
   3.3519662052964*^9}, 3.35724279276563*^9, {3.35724285785938*^9, 
   3.35724286904688*^9}, {3.3572429056875*^9, 3.35724290992188*^9}, {
   3.3587869415463*^9, 3.35878694498378*^9}, {3.36119323904706*^9, 
   3.36119324301294*^9}, 3.36119382594257*^9, 3.36291687390531*^9, {
   3.36551048156574*^9, 3.36551048698759*^9}, {3.36551052061237*^9, 
   3.36551052067487*^9}, {3.36551056345585*^9, 3.36551059664313*^9}, 
   3.3655118915411*^9, {3.3655120282746*^9, 3.36551203132145*^9}, {
   3.370365027195629*^9, 3.370365032851843*^9}, {3.372897180625*^9, 
   3.372897197171875*^9}},
 CellID->6532064],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"cTPlot", "[", 
    RowBox[{"f", ",", 
     RowBox[{"n", ".", 
      RowBox[{"{", 
       RowBox[{"1", ",", "I"}], "}"}]}]}], "]"}], " ", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", " ", "Cos", ",", " ", "\"\<function\>\""}], "}"}], 
     ",", " ", 
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"Cos", "\[Rule]", "\"\<cos\>\""}], ",", 
       RowBox[{"Sin", "\[Rule]", "\"\<sin\>\""}]}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "1"}], "}"}], ",", "\"\<number of terms\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "5"}], "}"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.35332801689357*^9, 3.35332802359665*^9}, {
   3.35724277792188*^9, 3.35724277960938*^9}, {3.3587869102965*^9, 
   3.3587869212808*^9}, {3.36119262743138*^9, 3.36119263421206*^9}, 
   3.36119326855503*^9, {3.382959172143725*^9, 3.382959173987475*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`f$$ = Cos, $CellContext`n$$ = {2, 1}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`f$$], Cos, "function"}, {
      Cos -> "cos", Sin -> "sin"}}, {{
       Hold[$CellContext`n$$], {2, 1}, "number of terms"}, {0, 0}, {5, 5}}}, 
    Typeset`size$$ = {500., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`f$28243$$ = False, $CellContext`n$28244$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`f$$ = Cos, $CellContext`n$$ = {2, 1}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`f$$, $CellContext`f$28243$$, False], 
        Hold[$CellContext`n$$, $CellContext`n$28244$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`cTPlot[$CellContext`f$$, 
        Dot[$CellContext`n$$, {1, I}]], 
      "Specifications" :> {{{$CellContext`f$$, Cos, "function"}, {
         Cos -> "cos", Sin -> "sin"}}, {{$CellContext`n$$, {2, 1}, 
          "number of terms"}, {0, 0}, {5, 5}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{544., {283., 288.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`cTPlot[
          Pattern[$CellContext`f, 
           Blank[]], 
          Pattern[$CellContext`nu, 
           Blank[]]] := 
        Module[{$CellContext`trigseries}, $CellContext`trigseries = 
           ReplaceAll[
             $CellContext`cSeries[$CellContext`f][$CellContext`nu, \
$CellContext`z], Pattern[$CellContext`h, 
               Blank[HypergeometricPFQ]] :> 
             FunctionInterpolation[$CellContext`h, {$CellContext`z, (-2) Pi, 
                2 Pi}][$CellContext`z]]; Plot[
            Evaluate[{
              $CellContext`f[$CellContext`z], 
              Re[$CellContext`trigseries], 
              Im[$CellContext`trigseries]}], {$CellContext`z, (-2) Pi, 2 Pi}, 
            PlotStyle -> {
              Directive[
               Thickness[0.01], Gray], 
              RGBColor[1, 0.47, 0], 
              RGBColor[0.12, 0.61, 0.78]}, PlotRange -> 3 {-1, 1}, PlotLabel -> 
            TraditionalForm[
              Text[
               Style[
                StringJoin["n = ", 
                 ToString[$CellContext`nu]], 14]]], 
            ImageSize -> {500, 400}]], $CellContext`cSeries[Cos][
          Pattern[$CellContext`n, 
           Blank[]], 
          Pattern[$CellContext`z, 
           Blank[]]] = 
        Cos[$CellContext`z] + ($CellContext`z^2 \
(-$CellContext`z^2)^$CellContext`n 
           HypergeometricPFQ[{1}, {
             3/2 + $CellContext`n, 2 + $CellContext`n}, -$CellContext`z^2/4])/
          Gamma[3 + 2 $CellContext`n], $CellContext`cSeries[Sin][
          Pattern[$CellContext`n, 
           Blank[]], 
          Pattern[$CellContext`z, 
           
           Blank[]]] = $CellContext`z (($CellContext`z^2 \
(-$CellContext`z^2)^$CellContext`n 
            HypergeometricPFQ[{1}, {
              2 + $CellContext`n, 5/2 + $CellContext`n}, -$CellContext`z^2/
              4])/Gamma[4 + 2 $CellContext`n] + 
          Sin[$CellContext`z]/$CellContext`z)}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`cSeries[Cos][
            Pattern[$CellContext`n, 
             Blank[]], 
            Pattern[$CellContext`z, 
             Blank[]]] = 
          Sum[(-1)^$CellContext`k ($CellContext`z^(2 $CellContext`k)/
             Factorial[2 $CellContext`k]), {$CellContext`k, 
             0, $CellContext`n}]; Null, $CellContext`cSeries[Sin][
            Pattern[$CellContext`n, 
             Blank[]], 
            Pattern[$CellContext`z, 
             Blank[]]] = 
          Sum[((-1)^$CellContext`k $CellContext`z^(2 $CellContext`k + 1))/
            Factorial[
            2 $CellContext`k + 1], {$CellContext`k, 0, $CellContext`n}]; 
         Null, $CellContext`cTPlot[
            Pattern[$CellContext`f, 
             Blank[]], 
            Pattern[$CellContext`nu, 
             Blank[]]] := 
          Module[{$CellContext`trigseries}, $CellContext`trigseries = 
             ReplaceAll[
               $CellContext`cSeries[$CellContext`f][$CellContext`nu, \
$CellContext`z], Pattern[$CellContext`h, 
                 Blank[HypergeometricPFQ]] :> 
               FunctionInterpolation[$CellContext`h, {$CellContext`z, (-2) Pi,
                   2 Pi}][$CellContext`z]]; Plot[
              Evaluate[{
                $CellContext`f[$CellContext`z], 
                Re[$CellContext`trigseries], 
                Im[$CellContext`trigseries]}], {$CellContext`z, (-2) Pi, 2 
               Pi}, PlotStyle -> {
                Directive[
                 Thickness[0.01], Gray], 
                RGBColor[1, 0.47, 0], 
                RGBColor[0.12, 0.61, 0.78]}, PlotRange -> 3 {-1, 1}, 
              PlotLabel -> TraditionalForm[
                Text[
                 Style[
                  StringJoin["n = ", 
                   ToString[$CellContext`nu]], 14]]], 
              ImageSize -> {500, 400}]]; Null}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->156875366],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Taylor Expansions with Noninteger Number of Terms",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
TaylorExpansionsWithNonintegerNumberOfTerms/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
TaylorExpansionsWithNonintegerNumberOfTerms/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
TaylorExpansionsWithNonintegerNumberOfTerms/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
TaylorExpansionsWithNonintegerNumberOfTerms/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
TaylorExpansionsWithNonintegerNumberOfTerms/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Michael Trott",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Michael+Trott"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Michael+Trott"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->44523335],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TaylorExpansionsWithNonintegerNumberOfTerms"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Taylor Expansions with Noninteger Number of Terms - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 241, 4, 70, "Section"],
Cell[834, 29, 968, 27, 70, "Input",
 CellID->271135014],
Cell[1805, 58, 1031, 32, 70, "Input",
 CellID->761505454],
Cell[2839, 92, 3143, 77, 70, "Input",
 CellID->6532064],
Cell[5985, 171, 1260, 35, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[7260, 209, 5868, 129, 70, "Output",
 CellID->156875366],
Cell[CellGroupData[{
Cell[13153, 342, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[13529, 353, 1059, 31, 70, "Text"],
Cell[14591, 386, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[14931, 397, 455, 15, 70, "Text",
 CellID->44523335],
Cell[CellGroupData[{
Cell[15411, 416, 829, 24, 70, "Text"],
Cell[16243, 442, 1219, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature VSzHR#hnQZDj1CDs06KlAnVw *)
