(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     19561,        532]
NotebookOptionsPosition[     18447,        489]
NotebookOutlinePosition[     19055,        513]
CellTagsIndexPosition[     19012,        510]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Taylor Polynomials", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<series degree = \>\"", ",", "deg"}], "}"}], "]"}], 
         ",", "\"\<Label\>\"", ",", "12"}], "]"}], ",", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"Evaluate", "@", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"func", "/.", 
             RowBox[{"x", "\[Rule]", "t"}]}], ",", 
            RowBox[{"MakeSeriesFunction", "[", 
             RowBox[{"func", ",", "x", ",", "deg", ",", "pt"}], "]"}]}], 
           "}"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", " ", 
           RowBox[{"2", "Pi"}]}], "}"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"2", "Pi"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"5", " ", "72"}]}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"GrayLevel", "[", 
              RowBox[{".25", ",", ".85"}], "]"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"RGBColor", "[", 
              RowBox[{"0", ",", "0", ",", ".9", ",", ".8"}], "]"}], "}"}]}], 
           "}"}]}], ",", 
         RowBox[{"Filling", "\[Rule]", " ", 
          RowBox[{"{", 
           RowBox[{"1", "\[Rule]", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", "2", "}"}], ",", 
              RowBox[{"Directive", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Opacity", "[", ".1", "]"}], ",", "Green"}], "}"}], 
               "]"}]}], "}"}]}], "}"}]}], ",", 
         RowBox[{"Epilog", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Red", ",", 
            RowBox[{"PointSize", "[", ".02", "]"}], ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{"pt", ",", 
               RowBox[{"func", "/.", 
                RowBox[{"x", "\[Rule]", "pt"}]}]}], "}"}], "]"}], ",", "Blue",
             ",", 
            RowBox[{"Point", "[", 
             RowBox[{"{", 
              RowBox[{"pt", ",", "0"}], "}"}], "]"}], ",", 
            RowBox[{"Dashing", "[", 
             RowBox[{"{", ".01", "}"}], "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"pt", ",", 
                 RowBox[{"func", "/.", 
                  RowBox[{"x", "\[Rule]", "pt"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"pt", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}]}]}], 
        "]"}]}], "}"}], ",", "Center"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"deg", ",", "10", ",", "\"\<series degree\>\""}], "}"}], ",", 
     "1", ",", "24", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pt", ",", "0", ",", "\"\<expansion point\>\""}], "}"}], ",", 
     "0", ",", 
     RowBox[{"2", "Pi"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"func", ",", 
       RowBox[{"Sin", "[", "x", "]"}], ",", "\"\<function\>\""}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", "x", "]"}], "->", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Sin", "[", "x", "]"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{"x", "*", "2"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"x", "+", "1"}], ")"}]}], "->", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"Cos", "[", 
           RowBox[{"x", "*", "2"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{"x", "+", "1"}], ")"}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"(", 
          RowBox[{"1", "+", "x"}], ")"}]}], "->", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{"1", "+", "x"}], ")"}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"\[ExponentialE]", "^", "x"}], "/", "100"}], "->", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"\[ExponentialE]", "^", "x"}], "/", "100"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"2", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"-", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "3"}], "+", "x"}], ")"}], "2"]}]]}], "->", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"2", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"-", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "3"}], "+", "x"}], ")"}], "2"]}]]}], "]"}]}]}], 
      "}"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"MakeSeriesFunction", "[", 
       RowBox[{"fn_", ",", "var_", ",", "deg_", ",", "pt_"}], "]"}], ":=", 
      RowBox[{"Module", "[", 
       RowBox[{
        RowBox[{"{", "wrkfn", "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"wrkfn", "[", "tt_", "]"}], "=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Head", "[", "fn", "]"}], "===", "Symbol"}], "&&", 
             RowBox[{"fn", "=!=", "var"}]}], ",", 
            RowBox[{"fn", "[", "tt", "]"}], ",", 
            RowBox[{"fn", "/.", 
             RowBox[{"var", "\[RuleDelayed]", "tt"}]}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", " ", 
         RowBox[{"Normal", "@", 
          RowBox[{"Series", "[", 
           RowBox[{
            RowBox[{"wrkfn", "[", "t", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"t", ",", "pt", ",", "deg"}], "}"}]}], "]"}]}]}]}], 
       "\[IndentingNewLine]", "]"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35368165734581*^9, {3.35368171633732*^9, 3.35368175997859*^9}, {
   3.35368192382756*^9, 3.3536819239556*^9}, {3.35368276459353*^9, 
   3.35368279510866*^9}, {3.35368321079056*^9, 3.35368324817325*^9}, {
   3.35368328223037*^9, 3.35368328489484*^9}, {3.35385849180621*^9, 
   3.35385849712709*^9}, {3.35473160141523*^9, 3.35473160961735*^9}, {
   3.35489447661358*^9, 3.35489448605697*^9}, {3.3555822207425*^9, 
   3.35558222139343*^9}, 3.35558298497141*^9, {3.3555830182793*^9, 
   3.35558311874376*^9}, 3.35575780172841*^9, 3.35575831281332*^9, 
   3.35575919569284*^9, {3.35810001968075*^9, 3.3581000943934*^9}, {
   3.3585348070613*^9, 3.35853493921792*^9}, {3.36249715788866*^9, 
   3.36249715811841*^9}, {3.372782562485803*^9, 3.372782564338467*^9}, {
   3.3727826112859745`*^9, 3.3727826116064353`*^9}, {3.3727826456654096`*^9, 
   3.372782648629672*^9}, {3.379355684158656*^9, 3.3793557867461696`*^9}, {
   3.382458652349497*^9, 3.3824586562648625`*^9}, {3.3845311573625665`*^9, 
   3.384531157753128*^9}},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`deg$$ = 10, $CellContext`func$$ = 
    Sin[$CellContext`x], $CellContext`pt$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`deg$$], 10, "series degree"}, 1, 24, 1}, {{
       Hold[$CellContext`pt$$], 0, "expansion point"}, 0, 2 Pi}, {{
       Hold[$CellContext`func$$], 
       Sin[$CellContext`x], "function"}, {
      Sin[$CellContext`x] -> TraditionalForm[
         Sin[$CellContext`x]], (1 + $CellContext`x)^(-1) 
        Cos[2 $CellContext`x] -> 
       TraditionalForm[(1 + $CellContext`x)^(-1) Cos[2 $CellContext`x]], (
         1 + $CellContext`x)^(-1) -> 
       TraditionalForm[(1 + $CellContext`x)^(-1)], 
       Rational[1, 100] E^$CellContext`x -> 
       TraditionalForm[Rational[1, 100] E^$CellContext`x], 
       2 E^(-(-3 + $CellContext`x)^2) -> 
       TraditionalForm[2 E^(-(-3 + $CellContext`x)^2)]}}}, Typeset`size$$ = {
    360., {119., 124.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`deg$185912$$ = 
    0, $CellContext`pt$185913$$ = 0, $CellContext`func$185914$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`deg$$ = 10, $CellContext`func$$ = 
        Sin[$CellContext`x], $CellContext`pt$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`deg$$, $CellContext`deg$185912$$, 0], 
        Hold[$CellContext`pt$$, $CellContext`pt$185913$$, 0], 
        Hold[$CellContext`func$$, $CellContext`func$185914$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Style[
          Row[{"series degree = ", $CellContext`deg$$}], "Label", 12], 
         Plot[
          Evaluate[{
            
            ReplaceAll[$CellContext`func$$, $CellContext`x -> \
$CellContext`t], 
            $CellContext`MakeSeriesFunction[$CellContext`func$$, \
$CellContext`x, $CellContext`deg$$, $CellContext`pt$$]}], {$CellContext`t, 0, 
           2 Pi}, PlotRange -> {{0, 2 Pi}, {-2, 2}}, ImageSize -> 5 72, 
          PlotStyle -> {{
             GrayLevel[0.25, 0.85]}, {
             RGBColor[0, 0, 0.9, 0.8]}}, Filling -> {1 -> {{2}, 
              Directive[{
                Opacity[0.1], Green}]}}, Epilog -> {Red, 
            PointSize[0.02], 
            Point[{$CellContext`pt$$, 
              
              ReplaceAll[$CellContext`func$$, $CellContext`x -> \
$CellContext`pt$$]}], Blue, 
            Point[{$CellContext`pt$$, 0}], 
            Dashing[{0.01}], 
            Line[{{$CellContext`pt$$, 
               
               ReplaceAll[$CellContext`func$$, $CellContext`x -> \
$CellContext`pt$$]}, {$CellContext`pt$$, 0}}]}]}, Center], 
      "Specifications" :> {{{$CellContext`deg$$, 10, "series degree"}, 1, 24, 
         1}, {{$CellContext`pt$$, 0, "expansion point"}, 0, 2 
         Pi}, {{$CellContext`func$$, 
          Sin[$CellContext`x], "function"}, {
         Sin[$CellContext`x] -> TraditionalForm[
            Sin[$CellContext`x]], (1 + $CellContext`x)^(-1) 
           Cos[2 $CellContext`x] -> 
          TraditionalForm[(1 + $CellContext`x)^(-1) Cos[2 $CellContext`x]], (
            1 + $CellContext`x)^(-1) -> 
          TraditionalForm[(1 + $CellContext`x)^(-1)], 
          Rational[1, 100] E^$CellContext`x -> 
          TraditionalForm[Rational[1, 100] E^$CellContext`x], 
          2 E^(-(-3 + $CellContext`x)^2) -> 
          TraditionalForm[2 E^(-(-3 + $CellContext`x)^2)]}}}, "Options" :> {},
       "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{404., {193., 198.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({{$CellContext`MakeSeriesFunction[
           Pattern[$CellContext`fn, 
            Blank[]], 
           Pattern[$CellContext`var, 
            Blank[]], 
           Pattern[$CellContext`deg, 
            Blank[]], 
           Pattern[$CellContext`pt, 
            Blank[]]] := Module[{$CellContext`wrkfn}, $CellContext`wrkfn[
              Pattern[$CellContext`tt, 
               Blank[]]] = If[
              And[
              Head[$CellContext`fn] === 
               Symbol, $CellContext`fn =!= $CellContext`var], 
              $CellContext`fn[$CellContext`tt], 
              
              ReplaceAll[$CellContext`fn, $CellContext`var :> \
$CellContext`tt]]; Normal[
             Series[
              $CellContext`wrkfn[$CellContext`t], {$CellContext`t, \
$CellContext`pt, $CellContext`deg}]]], 
         Attributes[PlotRange] = {
          ReadProtected}}; {$CellContext`MakeSeriesFunction[
           Pattern[$CellContext`fn, 
            Blank[]], 
           Pattern[$CellContext`var, 
            Blank[]], 
           Pattern[$CellContext`deg, 
            Blank[]], 
           Pattern[$CellContext`pt, 
            Blank[]]] := Module[{$CellContext`wrkfn}, $CellContext`wrkfn[
              Pattern[$CellContext`tt, 
               Blank[]]] = If[
              And[
              Head[$CellContext`fn] === 
               Symbol, $CellContext`fn =!= $CellContext`var], 
              $CellContext`fn[$CellContext`tt], 
              
              ReplaceAll[$CellContext`fn, $CellContext`var :> \
$CellContext`tt]]; Normal[
             Series[
              $CellContext`wrkfn[$CellContext`t], {$CellContext`t, \
$CellContext`pt, $CellContext`deg}]]]}}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->271023765],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Taylor Polynomials",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TaylorPolynomials/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TaylorPolynomials/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TaylorPolynomials/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TaylorPolynomials/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TaylorPolynomials/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Harry Calkins", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->291494310]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TaylorPolynomials"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Taylor Polynomials - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (April 18, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 210, 4, 70, "Section"],
Cell[803, 29, 7500, 194, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[8318, 226, 6051, 132, 70, "Output",
 CellID->271023765],
Cell[CellGroupData[{
Cell[14394, 362, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[14770, 373, 880, 24, 70, "Text"],
Cell[CellGroupData[{
Cell[15675, 401, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[16015, 412, 204, 6, 70, "Text",
 CellID->291494310]
}, Open  ]],
Cell[CellGroupData[{
Cell[16256, 423, 967, 27, 70, "Text"],
Cell[17226, 452, 1193, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature gS47q2XS@p@8cATscjUBotMw *)
