(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     34979,        787]
NotebookOptionsPosition[     33723,        741]
NotebookOutlinePosition[     34365,        765]
CellTagsIndexPosition[     34322,        762]
WindowTitle->Taylor Polynomials Approximated by Interpolations - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Taylor Polynomials Approximated by Interpolations", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"k", "[", "t_", "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"t", "^", "3"}], "+", "t", "+", "2"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"t", "^", "4"}], " ", "+", " ", 
      RowBox[{"t", "^", "2"}], " ", "+", " ", "1"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"h", "[", "t_", "]"}], "=", " ", 
   RowBox[{"k", "[", " ", 
    RowBox[{
     RowBox[{"Sqrt", "[", "Pi", "]"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Sin", "[", 
        RowBox[{"t", "^", "2"}], "]"}], "-", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"t", "^", "2"}], ")"}], "^", "1"}], "/", "4"}]}], " ", 
      ")"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Delta", "=", "1.5"}], ";", "  ", 
  RowBox[{"nn", "=", "9"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"e", "=", 
   RowBox[{"1", "/", "100"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellID->735981954],

Cell[BoxData[
 RowBox[{"Manipulate", "[", " ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Lxx", " ", "=", " ", "\[IndentingNewLine]", "    ", 
     RowBox[{"Table", "[", " ", 
      RowBox[{
       RowBox[{"a", "+", "  ", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "^", "k"}], " ", "Delta", " ", 
         RowBox[{"k", "/", "nn"}], 
         RowBox[{"(", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "w", "]"}], "^", "2"}], "+", "e"}], ")"}]}]}],
        ",", " ", 
       RowBox[{"{", 
        RowBox[{"k", ",", "nn", ",", "1", ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "]"}]}], " ", ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Lx", " ", "=", 
     RowBox[{"Append", "[", 
      RowBox[{
       RowBox[{"Lxx", "[", 
        RowBox[{"[", 
         RowBox[{"1", ";;", "m"}], "]"}], "]"}], ",", "a"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Ly", " ", "=", " ", 
     RowBox[{"h", "[", "Lx", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"L", "=", 
     RowBox[{"Table", "[", "  ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"2", "-", "j"}], ")"}], " ", 
         RowBox[{"Lx", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], " ", "+", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"j", "-", "1"}], ")"}], " ", 
         RowBox[{"Ly", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}]}], "  ", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"m", "+", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "2"}], "}"}]}], " ", "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"T", "[", "t_", "]"}], "=", 
     RowBox[{
      RowBox[{"Normal", "[", 
       RowBox[{"Series", "[", " ", 
        RowBox[{
         RowBox[{"h", "[", "x", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "a", ",", "m"}], "}"}]}], "]"}], "]"}], "/.", 
      RowBox[{"x", "\[Rule]", "t"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"f", "=", " ", 
     RowBox[{"InterpolatingPolynomial", "[", " ", 
      RowBox[{"L", ",", " ", "x"}], " ", "]"}]}], ";", "\[IndentingNewLine]", 
    
    RowBox[{
     RowBox[{"F", "[", "t_", "]"}], "=", 
     RowBox[{"f", "/.", 
      RowBox[{"x", " ", "\[Rule]", "t"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Show", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Plot", "[", " ", 
       RowBox[{
        RowBox[{"Evaluate", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"F", "[", "t", "]"}], "/.", 
            RowBox[{"w", "\[Rule]", " ", "c"}]}], ",", 
           RowBox[{"h", "[", "t", "]"}], ",", 
           RowBox[{"T", "[", "t", "]"}]}], "}"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", 
          RowBox[{"a", "-", "Delta"}], ",", 
          RowBox[{"a", "+", " ", "Delta"}]}], "}"}], " ", ",", 
        RowBox[{"PlotRange", "\[Rule]", " ", "3"}], ",", 
        "\[IndentingNewLine]", "             ", 
        RowBox[{"PlotStyle", " ", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{"Automatic", ",", "Thick", ",", "Automatic"}], "}"}]}]}], 
       "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"ListPlot", "[", "  ", 
       RowBox[{
        RowBox[{"L", "/.", 
         RowBox[{"w", "\[Rule]", " ", "c"}]}], ",", 
        RowBox[{"PlotMarkers", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Automatic", ",", "Medium"}], "}"}]}]}], " ", "]"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"500", ",", "300"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "0", ",", "\"\<distribution of points\>\""}], "}"}], 
     ",", "0", ",", "Pi"}], "}"}], " ", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "1", ",", "\"\<number of points\>\""}], "}"}], ",", 
     "1", ",", "nn", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4578687769228516`*^9, {3.4578702763239155`*^9, 
   3.4578702877289248`*^9}, {3.457871869304163*^9, 3.4578718694291515`*^9}, {
   3.4579712615153437`*^9, 3.4579713105512466`*^9}, {3.458313226140625*^9, 
   3.4583132303125*^9}, {3.458313552765625*^9, 3.458313700671875*^9}, {
   3.458378903575712*^9, 3.458378914382049*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`c$$ = 0, $CellContext`m$$ = 2, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`c$$], 0, "distribution of points"}, 0, Pi}, {{
       Hold[$CellContext`m$$], 2, "number of points"}, 1, 9, 1}}, 
    Typeset`size$$ = {500., {148., 152.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`c$9712$$ = 0, $CellContext`m$9713$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`c$$ = 0, $CellContext`m$$ = 2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`c$$, $CellContext`c$9712$$, 0], 
        Hold[$CellContext`m$$, $CellContext`m$9713$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`Lxx = 
        Table[$CellContext`a + (((-1)^$CellContext`k $CellContext`Delta) \
($CellContext`k/$CellContext`nn)) (
            Cos[$CellContext`w]^2 + $CellContext`e), {$CellContext`k, \
$CellContext`nn, 1, -1}]; $CellContext`Lx = Append[
          Part[$CellContext`Lxx, 
           Span[
           1, $CellContext`m$$]], $CellContext`a]; $CellContext`Ly = \
$CellContext`h[$CellContext`Lx]; $CellContext`L = 
        Table[(2 - $CellContext`j) 
           Part[$CellContext`Lx, $CellContext`i] + ($CellContext`j - 1) 
           Part[$CellContext`Ly, $CellContext`i], {$CellContext`i, \
$CellContext`m$$ + 1}, {$CellContext`j, 2}]; $CellContext`T[
          Pattern[$CellContext`t$, 
           Blank[]]] = ReplaceAll[
          Normal[
           Series[
            $CellContext`h[$CellContext`x], {$CellContext`x, $CellContext`a, \
$CellContext`m$$}]], $CellContext`x -> $CellContext`t$]; $CellContext`f = 
        InterpolatingPolynomial[$CellContext`L, $CellContext`x]; \
$CellContext`F[
          Pattern[$CellContext`t, 
           Blank[]]] = 
        ReplaceAll[$CellContext`f, $CellContext`x -> $CellContext`t]; Show[
         Plot[
          Evaluate[{
            ReplaceAll[
             $CellContext`F[$CellContext`t], $CellContext`w -> \
$CellContext`c$$], 
            $CellContext`h[$CellContext`t], 
            $CellContext`T[$CellContext`t]}], {$CellContext`t, $CellContext`a - \
$CellContext`Delta, $CellContext`a + $CellContext`Delta}, PlotRange -> 3, 
          PlotStyle -> {Automatic, Thick, Automatic}], 
         ListPlot[
          ReplaceAll[$CellContext`L, $CellContext`w -> $CellContext`c$$], 
          PlotMarkers -> {Automatic, Medium}], ImageSize -> {500, 300}]), 
      "Specifications" :> {{{$CellContext`c$$, 0, "distribution of points"}, 
         0, Pi}, {{$CellContext`m$$, 2, "number of points"}, 1, 9, 1, 
         Appearance -> "Labeled"}}, "Options" :> {TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{545., {206., 211.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`Lxx = {
         1 - 1.5 (1/100 + Cos[$CellContext`w]^2), 1 + 
          1.3333333333333333` (1/100 + Cos[$CellContext`w]^2), 1 - 
          1.1666666666666667` (1/100 + Cos[$CellContext`w]^2), 1 + 
          1. (1/100 + Cos[$CellContext`w]^2), 1 - 
          0.8333333333333334 (1/100 + Cos[$CellContext`w]^2), 1 + 
          0.6666666666666666 (1/100 + Cos[$CellContext`w]^2), 1 - 
          0.5 (1/100 + Cos[$CellContext`w]^2), 1 + 
          0.3333333333333333 (1/100 + Cos[$CellContext`w]^2), 1 - 
          0.16666666666666666` (1/100 + 
           Cos[$CellContext`w]^2)}, $CellContext`a = 1, $CellContext`k[
          Pattern[$CellContext`t, 
           Blank[]]] = (2 + $CellContext`t + $CellContext`t^3)/(
         1 + $CellContext`t^2 + $CellContext`t^4), $CellContext`Delta = 
        1.5, $CellContext`nn = 9, $CellContext`e = 
        1/100, $CellContext`Lx = {
         1 - 1.5 (1/100 + Cos[$CellContext`w]^2), 1 + 
          1.3333333333333333` (1/100 + Cos[$CellContext`w]^2), 
          1}, $CellContext`Ly = {(2 + 
           Sqrt[Pi] ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
             Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2]) + 
           Pi^(3/2) ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
              Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^3)/(1 + 
          Pi ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
             Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^2 + 
          Pi^2 ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
             Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^4), (2 + 
           Sqrt[Pi] ((-(1 + 
                 1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
             Sin[(1 + 1.3333333333333333` (1/100 + 
                  Cos[$CellContext`w]^2))^2]) + 
           Pi^(3/2) ((-(1 + 
                  1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
              Sin[(1 + 1.3333333333333333` (1/100 + 
                   Cos[$CellContext`w]^2))^2])^3)/(1 + 
          Pi ((-(1 + 1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/
              4 + Sin[(1 + 
                1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2])^2 + 
          Pi^2 ((-(1 + 
                 1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
             Sin[(1 + 1.3333333333333333` (1/100 + 
                  Cos[$CellContext`w]^2))^2])^4), (2 + 
           Sqrt[Pi] ((-1)/4 + Sin[1]) + Pi^(3/2) ((-1)/4 + Sin[1])^3)/(1 + 
          Pi ((-1)/4 + Sin[1])^2 + Pi^2 ((-1)/4 + Sin[1])^4)}, $CellContext`h[
         
          Pattern[$CellContext`t, 
           Blank[]]] = (2 + 
          Sqrt[Pi] ((-$CellContext`t^2)/4 + Sin[$CellContext`t^2]) + 
          Pi^(3/2) ((-$CellContext`t^2)/4 + Sin[$CellContext`t^2])^3)/(1 + 
         Pi ((-$CellContext`t^2)/4 + Sin[$CellContext`t^2])^2 + 
         Pi^2 ((-$CellContext`t^2)/4 + 
            Sin[$CellContext`t^2])^4), $CellContext`L = {{
          1 - 1.5 (1/100 + Cos[$CellContext`w]^2), (2 + 
            Sqrt[Pi] ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
              Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2]) + 
            Pi^(3/2) ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
               Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^3)/(1 + 
           Pi ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
              Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^2 + 
           Pi^2 ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
              Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^4)}, {
          1 + 1.3333333333333333` (1/100 + Cos[$CellContext`w]^2), (2 + 
            Sqrt[Pi] ((-(1 + 
                  1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
              Sin[(1 + 1.3333333333333333` (1/100 + 
                   Cos[$CellContext`w]^2))^2]) + 
            Pi^(3/2) ((-(1 + 
                   1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
               Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^3)/(1 + 
           Pi ((-(1 + 1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/
               4 + Sin[(1 + 
                 1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2])^2 + 
           Pi^2 ((-(1 + 
                  1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
              Sin[(1 + 1.3333333333333333` (1/100 + 
                   Cos[$CellContext`w]^2))^2])^4)}, {
          1, (2 + Sqrt[Pi] ((-1)/4 + Sin[1]) + Pi^(3/2) ((-1)/4 + Sin[1])^3)/(
           1 + Pi ((-1)/4 + Sin[1])^2 + 
           Pi^2 ((-1)/4 + Sin[1])^4)}}, $CellContext`T[
          Pattern[$CellContext`t$, 
           Blank[]]] = (2 + Sqrt[Pi] ((-1)/4 + Sin[1]) + 
           Pi^(3/2) ((-1)/4 + Sin[1])^3)/(1 + Pi/16 + 
          Pi^2 ((-1)/4 + Sin[1])^4 - (Pi Sin[1])/2 + 
          Pi Sin[1]^2) + (-1 + $CellContext`t$) (-(((2 + 
               Sqrt[Pi] ((-1)/4 + Sin[1]) + Pi^(3/2) ((-1)/4 + Sin[1])^3) (
               Pi/4 - Pi 
               Cos[1] + ((4 Pi^2) ((-1)/2 + 2 Cos[1])) ((-1)/4 + Sin[1])^3 - 
               Pi Sin[1] + ((4 Pi) Cos[1]) Sin[1]))/(1 + Pi/16 + 
              Pi^2 ((-1)/4 + Sin[1])^4 - (Pi Sin[1])/2 + Pi Sin[1]^2)^2) + (
             Sqrt[Pi] ((-1)/2 + 
               2 Cos[1]) + ((3 Pi^(3/2)) ((-1)/2 + 2 Cos[1])) ((-1)/4 + 
                Sin[1])^2)/(1 + Pi/16 + 
            Pi^2 ((-1)/4 + Sin[1])^4 - (Pi Sin[1])/2 + 
            Pi Sin[1]^2)) + (-1 + $CellContext`t$)^2 (-(((
               Sqrt[Pi] ((-1)/2 + 
                 2 Cos[1]) + ((3 Pi^(3/2)) ((-1)/2 + 2 Cos[1])) ((-1)/4 + 
                  Sin[1])^2) (Pi/4 - Pi 
               Cos[1] + ((4 Pi^2) ((-1)/2 + 2 Cos[1])) ((-1)/4 + Sin[1])^3 - 
               Pi Sin[1] + ((4 Pi) Cos[1]) Sin[1]))/(1 + Pi/16 + 
              Pi^2 ((-1)/4 + Sin[1])^4 - (Pi Sin[1])/2 + Pi Sin[1]^2)^2) + (
             Sqrt[Pi] ((-1)/4 + Cos[1] - 2 Sin[1]) + (
               Pi^(3/2) ((3 ((-1)/2 + 2 Cos[1])^2)/((-1)/4 + Sin[1])^2 + (
                  3 ((-1)/4 + Cos[1] - 2 Sin[1]))/((-1)/4 + Sin[1]))) ((-1)/4 + 
                Sin[1])^3)/(1 + Pi/16 + 
            Pi^2 ((-1)/4 + Sin[1])^4 - (Pi Sin[1])/2 + 
            Pi Sin[1]^2) + ((2 + Sqrt[Pi] ((-1)/4 + Sin[1]) + 
              Pi^(3/2) ((-1)/4 + Sin[1])^3) ((Pi/4 - Pi 
                 Cos[1] + ((4 Pi^2) ((-1)/2 + 2 Cos[1])) ((-1)/4 + Sin[1])^3 - 
                 Pi Sin[1] + ((4 Pi) Cos[1]) Sin[1])^2/(1 + Pi/16 + 
                Pi^2 ((-1)/4 + Sin[1])^4 - (Pi Sin[1])/2 + 
                Pi Sin[1]^2)^2 - ((3 Pi)/8 - ((5 Pi) Cos[1])/
               2 + (4 Pi) 
                Cos[1]^2 + (
                 Pi^2 ((6 ((-1)/2 + 2 Cos[1])^2)/((-1)/4 + Sin[1])^2 + (
                    4 ((-1)/4 + Cos[1] - 2 Sin[1]))/((-1)/4 + Sin[1]))) ((-1)/
                   4 + Sin[1])^4 + (Pi Sin[1])/2 + ((2 Pi) Cos[1]) Sin[1] - (
                4 Pi) Sin[1]^2)/(1 + Pi/16 + 
              Pi^2 ((-1)/4 + Sin[1])^4 - (Pi Sin[1])/2 + Pi Sin[1]^2)))/(1 + 
            Pi/16 + Pi^2 ((-1)/4 + Sin[1])^4 - (Pi Sin[1])/2 + Pi Sin[1]^2)), 
        Attributes[$CellContext`t$] = {
         Temporary}, $CellContext`f = (2 + 
           Sqrt[Pi] ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
             Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2]) + 
           Pi^(3/2) ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
              Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^3)/(1 + 
          Pi ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
             Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^2 + 
          Pi^2 ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
             Sin[(1 - 1.5 (1/100 + 
                 Cos[$CellContext`w]^2))^2])^4) + (-1 + $CellContext`x + 
           1.5 (1/100 + Cos[$CellContext`w]^2)) ((
             0.35294117647058826` (-((2 + 
                 Sqrt[Pi] ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                   Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2]) + 
                 Pi^(3/2) ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^3)/(1 + 
                Pi ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                   Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^2 + 
                Pi^2 ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                   Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^4)) + (2 + 
                Sqrt[Pi] ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                  Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2]) + 
                Pi^(3/2) ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                   Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^3)/(1 + 
               Pi ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                  Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^2 + 
               Pi^2 ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                  Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^4)))/(1/100 + 
            Cos[$CellContext`w]^2) + ((
              0.6666666666666666 (-1 + $CellContext`x - 
               1.3333333333333333` (1/100 + 
                Cos[$CellContext`w]^2))) (((-0.75) ((2 + 
                   Sqrt[Pi] ((-1)/4 + Sin[1]) + 
                   Pi^(3/2) ((-1)/4 + Sin[1])^3)/(1 + Pi ((-1)/4 + Sin[1])^2 + 
                  Pi^2 ((-1)/4 + Sin[1])^4) - (2 + 
                  Sqrt[Pi] ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2]) + 
                  Pi^(3/2) ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^3)/(1 + 
                 Pi ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^2 + 
                 Pi^2 ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^4)))/(1/100 + 
               Cos[$CellContext`w]^2) - (
               0.35294117647058826` (-((2 + 
                   Sqrt[Pi] ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2]) + 
                   Pi^(3/2) ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^3)/(1 + 
                  Pi ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^2 + 
                  Pi^2 ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^4)) + (
                  2 + Sqrt[
                    Pi] ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2]) + 
                  Pi^(3/2) ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^3)/(1 + 
                 Pi ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^2 + 
                 Pi^2 ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^4)))/(1/100 + 
              Cos[$CellContext`w]^2)))/(1/100 + 
            Cos[$CellContext`w]^2)), $CellContext`F[
          Pattern[$CellContext`t, 
           Blank[]]] = (2 + 
           Sqrt[Pi] ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
             Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2]) + 
           Pi^(3/2) ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
              Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^3)/(1 + 
          Pi ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
             Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^2 + 
          Pi^2 ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
             Sin[(1 - 1.5 (1/100 + 
                 Cos[$CellContext`w]^2))^2])^4) + (-1 + $CellContext`t + 
           1.5 (1/100 + Cos[$CellContext`w]^2)) ((
             0.35294117647058826` (-((2 + 
                 Sqrt[Pi] ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                   Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2]) + 
                 Pi^(3/2) ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^3)/(1 + 
                Pi ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                   Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^2 + 
                Pi^2 ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                   Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^4)) + (2 + 
                Sqrt[Pi] ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                  Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2]) + 
                Pi^(3/2) ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                   Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^3)/(1 + 
               Pi ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                  Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^2 + 
               Pi^2 ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                  Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^4)))/(1/100 + 
            Cos[$CellContext`w]^2) + ((
              0.6666666666666666 (-1 + $CellContext`t - 
               1.3333333333333333` (1/100 + 
                Cos[$CellContext`w]^2))) (((-0.75) ((2 + 
                   Sqrt[Pi] ((-1)/4 + Sin[1]) + 
                   Pi^(3/2) ((-1)/4 + Sin[1])^3)/(1 + Pi ((-1)/4 + Sin[1])^2 + 
                  Pi^2 ((-1)/4 + Sin[1])^4) - (2 + 
                  Sqrt[Pi] ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2]) + 
                  Pi^(3/2) ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^3)/(1 + 
                 Pi ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^2 + 
                 Pi^2 ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^4)))/(1/100 + 
               Cos[$CellContext`w]^2) - (
               0.35294117647058826` (-((2 + 
                   Sqrt[Pi] ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2]) + 
                   Pi^(3/2) ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^3)/(1 + 
                  Pi ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^2 + 
                  Pi^2 ((-(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 - 1.5 (1/100 + Cos[$CellContext`w]^2))^2])^4)) + (
                  2 + Sqrt[
                    Pi] ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2]) + 
                  Pi^(3/2) ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^3)/(1 + 
                 Pi ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^2 + 
                 Pi^2 ((-(1 + 
                    1.3333333333333333` (1/100 + Cos[$CellContext`w]^2))^2)/4 + 
                    Sin[(1 + 1.3333333333333333` (1/100 + 
                    Cos[$CellContext`w]^2))^2])^4)))/(1/100 + 
              Cos[$CellContext`w]^2)))/(1/100 + Cos[$CellContext`w]^2)), 
        Attributes[PlotRange] = {ReadProtected}, 
        Attributes[Thick] = {ReadProtected}}; Typeset`initDone$$ = True); 
     ReleaseHold[{{
         HoldComplete[$CellContext`k[
             Pattern[$CellContext`t, 
              Blank[]]] = ($CellContext`t^3 + $CellContext`t + 
             2)/($CellContext`t^4 + $CellContext`t^2 + 1); Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`h[
             Pattern[$CellContext`t, 
              Blank[]]] = $CellContext`k[
            Sqrt[Pi] (Sin[$CellContext`t^2] - ($CellContext`t^2)^1/4)]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`a = 1; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`Delta = 1.5; $CellContext`nn = 9; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`e = 1/100; Null]}}]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->1205154595],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Taylor Polynomials Approximated by Interpolations",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
TaylorPolynomialsApproximatedByInterpolations/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
TaylorPolynomialsApproximatedByInterpolations/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
TaylorPolynomialsApproximatedByInterpolations/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
TaylorPolynomialsApproximatedByInterpolations/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
TaylorPolynomialsApproximatedByInterpolations/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Sungkon Chang",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Sungkon+Chang"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Sungkon+Chang"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "Additional contributions by: ",
 ButtonBox["Selwyn Hollis",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Selwyn+Hollis"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Selwyn+Hollis"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->469030593]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TaylorPolynomialsApproximatedByInterpolations"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Taylor Polynomials Approximated by Interpolations - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[639, 23, 241, 4, 70, "Section"],
Cell[883, 29, 1116, 37, 70, "Input",
 InitializationCell->True,
 CellID->735981954],
Cell[2002, 68, 4650, 121, 70, "Input"]
}, Open  ]],
Cell[6667, 192, 22177, 389, 70, "Output",
 CellID->1205154595],
Cell[CellGroupData[{
Cell[28869, 585, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[29245, 596, 1069, 31, 70, "Text"],
Cell[30317, 629, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[30679, 642, 436, 14, 70, "Text"],
Cell[31118, 658, 469, 15, 70, "Text",
 CellID->469030593]
}, Open  ]],
Cell[CellGroupData[{
Cell[31624, 678, 847, 24, 70, "Text"],
Cell[32474, 704, 1221, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature VQ4YnnVpDkEhOCDcgWpdMPO3 *)
