(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20258,        540]
NotebookOptionsPosition[     19093,        495]
NotebookOutlinePosition[     19698,        519]
CellTagsIndexPosition[     19655,        516]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Taylor Series", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"LocatorPane", "[", 
    RowBox[{
     RowBox[{"Dynamic", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xx", ",", 
         RowBox[{"func", "/.", 
          RowBox[{"x", "\[Rule]", "xx"}]}]}], "}"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"xx", "=", 
          RowBox[{"First", "[", "#", "]"}]}], ")"}], "&"}]}], "]"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Dynamic", "@", 
      RowBox[{"Switch", "[", 
       RowBox[{
       "view", ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        "\"\<graphs\>\"", ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "[", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"Evaluate", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"func", "/.", 
               RowBox[{"x", "\[Rule]", "t"}]}], ",", 
              RowBox[{"Normal", "[", 
               RowBox[{"Series", "[", 
                RowBox[{
                 RowBox[{"func", "/.", 
                  RowBox[{"x", "\[Rule]", "t"}]}], ",", 
                 RowBox[{"{", 
                  RowBox[{"t", ",", "xx", ",", "ApproxOrder"}], "}"}]}], 
                "]"}], "]"}]}], "}"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", 
             RowBox[{
              RowBox[{"-", "2"}], " ", "Pi"}], ",", 
             RowBox[{"2", " ", "Pi"}]}], "}"}], ",", 
           RowBox[{"ImageSize", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"450", ",", "400"}], "}"}]}], ",", 
           RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "2"}], " ", "Pi"}], ",", 
                RowBox[{"2", " ", "Pi"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Axes", "\[Rule]", "True"}]}], "]"}], "]"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "\"\<difference\>\"", 
        ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Deploy", "[", 
         RowBox[{"Dynamic", "[", 
          RowBox[{"Graphics", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"First", "[", 
               RowBox[{"Plot", "[", 
                RowBox[{
                 RowBox[{"Evaluate", "[", 
                  RowBox[{"Abs", "[", 
                   RowBox[{"func", "-", 
                    RowBox[{"Normal", "[", 
                    RowBox[{"Series", "[", 
                    RowBox[{"func", ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "xx", ",", 
                    RowBox[{"IntegerPart", "[", "ApproxOrder", "]"}]}], 
                    "}"}]}], "]"}], "]"}]}], "]"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x", ",", 
                   RowBox[{
                    RowBox[{"-", "2"}], "\[Pi]"}], ",", 
                   RowBox[{"2", "\[Pi]"}]}], "}"}]}], "]"}], "]"}], ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"xx", ",", "0"}], "}"}], "+", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "1"}], "}"}]}], ",", 
                 RowBox[{"{", 
                  RowBox[{"xx", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
            ",", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"450", ",", "400"}], "}"}]}], ",", 
            RowBox[{"PlotRange", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "2"}], "\[Pi]"}], ",", 
                 RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "1"}], ",", "7"}], "}"}]}], "}"}]}], ",", 
            RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
            RowBox[{"AspectRatio", " ", "\[Rule]", " ", "Automatic"}], ",", 
            RowBox[{"ImagePadding", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"20", ",", "20"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"10", ",", "10"}], "}"}]}], "}"}]}]}], "]"}], "]"}], 
         "]"}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", ",", 
     
     RowBox[{"Appearance", "\[Rule]", 
      RowBox[{"Switch", "[", 
       RowBox[{
       "view", ",", "\"\<graphs\>\"", ",", "Automatic", ",", 
        "\"\<difference\>\"", ",", "None"}], "]"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xx", ",", "0"}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2", ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"func", ",", 
       RowBox[{
        RowBox[{"Sin", "[", "x", "]"}], "+", 
        RowBox[{"Cos", "[", "x", "]"}]}], ",", "\"\<function\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Sin", "[", "x", "]"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"Tan", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Tan", "[", "x", "]"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"Cos", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Cos", "[", "x", "]"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"Sin", "[", "x", "]"}], "+", 
         RowBox[{"Cos", "[", "x", "]"}]}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"Sin", "[", "x", "]"}], "+", 
          RowBox[{"Cos", "[", "x", "]"}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"Sec", "[", "x", "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Sec", "[", "x", "]"}], "]"}]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ApproxOrder", ",", "3", ",", "\"\<approximation order\>\""}], 
      "}"}], ",", "0", ",", "11", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"view", ",", "\"\<graphs\>\"", ",", "\"\<view\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"\"\<graphs\>\"", ",", "\"\<difference\>\""}], "}"}]}], "}"}]}],
   "]"}]], "Input",
 CellChangeTimes->{
  3.35757176568782*^9, {3.36363116365625*^9, 3.3636311839375*^9}, 
   3.36363223882813*^9, {3.36369589110938*^9, 3.36369589584375*^9}, {
   3.3636959385625*^9, 3.36369614885938*^9}, {3.36369618546875*^9, 
   3.36369620659375*^9}, {3.3636962373125*^9, 3.36369625020313*^9}, {
   3.36369630401563*^9, 3.3636964096875*^9}, {3.36369645210938*^9, 
   3.363696452625*^9}, {3.36369650571875*^9, 3.36369660820313*^9}, 
   3.363696779125*^9, {3.36369690942188*^9, 3.36369692842188*^9}, {
   3.36414319864063*^9, 3.36414329625*^9}, {3.3641433681875*^9, 
   3.36414336964063*^9}, {3.3641434046875*^9, 3.3641434875625*^9}, {
   3.36414353873438*^9, 3.36414354267188*^9}, {3.3641436975*^9, 
   3.36414375875*^9}, {3.36414397423438*^9, 3.36414399775*^9}, {
   3.36492213598443*^9, 3.3649222010312*^9}, {3.36492225711464*^9, 
   3.36492231397924*^9}, 3.36492234454472*^9, {3.36492247725216*^9, 
   3.36492254616469*^9}, {3.36492262245819*^9, 3.36492267866181*^9}, {
   3.36492274904653*^9, 3.36492276265678*^9}, {3.36577044671796*^9, 
   3.36577045420002*^9}, {3.3717903778830385`*^9, 3.3717905636621356`*^9}, {
   3.3717906045224934`*^9, 3.371790604964227*^9}, {3.371790659096672*^9, 
   3.37179066583311*^9}, 3.3717914969749565`*^9, {3.3717915469410505`*^9, 
   3.3717915473325872`*^9}, {3.374884589328125*^9, 3.374884590109375*^9}, {
   3.382492552044376*^9, 3.382492552626336*^9}, 3.3913525007155275`*^9},
 CellID->4167438]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ApproxOrder$$ = 3, $CellContext`func$$ = 
    Cos[$CellContext`x] + Sin[$CellContext`x], $CellContext`view$$ = 
    "graphs", $CellContext`xx$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`xx$$], 0}, -2, 2}, {{
       Hold[$CellContext`func$$], Cos[$CellContext`x] + Sin[$CellContext`x], 
       "function"}, {Sin[$CellContext`x] -> TraditionalForm[
         Sin[$CellContext`x]], Tan[$CellContext`x] -> TraditionalForm[
         Tan[$CellContext`x]], Cos[$CellContext`x] -> TraditionalForm[
         Cos[$CellContext`x]], Cos[$CellContext`x] + Sin[$CellContext`x] -> 
       TraditionalForm[Cos[$CellContext`x] + Sin[$CellContext`x]], 
       Sec[$CellContext`x] -> TraditionalForm[
         Sec[$CellContext`x]]}}, {{
       Hold[$CellContext`ApproxOrder$$], 3, "approximation order"}, 0, 11, 
      1}, {{
       Hold[$CellContext`view$$], "graphs", "view"}, {
      "graphs", "difference"}}}, Typeset`size$$ = {450., {198., 202.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`xx$11202$$ = 0, $CellContext`func$11203$$ = 
    False, $CellContext`ApproxOrder$11204$$ = 0, $CellContext`view$11205$$ = 
    False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ApproxOrder$$ = 3, $CellContext`func$$ = 
        Cos[$CellContext`x] + Sin[$CellContext`x], $CellContext`view$$ = 
        "graphs", $CellContext`xx$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`xx$$, $CellContext`xx$11202$$, 0], 
        Hold[$CellContext`func$$, $CellContext`func$11203$$, False], 
        Hold[$CellContext`ApproxOrder$$, $CellContext`ApproxOrder$11204$$, 0],
         
        Hold[$CellContext`view$$, $CellContext`view$11205$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> LocatorPane[
        Dynamic[{$CellContext`xx$$, 
          
          ReplaceAll[$CellContext`func$$, $CellContext`x -> \
$CellContext`xx$$]}, ($CellContext`xx$$ = First[#])& ], 
        Dynamic[
         Switch[$CellContext`view$$, "graphs", 
          Dynamic[
           Plot[
            Evaluate[{
              
              ReplaceAll[$CellContext`func$$, $CellContext`x -> \
$CellContext`t], 
              Normal[
               Series[
                
                ReplaceAll[$CellContext`func$$, $CellContext`x -> \
$CellContext`t], {$CellContext`t, $CellContext`xx$$, \
$CellContext`ApproxOrder$$}]]}], {$CellContext`t, (-2) Pi, 2 Pi}, 
            ImageSize -> {450, 400}, AspectRatio -> Automatic, 
            PlotRange -> {{(-2) Pi, 2 Pi}, {-4, 4}}, Axes -> True]], 
          "difference", 
          Deploy[
           Dynamic[
            Graphics[{
              First[
               Plot[
                Evaluate[
                 Abs[$CellContext`func$$ - Normal[
                   
                   Series[$CellContext`func$$, {$CellContext`x, \
$CellContext`xx$$, 
                    
                    IntegerPart[$CellContext`ApproxOrder$$]}]]]], \
{$CellContext`x, (-2) Pi, 2 Pi}]], 
              
              Arrow[{{$CellContext`xx$$, 0} + {0, 1}, {$CellContext`xx$$, 
                 0}}]}, ImageSize -> {450, 400}, 
             PlotRange -> {{(-2) Pi, 2 Pi}, {-1, 7}}, Axes -> True, 
             AspectRatio -> Automatic, 
             ImagePadding -> {{20, 20}, {10, 10}}]]]]], Appearance -> 
        Switch[$CellContext`view$$, "graphs", Automatic, "difference", None]],
       "Specifications" :> {{{$CellContext`xx$$, 0}, -2, 2, ControlType -> 
         None}, {{$CellContext`func$$, Cos[$CellContext`x] + 
          Sin[$CellContext`x], "function"}, {
         Sin[$CellContext`x] -> TraditionalForm[
            Sin[$CellContext`x]], Tan[$CellContext`x] -> TraditionalForm[
            Tan[$CellContext`x]], Cos[$CellContext`x] -> TraditionalForm[
            Cos[$CellContext`x]], Cos[$CellContext`x] + Sin[$CellContext`x] -> 
          TraditionalForm[Cos[$CellContext`x] + Sin[$CellContext`x]], 
          Sec[$CellContext`x] -> TraditionalForm[
            Sec[$CellContext`x]]}}, {{$CellContext`ApproxOrder$$, 3, 
          "approximation order"}, 0, 11, 1, Appearance -> 
         "Labeled"}, {{$CellContext`view$$, "graphs", "view"}, {
         "graphs", "difference"}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {266., 271.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->31673153],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Taylor Series",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TaylorSeries/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TaylorSeries/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TaylorSeries/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TaylorSeries/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TaylorSeries/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Michael Ford",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Michael+Ford"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Michael+Ford"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->69460028],

Cell[TextData[{
 "Suggested by: ",
 ButtonBox["Math Everywhere, Inc.",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Math+Everywhere%\
2C+Inc."], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Math+Everywhere%2C+\
Inc."]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->12,
 FontColor->GrayLevel[0.6],
 CellID->81463453]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TaylorSeries"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Taylor Series - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 205, 4, 70, "Section"],
Cell[798, 29, 8470, 202, 70, "Input",
 CellID->4167438]
}, Open  ]],
Cell[9283, 234, 5174, 106, 70, "Output",
 CellID->31673153],
Cell[CellGroupData[{
Cell[14482, 344, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[14858, 355, 850, 24, 70, "Text"],
Cell[15711, 381, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[16073, 394, 452, 15, 70, "Text",
 CellID->69460028],
Cell[16528, 411, 480, 16, 70, "Text",
 CellID->81463453]
}, Open  ]],
Cell[CellGroupData[{
Cell[17045, 432, 829, 24, 70, "Text"],
Cell[17877, 458, 1188, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature fQj#wXuY3av6xA0nCrvrjydR *)
