(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     14678,        464]
NotebookOptionsPosition[     12710,        387]
NotebookOutlinePosition[     13747,        430]
CellTagsIndexPosition[     13542,        420]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["CantorSet", "Title"],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\

Cantor set is an example of a set, more sets you need to understand in this 
course are much simpler then this one, so just is in here to show you that 
sets are not necessarily trivial, That is why there is a subjet named \"Set 
thory\".\
\>", "Text",
 CellChangeTimes->{{3.42712854815625*^9, 3.427128558875*^9}, 
   3.427128616171875*^9, {3.427128751875*^9, 3.42712875803125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\

There are three sliders, \"number of iterations\"  which on each steep takes \
\\
out the middle third of each part of the set. 
  The \"pan\" sliders centers the view, and the zoom which magnifies the \
parts \\
around the value of pan\
\>", "Text",
 CellChangeTimes->{{3.4271286235*^9, 3.427128635765625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\
The Cantor set is obtained from [0,1] by removing the open middle third and \
iteratively removing the middle third of each remaining interval.\
\>", "Text",
 CellChangeTimes->{3.42745461096875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\

The Cantor set, sometimes also called the Cantor comb or, no middle third set \

(Cullen 1968, 
  pp.78 - 81), is given by taking the interval (set), removing the open 
middle third (), removing the middle third of each of the two remaining 
pieces (), and continuing this procedure ad infinitum
(Sloane' s A102525).The Cantor set is nowhere dense, and has Lebesgue measure \

0.

A general Cantor set is a closed set consisting entirely of boundary 
points.Such sets are uncountable and may have 0 or positive Lebesgue 
measure.The Cantor set is the only totally disconnected, perfect, compact 
metric space up to a homeomorphism (Willard 1970).\
\>", "Text",
 CellChangeTimes->{{3.427128652703125*^9, 3.427128673484375*^9}, {
  3.4274546374375*^9, 3.427454671796875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell["\<\
A set is a finite or infinite collection of objects in which order has no \
significance, and multiplicity is generally also ignored (unlike a list or \
multiset).Members of a set are often referred to as elements and the notation \
is used to denote that is an element of a set.The study of sets and their \
properties is the object of set theory.
  Let \[ScriptCapitalA], \[ScriptCapitalB] sets then :
   \[ScriptCapitalA] \[Union]  \[ScriptCapitalB]  is the set of all elements \
which are either in \[ScriptCapitalA] or   \[ScriptCapitalB] or both. In set \
notation :
      \[ScriptCapitalA] \[Union]  \[ScriptCapitalB] = {x \[SuchThat] x \
\[Element] \[ScriptCapitalA]  or x \[Element] \[ScriptCapitalB]}. (non \
exclusive \"or\").
  Similarly :
   \[ScriptCapitalA] \[Intersection] \[ScriptCapitalB]  is the set of all \
elements which are in both stts \[ScriptCapitalA] and \[ScriptCapitalB]. or
\[ScriptCapitalA] \[Intersection] \[ScriptCapitalB] = {x \[SuchThat] x \
\[Element] \[ScriptCapitalA]  and  x \[Element] \[ScriptCapitalB]}.
\[SuchThat] stands for \"such that\", and \[Element] for \"is element of\"
Let \[ScriptCapitalA], \[ScriptCapitalB] and \[ScriptCapitalC] be sets.Then \
operation on these sets using the   \[Union] and \[Intersection] operators is \
: commutative\
\>", "Text",
 CellChangeTimes->{{3.427459814578125*^9, 3.42745981925*^9}, {
  3.427459851625*^9, 3.427459873421875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", "1", ")"}], "\[ScriptCapitalA]"}], " ", "\[Union]", "  ", 
    "\[ScriptCapitalB]"}], "  ", "=", 
   RowBox[{"\[ScriptCapitalB]", "\[Union]", " ", "\[ScriptCapitalA]"}]}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", "2", ")"}], "\[ScriptCapitalA]"}], " ", "\[Intersection]", 
    " ", "\[ScriptCapitalB]"}], " ", "=", "  ", 
   RowBox[{
   "\[ScriptCapitalB]", "\[Intersection]", "  ", "\[ScriptCapitalA]"}]}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{"associative", "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", "3", ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
      "\[ScriptCapitalA]", " ", "\[Intersection]", " ", "\[ScriptCapitalB]"}],
       ")"}]}], "\[Intersection]", "  ", "\[ScriptCapitalC]"}], "  ", "=", 
   "   ", 
   RowBox[{"\[ScriptCapitalA]", " ", "\[Intersection]", 
    RowBox[{"(", 
     RowBox[{
     "\[ScriptCapitalB]", "\[Intersection]", " ", "\[ScriptCapitalC]"}], " ", 
     ")"}]}]}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", "4", ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
      "\[ScriptCapitalA]", "  ", "\[Union]", " ", "\[ScriptCapitalB]"}], 
      ")"}]}], "\[Union]", " ", "\[ScriptCapitalC]"}], "   ", "=", "  ", 
   RowBox[{"\[ScriptCapitalA]", " ", "\[Union]", 
    RowBox[{"(", 
     RowBox[{"\[ScriptCapitalB]", " ", "\[Union]", " ", "\[ScriptCapitalC]"}],
      ")"}]}]}], " ", "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"and", " ", "distributive"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", "5", ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
      "\[ScriptCapitalA]", " ", "\[Intersection]", " ", "\[ScriptCapitalB]"}],
       " ", ")"}]}], "\[Union]", "  ", "\[ScriptCapitalC]"}], " ", "=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
     "\[ScriptCapitalA]", "  ", "\[Union]", " ", "\[ScriptCapitalC]"}], " ", 
     ")"}], " ", "\[Intersection]", 
    RowBox[{"(", 
     RowBox[{"\[ScriptCapitalB]", " ", "\[Union]", " ", "\[ScriptCapitalC]"}],
      " ", ")"}]}]}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", "6", ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
      "\[ScriptCapitalA]", "   ", "\[Union]", " ", "\[ScriptCapitalB]"}], " ",
       ")"}]}], "\[Intersection]", "  ", "\[ScriptCapitalC]"}], " ", "=", 
   "   ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
     "\[ScriptCapitalA]", " ", "\[Intersection]", "\[ScriptCapitalC]"}], " ", 
     ")"}], "\[Union]", 
    RowBox[{"(", 
     RowBox[{
     "\[ScriptCapitalB]", " ", "\[Intersection]", " ", "\[ScriptCapitalC]"}], 
     ")"}]}]}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"More", " ", "generally"}], ",", 
   RowBox[{
   "we", " ", "have", " ", "the", " ", "infinite", " ", "distributive", " ", 
    "laws"}]}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", "7", ")"}], " ", "\[ScriptCapitalA]"}], " ", 
    "\[Intersection]", 
    RowBox[{"(", " ", 
     RowBox[{
      StyleBox[
       SubscriptBox["\[Union]", "\[Lambda]"],
       FontSize->6], "  ", 
      SubscriptBox["\[ScriptCapitalB]", "\[Lambda]"]}], ")"}]}], "=", " ", 
   RowBox[{
    StyleBox[
     SubscriptBox["\[Union]", "\[Lambda]"],
     FontSize->7], 
    StyleBox[" ",
     FontSize->6], 
    RowBox[{"(", 
     RowBox[{"\[ScriptCapitalA]", " ", "\[Intersection]", " ", 
      SubscriptBox["\[CapitalBeta]", "\[Lambda]"]}], ")"}]}]}], " "}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"(", "8", ")"}], "\[ScriptCapitalA]"}], " ", "\[Union]", " ", 
   RowBox[{"(", " ", 
    RowBox[{
     StyleBox[
      SubscriptBox["\[Intersection]", "\[Gamma]"],
      FontSize->7], 
     SubscriptBox["\[ScriptCapitalB]", "\[Lambda]"]}], ")"}]}], "=", 
  RowBox[{
   StyleBox[
    SubscriptBox["\[Intersection]", "\[Lambda]"],
    FontSize->7], 
   RowBox[{"(", " ", 
    RowBox[{"\[ScriptCapitalA]", " ", "\[Union]", "  ", 
     SubscriptBox["\[ScriptCapitalB]", "\[Lambda]"]}], 
    ")"}]}]}], "\[IndentingNewLine]"}], "Text",
 CellChangeTimes->{{3.427454870515625*^9, 3.42745488671875*^9}}],

Cell[TextData[{
 "\nSet theory is not an isolated nice piece for mathematical entairteinment, \
it is a tool used in almost all intelectual human activities, as such, its \
use is always refered to an environment where it is applied. That is it: is a \
finite or infinite collection of all the objets of interest of this \
particular environment,",
 StyleBox[" ",
  FontSlant->"Italic"],
 "Such envirnoment is called the ",
 StyleBox["Universal set. ",
  FontSlant->"Italic"],
 "Of course it also contains to any set of objets of this environment."
}], "Text",
 CellChangeTimes->{{3.4272727198125*^9, 3.4272727294375*^9}, {
  3.4272727670625*^9, 3.427273069328125*^9}, {3.4272731203125*^9, 
  3.427273130015625*^9}, {3.427273163921875*^9, 3.42727316659375*^9}, {
  3.4272732083125*^9, 3.427273292765625*^9}, {3.427273326859375*^9, 
  3.427273408484375*^9}, {3.427273931390625*^9, 3.427273933234375*^9}, {
  3.427274018171875*^9, 3.427274030734375*^9}, {3.427274061109375*^9, 
  3.42727406384375*^9}, {3.42727413265625*^9, 3.427274181703125*^9}}],

Cell["\<\

Given a set \[ScriptCapitalA] and the universal set \[CapitalOmega], the \
complement of  \[ScriptCapitalA] in \[CapitalOmega] is the set of all \
elements in \[CapitalOmega] which are not in \[ScriptCapitalA]. In set theory \
notation:

\[ScriptCapitalA]'={x/x\[Element]\[CapitalOmega] and x\[NotElement]\
\[ScriptCapitalA]}\
\>", "Text",
 CellChangeTimes->{{3.42727346340625*^9, 3.427273512375*^9}, {
  3.427273542875*^9, 3.427273660546875*^9}, {3.4272736966875*^9, 
  3.4272737286875*^9}, {3.427273804703125*^9, 3.427273907625*^9}, {
  3.427274209671875*^9, 3.4272742735625*^9}}],

Cell["\<\

Morgan's Law.\
\>", "Text",
 CellChangeTimes->{{3.4272751393125*^9, 3.42727514209375*^9}}],

Cell[TextData[{
 "\n(",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["\[Union]", "\[Lambda]"],
    FontSize->10], TraditionalForm]], "Subtitle"],
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["\[ScriptCapitalA]", "\[Lambda]"],
    FontSize->10], TraditionalForm]], "Subtitle"],
 ")' =",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["\[Intersection]", "\[Lambda]"],
    FontSize->10], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox[
     RowBox[{"\[ScriptCapitalA]", "'"}], "\[Lambda]"],
    FontSize->10], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " \n(",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["\[Intersection]", "\[Lambda]"],
    FontSize->10], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["\[ScriptCapitalA]", "\[Lambda]"],
    FontSize->10], TraditionalForm]], "Subtitle"],
 ")' =",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["\[Union]", "\[Lambda]"],
    FontSize->10], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox[
     RowBox[{"\[ScriptCapitalA]", "'"}], "\[Lambda]"],
    FontSize->10], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " "
}], "Text",
 CellChangeTimes->{{3.4272749469375*^9, 3.427274993375*^9}, {
  3.427275034515625*^9, 3.427275044796875*^9}, {3.427275103171875*^9, 
  3.4272751271875*^9}, {3.427459933640625*^9, 3.427459992875*^9}, {
  3.427460181078125*^9, 3.427460201515625*^9}, {3.427460260265625*^9, 
  3.427460276671875*^9}, {3.42746032490625*^9, 3.427460601234375*^9}, {
  3.427460641859375*^9, 3.42746064325*^9}}],

Cell["\<\
Morgan's Law.
\
\>", "Text",
 CellChangeTimes->{{3.427274315578125*^9, 3.42727433353125*^9}, {
  3.4272747801875*^9, 3.427274836390625*^9}, {3.427274872953125*^9, 
  3.4272749384375*^9}}],

Cell[TextData[{
 "Weisstein, Eric W. \"Set.\" From MathWorld--A Wolfram Web Resource.\n",
 ButtonBox["Link",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/Set.html "], None}]
}], "Text",
 CellChangeTimes->{{3.428830257421875*^9, 3.42883025853125*^9}, {
  3.428830302609375*^9, 3.428830302609375*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{667, 854},
WindowMargins->{{Automatic, 346}, {Automatic, -6}},
DefaultNewCellStyle->"Text",
Magnification->1.,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[641, 27, 62, 1, 71, "Section",
   CellTags->"about"]},
 "aplications"->{
  Cell[12638, 383, 56, 1, 70, "Section",
   CellTags->"aplications"]},
 "briefexp"->{
  Cell[1560, 60, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[1867, 72, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "operation"->{
  Cell[1136, 43, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "theory"->{
  Cell[2751, 98, 46, 1, 71, "Section",
   CellTags->"theory"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 13046, 399},
 {"aplications", 13126, 402},
 {"briefexp", 13212, 405},
 {"concepts", 13293, 408},
 {"operation", 13375, 411},
 {"theory", 13455, 414}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 26, 0, 83, "Title"],
Cell[CellGroupData[{
Cell[641, 27, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[706, 30, 393, 8, 101, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1136, 43, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1201, 46, 322, 9, 101, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1560, 60, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[1622, 63, 208, 4, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1867, 72, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[1930, 75, 784, 18, 245, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2751, 98, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[2800, 101, 1423, 24, 209, "Text"],
Cell[4226, 127, 4321, 130, 415, "Text"],
Cell[8550, 259, 1045, 19, 109, "Text"],
Cell[9598, 280, 593, 13, 92, "Text"],
Cell[10194, 295, 101, 4, 44, "Text"],
Cell[10298, 301, 1788, 61, 61, "Text"],
Cell[12089, 364, 197, 6, 44, "Text"],
Cell[12289, 372, 334, 8, 44, "Text"]
}, Open  ]],
Cell[12638, 383, 56, 1, 70, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
