(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4242,        164]
NotebookOptionsPosition[      2613,         97]
NotebookOutlinePosition[      3627,        139]
CellTagsIndexPosition[      3428,        129]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["GraphOfInequalities", "Title"],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
This is an example of a set defined by intersecting several regions, each of \
them defined as the semiplane on one of the sides of the corresponding line\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\
Change the slope and b the y - intercept of each line, see how it changes the \
region it defines and, for a given settings of the remianders m and b values, \
look the resulting set whose point satifies all innequalities. \
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\
The shadowed region represents the interection of all the individual regions \
defined by each innequalities.\
\>", "Text"]
}, Open  ]],

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell["\<\
Given two real numbers a and b, one and only one of the following properties \
hold:
i.)  a < b,
ii)  a = b,
iii) a > b.

The cartesian plane is isomorphous to the set \[DoubleStruckCapitalC]={(x,y) \
such that x and y are real numbers.
if in the set \[DoubleStruckCapitalC], we  look to the pairs (x,y), where y = \
m x + b, ie to the ones that belong to the line defined bu this relation, and \
then we focus our attention to the elements  (x,y) in \
\[DoubleStruckCapitalC], shuch that y \[GreaterEqual] m x + b, this elements \
define what is called a semispace, which graphically corresponds to all the \
elements (x,y) above the straight line.\
\>", "Text"],

Cell[TextData[{
 "\nLink to ",
 ButtonBox["Theory",
  BaseStyle->"Hyperlink",
  ButtonData->{"CantorSet-text.nb", "theory"}]
}], "Text",
 CellChangeTimes->{{3.4274532700625*^9, 3.427453307890625*^9}, {
  3.427453361484375*^9, 3.427453361484375*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 274}, {Automatic, 34}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[628, 26, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[908, 37, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[1257, 49, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[1467, 58, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[1552, 63, 46, 1, 41, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[2541, 93, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 2935, 108},
 {"operation", 3013, 111},
 {"briefexp", 3094, 114},
 {"concepts", 3175, 117},
 {"theory", 3254, 120},
 {"aplications", 3336, 123}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 36, 0, 83, "Title"],
Cell[CellGroupData[{
Cell[628, 26, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[693, 29, 178, 3, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[908, 37, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[973, 40, 247, 4, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1257, 49, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[1319, 52, 133, 3, 47, "Text"]
}, Open  ]],
Cell[1467, 58, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[CellGroupData[{
Cell[1552, 63, 46, 1, 41, "Section",
 CellTags->"theory"],
Cell[1601, 66, 673, 15, 191, "Text"],
Cell[2277, 83, 249, 7, 47, "Text"]
}, Open  ]],
Cell[2541, 93, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
