(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4622,        166]
NotebookOptionsPosition[      3023,        100]
NotebookOutlinePosition[      4038,        142]
CellTagsIndexPosition[      3839,        132]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Graphical Linear Programming For Two Variables", "Title",
 CellChangeTimes->{{3.42745309128125*^9, 3.427453101234375*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
This Demonstration illustrates the graphical solution to several linear \
programming problems, all of which have the same set of constraints; you can \
vary the objective function. When two corner points are optimal, so are all \
the points on the line segment connecting them. The region shaded in blue is \
the feasible region and the colored lines correspond to the constraints. The \
black line represents the chosen objective function set to the slider value. 
\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\
Moving the slider and for each choices of vertex combinations let us find the \
value of the objective function which is related to the intercept with the \
vertical axis of the line associated with the objective\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\
The boundaries of this set are defined by innequalities. In the plane case to \
each innequality it is associated a boundary line.\
\>", "Text"]
}, Open  ]],

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell["\<\

Given two real numbers a and b, one and only one of the following properties \
hold:
i.)  a < b,
ii)  a = b,
iii) a > b.

The cartesian plane is isomorphous to the set \[DoubleStruckCapitalC]={(x,y) \
such that x and y are real numbers.
if in the set \[DoubleStruckCapitalC], we  look to the pairs (x,y), where y = \
m x + b, ie to the ones that belong to the line defined bu this relation, and \
then we focus our attention to the elements  (x,y) in \
\[DoubleStruckCapitalC], shuch that y \[GreaterEqual] m x + b, this elements \
define what is called a semispace, which graphically corresponds to all the \
elements (x,y) above the straight line.
\
\>", "Text",
 CellChangeTimes->{{3.456244062296875*^9, 3.4562441279375*^9}, {
  3.456244240421875*^9, 3.456244373953125*^9}, {3.456244435984375*^9, 
  3.4562447430625*^9}, {3.4562447875*^9, 3.456244818125*^9}, {
  3.456244848421875*^9, 3.4562449435625*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 216}, {Automatic, 14}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[720, 27, 62, 1, 71, "Section",
   CellTags->"about"]},
 "aplications"->{
  Cell[2951, 96, 56, 1, 71, "Section",
   CellTags->"aplications"]},
 "briefexp"->{
  Cell[1651, 55, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[1882, 64, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "operation"->{
  Cell[1313, 43, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "theory"->{
  Cell[1967, 69, 46, 1, 41, "Section",
   CellTags->"theory"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 3345, 111},
 {"aplications", 3425, 114},
 {"briefexp", 3509, 117},
 {"concepts", 3590, 120},
 {"operation", 3672, 123},
 {"theory", 3752, 126}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 128, 1, 137, "Title"],
Cell[CellGroupData[{
Cell[720, 27, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[785, 30, 491, 8, 119, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1313, 43, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1378, 46, 236, 4, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1651, 55, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[1713, 58, 154, 3, 47, "Text"]
}, Open  ]],
Cell[1882, 64, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[CellGroupData[{
Cell[1967, 69, 46, 1, 41, "Section",
 CellTags->"theory"],
Cell[2016, 72, 920, 21, 227, "Text"]
}, Open  ]],
Cell[2951, 96, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
