(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5987,        196]
NotebookOptionsPosition[      4252,        125]
NotebookOutlinePosition[      5263,        167]
CellTagsIndexPosition[      5064,        157]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Interval Notation", "Title",
 CellChangeTimes->{3.42834501240625*^9}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
A real interval is shown graphically and described in words, as a set, and in \
interval notation. (There is no interval notation for the empty set.)
\
\>", "Text"],

Cell["", "Text",
 CellChangeTimes->{3.428343604015625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\
A real interval is shown graphically and described in words, as a set, and in \
interval notation. (There is no interval notation for the empty set.) \
\>", "Text",
 CellChangeTimes->{3.42834475921875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\
There are several ways in which sets of real numbers are refered to.  Which \
alternatives is used, it depends upon the context and user preferences. In \
this demonstrations the three of them  are shown for : finite open or closed \
intervals, semi - open or semiclossed or infinite intervals.\
\>", "Text",
 CellChangeTimes->{{3.42834447959375*^9, 3.428344480171875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["Sets, Real numbers, interval, open and closed intrvals.", "Text",
 CellChangeTimes->{{3.428343638453125*^9, 3.428343708203125*^9}, 
   3.428344925125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell["\<\


a < b means that a is a real number strictly  less then b,
a \[LessSlantEqual]b means that a is a real number that can be   less then b \
or at the most equal to b , but never grather then b
a > b means that a is a real number strictly  greather  then b
a \[GreaterSlantEqual] b means that a is a real number that can be   grather  \
then b or at least  equal to b , but never lower then b\
\>", "Text",
 CellChangeTimes->{{3.428343432875*^9, 3.42834344815625*^9}, {
   3.428344140453125*^9, 3.428344239046875*^9}, 3.42834442978125*^9}],

Cell[TextData[{
 "An interval is a connected portion of the real line. If the endpoints a and \
b are finite and are included, the interval is called closed and is denoted \
[a,b]. If the endpoints are not included, the interval is called open  and \
denoted (a,b). If one endpoint is included but not the other, the interval is \
denoted [a,b) or (a,b] and is called a half-closed (or half-open interval).\n\
An interval [a,a] is called a degenerate interval.\nIf one of the endpoints \
is +/-infty, then the interval still contains all of its limit points, so \
[a,infty) and (-infty,b] are also closed intervals. Intervals involving \
infinity are also called rays or half-lines. If the finite point is included, \
it is a closed half-line or closed ray. If the finite point is not included, \
it is an open half-line or open ray.\n\nThe non-standard notation ]a,b[ for \
an open interval and [a,b[ or ]a,b] for a half-closed interval is sometimes \
also used.\nA non-empty subset X of R is an interval iff, for all a,b in X \
and c in R, a<=c<=b implies c in X.\n\nWeisstein, Eric W. \"Interval.\" From \
MathWorld--A Wolfram Web Resource.",
 ButtonBox[" Link ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/Interval.html "], None}]
}], "Text",
 CellChangeTimes->{{3.428343938546875*^9, 3.428343944125*^9}, {
   3.4283440396875*^9, 3.428344055984375*^9}, 3.4283442951875*^9, {
   3.4283443310625*^9, 3.4283443625*^9}, 3.428344397234375*^9}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 282}, {Automatic, -6}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[690, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "aplications"->{
  Cell[4180, 121, 56, 1, 71, "Section",
   CellTags->"aplications"]},
 "briefexp"->{
  Cell[1344, 55, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[1826, 69, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "operation"->{
  Cell[1027, 43, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "theory"->{
  Cell[2086, 79, 46, 1, 71, "Section",
   CellTags->"theory"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 4569, 136},
 {"aplications", 4649, 139},
 {"briefexp", 4734, 142},
 {"concepts", 4815, 145},
 {"operation", 4897, 148},
 {"theory", 4977, 151}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 75, 1, 83, "Title"],
Cell[CellGroupData[{
Cell[690, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[755, 31, 174, 4, 65, "Text"],
Cell[932, 37, 58, 1, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1027, 43, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1092, 46, 215, 4, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1344, 55, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[1406, 58, 383, 6, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1826, 69, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[1889, 72, 160, 2, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2086, 79, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[2135, 82, 548, 11, 155, "Text"],
Cell[2686, 95, 1479, 23, 281, "Text"]
}, Open  ]],
Cell[4180, 121, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
