(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11254,        365]
NotebookOptionsPosition[      9098,        280]
NotebookOutlinePosition[     10109,        322]
CellTagsIndexPosition[      9910,        312]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Number Line Solutions To Absolute Value Equations And Inequalities\
\>", "Subtitle",
 CellChangeTimes->{{3.4274535664375*^9, 3.42745358146875*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
This demonstration deals with the solutions of problems of the form: |x-a|=b, \
|x-a|\[LessEqual]b, |x-a|<b, |x-a||>b, and |x-a|\[GreaterSlantEqual]b. where \
a and b area real numbers, b non negative.
The solutions to this kinds of problems if pictured in the number line as \
intervals and a pair of points only for the equality case.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell[TextData[{
 "The buttons on the left define whether if we have equality or \
innequalities. (Link to ",
 ButtonBox["IntervalNotation-text.nb). You can get a picture of the solutions \
to the equality or  innequality by clicking the show button. Try to relate \
the formula and the picture of the solution you get.",
  BaseStyle->"Hyperlink",
  ButtonData->{"IntervalNotation-text.nb", "briefexp"}]
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\
The slider \"right hand side\" changes the size of the interval and the \
\"middle value\" the center of it. See how by changing these values, the size \
and center of symetry of the  solution interval changes. Notice that for any \
given value of the right hand side \[LessEqual] case gives an interval with \
double this size.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\
Solution interval, size and center of the interval, absolute value.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "\nAbsolute value.\nGiven any real number x, the absolute value of it is \
defined as:\n\n\[LeftBracketingBar]x\[RightBracketingBar] = ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["{", 
    RowBox[{
     StyleBox[
      RowBox[{"-", "x"}],
      FontSize->10], 
     StyleBox[",",
      FontSize->10], 
     StyleBox[" ",
      FontSize->10], 
     RowBox[{
      StyleBox["if",
       FontSize->10], 
      StyleBox[" ",
       FontSize->10], 
      StyleBox["x",
       FontSize->10], 
      StyleBox[" ",
       FontSize->10], 
      StyleBox["is",
       FontSize->10], 
      StyleBox[" ",
       FontSize->10], 
      StyleBox["a",
       FontSize->10], 
      StyleBox[" ",
       FontSize->10], 
      StyleBox["negative",
       FontSize->10], 
      StyleBox[" ",
       FontSize->10], 
      StyleBox["real",
       FontSize->10], 
      StyleBox[" ",
       FontSize->10], 
      RowBox[{
       StyleBox["number",
        FontSize->10], "."}]}]}], 
    StyleBox[
     RowBox[{
     "x", " ", "if", " ", "x", " ", "is", " ", "cero", " ", "or", " ", "a", 
      " ", "positive", " ", "real", " ", "number"}],
     FontSize->10]], TraditionalForm]], "Subtitle"],
 "\n\nExamples |3|= 3, |-4| =4 , |-34.5| = 34.5.\nx is normally an expression \
with real number value.\nTherefore in solving problems which involve absolute \
values of real valued expressions  we have to check two cases, the posibility \
that the expression be negative and that it  is positive.\nSee the \
definitions of union and intersection of a set (link to cantor).\nSolutions \
for problems with absolute value.\n\n"
}], "Text",
 CellChangeTimes->{
  3.427201031625*^9, {3.42720109334375*^9, 3.427201179578125*^9}, {
   3.42720126103125*^9, 3.4272012925*^9}, {3.42720167134375*^9, 
   3.4272017693125*^9}, {3.427201803828125*^9, 3.427202126296875*^9}, 
   3.42720250278125*^9, {3.427202635296875*^9, 3.42720263625*^9}, {
   3.427202742171875*^9, 3.427202749078125*^9}, {3.4272027810625*^9, 
   3.427202892421875*^9}, {3.427202934296875*^9, 3.427203110140625*^9}, {
   3.427203148546875*^9, 3.4272032889375*^9}, {3.427203380234375*^9, 
   3.427203451734375*^9}, {3.4272034899375*^9, 3.427203493859375*^9}, {
   3.42720352475*^9, 3.427203534625*^9}, {3.42720358065625*^9, 
   3.42720371121875*^9}, {3.42720378196875*^9, 3.427204016828125*^9}, {
   3.427204064046875*^9, 3.42720408934375*^9}}],

Cell[CellGroupData[{

Cell[TextData[StyleBox[" The equality case.  |x-a|=b. Since we do not known a \
priori if the value of \nx-a is positive or negative, acording to the \
definition, we have to check for  two cases:", "Item"]], "Item",
 CellChangeTimes->{{3.4272042485*^9, 3.42720424896875*^9}, {
  3.427208172796875*^9, 3.42720818578125*^9}, {3.42720853775*^9, 
  3.427208553046875*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ", "Item"],
 StyleBox["x-a ", "Subitem"],
 "<",
 StyleBox["0, this means |x-a | = -(x-a)=b with one solution x=a-b.", 
  "Subitem"]
}], "Subitem",
 CellChangeTimes->{{3.4272042485*^9, 3.42720424896875*^9}, {
  3.427208172796875*^9, 3.42720818578125*^9}}],

Cell[TextData[{
 StyleBox["x-a ", "Subitem"],
 "\[GreaterSlantEqual]",
 StyleBox["0, this means |x-a | = x-a=b with one solution x=a+b.", "Subitem"]
}], "Subitem",
 CellChangeTimes->{{3.427208230640625*^9, 3.427208264828125*^9}, {
  3.427208330578125*^9, 3.42720833059375*^9}, {3.427209042375*^9, 
  3.427209046328125*^9}}],

Cell[TextData[StyleBox["The solution to this case is a union of two sets each \
with one number each.", "Subitem"]], "Subitem",
 CellChangeTimes->{{3.4272083480625*^9, 3.427208386359375*^9}, {
  3.427208428171875*^9, 3.427208428171875*^9}}]
}, Open  ]],

Cell[TextData[{
 StyleBox["The innequality case ", "Subitem"],
 StyleBox[" |x-a|", "Item"],
 "\[LessSlantEqual]",
 StyleBox["b. again we have to assume two possibilities", "Item"]
}], "Item",
 CellChangeTimes->{{3.427208437890625*^9, 3.42720846546875*^9}, {
  3.427208576390625*^9, 3.42720860196875*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["x-a ", "Subitem"],
 "<",
 StyleBox["0, this means |x-a | = -(x-a) ", "Subitem"],
 "\[LessSlantEqual]",
 StyleBox["b with solution x", "Item"],
 "\[GreaterSlantEqual]",
 StyleBox["a-b which is the one half l open interval  [a-b,", "Item"],
 "\[Infinity])."
}], "Subitem",
 CellChangeTimes->{{3.427208639984375*^9, 3.427208685234375*^9}, {
  3.427208716890625*^9, 3.427208895453125*^9}, {3.427209207671875*^9, 
  3.427209220578125*^9}}],

Cell[TextData[{
 StyleBox["x-a ", "Subitem"],
 "\[GreaterSlantEqual]",
 StyleBox["0, this means |x-a | = ", "Subitem"],
 StyleBox[" ", "Item"],
 StyleBox["x-a ", "Subitem"],
 "\[LessSlantEqual]",
 StyleBox["b, with solution x", "Item"],
 "\[LessSlantEqual]a+b ",
 StyleBox[" which is the one half  open interval  (-", "Item"],
 "\[Infinity],a+b]"
}], "Subitem",
 CellChangeTimes->{{3.4272089060625*^9, 3.427208969015625*^9}, {
  3.427209018328125*^9, 3.427209060734375*^9}, {3.42720914371875*^9, 
  3.4272092810625*^9}, {3.4272093225*^9, 3.4272093291875*^9}, {
  3.42720987871875*^9, 3.427209910546875*^9}}],

Cell[TextData[{
 "The numbers x which are going to comprise the solution to this case have to \
satisfies both of the anterior conditiion, this means the numbers in ",
 StyleBox[" [a-b,", "Item"],
 "\[Infinity]) \[Intersection]",
 StyleBox[" (-", "Item"],
 "\[Infinity],a+b] =[a-b,a+b]. This interval is centered in a and has size 2 \
b."
}], "Subitem",
 CellChangeTimes->{{3.427209995484375*^9, 3.42721025715625*^9}}]
}, Open  ]],

Cell[TextData[{
 "The case ",
 StyleBox[" |x-a|", "Item"],
 "<",
 StyleBox["b it is trated in a similar fashion but the numbers a-b and a+b \
are excluded of the solution which turns out to be (a-b,a+b).", "Item"]
}], "Item",
 CellChangeTimes->{{3.42721026875*^9, 3.427210396390625*^9}, {3.427210434*^9, 
  3.42721043403125*^9}}],

Cell[TextData[{
 StyleBox["The cases |x-a| ", "Item"],
 ">",
 StyleBox["b and  |x-a| ", "Item"],
 "\[GreaterSlantEqual]",
 StyleBox["b are going to be solved in the same way. The solutions in this \
case turn out to be the union of two disjoint sets: (-", "Item"],
 "\[Infinity]",
 StyleBox[",a-b)", "Item"],
 "\[Union](a+b,\[Infinity]) and ",
 StyleBox["(-", "Item"],
 "\[Infinity]",
 StyleBox[",a-b]", "Item"],
 "\[Union][a+b,\[Infinity]) for the >and \[GreaterSlantEqual] cases ",
 StyleBox["as you can check in the demonstration.", "Item"]
}], "Item",
 CellChangeTimes->{{3.427210482875*^9, 3.42721059990625*^9}, {
  3.42721073925*^9, 3.427210754734375*^9}, {3.427210806796875*^9, 
  3.427211008953125*^9}}]
}, Open  ]]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 195}, {Automatic, 72}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[772, 30, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[1234, 44, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[1750, 60, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[2201, 74, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[2392, 84, 46, 1, 71, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[9026, 276, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 9415, 291},
 {"operation", 9493, 294},
 {"briefexp", 9575, 297},
 {"concepts", 9656, 300},
 {"theory", 9735, 303},
 {"aplications", 9817, 306}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 157, 3, 77, "Subtitle"],
Cell[CellGroupData[{
Cell[772, 30, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[837, 33, 360, 6, 83, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1234, 44, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1299, 47, 414, 8, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1750, 60, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[1812, 63, 352, 6, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2201, 74, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[2264, 77, 91, 2, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2392, 84, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[2441, 87, 2394, 65, 279, "Text"],
Cell[CellGroupData[{
Cell[4860, 156, 369, 5, 45, "Item"],
Cell[CellGroupData[{
Cell[5254, 165, 282, 8, 18, "Subitem"],
Cell[5539, 175, 323, 7, 18, "Subitem"],
Cell[5865, 184, 240, 3, 18, "Subitem"]
}, Open  ]],
Cell[6120, 190, 304, 7, 29, "Item"],
Cell[CellGroupData[{
Cell[6449, 201, 461, 12, 34, "Subitem"],
Cell[6913, 215, 607, 15, 34, "Subitem"],
Cell[7523, 232, 418, 9, 50, "Subitem"]
}, Open  ]],
Cell[7956, 244, 329, 8, 45, "Item"],
Cell[8288, 254, 711, 18, 61, "Item"]
}, Open  ]]
}, Open  ]],
Cell[9026, 276, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
