(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      3546,        135]
NotebookOptionsPosition[      2032,         72]
NotebookOutlinePosition[      3036,        114]
CellTagsIndexPosition[      2843,        104]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["OverlappingIntervals", "Title"],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
Given two Intervals or continuos sets of real numbers  \[ScriptCapitalA] and \
\[ScriptCapitalB] they can either have or not numbers in common. If they do \
not have them, then there is no  overlaping, ie \[ScriptCapitalA] \
\[Intersection] \[ScriptCapitalB]=\[Phi], \[Phi] the empy set, whereas if \
they do have numbers in common, they do overlap ie. \[ScriptCapitalA] \
\[Intersection] \[ScriptCapitalB] \[NotEqual]\[Phi]. When they overlap there \
is a new interval \[ScriptCapitalC]=\[ScriptCapitalA] \[Intersection] \
\[ScriptCapitalB] which contains the numbers which are common to both sets  \
\[ScriptCapitalA] and \[ScriptCapitalB]. \
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\
Set different values for the numbers which define the end points of each of \
the intervals and see for which combinations of them we do have overlaping.\
\>", "Text"]
}, Open  ]],

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["Sets, intersection, intervals, real numbers. empty set.", "Text"]
}, Open  ]],

Cell["Theory", "Section",
 CellTags->"theory"],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 100}, {Automatic, 53}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[652, 27, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[1421, 45, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[1678, 54, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[1762, 59, 60, 1, 41, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[1911, 65, 46, 1, 71, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[1960, 68, 56, 1, 41, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 2349, 83},
 {"operation", 2427, 86},
 {"briefexp", 2509, 89},
 {"concepts", 2590, 92},
 {"theory", 2669, 95},
 {"aplications", 2751, 98}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 37, 0, 83, "Title"],
Cell[CellGroupData[{
Cell[652, 27, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[717, 30, 667, 10, 83, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1421, 45, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1486, 48, 177, 3, 47, "Text"]
}, Open  ]],
Cell[1678, 54, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[CellGroupData[{
Cell[1762, 59, 60, 1, 41, "Section",
 CellTags->"concepts"],
Cell[1825, 62, 71, 0, 29, "Text"]
}, Open  ]],
Cell[1911, 65, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[1960, 68, 56, 1, 41, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
