(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5093,        188]
NotebookOptionsPosition[      3389,        118]
NotebookOutlinePosition[      4401,        160]
CellTagsIndexPosition[      4202,        150]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["VennDiagrams", "Title"],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\

This demo shows 127 set operations among three sets \[ScriptCapitalA],\
\[ScriptCapitalB] and \[ScriptCapitalC]. The set operations involved are \
combinations of interection, union and complementation among the three \
menthined sets.\
\>", "Text",
 CellChangeTimes->{{3.4274607996875*^9, 3.427460858375*^9}, {
   3.427460930375*^9, 3.427461000046875*^9}, 3.427461513265625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\

The \"subset slider\" ranges over the 127 examples of set operations. for a \
more accuarate selection of each of them, it is better to open it, and insert \
the desired number of operation in the input display.
The button \"set notation\" shows in set notation the particular example \
chossen.
\
\>", "Text",
 CellChangeTimes->{{3.427461020953125*^9, 3.42746134671875*^9}, {
   3.42746137821875*^9, 3.42746142634375*^9}, 3.427461826734375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\

Venn diagrams are used as a tool for visualizing and understanding set \
operations in the particular example of bounded regions in the plane which \
represent the involved sets. The elements of the set, infinite in number, are \
all the points enclosed by the bounded area. The result of the set operation \
are all colored areas. Any clear area does not belong to the results.
\
\>", "Text",
 CellChangeTimes->{{3.4274615818125*^9, 3.427461848625*^9}}],

Cell["\<\

Note: sometimes teachers do abuse of the venn diagrams tools. They draw \
labeled points inside the bounded area which represent the set and put them \
in specific zones, in sucha a way that they are enclosed by the desired \
result set. It is assumed that the labeled points represent the elements of \
the set. Altough usefull, this use of venn diagrams can be confusing to some \
students. \
\>", "Text",
 CellChangeTimes->{{3.427461857109375*^9, 3.427462091921875*^9}, 
   3.427462122609375*^9, {3.427462174265625*^9, 3.427462212890625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\

Sets,  interection, union and complement of sets.\
\>", "Text",
 CellChangeTimes->{{3.4274614528125*^9, 3.42746152684375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "\nLink to ",
 ButtonBox["Theory",
  BaseStyle->"Hyperlink",
  ButtonData->{"CantorSet-text.nb", "theory"}]
}], "Text",
 CellChangeTimes->{{3.42746154053125*^9, 3.4274615704375*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{530, Automatic}, {Automatic, 81}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[644, 27, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[1136, 43, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[1694, 61, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[2817, 90, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[3054, 102, 46, 1, 71, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[3317, 114, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 3706, 129},
 {"operation", 3784, 132},
 {"briefexp", 3866, 135},
 {"concepts", 3947, 138},
 {"theory", 4026, 141},
 {"aplications", 4109, 144}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 29, 0, 83, "Title"],
Cell[CellGroupData[{
Cell[644, 27, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[709, 30, 390, 8, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1136, 43, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1201, 46, 456, 10, 101, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1694, 61, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[1756, 64, 465, 9, 119, "Text"],
Cell[2224, 75, 556, 10, 101, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2817, 90, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[2880, 93, 137, 4, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3054, 102, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[3103, 105, 199, 6, 47, "Text"]
}, Open  ]],
Cell[3317, 114, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
