(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6762,        225]
NotebookOptionsPosition[      4979,        152]
NotebookOutlinePosition[      5991,        194]
CellTagsIndexPosition[      5792,        184]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Angles Measured In Degrees And Radians", "Title",
 CellChangeTimes->{{3.42754043740625*^9, 3.42754044675*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
This Demonstration displays the equivalency of degree and radian measures for \
angles. The radius of the circle can be modified to emphasize that the radian \
measure of the angle is the actual length of the subtended arc when the \
radius of the circle is 1. When the radius of the circle is not 1, the radian \
measure of the angle is not equal to the arc length (sic!) of the subtended \
arc but rather gives the arc length divided by the circles radius. Tick marks \
appear along the circumference to emphasize the units being used to measure \
the angle.
\
\>", "Text",
 CellChangeTimes->{{3.427540792125*^9, 3.427540808875*^9}}],

Cell["\<\

\
\>", "Text",
 CellChangeTimes->{3.427483702875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\

\
\>", "Text",
 CellChangeTimes->{
  3.42753768625*^9, {3.427537824796875*^9, 3.4275378383125*^9}, {
   3.427537879046875*^9, 3.4275380655*^9}, 3.427538099953125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\

This demo may looks simple, but students are often confused about the meaning \
of degree as \"units of angle measure\" , the fact that radians is an scalar \
without units and the relevance of the radian concept,  as a natural way of \
measuring angles without using  conventional preferences.
The \"position\" slider changes the reference to which angle measurement is \
refered to. In most applications it is the x axis direction, giving positive \
values to the measured angles if they are measured in counterclock wise \
direction. 

\
\>", "Text",
 CellChangeTimes->{{3.42748409709375*^9, 3.42748421265625*^9}, {
  3.42748426834375*^9, 3.42748446646875*^9}, {3.4275380946875*^9, 
  3.427538104359375*^9}, {3.42753828478125*^9, 3.4275383378125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\

Angle measure, degree, radian, arclenght.
\
\>", "Text",
 CellChangeTimes->{{3.427484504625*^9, 3.427484547109375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[CellGroupData[{

Cell["\<\

My dear Eric.
Look at the consecuences of what you have writen:\
\>", "Subsection",
 CellChangeTimes->{{3.427540321203125*^9, 3.4275403786875*^9}}],

Cell["\<\

In the calculation of the equivalence among the measurement of angles in \
degrees Ad, and in radians Ar it is used alinear relation among this \
quantities: 
Ad\[Degree]=(Ad\[Degree]/360) 2\[Pi]= (2\[Pi]/360)Ad\[Degree] =Ar
This equation (left hand side=right hand side, ie.by transitivity \
Ad\[Degree]=Ar ), among other things,  establishes that: since radians have \
no units because is a quotient of two lenght measures,\"degrees\" are not \
units of any kind and that  they are not expected to cancel when they appear \
in physical equations.
This equation, like many others you will encounter latter, is not supposed to \
be memorized. It can be thought  as another example of  \"What is given to \
me, is the fraction of what has been offered to me, times the total of what \
is offered to all of us\".
The fraction 2\[Pi]/360 which is the slope of the line when Ar is plotted as \
the dependent variable against 
Ad\[Degree], is a quantity that measures the number of radians per degree\
\>", "Text",
 CellChangeTimes->{{3.427538378265625*^9, 3.427538466234375*^9}, {
  3.427538517609375*^9, 3.427538536734375*^9}, {3.42753860253125*^9, 
  3.42753861125*^9}, {3.42753866909375*^9, 3.427538883546875*^9}, {
  3.4275389375*^9, 3.42753906203125*^9}, {3.427539101984375*^9, 
  3.42753914025*^9}, {3.427539244078125*^9, 3.4275394540625*^9}, {
  3.42753956490625*^9, 3.427539610109375*^9}, {3.42753974715625*^9, 
  3.427539748171875*^9}, {3.4275398136875*^9, 3.427540030203125*^9}, {
  3.427540080984375*^9, 3.427540176390625*^9}, {3.4275402270625*^9, 
  3.427540249421875*^9}, {3.427540391984375*^9, 3.427540418140625*^9}, {
  3.427540569375*^9, 3.427540585359375*^9}, {3.427540644125*^9, 
  3.427540674828125*^9}}]
}, Open  ]]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 310}, {37, Automatic}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[731, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "aplications"->{
  Cell[4907, 148, 56, 1, 71, "Section",
   CellTags->"aplications"]},
 "briefexp"->{
  Cell[1824, 67, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[2688, 90, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "operation"->{
  Cell[1545, 53, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "theory"->{
  Cell[2918, 103, 46, 1, 71, "Section",
   CellTags->"theory"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 5296, 163},
 {"aplications", 5376, 166},
 {"briefexp", 5461, 169},
 {"concepts", 5542, 172},
 {"operation", 5624, 175},
 {"theory", 5704, 178}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 116, 1, 137, "Title"],
Cell[CellGroupData[{
Cell[731, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[796, 31, 645, 11, 137, "Text"],
Cell[1444, 44, 64, 4, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1545, 53, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1610, 56, 177, 6, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1824, 67, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[1886, 70, 765, 15, 173, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2688, 90, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[2751, 93, 130, 5, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2918, 103, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[CellGroupData[{
Cell[2989, 108, 158, 5, 70, "Subsection"],
Cell[3150, 115, 1730, 29, 263, "Text"]
}, Open  ]]
}, Open  ]],
Cell[4907, 148, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
