(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6430,        226]
NotebookOptionsPosition[      4687,        154]
NotebookOutlinePosition[      5700,        196]
CellTagsIndexPosition[      5501,        186]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Coordinates Of A Point Relative To A Basis In 2D", "Title",
 CellChangeTimes->{{3.427548410078125*^9, 3.427548435875*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell[TextData[{
 "A basis  \[ScriptCapitalB]={\[ScriptU],\[ScriptV]}   for   ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["\[DoubleStruckCapitalR]", "2"],
    FontSize->10], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 "    is shown along with a point",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    StyleBox[
     SubscriptBox[
      RowBox[{"(", 
       RowBox[{"a", ",", "b"}], ")"}], "\[ScriptCapitalB]"],
     FontSize->10]}], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " = a\[ScriptU]+b\[ScriptV]. Changing the coordinates a  and b demonstrates \
how the point moves along a \[ScriptU]-\[ScriptV] - grid rather than an x-y - \
grid. Changing the basis vectors \[ScriptU]  and \[ScriptV] shows how the \
\[ScriptU] -\[ScriptV] coordinate grid and the point with fixed  \[ScriptU]- \
",
 "\[ScriptV] ",
 "coordinates depend on the basis vectors.\n"
}], "Text",
 CellChangeTimes->{{3.427548527390625*^9, 3.427548712609375*^9}, {
   3.427548772890625*^9, 3.427548872375*^9}, {3.427548998921875*^9, 
   3.42754923240625*^9}, 3.427549266984375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell[TextData[{
 "\nThe \"u coordinate\" and \"v coordinate\" sliders, change the cordinates \
of the point in base \[ScriptCapitalB]. \nThe \"Locators\" (left mouse button \
click and draging) help to set the \[ScriptCapitalB] system unit vectors \
basis  ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["\[ScriptU]", "\[Wedge]"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->14],
 " and ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["\[ScriptV]", "\[Wedge]"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->14],
 StyleBox[" ",
  FontSize->14]
}], "Text",
 CellChangeTimes->{{3.427549450109375*^9, 3.42754955859375*^9}, {
  3.42755477796875*^9, 3.427554909828125*^9}, {3.427554991890625*^9, 
  3.42755505146875*^9}, {3.427555098703125*^9, 3.4275551001875*^9}, {
  3.427555152609375*^9, 3.42755515571875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\

The demo shows two different coordinate system x-y over the anothe one \
\[ScriptU]-\[ScriptV], a single point can be refered either to the x-y or to \
the \[ScriptU]-\[ScriptV] sytem. Both systems share the same origen in this \
example tough can be different for each one.\
\>", "Text",
 CellChangeTimes->{{3.427555185078125*^9, 3.42755542465625*^9}, {
  3.427555524875*^9, 3.427555592265625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\

Coordinate systems, base vectors, linear transformations.\
\>", "Text",
 CellChangeTimes->{{3.427555636078125*^9, 3.427555714265625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "\nThe necessary theory to understand the calculation of the  x-y \
coordinates in terms of the   \[ScriptU]-\[ScriptV] and vice-versa is a \
subjet matter of  linear algebra.",
 StyleBox[" Link to",
  FontWeight->"Bold"],
 "  "
}], "Text",
 CellChangeTimes->{{3.427555720296875*^9, 3.427555891171875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Aplications", "Section",
 CellTags->"aplications"],

Cell["\<\

Depending upon the geometry of the objects of study, some times is more \
convenient to use a coordinate system which is not orthogonal, but one whose  \
 alignmenth is the same as the physical or geometric object been studied (non \
orthogonal corners or wedges par example). then normally the equations \
asociated to the modeling of the system come out to be simpler. \
\>", "Text",
 CellChangeTimes->{{3.427555936578125*^9, 3.427556159671875*^9}, {
  3.427556194546875*^9, 3.427556317453125*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 357}, {Automatic, 25}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[743, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "aplications"->{
  Cell[4089, 138, 56, 1, 71, "Section",
   CellTags->"aplications"]},
 "briefexp"->{
  Cell[2923, 94, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[3432, 110, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "operation"->{
  Cell[1954, 64, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "theory"->{
  Cell[3680, 122, 46, 1, 71, "Section",
   CellTags->"theory"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 5004, 165},
 {"aplications", 5084, 168},
 {"briefexp", 5169, 171},
 {"concepts", 5250, 174},
 {"operation", 5333, 177},
 {"theory", 5413, 180}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 128, 1, 137, "Title"],
Cell[CellGroupData[{
Cell[743, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[808, 31, 1109, 28, 113, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1954, 64, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[2019, 67, 867, 22, 91, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2923, 94, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[2985, 97, 410, 8, 83, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3432, 110, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[3495, 113, 148, 4, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3680, 122, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[3729, 125, 323, 8, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4089, 138, 56, 1, 71, "Section",
 CellTags->"aplications"],
Cell[4148, 141, 511, 9, 101, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
