(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     14196,        355]
NotebookOptionsPosition[     12476,        285]
NotebookOutlinePosition[     13495,        327]
CellTagsIndexPosition[     13290,        317]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Function Transformations", "Title",
 CellChangeTimes->{3.42756274571875*^9}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
This Demonstration allows you to investigate the transformation of the graph \
of a function f(x) to  af(b(x-c)) + d, for various values of the parameters \
a,b ,c  and d. In addition to showing the original and transformed curves, it \
displays an individual movable point on the original curve and the image of \
the point on the transformed curve. The Demonstration also divides the \
original curve into two portions and shows the images of these two portions \
on the transformed curve to emphasize how negative values can affect the \
transformation.

\
\>", "Text",
 CellChangeTimes->{
  3.427561475515625*^9, {3.427562439125*^9, 3.427562468546875*^9}, {
   3.427562525265625*^9, 3.427562531078125*^9}, {3.42756256746875*^9, 
   3.42756266784375*^9}, {3.4282324833125*^9, 3.42823248875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell[TextData[{
 "\n",
 "a) When changing  d and c,  Does the original shape of the graph of f \
changes?. Then, what has changed  in the plot of the transformed function?. \n\
 b) Changing the parametrs c and d, produces  particular kinds of \
transformations named translations, which can be either in the x direction or \
the y direction. Describe the relation between this translations and the \
parameters c and d.\nc) The crossing points of the graph of the function with \
the x axis are termed \" the real roots of the function\", What hapens to \
these roots when changing the c and d parametres?\nd)  For a value of d where \
there are real roots, keep it fixed and then move b. What happens to the \
roots of f ? \ne) Changes the value of the parameter b, for b positive. What \
happens to the shape of the transformed graph of f?. What name would you like \
to give to this particular transformation that best describes it?. \nf) Put \
the value of b equal to -1. How does the graph of the fuction f has changed?. \
This is a very important kind of transformation. Give a name to this \
particular transformation and look in the literature the name of it.\n g) Put \
different positive values of the parameter a. What name would you like to \
give to this kind of transformation? . For the particular value of a = -1 it \
is produced a welll known  transformation. What name should be given to it.b= \
-1\n h) Describe what happens in the particular case when a=b=-1. c=d=0.  \n\
i) Does the  a anb b parameters behave in the same way?, regarding x and y \
axis, when they change in the intervals (0,1) and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"[", 
     RowBox[{"1", ",", "\[Infinity]"}]}], ")"}], TraditionalForm]]],
 ". "
}], "Text",
 CellChangeTimes->{3.42756148128125*^9, 3.4275615948125*^9}],

Cell["\<\
There are other features that you can explore with the cubic and other \
functions regarding: multiplicative inverse, even and odd functions, inverse \
functions,\
\>", "Text"]
}, Open  ]],

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\

Function, function transformations, reflection translation and rotation of \
the graph of a function, inverse function under multiplication.\
\>", "Text",
 CellChangeTimes->{{3.428232249609375*^9, 3.428232321640625*^9}, {
  3.428232366609375*^9, 3.428232371640625*^9}, {3.428232401953125*^9, 
  3.42823243321875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 " What we have seen so far, is looking more or less blindly to changes of \
the original shape of the graph of the function f : In the graph of the \
transformed function two features of the definition of the  original function \
has changed :\nThe domain and range of the original function, which by itself \
is suficient to say that we have a different function.\n The shape of the \
original functio, which is again a change in another of the features in the \
definition of a function; this change requires another \"rule\" or formula \
for describing the transformed function.\nTo treat more formally what we are \
doing, we have to study this transformation in terms of composition of \
funtions, ie. let the functions h and g be such that :\nh : \
\[DoubleStruckCapitalR] -> \[DoubleStruckCapitalR], given by h[x] = b x + c. \
\ng : \[DoubleStruckCapitalR] -> \[DoubleStruckCapitalR] given by g[x] = a x \
+ d.\n Both h and g are known as linear transformations.Then the transformed \
function of f, lets call it F, is defined  by F : \[DoubleStruckCapitalR] -> \
\[DoubleStruckCapitalR], with the rule given by F = g\[SmallCircle]f\
\[SmallCircle]h.\n",
 Cell[BoxData[
  RowBox[{"Where", ",", " ", 
   RowBox[{
   "if", " ", "we", " ", "call", " ", "to", " ", "the", " ", "range", " ", 
    "of", " ", "h", "  ", 
    FormBox[
     RowBox[{
      SubscriptBox["\[ScriptCapitalR]", "h"], ","}],
     TraditionalForm], "the", " ", "domain", " ", "of", " ", "f", " ", 
    FormBox[
     RowBox[{
      SubscriptBox["\[ScriptCapitalD]", "f"], ","}],
     TraditionalForm], " ", "the", " ", "range", " ", "of", " ", "f", 
    FormBox[
     SubscriptBox["\[ScriptCapitalR]", "f"],
     TraditionalForm]}], ",", 
   RowBox[{
   "and", " ", "finally", " ", "the", " ", "domain", " ", "of", " ", "g", " ",
     "by", " ", 
    RowBox[{
     FormBox[
      SubscriptBox["\[ScriptCapitalD]", "g"],
      TraditionalForm], " ", ".", " ", "Then"}], " ", "as", " ", 
    RowBox[{"usual", ":", " ", 
     RowBox[{
     "in", " ", "order", " ", "for", " ", "the", " ", "rule", " ", "of", "  ",
       "F", " ", "to", " ", "make", " ", "sense"}]}]}], ",", 
   RowBox[{"we", " ", "must", " ", "necesarily", " ", "have", " ", 
    RowBox[{"that", ":", "  ", 
     RowBox[{
      FormBox[
       SubscriptBox["\[ScriptCapitalR]", "h"],
       TraditionalForm], "\[SubsetEqual]", 
      RowBox[{
       FormBox[
        SubscriptBox["\[ScriptCapitalD]", "f"],
        TraditionalForm], " ", "and", " ", 
       FormBox[
        SubscriptBox["\[ScriptCapitalR]", "f"],
        TraditionalForm]}], "\[SubsetEqual]", 
      RowBox[{
       RowBox[{
        RowBox[{
         FormBox[
          SubscriptBox["\[ScriptCapitalD]", "g"],
          TraditionalForm], " ", ".", " ", "If"}], " ", "we", " ", "say", " ",
         
        FormBox[
         SubscriptBox["\[ScriptCapitalD]", "F"],
         TraditionalForm], " ", "and", 
        FormBox[
         SubscriptBox["\[ScriptCapitalR]", "F"],
         TraditionalForm], " ", "are", " ", "the", " ", "domain", " ", "and", 
        " ", "range", " ", "of", " ", "F", " ", 
        RowBox[{"respectively", ".", "In"}], " ", "general", " ", "it", " ", 
        "is", " ", "expected", "  ", "that", " ", 
        FormBox[
         SubscriptBox["\[ScriptCapitalD]", "F"],
         TraditionalForm]}], " ", "\[NotEqual]", 
       RowBox[{
        FormBox[
         SubscriptBox["\[ScriptCapitalD]", "f"],
         TraditionalForm], "  ", "and", " ", 
        FormBox[
         SubscriptBox["\[ScriptCapitalR]", "F"],
         TraditionalForm]}], " ", "\[NotEqual]", " ", 
       FormBox[
        RowBox[{
         SubscriptBox["\[ScriptCapitalR]", "f"], " "}],
        TraditionalForm]}]}]}]}], ",", 
   RowBox[{
    RowBox[{"so", " ", "then", " ", "we", " ", "have", " ", "f"}], 
    "\[NotEqual]", " ", 
    RowBox[{"F", "."}]}]}]], "Text",
  CellChangeTimes->{{3.426250221921875*^9, 3.42625027740625*^9}, {
   3.426250309640625*^9, 3.426250370546875*^9}, {3.426250463984375*^9, 
   3.42625049271875*^9}, {3.426250536140625*^9, 3.426250538515625*^9}}],
 "\nGeneralization.\nThe linear functions h and g described above have  two \
main parts in each of them : In the first part, c and d can be  associated \
with  translation of  the coordinate system xy to  a new coordinate system \
x'y' if pure translations are considered, ie. if a = b = 1 and c , d are not \
both cero, then in the new coordinate system the shape of the graph of the \
function has the same shape as it has in the old system\nThe second part is \
geometrically more  complex in nature. Lets look at the case a = 1, c = d = 0 \
and b \[NotEqual] 0. In this demonstration we can see that there are four \
intervals of interest for b\ni) b > 1. the graph of the functions shrinks or \
contracts in the x direction.\nii) 0 < b < 1 the graph of the function \
expands  in the x direction.\niii) - 1 < b < 0. The graph of the function is \
reflected in the y axis and it is also expanded.\niv) b < -1  The graph of \
the function is reflected in the y axis and it is also expanded.\nWe say, in \
the last two cases iii and iv,  that the graph of the transformed function of \
f is  a mirror mage of the graph of the transformed function of f we have in \
i and ii cases, with a value of - b."
}], "Text",
 CellChangeTimes->{{3.42756185853125*^9, 3.4275618949375*^9}, {
  3.427561935796875*^9, 3.427562238859375*^9}, {3.4275622836875*^9, 
  3.427562309546875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Aplications", "Section",
 CellTags->"aplications"],

Cell[TextData[{
 "The physicist point of view.",
 "\nAs an application for positive b, the physicist like to consider this \
cases as changes of scales, sametimes asociated with the units we are working \
with,  ie. if we are styding the parabolic trayectory of a beisball ball, it \
will look different if instead of meters we use kilometers in the x axis.\nIn \
relativity theory there is a striking applications of this demonstration. Let \
us consider the case of people traveling in spaceships at speed comparable to \
the speed of light ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["v", "s"], TraditionalForm]]],
 ", and let restrain our selves just to changes in the x axis.  In this area \
we do consider that the  c coeficients is given by ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["v", "s"], TraditionalForm]]],
 "t, t time of travel and the b coeficient also depends upon the spaceship \
velocity ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["v", "s"], TraditionalForm]]],
 " having a vlue of b greather then 1. As a result  we have translations as \
well as  contractions of the graph of f. Where in here constrations are going \
to take place in the 2D space-time space: x direction and time.\nIn this \
field it is a well known fact, that people traveling in spaceships, age less \
rapidly the people on earth, that is a consecuence of  the contraction of  \
time . But other than that, the spaceshift inhabitants feel they are normal, \
that is, if in the frame of the spaceship we ideally have a city and two \
inhabitants of that city one living in the corner of \"street 3\" and \
\"street 5\", (3, 5) the other in the corner of  \"street 7\" and \"street \
9\", (7, 9), they will remain with the same relative addres, regardless of \
the pasagge of time, and if one of them is going to visit to the another one, \
it has to travel the same distance over the same streets and do the same \
turns he use to do when they just started to travel.\n Another strange  \
concept for  people that do not quite understand relativity (like me pe.) is \
the concept of negative time, b and c both change sign, we then have the same \
behaviour as with positive time but the fact that we have reflections on the \
y axis, means turns now have to change, left instead to right when our \
neighbors try to visit each other, other than that if you ask these guys how \
is life downthere, they will answer it is fine, the only thing they had to \
do, was to get used to change the directions of their turns."
}], "Text",
 CellChangeTimes->{
  3.4275623185625*^9, {3.427562378015625*^9, 3.42756239040625*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, -228}, {Automatic, 23}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[697, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "aplications"->{
  Cell[9776, 234, 56, 1, 71, "Section",
   CellTags->"aplications"]},
 "briefexp"->{
  Cell[3701, 93, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[3785, 98, 60, 1, 41, "Section",
   CellTags->"concepts"]},
 "operation"->{
  Cell[1607, 51, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "theory"->{
  Cell[4213, 113, 46, 1, 71, "Section",
   CellTags->"theory"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 12794, 296},
 {"aplications", 12874, 299},
 {"briefexp", 12959, 302},
 {"concepts", 13040, 305},
 {"operation", 13122, 308},
 {"theory", 13202, 311}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 82, 1, 83, "Title"],
Cell[CellGroupData[{
Cell[697, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[762, 31, 808, 15, 155, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1607, 51, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1672, 54, 1825, 30, 389, "Text"],
Cell[3500, 86, 186, 4, 47, "Text"]
}, Open  ]],
Cell[3701, 93, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[CellGroupData[{
Cell[3785, 98, 60, 1, 41, "Section",
 CellTags->"concepts"],
Cell[3848, 101, 328, 7, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4213, 113, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[4262, 116, 5477, 113, 592, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9776, 234, 56, 1, 71, "Section",
 CellTags->"aplications"],
Cell[9835, 237, 2613, 44, 425, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
