(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6257,        210]
NotebookOptionsPosition[      4582,        142]
NotebookOutlinePosition[      5595,        184]
CellTagsIndexPosition[      5396,        174]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Visualizing Square Root And Absolute Value", "Title",
 CellChangeTimes->{{3.42840084603125*^9, 3.428400858078125*^9}}],

Cell[TextData[{
 "\n",
 StyleBox["Incomplete",
  FontSize->18]
}], "Text",
 CellChangeTimes->{{3.430509182625*^9, 3.430509188125*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell[TextData[{
 "Taking the absolute value of a number leaves the number unchanged if the \
number is non-negative and changes the sign of the number otherwise. Thus, \
when you take the absolute value of a function, the effect on the graph is to \
leave portions above the  x axis unchanged and to reflect portions below the \
x axis through the x axis. \nYou can only take (real) square roots of \
non-negative numbers, so when you take the square root of a function, the \
portion of the graph below the x axis disappears, while the portion above the \
axis is distorted by the taking of square roots. \nIn this Demonstration, you \
can take the square root or absolute value of a function and see the effect. \
The original function is shown as a purple, dashed curve. If both boxes are \
checked, the graph shown will be that of ",
 Cell[BoxData[
  FormBox[
   SqrtBox[
    RowBox[{"\[VerticalBar]", "\[ScriptX]", "\[VerticalBar]"}]], 
   TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->14],
 " , because \[VerticalBar] ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SqrtBox["\[ScriptX]"],
    FontSize->7], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " \[VerticalBar] is the same as  ",
 Cell[BoxData[
  FormBox[
   SqrtBox["\[ScriptX]"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->14],
 "for real-valued  \[ScriptX].\n"
}], "Text",
 CellChangeTimes->{
  3.428400979453125*^9, {3.42840101378125*^9, 3.42840108721875*^9}, {
   3.42840112971875*^9, 3.428401317828125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\

Make a combinations of buttons and sliders and look at the resulting equation \
and the graph of the function. Pay attention first to the case when a=b=0 for \
the line and parabola. b\[NotEqual]0 for the trig. function.\
\>", "Text",
 CellChangeTimes->{{3.428402486109375*^9, 3.42840263978125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\

Sliders \"constant a\" and \"constant b\" translate vetically and \
horizonatlly the line and the parabola respectively. the a parameter also \
translate the graph of the sine function but the b has a different role in \
here, it elangates the original graph in the y direction also.
The checkboxes  \"square root\" and \"absolute value\" apply to the selected \
function  (buttons) the desired operation\
\>", "Text",
 CellChangeTimes->{{3.428401936953125*^9, 3.428402165421875*^9}, {
  3.4284021983125*^9, 3.42840227053125*^9}, {3.42840230446875*^9, 
  3.428402346875*^9}, {3.428402378296875*^9, 3.428402389125*^9}}]
}, Open  ]],

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell["\<\

Absolute value is a very important concept in both applied and pure \
mathematics. in the analysis courses, it is being generalizad to the \"norm\" \
concept, which let most people, but mainly mathematicians, to talk about \
\"how big are theirs objects of study\" and \"how close are each other\"\
\>", "Text",
 CellChangeTimes->{{3.42878545778125*^9, 3.428785768296875*^9}, {
  3.430508316359375*^9, 3.43050832765625*^9}}],

Cell[TextData[{
 "\nSee Eric Shultz ",
 ButtonBox["demo",
  BaseStyle->"Hyperlink",
  ButtonData->{"FunctionTransformations-text.nb", "theory"}]
}], "Text",
 CellChangeTimes->{{3.428402670265625*^9, 3.42840269028125*^9}, {
  3.42840273284375*^9, 3.42840273284375*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 323}, {Automatic, 17}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[876, 35, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[2537, 79, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[2949, 93, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[3655, 110, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[3740, 115, 46, 1, 41, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[4510, 138, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 4899, 153},
 {"operation", 4977, 156},
 {"briefexp", 5059, 159},
 {"concepts", 5140, 162},
 {"theory", 5220, 165},
 {"aplications", 5303, 168}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 124, 1, 137, "Title"],
Cell[717, 26, 134, 5, 52, "Text"],
Cell[CellGroupData[{
Cell[876, 35, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[941, 38, 1559, 36, 213, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2537, 79, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[2602, 82, 310, 6, 83, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2949, 93, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[3011, 96, 629, 11, 119, "Text"]
}, Open  ]],
Cell[3655, 110, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[CellGroupData[{
Cell[3740, 115, 46, 1, 41, "Section",
 CellTags->"theory"],
Cell[3789, 118, 435, 8, 83, "Text"],
Cell[4227, 128, 268, 7, 47, "Text"]
}, Open  ]],
Cell[4510, 138, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
