(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4372,        171]
NotebookOptionsPosition[      2714,        102]
NotebookOutlinePosition[      3723,        144]
CellTagsIndexPosition[      3524,        134]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Lines Point Slope", "Title",
 CellChangeTimes->{{3.428407406375*^9, 3.428407408078125*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
Change the line by adjusting the slope using the slider or move the point \
directly in the graph.
\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\

Use the locator (gold point) to position the point through the line passes. \
The slope of the line can be fixed with the slider \"slope\".  
Once you have chossen the point and the slope, look at the resulting equation \
in either form: point-slope form or slope-intercept form and try to get \
familiar with this association in such a way that giving the equation \
inmediately the line graph jumps into your mind and viceversa.\
\>", "Text",
 CellChangeTimes->{{3.428407921484375*^9, 3.428408052703125*^9}, {
  3.428408096375*^9, 3.428408112515625*^9}, {3.42840814671875*^9, 
  3.42840836865625*^9}, {3.4284084055*^9, 3.428408433375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\

The : point-slope form or slope-intercept form forms are used in order the \
student is able to figure out inmediately the form that the resulting \
equation is going to have. The form used depends upon the available initial \
data.\
\>", "Text",
 CellChangeTimes->{{3.42840844196875*^9, 3.428408653609375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\

Line, linear equation, slope and y-intercept of a line.\
\>", "Text",
 CellChangeTimes->{{3.42840866303125*^9, 3.428408736828125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "Weisstein, Eric W. \"Line.\" From MathWorld--A Wolfram Web Resource. ",
 ButtonBox["Link",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/Line.html "], None}]
}], "Text"]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{260, Automatic}, {69, Automatic}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[712, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[937, 40, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[1691, 59, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[2112, 74, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[2357, 86, 46, 1, 71, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[2642, 98, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 3031, 113},
 {"operation", 3109, 116},
 {"briefexp", 3190, 119},
 {"concepts", 3271, 122},
 {"theory", 3350, 125},
 {"aplications", 3432, 128}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 97, 1, 83, "Title"],
Cell[CellGroupData[{
Cell[712, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[777, 31, 123, 4, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[937, 40, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1002, 43, 652, 11, 119, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1691, 59, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[1753, 62, 322, 7, 83, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2112, 74, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[2175, 77, 145, 4, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2357, 86, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[2406, 89, 221, 6, 29, "Text"]
}, Open  ]],
Cell[2642, 98, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
