(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      3932,        166]
NotebookOptionsPosition[      2275,         97]
NotebookOutlinePosition[      3284,        139]
CellTagsIndexPosition[      3085,        129]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["ParallelLinesAnglesWithATransversal", "Title"],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
Move the points to adjust the lines and choose which sets of angles you want \
to see.
\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\

The buttons labels are the names of the sets of angle pairs shown in the \
figure.\
\>", "Text",
 CellChangeTimes->{{3.42844158825*^9, 3.4284416035*^9}, {3.42844165015625*^9, 
  3.4284416535*^9}, {3.428441703296875*^9, 3.4284417904375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\

Though simple as it looks, this figure is worth   learning. A lot of facts \
about plane geometrie are proven with this tool.\
\>", "Text",
 CellChangeTimes->{{3.42844183003125*^9, 3.42844201215625*^9}, {
  3.430510482109375*^9, 3.43051050278125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["Angle, angle equality.", "Text",
 CellChangeTimes->{{3.428442020078125*^9, 3.42844204190625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "\nlink to ",
 StyleBox["MathWorld",
  FontSlant->"Italic"],
 "  ",
 ButtonBox["Parallel lines",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/ParallelLines.html"], None}]
}], "Text",
 CellChangeTimes->{{3.430510749875*^9, 3.43051079775*^9}, {
  3.430510833328125*^9, 3.430510833328125*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 449}, {77, Automatic}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[667, 27, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[880, 39, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[1233, 53, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[1594, 67, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[1797, 76, 46, 1, 71, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[2203, 93, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 2592, 108},
 {"operation", 2670, 111},
 {"briefexp", 2751, 114},
 {"concepts", 2832, 117},
 {"theory", 2911, 120},
 {"aplications", 2993, 123}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 52, 0, 137, "Title"],
Cell[CellGroupData[{
Cell[667, 27, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[732, 30, 111, 4, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[880, 39, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[945, 42, 251, 6, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1233, 53, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[1295, 56, 262, 6, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1594, 67, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[1657, 70, 103, 1, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1797, 76, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[1846, 79, 342, 11, 47, "Text"]
}, Open  ]],
Cell[2203, 93, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
