(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      3419,        141]
NotebookOptionsPosition[      1900,         78]
NotebookOutlinePosition[      2906,        120]
CellTagsIndexPosition[      2711,        110]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Shortest Distance Between A Point And A Line In 2D", "Title",
 CellChangeTimes->{{3.428428154296875*^9, 3.428428174421875*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
This Demonstration shows how the scalar product (dot product) can be used to \
find the point of shortest distance between a point P and a line. You can \
modify the line by dragging points A and B. 
\
\>", "Text"]
}, Open  ]],

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell[TextData[{
 "\n",
 StyleBox["This is a very nice vector class, bur may be advanced if vectors \
are not introduced in advance.",
  FontSize->24,
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.42842923225*^9, 3.428429271875*^9}}]
}, Open  ]],

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "Weisstein, Eric W. \"Line.\" From MathWorld--A Wolfram Web Resource. ",
 ButtonBox["Link",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/Line.html "], None}]
}], "Text"]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 151}, {Automatic, 80}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[748, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "aplications"->{
  Cell[1828, 74, 56, 1, 71, "Section",
   CellTags->"aplications"]},
 "briefexp"->{
  Cell[1139, 44, 59, 1, 41, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[1458, 57, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "operation"->{
  Cell[1052, 39, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "theory"->{
  Cell[1543, 62, 46, 1, 41, "Section",
   CellTags->"theory"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 2217, 89},
 {"aplications", 2297, 92},
 {"briefexp", 2381, 95},
 {"concepts", 2462, 98},
 {"operation", 2544, 101},
 {"theory", 2624, 104}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 133, 1, 137, "Title"],
Cell[CellGroupData[{
Cell[748, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[813, 31, 224, 5, 65, "Text"]
}, Open  ]],
Cell[1052, 39, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[CellGroupData[{
Cell[1139, 44, 59, 1, 41, "Section",
 CellTags->"briefexp"],
Cell[1201, 47, 242, 7, 116, "Text"]
}, Open  ]],
Cell[1458, 57, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[CellGroupData[{
Cell[1543, 62, 46, 1, 41, "Section",
 CellTags->"theory"],
Cell[1592, 65, 221, 6, 29, "Text"]
}, Open  ]],
Cell[1828, 74, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
