(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20154,        470]
NotebookOptionsPosition[     18040,        390]
NotebookOutlinePosition[     19058,        432]
CellTagsIndexPosition[     18853,        422]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Conic Section Curves", "Title",
 CellChangeTimes->{{3.42843007653125*^9, 3.42843007834375*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
Adjust the a, b, and c values in the standard forms for ellipses, hyperbolas, \
and parabolas. You can also move the center and view other related points and \
lines.
\
\>", "Text",
 CellChangeTimes->{{3.428430044609375*^9, 3.428430063890625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\

For each button: elipse, parabola-x, etc.,the label of the plot, ie. the \
equation shown in the graphics area, does tell us which parameters: a,b,c,h \
or k to vary.
The buttons on the botton of the graphics area let us diplay , if desired, \
the center, foci and directrices of the conic.\
\>", "Text",
 CellChangeTimes->{{3.42849459359375*^9, 3.428494898234375*^9}, 
   3.428498035390625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\

a and b are the major and minor half axis lenghts of the conic. c, a and b  \
is related by the pytagoream therem (see Conic sections:move foci make link), \
 and (h,k) is the center of the conic. The directix and  foci determine the \
kind of conic we have.\
\>", "Text",
 CellChangeTimes->{{3.42849507834375*^9, 3.428495240703125*^9}, {
  3.42849528359375*^9, 3.42849528975*^9}, {3.42849533059375*^9, 
  3.428495385*^9}, {3.428495520234375*^9, 3.428495532359375*^9}, {
  3.42849811740625*^9, 3.428498157390625*^9}, {3.428498193859375*^9, 
  3.428498211296875*^9}, {3.428498276734375*^9, 3.428498336578125*^9}, {
  3.42849908453125*^9, 3.428499102546875*^9}, {3.428499245671875*^9, 
  3.4284992874375*^9}, {3.4284993219375*^9, 3.4284993326875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\

Conic, conic section, center, axis, excentricity, foci and directrices of a \
conic.\
\>", "Text",
 CellChangeTimes->{{3.428494927703125*^9, 3.428495007609375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell["\<\
The conic sections are the nondegenerate curves generated by the \
intersections of a plane with one or two nappes of a cone. For a plane \
perpendicular to the axis of the cone, a circle is produced. For a plane that \
is not perpendicular to the axis and that intersects only a single nappe, the \
curve produced is either an ellipse or a parabola (Hilbert and Cohn-Vossen \
1999, p. 8). The curve produced by a plane intersecting both nappes is a \
hyperbola (Hilbert and Cohn-Vossen 1999, pp. 8-9). 
The ellipse and hyperbola are known as central conics. 
Because of this simple geometric interpretation, the conic sections were \
studied by the Greeks long before their application to inverse square law \
orbits was known. Apollonius wrote the classic ancient work on the subject \
entitled On Conics. Kepler was the first to notice that planetary orbits were \
ellipses, and Newton was then able to derive the shape of orbits \
mathematically using calculus, under the assumption that gravitational force \
goes as the inverse square of distance. Depending on the energy of the \
orbiting body, orbit shapes that are any of the four types of conic sections \
are possible. 
A conic section may more formally be defined as the locus of a point P that \
moves in the plane of a fixed point F called the focus and a fixed line d \
called the conic section directrix (with F not on d ) such that the ratio of \
the distance of P from  F to its distance from d is a constant e called the \
eccentricity. If e=0, the conic is a circle, if 0<e<1, the conic is an \
ellipse, if e=1 , the conic is a parabola, and if e>1, it is a hyperbola. 
A conic section with conic section directrix at x=0, focus at (p,0) , and \
eccentricity e>0 has Cartesian equation \
\>", "Text",
 CellChangeTimes->{{3.428433956875*^9, 3.42843402415625*^9}, {
  3.428434063328125*^9, 3.42843412278125*^9}, {3.4284341561875*^9, 
  3.428434165609375*^9}, {3.428434198328125*^9, 3.42843420078125*^9}, {
  3.42843425134375*^9, 3.4284343685625*^9}, {3.428434406921875*^9, 
  3.42843443534375*^9}, {3.4284345039375*^9, 3.428434524765625*^9}}],

Cell[TextData[{
 "\n",
 Cell[GraphicsData["CompressedBitmap", "\<\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\
\>"], "Graphics",
  ImageSize->{178, 21},
  ImageMargins->0]
}], "Text",
 CellChangeTimes->{{3.428493511328125*^9, 3.42849352803125*^9}}],

Cell["\<\
(Yates 1952, p. 36), where p is called the focal parameter. Plugging in p \
gives ????
\
\>", "Text",
 CellChangeTimes->{{3.428493349609375*^9, 3.428493380328125*^9}, {
  3.428494028515625*^9, 3.428494030875*^9}}],

Cell[GraphicsData["CompressedBitmap", "\<\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\
\>"], "Graphics",
 ImageSize->{282, 42}],

Cell["\<\
for an ellipse,
\
\>", "Text"],

Cell[GraphicsData["CompressedBitmap", "\<\
eJyNVWsorlkUfj4f3zcudc7EDJkxuRQ/pEZyKfJDGaLJlH9y6cs5HIWZDhFK
Uoii/CAkt3JLCbnkrk44SCJKLrmkkPv9zrx7fXu/3m86R/Nj7d613v0+77PW
evbaf+pSP31M0qUmxOrsgz7r/vmUEJti/8ffn6WQWgUgQrIf7cGeX6RHsajh
5eWFwcFBvLy8wJ1WNba2tvD8/EyeLY9tbm7SEzMNrZCia2trWFhYwMTEBH7n
O4eHh5GXl0feLzzG9iUnJ+Pm5kbypJgKBwcHKjQ1Nan0YEZ8Z0NDA3Z3d8lz
otUYx8fHuLu7I+/8/FzDw6urqwgPD8fj4yNOT08FwtPTk7z7/bcR1Hzr2NgY
EhMTuUe0uru7VZifn39l9PXrVwQGBpL3K4/Z2NjQJvlDaNHY2AhHR0ekpKRg
amoK3t7eSEtLw8XFhcSA7TFFaGgoVXtkZMSg8qw2YWFhWF5exrv/gWfE++Dr
64vZ2Vm5M+Xl5ayxKnR1db1mUFlZSYUaGBiAGY/d3t6is7OTTEurGvf39zKS
yRuZhoSEyB1m3XZ1dUVrayvW19chSnt9fQ1zc3NcXV1xHiakEqYWOzs7LC0t
YWVlRc72LUyRbXp6OnJycmSO29vbqKqqUhFxvssYERERKCsro5wuLy9NOSHp
EdnZ2WRaWk1IjgKMGSuUGvn5+dJqYWFBbent7eVJaZCUlIS4uDh5f2xsLBIS
Eoz5L1idLC0tFbVSo7S0FNbW1go1fhdG+Qlrlz4d/VHTa54pnYExmTDudXV1
1or6ZWRkIDMzk8zU1JRw29vbZfqs3uzzs7MzirAeODs7C/qjo6NwcnIyoM+O
o5+fn4KLvpISXTITWs1kSGHf+ZWAlYgjICDAIEX9u56eHlK90C7LSYBqeYxp
qrCwkExLq4b0rCQwPT3NpouAsbKykmVszMtRXV2NDx8+kMfGnZmZGRt9guOX
L1/g4OBgUA6dToeYmBj09/fL5WDiYyJhZsLlImYNM6O3fycY1tbWymPmtevj
4+Pw9PREbm4uxbgvRM1EIGVJpqXV8BSLk1dUVIT9/X3yRCk0/F1HRwdJrq2t
DUFBQaivr+f56k+vRqOhlrPIw8MD7WdTYXFxkbrl5uaGjY0Nru5v44kkU1NT
kZWVpUxS0GhuboaLiwv8/f3h4+ODlpYWWPJ3rLnsxCrpv+OQHh4e1Gzm/cZj
wcHBbJArf6PlTl9fH3Z2dsjb29uz4mE25Blxji7Ai4uLUVBQQJ4dj0lXDdzd
3Una+imJH/iriooKnJyckPeTAoLNEsb5PY9FR0djZmbG4EqJjIyUR/l/YNnt
FRUVZQDLOs/KpYRlZSopKSFP3LzsipucnOQaNKj40dGRLBSmvMPDQ/ysSFII
ycvws7m5OQwNDRGqra0tTfowZZHVqKmpQXx8PKn1L/2rCC5p1b/We/2v\
\>"], "Graphics",
 ImageSize->{90, 17}],

Cell["\<\

For a parabola, and \
\>", "Text",
 CellChangeTimes->{{3.4284942005625*^9, 3.428494232484375*^9}}],

Cell[GraphicsData["CompressedBitmap", "\<\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\
\>"], "Graphics",
 ImageSize->{278, 42}],

Cell["\<\

for a hiporbola.\
\>", "Text",
 CellChangeTimes->{{3.4284942629375*^9, 3.42849428184375*^9}}],

Cell["\<\
The polar equation of a conic section with focal parameter p is given by\
\>", "Text",
 CellChangeTimes->{{3.428494291375*^9, 3.428494326078125*^9}}],

Cell[GraphicsData["CompressedBitmap", "\<\
eJyVVmtI1UkU/93uS1lYdRNl966gKVTomoa1FOQDllXTtU8KiggXEfKVWyti
QSZWkm9UiEQlTBQVMXogKWEfxMpeopl+SMLU8lG+yshn7v+cO/Pfq2ube2Hm
/ufMmTPnnPmd38wf5vTjCanm9MR4s2vwKfOfxxPj/3L9Pe2UItJqAEQrzdUV
9L2ufIouGuvr6zTJf/v4T4svX75genqaR0Yh+/z5Mz59+iRGln5xcRGDg4NY
WlrCDiFbW1vjr3fv3qlrpS1qNpatfuI/PaamppCTk0PO4OTJk3j9+rVQ0eLg
wYPqMp3QHx8fh4eHB+Lj41FXV4f79+8rUotGVlYW9Ho9jEYjzpw5Y/HoO1y7
dg3+/v5obW1FbGwsmpubeaa9vR1BQUG4c+cOCgsLce/ePRGZHjMzM0hPT8fD
hw9RXl6O2dlZ6bnJKiH06+vrg+1XPTaguLgYgYGBqnxoaIgSZ9npB7S1tbGZ
yspKNtnS0sIyyqtOp0N/fz9rLi8vw97eHmNjYzxPnpH88ePHCA4Olo5fv34d
Fy5c4NHk5CTnaZPjKysr23Bch6qqKuzZswe3b98mz/RC9cSJE/D19eWRPPS3
b98iOzsbjo6OIoVGHDhwAKWlpewFAerFixfw8vJCTEyM0DHg9OnTyM3NVbcO
DQ1FZ2en8esO60WcCwsLSExMVJuTk5OiSV+2mJ+fVy0SvpydnTmIkpISxhjB
WEI4Li6OsLIB1gkJCTh69KhVhEb4+PggIyODRwQoGxsbBtX79+/VaM6ePYuk
pCR17/z8fKSmpm4jGjpcgqdsu3fvVjTpy5aLS1qkdvfuXTpwltMRJScnCw9s
cOnSJaSkpKi6Hz9+ZD3KcUhIyA6hxgnQanH58mU+HgqGjopqV0msjIese3p6
oqKigltaWhpcXFz+I56t4GQQcBoYGEBBQQG3ixcvSvxTAkld8gZBgFSo0Hft
2sUhkLyxsRE7d+5kLnn58iUiIyNZPjc3h9raWom6rq4uLpsnT55w6fT29sJg
MGB0dFR4sm3Hvxf88ezZM5jNZk5uREQEcwHNdHd3c7LPnTuH8PBw9PT0CLjo
mE+uXr3KcqUkJbKoDtzd3dHR0aHWzv79+/HgwQOBhG96SAwmPbS3MitlUk/m
05qKCAYKIFV5VFQUbty4YbCmZB0X89OnT+XO+8RiAg3RJSWcJMQsr1692pTU
W7duwdvbm132EQaJss6fP49Hjx5RDXGQGrKjsaxVllEOpWc/WkVFGaCRr5DJ
3KvlqkF1dbUGdnZ2Gg6ZjBE1mkwmHkvWoqtKCZWbkXstV500FmQxNjExoUFT
U9M/npERwh0RiDRG5EOXDTUj95brQBr7Tay25J0ILywsjOJxtDqcK1eucPuV
ey0DfOOBQSCW6jA6OhoNDQ0MRqVkJHjoUPLy8rgZubeEuiFH/2tDIk+iciK8
58+f48iRI6ivr5cbUpjKkJuR+415FKFvfFd4iT3oNMm2m5sbXdx7LbO/WGWV
SpUYQUx5iyliWrq2qYrl68D6keJira7nB8WhQ4f4cUD73bx5U6XarR4QP1sv
N3A10k0lY6IDrKmp+caFbrI2YsTq6iqhksFPkuHhYTg4OGBkZEScyr9uWBGF
LLhjx46hqKhI3YdORDk5yc5fudlMG42UlZUxjb5584YlAQEBRK/yObXVZbIp
kA8fPiAzMxN+fn78uiDKO3z4ML/U5MtrE7ebtgIBNH8DAFjlVA==\
\>"], "Graphics",
 ImageSize->{89, 32}],

Cell[TextData[{
 "Weisstein, Eric W. \"Conic Section.\" From MathWorld--A Wolfram Web \
Resource.\n",
 ButtonBox["Link",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/ConicSection.html"], None}]
}], "Text",
 CellChangeTimes->{{3.4284938538125*^9, 3.4284938695*^9}, {3.4284944663125*^9,
   3.428494492578125*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 477}, {74, Automatic}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[716, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[1075, 42, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[1583, 59, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[2442, 80, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[2717, 93, 46, 1, 71, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[17968, 386, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 18357, 401},
 {"operation", 18435, 404},
 {"briefexp", 18517, 407},
 {"concepts", 18598, 410},
 {"theory", 18677, 413},
 {"aplications", 18759, 416}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 101, 1, 83, "Title"],
Cell[CellGroupData[{
Cell[716, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[781, 31, 257, 6, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1075, 42, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1140, 45, 406, 9, 101, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1583, 59, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[1645, 62, 760, 13, 83, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2442, 80, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[2505, 83, 175, 5, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2717, 93, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[2766, 96, 2120, 31, 353, "Text"],
Cell[4889, 129, 2511, 45, 50, "Text"],
Cell[7403, 176, 223, 6, 47, "Text"],
Cell[7629, 184, 3094, 52, 50, "Graphics"],
Cell[10726, 238, 40, 3, 47, "Text"],
Cell[10769, 243, 1543, 26, 25, "Graphics"],
Cell[12315, 271, 109, 4, 47, "Text"],
Cell[12427, 277, 3061, 51, 50, "Graphics"],
Cell[15491, 330, 104, 4, 47, "Text"],
Cell[15598, 336, 159, 3, 29, "Text"],
Cell[15760, 341, 1844, 31, 40, "Graphics"],
Cell[17607, 374, 346, 9, 47, "Text"]
}, Open  ]],
Cell[17968, 386, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
