(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4553,        178]
NotebookOptionsPosition[      2858,        108]
NotebookOutlinePosition[      3868,        150]
CellTagsIndexPosition[      3669,        140]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["ConicSectionsMoveFoci", "Title"],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
Adjust the location of either focus (the purple points). You can change the \
eccentricity by controlling how a  relates to c .
\
\>", "Text",
 CellChangeTimes->{{3.42849853828125*^9, 3.42849857225*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\

The purple points are the foci and the orange point the center of the conic. \
They are locators that let as change the shape, orientation and position of \
the choosen conic.
\
\>", "Text",
 CellChangeTimes->{{3.428498676640625*^9, 3.428498772421875*^9}, {
  3.42849883553125*^9, 3.428498884859375*^9}, {3.428500661609375*^9, 
  3.42850073909375*^9}, {3.428500771609375*^9, 3.42850081396875*^9}, {
  3.428500852453125*^9, 3.42850086665625*^9}, {3.428500912046875*^9, 
  3.428500948015625*^9}, {3.4285010305625*^9, 3.428501053328125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\


The c-distance is fixed by the relative positions of the foci. The lenght \
half axis: \[ScriptA]  is adjusted through the slider \"adjust \[ScriptA] \"\
\>", "Text",
 CellChangeTimes->{{3.42849960534375*^9, 3.4284998186875*^9}, {
   3.428499862390625*^9, 3.428499873765625*^9}, {3.42849992153125*^9, 
   3.428500005671875*^9}, 3.42850096775*^9, {3.42850101496875*^9, 
   3.428501017609375*^9}, {3.428501056359375*^9, 3.42850106140625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\
Conic, conic section, center, axis, excentricity, foci and directrices of a \
conic.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell["\<\
Equations of tilted conics involve productf of the coordinates x-y and are \
not shown in this book.\
\>", "Text"],

Cell[TextData[{
 "\nConic section curves ",
 ButtonBox["link",
  BaseStyle->"Hyperlink",
  ButtonData->{"ConicSectionCurves-text.nb", "theory"}]
}], "Text",
 CellChangeTimes->{{3.4284994560625*^9, 3.428499532875*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{530, Automatic}, {Automatic, 81}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[653, 27, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[968, 40, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[1619, 59, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[2170, 76, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[2378, 87, 46, 1, 71, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[2786, 104, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 3175, 119},
 {"operation", 3253, 122},
 {"briefexp", 3334, 125},
 {"concepts", 3415, 128},
 {"theory", 3494, 131},
 {"aplications", 3576, 134}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 38, 0, 83, "Title"],
Cell[CellGroupData[{
Cell[653, 27, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[718, 30, 213, 5, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[968, 40, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1033, 43, 549, 11, 83, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1619, 59, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[1681, 62, 452, 9, 83, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2170, 76, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[2233, 79, 108, 3, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2378, 87, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[2427, 90, 124, 3, 29, "Text"],
Cell[2554, 95, 217, 6, 47, "Text"]
}, Open  ]],
Cell[2786, 104, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
