(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4079,        160]
NotebookOptionsPosition[      2490,         94]
NotebookOutlinePosition[      3499,        136]
CellTagsIndexPosition[      3300,        126]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["ConicSectionsPolarEquations", "Title"],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
Adjust the eccentricity and the distance between the directrix and the origin \
to create conic sections. You can also rotate the curve.\
\>", "Text",
 CellChangeTimes->{3.42850120496875*^9}]
}, Open  ]],

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\

The polar equation of a conic loks simple but is more general then the  \
cartesian coordinates expressions, you get all the conics in any orientation \
without giving different equations for each of them.
The exentricity parameter e, is equal to cero for a circle, 0< e<1 for an \
ellipse, e=1 for a parabbola and 1<e for an hyperbola.
The d parameter is the distance focus-directrix.
The theta parameter controls the orientation of the conic with respect to the \
x-axis\
\>", "Text",
 CellChangeTimes->{{3.4285755026875*^9, 3.428575645484375*^9}, {
  3.428575687515625*^9, 3.428575731734375*^9}, {3.42857584175*^9, 
  3.42857599465625*^9}, {3.428576198625*^9, 3.428576222859375*^9}, {
  3.428576294515625*^9, 3.428576346359375*^9}, {3.428579870046875*^9, 
  3.42857987965625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\

Polar coordinates, conic, conic sections, ...\
\>", "Text",
 CellChangeTimes->{{3.428576366421875*^9, 3.4285763901875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "\n",
 ButtonBox["Link",
  BaseStyle->"Hyperlink",
  ButtonData->{"ConicSectionCurves-text.nb", "theory"}],
 " "
}], "Text",
 CellChangeTimes->{{3.42857574590625*^9, 3.428575781*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 398}, {Automatic, 43}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[659, 27, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[940, 37, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[1027, 42, 59, 1, 41, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[1920, 65, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[2154, 77, 46, 1, 71, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[2418, 90, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 2807, 105},
 {"operation", 2885, 108},
 {"briefexp", 2966, 111},
 {"concepts", 3047, 114},
 {"theory", 3126, 117},
 {"aplications", 3208, 120}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 44, 0, 83, "Title"],
Cell[CellGroupData[{
Cell[659, 27, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[724, 30, 201, 4, 47, "Text"]
}, Open  ]],
Cell[940, 37, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[CellGroupData[{
Cell[1027, 42, 59, 1, 41, "Section",
 CellTags->"briefexp"],
Cell[1089, 45, 794, 15, 155, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1920, 65, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[1983, 68, 134, 4, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2154, 77, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[2203, 80, 200, 7, 47, "Text"]
}, Open  ]],
Cell[2418, 90, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
