(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4811,        171]
NotebookOptionsPosition[      3247,        107]
NotebookOutlinePosition[      4258,        149]
CellTagsIndexPosition[      4059,        139]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Conic Sections The Double Cone", "Title",
 CellChangeTimes->{{3.428580735453125*^9, 3.42858074184375*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
The quadratic curves are circles, ellipses, parabolas, and hyperbolas. They \
are called conic sections because each one is the intersection of a double \
cone and an inclined plane. 

If the plane is perpendicular to the cone's axis, the intersection is a \
circle. If it is inclined at an angle greater than zero but less than the \
half-angle of the cone, it is an (eccentric) ellipse. If the plane's \
inclination is equal to this half-angle, the intersection is a parabola. If \
it exceeds the half-angle, it is a hyperbola. 
When the plane passes through the apex of the cone, the intersection is a \
point, one line, or a double line. 
\
\>", "Text"],

Cell[TextData[{
 "Mathematical note: If the half-angle of the cone is \[Pi]/4 then the \
eccentricity of the intersection is ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SqrtBox["2"],
    FontSize->6], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " sin(\[Alpha], where \[Alpha] is the angle of inclination of the plane. Its \
projection in the x-y plane is also a conic section, with focus at the origin \
and eccentricity tan(\[Alpha]) . Note that the eccentricity of the \
intersection and of its projection are equal for precisely two values of \
\[Alpha] , namely 0 and ",
 "\[Pi]/4 ",
 ", corresponding to eccentricities of 0 and 1, and thus to the circle and \
parabola, respectively.\n"
}], "Text",
 CellChangeTimes->{{3.428580113625*^9, 3.428580284953125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\

The slider \"inclination\" changes \[Alpha] the inclination of the \
interecting plane, with 0\[LessSlantEqual]\[Alpha]\[LessSlantEqual]\[Pi]. the \
four conics appear as we change the value of \[Alpha] in this range.\
\>", "Text",
 CellChangeTimes->{{3.428580797453125*^9, 3.428580886515625*^9}, {
  3.428580920015625*^9, 3.4285810321875*^9}}]
}, Open  ]],

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "Weisstein, Eric W. \"Conic Section.\" From MathWorld--A Wolfram Web \
Resource.\n",
 ButtonBox["Link",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/ConicSection.html"], None}]
}], "Text"]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 257}, {Automatic, 43}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[727, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "aplications"->{
  Cell[3175, 103, 56, 1, 71, "Section",
   CellTags->"aplications"]},
 "briefexp"->{
  Cell[2724, 82, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[2786, 85, 60, 1, 41, "Section",
   CellTags->"concepts"]},
 "operation"->{
  Cell[2289, 69, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "theory"->{
  Cell[2871, 90, 46, 1, 41, "Section",
   CellTags->"theory"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 3564, 118},
 {"aplications", 3644, 121},
 {"briefexp", 3729, 124},
 {"concepts", 3810, 127},
 {"operation", 3892, 130},
 {"theory", 3972, 133}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 112, 1, 137, "Title"],
Cell[CellGroupData[{
Cell[727, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[792, 31, 667, 13, 191, "Text"],
Cell[1462, 46, 790, 18, 119, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2289, 69, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[2354, 72, 355, 7, 65, "Text"]
}, Open  ]],
Cell[2724, 82, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[2786, 85, 60, 1, 41, "Section",
 CellTags->"concepts"],
Cell[CellGroupData[{
Cell[2871, 90, 46, 1, 41, "Section",
 CellTags->"theory"],
Cell[2920, 93, 240, 7, 47, "Text"]
}, Open  ]],
Cell[3175, 103, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
