(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5894,        193]
NotebookOptionsPosition[      4390,        132]
NotebookOutlinePosition[      5405,        174]
CellTagsIndexPosition[      5206,        164]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["How Does The Vertex Location Of A Parabola Change", "Title",
 CellChangeTimes->{{3.4285822016875*^9, 3.4285822155625*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell[TextData[{
 "The purpose of this visualization is to help students understand the \
relationship between the location of the vertex of the parabolic curve \
described by    \[ScriptY]= \[ScriptA] ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[ScriptX]", "2"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->14],
 " +\[ScriptB] \[ScriptX] +\[ScriptC] and the values of the coefficients \
\[ScriptA],\[ScriptB],\[ScriptC].\n"
}], "Text",
 CellChangeTimes->{{3.428582254671875*^9, 3.428582311984375*^9}, 
   3.428582350234375*^9, {3.42858239740625*^9, 3.42858240109375*^9}, {
   3.42858246925*^9, 3.428582619875*^9}}],

Cell[TextData[{
 "It is understood the vertex of a parabolic curve described by the quadratic \
function  \[ScriptF](\[ScriptX]) =  \[ScriptY]= \[ScriptA] ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[ScriptX]", "2"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->14],
 " +\[ScriptB] \[ScriptX] +\[ScriptC] is located where \
\[ScriptX]=-\[ScriptB]/2\[ScriptA] and hence, \[ScriptY]=\[ScriptF](-b/2\
\[ScriptA])=-(",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["\[ScriptB]", "2"],
    FontSize->12], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " -4\[ScriptA]\[ScriptC])/4\[ScriptA] . It is insightful to view the \
location of the vertex as being the intersection point of the line\[ScriptC]  \
\[ScriptY]=(\[ScriptB]/2) \[ScriptX]+c and the parabola  \[ScriptY]=-a",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     SuperscriptBox["\[ScriptX]", "2"], " "}],
    FontSize->12], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " + to better understand how the coefficients \[ScriptA],\[ScriptB],\
\[ScriptC]  affect the location of the vertex. \nIf the linear coefficient\
\[ScriptB]\[NotEqual]0 and the constant coefficient \[ScriptC] remains fixed \
while the quadratic coefficient \[ScriptA] varies, then you can observe the \
vertex of the parabola sliding along the line \[ScriptY]=\[ScriptB]/2) \
\[ScriptX]+c as the parabola  \[ScriptY]=- \[ScriptA] ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[ScriptX]", "2"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->14],
 " +\[ScriptC] changes. If the quadratic coefficient \[ScriptA]\[NotEqual]0  \
and the constant coefficient\[ScriptC]  remains fixed while the linear \
coefficient \[ScriptB]  varies, then you can observe the vertex of the \
parabola \[ScriptY]=- \[ScriptA] ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[ScriptX]", "2"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->14],
 " +\[ScriptC]  sliding along the parabola as the line \
\[ScriptY]=\[ScriptB]/2) \[ScriptX]+c changes.\n"
}], "Text",
 CellChangeTimes->{{3.4285826834375*^9, 3.428582781859375*^9}, {
  3.428582823890625*^9, 3.42858337221875*^9}, {3.428583402265625*^9, 
  3.428583403953125*^9}}]
}, Open  ]],

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "\n",
 ButtonBox["Link",
  BaseStyle->"Hyperlink",
  ButtonData->{"ConicSectionCurves-text.nb", "theory"}],
 " "
}], "Text",
 CellChangeTimes->{
  3.4288306423125*^9, {3.428830737265625*^9, 3.428830741734375*^9}, {
   3.428830778015625*^9, 3.428830778015625*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 213}, {Automatic, 76}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[743, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[3762, 102, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[3827, 105, 59, 1, 41, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[3889, 108, 60, 1, 41, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[3974, 113, 46, 1, 41, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[4318, 128, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 4707, 143},
 {"operation", 4785, 146},
 {"briefexp", 4868, 149},
 {"concepts", 4950, 152},
 {"theory", 5030, 155},
 {"aplications", 5113, 158}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 128, 1, 137, "Title"],
Cell[CellGroupData[{
Cell[743, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[808, 31, 651, 14, 86, "Text"],
Cell[1462, 47, 2285, 52, 206, "Text"]
}, Open  ]],
Cell[3762, 102, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[3827, 105, 59, 1, 41, "Section",
 CellTags->"briefexp"],
Cell[3889, 108, 60, 1, 41, "Section",
 CellTags->"concepts"],
Cell[CellGroupData[{
Cell[3974, 113, 46, 1, 41, "Section",
 CellTags->"theory"],
Cell[4023, 116, 280, 9, 47, "Text"]
}, Open  ]],
Cell[4318, 128, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
