(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4043,        170]
NotebookOptionsPosition[      2387,        101]
NotebookOutlinePosition[      3396,        143]
CellTagsIndexPosition[      3197,        133]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Plot A Quadratic Polynomial", "Title",
 CellChangeTimes->{{3.430511653296875*^9, 3.43051165796875*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
Plot a quadratic polynomial with coefficients and constant term between -5 \
and 5.
\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\

Change the constant, linear and cuadratic coeficients values one at a time \
and try to get familiar as much as possible with the effects it produces upon \
the graph of the quadratic polynomial. \
\>", "Text",
 CellChangeTimes->{
  3.430512046046875*^9, {3.4305120760625*^9, 3.430512085078125*^9}, {
   3.43051212778125*^9, 3.430512234171875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell[TextData[{
 "\nSee",
 ButtonBox[" link",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/QuadraticPolynomial.html"], None}]
}], "Text",
 CellChangeTimes->{{3.430512251125*^9, 3.430512257578125*^9}, {
  3.430512303875*^9, 3.430512303875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\

Polynomial, quadratic, coeficients.\
\>", "Text",
 CellChangeTimes->{{3.430512319765625*^9, 3.43051237*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "\nSee ",
 ButtonBox["link",
  BaseStyle->"Hyperlink",
  ButtonData->{"EndBehaviorOfPolynomialFunctions-text.nb", "theory"}]
}], "Text",
 CellChangeTimes->{{3.430511733265625*^9, 3.430511740703125*^9}, {
  3.43051183825*^9, 3.43051183825*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 392}, {Automatic, 73}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[724, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[934, 40, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[1395, 56, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[1772, 72, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[1991, 84, 46, 1, 71, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[2315, 97, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 2704, 112},
 {"operation", 2782, 115},
 {"briefexp", 2863, 118},
 {"concepts", 2944, 121},
 {"theory", 3023, 124},
 {"aplications", 3105, 127}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 109, 1, 83, "Title"],
Cell[CellGroupData[{
Cell[724, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[789, 31, 108, 4, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[934, 40, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[999, 43, 359, 8, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1395, 56, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[1457, 59, 278, 8, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1772, 72, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[1835, 75, 119, 4, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1991, 84, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[2040, 87, 260, 7, 47, "Text"]
}, Open  ]],
Cell[2315, 97, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
