(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4984,        204]
NotebookOptionsPosition[      3315,        135]
NotebookOutlinePosition[      4328,        177]
CellTagsIndexPosition[      4129,        167]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Plot A Quintic Polynomial", "Title",
 CellChangeTimes->{{3.430512444*^9, 3.43051244865625*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell[TextData[{
 "Plot any quintic polynomial \[ScriptA]",
 StyleBox[" ",
  FontSize->10],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[ScriptX]", "5"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->10],
 StyleBox[" +",
  FontSize->10],
 "\[ScriptB]",
 StyleBox[" ",
  FontSize->10],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[ScriptX]", "4"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->10],
 StyleBox[" +",
  FontSize->10],
 "\[ScriptC]",
 StyleBox[" ",
  FontSize->10],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[ScriptX]", "3"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->10],
 "+\[ScriptD]",
 StyleBox[" ",
  FontSize->10],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[ScriptX]", "2"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->10],
 StyleBox[" +",
  FontSize->10],
 "\[ScriptF]",
 "\n"
}], "Text",
 CellChangeTimes->{
  3.43051264465625*^9, {3.430512676171875*^9, 3.430512730140625*^9}, {
   3.43051278596875*^9, 3.43051288146875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\
Change the coeficients values one at a time and try to get familiar as much \
as possible with the effects it produces upon the graph of the quintic \
polynomial. \
\>", "Text",
 CellChangeTimes->{{3.430512930484375*^9, 3.43051295253125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\

The dominant terms for values of the x varaiable, for \
\[VerticalBar]\[ScriptX]\[VerticalBar]<1, are the lower exponent terms, \
whereas for  \[VerticalBar]\[ScriptX]\[VerticalBar] >1 are the highest \
exponents terms. but still it also depends upon the relative sizes of the \
coefficients \
\>", "Text",
 CellChangeTimes->{{3.43051322128125*^9, 3.43051357253125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["Quintic polynomial, , coeficients.", "Text",
 CellChangeTimes->{{3.430513051640625*^9, 3.430513085*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "\nPolynomial ",
 ButtonBox["link",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/Polynomial.html"], None}]
}], "Text",
 CellChangeTimes->{{3.430513164078125*^9, 3.43051319028125*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 266}, {75, Automatic}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[716, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[1900, 80, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[2254, 93, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[2734, 109, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[2944, 118, 46, 1, 71, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[3243, 131, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 3632, 146},
 {"operation", 3710, 149},
 {"briefexp", 3792, 152},
 {"concepts", 3873, 155},
 {"theory", 3953, 158},
 {"aplications", 4036, 161}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 101, 1, 83, "Title"],
Cell[CellGroupData[{
Cell[716, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[781, 31, 1082, 44, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1900, 80, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1965, 83, 252, 5, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2254, 93, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[2316, 96, 381, 8, 83, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2734, 109, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[2797, 112, 110, 1, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2944, 118, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[2993, 121, 235, 7, 47, "Text"]
}, Open  ]],
Cell[3243, 131, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
