(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      8444,        310]
NotebookOptionsPosition[      6647,        241]
NotebookOutlinePosition[      7663,        283]
CellTagsIndexPosition[      7464,        273]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Derivatives Of Exponential Functions", "Title",
 CellChangeTimes->{{3.452428260578125*^9, 3.45242826315625*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell[TextData[{
 "The transcendental number e has many interesting properties. By graphing \
various exponential functions ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["\[ScriptB]", "\[ScriptX]"],
    FontSize->14], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " with their derivatives you can see that all derivatives of ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["\[ScriptE]", "\[ScriptX]"],
    FontSize->16], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 "are  ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["\[ScriptE]", "\[ScriptX]"],
    FontSize->16], TraditionalForm]], "Subtitle"],
 "\n"
}], "Text",
 CellChangeTimes->{{3.45243047225*^9, 3.45243053546875*^9}}]
}, Open  ]],

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell["\<\

Since the exponential and logarithmic functions are inverse of each other \
then:\
\>", "Text",
 CellChangeTimes->{
  3.452428299375*^9, {3.45242868428125*^9, 3.45242873784375*^9}}],

Cell[TextData[{
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[ScriptX]", "\[Alpha]"], "=", 
    SuperscriptBox["\[ScriptE]", 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"log", "(", "\[ScriptX]", ")"}]}]]}], TraditionalForm]], 
  "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->16]
}], "Text",
 CellChangeTimes->{
  3.45242874265625*^9, {3.452428807625*^9, 3.452428838*^9}, {
   3.452428882640625*^9, 3.452428915890625*^9}}],

Cell[TextData[{
 "\nAlso if: \[Phi](x) = log(x), \[Psi](u) = \[Alpha] u and g(y) = ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["\[ScriptE]", "\[ScriptY]"],
    FontSize->16], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " then"
}], "Text",
 CellChangeTimes->{{3.4524289333125*^9, 3.452428964640625*^9}, {
  3.452429109984375*^9, 3.45242922065625*^9}}],

Cell[TextData[{
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Phi]", "'"], "(", "\[ScriptX]", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      FractionBox["1", "\[ScriptX]"], "       ", 
      RowBox[{
       SuperscriptBox["\[Psi]", "'"], "(", "\[ScriptX]", ")"}]}], " ", "=", 
     " ", 
     RowBox[{
      RowBox[{"\[Alpha]", "       ", 
       RowBox[{
        SuperscriptBox["\[ScriptG]", "'"], "(", "\[ScriptX]", ")"}]}], " ", 
      "=", " ", 
      SuperscriptBox["\[ScriptE]", "\[ScriptY]"]}]}]}], TraditionalForm]], 
  "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->14]
}], "Text",
 CellChangeTimes->{{3.452429240796875*^9, 3.452429390703125*^9}}],

Cell[TextData[{
 "\nSince  ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["\[ScriptX]", "\[Alpha]"],
    FontSize->14], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " is the composition: \[ScriptG] \[SmallCircle]\[Psi] \[SmallCircle] \[Phi]  \
ie.  ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["\[ScriptX]", "\[Alpha]"],
    FontSize->14], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 "= g (\[Psi] (\[Phi] (x)), the appling the chain rule to this composition"
}], "Text",
 CellChangeTimes->{{3.452429408984375*^9, 3.452429414140625*^9}, {
  3.452429454734375*^9, 3.452429517484375*^9}, {3.452429552171875*^9, 
  3.45242970240625*^9}}],

Cell[TextData[{
 "\n",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     FractionBox[
      RowBox[{"\[DifferentialD]", 
       SuperscriptBox["\[ScriptX]", "\[Alpha]"]}], 
      RowBox[{"\[DifferentialD]", "\[ScriptX]"}]], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[ScriptG]", "'"], "(", "\[ScriptY]", ")"}], " ", 
      RowBox[{
       SuperscriptBox["\[Psi]", "'"], "(", "\[ScriptU]", ")"}], " ", 
      RowBox[{
       SuperscriptBox["\[Phi]", "'"], "(", "\[ScriptX]", ")"}]}]}],
    FontSize->16], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " ",
 Cell[BoxData[
  FormBox["=", TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["\[ScriptE]", "\[ScriptY]"], "\[CenterDot]", " ", 
     "\[Alpha]", " ", "\[CenterDot]", 
     FractionBox["1", "\[ScriptX]"]}], "=", 
    RowBox[{
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       SuperscriptBox["\[ScriptE]", 
        RowBox[{"\[Alpha]log", "(", "\[ScriptX]", ")"}]]}], "\[ScriptX]"], 
     "=", 
     RowBox[{"\[Alpha]", " ", "\[CenterDot]", " ", 
      FractionBox[
       SuperscriptBox["\[ScriptX]", "\[Alpha]"], "\[ScriptX]"], " "}]}]}], 
   TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->18]
}], "Text",
 CellChangeTimes->{{3.452429708421875*^9, 3.45242996609375*^9}, {
  3.452430029859375*^9, 3.452430316140625*^9}}],

Cell["\<\

Then:\
\>", "Text",
 CellChangeTimes->{{3.452430347109375*^9, 3.452430352109375*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{"                                   ", 
   RowBox[{
    FractionBox[
     RowBox[{"\[DifferentialD]", 
      SuperscriptBox["\[ScriptX]", "\[Alpha]"]}], 
     RowBox[{"\[DifferentialD]", "\[ScriptX]"}]], " ", "=", 
    RowBox[{"\[Alpha]", "\[CenterDot]", 
     SuperscriptBox["\[ScriptX]", 
      RowBox[{"\[Alpha]", "-", "1"}]]}]}]}],
  FontSize->14]], "Text",
 CellChangeTimes->{{3.45243038396875*^9, 3.452430430671875*^9}}],

Cell["\<\
(From Courant and John: Introduction to calculus and mathematical analysis)
\
\>", "Text",
 CellChangeTimes->{
  3.45242907009375*^9, {3.452430568015625*^9, 3.452430617453125*^9}}],

Cell["\<\

\
\>", "Text",
 CellChangeTimes->{3.452428947265625*^9}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 366}, {Automatic, 18}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[710, 27, 62, 1, 71, "Section",
   CellTags->"about"]},
 "aplications"->{
  Cell[6575, 237, 56, 1, 71, "Section",
   CellTags->"aplications"]},
 "briefexp"->{
  Cell[1614, 60, 59, 1, 41, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[1676, 63, 60, 1, 41, "Section",
   CellTags->"concepts"]},
 "operation"->{
  Cell[1549, 57, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "theory"->{
  Cell[1761, 68, 46, 1, 41, "Section",
   CellTags->"theory"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 6969, 252},
 {"aplications", 7049, 255},
 {"briefexp", 7134, 258},
 {"concepts", 7215, 261},
 {"operation", 7297, 264},
 {"theory", 7377, 267}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 118, 1, 137, "Title"],
Cell[CellGroupData[{
Cell[710, 27, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[775, 30, 759, 24, 68, "Text"]
}, Open  ]],
Cell[1549, 57, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1614, 60, 59, 1, 41, "Section",
 CellTags->"briefexp"],
Cell[1676, 63, 60, 1, 41, "Section",
 CellTags->"concepts"],
Cell[CellGroupData[{
Cell[1761, 68, 46, 1, 41, "Section",
 CellTags->"theory"],
Cell[1810, 71, 192, 6, 47, "Text"],
Cell[2005, 79, 455, 15, 49, "Text"],
Cell[2463, 96, 389, 11, 50, "Text"],
Cell[2855, 109, 710, 23, 54, "Text"],
Cell[3568, 134, 706, 20, 66, "Text"],
Cell[4277, 156, 1457, 45, 65, "Text"],
Cell[5737, 203, 96, 4, 47, "Text"],
Cell[5836, 209, 461, 12, 47, "Text"],
Cell[6300, 223, 190, 5, 47, "Text"],
Cell[6493, 230, 67, 4, 47, "Text"]
}, Open  ]],
Cell[6575, 237, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
