(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     10097,        360]
NotebookOptionsPosition[      8307,        288]
NotebookOutlinePosition[      9325,        330]
CellTagsIndexPosition[      9126,        320]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Tangent Lines To Exponential And Logarithmic Functions Through The Origin\
\>", "Title",
 CellChangeTimes->{{3.451749433203125*^9, 3.451749458484375*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell[TextData[{
 "For each exponential function ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["\[ScriptA]", "\[ScriptX]"],
    FontSize->16], TraditionalForm]], "Subtitle"],
 " ,",
 StyleBox["\[ScriptA] ",
  FontSize->14],
 ">",
 StyleBox[" 0",
  FontSize->14],
 " draw the tangent line through the origin. The points of tangency lie on \
the horizontal line y=\[ExponentialE]. Likewise, for the logarithmic \
functions y=",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["log", "b"],
    FontSize->10], TraditionalForm]], "Subtitle",
  FontSize->16],
 "x,b > 0 , the points of tangency lie on the vertical line x=",
 "\[ExponentialE]",
 ".\n"
}], "Text",
 CellChangeTimes->{{3.430583451953125*^9, 3.430583732140625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\
Each slider is associated to one of the figures. The exponential with base a \
and the logarithmic with base b.\
\>", "Text",
 CellChangeTimes->{{3.4305889075*^9, 3.430588986171875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell[TextData[{
 "\nThe exponential function ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["\[ScriptA]", "\[ScriptX]"],
    FontSize->16], TraditionalForm]], "Subtitle"],
 " with ",
 StyleBox["\[ScriptA] ",
  FontSize->14],
 ">",
 StyleBox[" 1 ",
  FontSize->14],
 "increases for increasing positive x. Whereas for 0 < ",
 StyleBox["\[ScriptA]",
  FontSize->16],
 StyleBox[" ",
  FontSize->18],
 "<",
 StyleBox[" 1, ",
  FontSize->18],
 "increases for increasing negative x' The logarithmic function  y=",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["log", "b"],
    FontSize->10], TraditionalForm]], "Subtitle",
  FontSize->16],
 "x,b > 1, increases for increasing x whereas it decreases for 0 < b <1 with \
increasing x.\nSince the logarithmic and exponential function are inverse \
functions for a=b, The tangent line through the origin (0,0) changes from y=\
\[ExponentialE] in the logarithmic function to x=\[ExponentialE] in the \
exponential function."
}], "Text",
 CellChangeTimes->{{3.430584093390625*^9, 3.430584339359375*^9}, {
   3.43058440721875*^9, 3.430584413265625*^9}, {3.430584521953125*^9, 
   3.430584618109375*^9}, {3.4305846566875*^9, 3.4305846633125*^9}, 
   3.4305847024375*^9, {3.430584820453125*^9, 3.430584876171875*^9}, {
   3.43058493503125*^9, 3.4305849714375*^9}, {3.430585002578125*^9, 
   3.43058506384375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\

Logarithmic and exponential functions, tangent lines, inverse functions, \
\[ExponentialE] number.\
\>", "Text",
 CellChangeTimes->{{3.43058509246875*^9, 3.430585180015625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "\nThe concept of exponents in algebra can be expanded to logarithms, that \
is,  the algebraic expression  ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["a", "b"],
    FontSize->12], TraditionalForm]], "Subtitle"],
 "=c in which b is the exponent of a nesessary to get c,  this can also be \
expressed as: b is the logarithm of c of base a. If a, ie. the base, is \
assumed to be fixed the we can talk about a function  f(x)= ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["a", "x"],
    FontSize->12], TraditionalForm]], "Subtitle"],
 " which can be read as x is the logarithm of f(x) of base a or x= ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["log", "a"],
    FontSize->12], TraditionalForm]], "Subtitle"],
 "f( x). The case a =\[ExponentialE] gives the notion of exponential and \
natural logaritmic functions.\nSince exponents and logarithms are closely \
related. The exponent properties: \n",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["a", 
     RowBox[{"n", "+", "m"}]],
    FontSize->14], TraditionalForm]], "Subtitle"],
 "=",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["a", "n"],
    FontSize->16], TraditionalForm]], "Subtitle"],
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    StyleBox[
     SuperscriptBox["a", "n"],
     FontSize->16]}], TraditionalForm]], "Subtitle"],
 "  =c has the counterpart: ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["log", "a"],
    FontSize->10], TraditionalForm]], "Subtitle"],
 " (c) = ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["log", "a"],
    FontSize->10], TraditionalForm]], "Subtitle"],
 " (p q) =",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["log", "a"],
    FontSize->10], TraditionalForm]], "Subtitle"],
 " (p) +",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["log", "a"],
    FontSize->10], TraditionalForm]], "Subtitle"],
 " (q)= n+m, where p =",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["a", "n"],
    FontSize->16], TraditionalForm]], "Subtitle"],
 " and q = ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["a", "n"],
    FontSize->16], TraditionalForm]], "Subtitle"],
 ".\nsimilarly:\n",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    StyleBox[
     SuperscriptBox[
      SuperscriptBox["a", "b"], "c"],
     FontSize->14]}], TraditionalForm]], "Subtitle"],
 "=",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    StyleBox[
     SuperscriptBox["a", 
      RowBox[{"b", " ", "c"}]],
     FontSize->14]}], TraditionalForm]], "Subtitle"],
 " gives rise to: ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["log", "a"],
    FontSize->10], TraditionalForm]], "Subtitle"],
 " (",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["b", "c"],
    FontSize->12], TraditionalForm]], "Subtitle"],
 ") = c  ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["log", "a"],
    FontSize->10], TraditionalForm]], "Subtitle"],
 " (b).\n"
}], "Text",
 CellChangeTimes->{
  3.430585190453125*^9, {3.430585816640625*^9, 3.43058581859375*^9}, {
   3.43058586825*^9, 3.43058596290625*^9}, {3.430586005890625*^9, 
   3.430586132734375*^9}, {3.43058619253125*^9, 3.430586329921875*^9}, {
   3.43058640365625*^9, 3.43058645378125*^9}, {3.43058650303125*^9, 
   3.43058654378125*^9}, 3.430586593890625*^9, {3.430586704078125*^9, 
   3.430586780125*^9}, {3.430586820421875*^9, 3.430586845078125*^9}, {
   3.430586904734375*^9, 3.430586960203125*^9}, {3.4305870461875*^9, 
   3.43058728809375*^9}, {3.43058731875*^9, 3.430587417203125*^9}, {
   3.430587506484375*^9, 3.430587608609375*^9}, {3.430587641375*^9, 
   3.430587679765625*^9}, {3.430587755921875*^9, 3.43058776025*^9}, {
   3.43058800875*^9, 3.43058806634375*^9}, {3.430588100984375*^9, 
   3.4305881511875*^9}, {3.430588212265625*^9, 3.430588271671875*^9}, {
   3.430588324046875*^9, 3.43058832703125*^9}, {3.430588383125*^9, 
   3.430588502921875*^9}, {3.4305885403125*^9, 3.4305885485*^9}, {
   3.430588608609375*^9, 3.430588647953125*^9}, {3.430588679359375*^9, 
   3.4305887921875*^9}, {3.4305888249375*^9, 3.430588841828125*^9}}],

Cell[TextData[ButtonBox[" link",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["http://mathworld.wolfram.com/NaturalLogarithm.html"], None}]], "Text",
 CellChangeTimes->{3.430587655*^9, {3.430593056875*^9, 3.43059307475*^9}}],

Cell[" ", "Text",
 CellChangeTimes->{3.430587650953125*^9}],

Cell["", "Text",
 CellChangeTimes->{{3.430585989*^9, 3.4305859919375*^9}, 3.4305860291875*^9}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 259}, {28, Automatic}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[756, 29, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[1603, 63, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[1901, 75, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[3371, 122, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[3659, 135, 46, 1, 71, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[8235, 284, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 8629, 299},
 {"operation", 8707, 302},
 {"briefexp", 8789, 305},
 {"concepts", 8870, 308},
 {"theory", 8950, 311},
 {"aplications", 9033, 314}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 164, 3, 191, "Title"],
Cell[CellGroupData[{
Cell[756, 29, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[821, 32, 745, 26, 86, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1603, 63, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1668, 66, 196, 4, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1901, 75, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[1963, 78, 1371, 39, 124, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3371, 122, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[3434, 125, 188, 5, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3659, 135, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[3708, 138, 4124, 131, 256, "Text"],
Cell[7835, 271, 226, 4, 29, "Text"],
Cell[8064, 277, 59, 1, 29, "Text"],
Cell[8126, 280, 94, 1, 29, "Text"]
}, Open  ]],
Cell[8235, 284, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
