(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4682,        163]
NotebookOptionsPosition[      3155,        100]
NotebookOutlinePosition[      4165,        142]
CellTagsIndexPosition[      3966,        132]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Domain And Range Of InverseTrigonometric Functions", "Title",
 CellChangeTimes->{{3.430763498640625*^9, 3.430763509859375*^9}, {
  3.430764538953125*^9, 3.43076454440625*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
The sine, cosine, and tangent functions are not invertible on their natural \
domains. In order to define the arcsine, arccosine, and arctangent functions, \
the domains of the sine, cosine, and tangent functions must be restricted to \
intervals on which each of these functions are one-to-one and thereby \
invertible. The sliders allow you to restrict their domain while watching the \
corresponding inverse plots. This approach emphasizes that the inverse plots \
are functions when the original functions are one-to-one. The range of the \
inverse trigonometric functions arcsine, arccosine, and arctangent are shown \
corresponding to the restricted domains of the sine, cosine, and tangent.
\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell[TextData[{
 "\nThe sliders \"domain start\" and  \"domain end\" fix the desired domain \
of the sine, cosine  or tangent function which is choosen by the \"function\" \
push button menu. The inverse  apperars in read, in order for this inverse to \
be a the graph of a function, the chossen domain must be such that on it, we \
have a ",
 ButtonBox["1 to 1 ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[], "ddmdfbasics"}, 
     "InjectiveSurjectiveBijective-text.nb", CharacterEncoding -> 
     "WindowsANSI"], "theory"}],
 "sine, cosine  or tangent function. "
}], "Text",
 CellChangeTimes->{{3.43076363578125*^9, 3.43076383709375*^9}, {
  3.4307638735*^9, 3.4307641578125*^9}, {3.430764370609375*^9, 
  3.430764370609375*^9}}]
}, Open  ]],

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "\n",
 ButtonBox["link",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[], "ddmdfbasics"}, 
     "ElementaryTranscendentalFunctionsAndTheirInverses-text.nb", 
     CharacterEncoding -> "WindowsANSI"], "theory"}]
}], "Text",
 CellChangeTimes->{{3.430764401359375*^9, 3.430764406328125*^9}, {
  3.43076452953125*^9, 3.43076452953125*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{530, Automatic}, {Automatic, 81}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[796, 29, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[1620, 48, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[2478, 71, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[2540, 74, 60, 1, 41, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[2625, 79, 46, 1, 41, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[3083, 96, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 3472, 111},
 {"operation", 3550, 114},
 {"briefexp", 3632, 117},
 {"concepts", 3713, 120},
 {"theory", 3792, 123},
 {"aplications", 3874, 126}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 181, 2, 137, "Title"],
Cell[CellGroupData[{
Cell[796, 29, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[861, 32, 722, 11, 155, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1620, 48, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1685, 51, 778, 17, 101, "Text"]
}, Open  ]],
Cell[2478, 71, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[2540, 74, 60, 1, 41, "Section",
 CellTags->"concepts"],
Cell[CellGroupData[{
Cell[2625, 79, 46, 1, 41, "Section",
 CellTags->"theory"],
Cell[2674, 82, 394, 11, 47, "Text"]
}, Open  ]],
Cell[3083, 96, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
