(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5221,        185]
NotebookOptionsPosition[      3553,        116]
NotebookOutlinePosition[      4564,        158]
CellTagsIndexPosition[      4365,        148]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Relationship Between Sine And Tangent", "Title",
 CellChangeTimes->{{3.430770169328125*^9, 3.43077017725*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
This Demonstration shows the relation between sin(\[ScriptX]) , the measure \
of the angle, and tan(\[Theta]), where:    0 \[LessSlantEqual] \[ScriptX] <\
\[Pi] / 2. 
You can choose the measure of the angle \[ScriptX] using the slider or by \
dragging the hypotenuse. 
The length of the blue line is the sine of the angle (defined by the length \
of the green arc); the length of the orange line is the tangent of the same \
angle. 
The blue line is always shorter than the green arc; therefore  \
sin(\[ScriptX]) \[LessSlantEqual] \[ScriptX]. 
Check the \"compare\[Ellipsis]\" button to compare the area of the yellow \
triangular region and that of the dark circular sector. The area of the \
triangle is equal to  (1/2) \[Times]1\[Times]tan(\[ScriptX]); the area of the \
circular sector is equal to (1/2)\[Times]1\[Times]\[ScriptX] .
\
\>", "Text",
 CellChangeTimes->{{3.430770183296875*^9, 3.430770203390625*^9}, {
   3.43077027425*^9, 3.43077035296875*^9}, {3.430770385125*^9, 
   3.43077052396875*^9}, 3.43077063059375*^9, {3.430770684328125*^9, 
   3.430770829125*^9}}]
}, Open  ]],

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\

\
\>", "Text",
 CellChangeTimes->{{3.430927997265625*^9, 3.430928063234375*^9}, {
  3.430928552265625*^9, 3.43092858790625*^9}, {3.430928627328125*^9, 
  3.430928757484375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\

Tangent, area of triangles, areas of sectors, innequalities, unit circle\
\>", "Text",
 CellChangeTimes->{{3.4307710425*^9, 3.430771066390625*^9}, {
  3.430771098609375*^9, 3.430771120109375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell["\<\

The proof that the lenght of the red line is the tangent of angle x in the \
unit circle is straight forward, it follows from the similarity of the two \
shown triangles and the definition of the tangent of an angle. 
Since the area of a sector is R s , R the radius and s the arc lenght, the \
innequality follows by comparission of areas.\
\>", "Text",
 CellChangeTimes->{{3.430929018078125*^9, 3.43092914071875*^9}, {
  3.430929191859375*^9, 3.430929215359375*^9}, {3.43092925484375*^9, 
  3.4309292759375*^9}, {3.430929912109375*^9, 3.43093001971875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Aplications", "Section",
 CellTags->"aplications"],

Cell["\<\
The innequality: sin(\[ScriptX]) \[LessSlantEqual] x \[LessSlantEqual]tan(\
\[ScriptX]) is  widly used, par example,  in limit of functions in \
mathematical analysis,   \
\>", "Text",
 CellChangeTimes->{3.4309291535*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 264}, {34, Automatic}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[731, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[1898, 54, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[1985, 59, 59, 1, 41, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[2272, 73, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[2579, 86, 46, 1, 71, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[3235, 104, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 3870, 127},
 {"operation", 3948, 130},
 {"briefexp", 4030, 133},
 {"concepts", 4111, 136},
 {"theory", 4190, 139},
 {"aplications", 4272, 142}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 116, 1, 137, "Title"],
Cell[CellGroupData[{
Cell[731, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[796, 31, 1087, 20, 191, "Text"]
}, Open  ]],
Cell[1898, 54, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[CellGroupData[{
Cell[1985, 59, 59, 1, 41, "Section",
 CellTags->"briefexp"],
Cell[2047, 62, 188, 6, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2272, 73, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[2335, 76, 207, 5, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2579, 86, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[2628, 89, 570, 10, 101, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3235, 104, 56, 1, 71, "Section",
 CellTags->"aplications"],
Cell[3294, 107, 231, 5, 47, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
