(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      3871,        156]
NotebookOptionsPosition[      2280,         90]
NotebookOutlinePosition[      3290,        132]
CellTagsIndexPosition[      3091,        122]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Trigonometric Functions Illustrated", "Title",
 CellChangeTimes->{{3.43093008421875*^9, 3.43093008828125*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\
sin, cos and tan correspond respectively to the vertical, horizontal and \
ratio of side lengths in the triangle formed when a point goes around a \
circle.
\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\

The slider \"angle\" sweeps the unit circle angle of the sector in degrees\
\>", "Text",
 CellChangeTimes->{{3.430930151265625*^9, 3.430930198171875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\

Unfortunately the units in which the circle is drawn, are not the the same as \
the units in which the sine,cosine and tangent functions are plotted, so do \
not be mistaken comparing the lenghts of the red line in these figures. It \
has maximum value one in the circle and the plots.\
\>", "Text",
 CellChangeTimes->{{3.430930209046875*^9, 3.430930381171875*^9}, {
  3.430930425359375*^9, 3.430930493421875*^9}}]
}, Open  ]],

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "\nsee ",
 ButtonBox["link",
  BaseStyle->"Hyperlink",
  ButtonData->{
   "IllustratingTrigonometricCurvesWithTheUnitCircle-text.nb", "theory"}]
}], "Text",
 CellChangeTimes->{{3.4309305135*^9, 3.4309305465*^9}, {3.43093059503125*^9, 
  3.43093059503125*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{530, Automatic}, {Automatic, 81}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[731, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "aplications"->{
  Cell[2208, 86, 56, 1, 71, "Section",
   CellTags->"aplications"]},
 "briefexp"->{
  Cell[1281, 53, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[1783, 67, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "operation"->{
  Cell[1014, 41, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "theory"->{
  Cell[1868, 72, 46, 1, 41, "Section",
   CellTags->"theory"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 2597, 101},
 {"aplications", 2677, 104},
 {"briefexp", 2761, 107},
 {"concepts", 2842, 110},
 {"operation", 2924, 113},
 {"theory", 3004, 116}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 116, 1, 137, "Title"],
Cell[CellGroupData[{
Cell[731, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[796, 31, 181, 5, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1014, 41, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1079, 44, 165, 4, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1281, 53, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[1343, 56, 425, 8, 83, "Text"]
}, Open  ]],
Cell[1783, 67, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[CellGroupData[{
Cell[1868, 72, 46, 1, 41, "Section",
 CellTags->"theory"],
Cell[1917, 75, 276, 8, 47, "Text"]
}, Open  ]],
Cell[2208, 86, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
