(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5593,        209]
NotebookOptionsPosition[      4057,        146]
NotebookOutlinePosition[      5072,        188]
CellTagsIndexPosition[      4873,        178]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Finite Limit At A FinitePoint", "Title",
 CellChangeTimes->{{3.43128368121875*^9, 3.43128368746875*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell[TextData[{
 "\nThe function f(\[ScriptX])  has a finite limit, L, as \[ScriptX]\
\[RightArrow]\[ScriptC]. This means that for any \[Epsilon] > 0, there is an \
interval of width ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "1"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->16],
 "+",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "2"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->14],
 StyleBox[" ",
  FontSize->14],
 "around  \[ScriptC] (perhaps with  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "1"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->16],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "2"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->14],
 " very small), such that \[VerticalBar]f(\[ScriptX])-L\[VerticalBar]  < \
\[Epsilon] whenever \[ScriptX] is in that interval. Move the point directly \
and adjust \[Epsilon]  using the slider. This Demonstration computes the \
largest  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "1"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->16],
 "and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "2"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->14],
 " for a given \[Epsilon]  so that  f(\[ScriptX]) lies between L-\[Epsilon] \
and  L+ \[Epsilon]and . The values for  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "1"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->16],
 "and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "2"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->14],
 " may be found automatically or manually by dragging. The function shown is \
f(\[ScriptX]) = 3",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"\[ScriptX]", "-", "1"}], ")"}], 
     RowBox[{"1", "/", "3"}]],
    FontSize->14], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 "-2.\n"
}], "Text",
 CellChangeTimes->{
  3.43128369309375*^9, {3.4312837679375*^9, 3.431283815734375*^9}, {
   3.431283846828125*^9, 3.431284126171875*^9}, {3.431284676640625*^9, 
   3.431284979609375*^9}, {3.43128502540625*^9, 3.43128502896875*^9}}]
}, Open  ]],

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\

Real function, limit of a function, absolute value, interval, center of an \
interval, size of an interval, closeness of real values, finite limit..\
\>", "Text",
 CellChangeTimes->{{3.4312854419375*^9, 3.43128561475*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 ButtonBox["link",
  BaseStyle->"Hyperlink",
  ButtonData->{
   "ACaseOfTheEpsilonDeltaDefinitionOfALimit-text.nb", "theory"}],
 " "
}], "Text",
 CellChangeTimes->{{3.4312853866875*^9, 3.43128538878125*^9}, {
  3.4312854325*^9, 3.4312854325*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 297}, {Automatic, 71}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[725, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "aplications"->{
  Cell[3985, 142, 56, 1, 71, "Section",
   CellTags->"aplications"]},
 "briefexp"->{
  Cell[3242, 110, 59, 1, 41, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[3326, 115, 60, 1, 41, "Section",
   CellTags->"concepts"]},
 "operation"->{
  Cell[3177, 107, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "theory"->{
  Cell[3659, 128, 46, 1, 71, "Section",
   CellTags->"theory"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 4374, 157},
 {"aplications", 4454, 160},
 {"briefexp", 4539, 163},
 {"concepts", 4621, 166},
 {"operation", 4704, 169},
 {"theory", 4785, 172}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 110, 1, 83, "Title"],
Cell[CellGroupData[{
Cell[725, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[790, 31, 2372, 73, 146, "Text"]
}, Open  ]],
Cell[3177, 107, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[3242, 110, 59, 1, 41, "Section",
 CellTags->"briefexp"],
Cell[CellGroupData[{
Cell[3326, 115, 60, 1, 41, "Section",
 CellTags->"concepts"],
Cell[3389, 118, 233, 5, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3659, 128, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[3708, 131, 262, 8, 29, "Text"]
}, Open  ]],
Cell[3985, 142, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
