(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4790,        177]
NotebookOptionsPosition[      3195,        111]
NotebookOutlinePosition[      4206,        153]
CellTagsIndexPosition[      4007,        143]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Finite Limit At Infinity", "Title",
 CellChangeTimes->{{3.4312883234375*^9, 3.431288327640625*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell[TextData[{
 "The function f(\[ScriptX]) has a finite limit, L, as \
\[ScriptX]\[RightArrow]\[Infinity]. This means that for any \[Epsilon] > 0 , \
there is a number M such that \[ScriptX] > M implies \[VerticalBar]f(\
\[ScriptX]) - L \[VerticalBar] < \[Epsilon]  . Adjust \[Epsilon] using the \
slider and then adjust the value of  M to in such a way that, to the right of \
the M vertical, the graph lies between L-\[Epsilon] and L + \[Epsilon] . The \
function shown is f(\[ScriptX]) = 4 ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "\[ScriptX]"}], "/", "5"}]],
    FontSize->14], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " sin(5 ",
 "\[ScriptX]) + 3",
 "\n"
}], "Text",
 CellChangeTimes->{{3.431288374875*^9, 3.431288683984375*^9}, {
  3.43128871853125*^9, 3.43128879359375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\

The slider \"\[Epsilon]\" fixes a particular value for \[Epsilon], the M  \
value which can be chossen with the \"M\" locator red line , can be fixed in \
such a way that  for \[ScriptX] > M  then \[VerticalBar]f(\[ScriptX]) -L \
\[VerticalBar] < \[Epsilon]\
\>", "Text",
 CellChangeTimes->{{3.431289243875*^9, 3.43128939340625*^9}, 
   3.431289482765625*^9, {3.431289540890625*^9, 3.431289649375*^9}, {
   3.43128973003125*^9, 3.43128986503125*^9}}]
}, Open  ]],

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\
Real function, limit of a function, absolute value, interval, center of an \
interval, size of an interval, closeness of real values, finite limit, \
infinity\
\>", "Text",
 CellChangeTimes->{{3.43128914028125*^9, 3.43128914934375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 ButtonBox["link",
  BaseStyle->"Hyperlink",
  ButtonData->{
   "ACaseOfTheEpsilonDeltaDefinitionOfALimit-text.nb", "theory"}],
 "\nhttp://mathworld.wolfram.com/Limit.html",
 ButtonBox[" link ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/Limit.html"], None}]
}], "Text",
 CellChangeTimes->{{3.431289001609375*^9, 3.43128906625*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 374}, {Automatic, 76}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[720, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[1703, 57, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[2244, 72, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[2328, 77, 60, 1, 41, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[2674, 90, 46, 1, 71, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[3123, 107, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 3512, 122},
 {"operation", 3590, 125},
 {"briefexp", 3672, 128},
 {"concepts", 3753, 131},
 {"theory", 3832, 134},
 {"aplications", 3914, 137}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 105, 1, 83, "Title"],
Cell[CellGroupData[{
Cell[720, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[785, 31, 881, 21, 104, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1703, 57, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1768, 60, 461, 9, 65, "Text"]
}, Open  ]],
Cell[2244, 72, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[CellGroupData[{
Cell[2328, 77, 60, 1, 41, "Section",
 CellTags->"concepts"],
Cell[2391, 80, 246, 5, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2674, 90, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[2723, 93, 385, 11, 47, "Text"]
}, Open  ]],
Cell[3123, 107, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
