(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5732,        218]
NotebookOptionsPosition[      4127,        152]
NotebookOutlinePosition[      5141,        194]
CellTagsIndexPosition[      4942,        184]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Infinite Limit At A Finite Point", "Title",
 CellChangeTimes->{{3.431289935453125*^9, 3.4312899469375*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell[TextData[{
 "In words, the definition of ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["lim", 
     RowBox[{"\[ScriptX]", "\[RightArrow]", "\[ScriptC]"}]],
    FontSize->10], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " f(\[ScriptX]) = \[Infinity] is that no matter how large M is, you can find \
an interval of width ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "1"], TraditionalForm]], "Subtitle",
  FontSize->12],
 "+",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["\[Delta]", "2"],
    FontSize->12], TraditionalForm]], "Subtitle",
  FontSize->14],
 " around (perhaps with  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "1"], TraditionalForm]], "Subtitle",
  FontSize->16],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "2"], TraditionalForm]], "Subtitle",
  FontSize->14],
 "  very small), so that f(\[ScriptX]) will be larger than M as long as \
\[ScriptX]  is in that interval. This Demonstration computes the largest  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "1"], TraditionalForm]], "Subtitle",
  FontSize->16],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "2"], TraditionalForm]], "Subtitle",
  FontSize->14],
 "  for a given M. You can adjust M  using the slider. The values for  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "1"], TraditionalForm]], "Subtitle",
  FontSize->16],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "2"], TraditionalForm]], "Subtitle",
  FontSize->14],
 "  may be found automatically or manually by dragging your mouse. \n"
}], "Text",
 CellChangeTimes->{{3.431290015109375*^9, 3.43129003409375*^9}, {
  3.43129007371875*^9, 3.431290164390625*^9}, {3.43129023259375*^9, 
  3.431290386125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell[TextData[{
 "\nThe M value can be set through the slider \"M\", the push button \
\"automatically calculate \[Delta] values\"  let you calculate the values for \
 ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "1"], TraditionalForm]], "Subtitle",
  FontSize->16],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Delta]", "2"], TraditionalForm]], "Subtitle",
  FontSize->14],
 "  may be found automatically or manually by dragging your mouse. "
}], "Text",
 CellChangeTimes->{{3.431290923484375*^9, 3.431291049484375*^9}}]
}, Open  ]],

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\
Real function, limit of a function, absolute value, interval, center of an \
interval, size of an interval, closeness of real values, finite limit..\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "\n",
 ButtonBox["link",
  BaseStyle->"Hyperlink",
  ButtonData->{
   "ACaseOfTheEpsilonDeltaDefinitionOfALimit-text.nb", "theory"}],
 "\nhttp://mathworld.wolfram.com/Limit.html",
 ButtonBox[" link ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/Limit.html"], None}]
}], "Text",
 CellChangeTimes->{3.431290442140625*^9, 3.431290627234375*^9}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 291}, {Automatic, 37}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[728, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "aplications"->{
  Cell[4055, 148, 56, 1, 71, "Section",
   CellTags->"aplications"]},
 "briefexp"->{
  Cell[3241, 114, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[3325, 119, 60, 1, 41, "Section",
   CellTags->"concepts"]},
 "operation"->{
  Cell[2618, 93, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "theory"->{
  Cell[3597, 130, 46, 1, 71, "Section",
   CellTags->"theory"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 4444, 163},
 {"aplications", 4524, 166},
 {"briefexp", 4609, 169},
 {"concepts", 4691, 172},
 {"operation", 4774, 175},
 {"theory", 4854, 178}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 113, 1, 83, "Title"],
Cell[CellGroupData[{
Cell[728, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[793, 31, 1788, 57, 128, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2618, 93, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[2683, 96, 543, 15, 86, "Text"]
}, Open  ]],
Cell[3241, 114, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[CellGroupData[{
Cell[3325, 119, 60, 1, 41, "Section",
 CellTags->"concepts"],
Cell[3388, 122, 172, 3, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3597, 130, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[3646, 133, 394, 12, 65, "Text"]
}, Open  ]],
Cell[4055, 148, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
