(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4142,        165]
NotebookOptionsPosition[      2551,         99]
NotebookOutlinePosition[      3561,        141]
CellTagsIndexPosition[      3362,        131]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Infinite Limit At Infinity", "Title",
 CellChangeTimes->{{3.431693599484375*^9, 3.4316936059375*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell[TextData[{
 "The function f(\[ScriptX]) = ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"\[ScriptX]", "-", "3"}], ")"}], "3"],
    FontSize->12], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " +10 approaches \[Infinity] as \[ScriptX]\[RightArrow]\[Infinity]. Hence \
for M large, there exists N such that  f(\[ScriptX]) > M whenever \[ScriptX] \
",
 ">  N",
 " . Adjust M using the slider. The value of N may be found automatically or \
manually.\n"
}], "Text",
 CellChangeTimes->{{3.431693727125*^9, 3.43169373859375*^9}, {
  3.431693953859375*^9, 3.431694151875*^9}}]
}, Open  ]],

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\
The slider \"M\" fixes a particular value for M, the N value shown is the \
value such that for \[ScriptX] > N  then f(\[ScriptX]) > M\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\

Real function, limit of a function, absolute value, interval, center of an \
interval, size of an interval, closeness of real values, finite limit, \
infinity limit at infinity, lower bound.\
\>", "Text",
 CellChangeTimes->{
  3.431694262765625*^9, {3.4316943401875*^9, 3.431694407046875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "\n",
 ButtonBox["link",
  BaseStyle->"Hyperlink",
  ButtonData->{"ACaseOfTheEpsilonDeltaDefinitionOfALimit-text.nb", "theory"}]
}], "Text",
 CellChangeTimes->{{3.4316944305625*^9, 3.431694462453125*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 342}, {40, Automatic}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[722, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "aplications"->{
  Cell[2479, 95, 56, 1, 71, "Section",
   CellTags->"aplications"]},
 "briefexp"->{
  Cell[1533, 57, 59, 1, 41, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[1790, 68, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "operation"->{
  Cell[1446, 52, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "theory"->{
  Cell[2194, 83, 46, 1, 71, "Section",
   CellTags->"theory"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 2868, 110},
 {"aplications", 2948, 113},
 {"briefexp", 3032, 116},
 {"concepts", 3113, 119},
 {"operation", 3195, 122},
 {"theory", 3275, 125}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 107, 1, 83, "Title"],
Cell[CellGroupData[{
Cell[722, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[787, 31, 644, 18, 85, "Text"]
}, Open  ]],
Cell[1446, 52, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[CellGroupData[{
Cell[1533, 57, 59, 1, 41, "Section",
 CellTags->"briefexp"],
Cell[1595, 60, 158, 3, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1790, 68, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[1853, 71, 304, 7, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2194, 83, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[2243, 86, 221, 6, 47, "Text"]
}, Open  ]],
Cell[2479, 95, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
