(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5353,        202]
NotebookOptionsPosition[      3888,        142]
NotebookOutlinePosition[      4903,        184]
CellTagsIndexPosition[      4704,        174]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Squeeze Theorem", "Title",
 CellChangeTimes->{3.431700023515625*^9}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell[TextData[{
 "Let  f,g, and h be functions satisfying f(x) \[LessSlantEqual] g(x) \
\[LessSlantEqual] h(x) for all x near a, except possibly at a. By the squeeze \
theorem, if ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["lim", 
     RowBox[{"x", "\[RightArrow]", "a"}]],
    FontSize->10], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " f(x) = ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["lim", 
     RowBox[{"x", "\[RightArrow]", "a"}]],
    FontSize->10], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " g(x) =  ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["lim", 
     RowBox[{"x", "\[RightArrow]", "a"}]],
    FontSize->10], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " h(x) = L  then  ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["lim", 
     RowBox[{"x", "\[RightArrow]", "a"}]],
    FontSize->10], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " g(x) = L . Hence, ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["lim", 
     RowBox[{"x", "\[RightArrow]", "0"}]],
    FontSize->10], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["x", 
     RowBox[{"n", " "}]],
    FontSize->10], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 "sin(1/x) equals zero if n=1,2 or 3  , or , since  ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SuperscriptBox["x", 
     RowBox[{"n", " "}]],
    FontSize->10], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 "sin(1/x) is squeezed between -",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{"\[VerticalBar]", "x", 
     SuperscriptBox["\[VerticalBar]", 
      RowBox[{"n", " "}]]}],
    FontSize->10], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 "and ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{"\[VerticalBar]", "x", 
     SuperscriptBox["\[VerticalBar]", 
      RowBox[{"n", " "}]]}],
    FontSize->10], TraditionalForm]], "Subtitle"],
 " . The theorem does not apply if n=0 , since sin(1/x)  is trapped but not \
squeezed. For n=0  the limit does not exist, because no matter how close x \
gets to zero, there are values of x near zero for which sin(1/x)=1  and some \
for which sin(1/x)=-1.\n"
}], "Text",
 CellChangeTimes->{{3.431700163734375*^9, 3.43170030784375*^9}, {
  3.43170034425*^9, 3.431700658515625*^9}, {3.431700699625*^9, 
  3.431700835296875*^9}, {3.431700887859375*^9, 3.43170099278125*^9}}]
}, Open  ]],

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\
Real function, limit of a function, absolute value, interval, center of an \
interval, size of an interval, closeness of real values, finite limit, \
infinity limit at infinity, lower bound.\
\>", "Text"]
}, Open  ]],

Cell["Theory", "Section",
 CellTags->"theory"],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 356}, {Automatic, -1}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[689, 28, 62, 1, 71, "Section",
   CellTags->"about"]},
 "aplications"->{
  Cell[3816, 138, 56, 1, 41, "Section",
   CellTags->"aplications"]},
 "briefexp"->{
  Cell[3391, 120, 59, 1, 41, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[3475, 125, 60, 1, 41, "Section",
   CellTags->"concepts"]},
 "operation"->{
  Cell[3326, 117, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "theory"->{
  Cell[3767, 135, 46, 1, 71, "Section",
   CellTags->"theory"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 4205, 153},
 {"aplications", 4285, 156},
 {"briefexp", 4370, 159},
 {"concepts", 4452, 162},
 {"operation", 4535, 165},
 {"theory", 4616, 168}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 74, 1, 83, "Title"],
Cell[CellGroupData[{
Cell[689, 28, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[754, 31, 2557, 83, 137, "Text"]
}, Open  ]],
Cell[3326, 117, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[3391, 120, 59, 1, 41, "Section",
 CellTags->"briefexp"],
Cell[CellGroupData[{
Cell[3475, 125, 60, 1, 41, "Section",
 CellTags->"concepts"],
Cell[3538, 128, 214, 4, 47, "Text"]
}, Open  ]],
Cell[3767, 135, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[3816, 138, 56, 1, 41, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
