(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11232,        413]
NotebookOptionsPosition[      9109,        332]
NotebookOutlinePosition[     10128,        374]
CellTagsIndexPosition[      9929,        364]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Cauchy Mean Value Theorem", "Title",
 CellChangeTimes->{{3.4519922105625*^9, 3.451992214015625*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\

CMVT is explained using the functions:\
\>", "Text",
 CellChangeTimes->{
  3.451992488578125*^9, {3.4519927155*^9, 3.451992724515625*^9}, {
   3.45199286140625*^9, 3.4519928800625*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"f", "(", "t", ")"}], ":=", 
   RowBox[{
    RowBox[{"A1", " ", 
     SuperscriptBox["t", "k1"]}], "+", "1"}]}], TraditionalForm]], "Text",
 CellChangeTimes->{3.45199292140625*^9, 3.45199318621875*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"g", "(", "t", ")"}], ":=", 
   RowBox[{
    RowBox[{"A2", " ", 
     SuperscriptBox["t", "k2"]}], "+", 
    RowBox[{"2", " ", "t"}], "+", "1"}]}], TraditionalForm]], "Text",
 CellChangeTimes->{3.451993189703125*^9}],

Cell[TextData[{
 "\nFor ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     SubscriptBox["k", "1"], ",", " ", 
     SubscriptBox["k", "2"]}],
    FontSize->14], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " natural numbers ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox[
     SubscriptBox["A", "1"],
     FontSize->12], 
    StyleBox[" ",
     FontSize->12], 
    StyleBox["and",
     FontSize->12], 
    StyleBox[" ",
     FontSize->12], 
    StyleBox[
     SubscriptBox["A", "2"],
     FontSize->12], " "}], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 "arbitrary constants, both functions are continuous and differentible.\n"
}], "Text",
 CellChangeTimes->{{3.4519929650625*^9, 3.45199297184375*^9}, {
   3.451993014328125*^9, 3.45199301559375*^9}, {3.45199305409375*^9, 
   3.4519931665625*^9}, {3.451993217578125*^9, 3.451993329984375*^9}, 
   3.451993677328125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell[TextData[{
 "\nBy changing the parametrs a, b ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     SubscriptBox["k", "1"], ",", " ", 
     SubscriptBox["k", "2"]}],
    FontSize->14], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox[
     SubscriptBox["A", "1"],
     FontSize->12], 
    StyleBox[" ",
     FontSize->12], 
    StyleBox["and",
     FontSize->12], 
    StyleBox[" ",
     FontSize->12], 
    StyleBox[
     SubscriptBox["A", "2"],
     FontSize->12], " "}], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " it is shown that ",
 "the CMVT",
 " always hold for this example."
}], "Text",
 CellChangeTimes->{{3.45199750853125*^9, 3.451997625390625*^9}, {
  3.451997705671875*^9, 3.451997707890625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["\<\

CMVT states that:\
\>", "Text",
 CellChangeTimes->{
  3.451996115515625*^9, {3.4519961643125*^9, 3.45199617421875*^9}}],

Cell[TextData[{
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"f", "(", "b", ")"}], "-", 
      RowBox[{"f", "(", "a", ")"}]}], 
     RowBox[{
      RowBox[{"g", "(", "a", ")"}], "-", 
      RowBox[{"g", "(", "b", ")"}]}]], "=", 
    FractionBox[
     RowBox[{
      SuperscriptBox["f", "'"], "(", "\[Xi]", ")"}], 
     RowBox[{
      SuperscriptBox["g", "'"], "(", "\[Xi]", ")"}]]}], TraditionalForm]], 
  "Subtitle",
  FontSize->18]
}], "Text",
 CellChangeTimes->{{3.451996184953125*^9, 3.4519963334375*^9}}],

Cell["\<\

In a normal plot of the two functions f and g, it is not easy to find the \
point \[Xi] \[Epsilon] (a,b) such that a clear picture that shows that the  \
CMVT holds. This is more easily pictured by plotting the parametric function: \
\>", "Text",
 CellChangeTimes->{{3.45199637896875*^9, 3.451996496046875*^9}, {
  3.451996531609375*^9, 3.45199662375*^9}, {3.451997447359375*^9, 
  3.451997448203125*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"h", "(", "t", ")"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "(", "t", ")"}], ",", 
     RowBox[{"g", "(", "t", ")"}]}], "}"}]}], TraditionalForm]], "Text",
 CellChangeTimes->{3.451996685609375*^9}],

Cell[TextData[{
 "\nThe red line in the demo shows the line that joints the point (f[a], \
g[a]), with the point (f[b], g[b]).\nThe green line is the tangent to the \
parametric plot at the point \[Xi]. It is draw joinig the point \n\n",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "[", "\[Xi]", "]"}], "-", 
       RowBox[{
        SqrtBox["5"], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"\[Beta]", "[", "\[Xi]", "]"}], "]"}]}]}], ",", " ", 
      RowBox[{
       RowBox[{"g", "[", "\[Xi]", "]"}], "-", 
       RowBox[{
        SqrtBox["5"], 
        RowBox[{"Sin", "[", 
         RowBox[{"\[Beta]", "[", "\[Xi]", "]"}]}]}]}]}]}], ")"}], " ", "with",
    " ", "the", " ", "point", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"f", "[", "\[Xi]", "]"}], "+", 
      RowBox[{
       SqrtBox[
        RowBox[{"5", " "}]], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"\[Beta]", "[", "\[Xi]", "]"}], "]"}]}]}], ",", " ", 
     RowBox[{
      RowBox[{"g", "[", "\[Xi]", "]"}], "+", 
      RowBox[{
       SqrtBox["5"], " ", 
       RowBox[{"Sin", "[", 
        RowBox[{"\[Beta]", "[", "\[Xi]", "]"}]}]}]}]}], ")"}]}]],
  CellChangeTimes->{
   3.35696210375764*^9, {3.421062563765767*^9, 3.421062564178808*^9}, {
    3.4210626581182013`*^9, 3.4210627100443935`*^9}, {3.4210709579821043`*^9, 
    3.4210709695832644`*^9}, {3.421156446352236*^9, 3.4211564479313936`*^9}, {
    3.4211607036269207`*^9, 3.4211608936479206`*^9}, {3.421579602296875*^9, 
    3.421579607375*^9}}]
}], "Text",
 CellChangeTimes->{{3.451996772984375*^9, 3.45199680353125*^9}, {
  3.451996836265625*^9, 3.4519969425*^9}, {3.4519970018125*^9, 
  3.451997065*^9}, {3.451997109875*^9, 3.451997247703125*^9}, {
  3.451997289953125*^9, 3.451997292359375*^9}, {3.45199737184375*^9, 
  3.45199737203125*^9}}],

Cell["\<\

where \[Beta] is the function\
\>", "Text",
 CellChangeTimes->{{3.45199738540625*^9, 3.451997409078125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Beta]", "[", "t", "]"}], ":=", 
  RowBox[{"ArcTan", "[", 
   FractionBox[
    RowBox[{
     RowBox[{"g", "'"}], "[", "t", "]"}], 
    RowBox[{
     RowBox[{"f", "'"}], "[", "t", "]"}]], "]"}]}]], "Text",
 CellChangeTimes->{3.451997430171875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\
Functions, derivative of a function, continuous functions, derivable \
functions,tangent,average rate of change, instantaneous rate of change, mean \
value theorem theorem composition of functions, inverse of a function, chain \
rule.\
\>", "Text",
 CellChangeTimes->{{3.4520016400625*^9, 3.452001697921875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell["\<\

The CMVT follows from the mean value theorem.
for each of the functions f and g \
\>", "Text",
 CellChangeTimes->{{3.45199779278125*^9, 3.451997853421875*^9}}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"f", "(", "b", ")"}], "-", 
      RowBox[{"f", "(", "a", ")"}]}], 
     RowBox[{"b", "-", "a"}]], " ", "=", " ", 
    StyleBox[
     RowBox[{
      SuperscriptBox["f", "'"], "(", "\[Alpha]", ")"}],
     FontSize->18]}], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 "   \[Alpha] ",
 "\[Epsilon] (a,b)"
}], "Text",
 CellChangeTimes->{{3.4519978653125*^9, 3.4519979790625*^9}}],

Cell[TextData[{
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"g", "(", "b", ")"}], "-", " ", 
      RowBox[{"g", "(", "a", ")"}]}], 
     RowBox[{"b", "-", "a"}]], " ", "=", " ", 
    StyleBox[
     RowBox[{
      SuperscriptBox["g", "'"], "(", "\[Delta]", ")"}],
     FontSize->18], " "}], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 "\[Delta] ",
 "\[Epsilon] (a,b)"
}], "Text",
 CellChangeTimes->{{3.451997958*^9, 3.4519980403125*^9}}],

Cell["\<\

By using the composition of functions and the chain rule, it can be shown \
that \[Alpha] =\[Delta] =\[Xi]
see Courant and John, Introduction to calculus and mathematical analysis.\
\>", "Text",
 CellChangeTimes->{{3.451998057796875*^9, 3.45199821290625*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{530, Automatic}, {Automatic, 81}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[698, 27, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[2443, 94, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[3364, 134, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[7104, 256, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[7526, 270, 46, 1, 71, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[9037, 328, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 9431, 343},
 {"operation", 9509, 346},
 {"briefexp", 9591, 349},
 {"concepts", 9673, 352},
 {"theory", 9753, 355},
 {"aplications", 9836, 358}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 106, 1, 83, "Title"],
Cell[CellGroupData[{
Cell[698, 27, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[763, 30, 196, 6, 47, "Text"],
Cell[962, 38, 247, 7, 31, "Text"],
Cell[1212, 47, 262, 8, 31, "Text"],
Cell[1477, 57, 929, 32, 95, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2443, 94, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[2508, 97, 819, 32, 77, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3364, 134, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[3426, 137, 130, 5, 47, "Text"],
Cell[3559, 144, 554, 20, 66, "Text"],
Cell[4116, 166, 416, 8, 83, "Text"],
Cell[4535, 176, 260, 8, 29, "Text"],
Cell[4798, 186, 1862, 48, 130, "Text"],
Cell[6663, 236, 119, 4, 47, "Text"],
Cell[6785, 242, 282, 9, 48, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7104, 256, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[7167, 259, 322, 6, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7526, 270, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[7575, 273, 170, 5, 65, "Text"],
Cell[7748, 280, 494, 17, 49, "Text"],
Cell[8245, 299, 504, 18, 67, "Text"],
Cell[8752, 319, 270, 6, 65, "Text"]
}, Open  ]],
Cell[9037, 328, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
