(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4450,        170]
NotebookOptionsPosition[      2918,        108]
NotebookOutlinePosition[      3934,        150]
CellTagsIndexPosition[      3735,        140]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Fletts Theorem", "Title",
 CellChangeTimes->{3.45236320525*^9}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell[TextData[{
 "\nThis example shows Flett's theorem applied to ",
 "the function f(x) = ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     SubscriptBox["\[ScriptA]", 
      RowBox[{"0", " "}]], "+", 
     RowBox[{
      SubscriptBox["\[ScriptA]", "1"], " ", "\[ScriptX]"}], " ", "+", 
     RowBox[{
      SubscriptBox["\[ScriptA]", 
       RowBox[{"3", " "}]], 
      SuperscriptBox["\[ScriptX]", "3"]}]}],
    FontSize->16], TraditionalForm]], "Subtitle"],
 "on the interval [-a,a]"
}], "Text",
 CellChangeTimes->{{3.452363208328125*^9, 3.45236325553125*^9}, 
   3.452375802078125*^9}]
}, Open  ]],

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell["\<\
Flett's theorem: Given a function  f(x) differentiable on [a,b] with f '(a) = \
f ' (b) , then there is an intermediate point c such that \:f35f\
\>", "Text",
 CellChangeTimes->{{3.452360667203125*^9, 3.45236066725*^9}, {
  3.452362083046875*^9, 3.452362101875*^9}, {3.452362213109375*^9, 
  3.452362301984375*^9}, {3.452362877046875*^9, 3.452362887234375*^9}}],

Cell[TextData[{
 "\n",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     RowBox[{
      SuperscriptBox["f", "'"], "(", "\[ScriptC]", ")"}], "=", 
     FractionBox[
      RowBox[{
       RowBox[{"f", "(", "\[ScriptC]", ")"}], "-", 
       RowBox[{"f", "(", "\[ScriptA]", ")"}]}], 
      RowBox[{"\[ScriptC]", "-", "\[ScriptA]"}]]}],
    FontSize->16], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"]
}], "Text",
 CellChangeTimes->{{3.452362314625*^9, 3.4523624585*^9}}],

Cell["\<\
Geometric interpretation: The secant line connecting the points (a,f(a)and \
(c,f(c)) is exactly the tangent line to the curve y=f(x) at the point \
(c,f(c)) . 
.
\
\>", "Text",
 CellChangeTimes->{{3.4523621079375*^9, 3.452362163703125*^9}, {
   3.45236249403125*^9, 3.452362632515625*^9}, {3.452362665*^9, 
   3.4523627944375*^9}, 3.45237581428125*^9}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 356}, {Automatic, 18}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[661, 27, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[1339, 52, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[1404, 55, 59, 1, 41, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[1466, 58, 60, 1, 41, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[1551, 63, 46, 1, 41, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[2846, 104, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 3240, 119},
 {"operation", 3318, 122},
 {"briefexp", 3400, 125},
 {"concepts", 3481, 128},
 {"theory", 3560, 131},
 {"aplications", 3642, 134}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 69, 1, 83, "Title"],
Cell[CellGroupData[{
Cell[661, 27, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[726, 30, 598, 19, 72, "Text"]
}, Open  ]],
Cell[1339, 52, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1404, 55, 59, 1, 41, "Section",
 CellTags->"briefexp"],
Cell[1466, 58, 60, 1, 41, "Section",
 CellTags->"concepts"],
Cell[CellGroupData[{
Cell[1551, 63, 46, 1, 41, "Section",
 CellTags->"theory"],
Cell[1600, 66, 371, 6, 47, "Text"],
Cell[1974, 74, 491, 16, 56, "Text"],
Cell[2468, 92, 363, 9, 83, "Text"]
}, Open  ]],
Cell[2846, 104, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
