(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7098,        255]
NotebookOptionsPosition[      5171,        178]
NotebookOutlinePosition[      6190,        220]
CellTagsIndexPosition[      5991,        210]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Riemanns Example  Of A  Continuous But  Nowhere  Differentiable Function\
\>", "Title",
 CellChangeTimes->{{3.451826293375*^9, 3.451826318640625*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["\<\

In this demo it is shown the behavior of the function\
\>", "Text",
 CellChangeTimes->{{3.45182632553125*^9, 3.451826339640625*^9}, {
  3.451826921390625*^9, 3.451826941171875*^9}}],

Cell[TextData[{
 "\n",
 StyleBox["f(x)=",
  FontSize->24],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"k", "=", "1"}], "n"], 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         SuperscriptBox["k", "\[Beta]"], " ", "\[Pi]", " ", "x"}], "]"}]}], 
      "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         SuperscriptBox["k", "\[Beta]"], " ", "\[Pi]", " ", "x"}], "]"}]}]}], 
     SuperscriptBox["k", "\[Beta]"]]}], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 "     "
}], "Text",
 CellChangeTimes->{{3.4518266243125*^9, 3.4518267359375*^9}, {
  3.4518268790625*^9, 3.451826889671875*^9}}],

Cell["\<\

for  the exponent \[Beta] =1,2,...,6., \[Alpha] \[Epsilon] [0,1] and n=120 in \
this calculation but it shoul be a very large number. \
\>", "Text",
 CellChangeTimes->{{3.45182674021875*^9, 3.451826802765625*^9}, {
  3.451826841875*^9, 3.451826860234375*^9}, {3.4518290695*^9, 
  3.45182907559375*^9}, {3.45182911421875*^9, 3.45182912934375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell["\<\

To get more insight with the parameters of the demo play with the commands:\
\>", "Text",
 CellChangeTimes->{{3.45182970928125*^9, 3.451829774296875*^9}}],

Cell["Plot[Sum[Sin[k Pi x], {k, 1, 20}], {x, 0, 1}]", "Text"],

Cell["Plot[Sum[Sin[k^2  Pi x], {k, 1, 20}], {x, 0, 1}]", "Text"],

Cell["Plot[Sum[(Sin[k^2  Pi x])/(k^2), {k, 1, 20}], {x, 0, 1}]", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell[TextData[{
 "\nThe continuity of f is due to the fact that it is built by adding \
continuous functions. If we just look to the sine part, we see that the first \
term of the sum dominates but becouse we are adding sine functions with fast  \
decreasing amplitude  with an ever increasing frecueny,  then  the smootness \
of the first components of the sum is destroyed.  (see the demo ",
 ButtonBox["Combining functions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[
       ParentDirectory[]], "demons", "ddmdfbasics"}, 
     "CombiningFunctions-source.nb", CharacterEncoding -> "WindowsANSI"], 
    None}],
 ")"
}], "Text",
 CellChangeTimes->{{3.4518289845625*^9, 3.45182904496875*^9}, {
  3.451829148296875*^9, 3.451829316375*^9}, {3.451829350640625*^9, 
  3.451829422578125*^9}, {3.4518294644375*^9, 3.45182952259375*^9}, {
  3.451829568171875*^9, 3.451829636046875*^9}, {3.451829688265625*^9, 
  3.45182969296875*^9}, {3.451829857328125*^9, 3.451829858546875*^9}, {
  3.451829963671875*^9, 3.451829975796875*^9}, {3.451830021625*^9, 
  3.451830032421875*^9}, {3.451830100546875*^9, 3.451830100546875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\

Trigonometric functions, addition of functions, continous function, \
differentiable function.\
\>", "Text",
 CellChangeTimes->{{3.451830125734375*^9, 3.45183022884375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "\nSee:  ",
 ButtonBox["continous function",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[
       ParentDirectory[]], "demons", "kclcontinuity"}, 
     "Discontinuity-source.nb", CharacterEncoding -> "WindowsANSI"], None}],
 " and ",
 ButtonBox["differentiable function",
  BaseStyle->"Hyperlink",
  ButtonData->{"TheDefinitionOfTheDerivative-text.nb", "theory"}]
}], "Text",
 CellChangeTimes->{{3.451830252515625*^9, 3.4518302876875*^9}, {
  3.451830384765625*^9, 3.451830384765625*^9}, {3.45183056025*^9, 
  3.45183056025*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Aplications", "Section",
 CellTags->"aplications"],

Cell["\<\

It is a nice counterexample that not every continuous function has a \
derivative.\
\>", "Text",
 CellChangeTimes->{{3.4518306085625*^9, 3.45183066225*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 323}, {-96, Automatic}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[752, 29, 62, 1, 71, "Section",
   CellTags->"about"]},
 "aplications"->{
  Cell[4917, 166, 56, 1, 71, "Section",
   CellTags->"aplications"]},
 "briefexp"->{
  Cell[2700, 99, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[3958, 129, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "operation"->{
  Cell[2227, 81, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "theory"->{
  Cell[4242, 142, 46, 1, 71, "Section",
   CellTags->"theory"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 5494, 189},
 {"aplications", 5574, 192},
 {"briefexp", 5659, 195},
 {"concepts", 5740, 198},
 {"operation", 5823, 201},
 {"theory", 5903, 204}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 160, 3, 191, "Title"],
Cell[CellGroupData[{
Cell[752, 29, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[817, 32, 192, 5, 47, "Text"],
Cell[1012, 39, 818, 28, 75, "Text"],
Cell[1833, 69, 357, 7, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2227, 81, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[2292, 84, 165, 4, 47, "Text"],
Cell[2460, 90, 61, 0, 29, "Text"],
Cell[2524, 92, 64, 0, 29, "Text"],
Cell[2591, 94, 72, 0, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2700, 99, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[2762, 102, 1159, 22, 101, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3958, 129, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[4021, 132, 184, 5, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4242, 142, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[4291, 145, 589, 16, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4917, 166, 56, 1, 71, "Section",
 CellTags->"aplications"],
Cell[4976, 169, 167, 5, 47, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
