(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11634,        357]
NotebookOptionsPosition[      9799,        284]
NotebookOutlinePosition[     10825,        326]
CellTagsIndexPosition[     10620,        316]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Secant And Tangent Lines", "Title",
 CellChangeTimes->{{3.45175863275*^9, 3.451758637203125*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell["This  demo  show the graph of the function ", "Text"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"f", "(", "x", ")"}], "=", 
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["x", "3"]}], "+", 
    SuperscriptBox["x", "2"], "+", 
    RowBox[{"12", " ", "x"}], "-", "3", " "}]}]}]], "Text"],

Cell[BoxData[
 FormBox[
  RowBox[{
  "to", " ", "which", " ", "a", " ", "secant", " ", "is", " ", "draw", " ", 
   "at", " ", "the", " ", "points", " ", 
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["\[ScriptX]", "0"], ",", 
     RowBox[{"f", "(", 
      SubscriptBox["\[ScriptX]", "0"], ")"}]}], ")"}], " ", "and", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[ScriptX]", "0"], " ", "+", "h"}], ",", 
      RowBox[{"f", "(", 
       RowBox[{
        SubscriptBox["\[ScriptX]", "0"], " ", "+", "h"}], ")"}]}], ")"}], ".",
     " ", "There"}], " ", "is", " ", "also", " ", "the", " ", "possibility", 
   " ", "of", " ", "drawing", " ", "a", " ", "tanget", " ", "at", " ", "the", 
   " ", "point", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["\[ScriptX]", "0"], ",", 
      RowBox[{"f", "(", 
       SubscriptBox["\[ScriptX]", "0"], ")"}]}], ")"}], " ", "."}]}], 
  TraditionalForm]], "Text",
 CellChangeTimes->{{3.451758643109375*^9, 3.45175867246875*^9}, {
  3.451758723984375*^9, 3.45175875778125*^9}, {3.45175883853125*^9, 
  3.4517588906875*^9}, {3.451758922125*^9, 3.451758945390625*^9}, {
  3.4517589810625*^9, 3.451759131984375*^9}, {3.45175916284375*^9, 
  3.451759215890625*^9}, {3.4517598178125*^9, 3.4517598299375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell[TextData[{
 "\nFor a reasonable small value of h, it is seen that the tangent and secant \
lines have similar   slopes for certain values of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[ScriptX]", "0"], TraditionalForm]],
  CellChangeTimes->{{3.451758643109375*^9, 3.45175867246875*^9}, {
   3.451758723984375*^9, 3.45175875778125*^9}, {3.45175883853125*^9, 
   3.4517588906875*^9}, {3.451758922125*^9, 3.451758945390625*^9}, {
   3.4517589810625*^9, 3.451759131984375*^9}, {3.45175916284375*^9, 
   3.451759215890625*^9}}],
 ", theirs closeness depends upon the region of the domain of the function \
the point ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[ScriptX]", "0"], TraditionalForm]],
  CellChangeTimes->{{3.451758643109375*^9, 3.45175867246875*^9}, {
   3.451758723984375*^9, 3.45175875778125*^9}, {3.45175883853125*^9, 
   3.4517588906875*^9}, {3.451758922125*^9, 3.451758945390625*^9}, {
   3.4517589810625*^9, 3.451759131984375*^9}, {3.45175916284375*^9, 
   3.451759215890625*^9}}],
 " is located. This closeness becomes almost independent of the location of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[ScriptX]", "0"], TraditionalForm]],
  CellChangeTimes->{{3.451758643109375*^9, 3.45175867246875*^9}, {
   3.451758723984375*^9, 3.45175875778125*^9}, {3.45175883853125*^9, 
   3.4517588906875*^9}, {3.451758922125*^9, 3.451758945390625*^9}, {
   3.4517589810625*^9, 3.451759131984375*^9}, {3.45175916284375*^9, 
   3.451759215890625*^9}}],
 " if the value of h is small enough."
}], "Text",
 CellChangeTimes->{{3.45175931578125*^9, 3.451759479875*^9}, {
  3.451759511359375*^9, 3.451759673640625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell[TextData[{
 "\nThe demo shows that the slope of the secant through the points ",
 Cell[BoxData[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["\[ScriptX]", "0"], ",", 
     RowBox[{"f", "(", 
      SubscriptBox["\[ScriptX]", "0"], ")"}]}], ")"}], " ", "and", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SubscriptBox["\[ScriptX]", "0"], " ", "+", "h"}], ",", 
     RowBox[{"f", 
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["\[ScriptX]", "0"], " ", "+", "h"}], ")"}]}]}], ")"}]}]],
  CellChangeTimes->{{3.451758643109375*^9, 3.45175867246875*^9}, {
   3.451758723984375*^9, 3.45175875778125*^9}, {3.45175883853125*^9, 
   3.4517588906875*^9}, {3.451758922125*^9, 3.451758945390625*^9}, {
   3.4517589810625*^9, 3.451759131984375*^9}, {3.45175916284375*^9, 
   3.451759215890625*^9}, {3.4517598178125*^9, 3.4517598299375*^9}}],
 " becomes close the the slope of the tangent through the point ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["\[ScriptX]", "0"], ",", 
     RowBox[{"f", "(", 
      SubscriptBox["\[ScriptX]", "0"], ")"}]}], ")"}], TraditionalForm]],
  CellChangeTimes->{{3.451758643109375*^9, 3.45175867246875*^9}, {
   3.451758723984375*^9, 3.45175875778125*^9}, {3.45175883853125*^9, 
   3.4517588906875*^9}, {3.451758922125*^9, 3.451758945390625*^9}, {
   3.4517589810625*^9, 3.451759131984375*^9}, {3.45175916284375*^9, 
   3.451759215890625*^9}, {3.4517598178125*^9, 3.4517598299375*^9}}],
 " provided the value of h is small enough. The idea behind this behavior is \
that the tangent to a point in a curve is the \"limit\" of a secuence of \
secants drawn through the points ",
 Cell[BoxData[
  RowBox[{" ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["\[ScriptX]", "0"], ",", 
      RowBox[{"f", "(", 
       SubscriptBox["\[ScriptX]", "0"], ")"}]}], ")"}], " ", "and", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[ScriptX]", "0"], " ", "+", "h"}], ",", 
      RowBox[{"f", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["\[ScriptX]", "0"], " ", "+", "h"}], ")"}]}]}], 
     ")"}]}]}]],
  CellChangeTimes->{{3.451758643109375*^9, 3.45175867246875*^9}, {
   3.451758723984375*^9, 3.45175875778125*^9}, {3.45175883853125*^9, 
   3.4517588906875*^9}, {3.451758922125*^9, 3.451758945390625*^9}, {
   3.4517589810625*^9, 3.451759131984375*^9}, {3.45175916284375*^9, 
   3.451759215890625*^9}, {3.4517598178125*^9, 3.4517598299375*^9}}],
 " for diferent values of h in a secuence with limit 0. "
}], "Text",
 CellChangeTimes->{{3.451759724515625*^9, 3.4517597941875*^9}, {
  3.451759892484375*^9, 3.451759896875*^9}, {3.451759998828125*^9, 
  3.4517603074375*^9}}],

Cell["\<\

\
\>", "Text",
 CellChangeTimes->{{3.451759926765625*^9, 3.451759988765625*^9}, 
   3.451760031703125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\

Secant line, tangent line, graph of a function, plane curve, limit of a \
secuence of real values.\
\>", "Text",
 CellChangeTimes->{{3.451760341734375*^9, 3.451760416953125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell[TextData[{
 "The idea behind this behavior is that the tangent to a point ",
 Cell[BoxData[
  RowBox[{"(", 
   RowBox[{
    SubscriptBox["\[ScriptX]", "0"], ",", 
    RowBox[{"f", "(", 
     SubscriptBox["\[ScriptX]", "0"], ")"}]}], ")"}]],
  CellChangeTimes->{{3.451758643109375*^9, 3.45175867246875*^9}, {
   3.451758723984375*^9, 3.45175875778125*^9}, {3.45175883853125*^9, 
   3.4517588906875*^9}, {3.451758922125*^9, 3.451758945390625*^9}, {
   3.4517589810625*^9, 3.451759131984375*^9}, {3.45175916284375*^9, 
   3.451759215890625*^9}, {3.4517598178125*^9, 3.4517598299375*^9}}],
 " in a curve is the \"limit\" of a secuence of secants drawn through the \
points ",
 Cell[BoxData[
  RowBox[{" ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["\[ScriptX]", "0"], ",", 
      RowBox[{"f", "(", 
       SubscriptBox["\[ScriptX]", "0"], ")"}]}], ")"}], " ", "and", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[ScriptX]", "0"], " ", "+", 
       SubscriptBox["h", "n"]}], ",", 
      RowBox[{"f", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["\[ScriptX]", "0"], " ", "+", 
         SubscriptBox["h", "n"]}], ")"}]}]}], ")"}]}]}]],
  CellChangeTimes->{{3.451758643109375*^9, 3.45175867246875*^9}, {
   3.451758723984375*^9, 3.45175875778125*^9}, {3.45175883853125*^9, 
   3.4517588906875*^9}, {3.451758922125*^9, 3.451758945390625*^9}, {
   3.4517589810625*^9, 3.451759131984375*^9}, {3.45175916284375*^9, 
   3.451759215890625*^9}, {3.4517598178125*^9, 3.4517598299375*^9}}],
 " for diferent values of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["h", "n"], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->14],
 " in a secuence  ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubsuperscriptBox[
     RowBox[{"{", 
      SubscriptBox["h", "n"], "}"}], 
     RowBox[{"n", "=", "1"}], "\[Infinity]"],
    FontSize->12], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 "    with limit 0. "
}], "Text",
 CellChangeTimes->{{3.451761363984375*^9, 3.451761365640625*^9}, 
   3.45176141484375*^9, {3.451761472265625*^9, 3.45176158415625*^9}, {
   3.45176161803125*^9, 3.451761656703125*^9}, {3.45176170309375*^9, 
   3.45176172725*^9}}],

Cell[" ", "Text",
 CellChangeTimes->{3.45176161071875*^9}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{488, Automatic}, {Automatic, -50}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[695, 27, 62, 1, 71, "Section",
   CellTags->"about"]},
 "aplications"->{
  Cell[9727, 280, 56, 1, 71, "Section",
   CellTags->"aplications"]},
 "briefexp"->{
  Cell[4137, 120, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[7070, 199, 60, 1, 71, "Section",
   CellTags->"concepts"]},
 "operation"->{
  Cell[2404, 79, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "theory"->{
  Cell[7359, 212, 46, 1, 71, "Section",
   CellTags->"theory"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 10122, 295},
 {"aplications", 10202, 298},
 {"briefexp", 10287, 301},
 {"concepts", 10369, 304},
 {"operation", 10452, 307},
 {"theory", 10532, 310}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 103, 1, 83, "Title"],
Cell[CellGroupData[{
Cell[695, 27, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[760, 30, 59, 0, 29, "Text"],
Cell[822, 32, 243, 8, 29, "Text"],
Cell[1068, 42, 1299, 32, 49, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2404, 79, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[2469, 82, 1631, 33, 101, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4137, 120, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[4199, 123, 2714, 64, 119, "Text"],
Cell[6916, 189, 117, 5, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7070, 199, 60, 1, 71, "Section",
 CellTags->"concepts"],
Cell[7133, 202, 189, 5, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7359, 212, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[7408, 215, 2243, 59, 68, "Text"],
Cell[9654, 276, 58, 1, 29, "Text"]
}, Open  ]],
Cell[9727, 280, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
