(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6838,        228]
NotebookOptionsPosition[      5298,        165]
NotebookOutlinePosition[      6317,        207]
CellTagsIndexPosition[      6118,        197]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Tangent Line Using Many Different Limit Configurations", "Title",
 CellChangeTimes->{{3.45176197890625*^9, 3.45176198925*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell[TextData[{
 "\nThis demo  is similar to ",
 ButtonBox["Secant and Tangent lines",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[
       ParentDirectory[]], "demons", "kmderivatives"}, 
     "SecantAndTangentLines-source.nb", CharacterEncoding -> "WindowsANSI"], 
    None}]
}], "Text",
 CellChangeTimes->{{3.4517619959375*^9, 3.451762066421875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell[TextData[{
 "\nAdjusting the values of a and b it is possible to draw the secant through \
the points ",
 Cell[BoxData[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SubscriptBox["\[ScriptX]", "0"], "-", "a"}], ",", 
     RowBox[{"f", 
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["\[ScriptX]", "0"], "-", "a"}], ")"}]}]}], ")"}], " ", 
   "and", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SubscriptBox["\[ScriptX]", "0"], " ", "+", "b"}], ",", 
     RowBox[{"f", 
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["\[ScriptX]", "0"], " ", "+", "b"}], ")"}]}]}], ")"}]}]],
  CellChangeTimes->{{3.451758643109375*^9, 3.45175867246875*^9}, {
   3.451758723984375*^9, 3.45175875778125*^9}, {3.45175883853125*^9, 
   3.4517588906875*^9}, {3.451758922125*^9, 3.451758945390625*^9}, {
   3.4517589810625*^9, 3.451759131984375*^9}, {3.45175916284375*^9, 
   3.451759215890625*^9}, {3.4517598178125*^9, 3.4517598299375*^9}}],
 ".  At each point ",
 Cell[BoxData[
  RowBox[{"(", 
   RowBox[{
    SubscriptBox["\[ScriptX]", "0"], ",", 
    RowBox[{"f", 
     RowBox[{"(", 
      SubscriptBox["\[ScriptX]", "0"], ")"}], " "}]}]}]],
  CellChangeTimes->{{3.451758643109375*^9, 3.45175867246875*^9}, {
   3.451758723984375*^9, 3.45175875778125*^9}, {3.45175883853125*^9, 
   3.4517588906875*^9}, {3.451758922125*^9, 3.451758945390625*^9}, {
   3.4517589810625*^9, 3.451759131984375*^9}, {3.45175916284375*^9, 
   3.451759215890625*^9}, {3.4517598178125*^9, 3.4517598299375*^9}}],
 "a tangent to the graph of the function exists. For specific values of a and \
b, the tangent through ",
 Cell[BoxData[
  RowBox[{"(", 
   RowBox[{
    SubscriptBox["\[ScriptX]", "0"], ",", 
    RowBox[{"f", 
     RowBox[{"(", 
      SubscriptBox["\[ScriptX]", "0"], ")"}]}]}]}]],
  CellChangeTimes->{{3.451758643109375*^9, 3.45175867246875*^9}, {
   3.451758723984375*^9, 3.45175875778125*^9}, {3.45175883853125*^9, 
   3.4517588906875*^9}, {3.451758922125*^9, 3.451758945390625*^9}, {
   3.4517589810625*^9, 3.451759131984375*^9}, {3.45175916284375*^9, 
   3.451759215890625*^9}, {3.4517598178125*^9, 3.4517598299375*^9}}],
 " and the secant through ",
 Cell[BoxData[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SubscriptBox["\[ScriptX]", "0"], "-", "a"}], ",", 
     RowBox[{"f", 
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["\[ScriptX]", "0"], "-", "a"}], ")"}]}]}], ")"}], " ", 
   "and", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SubscriptBox["\[ScriptX]", "0"], " ", "+", "b"}], ",", 
     RowBox[{"f", 
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["\[ScriptX]", "0"], " ", "+", "b"}], ")"}]}]}], ")"}]}]],
  CellChangeTimes->{{3.451758643109375*^9, 3.45175867246875*^9}, {
   3.451758723984375*^9, 3.45175875778125*^9}, {3.45175883853125*^9, 
   3.4517588906875*^9}, {3.451758922125*^9, 3.451758945390625*^9}, {
   3.4517589810625*^9, 3.451759131984375*^9}, {3.45175916284375*^9, 
   3.451759215890625*^9}, {3.4517598178125*^9, 3.4517598299375*^9}}],
 " have the same slope in agreement with the ",
 ButtonBox["mean value theorem",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://mathworld.wolfram.com/Mean-ValueTheorem.html"], None},
  ButtonNote->"http://mathworld.wolfram.com/Mean-ValueTheorem.html"],
 " "
}], "Text",
 CellChangeTimes->{
  3.45176210559375*^9, {3.45176222871875*^9, 3.45176228678125*^9}, {
   3.4517637844375*^9, 3.451763822703125*^9}, {3.45176387109375*^9, 
   3.4517640673125*^9}, {3.45176431315625*^9, 3.4517643415*^9}}]
}, Open  ]],

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell[CellGroupData[{

Cell["Theory", "Section",
 CellTags->"theory"],

Cell["\<\

see the link to Secant and tangent lines.\
\>", "Text",
 CellChangeTimes->{{3.451764384515625*^9, 3.45176438975*^9}, {
  3.451764423921875*^9, 3.45176446278125*^9}}]
}, Open  ]],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 448}, {Automatic, 28}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[724, 27, 62, 1, 71, "Section",
   CellTags->"about"]},
 "operation"->{
  Cell[1222, 46, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "briefexp"->{
  Cell[4839, 142, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[4901, 145, 60, 1, 41, "Section",
   CellTags->"concepts"]},
 "theory"->{
  Cell[4986, 150, 46, 1, 41, "Section",
   CellTags->"theory"]},
 "aplications"->{
  Cell[5226, 161, 56, 1, 71, "Section",
   CellTags->"aplications"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 5620, 176},
 {"operation", 5698, 179},
 {"briefexp", 5780, 182},
 {"concepts", 5862, 185},
 {"theory", 5942, 188},
 {"aplications", 6025, 191}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 132, 1, 137, "Title"],
Cell[CellGroupData[{
Cell[724, 27, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[789, 30, 396, 11, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1222, 46, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[1287, 49, 3537, 90, 119, "Text"]
}, Open  ]],
Cell[4839, 142, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[4901, 145, 60, 1, 41, "Section",
 CellTags->"concepts"],
Cell[CellGroupData[{
Cell[4986, 150, 46, 1, 41, "Section",
 CellTags->"theory"],
Cell[5035, 153, 176, 5, 47, "Text"]
}, Open  ]],
Cell[5226, 161, 56, 1, 71, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
