(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5914,        219]
NotebookOptionsPosition[      4334,        155]
NotebookOutlinePosition[      5354,        197]
CellTagsIndexPosition[      5155,        187]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Tangent Lines To A Conic  Section", "Title",
 CellChangeTimes->{{3.4525482985*^9, 3.45254830659375*^9}}],

Cell[CellGroupData[{

Cell["What this demo is about", "Section",
 CellTags->"about"],

Cell[TextData[{
 "\nSuppose that ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["x", "0"], ",", 
      SubscriptBox["y", "0"]}], ")"}],
    FontSize->10], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 " is a point on the conic section ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"A", " ", 
      SuperscriptBox["\[ScriptX]", "2"]}], "+", 
     RowBox[{"B", " ", "\[ScriptX]", " ", "\[ScriptY]"}], " ", "+", 
     RowBox[{"C", " ", 
      SuperscriptBox["\[ScriptY]", "2"]}], " ", "+", 
     RowBox[{"D", " ", "\[ScriptX]"}], " ", "+", 
     RowBox[{"E", " ", "\[ScriptY]"}], " ", "+", " ", "F"}], " ", "=", "0"}], 
   TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->12],
 " . Then the tangent line to the conic section at point ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["x", "0"], ",", 
      SubscriptBox["y", "0"]}], ")"}],
    FontSize->10], TraditionalForm]], "Subtitle"],
 "  is "
}], "Text",
 CellChangeTimes->{{3.452546852515625*^9, 3.45254685928125*^9}, {
  3.45254694396875*^9, 3.4525472406875*^9}, {3.45254736921875*^9, 
  3.452547370265625*^9}, {3.452547454421875*^9, 3.45254746528125*^9}, {
  3.4525475123125*^9, 3.452547719359375*^9}, {3.45254778296875*^9, 
  3.452547928578125*^9}, {3.4525479906875*^9, 3.452547992609375*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "A", " ", 
        SubscriptBox["\[ScriptX]", "0"]}], " ", "+", " ", 
       RowBox[{"B", " ", 
        SubscriptBox["\[ScriptY]", "0"]}], " ", "+", "D"}], ")"}], " ", 
     "\[ScriptX]"}], " ", "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"B", " ", 
        SubscriptBox["\[ScriptX]", "0"]}], " ", "+", 
       RowBox[{"2", " ", "C", " ", 
        SubscriptBox["\[ScriptY]", "0"]}], " ", "+", "E"}], ")"}], " ", 
     "\[ScriptY]"}], "-", " ", 
    RowBox[{"A", " ", 
     SuperscriptBox[
      SubscriptBox["\[ScriptX]", "0"], "2"]}], " ", "-", 
    RowBox[{"B", " ", 
     SubscriptBox["\[ScriptX]", "0"], 
     SubscriptBox["\[ScriptY]", "0"]}], "-", 
    RowBox[{"C", " ", 
     SuperscriptBox[
      SubscriptBox["\[ScriptY]", "0"], "2"]}], " ", "+", "F"}], " ", "=", "0",
    " "}], TraditionalForm]], "Text",
 CellChangeTimes->{{3.452548007890625*^9, 3.452548009984375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Suggested operation", "Section",
 CellTags->"operation"],

Cell[TextData[{
 "\nThe relative size of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["B", "2"], "-", 
    RowBox[{"4", " ", "A", " ", "C"}]}], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm",
  FontSize->14],
 " with respect to 0 defines if the conic is an elipse, a parabola or an \
hiperbola. The point of tangency is chosen at ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["\[ScriptX]", "0"],
    FontSize->16], TraditionalForm]], "Subtitle",
  FormatType->"TraditionalForm"],
 "."
}], "Text",
 CellChangeTimes->{{3.45254805278125*^9, 3.452548221046875*^9}}]
}, Open  ]],

Cell["Brief explanation", "Section",
 CellTags->"briefexp"],

Cell[CellGroupData[{

Cell["Important concepts", "Section",
 CellTags->"concepts"],

Cell["\<\

Conic sections, derivative, tangent. \
\>", "Text",
 CellChangeTimes->{{3.452548242796875*^9, 3.45254827765625*^9}}]
}, Open  ]],

Cell["Theory", "Section",
 CellTags->"theory"],

Cell["Aplications", "Section",
 CellTags->"aplications"]
}, Open  ]]
},
WindowSize->{611, 750},
WindowMargins->{{Automatic, 285}, {Automatic, 30}},
DefaultNewCellStyle->"Text",
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "about"->{
  Cell[702, 27, 62, 1, 71, "Section",
   CellTags->"about"]},
 "aplications"->{
  Cell[4262, 151, 56, 1, 41, "Section",
   CellTags->"aplications"]},
 "briefexp"->{
  Cell[3924, 133, 59, 1, 71, "Section",
   CellTags->"briefexp"]},
 "concepts"->{
  Cell[4008, 138, 60, 1, 41, "Section",
   CellTags->"concepts"]},
 "operation"->{
  Cell[3239, 108, 62, 1, 71, "Section",
   CellTags->"operation"]},
 "theory"->{
  Cell[4213, 148, 46, 1, 71, "Section",
   CellTags->"theory"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"about", 4656, 166},
 {"aplications", 4736, 169},
 {"briefexp", 4821, 172},
 {"concepts", 4903, 175},
 {"operation", 4986, 178},
 {"theory", 5067, 181}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 110, 1, 137, "Title"],
Cell[CellGroupData[{
Cell[702, 27, 62, 1, 71, "Section",
 CellTags->"about"],
Cell[767, 30, 1408, 41, 67, "Text"],
Cell[2178, 73, 1024, 30, 31, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3239, 108, 62, 1, 71, "Section",
 CellTags->"operation"],
Cell[3304, 111, 605, 19, 71, "Text"]
}, Open  ]],
Cell[3924, 133, 59, 1, 71, "Section",
 CellTags->"briefexp"],
Cell[CellGroupData[{
Cell[4008, 138, 60, 1, 41, "Section",
 CellTags->"concepts"],
Cell[4071, 141, 127, 4, 47, "Text"]
}, Open  ]],
Cell[4213, 148, 46, 1, 71, "Section",
 CellTags->"theory"],
Cell[4262, 151, 56, 1, 41, "Section",
 CellTags->"aplications"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
